diff --git a/.gitignore b/.gitignore
index b255dc7..7778caa 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,7 +1,108 @@
-Plugins/*
-Saved/*
-Intermediate/*
-DerivedDataCache/*
-Content/*
+# Backup files from git mergetool 
+*.orig
+
+# TortoiseGit configuration file is too user specific and should not be shared
+.tgitconfig
+
+# Compiled Object files
+*.slo
+*.lo
+*.o
+*.obj
+
+# Precompiled Headers
+*.gch
+*.pch
+
+# Compiled Dynamic libraries
+*.so
+*.dylib
+*.dll
+
+# Fortran module files
+*.mod
+
+# Compiled Static libraries
+*.lai
+*.la
+*.a
+*.lib
+
+# Executables
+*.exe
+*.out
+*.app
+*.ipa
+
+# These project files can be generated by the engine
+*.xcodeproj
+*.xcworkspace
+*.sln
+*.suo
+*.opensdf
+*.sdf
+*.tss
+*.VC.db
+*.VC.opendb
+.vs/
+
+# Precompiled Assets
+SourceArt/**/*.png
+SourceArt/**/*.tga
+
+# Binary Files
+Binaries/
+Plugins/*/Binaries/
+
+# Builds
+Build/*
+
+# Whitelist PakBlacklist-<BuildConfiguration>.txt files
+!Build/*/
+Build/*/**
+!Build/*/PakBlacklist*.txt
+
+# Don't ignore icon files in Build
+!Build/**/*.ico
+
+# Built data for maps
+*_BuiltData.uasset
+
+# Configuration files generated by the Editor
+Saved/
+
+# Compiled source files for the engine to use
+Intermediate/
+Plugins/*/Intermediate/
+
+# Pre-compiled headers
+ipch/
+
+# Cache files for the editor to use
+DerivedDataCache/
+
+# Windows
+Thumbs.db
+ehThumbs.db
+*.lnk
+
+# Mac OS X
+.DS_Store
+.DS_Store?
+.AppleDouble
+.LSOverride
+._*
+
+# Linux
+*~
+.directory
+
+# vim
+[._]*.s[a-w][a-z]
+[._]s[a-w][a-z]
+*.un~
+Session.vim
+.netrwhist
+
 !Content/Scripts
 Content/Scripts/node_modules
\ No newline at end of file
diff --git a/Content/EntryWidget_C.uasset b/Content/EntryWidget_C.uasset
new file mode 100644
index 0000000..b48e3c2
Binary files /dev/null and b/Content/EntryWidget_C.uasset differ
diff --git a/Content/Scripts/aliases.js b/Content/Scripts/aliases.js
index a681ad1..320f3cb 100644
--- a/Content/Scripts/aliases.js
+++ b/Content/Scripts/aliases.js
@@ -22,121 +22,25 @@ try { Class.prototype.NotEqual = Class.prototype.NotEqual_SoftClassReference; }
 try { Class.prototype.Equal = Class.prototype.EqualEqual_ClassClass; } catch (e) {};
 try { Class.prototype.NotEqual = Class.prototype.NotEqual_ClassClass; } catch (e) {};
 try { let fnprepatch_0 = AssetRegistryHelpers.prototype.CreateAssetData;AssetRegistryHelpers.prototype.CreateAssetData = function (InAsset, bAllowBlueprintClass = false) { return fnprepatch_0.call(this, InAsset, bAllowBlueprintClass) }; } catch (e) {};
-try { let fnprepatch_1 = AssetRegistry.prototype.HasAssets;AssetRegistry.prototype.HasAssets = function (PackagePath, bRecursive = false) { return fnprepatch_1.call(this, PackagePath, bRecursive) }; } catch (e) {};
-try { let fnprepatch_2 = AssetRegistry.prototype.GetAssetsByPath;AssetRegistry.prototype.GetAssetsByPath = function (PackagePath, OutAssetData, bRecursive = false, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_2.call(this, PackagePath, OutAssetData, bRecursive, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
-try { let fnprepatch_3 = AssetRegistry.prototype.GetAssetsByPackageName;AssetRegistry.prototype.GetAssetsByPackageName = function (PackageName, OutAssetData, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_3.call(this, PackageName, OutAssetData, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
-try { let fnprepatch_4 = AssetRegistry.prototype.GetAssetsByClass;AssetRegistry.prototype.GetAssetsByClass = function (ClassName, OutAssetData, bSearchSubClasses = false) { return fnprepatch_4.call(this, ClassName, OutAssetData, bSearchSubClasses) }; } catch (e) {};
-try { let fnprepatch_5 = AssetRegistry.prototype.GetAssetByObjectPath;AssetRegistry.prototype.GetAssetByObjectPath = function (ObjectPath, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_5.call(this, ObjectPath, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
-try { let fnprepatch_6 = AssetRegistry.prototype.GetAllAssets;AssetRegistry.prototype.GetAllAssets = function (OutAssetData, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_6.call(this, OutAssetData, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
-try { let fnprepatch_7 = MaterialEditingLibrary.prototype.CreateMaterialExpressionInFunction;MaterialEditingLibrary.prototype.CreateMaterialExpressionInFunction = function (MaterialFunction, ExpressionClass, NodePosX = 0, NodePosY = 0) { return fnprepatch_7.call(this, MaterialFunction, ExpressionClass, NodePosX, NodePosY) }; } catch (e) {};
-try { let fnprepatch_8 = MaterialEditingLibrary.prototype.CreateMaterialExpression;MaterialEditingLibrary.prototype.CreateMaterialExpression = function (Material, ExpressionClass, NodePosX = 0, NodePosY = 0) { return fnprepatch_8.call(this, Material, ExpressionClass, NodePosX, NodePosY) }; } catch (e) {};
-try { let fnprepatch_9 = HeadMountedDisplayFunctionLibrary.prototype.SetWorldToMetersScale;HeadMountedDisplayFunctionLibrary.prototype.SetWorldToMetersScale = function (WorldContext, NewScale = 100) { return fnprepatch_9.call(this, WorldContext, NewScale) }; } catch (e) {};
-try { let fnprepatch_10 = HeadMountedDisplayFunctionLibrary.prototype.SetSpectatorScreenModeTexturePlusEyeLayout;HeadMountedDisplayFunctionLibrary.prototype.SetSpectatorScreenModeTexturePlusEyeLayout = function (EyeRectMin, EyeRectMax, TextureRectMin, TextureRectMax, bDrawEyeFirst = true, bClearBlack = false) { return fnprepatch_10.call(this, EyeRectMin, EyeRectMax, TextureRectMin, TextureRectMax, bDrawEyeFirst, bClearBlack) }; } catch (e) {};
-try { let fnprepatch_11 = HeadMountedDisplayFunctionLibrary.prototype.ResetOrientationAndPosition;HeadMountedDisplayFunctionLibrary.prototype.ResetOrientationAndPosition = function (Yaw = 0, Options = "OrientationAndPosition") { return fnprepatch_11.call(this, Yaw, Options) }; } catch (e) {};
-try { let fnprepatch_12 = HeadMountedDisplayFunctionLibrary.prototype.GetTrackingSensorParameters;HeadMountedDisplayFunctionLibrary.prototype.GetTrackingSensorParameters = function (Origin, Rotation, LeftFOV, RightFOV, TopFOV, BottomFOV, Distance, NearPlane, FarPlane, IsActive, Index = 0) { return fnprepatch_12.call(this, Origin, Rotation, LeftFOV, RightFOV, TopFOV, BottomFOV, Distance, NearPlane, FarPlane, IsActive, Index) }; } catch (e) {};
-try { let fnprepatch_13 = HeadMountedDisplayFunctionLibrary.prototype.EnumerateTrackedDevices;HeadMountedDisplayFunctionLibrary.prototype.EnumerateTrackedDevices = function (SystemId = "None", DeviceType = "HeadMountedDisplay") { return fnprepatch_13.call(this, SystemId, DeviceType) }; } catch (e) {};
-try { let fnprepatch_14 = ActorComponent.prototype.SetActive;ActorComponent.prototype.SetActive = function (bNewActive, bReset = false) { return fnprepatch_14.call(this, bNewActive, bReset) }; } catch (e) {};
-try { let fnprepatch_15 = ActorComponent.prototype.Activate;ActorComponent.prototype.Activate = function (bReset = false) { return fnprepatch_15.call(this, bReset) }; } catch (e) {};
-try { ActorComponent.prototype.Tick = ActorComponent.prototype.ReceiveTick; } catch (e) {};
-try { ActorComponent.prototype.EndPlay = ActorComponent.prototype.ReceiveEndPlay; } catch (e) {};
-try { ActorComponent.prototype.BeginPlay = ActorComponent.prototype.ReceiveBeginPlay; } catch (e) {};
-try { ActorComponent.prototype.DestroyComponent = ActorComponent.prototype.K2_DestroyComponent; } catch (e) {};
-try { ActorComponent.prototype.IsComponentBeingDestroyed = ActorComponent.prototype.IsBeingDestroyed; } catch (e) {};
-try { let fnprepatch_16 = SceneComponent.prototype.ToggleVisibility;SceneComponent.prototype.ToggleVisibility = function (bPropagateToChildren = false) { return fnprepatch_16.call(this, bPropagateToChildren) }; } catch (e) {};
-try { let fnprepatch_17 = SceneComponent.prototype.SnapTo;SceneComponent.prototype.SnapTo = function (InParent, InSocketName = "None") { return fnprepatch_17.call(this, InParent, InSocketName) }; } catch (e) {};
-try { let fnprepatch_18 = SceneComponent.prototype.SetVisibility;SceneComponent.prototype.SetVisibility = function (bNewVisibility, bPropagateToChildren = false) { return fnprepatch_18.call(this, bNewVisibility, bPropagateToChildren) }; } catch (e) {};
-try { let fnprepatch_19 = SceneComponent.prototype.SetHiddenInGame;SceneComponent.prototype.SetHiddenInGame = function (NewHidden, bPropagateToChildren = false) { return fnprepatch_19.call(this, NewHidden, bPropagateToChildren) }; } catch (e) {};
-try { let fnprepatch_20 = SceneComponent.prototype.SetAbsolute;SceneComponent.prototype.SetAbsolute = function (bNewAbsoluteLocation = false, bNewAbsoluteRotation = false, bNewAbsoluteScale = false) { return fnprepatch_20.call(this, bNewAbsoluteLocation, bNewAbsoluteRotation, bNewAbsoluteScale) }; } catch (e) {};
-try { let fnprepatch_21 = SceneComponent.prototype.K2_DetachFromComponent;SceneComponent.prototype.K2_DetachFromComponent = function (LocationRule = "KeepRelative", RotationRule = "KeepRelative", ScaleRule = "KeepRelative", bCallModify = true) { return fnprepatch_21.call(this, LocationRule, RotationRule, ScaleRule, bCallModify) }; } catch (e) {};
-try { let fnprepatch_22 = SceneComponent.prototype.K2_AttachTo;SceneComponent.prototype.K2_AttachTo = function (InParent, InSocketName = "None", AttachType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_22.call(this, InParent, InSocketName, AttachType, bWeldSimulatedBodies) }; } catch (e) {};
-try { let fnprepatch_23 = SceneComponent.prototype.IsSimulatingPhysics;SceneComponent.prototype.IsSimulatingPhysics = function (BoneName = "None") { return fnprepatch_23.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_24 = SceneComponent.prototype.GetSocketTransform;SceneComponent.prototype.GetSocketTransform = function (InSocketName, TransformSpace = "RTS_World") { return fnprepatch_24.call(this, InSocketName, TransformSpace) }; } catch (e) {};
-try { let fnprepatch_25 = SceneComponent.prototype.DetachFromParent;SceneComponent.prototype.DetachFromParent = function (bMaintainWorldPosition = false, bCallModify = true) { return fnprepatch_25.call(this, bMaintainWorldPosition, bCallModify) }; } catch (e) {};
-try { SceneComponent.prototype.SetWorldTransform = SceneComponent.prototype.K2_SetWorldTransform; } catch (e) {};
-try { SceneComponent.prototype.SetWorldRotation = SceneComponent.prototype.K2_SetWorldRotation; } catch (e) {};
-try { SceneComponent.prototype.SetWorldLocationAndRotation = SceneComponent.prototype.K2_SetWorldLocationAndRotation; } catch (e) {};
-try { SceneComponent.prototype.SetWorldLocation = SceneComponent.prototype.K2_SetWorldLocation; } catch (e) {};
-try { SceneComponent.prototype.SetRelativeTransform = SceneComponent.prototype.K2_SetRelativeTransform; } catch (e) {};
-try { SceneComponent.prototype.SetRelativeRotation = SceneComponent.prototype.K2_SetRelativeRotation; } catch (e) {};
-try { SceneComponent.prototype.SetRelativeLocationAndRotation = SceneComponent.prototype.K2_SetRelativeLocationAndRotation; } catch (e) {};
-try { SceneComponent.prototype.SetRelativeLocation = SceneComponent.prototype.K2_SetRelativeLocation; } catch (e) {};
-try { SceneComponent.prototype.GetWorldTransform = SceneComponent.prototype.K2_GetComponentToWorld; } catch (e) {};
-try { SceneComponent.prototype.GetWorldScale = SceneComponent.prototype.K2_GetComponentScale; } catch (e) {};
-try { SceneComponent.prototype.GetWorldRotation = SceneComponent.prototype.K2_GetComponentRotation; } catch (e) {};
-try { SceneComponent.prototype.GetWorldLocation = SceneComponent.prototype.K2_GetComponentLocation; } catch (e) {};
-try { SceneComponent.prototype.DetachFromComponent = SceneComponent.prototype.K2_DetachFromComponent; } catch (e) {};
-try { SceneComponent.prototype.AttachToComponent = SceneComponent.prototype.K2_AttachToComponent; } catch (e) {};
-try { SceneComponent.prototype.AttachTo = SceneComponent.prototype.K2_AttachTo; } catch (e) {};
-try { SceneComponent.prototype.AddWorldTransform = SceneComponent.prototype.K2_AddWorldTransform; } catch (e) {};
-try { SceneComponent.prototype.AddWorldRotation = SceneComponent.prototype.K2_AddWorldRotation; } catch (e) {};
-try { SceneComponent.prototype.AddWorldOffset = SceneComponent.prototype.K2_AddWorldOffset; } catch (e) {};
-try { SceneComponent.prototype.AddRelativeRotation = SceneComponent.prototype.K2_AddRelativeRotation; } catch (e) {};
-try { SceneComponent.prototype.AddRelativeLocation = SceneComponent.prototype.K2_AddRelativeLocation; } catch (e) {};
-try { SceneComponent.prototype.AddLocalTransform = SceneComponent.prototype.K2_AddLocalTransform; } catch (e) {};
-try { SceneComponent.prototype.AddLocalRotation = SceneComponent.prototype.K2_AddLocalRotation; } catch (e) {};
-try { SceneComponent.prototype.AddLocalOffset = SceneComponent.prototype.K2_AddLocalOffset; } catch (e) {};
-try { let fnprepatch_26 = PrimitiveComponent.prototype.WakeRigidBody;PrimitiveComponent.prototype.WakeRigidBody = function (BoneName = "None") { return fnprepatch_26.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_27 = PrimitiveComponent.prototype.SetUseCCD;PrimitiveComponent.prototype.SetUseCCD = function (InUseCCD, BoneName = "None") { return fnprepatch_27.call(this, InUseCCD, BoneName) }; } catch (e) {};
-try { let fnprepatch_28 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInRadians;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInRadians = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_28.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_29 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInDegrees;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInDegrees = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_29.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_30 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocity;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocity = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_30.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_31 = PrimitiveComponent.prototype.SetPhysicsLinearVelocity;PrimitiveComponent.prototype.SetPhysicsLinearVelocity = function (NewVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_31.call(this, NewVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_32 = PrimitiveComponent.prototype.SetPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.SetPhysicsAngularVelocityInRadians = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_32.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_33 = PrimitiveComponent.prototype.SetPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.SetPhysicsAngularVelocityInDegrees = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_33.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_34 = PrimitiveComponent.prototype.SetPhysicsAngularVelocity;PrimitiveComponent.prototype.SetPhysicsAngularVelocity = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_34.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
-try { let fnprepatch_35 = PrimitiveComponent.prototype.SetMassScale;PrimitiveComponent.prototype.SetMassScale = function (BoneName = "None", InMassScale = 1) { return fnprepatch_35.call(this, BoneName, InMassScale) }; } catch (e) {};
-try { let fnprepatch_36 = PrimitiveComponent.prototype.SetMassOverrideInKg;PrimitiveComponent.prototype.SetMassOverrideInKg = function (BoneName = "None", MassInKg = 1, bOverrideMass = true) { return fnprepatch_36.call(this, BoneName, MassInKg, bOverrideMass) }; } catch (e) {};
-try { let fnprepatch_37 = PrimitiveComponent.prototype.SetCenterOfMass;PrimitiveComponent.prototype.SetCenterOfMass = function (CenterOfMassOffset, BoneName = "None") { return fnprepatch_37.call(this, CenterOfMassOffset, BoneName) }; } catch (e) {};
-try { let fnprepatch_38 = PrimitiveComponent.prototype.SetBoundsScale;PrimitiveComponent.prototype.SetBoundsScale = function (NewBoundsScale = 1) { return fnprepatch_38.call(this, NewBoundsScale) }; } catch (e) {};
-try { let fnprepatch_39 = PrimitiveComponent.prototype.SetAllPhysicsLinearVelocity;PrimitiveComponent.prototype.SetAllPhysicsLinearVelocity = function (NewVel, bAddToCurrent = false) { return fnprepatch_39.call(this, NewVel, bAddToCurrent) }; } catch (e) {};
-try { let fnprepatch_40 = PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInRadians = function (NewAngVel, bAddToCurrent = false) { return fnprepatch_40.call(this, NewAngVel, bAddToCurrent) }; } catch (e) {};
-try { let fnprepatch_41 = PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInDegrees = function (NewAngVel, bAddToCurrent = false) { return fnprepatch_41.call(this, NewAngVel, bAddToCurrent) }; } catch (e) {};
-try { let fnprepatch_42 = PrimitiveComponent.prototype.SetAllPhysicsAngularVelocity;PrimitiveComponent.prototype.SetAllPhysicsAngularVelocity = function (NewAngVel, bAddToCurrent = false) { return fnprepatch_42.call(this, NewAngVel, bAddToCurrent) }; } catch (e) {};
-try { let fnprepatch_43 = PrimitiveComponent.prototype.SetAllMassScale;PrimitiveComponent.prototype.SetAllMassScale = function (InMassScale = 1) { return fnprepatch_43.call(this, InMassScale) }; } catch (e) {};
-try { let fnprepatch_44 = PrimitiveComponent.prototype.ScaleByMomentOfInertia;PrimitiveComponent.prototype.ScaleByMomentOfInertia = function (InputVector, BoneName = "None") { return fnprepatch_44.call(this, InputVector, BoneName) }; } catch (e) {};
-try { let fnprepatch_45 = PrimitiveComponent.prototype.PutRigidBodyToSleep;PrimitiveComponent.prototype.PutRigidBodyToSleep = function (BoneName = "None") { return fnprepatch_45.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_46 = PrimitiveComponent.prototype.GetPhysicsLinearVelocityAtPoint;PrimitiveComponent.prototype.GetPhysicsLinearVelocityAtPoint = function (Point, BoneName = "None") { return fnprepatch_46.call(this, Point, BoneName) }; } catch (e) {};
-try { let fnprepatch_47 = PrimitiveComponent.prototype.GetPhysicsLinearVelocity;PrimitiveComponent.prototype.GetPhysicsLinearVelocity = function (BoneName = "None") { return fnprepatch_47.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_48 = PrimitiveComponent.prototype.GetPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.GetPhysicsAngularVelocityInRadians = function (BoneName = "None") { return fnprepatch_48.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_49 = PrimitiveComponent.prototype.GetPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.GetPhysicsAngularVelocityInDegrees = function (BoneName = "None") { return fnprepatch_49.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_50 = PrimitiveComponent.prototype.GetPhysicsAngularVelocity;PrimitiveComponent.prototype.GetPhysicsAngularVelocity = function (BoneName = "None") { return fnprepatch_50.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_51 = PrimitiveComponent.prototype.GetMassScale;PrimitiveComponent.prototype.GetMassScale = function (BoneName = "None") { return fnprepatch_51.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_52 = PrimitiveComponent.prototype.GetInertiaTensor;PrimitiveComponent.prototype.GetInertiaTensor = function (BoneName = "None") { return fnprepatch_52.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_53 = PrimitiveComponent.prototype.GetClosestPointOnCollision;PrimitiveComponent.prototype.GetClosestPointOnCollision = function (Point, OutPointOnBody, BoneName = "None") { return fnprepatch_53.call(this, Point, OutPointOnBody, BoneName) }; } catch (e) {};
-try { let fnprepatch_54 = PrimitiveComponent.prototype.GetCenterOfMass;PrimitiveComponent.prototype.GetCenterOfMass = function (BoneName = "None") { return fnprepatch_54.call(this, BoneName) }; } catch (e) {};
-try { let fnprepatch_55 = PrimitiveComponent.prototype.AddTorqueInRadians;PrimitiveComponent.prototype.AddTorqueInRadians = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_55.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
-try { let fnprepatch_56 = PrimitiveComponent.prototype.AddTorqueInDegrees;PrimitiveComponent.prototype.AddTorqueInDegrees = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_56.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
-try { let fnprepatch_57 = PrimitiveComponent.prototype.AddTorque;PrimitiveComponent.prototype.AddTorque = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_57.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
-try { let fnprepatch_58 = PrimitiveComponent.prototype.AddRadialImpulse;PrimitiveComponent.prototype.AddRadialImpulse = function (Origin, Radius, Strength, Falloff, bVelChange = false) { return fnprepatch_58.call(this, Origin, Radius, Strength, Falloff, bVelChange) }; } catch (e) {};
-try { let fnprepatch_59 = PrimitiveComponent.prototype.AddRadialForce;PrimitiveComponent.prototype.AddRadialForce = function (Origin, Radius, Strength, Falloff, bAccelChange = false) { return fnprepatch_59.call(this, Origin, Radius, Strength, Falloff, bAccelChange) }; } catch (e) {};
-try { let fnprepatch_60 = PrimitiveComponent.prototype.AddImpulseAtLocation;PrimitiveComponent.prototype.AddImpulseAtLocation = function (Impulse, Location, BoneName = "None") { return fnprepatch_60.call(this, Impulse, Location, BoneName) }; } catch (e) {};
-try { let fnprepatch_61 = PrimitiveComponent.prototype.AddImpulse;PrimitiveComponent.prototype.AddImpulse = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_61.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
-try { let fnprepatch_62 = PrimitiveComponent.prototype.AddForceAtLocationLocal;PrimitiveComponent.prototype.AddForceAtLocationLocal = function (Force, Location, BoneName = "None") { return fnprepatch_62.call(this, Force, Location, BoneName) }; } catch (e) {};
-try { let fnprepatch_63 = PrimitiveComponent.prototype.AddForceAtLocation;PrimitiveComponent.prototype.AddForceAtLocation = function (Force, Location, BoneName = "None") { return fnprepatch_63.call(this, Force, Location, BoneName) }; } catch (e) {};
-try { let fnprepatch_64 = PrimitiveComponent.prototype.AddForce;PrimitiveComponent.prototype.AddForce = function (Force, BoneName = "None", bAccelChange = false) { return fnprepatch_64.call(this, Force, BoneName, bAccelChange) }; } catch (e) {};
-try { let fnprepatch_65 = PrimitiveComponent.prototype.AddAngularImpulseInRadians;PrimitiveComponent.prototype.AddAngularImpulseInRadians = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_65.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
-try { let fnprepatch_66 = PrimitiveComponent.prototype.AddAngularImpulseInDegrees;PrimitiveComponent.prototype.AddAngularImpulseInDegrees = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_66.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
-try { let fnprepatch_67 = PrimitiveComponent.prototype.AddAngularImpulse;PrimitiveComponent.prototype.AddAngularImpulse = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_67.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
-try { PrimitiveComponent.prototype.SetPhysicalMaterialOverride = PrimitiveComponent.prototype.SetPhysMaterialOverride; } catch (e) {};
-try { PrimitiveComponent.prototype.SetMaxDrawDistance = PrimitiveComponent.prototype.SetCullDistance; } catch (e) {};
-try { PrimitiveComponent.prototype.LineTraceComponent = PrimitiveComponent.prototype.K2_LineTraceComponent; } catch (e) {};
-try { PrimitiveComponent.prototype.IsQueryCollisionEnabled = PrimitiveComponent.prototype.K2_IsQueryCollisionEnabled; } catch (e) {};
-try { PrimitiveComponent.prototype.IsPhysicsCollisionEnabled = PrimitiveComponent.prototype.K2_IsPhysicsCollisionEnabled; } catch (e) {};
-try { PrimitiveComponent.prototype.IsCollisionEnabled = PrimitiveComponent.prototype.K2_IsCollisionEnabled; } catch (e) {};
-try { PrimitiveComponent.prototype.CreateMIDForElementFromMaterial = PrimitiveComponent.prototype.CreateAndSetMaterialInstanceDynamicFromMaterial; } catch (e) {};
-try { PrimitiveComponent.prototype.CreateMIDForElement = PrimitiveComponent.prototype.CreateAndSetMaterialInstanceDynamic; } catch (e) {};
-try { PrimitiveComponent.prototype.GetMoveIgnoreComponents = PrimitiveComponent.prototype.CopyArrayOfMoveIgnoreComponents; } catch (e) {};
-try { PrimitiveComponent.prototype.GetMoveIgnoreActors = PrimitiveComponent.prototype.CopyArrayOfMoveIgnoreActors; } catch (e) {};
-try { let fnprepatch_68 = Actor.prototype.WasRecentlyRendered;Actor.prototype.WasRecentlyRendered = function (Tolerance = 0.20000000298023224) { return fnprepatch_68.call(this, Tolerance) }; } catch (e) {};
-try { let fnprepatch_69 = Actor.prototype.SetActorLabel;Actor.prototype.SetActorLabel = function (NewActorLabel, bMarkDirty = true) { return fnprepatch_69.call(this, NewActorLabel, bMarkDirty) }; } catch (e) {};
-try { let fnprepatch_70 = Actor.prototype.PrestreamTextures;Actor.prototype.PrestreamTextures = function (Seconds, bEnableStreaming, CinematicTextureGroups = 0) { return fnprepatch_70.call(this, Seconds, bEnableStreaming, CinematicTextureGroups) }; } catch (e) {};
-try { let fnprepatch_71 = Actor.prototype.MakeNoise;Actor.prototype.MakeNoise = function (Loudness = 1, NoiseInstigator, NoiseLocation, MaxRange = 0, Tag = "None") { return fnprepatch_71.call(this, Loudness, NoiseInstigator, NoiseLocation, MaxRange, Tag) }; } catch (e) {};
-try { let fnprepatch_72 = Actor.prototype.K2_DetachFromActor;Actor.prototype.K2_DetachFromActor = function (LocationRule = "KeepRelative", RotationRule = "KeepRelative", ScaleRule = "KeepRelative") { return fnprepatch_72.call(this, LocationRule, RotationRule, ScaleRule) }; } catch (e) {};
-try { let fnprepatch_73 = Actor.prototype.K2_AttachRootComponentToActor;Actor.prototype.K2_AttachRootComponentToActor = function (InParentActor, InSocketName = "None", AttachLocationType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_73.call(this, InParentActor, InSocketName, AttachLocationType, bWeldSimulatedBodies) }; } catch (e) {};
-try { let fnprepatch_74 = Actor.prototype.K2_AttachRootComponentTo;Actor.prototype.K2_AttachRootComponentTo = function (InParent, InSocketName = "None", AttachLocationType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_74.call(this, InParent, InSocketName, AttachLocationType, bWeldSimulatedBodies) }; } catch (e) {};
-try { let fnprepatch_75 = Actor.prototype.IsTemporarilyHiddenInEditor;Actor.prototype.IsTemporarilyHiddenInEditor = function (bIncludeParent = false) { return fnprepatch_75.call(this, bIncludeParent) }; } catch (e) {};
-try { let fnprepatch_76 = Actor.prototype.GetAllChildActors;Actor.prototype.GetAllChildActors = function (ChildActors, bIncludeDescendants = true) { return fnprepatch_76.call(this, ChildActors, bIncludeDescendants) }; } catch (e) {};
-try { let fnprepatch_77 = Actor.prototype.DetachRootComponentFromParent;Actor.prototype.DetachRootComponentFromParent = function (bMaintainWorldPosition = true) { return fnprepatch_77.call(this, bMaintainWorldPosition) }; } catch (e) {};
+try { let fnprepatch_1 = AssetRegistry.prototype.ScanPathsSynchronous;AssetRegistry.prototype.ScanPathsSynchronous = function (InPaths, bForceRescan = false) { return fnprepatch_1.call(this, InPaths, bForceRescan) }; } catch (e) {};
+try { let fnprepatch_2 = AssetRegistry.prototype.ScanFilesSynchronous;AssetRegistry.prototype.ScanFilesSynchronous = function (InFilePaths, bForceRescan = false) { return fnprepatch_2.call(this, InFilePaths, bForceRescan) }; } catch (e) {};
+try { let fnprepatch_3 = AssetRegistry.prototype.HasAssets;AssetRegistry.prototype.HasAssets = function (PackagePath, bRecursive = false) { return fnprepatch_3.call(this, PackagePath, bRecursive) }; } catch (e) {};
+try { let fnprepatch_4 = AssetRegistry.prototype.GetAssetsByPath;AssetRegistry.prototype.GetAssetsByPath = function (PackagePath, OutAssetData, bRecursive = false, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_4.call(this, PackagePath, OutAssetData, bRecursive, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
+try { let fnprepatch_5 = AssetRegistry.prototype.GetAssetsByPackageName;AssetRegistry.prototype.GetAssetsByPackageName = function (PackageName, OutAssetData, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_5.call(this, PackageName, OutAssetData, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
+try { let fnprepatch_6 = AssetRegistry.prototype.GetAssetsByClass;AssetRegistry.prototype.GetAssetsByClass = function (ClassName, OutAssetData, bSearchSubClasses = false) { return fnprepatch_6.call(this, ClassName, OutAssetData, bSearchSubClasses) }; } catch (e) {};
+try { let fnprepatch_7 = AssetRegistry.prototype.GetAssetByObjectPath;AssetRegistry.prototype.GetAssetByObjectPath = function (ObjectPath, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_7.call(this, ObjectPath, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
+try { let fnprepatch_8 = AssetRegistry.prototype.GetAllAssets;AssetRegistry.prototype.GetAllAssets = function (OutAssetData, bIncludeOnlyOnDiskAssets = false) { return fnprepatch_8.call(this, OutAssetData, bIncludeOnlyOnDiskAssets) }; } catch (e) {};
+try { let fnprepatch_9 = Actor.prototype.WasRecentlyRendered;Actor.prototype.WasRecentlyRendered = function (Tolerance = 0.20000000298023224) { return fnprepatch_9.call(this, Tolerance) }; } catch (e) {};
+try { let fnprepatch_10 = Actor.prototype.SetActorLabel;Actor.prototype.SetActorLabel = function (NewActorLabel, bMarkDirty = true) { return fnprepatch_10.call(this, NewActorLabel, bMarkDirty) }; } catch (e) {};
+try { let fnprepatch_11 = Actor.prototype.PrestreamTextures;Actor.prototype.PrestreamTextures = function (Seconds, bEnableStreaming, CinematicTextureGroups = 0) { return fnprepatch_11.call(this, Seconds, bEnableStreaming, CinematicTextureGroups) }; } catch (e) {};
+try { let fnprepatch_12 = Actor.prototype.MakeNoise;Actor.prototype.MakeNoise = function (Loudness = 1, NoiseInstigator = undefined, NoiseLocation, MaxRange = 0, Tag = "None") { return fnprepatch_12.call(this, Loudness, NoiseInstigator, NoiseLocation, MaxRange, Tag) }; } catch (e) {};
+try { let fnprepatch_13 = Actor.prototype.K2_DetachFromActor;Actor.prototype.K2_DetachFromActor = function (LocationRule = "KeepRelative", RotationRule = "KeepRelative", ScaleRule = "KeepRelative") { return fnprepatch_13.call(this, LocationRule, RotationRule, ScaleRule) }; } catch (e) {};
+try { let fnprepatch_14 = Actor.prototype.K2_AttachRootComponentToActor;Actor.prototype.K2_AttachRootComponentToActor = function (InParentActor, InSocketName = "None", AttachLocationType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_14.call(this, InParentActor, InSocketName, AttachLocationType, bWeldSimulatedBodies) }; } catch (e) {};
+try { let fnprepatch_15 = Actor.prototype.K2_AttachRootComponentTo;Actor.prototype.K2_AttachRootComponentTo = function (InParent, InSocketName = "None", AttachLocationType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_15.call(this, InParent, InSocketName, AttachLocationType, bWeldSimulatedBodies) }; } catch (e) {};
+try { let fnprepatch_16 = Actor.prototype.IsTemporarilyHiddenInEditor;Actor.prototype.IsTemporarilyHiddenInEditor = function (bIncludeParent = false) { return fnprepatch_16.call(this, bIncludeParent) }; } catch (e) {};
+try { let fnprepatch_17 = Actor.prototype.GetOverlappingActors;Actor.prototype.GetOverlappingActors = function (OverlappingActors, ClassFilter = null) { return fnprepatch_17.call(this, OverlappingActors, ClassFilter) }; } catch (e) {};
+try { let fnprepatch_18 = Actor.prototype.GetAllChildActors;Actor.prototype.GetAllChildActors = function (ChildActors, bIncludeDescendants = true) { return fnprepatch_18.call(this, ChildActors, bIncludeDescendants) }; } catch (e) {};
+try { let fnprepatch_19 = Actor.prototype.DetachRootComponentFromParent;Actor.prototype.DetachRootComponentFromParent = function (bMaintainWorldPosition = true) { return fnprepatch_19.call(this, bMaintainWorldPosition) }; } catch (e) {};
 try { Actor.prototype.ConstructionScript = Actor.prototype.UserConstructionScript; } catch (e) {};
 try { Actor.prototype.SnapActorTo = Actor.prototype.SnapRootComponentTo; } catch (e) {};
 try { Actor.prototype.Tick = Actor.prototype.ReceiveTick; } catch (e) {};
@@ -185,10 +89,196 @@ try { Actor.prototype.AddActorLocalRotation = Actor.prototype.K2_AddActorLocalRo
 try { Actor.prototype.AddActorLocalOffset = Actor.prototype.K2_AddActorLocalOffset; } catch (e) {};
 try { Actor.prototype.GetActorTransform = Actor.prototype.GetTransform; } catch (e) {};
 try { Actor.prototype.DetachActorFromActor = Actor.prototype.DetachRootComponentFromParent; } catch (e) {};
-try { let fnprepatch_78 = GameplayTask_ClaimResource.prototype.ClaimResources;GameplayTask_ClaimResource.prototype.ClaimResources = function (InTaskOwner, ResourceClasses, Priority = 192, TaskInstanceName = "None") { return fnprepatch_78.call(this, InTaskOwner, ResourceClasses, Priority, TaskInstanceName) }; } catch (e) {};
-try { let fnprepatch_79 = GameplayTask_ClaimResource.prototype.ClaimResource;GameplayTask_ClaimResource.prototype.ClaimResource = function (InTaskOwner, ResourceClass, Priority = 192, TaskInstanceName = "None") { return fnprepatch_79.call(this, InTaskOwner, ResourceClass, Priority, TaskInstanceName) }; } catch (e) {};
-try { let fnprepatch_80 = GameplayTask_SpawnActor.prototype.SpawnActor;GameplayTask_SpawnActor.prototype.SpawnActor = function (TaskOwner, SpawnLocation, SpawnRotation, Class, bSpawnOnlyOnAuthority = false) { return fnprepatch_80.call(this, TaskOwner, SpawnLocation, SpawnRotation, Class, bSpawnOnlyOnAuthority) }; } catch (e) {};
-try { let fnprepatch_81 = GameplayTask_WaitDelay.prototype.TaskWaitDelay;GameplayTask_WaitDelay.prototype.TaskWaitDelay = function (TaskOwner, Time, Priority = 192) { return fnprepatch_81.call(this, TaskOwner, Time, Priority) }; } catch (e) {};
+try { let fnprepatch_20 = Widget.prototype.HasMouseCaptureByUser;Widget.prototype.HasMouseCaptureByUser = function (UserIndex, PointerIndex = -1) { return fnprepatch_20.call(this, UserIndex, PointerIndex) }; } catch (e) {};
+try { Widget.prototype.HasAnyUserFocusedDescendants = Widget.prototype.HasFocusedDescendants; } catch (e) {};
+try { let fnprepatch_21 = UserWidget.prototype.SetPositionInViewport;UserWidget.prototype.SetPositionInViewport = function (Position, bRemoveDPIScale = true) { return fnprepatch_21.call(this, Position, bRemoveDPIScale) }; } catch (e) {};
+try { let fnprepatch_22 = UserWidget.prototype.SetPlaybackSpeed;UserWidget.prototype.SetPlaybackSpeed = function (InAnimation, PlaybackSpeed = 1) { return fnprepatch_22.call(this, InAnimation, PlaybackSpeed) }; } catch (e) {};
+try { let fnprepatch_23 = UserWidget.prototype.PlayAnimationTimeRange;UserWidget.prototype.PlayAnimationTimeRange = function (InAnimation, StartAtTime = 0, EndAtTime = 0, NumLoopsToPlay = 1, PlayMode = "Forward", PlaybackSpeed = 1) { return fnprepatch_23.call(this, InAnimation, StartAtTime, EndAtTime, NumLoopsToPlay, PlayMode, PlaybackSpeed) }; } catch (e) {};
+try { let fnprepatch_24 = UserWidget.prototype.PlayAnimationReverse;UserWidget.prototype.PlayAnimationReverse = function (InAnimation, PlaybackSpeed = 1) { return fnprepatch_24.call(this, InAnimation, PlaybackSpeed) }; } catch (e) {};
+try { let fnprepatch_25 = UserWidget.prototype.PlayAnimationForward;UserWidget.prototype.PlayAnimationForward = function (InAnimation, PlaybackSpeed = 1) { return fnprepatch_25.call(this, InAnimation, PlaybackSpeed) }; } catch (e) {};
+try { let fnprepatch_26 = UserWidget.prototype.PlayAnimation;UserWidget.prototype.PlayAnimation = function (InAnimation, StartAtTime = 0, NumLoopsToPlay = 1, PlayMode = "Forward", PlaybackSpeed = 1) { return fnprepatch_26.call(this, InAnimation, StartAtTime, NumLoopsToPlay, PlayMode, PlaybackSpeed) }; } catch (e) {};
+try { let fnprepatch_27 = UserWidget.prototype.BindToAnimationEvent;UserWidget.prototype.BindToAnimationEvent = function (Animation, Delegate, AnimationEvent, UserTag = "None") { return fnprepatch_27.call(this, Animation, Delegate, AnimationEvent, UserTag) }; } catch (e) {};
+try { let fnprepatch_28 = UserWidget.prototype.AddToViewport;UserWidget.prototype.AddToViewport = function (ZOrder = 0) { return fnprepatch_28.call(this, ZOrder) }; } catch (e) {};
+try { let fnprepatch_29 = UserWidget.prototype.AddToPlayerScreen;UserWidget.prototype.AddToPlayerScreen = function (ZOrder = 0) { return fnprepatch_29.call(this, ZOrder) }; } catch (e) {};
+try { let fnprepatch_30 = ViewportInteractor.prototype.GetLaserPointer;ViewportInteractor.prototype.GetLaserPointer = function (LaserPointerStart, LaserPointerEnd, bEvenIfBlocked = false, LaserLengthOverride = 0) { return fnprepatch_30.call(this, LaserPointerStart, LaserPointerEnd, bEvenIfBlocked, LaserLengthOverride) }; } catch (e) {};
+try { ViewportInteractor.prototype.HandleInputKey = ViewportInteractor.prototype.HandleInputKey_BP; } catch (e) {};
+try { ViewportInteractor.prototype.HandleInputAxis = ViewportInteractor.prototype.HandleInputAxis_BP; } catch (e) {};
+try { let fnprepatch_31 = ActorComponent.prototype.SetActive;ActorComponent.prototype.SetActive = function (bNewActive, bReset = false) { return fnprepatch_31.call(this, bNewActive, bReset) }; } catch (e) {};
+try { let fnprepatch_32 = ActorComponent.prototype.Activate;ActorComponent.prototype.Activate = function (bReset = false) { return fnprepatch_32.call(this, bReset) }; } catch (e) {};
+try { ActorComponent.prototype.Tick = ActorComponent.prototype.ReceiveTick; } catch (e) {};
+try { ActorComponent.prototype.EndPlay = ActorComponent.prototype.ReceiveEndPlay; } catch (e) {};
+try { ActorComponent.prototype.BeginPlay = ActorComponent.prototype.ReceiveBeginPlay; } catch (e) {};
+try { ActorComponent.prototype.DestroyComponent = ActorComponent.prototype.K2_DestroyComponent; } catch (e) {};
+try { ActorComponent.prototype.IsComponentBeingDestroyed = ActorComponent.prototype.IsBeingDestroyed; } catch (e) {};
+try { let fnprepatch_33 = SceneComponent.prototype.ToggleVisibility;SceneComponent.prototype.ToggleVisibility = function (bPropagateToChildren = false) { return fnprepatch_33.call(this, bPropagateToChildren) }; } catch (e) {};
+try { let fnprepatch_34 = SceneComponent.prototype.SnapTo;SceneComponent.prototype.SnapTo = function (InParent, InSocketName = "None") { return fnprepatch_34.call(this, InParent, InSocketName) }; } catch (e) {};
+try { let fnprepatch_35 = SceneComponent.prototype.SetVisibility;SceneComponent.prototype.SetVisibility = function (bNewVisibility, bPropagateToChildren = false) { return fnprepatch_35.call(this, bNewVisibility, bPropagateToChildren) }; } catch (e) {};
+try { let fnprepatch_36 = SceneComponent.prototype.SetHiddenInGame;SceneComponent.prototype.SetHiddenInGame = function (NewHidden, bPropagateToChildren = false) { return fnprepatch_36.call(this, NewHidden, bPropagateToChildren) }; } catch (e) {};
+try { let fnprepatch_37 = SceneComponent.prototype.SetAbsolute;SceneComponent.prototype.SetAbsolute = function (bNewAbsoluteLocation = false, bNewAbsoluteRotation = false, bNewAbsoluteScale = false) { return fnprepatch_37.call(this, bNewAbsoluteLocation, bNewAbsoluteRotation, bNewAbsoluteScale) }; } catch (e) {};
+try { let fnprepatch_38 = SceneComponent.prototype.K2_DetachFromComponent;SceneComponent.prototype.K2_DetachFromComponent = function (LocationRule = "KeepRelative", RotationRule = "KeepRelative", ScaleRule = "KeepRelative", bCallModify = true) { return fnprepatch_38.call(this, LocationRule, RotationRule, ScaleRule, bCallModify) }; } catch (e) {};
+try { let fnprepatch_39 = SceneComponent.prototype.K2_AttachTo;SceneComponent.prototype.K2_AttachTo = function (InParent, InSocketName = "None", AttachType = "KeepRelativeOffset", bWeldSimulatedBodies = true) { return fnprepatch_39.call(this, InParent, InSocketName, AttachType, bWeldSimulatedBodies) }; } catch (e) {};
+try { let fnprepatch_40 = SceneComponent.prototype.IsSimulatingPhysics;SceneComponent.prototype.IsSimulatingPhysics = function (BoneName = "None") { return fnprepatch_40.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_41 = SceneComponent.prototype.GetSocketTransform;SceneComponent.prototype.GetSocketTransform = function (InSocketName, TransformSpace = "RTS_World") { return fnprepatch_41.call(this, InSocketName, TransformSpace) }; } catch (e) {};
+try { let fnprepatch_42 = SceneComponent.prototype.DetachFromParent;SceneComponent.prototype.DetachFromParent = function (bMaintainWorldPosition = false, bCallModify = true) { return fnprepatch_42.call(this, bMaintainWorldPosition, bCallModify) }; } catch (e) {};
+try { SceneComponent.prototype.SetWorldTransform = SceneComponent.prototype.K2_SetWorldTransform; } catch (e) {};
+try { SceneComponent.prototype.SetWorldRotation = SceneComponent.prototype.K2_SetWorldRotation; } catch (e) {};
+try { SceneComponent.prototype.SetWorldLocationAndRotation = SceneComponent.prototype.K2_SetWorldLocationAndRotation; } catch (e) {};
+try { SceneComponent.prototype.SetWorldLocation = SceneComponent.prototype.K2_SetWorldLocation; } catch (e) {};
+try { SceneComponent.prototype.SetRelativeTransform = SceneComponent.prototype.K2_SetRelativeTransform; } catch (e) {};
+try { SceneComponent.prototype.SetRelativeRotation = SceneComponent.prototype.K2_SetRelativeRotation; } catch (e) {};
+try { SceneComponent.prototype.SetRelativeLocationAndRotation = SceneComponent.prototype.K2_SetRelativeLocationAndRotation; } catch (e) {};
+try { SceneComponent.prototype.SetRelativeLocation = SceneComponent.prototype.K2_SetRelativeLocation; } catch (e) {};
+try { SceneComponent.prototype.GetWorldTransform = SceneComponent.prototype.K2_GetComponentToWorld; } catch (e) {};
+try { SceneComponent.prototype.GetWorldScale = SceneComponent.prototype.K2_GetComponentScale; } catch (e) {};
+try { SceneComponent.prototype.GetWorldRotation = SceneComponent.prototype.K2_GetComponentRotation; } catch (e) {};
+try { SceneComponent.prototype.GetWorldLocation = SceneComponent.prototype.K2_GetComponentLocation; } catch (e) {};
+try { SceneComponent.prototype.DetachFromComponent = SceneComponent.prototype.K2_DetachFromComponent; } catch (e) {};
+try { SceneComponent.prototype.AttachToComponent = SceneComponent.prototype.K2_AttachToComponent; } catch (e) {};
+try { SceneComponent.prototype.AttachTo = SceneComponent.prototype.K2_AttachTo; } catch (e) {};
+try { SceneComponent.prototype.AddWorldTransform = SceneComponent.prototype.K2_AddWorldTransform; } catch (e) {};
+try { SceneComponent.prototype.AddWorldRotation = SceneComponent.prototype.K2_AddWorldRotation; } catch (e) {};
+try { SceneComponent.prototype.AddWorldOffset = SceneComponent.prototype.K2_AddWorldOffset; } catch (e) {};
+try { SceneComponent.prototype.AddRelativeRotation = SceneComponent.prototype.K2_AddRelativeRotation; } catch (e) {};
+try { SceneComponent.prototype.AddRelativeLocation = SceneComponent.prototype.K2_AddRelativeLocation; } catch (e) {};
+try { SceneComponent.prototype.AddLocalTransform = SceneComponent.prototype.K2_AddLocalTransform; } catch (e) {};
+try { SceneComponent.prototype.AddLocalRotation = SceneComponent.prototype.K2_AddLocalRotation; } catch (e) {};
+try { SceneComponent.prototype.AddLocalOffset = SceneComponent.prototype.K2_AddLocalOffset; } catch (e) {};
+try { let fnprepatch_43 = PrimitiveComponent.prototype.WakeRigidBody;PrimitiveComponent.prototype.WakeRigidBody = function (BoneName = "None") { return fnprepatch_43.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_44 = PrimitiveComponent.prototype.SetUseCCD;PrimitiveComponent.prototype.SetUseCCD = function (InUseCCD, BoneName = "None") { return fnprepatch_44.call(this, InUseCCD, BoneName) }; } catch (e) {};
+try { let fnprepatch_45 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInRadians;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInRadians = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_45.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_46 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInDegrees;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocityInDegrees = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_46.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_47 = PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocity;PrimitiveComponent.prototype.SetPhysicsMaxAngularVelocity = function (NewMaxAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_47.call(this, NewMaxAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_48 = PrimitiveComponent.prototype.SetPhysicsLinearVelocity;PrimitiveComponent.prototype.SetPhysicsLinearVelocity = function (NewVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_48.call(this, NewVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_49 = PrimitiveComponent.prototype.SetPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.SetPhysicsAngularVelocityInRadians = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_49.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_50 = PrimitiveComponent.prototype.SetPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.SetPhysicsAngularVelocityInDegrees = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_50.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_51 = PrimitiveComponent.prototype.SetPhysicsAngularVelocity;PrimitiveComponent.prototype.SetPhysicsAngularVelocity = function (NewAngVel, bAddToCurrent = false, BoneName = "None") { return fnprepatch_51.call(this, NewAngVel, bAddToCurrent, BoneName) }; } catch (e) {};
+try { let fnprepatch_52 = PrimitiveComponent.prototype.SetMassScale;PrimitiveComponent.prototype.SetMassScale = function (BoneName = "None", InMassScale = 1) { return fnprepatch_52.call(this, BoneName, InMassScale) }; } catch (e) {};
+try { let fnprepatch_53 = PrimitiveComponent.prototype.SetMassOverrideInKg;PrimitiveComponent.prototype.SetMassOverrideInKg = function (BoneName = "None", MassInKg = 1, bOverrideMass = true) { return fnprepatch_53.call(this, BoneName, MassInKg, bOverrideMass) }; } catch (e) {};
+try { let fnprepatch_54 = PrimitiveComponent.prototype.SetCenterOfMass;PrimitiveComponent.prototype.SetCenterOfMass = function (CenterOfMassOffset, BoneName = "None") { return fnprepatch_54.call(this, CenterOfMassOffset, BoneName) }; } catch (e) {};
+try { let fnprepatch_55 = PrimitiveComponent.prototype.SetBoundsScale;PrimitiveComponent.prototype.SetBoundsScale = function (NewBoundsScale = 1) { return fnprepatch_55.call(this, NewBoundsScale) }; } catch (e) {};
+try { let fnprepatch_56 = PrimitiveComponent.prototype.SetAllPhysicsLinearVelocity;PrimitiveComponent.prototype.SetAllPhysicsLinearVelocity = function (NewVel, bAddToCurrent = false) { return fnprepatch_56.call(this, NewVel, bAddToCurrent) }; } catch (e) {};
+try { let fnprepatch_57 = PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInRadians = function (NewAngVel, bAddToCurrent = false) { return fnprepatch_57.call(this, NewAngVel, bAddToCurrent) }; } catch (e) {};
+try { let fnprepatch_58 = PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.SetAllPhysicsAngularVelocityInDegrees = function (NewAngVel, bAddToCurrent = false) { return fnprepatch_58.call(this, NewAngVel, bAddToCurrent) }; } catch (e) {};
+try { let fnprepatch_59 = PrimitiveComponent.prototype.SetAllMassScale;PrimitiveComponent.prototype.SetAllMassScale = function (InMassScale = 1) { return fnprepatch_59.call(this, InMassScale) }; } catch (e) {};
+try { let fnprepatch_60 = PrimitiveComponent.prototype.ScaleByMomentOfInertia;PrimitiveComponent.prototype.ScaleByMomentOfInertia = function (InputVector, BoneName = "None") { return fnprepatch_60.call(this, InputVector, BoneName) }; } catch (e) {};
+try { let fnprepatch_61 = PrimitiveComponent.prototype.PutRigidBodyToSleep;PrimitiveComponent.prototype.PutRigidBodyToSleep = function (BoneName = "None") { return fnprepatch_61.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_62 = PrimitiveComponent.prototype.GetPhysicsLinearVelocityAtPoint;PrimitiveComponent.prototype.GetPhysicsLinearVelocityAtPoint = function (Point, BoneName = "None") { return fnprepatch_62.call(this, Point, BoneName) }; } catch (e) {};
+try { let fnprepatch_63 = PrimitiveComponent.prototype.GetPhysicsLinearVelocity;PrimitiveComponent.prototype.GetPhysicsLinearVelocity = function (BoneName = "None") { return fnprepatch_63.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_64 = PrimitiveComponent.prototype.GetPhysicsAngularVelocityInRadians;PrimitiveComponent.prototype.GetPhysicsAngularVelocityInRadians = function (BoneName = "None") { return fnprepatch_64.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_65 = PrimitiveComponent.prototype.GetPhysicsAngularVelocityInDegrees;PrimitiveComponent.prototype.GetPhysicsAngularVelocityInDegrees = function (BoneName = "None") { return fnprepatch_65.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_66 = PrimitiveComponent.prototype.GetPhysicsAngularVelocity;PrimitiveComponent.prototype.GetPhysicsAngularVelocity = function (BoneName = "None") { return fnprepatch_66.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_67 = PrimitiveComponent.prototype.GetOverlappingActors;PrimitiveComponent.prototype.GetOverlappingActors = function (OverlappingActors, ClassFilter = null) { return fnprepatch_67.call(this, OverlappingActors, ClassFilter) }; } catch (e) {};
+try { let fnprepatch_68 = PrimitiveComponent.prototype.GetMassScale;PrimitiveComponent.prototype.GetMassScale = function (BoneName = "None") { return fnprepatch_68.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_69 = PrimitiveComponent.prototype.GetInertiaTensor;PrimitiveComponent.prototype.GetInertiaTensor = function (BoneName = "None") { return fnprepatch_69.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_70 = PrimitiveComponent.prototype.GetClosestPointOnCollision;PrimitiveComponent.prototype.GetClosestPointOnCollision = function (Point, OutPointOnBody, BoneName = "None") { return fnprepatch_70.call(this, Point, OutPointOnBody, BoneName) }; } catch (e) {};
+try { let fnprepatch_71 = PrimitiveComponent.prototype.GetCenterOfMass;PrimitiveComponent.prototype.GetCenterOfMass = function (BoneName = "None") { return fnprepatch_71.call(this, BoneName) }; } catch (e) {};
+try { let fnprepatch_72 = PrimitiveComponent.prototype.CreateDynamicMaterialInstance;PrimitiveComponent.prototype.CreateDynamicMaterialInstance = function (ElementIndex, SourceMaterial = undefined, OptionalName = "None") { return fnprepatch_72.call(this, ElementIndex, SourceMaterial, OptionalName) }; } catch (e) {};
+try { let fnprepatch_73 = PrimitiveComponent.prototype.AddTorqueInRadians;PrimitiveComponent.prototype.AddTorqueInRadians = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_73.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
+try { let fnprepatch_74 = PrimitiveComponent.prototype.AddTorqueInDegrees;PrimitiveComponent.prototype.AddTorqueInDegrees = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_74.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
+try { let fnprepatch_75 = PrimitiveComponent.prototype.AddTorque;PrimitiveComponent.prototype.AddTorque = function (Torque, BoneName = "None", bAccelChange = false) { return fnprepatch_75.call(this, Torque, BoneName, bAccelChange) }; } catch (e) {};
+try { let fnprepatch_76 = PrimitiveComponent.prototype.AddRadialImpulse;PrimitiveComponent.prototype.AddRadialImpulse = function (Origin, Radius, Strength, Falloff, bVelChange = false) { return fnprepatch_76.call(this, Origin, Radius, Strength, Falloff, bVelChange) }; } catch (e) {};
+try { let fnprepatch_77 = PrimitiveComponent.prototype.AddRadialForce;PrimitiveComponent.prototype.AddRadialForce = function (Origin, Radius, Strength, Falloff, bAccelChange = false) { return fnprepatch_77.call(this, Origin, Radius, Strength, Falloff, bAccelChange) }; } catch (e) {};
+try { let fnprepatch_78 = PrimitiveComponent.prototype.AddImpulseAtLocation;PrimitiveComponent.prototype.AddImpulseAtLocation = function (Impulse, Location, BoneName = "None") { return fnprepatch_78.call(this, Impulse, Location, BoneName) }; } catch (e) {};
+try { let fnprepatch_79 = PrimitiveComponent.prototype.AddImpulse;PrimitiveComponent.prototype.AddImpulse = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_79.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
+try { let fnprepatch_80 = PrimitiveComponent.prototype.AddForceAtLocationLocal;PrimitiveComponent.prototype.AddForceAtLocationLocal = function (Force, Location, BoneName = "None") { return fnprepatch_80.call(this, Force, Location, BoneName) }; } catch (e) {};
+try { let fnprepatch_81 = PrimitiveComponent.prototype.AddForceAtLocation;PrimitiveComponent.prototype.AddForceAtLocation = function (Force, Location, BoneName = "None") { return fnprepatch_81.call(this, Force, Location, BoneName) }; } catch (e) {};
+try { let fnprepatch_82 = PrimitiveComponent.prototype.AddForce;PrimitiveComponent.prototype.AddForce = function (Force, BoneName = "None", bAccelChange = false) { return fnprepatch_82.call(this, Force, BoneName, bAccelChange) }; } catch (e) {};
+try { let fnprepatch_83 = PrimitiveComponent.prototype.AddAngularImpulseInRadians;PrimitiveComponent.prototype.AddAngularImpulseInRadians = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_83.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
+try { let fnprepatch_84 = PrimitiveComponent.prototype.AddAngularImpulseInDegrees;PrimitiveComponent.prototype.AddAngularImpulseInDegrees = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_84.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
+try { let fnprepatch_85 = PrimitiveComponent.prototype.AddAngularImpulse;PrimitiveComponent.prototype.AddAngularImpulse = function (Impulse, BoneName = "None", bVelChange = false) { return fnprepatch_85.call(this, Impulse, BoneName, bVelChange) }; } catch (e) {};
+try { PrimitiveComponent.prototype.SetPhysicalMaterialOverride = PrimitiveComponent.prototype.SetPhysMaterialOverride; } catch (e) {};
+try { PrimitiveComponent.prototype.SetMaxDrawDistance = PrimitiveComponent.prototype.SetCullDistance; } catch (e) {};
+try { PrimitiveComponent.prototype.SphereTraceComponent = PrimitiveComponent.prototype.K2_SphereTraceComponent; } catch (e) {};
+try { PrimitiveComponent.prototype.SphereOverlapComponent = PrimitiveComponent.prototype.K2_SphereOverlapComponent; } catch (e) {};
+try { PrimitiveComponent.prototype.LineTraceComponent = PrimitiveComponent.prototype.K2_LineTraceComponent; } catch (e) {};
+try { PrimitiveComponent.prototype.IsQueryCollisionEnabled = PrimitiveComponent.prototype.K2_IsQueryCollisionEnabled; } catch (e) {};
+try { PrimitiveComponent.prototype.IsPhysicsCollisionEnabled = PrimitiveComponent.prototype.K2_IsPhysicsCollisionEnabled; } catch (e) {};
+try { PrimitiveComponent.prototype.IsCollisionEnabled = PrimitiveComponent.prototype.K2_IsCollisionEnabled; } catch (e) {};
+try { PrimitiveComponent.prototype.BoxOverlapComponent = PrimitiveComponent.prototype.K2_BoxOverlapComponent; } catch (e) {};
+try { PrimitiveComponent.prototype.CreateMIDForElementFromMaterial = PrimitiveComponent.prototype.CreateAndSetMaterialInstanceDynamicFromMaterial; } catch (e) {};
+try { PrimitiveComponent.prototype.CreateMIDForElement = PrimitiveComponent.prototype.CreateAndSetMaterialInstanceDynamic; } catch (e) {};
+try { PrimitiveComponent.prototype.GetMoveIgnoreComponents = PrimitiveComponent.prototype.CopyArrayOfMoveIgnoreComponents; } catch (e) {};
+try { PrimitiveComponent.prototype.GetMoveIgnoreActors = PrimitiveComponent.prototype.CopyArrayOfMoveIgnoreActors; } catch (e) {};
+try { let fnprepatch_86 = MeshComponent.prototype.PrestreamTextures;MeshComponent.prototype.PrestreamTextures = function (Seconds, bPrioritizeCharacterTextures, CinematicTextureGroups = 0) { return fnprepatch_86.call(this, Seconds, bPrioritizeCharacterTextures, CinematicTextureGroups) }; } catch (e) {};
+try { let fnprepatch_87 = MaterialEditingLibrary.prototype.UpdateMaterialFunction;MaterialEditingLibrary.prototype.UpdateMaterialFunction = function (MaterialFunction, PreviewMaterial = undefined) { return fnprepatch_87.call(this, MaterialFunction, PreviewMaterial) }; } catch (e) {};
+try { let fnprepatch_88 = MaterialEditingLibrary.prototype.CreateMaterialExpressionInFunction;MaterialEditingLibrary.prototype.CreateMaterialExpressionInFunction = function (MaterialFunction, ExpressionClass, NodePosX = 0, NodePosY = 0) { return fnprepatch_88.call(this, MaterialFunction, ExpressionClass, NodePosX, NodePosY) }; } catch (e) {};
+try { let fnprepatch_89 = MaterialEditingLibrary.prototype.CreateMaterialExpression;MaterialEditingLibrary.prototype.CreateMaterialExpression = function (Material, ExpressionClass, NodePosX = 0, NodePosY = 0) { return fnprepatch_89.call(this, Material, ExpressionClass, NodePosX, NodePosY) }; } catch (e) {};
+try { let fnprepatch_90 = ARBlueprintLibrary.prototype.PinComponentToTraceResult;ARBlueprintLibrary.prototype.PinComponentToTraceResult = function (ComponentToPin, TraceResult, DebugName = "None") { return fnprepatch_90.call(this, ComponentToPin, TraceResult, DebugName) }; } catch (e) {};
+try { let fnprepatch_91 = ARBlueprintLibrary.prototype.PinComponent;ARBlueprintLibrary.prototype.PinComponent = function (ComponentToPin, PinToWorldTransform, TrackedGeometry = undefined, DebugName = "None") { return fnprepatch_91.call(this, ComponentToPin, PinToWorldTransform, TrackedGeometry, DebugName) }; } catch (e) {};
+try { let fnprepatch_92 = ARBlueprintLibrary.prototype.LineTraceTrackedObjects3D;ARBlueprintLibrary.prototype.LineTraceTrackedObjects3D = function (Start, End, bTestFeaturePoints = true, bTestGroundPlane = true, bTestPlaneExtents = true, bTestPlaneBoundaryPolygon = true) { return fnprepatch_92.call(this, Start, End, bTestFeaturePoints, bTestGroundPlane, bTestPlaneExtents, bTestPlaneBoundaryPolygon) }; } catch (e) {};
+try { let fnprepatch_93 = ARBlueprintLibrary.prototype.LineTraceTrackedObjects;ARBlueprintLibrary.prototype.LineTraceTrackedObjects = function (ScreenCoord, bTestFeaturePoints = true, bTestGroundPlane = true, bTestPlaneExtents = true, bTestPlaneBoundaryPolygon = true) { return fnprepatch_93.call(this, ScreenCoord, bTestFeaturePoints, bTestGroundPlane, bTestPlaneExtents, bTestPlaneBoundaryPolygon) }; } catch (e) {};
+try { let fnprepatch_94 = ARBlueprintLibrary.prototype.DebugDrawTrackedGeometry;ARBlueprintLibrary.prototype.DebugDrawTrackedGeometry = function (TrackedGeometry, WorldContextObject, Color = {"R":1,"G":1,"B":0,"A":0.75}, OutlineThickness = 5, PersistForSeconds = 0) { return fnprepatch_94.call(this, TrackedGeometry, WorldContextObject, Color, OutlineThickness, PersistForSeconds) }; } catch (e) {};
+try { let fnprepatch_95 = ARBlueprintLibrary.prototype.DebugDrawPin;ARBlueprintLibrary.prototype.DebugDrawPin = function (ARPin, WorldContextObject, Color = {"R":1,"G":1,"B":0,"A":0.75}, Scale = 5, PersistForSeconds = 0) { return fnprepatch_95.call(this, ARPin, WorldContextObject, Color, Scale, PersistForSeconds) }; } catch (e) {};
+try { ARBlueprintLibrary.prototype.SetARAlignmentTransform = ARBlueprintLibrary.prototype.SetAlignmentTransform; } catch (e) {};
+try { ARBlueprintLibrary.SetARAlignmentTransform = ARBlueprintLibrary.SetAlignmentTransform; } catch (e) {};
+try { ARBlueprintLibrary.prototype.IsARSessionTypeSupported = ARBlueprintLibrary.prototype.IsSessionTypeSupported; } catch (e) {};
+try { ARBlueprintLibrary.IsARSessionTypeSupported = ARBlueprintLibrary.IsSessionTypeSupported; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARWorldMappingStatus = ARBlueprintLibrary.prototype.GetWorldMappingStatus; } catch (e) {};
+try { ARBlueprintLibrary.GetARWorldMappingStatus = ARBlueprintLibrary.GetWorldMappingStatus; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARTrackingQuality = ARBlueprintLibrary.prototype.GetTrackingQuality; } catch (e) {};
+try { ARBlueprintLibrary.GetARTrackingQuality = ARBlueprintLibrary.GetTrackingQuality; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetSupportedARVideoFormats = ARBlueprintLibrary.prototype.GetSupportedVideoFormats; } catch (e) {};
+try { ARBlueprintLibrary.GetSupportedARVideoFormats = ARBlueprintLibrary.GetSupportedVideoFormats; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARSessionConfig = ARBlueprintLibrary.prototype.GetSessionConfig; } catch (e) {};
+try { ARBlueprintLibrary.GetARSessionConfig = ARBlueprintLibrary.GetSessionConfig; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARPointCloud = ARBlueprintLibrary.prototype.GetPointCloud; } catch (e) {};
+try { ARBlueprintLibrary.GetARPointCloud = ARBlueprintLibrary.GetPointCloud; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARCameraImage = ARBlueprintLibrary.prototype.GetCameraImage; } catch (e) {};
+try { ARBlueprintLibrary.GetARCameraImage = ARBlueprintLibrary.GetCameraImage; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetARCameraDepth = ARBlueprintLibrary.prototype.GetCameraDepth; } catch (e) {};
+try { ARBlueprintLibrary.GetARCameraDepth = ARBlueprintLibrary.GetCameraDepth; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetAllARTrackedPlanes = ARBlueprintLibrary.prototype.GetAllTrackedPlanes; } catch (e) {};
+try { ARBlueprintLibrary.GetAllARTrackedPlanes = ARBlueprintLibrary.GetAllTrackedPlanes; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetAllARTrackedImages = ARBlueprintLibrary.prototype.GetAllTrackedImages; } catch (e) {};
+try { ARBlueprintLibrary.GetAllARTrackedImages = ARBlueprintLibrary.GetAllTrackedImages; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetAllARTrackedEnvironmentProbes = ARBlueprintLibrary.prototype.GetAllTrackedEnvironmentCaptureProbes; } catch (e) {};
+try { ARBlueprintLibrary.GetAllARTrackedEnvironmentProbes = ARBlueprintLibrary.GetAllTrackedEnvironmentCaptureProbes; } catch (e) {};
+try { ARBlueprintLibrary.prototype.GetAllARGeometries = ARBlueprintLibrary.prototype.GetAllGeometries; } catch (e) {};
+try { ARBlueprintLibrary.GetAllARGeometries = ARBlueprintLibrary.GetAllGeometries; } catch (e) {};
+try { ARBlueprintLibrary.prototype.AddAREnvironmentProbe = ARBlueprintLibrary.prototype.AddManualEnvironmentCaptureProbe; } catch (e) {};
+try { ARBlueprintLibrary.AddAREnvironmentProbe = ARBlueprintLibrary.AddManualEnvironmentCaptureProbe; } catch (e) {};
+try { ARSaveWorldAsyncTaskBlueprintProxy.prototype.SaveARWorld = ARSaveWorldAsyncTaskBlueprintProxy.prototype.ARSaveWorld; } catch (e) {};
+try { ARSaveWorldAsyncTaskBlueprintProxy.SaveARWorld = ARSaveWorldAsyncTaskBlueprintProxy.ARSaveWorld; } catch (e) {};
+try { ARGetCandidateObjectAsyncTaskBlueprintProxy.prototype.GetARCandidateObject = ARGetCandidateObjectAsyncTaskBlueprintProxy.prototype.ARGetCandidateObject; } catch (e) {};
+try { ARGetCandidateObjectAsyncTaskBlueprintProxy.GetARCandidateObject = ARGetCandidateObjectAsyncTaskBlueprintProxy.ARGetCandidateObject; } catch (e) {};
+try { GameModeBase.prototype.OnPostLogin = GameModeBase.prototype.K2_PostLogin; } catch (e) {};
+try { GameModeBase.prototype.OnSwapPlayerControllers = GameModeBase.prototype.K2_OnSwapPlayerControllers; } catch (e) {};
+try { GameModeBase.prototype.OnRestartPlayer = GameModeBase.prototype.K2_OnRestartPlayer; } catch (e) {};
+try { GameModeBase.prototype.OnLogout = GameModeBase.prototype.K2_OnLogout; } catch (e) {};
+try { GameModeBase.prototype.OnChangeName = GameModeBase.prototype.K2_OnChangeName; } catch (e) {};
+try { GameModeBase.prototype.FindPlayerStart = GameModeBase.prototype.K2_FindPlayerStart; } catch (e) {};
+try { GameMode.prototype.OnSetMatchState = GameMode.prototype.K2_OnSetMatchState; } catch (e) {};
+try { ARSharedWorldGameMode.prototype.SetARPreviewImageData = ARSharedWorldGameMode.prototype.SetPreviewImageData; } catch (e) {};
+try { ARSharedWorldGameState.prototype.OnARWorldMapIsReady = ARSharedWorldGameState.prototype.K2_OnARWorldMapIsReady; } catch (e) {};
+try { let fnprepatch_96 = Controller.prototype.LineOfSightTo;Controller.prototype.LineOfSightTo = function (Other, ViewPoint, bAlternateChecks = false) { return fnprepatch_96.call(this, Other, ViewPoint, bAlternateChecks) }; } catch (e) {};
+try { Controller.prototype.OnUnPossess = Controller.prototype.ReceiveUnPossess; } catch (e) {};
+try { Controller.prototype.OnPossess = Controller.prototype.ReceivePossess; } catch (e) {};
+try { Controller.prototype.GetControlledPawn = Controller.prototype.K2_GetPawn; } catch (e) {};
+try { let fnprepatch_97 = PlayerController.prototype.StartFire;PlayerController.prototype.StartFire = function (FireModeNum = 0) { return fnprepatch_97.call(this, FireModeNum) }; } catch (e) {};
+try { let fnprepatch_98 = PlayerController.prototype.SetViewTargetWithBlend;PlayerController.prototype.SetViewTargetWithBlend = function (NewViewTarget, BlendTime = 0, BlendFunc = "VTBlend_Linear", BlendExp = 0, bLockOutgoing = false) { return fnprepatch_98.call(this, NewViewTarget, BlendTime, BlendFunc, BlendExp, bLockOutgoing) }; } catch (e) {};
+try { let fnprepatch_99 = PlayerController.prototype.ProjectWorldLocationToScreen;PlayerController.prototype.ProjectWorldLocationToScreen = function (WorldLocation, ScreenLocation, bPlayerViewportRelative = false) { return fnprepatch_99.call(this, WorldLocation, ScreenLocation, bPlayerViewportRelative) }; } catch (e) {};
+try { let fnprepatch_100 = PlayerController.prototype.PlayHapticEffect;PlayerController.prototype.PlayHapticEffect = function (HapticEffect, Hand, Scale = 1, bLoop = false) { return fnprepatch_100.call(this, HapticEffect, Hand, Scale, bLoop) }; } catch (e) {};
+try { let fnprepatch_101 = PlayerController.prototype.ClientStopCameraShake;PlayerController.prototype.ClientStopCameraShake = function (Shake, bImmediately = true) { return fnprepatch_101.call(this, Shake, bImmediately) }; } catch (e) {};
+try { let fnprepatch_102 = PlayerController.prototype.ClientPlayCameraShake;PlayerController.prototype.ClientPlayCameraShake = function (Shake, Scale = 1, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_102.call(this, Shake, Scale, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
+try { let fnprepatch_103 = PlayerController.prototype.ClientPlayCameraAnim;PlayerController.prototype.ClientPlayCameraAnim = function (AnimToPlay, Scale = 1, Rate = 1, BlendInTime = 0, BlendOutTime = 0, bLoop = false, bRandomStartTime = false, Space = "CameraLocal", CustomPlaySpace) { return fnprepatch_103.call(this, AnimToPlay, Scale, Rate, BlendInTime, BlendOutTime, bLoop, bRandomStartTime, Space, CustomPlaySpace) }; } catch (e) {};
+try { PlayerController.prototype.SetInputModeGameAndUI = PlayerController.prototype.SetInputMode_GameAndUI; } catch (e) {};
+try { PlayerController.prototype.SetInputModeGameAndUI = PlayerController.prototype.SetInputMode_GameAndUIEx; } catch (e) {};
+try { PlayerController.prototype.SetInputModeUIOnly = PlayerController.prototype.SetInputMode_UIOnly; } catch (e) {};
+try { PlayerController.prototype.SetInputModeUIOnly = PlayerController.prototype.SetInputMode_UIOnlyEx; } catch (e) {};
+try { PlayerController.prototype.SetMousePosition = PlayerController.prototype.SetMouseLocation; } catch (e) {};
+try { PlayerController.prototype.ConvertWorldLocationToScreenLocation = PlayerController.prototype.ProjectWorldLocationToScreen; } catch (e) {};
+try { PlayerController.prototype.ClientPlayForceFeedback = PlayerController.prototype.K2_ClientPlayForceFeedback; } catch (e) {};
+try { PlayerController.prototype.ConvertScreenLocationToWorldSpace = PlayerController.prototype.DeprojectScreenPositionToWorld; } catch (e) {};
+try { PlayerController.prototype.ConvertMouseLocationToWorldSpace = PlayerController.prototype.DeprojectMousePositionToWorld; } catch (e) {};
+try { let fnprepatch_104 = HeadMountedDisplayFunctionLibrary.prototype.SetWorldToMetersScale;HeadMountedDisplayFunctionLibrary.prototype.SetWorldToMetersScale = function (WorldContext, NewScale = 100) { return fnprepatch_104.call(this, WorldContext, NewScale) }; } catch (e) {};
+try { let fnprepatch_105 = HeadMountedDisplayFunctionLibrary.prototype.SetSpectatorScreenModeTexturePlusEyeLayout;HeadMountedDisplayFunctionLibrary.prototype.SetSpectatorScreenModeTexturePlusEyeLayout = function (EyeRectMin, EyeRectMax, TextureRectMin, TextureRectMax, bDrawEyeFirst = true, bClearBlack = false, bUseAlpha = false) { return fnprepatch_105.call(this, EyeRectMin, EyeRectMax, TextureRectMin, TextureRectMax, bDrawEyeFirst, bClearBlack, bUseAlpha) }; } catch (e) {};
+try { let fnprepatch_106 = HeadMountedDisplayFunctionLibrary.prototype.ResetOrientationAndPosition;HeadMountedDisplayFunctionLibrary.prototype.ResetOrientationAndPosition = function (Yaw = 0, Options = "OrientationAndPosition") { return fnprepatch_106.call(this, Yaw, Options) }; } catch (e) {};
+try { let fnprepatch_107 = HeadMountedDisplayFunctionLibrary.prototype.GetTrackingSensorParameters;HeadMountedDisplayFunctionLibrary.prototype.GetTrackingSensorParameters = function (Origin, Rotation, LeftFOV, RightFOV, TopFOV, BottomFOV, Distance, NearPlane, FarPlane, IsActive, Index = 0) { return fnprepatch_107.call(this, Origin, Rotation, LeftFOV, RightFOV, TopFOV, BottomFOV, Distance, NearPlane, FarPlane, IsActive, Index) }; } catch (e) {};
+try { let fnprepatch_108 = HeadMountedDisplayFunctionLibrary.prototype.EnumerateTrackedDevices;HeadMountedDisplayFunctionLibrary.prototype.EnumerateTrackedDevices = function (SystemId = "None", DeviceType = "HeadMountedDisplay") { return fnprepatch_108.call(this, SystemId, DeviceType) }; } catch (e) {};
+try { let fnprepatch_109 = GameplayTask_ClaimResource.prototype.ClaimResources;GameplayTask_ClaimResource.prototype.ClaimResources = function (InTaskOwner, ResourceClasses, Priority = 192, TaskInstanceName = "None") { return fnprepatch_109.call(this, InTaskOwner, ResourceClasses, Priority, TaskInstanceName) }; } catch (e) {};
+try { let fnprepatch_110 = GameplayTask_ClaimResource.prototype.ClaimResource;GameplayTask_ClaimResource.prototype.ClaimResource = function (InTaskOwner, ResourceClass, Priority = 192, TaskInstanceName = "None") { return fnprepatch_110.call(this, InTaskOwner, ResourceClass, Priority, TaskInstanceName) }; } catch (e) {};
+try { let fnprepatch_111 = GameplayTask_SpawnActor.prototype.SpawnActor;GameplayTask_SpawnActor.prototype.SpawnActor = function (TaskOwner, SpawnLocation, SpawnRotation, Class, bSpawnOnlyOnAuthority = false) { return fnprepatch_111.call(this, TaskOwner, SpawnLocation, SpawnRotation, Class, bSpawnOnlyOnAuthority) }; } catch (e) {};
+try { let fnprepatch_112 = GameplayTask_WaitDelay.prototype.TaskWaitDelay;GameplayTask_WaitDelay.prototype.TaskWaitDelay = function (TaskOwner, Time, Priority = 192) { return fnprepatch_112.call(this, TaskOwner, Time, Priority) }; } catch (e) {};
 try { BlueprintGameplayTagLibrary.prototype.NotEqual = BlueprintGameplayTagLibrary.prototype.NotEqual_GameplayTagContainer; } catch (e) {};
 try { BlueprintGameplayTagLibrary.NotEqual = BlueprintGameplayTagLibrary.NotEqual_GameplayTagContainer; } catch (e) {};
 try { BlueprintGameplayTagLibrary.prototype.NotEqual = BlueprintGameplayTagLibrary.prototype.NotEqual_GameplayTag; } catch (e) {};
@@ -197,128 +287,183 @@ try { BlueprintGameplayTagLibrary.prototype.Equal = BlueprintGameplayTagLibrary.
 try { BlueprintGameplayTagLibrary.Equal = BlueprintGameplayTagLibrary.EqualEqual_GameplayTagContainer; } catch (e) {};
 try { BlueprintGameplayTagLibrary.prototype.Equal = BlueprintGameplayTagLibrary.prototype.EqualEqual_GameplayTag; } catch (e) {};
 try { BlueprintGameplayTagLibrary.Equal = BlueprintGameplayTagLibrary.EqualEqual_GameplayTag; } catch (e) {};
-try { let fnprepatch_82 = AIBlueprintHelperLibrary.prototype.SpawnAIFromClass;AIBlueprintHelperLibrary.prototype.SpawnAIFromClass = function (WorldContextObject, PawnClass, BehaviorTree, Location, Rotation, bNoCollisionFail = false) { return fnprepatch_82.call(this, WorldContextObject, PawnClass, BehaviorTree, Location, Rotation, bNoCollisionFail) }; } catch (e) {};
-try { let fnprepatch_83 = AIBlueprintHelperLibrary.prototype.SendAIMessage;AIBlueprintHelperLibrary.prototype.SendAIMessage = function (Target, Message, MessageSource, bSuccess = true) { return fnprepatch_83.call(this, Target, Message, MessageSource, bSuccess) }; } catch (e) {};
-try { let fnprepatch_84 = AIBlueprintHelperLibrary.prototype.CreateMoveToProxyObject;AIBlueprintHelperLibrary.prototype.CreateMoveToProxyObject = function (WorldContextObject, Pawn, Destination, TargetActor, AcceptanceRadius = 5, bStopOnOverlap = false) { return fnprepatch_84.call(this, WorldContextObject, Pawn, Destination, TargetActor, AcceptanceRadius, bStopOnOverlap) }; } catch (e) {};
-try { let fnprepatch_85 = Controller.prototype.LineOfSightTo;Controller.prototype.LineOfSightTo = function (Other, ViewPoint, bAlternateChecks = false) { return fnprepatch_85.call(this, Other, ViewPoint, bAlternateChecks) }; } catch (e) {};
-try { Controller.prototype.GetControlledPawn = Controller.prototype.K2_GetPawn; } catch (e) {};
-try { let fnprepatch_86 = AIController.prototype.MoveToLocation;AIController.prototype.MoveToLocation = function (Dest, AcceptanceRadius = -1, bStopOnOverlap = true, bUsePathfinding = true, bProjectDestinationToNavigation = false, bCanStrafe = true, FilterClass, bAllowPartialPath = true) { return fnprepatch_86.call(this, Dest, AcceptanceRadius, bStopOnOverlap, bUsePathfinding, bProjectDestinationToNavigation, bCanStrafe, FilterClass, bAllowPartialPath) }; } catch (e) {};
-try { let fnprepatch_87 = AIController.prototype.MoveToActor;AIController.prototype.MoveToActor = function (Goal, AcceptanceRadius = -1, bStopOnOverlap = true, bUsePathfinding = true, bCanStrafe = true, FilterClass, bAllowPartialPath = true) { return fnprepatch_87.call(this, Goal, AcceptanceRadius, bStopOnOverlap, bUsePathfinding, bCanStrafe, FilterClass, bAllowPartialPath) }; } catch (e) {};
+try { let fnprepatch_113 = AIBlueprintHelperLibrary.prototype.SpawnAIFromClass;AIBlueprintHelperLibrary.prototype.SpawnAIFromClass = function (WorldContextObject, PawnClass, BehaviorTree, Location, Rotation, bNoCollisionFail = false) { return fnprepatch_113.call(this, WorldContextObject, PawnClass, BehaviorTree, Location, Rotation, bNoCollisionFail) }; } catch (e) {};
+try { let fnprepatch_114 = AIBlueprintHelperLibrary.prototype.SendAIMessage;AIBlueprintHelperLibrary.prototype.SendAIMessage = function (Target, Message, MessageSource, bSuccess = true) { return fnprepatch_114.call(this, Target, Message, MessageSource, bSuccess) }; } catch (e) {};
+try { let fnprepatch_115 = AIBlueprintHelperLibrary.prototype.CreateMoveToProxyObject;AIBlueprintHelperLibrary.prototype.CreateMoveToProxyObject = function (WorldContextObject, Pawn, Destination, TargetActor = undefined, AcceptanceRadius = 5, bStopOnOverlap = false) { return fnprepatch_115.call(this, WorldContextObject, Pawn, Destination, TargetActor, AcceptanceRadius, bStopOnOverlap) }; } catch (e) {};
+try { let fnprepatch_116 = AIController.prototype.MoveToLocation;AIController.prototype.MoveToLocation = function (Dest, AcceptanceRadius = -1, bStopOnOverlap = true, bUsePathfinding = true, bProjectDestinationToNavigation = false, bCanStrafe = true, FilterClass = null, bAllowPartialPath = true) { return fnprepatch_116.call(this, Dest, AcceptanceRadius, bStopOnOverlap, bUsePathfinding, bProjectDestinationToNavigation, bCanStrafe, FilterClass, bAllowPartialPath) }; } catch (e) {};
+try { let fnprepatch_117 = AIController.prototype.MoveToActor;AIController.prototype.MoveToActor = function (Goal, AcceptanceRadius = -1, bStopOnOverlap = true, bUsePathfinding = true, bCanStrafe = true, FilterClass = null, bAllowPartialPath = true) { return fnprepatch_117.call(this, Goal, AcceptanceRadius, bStopOnOverlap, bUsePathfinding, bCanStrafe, FilterClass, bAllowPartialPath) }; } catch (e) {};
 try { AIController.prototype.SetFocus = AIController.prototype.K2_SetFocus; } catch (e) {};
 try { AIController.prototype.SetFocalPoint = AIController.prototype.K2_SetFocalPoint; } catch (e) {};
 try { AIController.prototype.ClearFocus = AIController.prototype.K2_ClearFocus; } catch (e) {};
 try { AISense_Blueprint.prototype.OnNewPawn = AISense_Blueprint.prototype.K2_OnNewPawn; } catch (e) {};
-try { let fnprepatch_88 = AISense_Hearing.prototype.ReportNoiseEvent;AISense_Hearing.prototype.ReportNoiseEvent = function (WorldContextObject, NoiseLocation, Loudness = 1, Instigator, MaxRange = 0, Tag = "None") { return fnprepatch_88.call(this, WorldContextObject, NoiseLocation, Loudness, Instigator, MaxRange, Tag) }; } catch (e) {};
-try { let fnprepatch_89 = AITask_MoveTo.prototype.AIMoveTo;AITask_MoveTo.prototype.AIMoveTo = function (Controller, GoalLocation, GoalActor, AcceptanceRadius = -1, StopOnOverlap = "Default", AcceptPartialPath = "Default", bUsePathfinding = true, bLockAILogic = true, bUseContinuosGoalTracking = false) { return fnprepatch_89.call(this, Controller, GoalLocation, GoalActor, AcceptanceRadius, StopOnOverlap, AcceptPartialPath, bUsePathfinding, bLockAILogic, bUseContinuosGoalTracking) }; } catch (e) {};
+try { let fnprepatch_118 = AISense_Hearing.prototype.ReportNoiseEvent;AISense_Hearing.prototype.ReportNoiseEvent = function (WorldContextObject, NoiseLocation, Loudness = 1, Instigator = undefined, MaxRange = 0, Tag = "None") { return fnprepatch_118.call(this, WorldContextObject, NoiseLocation, Loudness, Instigator, MaxRange, Tag) }; } catch (e) {};
+try { let fnprepatch_119 = AITask_MoveTo.prototype.AIMoveTo;AITask_MoveTo.prototype.AIMoveTo = function (Controller, GoalLocation, GoalActor = undefined, AcceptanceRadius = -1, StopOnOverlap = "Default", AcceptPartialPath = "Default", bUsePathfinding = true, bLockAILogic = true, bUseContinuosGoalTracking = false) { return fnprepatch_119.call(this, Controller, GoalLocation, GoalActor, AcceptanceRadius, StopOnOverlap, AcceptPartialPath, bUsePathfinding, bLockAILogic, bUseContinuosGoalTracking) }; } catch (e) {};
 try { AITask_MoveTo.prototype.MoveToLocationorActor = AITask_MoveTo.prototype.AIMoveTo; } catch (e) {};
 try { AITask_MoveTo.MoveToLocationorActor = AITask_MoveTo.AIMoveTo; } catch (e) {};
-try { let fnprepatch_90 = BTTask_BlueprintBase.prototype.SetFinishOnMessageWithId;BTTask_BlueprintBase.prototype.SetFinishOnMessageWithId = function (MessageName, RequestID = -1) { return fnprepatch_90.call(this, MessageName, RequestID) }; } catch (e) {};
-try { let fnprepatch_91 = Pawn.prototype.SetCanAffectNavigationGeneration;Pawn.prototype.SetCanAffectNavigationGeneration = function (bNewValue, bForceUpdate = false) { return fnprepatch_91.call(this, bNewValue, bForceUpdate) }; } catch (e) {};
-try { let fnprepatch_92 = Pawn.prototype.PawnMakeNoise;Pawn.prototype.PawnMakeNoise = function (Loudness, NoiseLocation, bUseNoiseMakerLocation = true, NoiseMaker) { return fnprepatch_92.call(this, Loudness, NoiseLocation, bUseNoiseMakerLocation, NoiseMaker) }; } catch (e) {};
-try { let fnprepatch_93 = Pawn.prototype.AddMovementInput;Pawn.prototype.AddMovementInput = function (WorldDirection, ScaleValue = 1, bForce = false) { return fnprepatch_93.call(this, WorldDirection, ScaleValue, bForce) }; } catch (e) {};
+try { let fnprepatch_120 = BTTask_BlueprintBase.prototype.SetFinishOnMessageWithId;BTTask_BlueprintBase.prototype.SetFinishOnMessageWithId = function (MessageName, RequestID = -1) { return fnprepatch_120.call(this, MessageName, RequestID) }; } catch (e) {};
+try { let fnprepatch_121 = Pawn.prototype.SetCanAffectNavigationGeneration;Pawn.prototype.SetCanAffectNavigationGeneration = function (bNewValue, bForceUpdate = false) { return fnprepatch_121.call(this, bNewValue, bForceUpdate) }; } catch (e) {};
+try { let fnprepatch_122 = Pawn.prototype.PawnMakeNoise;Pawn.prototype.PawnMakeNoise = function (Loudness, NoiseLocation, bUseNoiseMakerLocation = true, NoiseMaker = undefined) { return fnprepatch_122.call(this, Loudness, NoiseLocation, bUseNoiseMakerLocation, NoiseMaker) }; } catch (e) {};
+try { let fnprepatch_123 = Pawn.prototype.AddMovementInput;Pawn.prototype.AddMovementInput = function (WorldDirection, ScaleValue = 1, bForce = false) { return fnprepatch_123.call(this, WorldDirection, ScaleValue, bForce) }; } catch (e) {};
 try { Pawn.prototype.Unpossessed = Pawn.prototype.ReceiveUnpossessed; } catch (e) {};
 try { Pawn.prototype.Possessed = Pawn.prototype.ReceivePossessed; } catch (e) {};
 try { Pawn.prototype.GetMovementInputVector = Pawn.prototype.K2_GetMovementInputVector; } catch (e) {};
-try { let fnprepatch_94 = Character.prototype.UnCrouch;Character.prototype.UnCrouch = function (bClientSimulation = false) { return fnprepatch_94.call(this, bClientSimulation) }; } catch (e) {};
-try { let fnprepatch_95 = Character.prototype.PlayAnimMontage;Character.prototype.PlayAnimMontage = function (AnimMontage, InPlayRate = 1, StartSectionName = "None") { return fnprepatch_95.call(this, AnimMontage, InPlayRate, StartSectionName) }; } catch (e) {};
-try { let fnprepatch_96 = Character.prototype.Crouch;Character.prototype.Crouch = function (bClientSimulation = false) { return fnprepatch_96.call(this, bClientSimulation) }; } catch (e) {};
+try { let fnprepatch_124 = Character.prototype.UnCrouch;Character.prototype.UnCrouch = function (bClientSimulation = false) { return fnprepatch_124.call(this, bClientSimulation) }; } catch (e) {};
+try { let fnprepatch_125 = Character.prototype.StopAnimMontage;Character.prototype.StopAnimMontage = function (AnimMontage = undefined) { return fnprepatch_125.call(this, AnimMontage) }; } catch (e) {};
+try { let fnprepatch_126 = Character.prototype.PlayAnimMontage;Character.prototype.PlayAnimMontage = function (AnimMontage, InPlayRate = 1, StartSectionName = "None") { return fnprepatch_126.call(this, AnimMontage, InPlayRate, StartSectionName) }; } catch (e) {};
+try { let fnprepatch_127 = Character.prototype.Crouch;Character.prototype.Crouch = function (bClientSimulation = false) { return fnprepatch_127.call(this, bClientSimulation) }; } catch (e) {};
 try { Character.prototype.UpdateCustomMovement = Character.prototype.K2_UpdateCustomMovement; } catch (e) {};
 try { Character.prototype.OnStartCrouch = Character.prototype.K2_OnStartCrouch; } catch (e) {};
 try { Character.prototype.OnMovementModeChanged = Character.prototype.K2_OnMovementModeChanged; } catch (e) {};
 try { Character.prototype.OnEndCrouch = Character.prototype.K2_OnEndCrouch; } catch (e) {};
+try { Character.prototype.IsPlayingAnimRootMotion = Character.prototype.IsPlayingRootMotion; } catch (e) {};
 try { Character.prototype.GetBaseRotationOffset = Character.prototype.GetBaseRotationOffsetRotator; } catch (e) {};
 try { Character.prototype.CanJump = Character.prototype.CanJumpInternal; } catch (e) {};
-try { let fnprepatch_97 = NavLocalGridManager.prototype.RemoveLocalNavigationGrid;NavLocalGridManager.prototype.RemoveLocalNavigationGrid = function (WorldContextObject, GridId, bRebuildGrids = true) { return fnprepatch_97.call(this, WorldContextObject, GridId, bRebuildGrids) }; } catch (e) {};
-try { let fnprepatch_98 = NavLocalGridManager.prototype.AddLocalNavigationGridForPoints;NavLocalGridManager.prototype.AddLocalNavigationGridForPoints = function (WorldContextObject, Locations, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_98.call(this, WorldContextObject, Locations, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
-try { let fnprepatch_99 = NavLocalGridManager.prototype.AddLocalNavigationGridForPoint;NavLocalGridManager.prototype.AddLocalNavigationGridForPoint = function (WorldContextObject, Location, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_99.call(this, WorldContextObject, Location, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
-try { let fnprepatch_100 = NavLocalGridManager.prototype.AddLocalNavigationGridForCapsule;NavLocalGridManager.prototype.AddLocalNavigationGridForCapsule = function (WorldContextObject, Location, CapsuleRadius, CapsuleHalfHeight, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_100.call(this, WorldContextObject, Location, CapsuleRadius, CapsuleHalfHeight, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
-try { let fnprepatch_101 = NavLocalGridManager.prototype.AddLocalNavigationGridForBox;NavLocalGridManager.prototype.AddLocalNavigationGridForBox = function (WorldContextObject, Location, Extent, Rotation, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_101.call(this, WorldContextObject, Location, Extent, Rotation, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
-try { let fnprepatch_102 = PawnActionsComponent.prototype.K2_PerformAction;PawnActionsComponent.prototype.K2_PerformAction = function (Pawn, Action, Priority = "HardScript") { return fnprepatch_102.call(this, Pawn, Action, Priority) }; } catch (e) {};
+try { let fnprepatch_128 = NavLocalGridManager.prototype.RemoveLocalNavigationGrid;NavLocalGridManager.prototype.RemoveLocalNavigationGrid = function (WorldContextObject, GridId, bRebuildGrids = true) { return fnprepatch_128.call(this, WorldContextObject, GridId, bRebuildGrids) }; } catch (e) {};
+try { let fnprepatch_129 = NavLocalGridManager.prototype.AddLocalNavigationGridForPoints;NavLocalGridManager.prototype.AddLocalNavigationGridForPoints = function (WorldContextObject, Locations, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_129.call(this, WorldContextObject, Locations, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
+try { let fnprepatch_130 = NavLocalGridManager.prototype.AddLocalNavigationGridForPoint;NavLocalGridManager.prototype.AddLocalNavigationGridForPoint = function (WorldContextObject, Location, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_130.call(this, WorldContextObject, Location, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
+try { let fnprepatch_131 = NavLocalGridManager.prototype.AddLocalNavigationGridForCapsule;NavLocalGridManager.prototype.AddLocalNavigationGridForCapsule = function (WorldContextObject, Location, CapsuleRadius, CapsuleHalfHeight, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_131.call(this, WorldContextObject, Location, CapsuleRadius, CapsuleHalfHeight, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
+try { let fnprepatch_132 = NavLocalGridManager.prototype.AddLocalNavigationGridForBox;NavLocalGridManager.prototype.AddLocalNavigationGridForBox = function (WorldContextObject, Location, Extent, Rotation, Radius2D = 5, Height = 100, bRebuildGrids = true) { return fnprepatch_132.call(this, WorldContextObject, Location, Extent, Rotation, Radius2D, Height, bRebuildGrids) }; } catch (e) {};
+try { let fnprepatch_133 = PawnActionsComponent.prototype.K2_PushAction;PawnActionsComponent.prototype.K2_PushAction = function (NewAction, Priority, Instigator = undefined) { return fnprepatch_133.call(this, NewAction, Priority, Instigator) }; } catch (e) {};
+try { let fnprepatch_134 = PawnActionsComponent.prototype.K2_PerformAction;PawnActionsComponent.prototype.K2_PerformAction = function (Pawn, Action, Priority = "HardScript") { return fnprepatch_134.call(this, Pawn, Action, Priority) }; } catch (e) {};
 try { PawnActionsComponent.prototype.PushAction = PawnActionsComponent.prototype.K2_PushAction; } catch (e) {};
 try { PawnActionsComponent.prototype.PerformAction = PawnActionsComponent.prototype.K2_PerformAction; } catch (e) {};
 try { PawnActionsComponent.PerformAction = PawnActionsComponent.K2_PerformAction; } catch (e) {};
 try { PawnActionsComponent.prototype.ForceAbortAction = PawnActionsComponent.prototype.K2_ForceAbortAction; } catch (e) {};
 try { PawnActionsComponent.prototype.AbortAction = PawnActionsComponent.prototype.K2_AbortAction; } catch (e) {};
-try { let fnprepatch_103 = MeshComponent.prototype.PrestreamTextures;MeshComponent.prototype.PrestreamTextures = function (Seconds, bPrioritizeCharacterTextures, CinematicTextureGroups = 0) { return fnprepatch_103.call(this, Seconds, bPrioritizeCharacterTextures, CinematicTextureGroups) }; } catch (e) {};
-try { let fnprepatch_104 = CameraComponent.prototype.AddOrUpdateBlendable;CameraComponent.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_104.call(this, InBlendableObject, InWeight) }; } catch (e) {};
-try { let fnprepatch_105 = SkinnedMeshComponent.prototype.SetSkeletalMesh;SkinnedMeshComponent.prototype.SetSkeletalMesh = function (NewMesh, bReinitPose = true) { return fnprepatch_105.call(this, NewMesh, bReinitPose) }; } catch (e) {};
-try { let fnprepatch_106 = SkinnedMeshComponent.prototype.SetPhysicsAsset;SkinnedMeshComponent.prototype.SetPhysicsAsset = function (NewPhysicsAsset, bForceReInit = false) { return fnprepatch_106.call(this, NewPhysicsAsset, bForceReInit) }; } catch (e) {};
-try { let fnprepatch_107 = SkinnedMeshComponent.prototype.FindClosestBone_K2;SkinnedMeshComponent.prototype.FindClosestBone_K2 = function (TestLocation, BoneLocation, IgnoreScale = 0, bRequirePhysicsAsset = false) { return fnprepatch_107.call(this, TestLocation, BoneLocation, IgnoreScale, bRequirePhysicsAsset) }; } catch (e) {};
-try { SkinnedMeshComponent.prototype.SetVertexColorOverride = SkinnedMeshComponent.prototype.SetVertexColorOverride_LinearColor; } catch (e) {};
-try { SkinnedMeshComponent.prototype.FindClosestBone = SkinnedMeshComponent.prototype.FindClosestBone_K2; } catch (e) {};
-try { let fnprepatch_108 = SkeletalMeshComponent.prototype.UnbindClothFromMasterPoseComponent;SkeletalMeshComponent.prototype.UnbindClothFromMasterPoseComponent = function (bRestoreSimulationSpace = true) { return fnprepatch_108.call(this, bRestoreSimulationSpace) }; } catch (e) {};
-try { let fnprepatch_109 = SkeletalMeshComponent.prototype.SetPosition;SkeletalMeshComponent.prototype.SetPosition = function (InPos, bFireNotifies = true) { return fnprepatch_109.call(this, InPos, bFireNotifies) }; } catch (e) {};
-try { let fnprepatch_110 = SkeletalMeshComponent.prototype.SetNotifyRigidBodyCollisionBelow;SkeletalMeshComponent.prototype.SetNotifyRigidBodyCollisionBelow = function (bNewNotifyRigidBodyCollision, BoneName = "None", bIncludeSelf = true) { return fnprepatch_110.call(this, bNewNotifyRigidBodyCollision, BoneName, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_111 = SkeletalMeshComponent.prototype.SetMorphTarget;SkeletalMeshComponent.prototype.SetMorphTarget = function (MorphTargetName, Value, bRemoveZeroWeight = true) { return fnprepatch_111.call(this, MorphTargetName, Value, bRemoveZeroWeight) }; } catch (e) {};
-try { let fnprepatch_112 = SkeletalMeshComponent.prototype.SetEnableGravityOnAllBodiesBelow;SkeletalMeshComponent.prototype.SetEnableGravityOnAllBodiesBelow = function (bEnableGravity, BoneName, bIncludeSelf = true) { return fnprepatch_112.call(this, bEnableGravity, BoneName, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_113 = SkeletalMeshComponent.prototype.SetConstraintProfileForAll;SkeletalMeshComponent.prototype.SetConstraintProfileForAll = function (ProfileName, bDefaultIfNotFound = false) { return fnprepatch_113.call(this, ProfileName, bDefaultIfNotFound) }; } catch (e) {};
-try { let fnprepatch_114 = SkeletalMeshComponent.prototype.SetConstraintProfile;SkeletalMeshComponent.prototype.SetConstraintProfile = function (JointName, ProfileName, bDefaultIfNotFound = false) { return fnprepatch_114.call(this, JointName, ProfileName, bDefaultIfNotFound) }; } catch (e) {};
-try { let fnprepatch_115 = SkeletalMeshComponent.prototype.SetBodyNotifyRigidBodyCollision;SkeletalMeshComponent.prototype.SetBodyNotifyRigidBodyCollision = function (bNewNotifyRigidBodyCollision, BoneName = "None") { return fnprepatch_115.call(this, bNewNotifyRigidBodyCollision, BoneName) }; } catch (e) {};
-try { let fnprepatch_116 = SkeletalMeshComponent.prototype.SetAllMotorsAngularVelocityDrive;SkeletalMeshComponent.prototype.SetAllMotorsAngularVelocityDrive = function (bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType = false) { return fnprepatch_116.call(this, bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType) }; } catch (e) {};
-try { let fnprepatch_117 = SkeletalMeshComponent.prototype.SetAllMotorsAngularPositionDrive;SkeletalMeshComponent.prototype.SetAllMotorsAngularPositionDrive = function (bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType = false) { return fnprepatch_117.call(this, bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType) }; } catch (e) {};
-try { let fnprepatch_118 = SkeletalMeshComponent.prototype.SetAllMotorsAngularDriveParams;SkeletalMeshComponent.prototype.SetAllMotorsAngularDriveParams = function (InSpring, InDamping, InForceLimit, bSkipCustomPhysicsType = false) { return fnprepatch_118.call(this, InSpring, InDamping, InForceLimit, bSkipCustomPhysicsType) }; } catch (e) {};
-try { let fnprepatch_119 = SkeletalMeshComponent.prototype.SetAllBodiesPhysicsBlendWeight;SkeletalMeshComponent.prototype.SetAllBodiesPhysicsBlendWeight = function (PhysicsBlendWeight, bSkipCustomPhysicsType = false) { return fnprepatch_119.call(this, PhysicsBlendWeight, bSkipCustomPhysicsType) }; } catch (e) {};
-try { let fnprepatch_120 = SkeletalMeshComponent.prototype.SetAllBodiesBelowSimulatePhysics;SkeletalMeshComponent.prototype.SetAllBodiesBelowSimulatePhysics = function (InBoneName, bNewSimulate, bIncludeSelf = true) { return fnprepatch_120.call(this, InBoneName, bNewSimulate, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_121 = SkeletalMeshComponent.prototype.SetAllBodiesBelowPhysicsBlendWeight;SkeletalMeshComponent.prototype.SetAllBodiesBelowPhysicsBlendWeight = function (InBoneName, PhysicsBlendWeight, bSkipCustomPhysicsType = false, bIncludeSelf = true) { return fnprepatch_121.call(this, InBoneName, PhysicsBlendWeight, bSkipCustomPhysicsType, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_122 = SkeletalMeshComponent.prototype.OverrideAnimationData;SkeletalMeshComponent.prototype.OverrideAnimationData = function (InAnimToPlay, bIsLooping = true, bIsPlaying = true, Position = 0, PlayRate = 1) { return fnprepatch_122.call(this, InAnimToPlay, bIsLooping, bIsPlaying, Position, PlayRate) }; } catch (e) {};
-try { let fnprepatch_123 = SkeletalMeshComponent.prototype.GetBoneMass;SkeletalMeshComponent.prototype.GetBoneMass = function (BoneName = "None", bScaleMass = true) { return fnprepatch_123.call(this, BoneName, bScaleMass) }; } catch (e) {};
-try { let fnprepatch_124 = SkeletalMeshComponent.prototype.AddImpulseToAllBodiesBelow;SkeletalMeshComponent.prototype.AddImpulseToAllBodiesBelow = function (Impulse, BoneName = "None", bVelChange = false, bIncludeSelf = true) { return fnprepatch_124.call(this, Impulse, BoneName, bVelChange, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_125 = SkeletalMeshComponent.prototype.AddForceToAllBodiesBelow;SkeletalMeshComponent.prototype.AddForceToAllBodiesBelow = function (Force, BoneName = "None", bAccelChange = false, bIncludeSelf = true) { return fnprepatch_125.call(this, Force, BoneName, bAccelChange, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_126 = SkeletalMeshComponent.prototype.AccumulateAllBodiesBelowPhysicsBlendWeight;SkeletalMeshComponent.prototype.AccumulateAllBodiesBelowPhysicsBlendWeight = function (InBoneName, AddPhysicsBlendWeight, bSkipCustomPhysicsType = false) { return fnprepatch_126.call(this, InBoneName, AddPhysicsBlendWeight, bSkipCustomPhysicsType) }; } catch (e) {};
-try { SkeletalMeshComponent.prototype.GetClosestPointOnPhysicsAsset = SkeletalMeshComponent.prototype.K2_GetClosestPointOnPhysicsAsset; } catch (e) {};
-try { let fnprepatch_127 = AnimInstance.prototype.StopSlotAnimation;AnimInstance.prototype.StopSlotAnimation = function (InBlendOutTime = 0.25, SlotNodeName = "None") { return fnprepatch_127.call(this, InBlendOutTime, SlotNodeName) }; } catch (e) {};
-try { let fnprepatch_128 = AnimInstance.prototype.PlaySlotAnimationAsDynamicMontage;AnimInstance.prototype.PlaySlotAnimationAsDynamicMontage = function (Asset, SlotNodeName, BlendInTime = 0.25, BlendOutTime = 0.25, InPlayRate = 1, LoopCount = 1, BlendOutTriggerTime = -1, InTimeToStartMontageAt = 0) { return fnprepatch_128.call(this, Asset, SlotNodeName, BlendInTime, BlendOutTime, InPlayRate, LoopCount, BlendOutTriggerTime, InTimeToStartMontageAt) }; } catch (e) {};
-try { let fnprepatch_129 = AnimInstance.prototype.PlaySlotAnimation;AnimInstance.prototype.PlaySlotAnimation = function (Asset, SlotNodeName, BlendInTime = 0.25, BlendOutTime = 0.25, InPlayRate = 1, LoopCount = 1) { return fnprepatch_129.call(this, Asset, SlotNodeName, BlendInTime, BlendOutTime, InPlayRate, LoopCount) }; } catch (e) {};
-try { let fnprepatch_130 = AnimInstance.prototype.Montage_SetPlayRate;AnimInstance.prototype.Montage_SetPlayRate = function (Montage, NewPlayRate = 1) { return fnprepatch_130.call(this, Montage, NewPlayRate) }; } catch (e) {};
-try { let fnprepatch_131 = AnimInstance.prototype.Montage_Play;AnimInstance.prototype.Montage_Play = function (MontageToPlay, InPlayRate = 1, ReturnValueType = "MontageLength", InTimeToStartMontageAt = 0, bStopAllMontages = true) { return fnprepatch_131.call(this, MontageToPlay, InPlayRate, ReturnValueType, InTimeToStartMontageAt, bStopAllMontages) }; } catch (e) {};
-try { let fnprepatch_132 = AnimInstance.prototype.IsSyncGroupBetweenMarkers;AnimInstance.prototype.IsSyncGroupBetweenMarkers = function (InSyncGroupName, PreviousMarker, NextMarker, bRespectMarkerOrder = true) { return fnprepatch_132.call(this, InSyncGroupName, PreviousMarker, NextMarker, bRespectMarkerOrder) }; } catch (e) {};
-try { AnimInstance.prototype.GetTransitionTimeElapsed = AnimInstance.prototype.GetInstanceTransitionTimeElapsedFraction; } catch (e) {};
-try { AnimInstance.prototype.GetTransitionTimeElapsed = AnimInstance.prototype.GetInstanceTransitionTimeElapsed; } catch (e) {};
-try { AnimInstance.prototype.GetTransitionCrossfadeDuration = AnimInstance.prototype.GetInstanceTransitionCrossfadeDuration; } catch (e) {};
-try { AnimInstance.prototype.StateWeight = AnimInstance.prototype.GetInstanceStateWeight; } catch (e) {};
-try { AnimInstance.prototype.MachineWeight = AnimInstance.prototype.GetInstanceMachineWeight; } catch (e) {};
-try { AnimInstance.prototype.CurrentStateTime = AnimInstance.prototype.GetInstanceCurrentStateElapsedTime; } catch (e) {};
-try { AnimInstance.prototype.TimeRemaining = AnimInstance.prototype.GetInstanceAssetPlayerTimeFromEndFraction; } catch (e) {};
-try { AnimInstance.prototype.TimeRemaining = AnimInstance.prototype.GetInstanceAssetPlayerTimeFromEnd; } catch (e) {};
-try { AnimInstance.prototype.CurrentTime = AnimInstance.prototype.GetInstanceAssetPlayerTimeFraction; } catch (e) {};
-try { AnimInstance.prototype.CurrentTime = AnimInstance.prototype.GetInstanceAssetPlayerTime; } catch (e) {};
-try { AnimInstance.prototype.Length = AnimInstance.prototype.GetInstanceAssetPlayerLength; } catch (e) {};
-try { let fnprepatch_133 = AnimSingleNodeInstance.prototype.SetPositionWithPreviousTime;AnimSingleNodeInstance.prototype.SetPositionWithPreviousTime = function (InPosition, InPreviousTime, bFireNotifies = true) { return fnprepatch_133.call(this, InPosition, InPreviousTime, bFireNotifies) }; } catch (e) {};
-try { let fnprepatch_134 = AnimSingleNodeInstance.prototype.SetPosition;AnimSingleNodeInstance.prototype.SetPosition = function (InPosition, bFireNotifies = true) { return fnprepatch_134.call(this, InPosition, bFireNotifies) }; } catch (e) {};
-try { let fnprepatch_135 = AnimSingleNodeInstance.prototype.SetAnimationAsset;AnimSingleNodeInstance.prototype.SetAnimationAsset = function (NewAsset, bIsLooping = true, InPlayRate = 1) { return fnprepatch_135.call(this, NewAsset, bIsLooping, InPlayRate) }; } catch (e) {};
-try { let fnprepatch_136 = AnimSingleNodeInstance.prototype.PlayAnim;AnimSingleNodeInstance.prototype.PlayAnim = function (bIsLooping = false, InPlayRate = 1, InStartPosition = 0) { return fnprepatch_136.call(this, bIsLooping, InPlayRate, InStartPosition) }; } catch (e) {};
-try { Widget.prototype.HasAnyUserFocusedDescendants = Widget.prototype.HasFocusedDescendants; } catch (e) {};
-try { let fnprepatch_137 = UImage.prototype.SetBrushFromTextureDynamic;UImage.prototype.SetBrushFromTextureDynamic = function (Texture, bMatchSize = false) { return fnprepatch_137.call(this, Texture, bMatchSize) }; } catch (e) {};
-try { let fnprepatch_138 = UImage.prototype.SetBrushFromTexture;UImage.prototype.SetBrushFromTexture = function (Texture, bMatchSize = false) { return fnprepatch_138.call(this, Texture, bMatchSize) }; } catch (e) {};
-try { let fnprepatch_139 = ScrollBox.prototype.ScrollWidgetIntoView;ScrollBox.prototype.ScrollWidgetIntoView = function (WidgetToFind, AnimateScroll = true, ScrollDestination = "IntoView") { return fnprepatch_139.call(this, WidgetToFind, AnimateScroll, ScrollDestination) }; } catch (e) {};
+try { let fnprepatch_135 = NavigationPath.prototype.EnableDebugDrawing;NavigationPath.prototype.EnableDebugDrawing = function (bShouldDrawDebugData, PathColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_135.call(this, bShouldDrawDebugData, PathColor) }; } catch (e) {};
+try { World.prototype.VisLogBoxShape = World.prototype.LogBox; } catch (e) {};
+try { World.prototype.VisLogLocation = World.prototype.LogLocation; } catch (e) {};
+try { World.prototype.VisLogSegment = World.prototype.LogSegment; } catch (e) {};
+try { World.prototype.VisLogText = World.prototype.LogText; } catch (e) {};
+try { World.prototype.MultiBoxTraceByChannel = World.prototype.BoxTraceMulti; } catch (e) {};
+try { World.prototype.MultiBoxTraceByProfile = World.prototype.BoxTraceMultiByProfile; } catch (e) {};
+try { World.prototype.MultiBoxTraceForObjects = World.prototype.BoxTraceMultiForObjects; } catch (e) {};
+try { World.prototype.BoxTraceByChannel = World.prototype.BoxTraceSingle; } catch (e) {};
+try { World.prototype.BoxTraceByProfile = World.prototype.BoxTraceSingleByProfile; } catch (e) {};
+try { World.prototype.BoxTraceForObjects = World.prototype.BoxTraceSingleForObjects; } catch (e) {};
+try { World.prototype.MultiCapsuleTraceByChannel = World.prototype.CapsuleTraceMulti; } catch (e) {};
+try { World.prototype.MultiCapsuleTraceByProfile = World.prototype.CapsuleTraceMultiByProfile; } catch (e) {};
+try { World.prototype.MultiCapsuleTraceForObjects = World.prototype.CapsuleTraceMultiForObjects; } catch (e) {};
+try { World.prototype.CapsuleTraceByChannel = World.prototype.CapsuleTraceSingle; } catch (e) {};
+try { World.prototype.CapsuleTraceByProfile = World.prototype.CapsuleTraceSingleByProfile; } catch (e) {};
+try { World.prototype.CapsuleTraceForObjects = World.prototype.CapsuleTraceSingleForObjects; } catch (e) {};
+try { World.prototype.DrawDebugCone = World.prototype.DrawDebugConeInDegrees; } catch (e) {};
+try { World.prototype.ClearandInvalidateTimerbyHandle = World.prototype.K2_ClearAndInvalidateTimerHandle; } catch (e) {};
+try { World.prototype.ClearTimerbyHandle = World.prototype.K2_ClearTimerHandle; } catch (e) {};
+try { World.prototype.GetTimerElapsedTimebyHandle = World.prototype.K2_GetTimerElapsedTimeHandle; } catch (e) {};
+try { World.prototype.GetTimerRemainingTimebyHandle = World.prototype.K2_GetTimerRemainingTimeHandle; } catch (e) {};
+try { World.prototype.IsTimerActivebyHandle = World.prototype.K2_IsTimerActiveHandle; } catch (e) {};
+try { World.prototype.IsTimerPausedbyHandle = World.prototype.K2_IsTimerPausedHandle; } catch (e) {};
+try { World.prototype.PauseTimerbyHandle = World.prototype.K2_PauseTimerHandle; } catch (e) {};
+try { World.prototype.DoesTimerExistbyHandle = World.prototype.K2_TimerExistsHandle; } catch (e) {};
+try { World.prototype.UnpauseTimerbyHandle = World.prototype.K2_UnPauseTimerHandle; } catch (e) {};
+try { World.prototype.MultiLineTraceByChannel = World.prototype.LineTraceMulti; } catch (e) {};
+try { World.prototype.MultiLineTraceByProfile = World.prototype.LineTraceMultiByProfile; } catch (e) {};
+try { World.prototype.MultiLineTraceForObjects = World.prototype.LineTraceMultiForObjects; } catch (e) {};
+try { World.prototype.LineTraceByChannel = World.prototype.LineTraceSingle; } catch (e) {};
+try { World.prototype.LineTraceByProfile = World.prototype.LineTraceSingleByProfile; } catch (e) {};
+try { World.prototype.LineTraceForObjects = World.prototype.LineTraceSingleForObjects; } catch (e) {};
+try { World.prototype.MultiSphereTraceByChannel = World.prototype.SphereTraceMulti; } catch (e) {};
+try { World.prototype.MultiSphereTraceByProfile = World.prototype.SphereTraceMultiByProfile; } catch (e) {};
+try { World.prototype.MultiSphereTraceForObjects = World.prototype.SphereTraceMultiForObjects; } catch (e) {};
+try { World.prototype.SphereTraceByChannel = World.prototype.SphereTraceSingle; } catch (e) {};
+try { World.prototype.SphereTraceByProfile = World.prototype.SphereTraceSingleByProfile; } catch (e) {};
+try { World.prototype.SphereTraceForObjects = World.prototype.SphereTraceSingleForObjects; } catch (e) {};
+try { World.prototype.PredictProjectilePath = World.prototype.Blueprint_PredictProjectilePath_Advanced; } catch (e) {};
+try { World.prototype.PredictProjectilePathByObjectType = World.prototype.Blueprint_PredictProjectilePath_ByObjectType; } catch (e) {};
+try { World.prototype.PredictProjectilePathByTraceChannel = World.prototype.Blueprint_PredictProjectilePath_ByTraceChannel; } catch (e) {};
+try { World.prototype.SuggestProjectileVelocity = World.prototype.BlueprintSuggestProjectileVelocity; } catch (e) {};
+try { World.prototype.SuggestProjectileVelocityCustomArc = World.prototype.SuggestProjectileVelocity_CustomArc; } catch (e) {};
+try { World.prototype.CreateWidget = World.prototype.Create; } catch (e) {};
+try { World.prototype.ScreenToAbsolute = World.prototype.ScreenToWidgetAbsolute; } catch (e) {};
+try { World.prototype.ScreenToLocal = World.prototype.ScreenToWidgetLocal; } catch (e) {};
+try { World.prototype.FinishRecordingOutput = World.prototype.StopRecordingOutput; } catch (e) {};
+try { World.prototype.GetWorldSettings = World.prototype.K2_GetWorldSettings; } catch (e) {};
+try { let fnprepatch_136 = NavigationSystemV1.prototype.RegisterNavigationInvoker;NavigationSystemV1.prototype.RegisterNavigationInvoker = function (Invoker, TileGenerationRadius = 3000, TileRemovalRadius = 5000) { return fnprepatch_136.call(this, Invoker, TileGenerationRadius, TileRemovalRadius) }; } catch (e) {};
+try { let fnprepatch_137 = NavigationSystemV1.prototype.ProjectPointToNavigation;NavigationSystemV1.prototype.ProjectPointToNavigation = function (WorldContextObject, Point, NavData = undefined, FilterClass = null, QueryExtent) { return fnprepatch_137.call(this, WorldContextObject, Point, NavData, FilterClass, QueryExtent) }; } catch (e) {};
+try { let fnprepatch_138 = NavigationSystemV1.prototype.NavigationRaycast;NavigationSystemV1.prototype.NavigationRaycast = function (WorldContextObject, RayStart, RayEnd, HitLocation, FilterClass = null, Querier = undefined) { return fnprepatch_138.call(this, WorldContextObject, RayStart, RayEnd, HitLocation, FilterClass, Querier) }; } catch (e) {};
+try { let fnprepatch_139 = NavigationSystemV1.prototype.K2_GetRandomReachablePointInRadius;NavigationSystemV1.prototype.K2_GetRandomReachablePointInRadius = function (WorldContextObject, Origin, RandomLocation, Radius, NavData = undefined, FilterClass = null) { return fnprepatch_139.call(this, WorldContextObject, Origin, RandomLocation, Radius, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_140 = NavigationSystemV1.prototype.K2_GetRandomPointInNavigableRadius;NavigationSystemV1.prototype.K2_GetRandomPointInNavigableRadius = function (WorldContextObject, Origin, RandomLocation, Radius, NavData = undefined, FilterClass = null) { return fnprepatch_140.call(this, WorldContextObject, Origin, RandomLocation, Radius, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_141 = NavigationSystemV1.prototype.GetRandomReachablePointInRadius;NavigationSystemV1.prototype.GetRandomReachablePointInRadius = function (WorldContextObject, Origin, Radius, NavData = undefined, FilterClass = null) { return fnprepatch_141.call(this, WorldContextObject, Origin, Radius, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_142 = NavigationSystemV1.prototype.GetRandomPointInNavigableRadius;NavigationSystemV1.prototype.GetRandomPointInNavigableRadius = function (WorldContextObject, Origin, Radius, NavData = undefined, FilterClass = null) { return fnprepatch_142.call(this, WorldContextObject, Origin, Radius, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_143 = NavigationSystemV1.prototype.GetPathLength;NavigationSystemV1.prototype.GetPathLength = function (WorldContextObject, PathStart, PathEnd, PathLength, NavData = undefined, FilterClass = null) { return fnprepatch_143.call(this, WorldContextObject, PathStart, PathEnd, PathLength, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_144 = NavigationSystemV1.prototype.GetPathCost;NavigationSystemV1.prototype.GetPathCost = function (WorldContextObject, PathStart, PathEnd, PathCost, NavData = undefined, FilterClass = null) { return fnprepatch_144.call(this, WorldContextObject, PathStart, PathEnd, PathCost, NavData, FilterClass) }; } catch (e) {};
+try { let fnprepatch_145 = NavigationSystemV1.prototype.FindPathToLocationSynchronously;NavigationSystemV1.prototype.FindPathToLocationSynchronously = function (WorldContextObject, PathStart, PathEnd, PathfindingContext = undefined, FilterClass = null) { return fnprepatch_145.call(this, WorldContextObject, PathStart, PathEnd, PathfindingContext, FilterClass) }; } catch (e) {};
+try { let fnprepatch_146 = NavigationSystemV1.prototype.FindPathToActorSynchronously;NavigationSystemV1.prototype.FindPathToActorSynchronously = function (WorldContextObject, PathStart, GoalActor, TetherDistance = 50, PathfindingContext = undefined, FilterClass = null) { return fnprepatch_146.call(this, WorldContextObject, PathStart, GoalActor, TetherDistance, PathfindingContext, FilterClass) }; } catch (e) {};
+try { NavigationSystemV1.prototype.SimpleMoveToLocation_DEPRECATED = NavigationSystemV1.prototype.SimpleMoveToLocation; } catch (e) {};
+try { NavigationSystemV1.SimpleMoveToLocation_DEPRECATED = NavigationSystemV1.SimpleMoveToLocation; } catch (e) {};
+try { NavigationSystemV1.prototype.SimpleMoveToActor_DEPRECATED = NavigationSystemV1.prototype.SimpleMoveToActor; } catch (e) {};
+try { NavigationSystemV1.SimpleMoveToActor_DEPRECATED = NavigationSystemV1.SimpleMoveToActor; } catch (e) {};
+try { NavigationSystemV1.prototype.ProjectPointToNavigation_DEPRECATED = NavigationSystemV1.prototype.ProjectPointToNavigation; } catch (e) {};
+try { NavigationSystemV1.ProjectPointToNavigation_DEPRECATED = NavigationSystemV1.ProjectPointToNavigation; } catch (e) {};
+try { NavigationSystemV1.prototype.ProjectPointToNavigation = NavigationSystemV1.prototype.K2_ProjectPointToNavigation; } catch (e) {};
+try { NavigationSystemV1.ProjectPointToNavigation = NavigationSystemV1.K2_ProjectPointToNavigation; } catch (e) {};
+try { NavigationSystemV1.prototype.GetRandomReachablePointInRadius = NavigationSystemV1.prototype.K2_GetRandomReachablePointInRadius; } catch (e) {};
+try { NavigationSystemV1.GetRandomReachablePointInRadius = NavigationSystemV1.K2_GetRandomReachablePointInRadius; } catch (e) {};
+try { NavigationSystemV1.prototype.GetRandomPointInNavigableRadius = NavigationSystemV1.prototype.K2_GetRandomPointInNavigableRadius; } catch (e) {};
+try { NavigationSystemV1.GetRandomPointInNavigableRadius = NavigationSystemV1.K2_GetRandomPointInNavigableRadius; } catch (e) {};
+try { NavigationSystemV1.prototype.GetRandomReachablePointInRadius_DEPRECATED = NavigationSystemV1.prototype.GetRandomReachablePointInRadius; } catch (e) {};
+try { NavigationSystemV1.GetRandomReachablePointInRadius_DEPRECATED = NavigationSystemV1.GetRandomReachablePointInRadius; } catch (e) {};
+try { NavigationSystemV1.prototype.GetRandomPointInNavigableRadius_DEPRECATED = NavigationSystemV1.prototype.GetRandomPointInNavigableRadius; } catch (e) {};
+try { NavigationSystemV1.GetRandomPointInNavigableRadius_DEPRECATED = NavigationSystemV1.GetRandomPointInNavigableRadius; } catch (e) {};
+try { let fnprepatch_147 = NavModifierVolume.prototype.SetAreaClass;NavModifierVolume.prototype.SetAreaClass = function (NewAreaClass = null) { return fnprepatch_147.call(this, NewAreaClass) }; } catch (e) {};
+try { let fnprepatch_148 = UserDefinedImageCaptureProtocol.prototype.WriteImageToDisk;UserDefinedImageCaptureProtocol.prototype.WriteImageToDisk = function (PixelData, StreamID, FrameMetrics, bCopyImageData = false) { return fnprepatch_148.call(this, PixelData, StreamID, FrameMetrics, bCopyImageData) }; } catch (e) {};
+try { let fnprepatch_149 = CameraComponent.prototype.AddOrUpdateBlendable;CameraComponent.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_149.call(this, InBlendableObject, InWeight) }; } catch (e) {};
+try { let fnprepatch_150 = AudioMixerBlueprintLibrary.prototype.StopRecordingOutput;AudioMixerBlueprintLibrary.prototype.StopRecordingOutput = function (WorldContextObject, ExportType, Name, Path, SubmixToRecord = undefined, ExistingSoundWaveToOverwrite = undefined) { return fnprepatch_150.call(this, WorldContextObject, ExportType, Name, Path, SubmixToRecord, ExistingSoundWaveToOverwrite) }; } catch (e) {};
+try { let fnprepatch_151 = AudioMixerBlueprintLibrary.prototype.StopAnalyzingOutput;AudioMixerBlueprintLibrary.prototype.StopAnalyzingOutput = function (WorldContextObject, SubmixToStopAnalyzing = undefined) { return fnprepatch_151.call(this, WorldContextObject, SubmixToStopAnalyzing) }; } catch (e) {};
+try { let fnprepatch_152 = AudioMixerBlueprintLibrary.prototype.StartRecordingOutput;AudioMixerBlueprintLibrary.prototype.StartRecordingOutput = function (WorldContextObject, ExpectedDuration, SubmixToRecord = undefined) { return fnprepatch_152.call(this, WorldContextObject, ExpectedDuration, SubmixToRecord) }; } catch (e) {};
+try { let fnprepatch_153 = AudioMixerBlueprintLibrary.prototype.StartAnalyzingOutput;AudioMixerBlueprintLibrary.prototype.StartAnalyzingOutput = function (WorldContextObject, SubmixToAnalyze = undefined, FFTSize = "DefaultSize", InterpolationMethod = "NearestNeighbor", WindowType = "None", HopSize = 0) { return fnprepatch_153.call(this, WorldContextObject, SubmixToAnalyze, FFTSize, InterpolationMethod, WindowType, HopSize) }; } catch (e) {};
+try { let fnprepatch_154 = AudioMixerBlueprintLibrary.prototype.ResumeRecordingOutput;AudioMixerBlueprintLibrary.prototype.ResumeRecordingOutput = function (WorldContextObject, SubmixToPause = undefined) { return fnprepatch_154.call(this, WorldContextObject, SubmixToPause) }; } catch (e) {};
+try { let fnprepatch_155 = AudioMixerBlueprintLibrary.prototype.PauseRecordingOutput;AudioMixerBlueprintLibrary.prototype.PauseRecordingOutput = function (WorldContextObject, SubmixToPause = undefined) { return fnprepatch_155.call(this, WorldContextObject, SubmixToPause) }; } catch (e) {};
+try { let fnprepatch_156 = AudioMixerBlueprintLibrary.prototype.GetPhaseForFrequencies;AudioMixerBlueprintLibrary.prototype.GetPhaseForFrequencies = function (WorldContextObject, Frequencies, Phases, SubmixToAnalyze = undefined) { return fnprepatch_156.call(this, WorldContextObject, Frequencies, Phases, SubmixToAnalyze) }; } catch (e) {};
+try { let fnprepatch_157 = AudioMixerBlueprintLibrary.prototype.GetMagnitudeForFrequencies;AudioMixerBlueprintLibrary.prototype.GetMagnitudeForFrequencies = function (WorldContextObject, Frequencies, Magnitudes, SubmixToAnalyze = undefined) { return fnprepatch_157.call(this, WorldContextObject, Frequencies, Magnitudes, SubmixToAnalyze) }; } catch (e) {};
+try { AudioMixerBlueprintLibrary.prototype.FinishRecordingOutput = AudioMixerBlueprintLibrary.prototype.StopRecordingOutput; } catch (e) {};
+try { AudioMixerBlueprintLibrary.FinishRecordingOutput = AudioMixerBlueprintLibrary.StopRecordingOutput; } catch (e) {};
+try { let fnprepatch_158 = SubmixEffectReverbPreset.prototype.SetSettingsWithReverbEffect;SubmixEffectReverbPreset.prototype.SetSettingsWithReverbEffect = function (InReverbEffect, WetLevel, DryLevel = 0) { return fnprepatch_158.call(this, InReverbEffect, WetLevel, DryLevel) }; } catch (e) {};
+try { let fnprepatch_159 = DynamicEntryBox.prototype.Reset;DynamicEntryBox.prototype.Reset = function (bDeleteWidgets = false) { return fnprepatch_159.call(this, bDeleteWidgets) }; } catch (e) {};
+try { DynamicEntryBox.prototype.CreateEntryofClass = DynamicEntryBox.prototype.BP_CreateEntryOfClass; } catch (e) {};
+try { DynamicEntryBox.prototype.CreateEntry = DynamicEntryBox.prototype.BP_CreateEntry; } catch (e) {};
+try { let fnprepatch_160 = UImage.prototype.SetBrushFromTextureDynamic;UImage.prototype.SetBrushFromTextureDynamic = function (Texture, bMatchSize = false) { return fnprepatch_160.call(this, Texture, bMatchSize) }; } catch (e) {};
+try { let fnprepatch_161 = UImage.prototype.SetBrushFromTexture;UImage.prototype.SetBrushFromTexture = function (Texture, bMatchSize = false) { return fnprepatch_161.call(this, Texture, bMatchSize) }; } catch (e) {};
+try { let fnprepatch_162 = UImage.prototype.SetBrushFromSoftTexture;UImage.prototype.SetBrushFromSoftTexture = function (SoftTexture, bMatchSize = false) { return fnprepatch_162.call(this, SoftTexture, bMatchSize) }; } catch (e) {};
+try { let fnprepatch_163 = UImage.prototype.SetBrushFromAtlasInterface;UImage.prototype.SetBrushFromAtlasInterface = function (AtlasRegion, bMatchSize = false) { return fnprepatch_163.call(this, AtlasRegion, bMatchSize) }; } catch (e) {};
+try { UserListEntry.prototype.OnItemSelectionChanged = UserListEntry.prototype.BP_OnItemSelectionChanged; } catch (e) {};
+try { UserListEntry.prototype.OnItemExpansionChanged = UserListEntry.prototype.BP_OnItemExpansionChanged; } catch (e) {};
+try { UserListEntry.prototype.OnEntryReleased = UserListEntry.prototype.BP_OnEntryReleased; } catch (e) {};
+try { ListView.prototype.SetSelectedItem = ListView.prototype.BP_SetSelectedItem; } catch (e) {};
+try { ListView.prototype.SetListItems = ListView.prototype.BP_SetListItems; } catch (e) {};
+try { ListView.prototype.SetItemSelection = ListView.prototype.BP_SetItemSelection; } catch (e) {};
+try { ListView.prototype.ScrollItemIntoView = ListView.prototype.BP_ScrollItemIntoView; } catch (e) {};
+try { ListView.prototype.NavigateToItem = ListView.prototype.BP_NavigateToItem; } catch (e) {};
+try { ListView.prototype.IsItemVisible = ListView.prototype.BP_IsItemVisible; } catch (e) {};
+try { ListView.prototype.GetSelectedItems = ListView.prototype.BP_GetSelectedItems; } catch (e) {};
+try { ListView.prototype.GetSelectedItem = ListView.prototype.BP_GetSelectedItem; } catch (e) {};
+try { ListView.prototype.GetNumItemsSelected = ListView.prototype.BP_GetNumItemsSelected; } catch (e) {};
+try { ListView.prototype.ClearSelection = ListView.prototype.BP_ClearSelection; } catch (e) {};
+try { ListView.prototype.CancelScrollIntoView = ListView.prototype.BP_CancelScrollIntoView; } catch (e) {};
+try { let fnprepatch_164 = ScrollBox.prototype.ScrollWidgetIntoView;ScrollBox.prototype.ScrollWidgetIntoView = function (WidgetToFind, AnimateScroll = true, ScrollDestination = "IntoView") { return fnprepatch_164.call(this, WidgetToFind, AnimateScroll, ScrollDestination) }; } catch (e) {};
 try { SlateBlueprintLibrary.prototype.ScreenToLocal = SlateBlueprintLibrary.prototype.ScreenToWidgetLocal; } catch (e) {};
 try { SlateBlueprintLibrary.ScreenToLocal = SlateBlueprintLibrary.ScreenToWidgetLocal; } catch (e) {};
 try { SlateBlueprintLibrary.prototype.ScreenToAbsolute = SlateBlueprintLibrary.prototype.ScreenToWidgetAbsolute; } catch (e) {};
 try { SlateBlueprintLibrary.ScreenToAbsolute = SlateBlueprintLibrary.ScreenToWidgetAbsolute; } catch (e) {};
 try { SlateBlueprintLibrary.prototype.Equal = SlateBlueprintLibrary.prototype.EqualEqual_SlateBrush; } catch (e) {};
 try { SlateBlueprintLibrary.Equal = SlateBlueprintLibrary.EqualEqual_SlateBrush; } catch (e) {};
-try { let fnprepatch_140 = UserWidget.prototype.SetPositionInViewport;UserWidget.prototype.SetPositionInViewport = function (Position, bRemoveDPIScale = true) { return fnprepatch_140.call(this, Position, bRemoveDPIScale) }; } catch (e) {};
-try { let fnprepatch_141 = UserWidget.prototype.SetPlaybackSpeed;UserWidget.prototype.SetPlaybackSpeed = function (InAnimation, PlaybackSpeed = 1) { return fnprepatch_141.call(this, InAnimation, PlaybackSpeed) }; } catch (e) {};
-try { let fnprepatch_142 = UserWidget.prototype.PlayAnimationTo;UserWidget.prototype.PlayAnimationTo = function (InAnimation, StartAtTime = 0, EndAtTime = 0, NumLoopsToPlay = 1, PlayMode = "Forward", PlaybackSpeed = 1) { return fnprepatch_142.call(this, InAnimation, StartAtTime, EndAtTime, NumLoopsToPlay, PlayMode, PlaybackSpeed) }; } catch (e) {};
-try { let fnprepatch_143 = UserWidget.prototype.PlayAnimation;UserWidget.prototype.PlayAnimation = function (InAnimation, StartAtTime = 0, NumLoopsToPlay = 1, PlayMode = "Forward", PlaybackSpeed = 1) { return fnprepatch_143.call(this, InAnimation, StartAtTime, NumLoopsToPlay, PlayMode, PlaybackSpeed) }; } catch (e) {};
-try { let fnprepatch_144 = UserWidget.prototype.AddToViewport;UserWidget.prototype.AddToViewport = function (ZOrder = 0) { return fnprepatch_144.call(this, ZOrder) }; } catch (e) {};
-try { let fnprepatch_145 = UserWidget.prototype.AddToPlayerScreen;UserWidget.prototype.AddToPlayerScreen = function (ZOrder = 0) { return fnprepatch_145.call(this, ZOrder) }; } catch (e) {};
-try { let fnprepatch_146 = WidgetBlueprintLibrary.prototype.SetUserFocus;WidgetBlueprintLibrary.prototype.SetUserFocus = function (Reply, FocusWidget, bInAllUsers = false) { return fnprepatch_146.call(this, Reply, FocusWidget, bInAllUsers) }; } catch (e) {};
-try { let fnprepatch_147 = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnlyEx;WidgetBlueprintLibrary.prototype.SetInputMode_UIOnlyEx = function (PlayerController, InWidgetToFocus, InMouseLockMode = "DoNotLock") { return fnprepatch_147.call(this, PlayerController, InWidgetToFocus, InMouseLockMode) }; } catch (e) {};
-try { let fnprepatch_148 = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnly;WidgetBlueprintLibrary.prototype.SetInputMode_UIOnly = function (Target, InWidgetToFocus, bLockMouseToViewport = false) { return fnprepatch_148.call(this, Target, InWidgetToFocus, bLockMouseToViewport) }; } catch (e) {};
-try { let fnprepatch_149 = WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUIEx;WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUIEx = function (PlayerController, InWidgetToFocus, InMouseLockMode = "DoNotLock", bHideCursorDuringCapture = true) { return fnprepatch_149.call(this, PlayerController, InWidgetToFocus, InMouseLockMode, bHideCursorDuringCapture) }; } catch (e) {};
-try { let fnprepatch_150 = WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUI;WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUI = function (Target, InWidgetToFocus, bLockMouseToViewport = false, bHideCursorDuringCapture = true) { return fnprepatch_150.call(this, Target, InWidgetToFocus, bLockMouseToViewport, bHideCursorDuringCapture) }; } catch (e) {};
-try { let fnprepatch_151 = WidgetBlueprintLibrary.prototype.ReleaseJoystickCapture;WidgetBlueprintLibrary.prototype.ReleaseJoystickCapture = function (Reply, bInAllJoysticks = false) { return fnprepatch_151.call(this, Reply, bInAllJoysticks) }; } catch (e) {};
-try { let fnprepatch_152 = WidgetBlueprintLibrary.prototype.MakeBrushFromTexture;WidgetBlueprintLibrary.prototype.MakeBrushFromTexture = function (Texture, Width = 0, Height = 0) { return fnprepatch_152.call(this, Texture, Width, Height) }; } catch (e) {};
-try { let fnprepatch_153 = WidgetBlueprintLibrary.prototype.MakeBrushFromMaterial;WidgetBlueprintLibrary.prototype.MakeBrushFromMaterial = function (Material, Width = 32, Height = 32) { return fnprepatch_153.call(this, Material, Width, Height) }; } catch (e) {};
-try { let fnprepatch_154 = WidgetBlueprintLibrary.prototype.GetAllWidgetsOfClass;WidgetBlueprintLibrary.prototype.GetAllWidgetsOfClass = function (WorldContextObject, FoundWidgets, WidgetClass, TopLevelOnly = true) { return fnprepatch_154.call(this, WorldContextObject, FoundWidgets, WidgetClass, TopLevelOnly) }; } catch (e) {};
-try { let fnprepatch_155 = WidgetBlueprintLibrary.prototype.DrawTextFormatted;WidgetBlueprintLibrary.prototype.DrawTextFormatted = function (Context, Text, Position, Font, FontSize = 16, FontTypeFace = "Regular", Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_155.call(this, Context, Text, Position, Font, FontSize, FontTypeFace, Tint) }; } catch (e) {};
-try { let fnprepatch_156 = WidgetBlueprintLibrary.prototype.DrawText;WidgetBlueprintLibrary.prototype.DrawText = function (Context, InString, Position, Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_156.call(this, Context, InString, Position, Tint) }; } catch (e) {};
-try { let fnprepatch_157 = WidgetBlueprintLibrary.prototype.DrawLines;WidgetBlueprintLibrary.prototype.DrawLines = function (Context, Points, Tint = {"R":1,"G":1,"B":1,"A":1}, bAntiAlias = true) { return fnprepatch_157.call(this, Context, Points, Tint, bAntiAlias) }; } catch (e) {};
-try { let fnprepatch_158 = WidgetBlueprintLibrary.prototype.DrawLine;WidgetBlueprintLibrary.prototype.DrawLine = function (Context, PositionA, PositionB, Tint = {"R":1,"G":1,"B":1,"A":1}, bAntiAlias = true) { return fnprepatch_158.call(this, Context, PositionA, PositionB, Tint, bAntiAlias) }; } catch (e) {};
-try { let fnprepatch_159 = WidgetBlueprintLibrary.prototype.DrawBox;WidgetBlueprintLibrary.prototype.DrawBox = function (Context, Position, Size, Brush, Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_159.call(this, Context, Position, Size, Brush, Tint) }; } catch (e) {};
-try { let fnprepatch_160 = WidgetBlueprintLibrary.prototype.ClearUserFocus;WidgetBlueprintLibrary.prototype.ClearUserFocus = function (Reply, bInAllUsers = false) { return fnprepatch_160.call(this, Reply, bInAllUsers) }; } catch (e) {};
-try { let fnprepatch_161 = WidgetBlueprintLibrary.prototype.CaptureJoystick;WidgetBlueprintLibrary.prototype.CaptureJoystick = function (Reply, CapturingWidget, bInAllJoysticks = false) { return fnprepatch_161.call(this, Reply, CapturingWidget, bInAllJoysticks) }; } catch (e) {};
+try { let fnprepatch_165 = WidgetBlueprintLibrary.prototype.SetUserFocus;WidgetBlueprintLibrary.prototype.SetUserFocus = function (Reply, FocusWidget, bInAllUsers = false) { return fnprepatch_165.call(this, Reply, FocusWidget, bInAllUsers) }; } catch (e) {};
+try { let fnprepatch_166 = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnlyEx;WidgetBlueprintLibrary.prototype.SetInputMode_UIOnlyEx = function (PlayerController, InWidgetToFocus = undefined, InMouseLockMode = "DoNotLock") { return fnprepatch_166.call(this, PlayerController, InWidgetToFocus, InMouseLockMode) }; } catch (e) {};
+try { let fnprepatch_167 = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnly;WidgetBlueprintLibrary.prototype.SetInputMode_UIOnly = function (Target, InWidgetToFocus = undefined, bLockMouseToViewport = false) { return fnprepatch_167.call(this, Target, InWidgetToFocus, bLockMouseToViewport) }; } catch (e) {};
+try { let fnprepatch_168 = WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUIEx;WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUIEx = function (PlayerController, InWidgetToFocus = undefined, InMouseLockMode = "DoNotLock", bHideCursorDuringCapture = true) { return fnprepatch_168.call(this, PlayerController, InWidgetToFocus, InMouseLockMode, bHideCursorDuringCapture) }; } catch (e) {};
+try { let fnprepatch_169 = WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUI;WidgetBlueprintLibrary.prototype.SetInputMode_GameAndUI = function (Target, InWidgetToFocus = undefined, bLockMouseToViewport = false, bHideCursorDuringCapture = true) { return fnprepatch_169.call(this, Target, InWidgetToFocus, bLockMouseToViewport, bHideCursorDuringCapture) }; } catch (e) {};
+try { let fnprepatch_170 = WidgetBlueprintLibrary.prototype.ReleaseJoystickCapture;WidgetBlueprintLibrary.prototype.ReleaseJoystickCapture = function (Reply, bInAllJoysticks = false) { return fnprepatch_170.call(this, Reply, bInAllJoysticks) }; } catch (e) {};
+try { let fnprepatch_171 = WidgetBlueprintLibrary.prototype.MakeBrushFromTexture;WidgetBlueprintLibrary.prototype.MakeBrushFromTexture = function (Texture, Width = 0, Height = 0) { return fnprepatch_171.call(this, Texture, Width, Height) }; } catch (e) {};
+try { let fnprepatch_172 = WidgetBlueprintLibrary.prototype.MakeBrushFromMaterial;WidgetBlueprintLibrary.prototype.MakeBrushFromMaterial = function (Material, Width = 32, Height = 32) { return fnprepatch_172.call(this, Material, Width, Height) }; } catch (e) {};
+try { let fnprepatch_173 = WidgetBlueprintLibrary.prototype.GetAllWidgetsOfClass;WidgetBlueprintLibrary.prototype.GetAllWidgetsOfClass = function (WorldContextObject, FoundWidgets, WidgetClass, TopLevelOnly = true) { return fnprepatch_173.call(this, WorldContextObject, FoundWidgets, WidgetClass, TopLevelOnly) }; } catch (e) {};
+try { let fnprepatch_174 = WidgetBlueprintLibrary.prototype.DrawTextFormatted;WidgetBlueprintLibrary.prototype.DrawTextFormatted = function (Context, Text, Position, Font, FontSize = 16, FontTypeFace = "Regular", Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_174.call(this, Context, Text, Position, Font, FontSize, FontTypeFace, Tint) }; } catch (e) {};
+try { let fnprepatch_175 = WidgetBlueprintLibrary.prototype.DrawText;WidgetBlueprintLibrary.prototype.DrawText = function (Context, InString, Position, Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_175.call(this, Context, InString, Position, Tint) }; } catch (e) {};
+try { let fnprepatch_176 = WidgetBlueprintLibrary.prototype.DrawLines;WidgetBlueprintLibrary.prototype.DrawLines = function (Context, Points, Tint = {"R":1,"G":1,"B":1,"A":1}, bAntiAlias = true, Thickness = 1) { return fnprepatch_176.call(this, Context, Points, Tint, bAntiAlias, Thickness) }; } catch (e) {};
+try { let fnprepatch_177 = WidgetBlueprintLibrary.prototype.DrawLine;WidgetBlueprintLibrary.prototype.DrawLine = function (Context, PositionA, PositionB, Tint = {"R":1,"G":1,"B":1,"A":1}, bAntiAlias = true, Thickness = 1) { return fnprepatch_177.call(this, Context, PositionA, PositionB, Tint, bAntiAlias, Thickness) }; } catch (e) {};
+try { let fnprepatch_178 = WidgetBlueprintLibrary.prototype.DrawBox;WidgetBlueprintLibrary.prototype.DrawBox = function (Context, Position, Size, Brush, Tint = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_178.call(this, Context, Position, Size, Brush, Tint) }; } catch (e) {};
+try { let fnprepatch_179 = WidgetBlueprintLibrary.prototype.ClearUserFocus;WidgetBlueprintLibrary.prototype.ClearUserFocus = function (Reply, bInAllUsers = false) { return fnprepatch_179.call(this, Reply, bInAllUsers) }; } catch (e) {};
+try { let fnprepatch_180 = WidgetBlueprintLibrary.prototype.CaptureJoystick;WidgetBlueprintLibrary.prototype.CaptureJoystick = function (Reply, CapturingWidget, bInAllJoysticks = false) { return fnprepatch_180.call(this, Reply, CapturingWidget, bInAllJoysticks) }; } catch (e) {};
 try { WidgetBlueprintLibrary.prototype.SetInputModeUIOnly = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnlyEx; } catch (e) {};
 try { WidgetBlueprintLibrary.SetInputModeUIOnly = WidgetBlueprintLibrary.SetInputMode_UIOnlyEx; } catch (e) {};
 try { WidgetBlueprintLibrary.prototype.SetInputModeUIOnly = WidgetBlueprintLibrary.prototype.SetInputMode_UIOnly; } catch (e) {};
@@ -333,39 +478,150 @@ try { WidgetBlueprintLibrary.prototype.DrawString = WidgetBlueprintLibrary.proto
 try { WidgetBlueprintLibrary.DrawString = WidgetBlueprintLibrary.DrawText; } catch (e) {};
 try { WidgetBlueprintLibrary.prototype.CreateWidget = WidgetBlueprintLibrary.prototype.Create; } catch (e) {};
 try { WidgetBlueprintLibrary.CreateWidget = WidgetBlueprintLibrary.Create; } catch (e) {};
-try { let fnprepatch_162 = WidgetInteractionComponent.prototype.SendKeyChar;WidgetInteractionComponent.prototype.SendKeyChar = function (Characters, bRepeat = false) { return fnprepatch_162.call(this, Characters, bRepeat) }; } catch (e) {};
-try { let fnprepatch_163 = WidgetInteractionComponent.prototype.PressKey;WidgetInteractionComponent.prototype.PressKey = function (Key, bRepeat = false) { return fnprepatch_163.call(this, Key, bRepeat) }; } catch (e) {};
+try { let fnprepatch_181 = WidgetInteractionComponent.prototype.SendKeyChar;WidgetInteractionComponent.prototype.SendKeyChar = function (Characters, bRepeat = false) { return fnprepatch_181.call(this, Characters, bRepeat) }; } catch (e) {};
+try { let fnprepatch_182 = WidgetInteractionComponent.prototype.PressKey;WidgetInteractionComponent.prototype.PressKey = function (Key, bRepeat = false) { return fnprepatch_182.call(this, Key, bRepeat) }; } catch (e) {};
+try { let fnprepatch_183 = SourceControlHelpers.prototype.RevertUnchangedFiles;SourceControlHelpers.prototype.RevertUnchangedFiles = function (InFiles, bSilent = false) { return fnprepatch_183.call(this, InFiles, bSilent) }; } catch (e) {};
+try { let fnprepatch_184 = SourceControlHelpers.prototype.RevertUnchangedFile;SourceControlHelpers.prototype.RevertUnchangedFile = function (InFile, bSilent = false) { return fnprepatch_184.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_185 = SourceControlHelpers.prototype.RevertFiles;SourceControlHelpers.prototype.RevertFiles = function (InFiles, bSilent = false) { return fnprepatch_185.call(this, InFiles, bSilent) }; } catch (e) {};
+try { let fnprepatch_186 = SourceControlHelpers.prototype.RevertFile;SourceControlHelpers.prototype.RevertFile = function (InFile, bSilent = false) { return fnprepatch_186.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_187 = SourceControlHelpers.prototype.QueryFileState;SourceControlHelpers.prototype.QueryFileState = function (InFile, bSilent = false) { return fnprepatch_187.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_188 = SourceControlHelpers.prototype.MarkFilesForAdd;SourceControlHelpers.prototype.MarkFilesForAdd = function (InFiles, bSilent = false) { return fnprepatch_188.call(this, InFiles, bSilent) }; } catch (e) {};
+try { let fnprepatch_189 = SourceControlHelpers.prototype.MarkFileForDelete;SourceControlHelpers.prototype.MarkFileForDelete = function (InFile, bSilent = false) { return fnprepatch_189.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_190 = SourceControlHelpers.prototype.MarkFileForAdd;SourceControlHelpers.prototype.MarkFileForAdd = function (InFile, bSilent = false) { return fnprepatch_190.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_191 = SourceControlHelpers.prototype.CopyFile;SourceControlHelpers.prototype.CopyFile = function (InSourceFile, InDestFile, bSilent = false) { return fnprepatch_191.call(this, InSourceFile, InDestFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_192 = SourceControlHelpers.prototype.CheckOutOrAddFile;SourceControlHelpers.prototype.CheckOutOrAddFile = function (InFile, bSilent = false) { return fnprepatch_192.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_193 = SourceControlHelpers.prototype.CheckOutFiles;SourceControlHelpers.prototype.CheckOutFiles = function (InFiles, bSilent = false) { return fnprepatch_193.call(this, InFiles, bSilent) }; } catch (e) {};
+try { let fnprepatch_194 = SourceControlHelpers.prototype.CheckOutFile;SourceControlHelpers.prototype.CheckOutFile = function (InFile, bSilent = false) { return fnprepatch_194.call(this, InFile, bSilent) }; } catch (e) {};
+try { let fnprepatch_195 = SourceControlHelpers.prototype.CheckInFiles;SourceControlHelpers.prototype.CheckInFiles = function (InFiles, InDescription, bSilent = false) { return fnprepatch_195.call(this, InFiles, InDescription, bSilent) }; } catch (e) {};
+try { let fnprepatch_196 = SourceControlHelpers.prototype.CheckInFile;SourceControlHelpers.prototype.CheckInFile = function (InFile, InDescription, bSilent = false) { return fnprepatch_196.call(this, InFile, InDescription, bSilent) }; } catch (e) {};
+try { let fnprepatch_197 = SkinnedMeshComponent.prototype.SetSkeletalMesh;SkinnedMeshComponent.prototype.SetSkeletalMesh = function (NewMesh, bReinitPose = true) { return fnprepatch_197.call(this, NewMesh, bReinitPose) }; } catch (e) {};
+try { let fnprepatch_198 = SkinnedMeshComponent.prototype.SetPhysicsAsset;SkinnedMeshComponent.prototype.SetPhysicsAsset = function (NewPhysicsAsset, bForceReInit = false) { return fnprepatch_198.call(this, NewPhysicsAsset, bForceReInit) }; } catch (e) {};
+try { let fnprepatch_199 = SkinnedMeshComponent.prototype.SetMasterPoseComponent;SkinnedMeshComponent.prototype.SetMasterPoseComponent = function (NewMasterBoneComponent, bForceUpdate = false) { return fnprepatch_199.call(this, NewMasterBoneComponent, bForceUpdate) }; } catch (e) {};
+try { let fnprepatch_200 = SkinnedMeshComponent.prototype.GetDeltaTransformFromRefPose;SkinnedMeshComponent.prototype.GetDeltaTransformFromRefPose = function (BoneName, BaseName = "None") { return fnprepatch_200.call(this, BoneName, BaseName) }; } catch (e) {};
+try { let fnprepatch_201 = SkinnedMeshComponent.prototype.FindClosestBone_K2;SkinnedMeshComponent.prototype.FindClosestBone_K2 = function (TestLocation, BoneLocation, IgnoreScale = 0, bRequirePhysicsAsset = false) { return fnprepatch_201.call(this, TestLocation, BoneLocation, IgnoreScale, bRequirePhysicsAsset) }; } catch (e) {};
+try { SkinnedMeshComponent.prototype.SetVertexColorOverride = SkinnedMeshComponent.prototype.SetVertexColorOverride_LinearColor; } catch (e) {};
+try { SkinnedMeshComponent.prototype.FindClosestBone = SkinnedMeshComponent.prototype.FindClosestBone_K2; } catch (e) {};
+try { let fnprepatch_202 = SkeletalMeshComponent.prototype.UnbindClothFromMasterPoseComponent;SkeletalMeshComponent.prototype.UnbindClothFromMasterPoseComponent = function (bRestoreSimulationSpace = true) { return fnprepatch_202.call(this, bRestoreSimulationSpace) }; } catch (e) {};
+try { let fnprepatch_203 = SkeletalMeshComponent.prototype.SetPosition;SkeletalMeshComponent.prototype.SetPosition = function (InPos, bFireNotifies = true) { return fnprepatch_203.call(this, InPos, bFireNotifies) }; } catch (e) {};
+try { let fnprepatch_204 = SkeletalMeshComponent.prototype.SetNotifyRigidBodyCollisionBelow;SkeletalMeshComponent.prototype.SetNotifyRigidBodyCollisionBelow = function (bNewNotifyRigidBodyCollision, BoneName = "None", bIncludeSelf = true) { return fnprepatch_204.call(this, bNewNotifyRigidBodyCollision, BoneName, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_205 = SkeletalMeshComponent.prototype.SetMorphTarget;SkeletalMeshComponent.prototype.SetMorphTarget = function (MorphTargetName, Value, bRemoveZeroWeight = true) { return fnprepatch_205.call(this, MorphTargetName, Value, bRemoveZeroWeight) }; } catch (e) {};
+try { let fnprepatch_206 = SkeletalMeshComponent.prototype.SetEnableGravityOnAllBodiesBelow;SkeletalMeshComponent.prototype.SetEnableGravityOnAllBodiesBelow = function (bEnableGravity, BoneName, bIncludeSelf = true) { return fnprepatch_206.call(this, bEnableGravity, BoneName, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_207 = SkeletalMeshComponent.prototype.SetConstraintProfileForAll;SkeletalMeshComponent.prototype.SetConstraintProfileForAll = function (ProfileName, bDefaultIfNotFound = false) { return fnprepatch_207.call(this, ProfileName, bDefaultIfNotFound) }; } catch (e) {};
+try { let fnprepatch_208 = SkeletalMeshComponent.prototype.SetConstraintProfile;SkeletalMeshComponent.prototype.SetConstraintProfile = function (JointName, ProfileName, bDefaultIfNotFound = false) { return fnprepatch_208.call(this, JointName, ProfileName, bDefaultIfNotFound) }; } catch (e) {};
+try { let fnprepatch_209 = SkeletalMeshComponent.prototype.SetBodyNotifyRigidBodyCollision;SkeletalMeshComponent.prototype.SetBodyNotifyRigidBodyCollision = function (bNewNotifyRigidBodyCollision, BoneName = "None") { return fnprepatch_209.call(this, bNewNotifyRigidBodyCollision, BoneName) }; } catch (e) {};
+try { let fnprepatch_210 = SkeletalMeshComponent.prototype.SetAllMotorsAngularVelocityDrive;SkeletalMeshComponent.prototype.SetAllMotorsAngularVelocityDrive = function (bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType = false) { return fnprepatch_210.call(this, bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType) }; } catch (e) {};
+try { let fnprepatch_211 = SkeletalMeshComponent.prototype.SetAllMotorsAngularPositionDrive;SkeletalMeshComponent.prototype.SetAllMotorsAngularPositionDrive = function (bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType = false) { return fnprepatch_211.call(this, bEnableSwingDrive, bEnableTwistDrive, bSkipCustomPhysicsType) }; } catch (e) {};
+try { let fnprepatch_212 = SkeletalMeshComponent.prototype.SetAllMotorsAngularDriveParams;SkeletalMeshComponent.prototype.SetAllMotorsAngularDriveParams = function (InSpring, InDamping, InForceLimit, bSkipCustomPhysicsType = false) { return fnprepatch_212.call(this, InSpring, InDamping, InForceLimit, bSkipCustomPhysicsType) }; } catch (e) {};
+try { let fnprepatch_213 = SkeletalMeshComponent.prototype.SetAllBodiesPhysicsBlendWeight;SkeletalMeshComponent.prototype.SetAllBodiesPhysicsBlendWeight = function (PhysicsBlendWeight, bSkipCustomPhysicsType = false) { return fnprepatch_213.call(this, PhysicsBlendWeight, bSkipCustomPhysicsType) }; } catch (e) {};
+try { let fnprepatch_214 = SkeletalMeshComponent.prototype.SetAllBodiesBelowSimulatePhysics;SkeletalMeshComponent.prototype.SetAllBodiesBelowSimulatePhysics = function (InBoneName, bNewSimulate, bIncludeSelf = true) { return fnprepatch_214.call(this, InBoneName, bNewSimulate, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_215 = SkeletalMeshComponent.prototype.SetAllBodiesBelowPhysicsBlendWeight;SkeletalMeshComponent.prototype.SetAllBodiesBelowPhysicsBlendWeight = function (InBoneName, PhysicsBlendWeight, bSkipCustomPhysicsType = false, bIncludeSelf = true) { return fnprepatch_215.call(this, InBoneName, PhysicsBlendWeight, bSkipCustomPhysicsType, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_216 = SkeletalMeshComponent.prototype.ResetAnimInstanceDynamics;SkeletalMeshComponent.prototype.ResetAnimInstanceDynamics = function (InTeleportType = "ResetPhysics") { return fnprepatch_216.call(this, InTeleportType) }; } catch (e) {};
+try { let fnprepatch_217 = SkeletalMeshComponent.prototype.OverrideAnimationData;SkeletalMeshComponent.prototype.OverrideAnimationData = function (InAnimToPlay, bIsLooping = true, bIsPlaying = true, Position = 0, PlayRate = 1) { return fnprepatch_217.call(this, InAnimToPlay, bIsLooping, bIsPlaying, Position, PlayRate) }; } catch (e) {};
+try { let fnprepatch_218 = SkeletalMeshComponent.prototype.GetBoneMass;SkeletalMeshComponent.prototype.GetBoneMass = function (BoneName = "None", bScaleMass = true) { return fnprepatch_218.call(this, BoneName, bScaleMass) }; } catch (e) {};
+try { let fnprepatch_219 = SkeletalMeshComponent.prototype.AddImpulseToAllBodiesBelow;SkeletalMeshComponent.prototype.AddImpulseToAllBodiesBelow = function (Impulse, BoneName = "None", bVelChange = false, bIncludeSelf = true) { return fnprepatch_219.call(this, Impulse, BoneName, bVelChange, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_220 = SkeletalMeshComponent.prototype.AddForceToAllBodiesBelow;SkeletalMeshComponent.prototype.AddForceToAllBodiesBelow = function (Force, BoneName = "None", bAccelChange = false, bIncludeSelf = true) { return fnprepatch_220.call(this, Force, BoneName, bAccelChange, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_221 = SkeletalMeshComponent.prototype.AccumulateAllBodiesBelowPhysicsBlendWeight;SkeletalMeshComponent.prototype.AccumulateAllBodiesBelowPhysicsBlendWeight = function (InBoneName, AddPhysicsBlendWeight, bSkipCustomPhysicsType = false) { return fnprepatch_221.call(this, InBoneName, AddPhysicsBlendWeight, bSkipCustomPhysicsType) }; } catch (e) {};
+try { SkeletalMeshComponent.prototype.GetDirectionBetweenSockets = SkeletalMeshComponent.prototype.K2_DirectionBetweenSockets; } catch (e) {};
+try { SkeletalMeshComponent.prototype.GetDistanceBetweenTwoSockets = SkeletalMeshComponent.prototype.K2_DistanceBetweenTwoSocketsAndMapRange; } catch (e) {};
+try { SkeletalMeshComponent.prototype.SetAnimInstanceClass = SkeletalMeshComponent.prototype.K2_SetAnimInstanceClass; } catch (e) {};
+try { SkeletalMeshComponent.prototype.GetClosestPointOnPhysicsAsset = SkeletalMeshComponent.prototype.K2_GetClosestPointOnPhysicsAsset; } catch (e) {};
+try { let fnprepatch_222 = AnimInstance.prototype.StopSlotAnimation;AnimInstance.prototype.StopSlotAnimation = function (InBlendOutTime = 0.25, SlotNodeName = "None") { return fnprepatch_222.call(this, InBlendOutTime, SlotNodeName) }; } catch (e) {};
+try { let fnprepatch_223 = AnimInstance.prototype.PlaySlotAnimationAsDynamicMontage;AnimInstance.prototype.PlaySlotAnimationAsDynamicMontage = function (Asset, SlotNodeName, BlendInTime = 0.25, BlendOutTime = 0.25, InPlayRate = 1, LoopCount = 1, BlendOutTriggerTime = -1, InTimeToStartMontageAt = 0) { return fnprepatch_223.call(this, Asset, SlotNodeName, BlendInTime, BlendOutTime, InPlayRate, LoopCount, BlendOutTriggerTime, InTimeToStartMontageAt) }; } catch (e) {};
+try { let fnprepatch_224 = AnimInstance.prototype.PlaySlotAnimation;AnimInstance.prototype.PlaySlotAnimation = function (Asset, SlotNodeName, BlendInTime = 0.25, BlendOutTime = 0.25, InPlayRate = 1, LoopCount = 1) { return fnprepatch_224.call(this, Asset, SlotNodeName, BlendInTime, BlendOutTime, InPlayRate, LoopCount) }; } catch (e) {};
+try { let fnprepatch_225 = AnimInstance.prototype.Montage_Stop;AnimInstance.prototype.Montage_Stop = function (InBlendOutTime, Montage = undefined) { return fnprepatch_225.call(this, InBlendOutTime, Montage) }; } catch (e) {};
+try { let fnprepatch_226 = AnimInstance.prototype.Montage_SetPlayRate;AnimInstance.prototype.Montage_SetPlayRate = function (Montage, NewPlayRate = 1) { return fnprepatch_226.call(this, Montage, NewPlayRate) }; } catch (e) {};
+try { let fnprepatch_227 = AnimInstance.prototype.Montage_SetNextSection;AnimInstance.prototype.Montage_SetNextSection = function (SectionNameToChange, NextSection, Montage = undefined) { return fnprepatch_227.call(this, SectionNameToChange, NextSection, Montage) }; } catch (e) {};
+try { let fnprepatch_228 = AnimInstance.prototype.Montage_Play;AnimInstance.prototype.Montage_Play = function (MontageToPlay, InPlayRate = 1, ReturnValueType = "MontageLength", InTimeToStartMontageAt = 0, bStopAllMontages = true) { return fnprepatch_228.call(this, MontageToPlay, InPlayRate, ReturnValueType, InTimeToStartMontageAt, bStopAllMontages) }; } catch (e) {};
+try { let fnprepatch_229 = AnimInstance.prototype.Montage_Pause;AnimInstance.prototype.Montage_Pause = function (Montage = undefined) { return fnprepatch_229.call(this, Montage) }; } catch (e) {};
+try { let fnprepatch_230 = AnimInstance.prototype.Montage_JumpToSectionsEnd;AnimInstance.prototype.Montage_JumpToSectionsEnd = function (SectionName, Montage = undefined) { return fnprepatch_230.call(this, SectionName, Montage) }; } catch (e) {};
+try { let fnprepatch_231 = AnimInstance.prototype.Montage_JumpToSection;AnimInstance.prototype.Montage_JumpToSection = function (SectionName, Montage = undefined) { return fnprepatch_231.call(this, SectionName, Montage) }; } catch (e) {};
+try { let fnprepatch_232 = AnimInstance.prototype.Montage_GetCurrentSection;AnimInstance.prototype.Montage_GetCurrentSection = function (Montage = undefined) { return fnprepatch_232.call(this, Montage) }; } catch (e) {};
+try { let fnprepatch_233 = AnimInstance.prototype.IsSyncGroupBetweenMarkers;AnimInstance.prototype.IsSyncGroupBetweenMarkers = function (InSyncGroupName, PreviousMarker, NextMarker, bRespectMarkerOrder = true) { return fnprepatch_233.call(this, InSyncGroupName, PreviousMarker, NextMarker, bRespectMarkerOrder) }; } catch (e) {};
+try { AnimInstance.prototype.GetTransitionTimeElapsed = AnimInstance.prototype.GetInstanceTransitionTimeElapsedFraction; } catch (e) {};
+try { AnimInstance.prototype.GetTransitionTimeElapsed = AnimInstance.prototype.GetInstanceTransitionTimeElapsed; } catch (e) {};
+try { AnimInstance.prototype.GetTransitionCrossfadeDuration = AnimInstance.prototype.GetInstanceTransitionCrossfadeDuration; } catch (e) {};
+try { AnimInstance.prototype.StateWeight = AnimInstance.prototype.GetInstanceStateWeight; } catch (e) {};
+try { AnimInstance.prototype.MachineWeight = AnimInstance.prototype.GetInstanceMachineWeight; } catch (e) {};
+try { AnimInstance.prototype.CurrentStateTime = AnimInstance.prototype.GetInstanceCurrentStateElapsedTime; } catch (e) {};
+try { AnimInstance.prototype.TimeRemaining = AnimInstance.prototype.GetInstanceAssetPlayerTimeFromEndFraction; } catch (e) {};
+try { AnimInstance.prototype.TimeRemaining = AnimInstance.prototype.GetInstanceAssetPlayerTimeFromEnd; } catch (e) {};
+try { AnimInstance.prototype.CurrentTime = AnimInstance.prototype.GetInstanceAssetPlayerTimeFraction; } catch (e) {};
+try { AnimInstance.prototype.CurrentTime = AnimInstance.prototype.GetInstanceAssetPlayerTime; } catch (e) {};
+try { AnimInstance.prototype.Length = AnimInstance.prototype.GetInstanceAssetPlayerLength; } catch (e) {};
+try { let fnprepatch_234 = AnimSingleNodeInstance.prototype.SetPositionWithPreviousTime;AnimSingleNodeInstance.prototype.SetPositionWithPreviousTime = function (InPosition, InPreviousTime, bFireNotifies = true) { return fnprepatch_234.call(this, InPosition, InPreviousTime, bFireNotifies) }; } catch (e) {};
+try { let fnprepatch_235 = AnimSingleNodeInstance.prototype.SetPosition;AnimSingleNodeInstance.prototype.SetPosition = function (InPosition, bFireNotifies = true) { return fnprepatch_235.call(this, InPosition, bFireNotifies) }; } catch (e) {};
+try { let fnprepatch_236 = AnimSingleNodeInstance.prototype.SetAnimationAsset;AnimSingleNodeInstance.prototype.SetAnimationAsset = function (NewAsset, bIsLooping = true, InPlayRate = 1) { return fnprepatch_236.call(this, NewAsset, bIsLooping, InPlayRate) }; } catch (e) {};
+try { let fnprepatch_237 = AnimSingleNodeInstance.prototype.PlayAnim;AnimSingleNodeInstance.prototype.PlayAnim = function (bIsLooping = false, InPlayRate = 1, InStartPosition = 0) { return fnprepatch_237.call(this, bIsLooping, InPlayRate, InStartPosition) }; } catch (e) {};
 try { KismetAnimationLibrary.prototype.TwoBoneIKFunction = KismetAnimationLibrary.prototype.K2_TwoBoneIK; } catch (e) {};
 try { KismetAnimationLibrary.TwoBoneIKFunction = KismetAnimationLibrary.K2_TwoBoneIK; } catch (e) {};
+try { KismetAnimationLibrary.prototype.MakePerlinNoiseVectorandRemap = KismetAnimationLibrary.prototype.K2_MakePerlinNoiseVectorAndRemap; } catch (e) {};
+try { KismetAnimationLibrary.MakePerlinNoiseVectorandRemap = KismetAnimationLibrary.K2_MakePerlinNoiseVectorAndRemap; } catch (e) {};
+try { KismetAnimationLibrary.prototype.MakePerlinNoiseandRemap = KismetAnimationLibrary.prototype.K2_MakePerlinNoiseAndRemap; } catch (e) {};
+try { KismetAnimationLibrary.MakePerlinNoiseandRemap = KismetAnimationLibrary.K2_MakePerlinNoiseAndRemap; } catch (e) {};
 try { KismetAnimationLibrary.prototype.LookAtFunction = KismetAnimationLibrary.prototype.K2_LookAt; } catch (e) {};
 try { KismetAnimationLibrary.LookAtFunction = KismetAnimationLibrary.K2_LookAt; } catch (e) {};
-try { let fnprepatch_164 = PlayMontageCallbackProxy.prototype.CreateProxyObjectForPlayMontage;PlayMontageCallbackProxy.prototype.CreateProxyObjectForPlayMontage = function (InSkeletalMeshComponent, MontageToPlay, PlayRate = 1, StartingPosition = 0, StartingSection = "None") { return fnprepatch_164.call(this, InSkeletalMeshComponent, MontageToPlay, PlayRate, StartingPosition, StartingSection) }; } catch (e) {};
+try { KismetAnimationLibrary.prototype.GetDistanceBetweenTwoSockets = KismetAnimationLibrary.prototype.K2_DistanceBetweenTwoSocketsAndMapRange; } catch (e) {};
+try { KismetAnimationLibrary.GetDistanceBetweenTwoSockets = KismetAnimationLibrary.K2_DistanceBetweenTwoSocketsAndMapRange; } catch (e) {};
+try { KismetAnimationLibrary.prototype.GetDirectionBetweenSockets = KismetAnimationLibrary.prototype.K2_DirectionBetweenSockets; } catch (e) {};
+try { KismetAnimationLibrary.GetDirectionBetweenSockets = KismetAnimationLibrary.K2_DirectionBetweenSockets; } catch (e) {};
+try { let fnprepatch_238 = PlayMontageCallbackProxy.prototype.CreateProxyObjectForPlayMontage;PlayMontageCallbackProxy.prototype.CreateProxyObjectForPlayMontage = function (InSkeletalMeshComponent, MontageToPlay, PlayRate = 1, StartingPosition = 0, StartingSection = "None") { return fnprepatch_238.call(this, InSkeletalMeshComponent, MontageToPlay, PlayRate, StartingPosition, StartingSection) }; } catch (e) {};
 try { MovieSceneTransformOrigin.prototype.GetTransformOrigin = MovieSceneTransformOrigin.prototype.BP_GetTransformOrigin; } catch (e) {};
-try { let fnprepatch_165 = MovieSceneSequencePlayer.prototype.PlayLooping;MovieSceneSequencePlayer.prototype.PlayLooping = function (NumLoops = -1) { return fnprepatch_165.call(this, NumLoops) }; } catch (e) {};
-try { let fnprepatch_166 = LevelSequenceActor.prototype.SetBinding;LevelSequenceActor.prototype.SetBinding = function (Binding, Actors, bAllowBindingsFromAsset = false) { return fnprepatch_166.call(this, Binding, Actors, bAllowBindingsFromAsset) }; } catch (e) {};
-try { let fnprepatch_167 = LevelSequenceActor.prototype.GetSequence;LevelSequenceActor.prototype.GetSequence = function (bLoad = false, bInitializePlayer = false) { return fnprepatch_167.call(this, bLoad, bInitializePlayer) }; } catch (e) {};
-try { let fnprepatch_168 = LevelSequenceActor.prototype.AddBinding;LevelSequenceActor.prototype.AddBinding = function (Binding, Actor, bAllowBindingsFromAsset = false) { return fnprepatch_168.call(this, Binding, Actor, bAllowBindingsFromAsset) }; } catch (e) {};
+try { let fnprepatch_239 = TimeManagementBlueprintLibrary.prototype.Conv_TimecodeToString;TimeManagementBlueprintLibrary.prototype.Conv_TimecodeToString = function (InTimecode, bForceSignDisplay = false) { return fnprepatch_239.call(this, InTimecode, bForceSignDisplay) }; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.TransformFrameTime = TimeManagementBlueprintLibrary.prototype.TransformTime; } catch (e) {};
+try { TimeManagementBlueprintLibrary.TransformFrameTime = TimeManagementBlueprintLibrary.TransformTime; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.SnapFrameTime = TimeManagementBlueprintLibrary.prototype.SnapFrameTimeToRate; } catch (e) {};
+try { TimeManagementBlueprintLibrary.SnapFrameTime = TimeManagementBlueprintLibrary.SnapFrameTimeToRate; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.IsMultipleOf = TimeManagementBlueprintLibrary.prototype.IsValid_MultipleOf; } catch (e) {};
+try { TimeManagementBlueprintLibrary.IsMultipleOf = TimeManagementBlueprintLibrary.IsValid_MultipleOf; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.IsValid = TimeManagementBlueprintLibrary.prototype.IsValid_Framerate; } catch (e) {};
+try { TimeManagementBlueprintLibrary.IsValid = TimeManagementBlueprintLibrary.IsValid_Framerate; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.TimecodetoString = TimeManagementBlueprintLibrary.prototype.Conv_TimecodeToString; } catch (e) {};
+try { TimeManagementBlueprintLibrary.TimecodetoString = TimeManagementBlueprintLibrary.Conv_TimecodeToString; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.QualifiedFrameTimetoSeconds = TimeManagementBlueprintLibrary.prototype.Conv_QualifiedFrameTimeToSeconds; } catch (e) {};
+try { TimeManagementBlueprintLibrary.QualifiedFrameTimetoSeconds = TimeManagementBlueprintLibrary.Conv_QualifiedFrameTimeToSeconds; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.FrameRatetoSeconds = TimeManagementBlueprintLibrary.prototype.Conv_FrameRateToSeconds; } catch (e) {};
+try { TimeManagementBlueprintLibrary.FrameRatetoSeconds = TimeManagementBlueprintLibrary.Conv_FrameRateToSeconds; } catch (e) {};
+try { TimeManagementBlueprintLibrary.prototype.FrameNumbertoInteger = TimeManagementBlueprintLibrary.prototype.Conv_FrameNumberToInteger; } catch (e) {};
+try { TimeManagementBlueprintLibrary.FrameNumbertoInteger = TimeManagementBlueprintLibrary.Conv_FrameNumberToInteger; } catch (e) {};
+try { let fnprepatch_240 = MovieSceneSequencePlayer.prototype.PlayLooping;MovieSceneSequencePlayer.prototype.PlayLooping = function (NumLoops = -1) { return fnprepatch_240.call(this, NumLoops) }; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.SetPlayRange = MovieSceneSequencePlayer.prototype.SetTimeRange; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.SetPlayRange = MovieSceneSequencePlayer.prototype.SetFrameRange; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.ScrubTo = MovieSceneSequencePlayer.prototype.ScrubToSeconds; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.ScrubTo = MovieSceneSequencePlayer.prototype.ScrubToFrame; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.PlayTo = MovieSceneSequencePlayer.prototype.PlayToSeconds; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.PlayTo = MovieSceneSequencePlayer.prototype.PlayToFrame; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.JumpTo = MovieSceneSequencePlayer.prototype.JumpToSeconds; } catch (e) {};
+try { MovieSceneSequencePlayer.prototype.JumpTo = MovieSceneSequencePlayer.prototype.JumpToFrame; } catch (e) {};
+try { let fnprepatch_241 = LevelSequenceActor.prototype.SetBinding;LevelSequenceActor.prototype.SetBinding = function (Binding, Actors, bAllowBindingsFromAsset = false) { return fnprepatch_241.call(this, Binding, Actors, bAllowBindingsFromAsset) }; } catch (e) {};
+try { let fnprepatch_242 = LevelSequenceActor.prototype.AddBinding;LevelSequenceActor.prototype.AddBinding = function (Binding, Actor, bAllowBindingsFromAsset = false) { return fnprepatch_242.call(this, Binding, Actor, bAllowBindingsFromAsset) }; } catch (e) {};
 try { ActorGroupingUtils.prototype.GetActorGroupingUtils = ActorGroupingUtils.prototype.Get; } catch (e) {};
 try { ActorGroupingUtils.GetActorGroupingUtils = ActorGroupingUtils.Get; } catch (e) {};
-try { let fnprepatch_169 = EditorLevelUtils.prototype.CreateNewStreamingLevel;EditorLevelUtils.prototype.CreateNewStreamingLevel = function (LevelStreamingClass, NewLevelPath, bMoveSelectedActorsIntoNewLevel = false) { return fnprepatch_169.call(this, LevelStreamingClass, NewLevelPath, bMoveSelectedActorsIntoNewLevel) }; } catch (e) {};
-try { let fnprepatch_170 = MaterialInterface.prototype.SetForceMipLevelsToBeResident;MaterialInterface.prototype.SetForceMipLevelsToBeResident = function (OverrideForceMiplevelsToBeResident, bForceMiplevelsToBeResidentValue, ForceDuration, CinematicTextureGroups = 0) { return fnprepatch_170.call(this, OverrideForceMiplevelsToBeResident, bForceMiplevelsToBeResidentValue, ForceDuration, CinematicTextureGroups) }; } catch (e) {};
-try { let fnprepatch_171 = InstancedStaticMeshComponent.prototype.UpdateInstanceTransform;InstancedStaticMeshComponent.prototype.UpdateInstanceTransform = function (InstanceIndex, NewInstanceTransform, bWorldSpace = false, bMarkRenderStateDirty = false, bTeleport = false) { return fnprepatch_171.call(this, InstanceIndex, NewInstanceTransform, bWorldSpace, bMarkRenderStateDirty, bTeleport) }; } catch (e) {};
-try { let fnprepatch_172 = InstancedStaticMeshComponent.prototype.GetInstanceTransform;InstancedStaticMeshComponent.prototype.GetInstanceTransform = function (InstanceIndex, OutInstanceTransform, bWorldSpace = false) { return fnprepatch_172.call(this, InstanceIndex, OutInstanceTransform, bWorldSpace) }; } catch (e) {};
-try { let fnprepatch_173 = InstancedStaticMeshComponent.prototype.GetInstancesOverlappingSphere;InstancedStaticMeshComponent.prototype.GetInstancesOverlappingSphere = function (Center, Radius, bSphereInWorldSpace = true) { return fnprepatch_173.call(this, Center, Radius, bSphereInWorldSpace) }; } catch (e) {};
-try { let fnprepatch_174 = InstancedStaticMeshComponent.prototype.GetInstancesOverlappingBox;InstancedStaticMeshComponent.prototype.GetInstancesOverlappingBox = function (Box, bBoxInWorldSpace = true) { return fnprepatch_174.call(this, Box, bBoxInWorldSpace) }; } catch (e) {};
-try { let fnprepatch_175 = ProceduralFoliageSpawner.prototype.Simulate;ProceduralFoliageSpawner.prototype.Simulate = function (NumSteps = -1) { return fnprepatch_175.call(this, NumSteps) }; } catch (e) {};
-try { let fnprepatch_176 = LandscapeProxy.prototype.EditorApplySpline;LandscapeProxy.prototype.EditorApplySpline = function (InSplineComponent, StartWidth = 200, EndWidth = 200, StartSideFalloff = 200, EndSideFalloff = 200, StartRoll = 0, EndRoll = 0, NumSubdivisions = 20, bRaiseHeights = true, bLowerHeights = true, PaintLayer) { return fnprepatch_176.call(this, InSplineComponent, StartWidth, EndWidth, StartSideFalloff, EndSideFalloff, StartRoll, EndRoll, NumSubdivisions, bRaiseHeights, bLowerHeights, PaintLayer) }; } catch (e) {};
+try { let fnprepatch_243 = EditorLevelUtils.prototype.SetLevelVisibility;EditorLevelUtils.prototype.SetLevelVisibility = function (Level, bShouldBeVisible, bForceLayersVisible, ModifyMode = "ModifyOnChange") { return fnprepatch_243.call(this, Level, bShouldBeVisible, bForceLayersVisible, ModifyMode) }; } catch (e) {};
+try { let fnprepatch_244 = EditorLevelUtils.prototype.MoveSelectedActorsToLevel;EditorLevelUtils.prototype.MoveSelectedActorsToLevel = function (DestLevel, bWarnAboutReferences = true) { return fnprepatch_244.call(this, DestLevel, bWarnAboutReferences) }; } catch (e) {};
+try { let fnprepatch_245 = EditorLevelUtils.prototype.MoveActorsToLevel;EditorLevelUtils.prototype.MoveActorsToLevel = function (ActorsToMove, DestStreamingLevel, bWarnAboutReferences = true) { return fnprepatch_245.call(this, ActorsToMove, DestStreamingLevel, bWarnAboutReferences) }; } catch (e) {};
+try { let fnprepatch_246 = EditorLevelUtils.prototype.CreateNewStreamingLevel;EditorLevelUtils.prototype.CreateNewStreamingLevel = function (LevelStreamingClass, NewLevelPath, bMoveSelectedActorsIntoNewLevel = false) { return fnprepatch_246.call(this, LevelStreamingClass, NewLevelPath, bMoveSelectedActorsIntoNewLevel) }; } catch (e) {};
+try { AssetImportData.prototype.GetFirstFilename = AssetImportData.prototype.K2_GetFirstFilename; } catch (e) {};
+try { AssetImportData.prototype.ExtractFilenames = AssetImportData.prototype.K2_ExtractFilenames; } catch (e) {};
+try { let fnprepatch_247 = MaterialInterface.prototype.SetForceMipLevelsToBeResident;MaterialInterface.prototype.SetForceMipLevelsToBeResident = function (OverrideForceMiplevelsToBeResident, bForceMiplevelsToBeResidentValue, ForceDuration, CinematicTextureGroups = 0) { return fnprepatch_247.call(this, OverrideForceMiplevelsToBeResident, bForceMiplevelsToBeResidentValue, ForceDuration, CinematicTextureGroups) }; } catch (e) {};
+try { let fnprepatch_248 = InstancedStaticMeshComponent.prototype.UpdateInstanceTransform;InstancedStaticMeshComponent.prototype.UpdateInstanceTransform = function (InstanceIndex, NewInstanceTransform, bWorldSpace = false, bMarkRenderStateDirty = false, bTeleport = false) { return fnprepatch_248.call(this, InstanceIndex, NewInstanceTransform, bWorldSpace, bMarkRenderStateDirty, bTeleport) }; } catch (e) {};
+try { let fnprepatch_249 = InstancedStaticMeshComponent.prototype.GetInstanceTransform;InstancedStaticMeshComponent.prototype.GetInstanceTransform = function (InstanceIndex, OutInstanceTransform, bWorldSpace = false) { return fnprepatch_249.call(this, InstanceIndex, OutInstanceTransform, bWorldSpace) }; } catch (e) {};
+try { let fnprepatch_250 = InstancedStaticMeshComponent.prototype.GetInstancesOverlappingSphere;InstancedStaticMeshComponent.prototype.GetInstancesOverlappingSphere = function (Center, Radius, bSphereInWorldSpace = true) { return fnprepatch_250.call(this, Center, Radius, bSphereInWorldSpace) }; } catch (e) {};
+try { let fnprepatch_251 = InstancedStaticMeshComponent.prototype.GetInstancesOverlappingBox;InstancedStaticMeshComponent.prototype.GetInstancesOverlappingBox = function (Box, bBoxInWorldSpace = true) { return fnprepatch_251.call(this, Box, bBoxInWorldSpace) }; } catch (e) {};
+try { let fnprepatch_252 = ProceduralFoliageSpawner.prototype.Simulate;ProceduralFoliageSpawner.prototype.Simulate = function (NumSteps = -1) { return fnprepatch_252.call(this, NumSteps) }; } catch (e) {};
+try { let fnprepatch_253 = LandscapeProxy.prototype.LandscapeImportHeightmapFromRenderTarget;LandscapeProxy.prototype.LandscapeImportHeightmapFromRenderTarget = function (InRenderTarget, InImportHeightFromRGChannel = false) { return fnprepatch_253.call(this, InRenderTarget, InImportHeightFromRGChannel) }; } catch (e) {};
+try { let fnprepatch_254 = LandscapeProxy.prototype.LandscapeExportHeightmapToRenderTarget;LandscapeProxy.prototype.LandscapeExportHeightmapToRenderTarget = function (InRenderTarget, InExportHeightIntoRGChannel = false) { return fnprepatch_254.call(this, InRenderTarget, InExportHeightIntoRGChannel) }; } catch (e) {};
+try { let fnprepatch_255 = LandscapeProxy.prototype.EditorApplySpline;LandscapeProxy.prototype.EditorApplySpline = function (InSplineComponent, StartWidth = 200, EndWidth = 200, StartSideFalloff = 200, EndSideFalloff = 200, StartRoll = 0, EndRoll = 0, NumSubdivisions = 20, bRaiseHeights = true, bLowerHeights = true, PaintLayer = undefined) { return fnprepatch_255.call(this, InSplineComponent, StartWidth, EndWidth, StartSideFalloff, EndSideFalloff, StartRoll, EndRoll, NumSubdivisions, bRaiseHeights, bLowerHeights, PaintLayer) }; } catch (e) {};
 try { MaterialInstanceConstant.prototype.GetVectorParameterValue = MaterialInstanceConstant.prototype.K2_GetVectorParameterValue; } catch (e) {};
 try { MaterialInstanceConstant.prototype.GetTextureParameterValue = MaterialInstanceConstant.prototype.K2_GetTextureParameterValue; } catch (e) {};
 try { MaterialInstanceConstant.prototype.GetScalarParameterValue = MaterialInstanceConstant.prototype.K2_GetScalarParameterValue; } catch (e) {};
-try { let fnprepatch_177 = AmbientSound.prototype.Play;AmbientSound.prototype.Play = function (StartTime = 0) { return fnprepatch_177.call(this, StartTime) }; } catch (e) {};
-try { let fnprepatch_178 = AmbientSound.prototype.FadeIn;AmbientSound.prototype.FadeIn = function (FadeInDuration, FadeVolumeLevel = 1) { return fnprepatch_178.call(this, FadeInDuration, FadeVolumeLevel) }; } catch (e) {};
-try { let fnprepatch_179 = AudioComponent.prototype.Play;AudioComponent.prototype.Play = function (StartTime = 0) { return fnprepatch_179.call(this, StartTime) }; } catch (e) {};
-try { let fnprepatch_180 = AudioComponent.prototype.FadeIn;AudioComponent.prototype.FadeIn = function (FadeInDuration, FadeVolumeLevel = 1, StartTime = 0) { return fnprepatch_180.call(this, FadeInDuration, FadeVolumeLevel, StartTime) }; } catch (e) {};
+try { let fnprepatch_256 = AmbientSound.prototype.Play;AmbientSound.prototype.Play = function (StartTime = 0) { return fnprepatch_256.call(this, StartTime) }; } catch (e) {};
+try { let fnprepatch_257 = AmbientSound.prototype.FadeIn;AmbientSound.prototype.FadeIn = function (FadeInDuration, FadeVolumeLevel = 1) { return fnprepatch_257.call(this, FadeInDuration, FadeVolumeLevel) }; } catch (e) {};
+try { let fnprepatch_258 = AudioComponent.prototype.Play;AudioComponent.prototype.Play = function (StartTime = 0) { return fnprepatch_258.call(this, StartTime) }; } catch (e) {};
+try { let fnprepatch_259 = AudioComponent.prototype.FadeIn;AudioComponent.prototype.FadeIn = function (FadeInDuration, FadeVolumeLevel = 1, StartTime = 0) { return fnprepatch_259.call(this, FadeInDuration, FadeVolumeLevel, StartTime) }; } catch (e) {};
 try { AudioComponent.prototype.SetIntegerParameter = AudioComponent.prototype.SetIntParameter; } catch (e) {};
 try { AudioComponent.prototype.SetBooleanParameter = AudioComponent.prototype.SetBoolParameter; } catch (e) {};
 try { AudioComponent.prototype.GetAttenuationSettingsToApply = AudioComponent.prototype.BP_GetAttenuationSettingsToApply; } catch (e) {};
-try { let fnprepatch_181 = AvoidanceManager.prototype.RegisterMovementComponent;AvoidanceManager.prototype.RegisterMovementComponent = function (MovementComp, AvoidanceWeight = 0.5) { return fnprepatch_181.call(this, MovementComp, AvoidanceWeight) }; } catch (e) {};
+try { let fnprepatch_260 = AvoidanceManager.prototype.RegisterMovementComponent;AvoidanceManager.prototype.RegisterMovementComponent = function (MovementComp, AvoidanceWeight = 0.5) { return fnprepatch_260.call(this, MovementComp, AvoidanceWeight) }; } catch (e) {};
 try { BlueprintMapLibrary.prototype.Values = BlueprintMapLibrary.prototype.Map_Values; } catch (e) {};
 try { BlueprintMapLibrary.Values = BlueprintMapLibrary.Map_Values; } catch (e) {};
 try { BlueprintMapLibrary.prototype.Remove = BlueprintMapLibrary.prototype.Map_Remove; } catch (e) {};
@@ -382,6 +638,9 @@ try { BlueprintMapLibrary.prototype.Clear = BlueprintMapLibrary.prototype.Map_Cl
 try { BlueprintMapLibrary.Clear = BlueprintMapLibrary.Map_Clear; } catch (e) {};
 try { BlueprintMapLibrary.prototype.Add = BlueprintMapLibrary.prototype.Map_Add; } catch (e) {};
 try { BlueprintMapLibrary.Add = BlueprintMapLibrary.Map_Add; } catch (e) {};
+try { let fnprepatch_261 = BlueprintPathsLibrary.prototype.GetExtension;BlueprintPathsLibrary.prototype.GetExtension = function (InPath, bIncludeDot = false) { return fnprepatch_261.call(this, InPath, bIncludeDot) }; } catch (e) {};
+try { let fnprepatch_262 = BlueprintPathsLibrary.prototype.GetBaseFilename;BlueprintPathsLibrary.prototype.GetBaseFilename = function (InPath, bRemovePath = true) { return fnprepatch_262.call(this, InPath, bRemovePath) }; } catch (e) {};
+try { let fnprepatch_263 = BlueprintPathsLibrary.prototype.CreateTempFilename;BlueprintPathsLibrary.prototype.CreateTempFilename = function (Path, Prefix, Extension = ".tmp") { return fnprepatch_263.call(this, Path, Prefix, Extension) }; } catch (e) {};
 try { GameInstance.prototype.Shutdown = GameInstance.prototype.ReceiveShutdown; } catch (e) {};
 try { GameInstance.prototype.Init = GameInstance.prototype.ReceiveInit; } catch (e) {};
 try { GameInstance.prototype.TravelError = GameInstance.prototype.HandleTravelError; } catch (e) {};
@@ -408,17 +667,17 @@ try { BlueprintSetLibrary.prototype.AddItems = BlueprintSetLibrary.prototype.Set
 try { BlueprintSetLibrary.AddItems = BlueprintSetLibrary.Set_AddItems; } catch (e) {};
 try { BlueprintSetLibrary.prototype.Add = BlueprintSetLibrary.prototype.Set_Add; } catch (e) {};
 try { BlueprintSetLibrary.Add = BlueprintSetLibrary.Set_Add; } catch (e) {};
-try { let fnprepatch_182 = BoxComponent.prototype.SetBoxExtent;BoxComponent.prototype.SetBoxExtent = function (InBoxExtent, bUpdateOverlaps = true) { return fnprepatch_182.call(this, InBoxExtent, bUpdateOverlaps) }; } catch (e) {};
-try { let fnprepatch_183 = CameraAnimInst.prototype.Stop;CameraAnimInst.prototype.Stop = function (bImmediate = false) { return fnprepatch_183.call(this, bImmediate) }; } catch (e) {};
-try { let fnprepatch_184 = CameraModifier.prototype.DisableModifier;CameraModifier.prototype.DisableModifier = function (bImmediate = false) { return fnprepatch_184.call(this, bImmediate) }; } catch (e) {};
-try { let fnprepatch_185 = Canvas.prototype.K2_TextSize;Canvas.prototype.K2_TextSize = function (RenderFont, RenderText, Scale = {"X":1,"Y":1}) { return fnprepatch_185.call(this, RenderFont, RenderText, Scale) }; } catch (e) {};
-try { let fnprepatch_186 = Canvas.prototype.K2_DrawTexture;Canvas.prototype.K2_DrawTexture = function (RenderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, RenderColor = {"R":1,"G":1,"B":1,"A":1}, BlendMode = "BLEND_Translucent", Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}) { return fnprepatch_186.call(this, RenderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, RenderColor, BlendMode, Rotation, PivotPoint) }; } catch (e) {};
-try { let fnprepatch_187 = Canvas.prototype.K2_DrawText;Canvas.prototype.K2_DrawText = function (RenderFont, RenderText, ScreenPosition, RenderColor = {"R":1,"G":1,"B":1,"A":1}, Kerning = 0, ShadowColor = {"R":0,"G":0,"B":0,"A":1}, ShadowOffset = {"X":1,"Y":1}, bCentreX = false, bCentreY = false, bOutlined = false, OutlineColor = {"R":0,"G":0,"B":0,"A":1}) { return fnprepatch_187.call(this, RenderFont, RenderText, ScreenPosition, RenderColor, Kerning, ShadowColor, ShadowOffset, bCentreX, bCentreY, bOutlined, OutlineColor) }; } catch (e) {};
-try { let fnprepatch_188 = Canvas.prototype.K2_DrawPolygon;Canvas.prototype.K2_DrawPolygon = function (RenderTexture, ScreenPosition, Radius = {"X":1,"Y":1}, NumberOfSides = 3, RenderColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_188.call(this, RenderTexture, ScreenPosition, Radius, NumberOfSides, RenderColor) }; } catch (e) {};
-try { let fnprepatch_189 = Canvas.prototype.K2_DrawMaterial;Canvas.prototype.K2_DrawMaterial = function (RenderMaterial, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}) { return fnprepatch_189.call(this, RenderMaterial, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, Rotation, PivotPoint) }; } catch (e) {};
-try { let fnprepatch_190 = Canvas.prototype.K2_DrawLine;Canvas.prototype.K2_DrawLine = function (ScreenPositionA, ScreenPositionB, Thickness = 1, RenderColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_190.call(this, ScreenPositionA, ScreenPositionB, Thickness, RenderColor) }; } catch (e) {};
-try { let fnprepatch_191 = Canvas.prototype.K2_DrawBox;Canvas.prototype.K2_DrawBox = function (ScreenPosition, ScreenSize, Thickness = 1) { return fnprepatch_191.call(this, ScreenPosition, ScreenSize, Thickness) }; } catch (e) {};
-try { let fnprepatch_192 = Canvas.prototype.K2_DrawBorder;Canvas.prototype.K2_DrawBorder = function (BorderTexture, BackgroundTexture, LeftBorderTexture, RightBorderTexture, TopBorderTexture, BottomBorderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, RenderColor = {"R":1,"G":1,"B":1,"A":1}, BorderScale = {"X":0.10000000149011612,"Y":0.10000000149011612}, BackgroundScale = {"X":0.10000000149011612,"Y":0.10000000149011612}, Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}, CornerSize) { return fnprepatch_192.call(this, BorderTexture, BackgroundTexture, LeftBorderTexture, RightBorderTexture, TopBorderTexture, BottomBorderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, RenderColor, BorderScale, BackgroundScale, Rotation, PivotPoint, CornerSize) }; } catch (e) {};
+try { let fnprepatch_264 = BoxComponent.prototype.SetBoxExtent;BoxComponent.prototype.SetBoxExtent = function (InBoxExtent, bUpdateOverlaps = true) { return fnprepatch_264.call(this, InBoxExtent, bUpdateOverlaps) }; } catch (e) {};
+try { let fnprepatch_265 = CameraAnimInst.prototype.Stop;CameraAnimInst.prototype.Stop = function (bImmediate = false) { return fnprepatch_265.call(this, bImmediate) }; } catch (e) {};
+try { let fnprepatch_266 = CameraModifier.prototype.DisableModifier;CameraModifier.prototype.DisableModifier = function (bImmediate = false) { return fnprepatch_266.call(this, bImmediate) }; } catch (e) {};
+try { let fnprepatch_267 = Canvas.prototype.K2_TextSize;Canvas.prototype.K2_TextSize = function (RenderFont, RenderText, Scale = {"X":1,"Y":1}) { return fnprepatch_267.call(this, RenderFont, RenderText, Scale) }; } catch (e) {};
+try { let fnprepatch_268 = Canvas.prototype.K2_DrawTexture;Canvas.prototype.K2_DrawTexture = function (RenderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, RenderColor = {"R":1,"G":1,"B":1,"A":1}, BlendMode = "BLEND_Translucent", Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}) { return fnprepatch_268.call(this, RenderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, RenderColor, BlendMode, Rotation, PivotPoint) }; } catch (e) {};
+try { let fnprepatch_269 = Canvas.prototype.K2_DrawText;Canvas.prototype.K2_DrawText = function (RenderFont, RenderText, ScreenPosition, Scale = {"X":1,"Y":1}, RenderColor = {"R":1,"G":1,"B":1,"A":1}, Kerning = 0, ShadowColor = {"R":0,"G":0,"B":0,"A":1}, ShadowOffset = {"X":1,"Y":1}, bCentreX = false, bCentreY = false, bOutlined = false, OutlineColor = {"R":0,"G":0,"B":0,"A":1}) { return fnprepatch_269.call(this, RenderFont, RenderText, ScreenPosition, Scale, RenderColor, Kerning, ShadowColor, ShadowOffset, bCentreX, bCentreY, bOutlined, OutlineColor) }; } catch (e) {};
+try { let fnprepatch_270 = Canvas.prototype.K2_DrawPolygon;Canvas.prototype.K2_DrawPolygon = function (RenderTexture, ScreenPosition, Radius = {"X":1,"Y":1}, NumberOfSides = 3, RenderColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_270.call(this, RenderTexture, ScreenPosition, Radius, NumberOfSides, RenderColor) }; } catch (e) {};
+try { let fnprepatch_271 = Canvas.prototype.K2_DrawMaterial;Canvas.prototype.K2_DrawMaterial = function (RenderMaterial, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}) { return fnprepatch_271.call(this, RenderMaterial, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, Rotation, PivotPoint) }; } catch (e) {};
+try { let fnprepatch_272 = Canvas.prototype.K2_DrawLine;Canvas.prototype.K2_DrawLine = function (ScreenPositionA, ScreenPositionB, Thickness = 1, RenderColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_272.call(this, ScreenPositionA, ScreenPositionB, Thickness, RenderColor) }; } catch (e) {};
+try { let fnprepatch_273 = Canvas.prototype.K2_DrawBox;Canvas.prototype.K2_DrawBox = function (ScreenPosition, ScreenSize, Thickness = 1, RenderColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_273.call(this, ScreenPosition, ScreenSize, Thickness, RenderColor) }; } catch (e) {};
+try { let fnprepatch_274 = Canvas.prototype.K2_DrawBorder;Canvas.prototype.K2_DrawBorder = function (BorderTexture, BackgroundTexture, LeftBorderTexture, RightBorderTexture, TopBorderTexture, BottomBorderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize = {"X":1,"Y":1}, RenderColor = {"R":1,"G":1,"B":1,"A":1}, BorderScale = {"X":0.10000000149011612,"Y":0.10000000149011612}, BackgroundScale = {"X":0.10000000149011612,"Y":0.10000000149011612}, Rotation = 0, PivotPoint = {"X":0.5,"Y":0.5}, CornerSize) { return fnprepatch_274.call(this, BorderTexture, BackgroundTexture, LeftBorderTexture, RightBorderTexture, TopBorderTexture, BottomBorderTexture, ScreenPosition, ScreenSize, CoordinatePosition, CoordinateSize, RenderColor, BorderScale, BackgroundScale, Rotation, PivotPoint, CornerSize) }; } catch (e) {};
 try { Canvas.prototype.ClippedTextSize = Canvas.prototype.K2_TextSize; } catch (e) {};
 try { Canvas.prototype.WrappedTextSize = Canvas.prototype.K2_StrLen; } catch (e) {};
 try { Canvas.prototype.Project = Canvas.prototype.K2_Project; } catch (e) {};
@@ -433,103 +692,85 @@ try { Canvas.prototype.DrawBox = Canvas.prototype.K2_DrawBox; } catch (e) {};
 try { Canvas.prototype.DrawBorder = Canvas.prototype.K2_DrawBorder; } catch (e) {};
 try { Canvas.prototype.Deproject = Canvas.prototype.K2_Deproject; } catch (e) {};
 try { TextureRenderTarget2D.prototype.RenderTargetCreateStaticTextureEditorOnly = TextureRenderTarget2D.prototype.RenderTargetCreateStaticTexture2DEditorOnly; } catch (e) {};
-try { let fnprepatch_193 = CanvasRenderTarget2D.prototype.CreateCanvasRenderTarget2D;CanvasRenderTarget2D.prototype.CreateCanvasRenderTarget2D = function (WorldContextObject, CanvasRenderTarget2DClass, Width = 1024, Height = 1024) { return fnprepatch_193.call(this, WorldContextObject, CanvasRenderTarget2DClass, Width, Height) }; } catch (e) {};
-try { let fnprepatch_194 = CapsuleComponent.prototype.SetCapsuleSize;CapsuleComponent.prototype.SetCapsuleSize = function (InRadius, InHalfHeight, bUpdateOverlaps = true) { return fnprepatch_194.call(this, InRadius, InHalfHeight, bUpdateOverlaps) }; } catch (e) {};
-try { let fnprepatch_195 = CapsuleComponent.prototype.SetCapsuleRadius;CapsuleComponent.prototype.SetCapsuleRadius = function (Radius, bUpdateOverlaps = true) { return fnprepatch_195.call(this, Radius, bUpdateOverlaps) }; } catch (e) {};
-try { let fnprepatch_196 = CapsuleComponent.prototype.SetCapsuleHalfHeight;CapsuleComponent.prototype.SetCapsuleHalfHeight = function (HalfHeight, bUpdateOverlaps = true) { return fnprepatch_196.call(this, HalfHeight, bUpdateOverlaps) }; } catch (e) {};
-try { let fnprepatch_197 = MovementComponent.prototype.K2_MoveUpdatedComponent;MovementComponent.prototype.K2_MoveUpdatedComponent = function (Delta, NewRotation, OutHit, bSweep = true, bTeleport = false) { return fnprepatch_197.call(this, Delta, NewRotation, OutHit, bSweep, bTeleport) }; } catch (e) {};
+try { let fnprepatch_275 = CanvasRenderTarget2D.prototype.CreateCanvasRenderTarget2D;CanvasRenderTarget2D.prototype.CreateCanvasRenderTarget2D = function (WorldContextObject, CanvasRenderTarget2DClass, Width = 1024, Height = 1024) { return fnprepatch_275.call(this, WorldContextObject, CanvasRenderTarget2DClass, Width, Height) }; } catch (e) {};
+try { let fnprepatch_276 = CapsuleComponent.prototype.SetCapsuleSize;CapsuleComponent.prototype.SetCapsuleSize = function (InRadius, InHalfHeight, bUpdateOverlaps = true) { return fnprepatch_276.call(this, InRadius, InHalfHeight, bUpdateOverlaps) }; } catch (e) {};
+try { let fnprepatch_277 = CapsuleComponent.prototype.SetCapsuleRadius;CapsuleComponent.prototype.SetCapsuleRadius = function (Radius, bUpdateOverlaps = true) { return fnprepatch_277.call(this, Radius, bUpdateOverlaps) }; } catch (e) {};
+try { let fnprepatch_278 = CapsuleComponent.prototype.SetCapsuleHalfHeight;CapsuleComponent.prototype.SetCapsuleHalfHeight = function (HalfHeight, bUpdateOverlaps = true) { return fnprepatch_278.call(this, HalfHeight, bUpdateOverlaps) }; } catch (e) {};
+try { let fnprepatch_279 = MovementComponent.prototype.K2_MoveUpdatedComponent;MovementComponent.prototype.K2_MoveUpdatedComponent = function (Delta, NewRotation, OutHit, bSweep = true, bTeleport = false) { return fnprepatch_279.call(this, Delta, NewRotation, OutHit, bSweep, bTeleport) }; } catch (e) {};
 try { MovementComponent.prototype.MoveUpdatedComponent = MovementComponent.prototype.K2_MoveUpdatedComponent; } catch (e) {};
 try { MovementComponent.prototype.GetModifiedMaxSpeed = MovementComponent.prototype.K2_GetModifiedMaxSpeed; } catch (e) {};
 try { MovementComponent.prototype.GetMaxSpeedModifier = MovementComponent.prototype.K2_GetMaxSpeedModifier; } catch (e) {};
-try { let fnprepatch_198 = PawnMovementComponent.prototype.AddInputVector;PawnMovementComponent.prototype.AddInputVector = function (WorldVector, bForce = false) { return fnprepatch_198.call(this, WorldVector, bForce) }; } catch (e) {};
+try { let fnprepatch_280 = PawnMovementComponent.prototype.AddInputVector;PawnMovementComponent.prototype.AddInputVector = function (WorldVector, bForce = false) { return fnprepatch_280.call(this, WorldVector, bForce) }; } catch (e) {};
 try { PawnMovementComponent.prototype.GetInputVector = PawnMovementComponent.prototype.K2_GetInputVector; } catch (e) {};
-try { let fnprepatch_199 = CharacterMovementComponent.prototype.SetMovementMode;CharacterMovementComponent.prototype.SetMovementMode = function (NewMovementMode, NewCustomMode = 0) { return fnprepatch_199.call(this, NewMovementMode, NewCustomMode) }; } catch (e) {};
-try { let fnprepatch_200 = CharacterMovementComponent.prototype.AddImpulse;CharacterMovementComponent.prototype.AddImpulse = function (Impulse, bVelocityChange = false) { return fnprepatch_200.call(this, Impulse, bVelocityChange) }; } catch (e) {};
+try { let fnprepatch_281 = CharacterMovementComponent.prototype.SetMovementMode;CharacterMovementComponent.prototype.SetMovementMode = function (NewMovementMode, NewCustomMode = 0) { return fnprepatch_281.call(this, NewMovementMode, NewCustomMode) }; } catch (e) {};
+try { let fnprepatch_282 = CharacterMovementComponent.prototype.AddImpulse;CharacterMovementComponent.prototype.AddImpulse = function (Impulse, bVelocityChange = false) { return fnprepatch_282.call(this, Impulse, bVelocityChange) }; } catch (e) {};
 try { CharacterMovementComponent.prototype.GetWalkableFloorZ = CharacterMovementComponent.prototype.K2_GetWalkableFloorZ; } catch (e) {};
 try { CharacterMovementComponent.prototype.GetWalkableFloorAngle = CharacterMovementComponent.prototype.K2_GetWalkableFloorAngle; } catch (e) {};
 try { CharacterMovementComponent.prototype.GetModifiedMaxAcceleration = CharacterMovementComponent.prototype.K2_GetModifiedMaxAcceleration; } catch (e) {};
 try { CharacterMovementComponent.prototype.FindFloor = CharacterMovementComponent.prototype.K2_FindFloor; } catch (e) {};
 try { CharacterMovementComponent.prototype.ComputeFloorDistance = CharacterMovementComponent.prototype.K2_ComputeFloorDist; } catch (e) {};
-try { let fnprepatch_201 = PlayerController.prototype.StartFire;PlayerController.prototype.StartFire = function (FireModeNum = 0) { return fnprepatch_201.call(this, FireModeNum) }; } catch (e) {};
-try { let fnprepatch_202 = PlayerController.prototype.SetViewTargetWithBlend;PlayerController.prototype.SetViewTargetWithBlend = function (NewViewTarget, BlendTime = 0, BlendFunc = "VTBlend_Linear", BlendExp = 0, bLockOutgoing = false) { return fnprepatch_202.call(this, NewViewTarget, BlendTime, BlendFunc, BlendExp, bLockOutgoing) }; } catch (e) {};
-try { let fnprepatch_203 = PlayerController.prototype.ProjectWorldLocationToScreen;PlayerController.prototype.ProjectWorldLocationToScreen = function (WorldLocation, ScreenLocation, bPlayerViewportRelative = false) { return fnprepatch_203.call(this, WorldLocation, ScreenLocation, bPlayerViewportRelative) }; } catch (e) {};
-try { let fnprepatch_204 = PlayerController.prototype.PlayHapticEffect;PlayerController.prototype.PlayHapticEffect = function (HapticEffect, Hand, Scale = 1, bLoop = false) { return fnprepatch_204.call(this, HapticEffect, Hand, Scale, bLoop) }; } catch (e) {};
-try { let fnprepatch_205 = PlayerController.prototype.ClientStopCameraShake;PlayerController.prototype.ClientStopCameraShake = function (Shake, bImmediately = true) { return fnprepatch_205.call(this, Shake, bImmediately) }; } catch (e) {};
-try { let fnprepatch_206 = PlayerController.prototype.ClientPlayCameraShake;PlayerController.prototype.ClientPlayCameraShake = function (Shake, Scale = 1, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_206.call(this, Shake, Scale, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
-try { let fnprepatch_207 = PlayerController.prototype.ClientPlayCameraAnim;PlayerController.prototype.ClientPlayCameraAnim = function (AnimToPlay, Scale = 1, Rate = 1, BlendInTime = 0, BlendOutTime = 0, bLoop = false, bRandomStartTime = false, Space = "CameraLocal", CustomPlaySpace) { return fnprepatch_207.call(this, AnimToPlay, Scale, Rate, BlendInTime, BlendOutTime, bLoop, bRandomStartTime, Space, CustomPlaySpace) }; } catch (e) {};
-try { PlayerController.prototype.SetInputModeGameAndUI = PlayerController.prototype.SetInputMode_GameAndUI; } catch (e) {};
-try { PlayerController.prototype.SetInputModeGameAndUI = PlayerController.prototype.SetInputMode_GameAndUIEx; } catch (e) {};
-try { PlayerController.prototype.SetInputModeUIOnly = PlayerController.prototype.SetInputMode_UIOnly; } catch (e) {};
-try { PlayerController.prototype.SetInputModeUIOnly = PlayerController.prototype.SetInputMode_UIOnlyEx; } catch (e) {};
-try { PlayerController.prototype.SetMousePosition = PlayerController.prototype.SetMouseLocation; } catch (e) {};
-try { PlayerController.prototype.ConvertWorldLocationToScreenLocation = PlayerController.prototype.ProjectWorldLocationToScreen; } catch (e) {};
-try { PlayerController.prototype.ConvertScreenLocationToWorldSpace = PlayerController.prototype.DeprojectScreenPositionToWorld; } catch (e) {};
-try { PlayerController.prototype.ConvertMouseLocationToWorldSpace = PlayerController.prototype.DeprojectMousePositionToWorld; } catch (e) {};
 try { CheatManager.prototype.InitCheatManager = CheatManager.prototype.ReceiveInitCheatManager; } catch (e) {};
 try { CheatManager.prototype.Shutdown = CheatManager.prototype.ReceiveEndPlay; } catch (e) {};
+try { Texture2D.prototype.GetSizeY = Texture2D.prototype.Blueprint_GetSizeY; } catch (e) {};
+try { Texture2D.prototype.GetSizeX = Texture2D.prototype.Blueprint_GetSizeX; } catch (e) {};
 try { DebugCameraController.prototype.OnDeactivate = DebugCameraController.prototype.ReceiveOnDeactivate; } catch (e) {};
 try { DebugCameraController.prototype.OnActorSelected = DebugCameraController.prototype.ReceiveOnActorSelected; } catch (e) {};
 try { DebugCameraController.prototype.OnActivate = DebugCameraController.prototype.ReceiveOnActivate; } catch (e) {};
-try { let fnprepatch_208 = HUD.prototype.ShowDebug;HUD.prototype.ShowDebug = function (DebugType = "None") { return fnprepatch_208.call(this, DebugType) }; } catch (e) {};
-try { let fnprepatch_209 = HUD.prototype.GetTextSize;HUD.prototype.GetTextSize = function (Text, OutWidth, OutHeight, Font, Scale = 1) { return fnprepatch_209.call(this, Text, OutWidth, OutHeight, Font, Scale) }; } catch (e) {};
-try { let fnprepatch_210 = HUD.prototype.GetActorsInSelectionRectangle;HUD.prototype.GetActorsInSelectionRectangle = function (ClassFilter, FirstPoint, SecondPoint, OutActors, bIncludeNonCollidingComponents = true, bActorMustBeFullyEnclosed = false) { return fnprepatch_210.call(this, ClassFilter, FirstPoint, SecondPoint, OutActors, bIncludeNonCollidingComponents, bActorMustBeFullyEnclosed) }; } catch (e) {};
-try { let fnprepatch_211 = HUD.prototype.DrawTextureSimple;HUD.prototype.DrawTextureSimple = function (Texture, ScreenX, ScreenY, Scale = 1, bScalePosition = false) { return fnprepatch_211.call(this, Texture, ScreenX, ScreenY, Scale, bScalePosition) }; } catch (e) {};
-try { let fnprepatch_212 = HUD.prototype.DrawTexture;HUD.prototype.DrawTexture = function (Texture, ScreenX, ScreenY, ScreenW, ScreenH, TextureU, TextureV, TextureUWidth, TextureVHeight, TintColor = {"R":1,"G":1,"B":1,"A":1}, BlendMode = "BLEND_Translucent", Scale = 1, bScalePosition = false, Rotation = 0, RotPivot) { return fnprepatch_212.call(this, Texture, ScreenX, ScreenY, ScreenW, ScreenH, TextureU, TextureV, TextureUWidth, TextureVHeight, TintColor, BlendMode, Scale, bScalePosition, Rotation, RotPivot) }; } catch (e) {};
-try { let fnprepatch_213 = HUD.prototype.DrawText;HUD.prototype.DrawText = function (Text, TextColor, ScreenX, ScreenY, Font, Scale = 1, bScalePosition = false) { return fnprepatch_213.call(this, Text, TextColor, ScreenX, ScreenY, Font, Scale, bScalePosition) }; } catch (e) {};
-try { let fnprepatch_214 = HUD.prototype.DrawMaterialTriangle;HUD.prototype.DrawMaterialTriangle = function (Material, V0_Pos, V1_Pos, V2_Pos, V0_UV, V1_UV, V2_UV, V0_Color = {"R":1,"G":1,"B":1,"A":1}, V1_Color = {"R":1,"G":1,"B":1,"A":1}, V2_Color = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_214.call(this, Material, V0_Pos, V1_Pos, V2_Pos, V0_UV, V1_UV, V2_UV, V0_Color, V1_Color, V2_Color) }; } catch (e) {};
-try { let fnprepatch_215 = HUD.prototype.DrawMaterialSimple;HUD.prototype.DrawMaterialSimple = function (Material, ScreenX, ScreenY, ScreenW, ScreenH, Scale = 1, bScalePosition = false) { return fnprepatch_215.call(this, Material, ScreenX, ScreenY, ScreenW, ScreenH, Scale, bScalePosition) }; } catch (e) {};
-try { let fnprepatch_216 = HUD.prototype.DrawMaterial;HUD.prototype.DrawMaterial = function (Material, ScreenX, ScreenY, ScreenW, ScreenH, MaterialU, MaterialV, MaterialUWidth, MaterialVHeight, Scale = 1, bScalePosition = false, Rotation = 0, RotPivot) { return fnprepatch_216.call(this, Material, ScreenX, ScreenY, ScreenW, ScreenH, MaterialU, MaterialV, MaterialUWidth, MaterialVHeight, Scale, bScalePosition, Rotation, RotPivot) }; } catch (e) {};
-try { let fnprepatch_217 = HUD.prototype.DrawLine;HUD.prototype.DrawLine = function (StartScreenX, StartScreenY, EndScreenX, EndScreenY, LineColor, LineThickness = 0) { return fnprepatch_217.call(this, StartScreenX, StartScreenY, EndScreenX, EndScreenY, LineColor, LineThickness) }; } catch (e) {};
-try { let fnprepatch_218 = HUD.prototype.AddHitBox;HUD.prototype.AddHitBox = function (Position, Size, InName, bConsumesInput, Priority = 0) { return fnprepatch_218.call(this, Position, Size, InName, bConsumesInput, Priority) }; } catch (e) {};
+try { let fnprepatch_283 = HUD.prototype.ShowDebug;HUD.prototype.ShowDebug = function (DebugType = "None") { return fnprepatch_283.call(this, DebugType) }; } catch (e) {};
+try { let fnprepatch_284 = HUD.prototype.GetTextSize;HUD.prototype.GetTextSize = function (Text, OutWidth, OutHeight, Font = undefined, Scale = 1) { return fnprepatch_284.call(this, Text, OutWidth, OutHeight, Font, Scale) }; } catch (e) {};
+try { let fnprepatch_285 = HUD.prototype.GetActorsInSelectionRectangle;HUD.prototype.GetActorsInSelectionRectangle = function (ClassFilter, FirstPoint, SecondPoint, OutActors, bIncludeNonCollidingComponents = true, bActorMustBeFullyEnclosed = false) { return fnprepatch_285.call(this, ClassFilter, FirstPoint, SecondPoint, OutActors, bIncludeNonCollidingComponents, bActorMustBeFullyEnclosed) }; } catch (e) {};
+try { let fnprepatch_286 = HUD.prototype.DrawTextureSimple;HUD.prototype.DrawTextureSimple = function (Texture, ScreenX, ScreenY, Scale = 1, bScalePosition = false) { return fnprepatch_286.call(this, Texture, ScreenX, ScreenY, Scale, bScalePosition) }; } catch (e) {};
+try { let fnprepatch_287 = HUD.prototype.DrawTexture;HUD.prototype.DrawTexture = function (Texture, ScreenX, ScreenY, ScreenW, ScreenH, TextureU, TextureV, TextureUWidth, TextureVHeight, TintColor = {"R":1,"G":1,"B":1,"A":1}, BlendMode = "BLEND_Translucent", Scale = 1, bScalePosition = false, Rotation = 0, RotPivot) { return fnprepatch_287.call(this, Texture, ScreenX, ScreenY, ScreenW, ScreenH, TextureU, TextureV, TextureUWidth, TextureVHeight, TintColor, BlendMode, Scale, bScalePosition, Rotation, RotPivot) }; } catch (e) {};
+try { let fnprepatch_288 = HUD.prototype.DrawText;HUD.prototype.DrawText = function (Text, TextColor, ScreenX, ScreenY, Font = undefined, Scale = 1, bScalePosition = false) { return fnprepatch_288.call(this, Text, TextColor, ScreenX, ScreenY, Font, Scale, bScalePosition) }; } catch (e) {};
+try { let fnprepatch_289 = HUD.prototype.DrawMaterialTriangle;HUD.prototype.DrawMaterialTriangle = function (Material, V0_Pos, V1_Pos, V2_Pos, V0_UV, V1_UV, V2_UV, V0_Color = {"R":1,"G":1,"B":1,"A":1}, V1_Color = {"R":1,"G":1,"B":1,"A":1}, V2_Color = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_289.call(this, Material, V0_Pos, V1_Pos, V2_Pos, V0_UV, V1_UV, V2_UV, V0_Color, V1_Color, V2_Color) }; } catch (e) {};
+try { let fnprepatch_290 = HUD.prototype.DrawMaterialSimple;HUD.prototype.DrawMaterialSimple = function (Material, ScreenX, ScreenY, ScreenW, ScreenH, Scale = 1, bScalePosition = false) { return fnprepatch_290.call(this, Material, ScreenX, ScreenY, ScreenW, ScreenH, Scale, bScalePosition) }; } catch (e) {};
+try { let fnprepatch_291 = HUD.prototype.DrawMaterial;HUD.prototype.DrawMaterial = function (Material, ScreenX, ScreenY, ScreenW, ScreenH, MaterialU, MaterialV, MaterialUWidth, MaterialVHeight, Scale = 1, bScalePosition = false, Rotation = 0, RotPivot) { return fnprepatch_291.call(this, Material, ScreenX, ScreenY, ScreenW, ScreenH, MaterialU, MaterialV, MaterialUWidth, MaterialVHeight, Scale, bScalePosition, Rotation, RotPivot) }; } catch (e) {};
+try { let fnprepatch_292 = HUD.prototype.DrawLine;HUD.prototype.DrawLine = function (StartScreenX, StartScreenY, EndScreenX, EndScreenY, LineColor, LineThickness = 0) { return fnprepatch_292.call(this, StartScreenX, StartScreenY, EndScreenX, EndScreenY, LineColor, LineThickness) }; } catch (e) {};
+try { let fnprepatch_293 = HUD.prototype.AddHitBox;HUD.prototype.AddHitBox = function (Position, Size, InName, bConsumesInput, Priority = 0) { return fnprepatch_293.call(this, Position, Size, InName, bConsumesInput, Priority) }; } catch (e) {};
 try { HUD.prototype.HitBoxReleased = HUD.prototype.ReceiveHitBoxRelease; } catch (e) {};
 try { HUD.prototype.HitBoxEndCursorOver = HUD.prototype.ReceiveHitBoxEndCursorOver; } catch (e) {};
 try { HUD.prototype.HitBoxClicked = HUD.prototype.ReceiveHitBoxClick; } catch (e) {};
 try { HUD.prototype.HitBoxBeginCursorOver = HUD.prototype.ReceiveHitBoxBeginCursorOver; } catch (e) {};
-try { let fnprepatch_219 = DecalComponent.prototype.SetFadeOut;DecalComponent.prototype.SetFadeOut = function (StartDelay, Duration, DestroyOwnerAfterFade = true) { return fnprepatch_219.call(this, StartDelay, Duration, DestroyOwnerAfterFade) }; } catch (e) {};
-try { let fnprepatch_220 = LightComponent.prototype.SetLightColor;LightComponent.prototype.SetLightColor = function (NewLightColor, bSRGB = true) { return fnprepatch_220.call(this, NewLightColor, bSRGB) }; } catch (e) {};
-try { let fnprepatch_221 = SphereComponent.prototype.SetSphereRadius;SphereComponent.prototype.SetSphereRadius = function (InSphereRadius, bUpdateOverlaps = true) { return fnprepatch_221.call(this, InSphereRadius, bUpdateOverlaps) }; } catch (e) {};
-try { let fnprepatch_222 = ForceFeedbackComponent.prototype.Play;ForceFeedbackComponent.prototype.Play = function (StartTime = 0) { return fnprepatch_222.call(this, StartTime) }; } catch (e) {};
+try { let fnprepatch_294 = DecalComponent.prototype.SetFadeOut;DecalComponent.prototype.SetFadeOut = function (StartDelay, Duration, DestroyOwnerAfterFade = true) { return fnprepatch_294.call(this, StartDelay, Duration, DestroyOwnerAfterFade) }; } catch (e) {};
+try { let fnprepatch_295 = LightComponent.prototype.SetLightColor;LightComponent.prototype.SetLightColor = function (NewLightColor, bSRGB = true) { return fnprepatch_295.call(this, NewLightColor, bSRGB) }; } catch (e) {};
+try { LightComponent.prototype.SetUseIESIntensity = LightComponent.prototype.SetUseIESBrightness; } catch (e) {};
+try { LightComponent.prototype.SetIESIntensityScale = LightComponent.prototype.SetIESBrightnessScale; } catch (e) {};
+try { let fnprepatch_296 = SphereComponent.prototype.SetSphereRadius;SphereComponent.prototype.SetSphereRadius = function (InSphereRadius, bUpdateOverlaps = true) { return fnprepatch_296.call(this, InSphereRadius, bUpdateOverlaps) }; } catch (e) {};
+try { let fnprepatch_297 = ForceFeedbackComponent.prototype.Play;ForceFeedbackComponent.prototype.Play = function (StartTime = 0) { return fnprepatch_297.call(this, StartTime) }; } catch (e) {};
 try { ForceFeedbackComponent.prototype.GetAttenuationSettingsToApply = ForceFeedbackComponent.prototype.BP_GetAttenuationSettingsToApply; } catch (e) {};
-try { GameModeBase.prototype.OnPostLogin = GameModeBase.prototype.K2_PostLogin; } catch (e) {};
-try { GameModeBase.prototype.OnSwapPlayerControllers = GameModeBase.prototype.K2_OnSwapPlayerControllers; } catch (e) {};
-try { GameModeBase.prototype.OnRestartPlayer = GameModeBase.prototype.K2_OnRestartPlayer; } catch (e) {};
-try { GameModeBase.prototype.OnLogout = GameModeBase.prototype.K2_OnLogout; } catch (e) {};
-try { GameModeBase.prototype.OnChangeName = GameModeBase.prototype.K2_OnChangeName; } catch (e) {};
-try { GameModeBase.prototype.FindPlayerStart = GameModeBase.prototype.K2_FindPlayerStart; } catch (e) {};
-try { GameMode.prototype.OnSetMatchState = GameMode.prototype.K2_OnSetMatchState; } catch (e) {};
-try { let fnprepatch_223 = GameplayStatics.prototype.SuggestProjectileVelocity_CustomArc;GameplayStatics.prototype.SuggestProjectileVelocity_CustomArc = function (WorldContextObject, OutLaunchVelocity, StartPos, EndPos, OverrideGravityZ = 0, ArcParam = 0.5) { return fnprepatch_223.call(this, WorldContextObject, OutLaunchVelocity, StartPos, EndPos, OverrideGravityZ, ArcParam) }; } catch (e) {};
-try { let fnprepatch_224 = GameplayStatics.prototype.SpawnSoundAttached;GameplayStatics.prototype.SpawnSoundAttached = function (Sound, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings, ConcurrencySettings, bAutoDestroy = true) { return fnprepatch_224.call(this, Sound, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_225 = GameplayStatics.prototype.SpawnSoundAtLocation;GameplayStatics.prototype.SpawnSoundAtLocation = function (WorldContextObject, Sound, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings, ConcurrencySettings, bAutoDestroy = true) { return fnprepatch_225.call(this, WorldContextObject, Sound, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_226 = GameplayStatics.prototype.SpawnSound2D;GameplayStatics.prototype.SpawnSound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings, bPersistAcrossLevelTransition = false, bAutoDestroy = true) { return fnprepatch_226.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, bPersistAcrossLevelTransition, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_227 = GameplayStatics.prototype.SpawnForceFeedbackAttached;GameplayStatics.prototype.SpawnForceFeedbackAttached = function (ForceFeedbackEffect, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, bLooping = false, IntensityMultiplier = 1, StartTime = 0, AttenuationSettings, bAutoDestroy = true) { return fnprepatch_227.call(this, ForceFeedbackEffect, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, bLooping, IntensityMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_228 = GameplayStatics.prototype.SpawnForceFeedbackAtLocation;GameplayStatics.prototype.SpawnForceFeedbackAtLocation = function (WorldContextObject, ForceFeedbackEffect, Location, Rotation, bLooping = false, IntensityMultiplier = 1, StartTime = 0, AttenuationSettings, bAutoDestroy = true) { return fnprepatch_228.call(this, WorldContextObject, ForceFeedbackEffect, Location, Rotation, bLooping, IntensityMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_229 = GameplayStatics.prototype.SpawnEmitterAttached;GameplayStatics.prototype.SpawnEmitterAttached = function (EmitterTemplate, AttachToComponent, AttachPointName = "None", Location, Rotation, Scale, LocationType = "KeepRelativeOffset", bAutoDestroy = true) { return fnprepatch_229.call(this, EmitterTemplate, AttachToComponent, AttachPointName, Location, Rotation, Scale, LocationType, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_230 = GameplayStatics.prototype.SpawnEmitterAtLocation;GameplayStatics.prototype.SpawnEmitterAtLocation = function (WorldContextObject, EmitterTemplate, Location, Rotation, Scale, bAutoDestroy = true) { return fnprepatch_230.call(this, WorldContextObject, EmitterTemplate, Location, Rotation, Scale, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_231 = GameplayStatics.prototype.SpawnDialogueAttached;GameplayStatics.prototype.SpawnDialogueAttached = function (Dialogue, Context, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings, bAutoDestroy = true) { return fnprepatch_231.call(this, Dialogue, Context, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_232 = GameplayStatics.prototype.SpawnDialogueAtLocation;GameplayStatics.prototype.SpawnDialogueAtLocation = function (WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings, bAutoDestroy = true) { return fnprepatch_232.call(this, WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_233 = GameplayStatics.prototype.SpawnDialogue2D;GameplayStatics.prototype.SpawnDialogue2D = function (WorldContextObject, Dialogue, Context, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, bAutoDestroy = true) { return fnprepatch_233.call(this, WorldContextObject, Dialogue, Context, VolumeMultiplier, PitchMultiplier, StartTime, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_234 = GameplayStatics.prototype.SpawnDecalAttached;GameplayStatics.prototype.SpawnDecalAttached = function (DecalMaterial, DecalSize, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", LifeSpan = 0) { return fnprepatch_234.call(this, DecalMaterial, DecalSize, AttachToComponent, AttachPointName, Location, Rotation, LocationType, LifeSpan) }; } catch (e) {};
-try { let fnprepatch_235 = GameplayStatics.prototype.SpawnDecalAtLocation;GameplayStatics.prototype.SpawnDecalAtLocation = function (WorldContextObject, DecalMaterial, DecalSize, Location, Rotation, LifeSpan = 0) { return fnprepatch_235.call(this, WorldContextObject, DecalMaterial, DecalSize, Location, Rotation, LifeSpan) }; } catch (e) {};
-try { let fnprepatch_236 = GameplayStatics.prototype.SetSoundMixClassOverride;GameplayStatics.prototype.SetSoundMixClassOverride = function (WorldContextObject, InSoundMixModifier, InSoundClass, Volume = 1, Pitch = 1, FadeInTime = 1, bApplyToChildren = true) { return fnprepatch_236.call(this, WorldContextObject, InSoundMixModifier, InSoundClass, Volume, Pitch, FadeInTime, bApplyToChildren) }; } catch (e) {};
-try { let fnprepatch_237 = GameplayStatics.prototype.SetGlobalListenerFocusParameters;GameplayStatics.prototype.SetGlobalListenerFocusParameters = function (WorldContextObject, FocusAzimuthScale = 1, NonFocusAzimuthScale = 1, FocusDistanceScale = 1, NonFocusDistanceScale = 1, FocusVolumeScale = 1, NonFocusVolumeScale = 1, FocusPriorityScale = 1, NonFocusPriorityScale = 1) { return fnprepatch_237.call(this, WorldContextObject, FocusAzimuthScale, NonFocusAzimuthScale, FocusDistanceScale, NonFocusDistanceScale, FocusVolumeScale, NonFocusVolumeScale, FocusPriorityScale, NonFocusPriorityScale) }; } catch (e) {};
-try { let fnprepatch_238 = GameplayStatics.prototype.ProjectWorldToScreen;GameplayStatics.prototype.ProjectWorldToScreen = function (Player, WorldPosition, ScreenPosition, bPlayerViewportRelative = false) { return fnprepatch_238.call(this, Player, WorldPosition, ScreenPosition, bPlayerViewportRelative) }; } catch (e) {};
-try { let fnprepatch_239 = GameplayStatics.prototype.PlayWorldCameraShake;GameplayStatics.prototype.PlayWorldCameraShake = function (WorldContextObject, Shake, Epicenter, InnerRadius, OuterRadius, Falloff = 1, bOrientShakeTowardsEpicenter = false) { return fnprepatch_239.call(this, WorldContextObject, Shake, Epicenter, InnerRadius, OuterRadius, Falloff, bOrientShakeTowardsEpicenter) }; } catch (e) {};
-try { let fnprepatch_240 = GameplayStatics.prototype.PlaySoundAtLocation;GameplayStatics.prototype.PlaySoundAtLocation = function (WorldContextObject, Sound, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings, ConcurrencySettings, OwningActor) { return fnprepatch_240.call(this, WorldContextObject, Sound, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, OwningActor) }; } catch (e) {};
-try { let fnprepatch_241 = GameplayStatics.prototype.PlaySound2D;GameplayStatics.prototype.PlaySound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings, OwningActor) { return fnprepatch_241.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, OwningActor) }; } catch (e) {};
-try { let fnprepatch_242 = GameplayStatics.prototype.PlayDialogueAtLocation;GameplayStatics.prototype.PlayDialogueAtLocation = function (WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings) { return fnprepatch_242.call(this, WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings) }; } catch (e) {};
-try { let fnprepatch_243 = GameplayStatics.prototype.PlayDialogue2D;GameplayStatics.prototype.PlayDialogue2D = function (WorldContextObject, Dialogue, Context, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0) { return fnprepatch_243.call(this, WorldContextObject, Dialogue, Context, VolumeMultiplier, PitchMultiplier, StartTime) }; } catch (e) {};
-try { let fnprepatch_244 = GameplayStatics.prototype.OpenLevel;GameplayStatics.prototype.OpenLevel = function (WorldContextObject, LevelName, bAbsolute = true, Options) { return fnprepatch_244.call(this, WorldContextObject, LevelName, bAbsolute, Options) }; } catch (e) {};
-try { let fnprepatch_245 = GameplayStatics.prototype.GetCurrentLevelName;GameplayStatics.prototype.GetCurrentLevelName = function (WorldContextObject, bRemovePrefixString = true) { return fnprepatch_245.call(this, WorldContextObject, bRemovePrefixString) }; } catch (e) {};
-try { let fnprepatch_246 = GameplayStatics.prototype.CreateSound2D;GameplayStatics.prototype.CreateSound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings, bPersistAcrossLevelTransition = false, bAutoDestroy = true) { return fnprepatch_246.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, bPersistAcrossLevelTransition, bAutoDestroy) }; } catch (e) {};
-try { let fnprepatch_247 = GameplayStatics.prototype.CreatePlayer;GameplayStatics.prototype.CreatePlayer = function (WorldContextObject, ControllerId = -1, bSpawnPawn = true) { return fnprepatch_247.call(this, WorldContextObject, ControllerId, bSpawnPawn) }; } catch (e) {};
-try { let fnprepatch_248 = GameplayStatics.prototype.ClearSoundMixClassOverride;GameplayStatics.prototype.ClearSoundMixClassOverride = function (WorldContextObject, InSoundMixModifier, InSoundClass, FadeOutTime = 1) { return fnprepatch_248.call(this, WorldContextObject, InSoundMixModifier, InSoundClass, FadeOutTime) }; } catch (e) {};
-try { let fnprepatch_249 = GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByTraceChannel;GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByTraceChannel = function (WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency = 15, MaxSimTime = 2, OverrideGravityZ = 0) { return fnprepatch_249.call(this, WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency, MaxSimTime, OverrideGravityZ) }; } catch (e) {};
-try { let fnprepatch_250 = GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByObjectType;GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByObjectType = function (WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency = 15, MaxSimTime = 2, OverrideGravityZ = 0) { return fnprepatch_250.call(this, WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency, MaxSimTime, OverrideGravityZ) }; } catch (e) {};
-try { let fnprepatch_251 = GameplayStatics.prototype.BeginSpawningActorFromClass;GameplayStatics.prototype.BeginSpawningActorFromClass = function (WorldContextObject, ActorClass, SpawnTransform, bNoCollisionFail = false, Owner) { return fnprepatch_251.call(this, WorldContextObject, ActorClass, SpawnTransform, bNoCollisionFail, Owner) }; } catch (e) {};
-try { let fnprepatch_252 = GameplayStatics.prototype.BeginDeferredActorSpawnFromClass;GameplayStatics.prototype.BeginDeferredActorSpawnFromClass = function (WorldContextObject, ActorClass, SpawnTransform, CollisionHandlingOverride = "Undefined", Owner) { return fnprepatch_252.call(this, WorldContextObject, ActorClass, SpawnTransform, CollisionHandlingOverride, Owner) }; } catch (e) {};
-try { let fnprepatch_253 = GameplayStatics.prototype.ApplyRadialDamageWithFalloff;GameplayStatics.prototype.ApplyRadialDamageWithFalloff = function (WorldContextObject, BaseDamage, MinimumDamage, Origin, DamageInnerRadius, DamageOuterRadius, DamageFalloff, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, DamagePreventionChannel = "ECC_Visibility") { return fnprepatch_253.call(this, WorldContextObject, BaseDamage, MinimumDamage, Origin, DamageInnerRadius, DamageOuterRadius, DamageFalloff, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, DamagePreventionChannel) }; } catch (e) {};
-try { let fnprepatch_254 = GameplayStatics.prototype.ApplyRadialDamage;GameplayStatics.prototype.ApplyRadialDamage = function (WorldContextObject, BaseDamage, Origin, DamageRadius, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, bDoFullDamage = false, DamagePreventionChannel = "ECC_Visibility") { return fnprepatch_254.call(this, WorldContextObject, BaseDamage, Origin, DamageRadius, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, bDoFullDamage, DamagePreventionChannel) }; } catch (e) {};
-try { let fnprepatch_255 = GameplayStatics.prototype.ActivateReverbEffect;GameplayStatics.prototype.ActivateReverbEffect = function (WorldContextObject, ReverbEffect, TagName, Priority = 0, Volume = 0.5, FadeTime = 2) { return fnprepatch_255.call(this, WorldContextObject, ReverbEffect, TagName, Priority, Volume, FadeTime) }; } catch (e) {};
+try { let fnprepatch_298 = GameplayStatics.prototype.SuggestProjectileVelocity_CustomArc;GameplayStatics.prototype.SuggestProjectileVelocity_CustomArc = function (WorldContextObject, OutLaunchVelocity, StartPos, EndPos, OverrideGravityZ = 0, ArcParam = 0.5) { return fnprepatch_298.call(this, WorldContextObject, OutLaunchVelocity, StartPos, EndPos, OverrideGravityZ, ArcParam) }; } catch (e) {};
+try { let fnprepatch_299 = GameplayStatics.prototype.SpawnSoundAttached;GameplayStatics.prototype.SpawnSoundAttached = function (Sound, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, ConcurrencySettings = undefined, bAutoDestroy = true) { return fnprepatch_299.call(this, Sound, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_300 = GameplayStatics.prototype.SpawnSoundAtLocation;GameplayStatics.prototype.SpawnSoundAtLocation = function (WorldContextObject, Sound, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, ConcurrencySettings = undefined, bAutoDestroy = true) { return fnprepatch_300.call(this, WorldContextObject, Sound, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_301 = GameplayStatics.prototype.SpawnSound2D;GameplayStatics.prototype.SpawnSound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings = undefined, bPersistAcrossLevelTransition = false, bAutoDestroy = true) { return fnprepatch_301.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, bPersistAcrossLevelTransition, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_302 = GameplayStatics.prototype.SpawnForceFeedbackAttached;GameplayStatics.prototype.SpawnForceFeedbackAttached = function (ForceFeedbackEffect, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, bLooping = false, IntensityMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, bAutoDestroy = true) { return fnprepatch_302.call(this, ForceFeedbackEffect, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, bLooping, IntensityMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_303 = GameplayStatics.prototype.SpawnForceFeedbackAtLocation;GameplayStatics.prototype.SpawnForceFeedbackAtLocation = function (WorldContextObject, ForceFeedbackEffect, Location, Rotation, bLooping = false, IntensityMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, bAutoDestroy = true) { return fnprepatch_303.call(this, WorldContextObject, ForceFeedbackEffect, Location, Rotation, bLooping, IntensityMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_304 = GameplayStatics.prototype.SpawnEmitterAttached;GameplayStatics.prototype.SpawnEmitterAttached = function (EmitterTemplate, AttachToComponent, AttachPointName = "None", Location, Rotation, Scale, LocationType = "KeepRelativeOffset", bAutoDestroy = true, PoolingMethod = "None") { return fnprepatch_304.call(this, EmitterTemplate, AttachToComponent, AttachPointName, Location, Rotation, Scale, LocationType, bAutoDestroy, PoolingMethod) }; } catch (e) {};
+try { let fnprepatch_305 = GameplayStatics.prototype.SpawnEmitterAtLocation;GameplayStatics.prototype.SpawnEmitterAtLocation = function (WorldContextObject, EmitterTemplate, Location, Rotation, Scale, bAutoDestroy = true, PoolingMethod = "None") { return fnprepatch_305.call(this, WorldContextObject, EmitterTemplate, Location, Rotation, Scale, bAutoDestroy, PoolingMethod) }; } catch (e) {};
+try { let fnprepatch_306 = GameplayStatics.prototype.SpawnDialogueAttached;GameplayStatics.prototype.SpawnDialogueAttached = function (Dialogue, Context, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", bStopWhenAttachedToDestroyed = false, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, bAutoDestroy = true) { return fnprepatch_306.call(this, Dialogue, Context, AttachToComponent, AttachPointName, Location, Rotation, LocationType, bStopWhenAttachedToDestroyed, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_307 = GameplayStatics.prototype.SpawnDialogueAtLocation;GameplayStatics.prototype.SpawnDialogueAtLocation = function (WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, bAutoDestroy = true) { return fnprepatch_307.call(this, WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_308 = GameplayStatics.prototype.SpawnDialogue2D;GameplayStatics.prototype.SpawnDialogue2D = function (WorldContextObject, Dialogue, Context, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, bAutoDestroy = true) { return fnprepatch_308.call(this, WorldContextObject, Dialogue, Context, VolumeMultiplier, PitchMultiplier, StartTime, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_309 = GameplayStatics.prototype.SpawnDecalAttached;GameplayStatics.prototype.SpawnDecalAttached = function (DecalMaterial, DecalSize, AttachToComponent, AttachPointName = "None", Location, Rotation, LocationType = "KeepRelativeOffset", LifeSpan = 0) { return fnprepatch_309.call(this, DecalMaterial, DecalSize, AttachToComponent, AttachPointName, Location, Rotation, LocationType, LifeSpan) }; } catch (e) {};
+try { let fnprepatch_310 = GameplayStatics.prototype.SpawnDecalAtLocation;GameplayStatics.prototype.SpawnDecalAtLocation = function (WorldContextObject, DecalMaterial, DecalSize, Location, Rotation, LifeSpan = 0) { return fnprepatch_310.call(this, WorldContextObject, DecalMaterial, DecalSize, Location, Rotation, LifeSpan) }; } catch (e) {};
+try { let fnprepatch_311 = GameplayStatics.prototype.SetSoundMixClassOverride;GameplayStatics.prototype.SetSoundMixClassOverride = function (WorldContextObject, InSoundMixModifier, InSoundClass, Volume = 1, Pitch = 1, FadeInTime = 1, bApplyToChildren = true) { return fnprepatch_311.call(this, WorldContextObject, InSoundMixModifier, InSoundClass, Volume, Pitch, FadeInTime, bApplyToChildren) }; } catch (e) {};
+try { let fnprepatch_312 = GameplayStatics.prototype.SetGlobalListenerFocusParameters;GameplayStatics.prototype.SetGlobalListenerFocusParameters = function (WorldContextObject, FocusAzimuthScale = 1, NonFocusAzimuthScale = 1, FocusDistanceScale = 1, NonFocusDistanceScale = 1, FocusVolumeScale = 1, NonFocusVolumeScale = 1, FocusPriorityScale = 1, NonFocusPriorityScale = 1) { return fnprepatch_312.call(this, WorldContextObject, FocusAzimuthScale, NonFocusAzimuthScale, FocusDistanceScale, NonFocusDistanceScale, FocusVolumeScale, NonFocusVolumeScale, FocusPriorityScale, NonFocusPriorityScale) }; } catch (e) {};
+try { let fnprepatch_313 = GameplayStatics.prototype.ProjectWorldToScreen;GameplayStatics.prototype.ProjectWorldToScreen = function (Player, WorldPosition, ScreenPosition, bPlayerViewportRelative = false) { return fnprepatch_313.call(this, Player, WorldPosition, ScreenPosition, bPlayerViewportRelative) }; } catch (e) {};
+try { let fnprepatch_314 = GameplayStatics.prototype.PlayWorldCameraShake;GameplayStatics.prototype.PlayWorldCameraShake = function (WorldContextObject, Shake, Epicenter, InnerRadius, OuterRadius, Falloff = 1, bOrientShakeTowardsEpicenter = false) { return fnprepatch_314.call(this, WorldContextObject, Shake, Epicenter, InnerRadius, OuterRadius, Falloff, bOrientShakeTowardsEpicenter) }; } catch (e) {};
+try { let fnprepatch_315 = GameplayStatics.prototype.PlaySoundAtLocation;GameplayStatics.prototype.PlaySoundAtLocation = function (WorldContextObject, Sound, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined, ConcurrencySettings = undefined, OwningActor = undefined) { return fnprepatch_315.call(this, WorldContextObject, Sound, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings, ConcurrencySettings, OwningActor) }; } catch (e) {};
+try { let fnprepatch_316 = GameplayStatics.prototype.PlaySound2D;GameplayStatics.prototype.PlaySound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings = undefined, OwningActor = undefined) { return fnprepatch_316.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, OwningActor) }; } catch (e) {};
+try { let fnprepatch_317 = GameplayStatics.prototype.PlayDialogueAtLocation;GameplayStatics.prototype.PlayDialogueAtLocation = function (WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, AttenuationSettings = undefined) { return fnprepatch_317.call(this, WorldContextObject, Dialogue, Context, Location, Rotation, VolumeMultiplier, PitchMultiplier, StartTime, AttenuationSettings) }; } catch (e) {};
+try { let fnprepatch_318 = GameplayStatics.prototype.PlayDialogue2D;GameplayStatics.prototype.PlayDialogue2D = function (WorldContextObject, Dialogue, Context, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0) { return fnprepatch_318.call(this, WorldContextObject, Dialogue, Context, VolumeMultiplier, PitchMultiplier, StartTime) }; } catch (e) {};
+try { let fnprepatch_319 = GameplayStatics.prototype.OpenLevel;GameplayStatics.prototype.OpenLevel = function (WorldContextObject, LevelName, bAbsolute = true, Options) { return fnprepatch_319.call(this, WorldContextObject, LevelName, bAbsolute, Options) }; } catch (e) {};
+try { let fnprepatch_320 = GameplayStatics.prototype.GetCurrentLevelName;GameplayStatics.prototype.GetCurrentLevelName = function (WorldContextObject, bRemovePrefixString = true) { return fnprepatch_320.call(this, WorldContextObject, bRemovePrefixString) }; } catch (e) {};
+try { let fnprepatch_321 = GameplayStatics.prototype.CreateSound2D;GameplayStatics.prototype.CreateSound2D = function (WorldContextObject, Sound, VolumeMultiplier = 1, PitchMultiplier = 1, StartTime = 0, ConcurrencySettings = undefined, bPersistAcrossLevelTransition = false, bAutoDestroy = true) { return fnprepatch_321.call(this, WorldContextObject, Sound, VolumeMultiplier, PitchMultiplier, StartTime, ConcurrencySettings, bPersistAcrossLevelTransition, bAutoDestroy) }; } catch (e) {};
+try { let fnprepatch_322 = GameplayStatics.prototype.CreatePlayer;GameplayStatics.prototype.CreatePlayer = function (WorldContextObject, ControllerId = -1, bSpawnPlayerController = true) { return fnprepatch_322.call(this, WorldContextObject, ControllerId, bSpawnPlayerController) }; } catch (e) {};
+try { let fnprepatch_323 = GameplayStatics.prototype.ClearSoundMixClassOverride;GameplayStatics.prototype.ClearSoundMixClassOverride = function (WorldContextObject, InSoundMixModifier, InSoundClass, FadeOutTime = 1) { return fnprepatch_323.call(this, WorldContextObject, InSoundMixModifier, InSoundClass, FadeOutTime) }; } catch (e) {};
+try { let fnprepatch_324 = GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByTraceChannel;GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByTraceChannel = function (WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency = 15, MaxSimTime = 2, OverrideGravityZ = 0) { return fnprepatch_324.call(this, WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency, MaxSimTime, OverrideGravityZ) }; } catch (e) {};
+try { let fnprepatch_325 = GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByObjectType;GameplayStatics.prototype.Blueprint_PredictProjectilePath_ByObjectType = function (WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency = 15, MaxSimTime = 2, OverrideGravityZ = 0) { return fnprepatch_325.call(this, WorldContextObject, OutHit, OutPathPositions, OutLastTraceDestination, StartPos, LaunchVelocity, bTracePath, ProjectileRadius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, DrawDebugTime, SimFrequency, MaxSimTime, OverrideGravityZ) }; } catch (e) {};
+try { let fnprepatch_326 = GameplayStatics.prototype.BeginSpawningActorFromClass;GameplayStatics.prototype.BeginSpawningActorFromClass = function (WorldContextObject, ActorClass, SpawnTransform, bNoCollisionFail = false, Owner = undefined) { return fnprepatch_326.call(this, WorldContextObject, ActorClass, SpawnTransform, bNoCollisionFail, Owner) }; } catch (e) {};
+try { let fnprepatch_327 = GameplayStatics.prototype.BeginDeferredActorSpawnFromClass;GameplayStatics.prototype.BeginDeferredActorSpawnFromClass = function (WorldContextObject, ActorClass, SpawnTransform, CollisionHandlingOverride = "Undefined", Owner = undefined) { return fnprepatch_327.call(this, WorldContextObject, ActorClass, SpawnTransform, CollisionHandlingOverride, Owner) }; } catch (e) {};
+try { let fnprepatch_328 = GameplayStatics.prototype.ApplyRadialDamageWithFalloff;GameplayStatics.prototype.ApplyRadialDamageWithFalloff = function (WorldContextObject, BaseDamage, MinimumDamage, Origin, DamageInnerRadius, DamageOuterRadius, DamageFalloff, DamageTypeClass, IgnoreActors, DamageCauser = undefined, InstigatedByController = undefined, DamagePreventionChannel = "ECC_Visibility") { return fnprepatch_328.call(this, WorldContextObject, BaseDamage, MinimumDamage, Origin, DamageInnerRadius, DamageOuterRadius, DamageFalloff, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, DamagePreventionChannel) }; } catch (e) {};
+try { let fnprepatch_329 = GameplayStatics.prototype.ApplyRadialDamage;GameplayStatics.prototype.ApplyRadialDamage = function (WorldContextObject, BaseDamage, Origin, DamageRadius, DamageTypeClass, IgnoreActors, DamageCauser = undefined, InstigatedByController = undefined, bDoFullDamage = false, DamagePreventionChannel = "ECC_Visibility") { return fnprepatch_329.call(this, WorldContextObject, BaseDamage, Origin, DamageRadius, DamageTypeClass, IgnoreActors, DamageCauser, InstigatedByController, bDoFullDamage, DamagePreventionChannel) }; } catch (e) {};
+try { let fnprepatch_330 = GameplayStatics.prototype.ActivateReverbEffect;GameplayStatics.prototype.ActivateReverbEffect = function (WorldContextObject, ReverbEffect, TagName, Priority = 0, Volume = 0.5, FadeTime = 2) { return fnprepatch_330.call(this, WorldContextObject, ReverbEffect, TagName, Priority, Volume, FadeTime) }; } catch (e) {};
 try { GameplayStatics.prototype.SuggestProjectileVelocityCustomArc = GameplayStatics.prototype.SuggestProjectileVelocity_CustomArc; } catch (e) {};
 try { GameplayStatics.SuggestProjectileVelocityCustomArc = GameplayStatics.SuggestProjectileVelocity_CustomArc; } catch (e) {};
 try { GameplayStatics.prototype.GetClass = GameplayStatics.prototype.GetObjectClass; } catch (e) {};
@@ -542,22 +783,23 @@ try { GameplayStatics.prototype.PredictProjectilePathByObjectType = GameplayStat
 try { GameplayStatics.PredictProjectilePathByObjectType = GameplayStatics.Blueprint_PredictProjectilePath_ByObjectType; } catch (e) {};
 try { GameplayStatics.prototype.PredictProjectilePath = GameplayStatics.prototype.Blueprint_PredictProjectilePath_Advanced; } catch (e) {};
 try { GameplayStatics.PredictProjectilePath = GameplayStatics.Blueprint_PredictProjectilePath_Advanced; } catch (e) {};
-try { let fnprepatch_256 = GameUserSettings.prototype.RunHardwareBenchmark;GameUserSettings.prototype.RunHardwareBenchmark = function (WorkScale = 10, CPUMultiplier = 1, GPUMultiplier = 1) { return fnprepatch_256.call(this, WorkScale, CPUMultiplier, GPUMultiplier) }; } catch (e) {};
-try { let fnprepatch_257 = GameUserSettings.prototype.LoadSettings;GameUserSettings.prototype.LoadSettings = function (bForceReload = false) { return fnprepatch_257.call(this, bForceReload) }; } catch (e) {};
-try { let fnprepatch_258 = GameUserSettings.prototype.EnableHDRDisplayOutput;GameUserSettings.prototype.EnableHDRDisplayOutput = function (bEnable, DisplayNits = 1000) { return fnprepatch_258.call(this, bEnable, DisplayNits) }; } catch (e) {};
+try { let fnprepatch_331 = GameUserSettings.prototype.RunHardwareBenchmark;GameUserSettings.prototype.RunHardwareBenchmark = function (WorkScale = 10, CPUMultiplier = 1, GPUMultiplier = 1) { return fnprepatch_331.call(this, WorkScale, CPUMultiplier, GPUMultiplier) }; } catch (e) {};
+try { let fnprepatch_332 = GameUserSettings.prototype.LoadSettings;GameUserSettings.prototype.LoadSettings = function (bForceReload = false) { return fnprepatch_332.call(this, bForceReload) }; } catch (e) {};
+try { let fnprepatch_333 = GameUserSettings.prototype.EnableHDRDisplayOutput;GameUserSettings.prototype.EnableHDRDisplayOutput = function (bEnable, DisplayNits = 1000) { return fnprepatch_333.call(this, bEnable, DisplayNits) }; } catch (e) {};
 try { GameUserSettings.prototype.SetResolutionScaleValue = GameUserSettings.prototype.SetResolutionScaleValueEx; } catch (e) {};
 try { GameUserSettings.prototype.SetResolutionScaleValue_Deprecated = GameUserSettings.prototype.SetResolutionScaleValue; } catch (e) {};
 try { GameUserSettings.prototype.GetResolutionScaleInformation = GameUserSettings.prototype.GetResolutionScaleInformationEx; } catch (e) {};
 try { GameUserSettings.prototype.GetResolutionScaleInformation_Deprecated = GameUserSettings.prototype.GetResolutionScaleInformation; } catch (e) {};
-try { let fnprepatch_259 = ImportanceSamplingLibrary.prototype.RandomSobolCell3D;ImportanceSamplingLibrary.prototype.RandomSobolCell3D = function (Index, NumCells = 1, Cell, Seed) { return fnprepatch_259.call(this, Index, NumCells, Cell, Seed) }; } catch (e) {};
-try { let fnprepatch_260 = ImportanceSamplingLibrary.prototype.RandomSobolCell2D;ImportanceSamplingLibrary.prototype.RandomSobolCell2D = function (Index, NumCells = 1, Cell = {"X":0,"Y":0}, Seed = {"X":0,"Y":0}) { return fnprepatch_260.call(this, Index, NumCells, Cell, Seed) }; } catch (e) {};
-try { let fnprepatch_261 = ImportanceSamplingLibrary.prototype.NextSobolCell3D;ImportanceSamplingLibrary.prototype.NextSobolCell3D = function (Index, NumCells = 1, PreviousValue) { return fnprepatch_261.call(this, Index, NumCells, PreviousValue) }; } catch (e) {};
-try { let fnprepatch_262 = ImportanceSamplingLibrary.prototype.NextSobolCell2D;ImportanceSamplingLibrary.prototype.NextSobolCell2D = function (Index, NumCells = 1, PreviousValue = {"X":0,"Y":0}) { return fnprepatch_262.call(this, Index, NumCells, PreviousValue) }; } catch (e) {};
-try { let fnprepatch_263 = InputSettings.prototype.RemoveAxisMapping;InputSettings.prototype.RemoveAxisMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_263.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
-try { let fnprepatch_264 = InputSettings.prototype.RemoveActionMapping;InputSettings.prototype.RemoveActionMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_264.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
-try { let fnprepatch_265 = InputSettings.prototype.AddAxisMapping;InputSettings.prototype.AddAxisMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_265.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
-try { let fnprepatch_266 = InputSettings.prototype.AddActionMapping;InputSettings.prototype.AddActionMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_266.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
-try { let fnprepatch_267 = InterpToMovementComponent.prototype.RestartMovement;InterpToMovementComponent.prototype.RestartMovement = function (InitialDirection = 1) { return fnprepatch_267.call(this, InitialDirection) }; } catch (e) {};
+try { let fnprepatch_334 = HealthSnapshotBlueprintLibrary.prototype.LogPerformanceSnapshot;HealthSnapshotBlueprintLibrary.prototype.LogPerformanceSnapshot = function (SnapshotTitle, bResetStats = true) { return fnprepatch_334.call(this, SnapshotTitle, bResetStats) }; } catch (e) {};
+try { let fnprepatch_335 = ImportanceSamplingLibrary.prototype.RandomSobolCell3D;ImportanceSamplingLibrary.prototype.RandomSobolCell3D = function (Index, NumCells = 1, Cell, Seed) { return fnprepatch_335.call(this, Index, NumCells, Cell, Seed) }; } catch (e) {};
+try { let fnprepatch_336 = ImportanceSamplingLibrary.prototype.RandomSobolCell2D;ImportanceSamplingLibrary.prototype.RandomSobolCell2D = function (Index, NumCells = 1, Cell = {"X":0,"Y":0}, Seed = {"X":0,"Y":0}) { return fnprepatch_336.call(this, Index, NumCells, Cell, Seed) }; } catch (e) {};
+try { let fnprepatch_337 = ImportanceSamplingLibrary.prototype.NextSobolCell3D;ImportanceSamplingLibrary.prototype.NextSobolCell3D = function (Index, NumCells = 1, PreviousValue) { return fnprepatch_337.call(this, Index, NumCells, PreviousValue) }; } catch (e) {};
+try { let fnprepatch_338 = ImportanceSamplingLibrary.prototype.NextSobolCell2D;ImportanceSamplingLibrary.prototype.NextSobolCell2D = function (Index, NumCells = 1, PreviousValue = {"X":0,"Y":0}) { return fnprepatch_338.call(this, Index, NumCells, PreviousValue) }; } catch (e) {};
+try { let fnprepatch_339 = InputSettings.prototype.RemoveAxisMapping;InputSettings.prototype.RemoveAxisMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_339.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
+try { let fnprepatch_340 = InputSettings.prototype.RemoveActionMapping;InputSettings.prototype.RemoveActionMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_340.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
+try { let fnprepatch_341 = InputSettings.prototype.AddAxisMapping;InputSettings.prototype.AddAxisMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_341.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
+try { let fnprepatch_342 = InputSettings.prototype.AddActionMapping;InputSettings.prototype.AddActionMapping = function (KeyMapping, bForceRebuildKeymaps = true) { return fnprepatch_342.call(this, KeyMapping, bForceRebuildKeymaps) }; } catch (e) {};
+try { let fnprepatch_343 = InterpToMovementComponent.prototype.RestartMovement;InterpToMovementComponent.prototype.RestartMovement = function (InitialDirection = 1) { return fnprepatch_343.call(this, InitialDirection) }; } catch (e) {};
 try { KismetArrayLibrary.prototype.SwapArrayElements = KismetArrayLibrary.prototype.Array_Swap; } catch (e) {};
 try { KismetArrayLibrary.SwapArrayElements = KismetArrayLibrary.Array_Swap; } catch (e) {};
 try { KismetArrayLibrary.prototype.Shuffle = KismetArrayLibrary.prototype.Array_Shuffle; } catch (e) {};
@@ -578,6 +820,8 @@ try { KismetArrayLibrary.prototype.IsValidIndex = KismetArrayLibrary.prototype.A
 try { KismetArrayLibrary.IsValidIndex = KismetArrayLibrary.Array_IsValidIndex; } catch (e) {};
 try { KismetArrayLibrary.prototype.Insert = KismetArrayLibrary.prototype.Array_Insert; } catch (e) {};
 try { KismetArrayLibrary.Insert = KismetArrayLibrary.Array_Insert; } catch (e) {};
+try { KismetArrayLibrary.prototype.Identical = KismetArrayLibrary.prototype.Array_Identical; } catch (e) {};
+try { KismetArrayLibrary.Identical = KismetArrayLibrary.Array_Identical; } catch (e) {};
 try { KismetArrayLibrary.prototype.Get = KismetArrayLibrary.prototype.Array_Get; } catch (e) {};
 try { KismetArrayLibrary.Get = KismetArrayLibrary.Array_Get; } catch (e) {};
 try { KismetArrayLibrary.prototype.FindItem = KismetArrayLibrary.prototype.Array_Find; } catch (e) {};
@@ -626,6 +870,8 @@ try { KismetInputLibrary.prototype.GetCursorDelta = KismetInputLibrary.prototype
 try { KismetInputLibrary.GetCursorDelta = KismetInputLibrary.PointerEvent_GetCursorDelta; } catch (e) {};
 try { KismetInputLibrary.prototype.IsVectorAxis = KismetInputLibrary.prototype.Key_IsVectorAxis; } catch (e) {};
 try { KismetInputLibrary.IsVectorAxis = KismetInputLibrary.Key_IsVectorAxis; } catch (e) {};
+try { KismetInputLibrary.prototype.IsValid = KismetInputLibrary.prototype.Key_IsValid; } catch (e) {};
+try { KismetInputLibrary.IsValid = KismetInputLibrary.Key_IsValid; } catch (e) {};
 try { KismetInputLibrary.prototype.IsMouseButton = KismetInputLibrary.prototype.Key_IsMouseButton; } catch (e) {};
 try { KismetInputLibrary.IsMouseButton = KismetInputLibrary.Key_IsMouseButton; } catch (e) {};
 try { KismetInputLibrary.prototype.IsModifierKey = KismetInputLibrary.prototype.Key_IsModifierKey; } catch (e) {};
@@ -668,56 +914,94 @@ try { KismetInputLibrary.prototype.Equal = KismetInputLibrary.prototype.EqualEqu
 try { KismetInputLibrary.Equal = KismetInputLibrary.EqualEqual_KeyKey; } catch (e) {};
 try { KismetInputLibrary.prototype.Equal = KismetInputLibrary.prototype.EqualEqual_InputChordInputChord; } catch (e) {};
 try { KismetInputLibrary.Equal = KismetInputLibrary.EqualEqual_InputChordInputChord; } catch (e) {};
-try { let fnprepatch_268 = KismetInternationalizationLibrary.prototype.SetCurrentLocale;KismetInternationalizationLibrary.prototype.SetCurrentLocale = function (Culture, SaveToConfig = false) { return fnprepatch_268.call(this, Culture, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_269 = KismetInternationalizationLibrary.prototype.SetCurrentLanguageAndLocale;KismetInternationalizationLibrary.prototype.SetCurrentLanguageAndLocale = function (Culture, SaveToConfig = false) { return fnprepatch_269.call(this, Culture, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_270 = KismetInternationalizationLibrary.prototype.SetCurrentLanguage;KismetInternationalizationLibrary.prototype.SetCurrentLanguage = function (Culture, SaveToConfig = false) { return fnprepatch_270.call(this, Culture, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_271 = KismetInternationalizationLibrary.prototype.SetCurrentCulture;KismetInternationalizationLibrary.prototype.SetCurrentCulture = function (Culture, SaveToConfig = false) { return fnprepatch_271.call(this, Culture, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_272 = KismetInternationalizationLibrary.prototype.SetCurrentAssetGroupCulture;KismetInternationalizationLibrary.prototype.SetCurrentAssetGroupCulture = function (AssetGroup, Culture, SaveToConfig = false) { return fnprepatch_272.call(this, AssetGroup, Culture, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_273 = KismetInternationalizationLibrary.prototype.ClearCurrentAssetGroupCulture;KismetInternationalizationLibrary.prototype.ClearCurrentAssetGroupCulture = function (AssetGroup, SaveToConfig = false) { return fnprepatch_273.call(this, AssetGroup, SaveToConfig) }; } catch (e) {};
-try { let fnprepatch_274 = KismetMathLibrary.prototype.VectorSpringInterp;KismetMathLibrary.prototype.VectorSpringInterp = function (Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass = 1) { return fnprepatch_274.call(this, Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass) }; } catch (e) {};
-try { let fnprepatch_275 = KismetMathLibrary.prototype.VEase;KismetMathLibrary.prototype.VEase = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_275.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
-try { let fnprepatch_276 = KismetMathLibrary.prototype.TLerp;KismetMathLibrary.prototype.TLerp = function (A, B, Alpha, InterpMode = "QuatInterp") { return fnprepatch_276.call(this, A, B, Alpha, InterpMode) }; } catch (e) {};
-try { let fnprepatch_277 = KismetMathLibrary.prototype.TEase;KismetMathLibrary.prototype.TEase = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_277.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
-try { let fnprepatch_278 = KismetMathLibrary.prototype.Subtract_IntInt;KismetMathLibrary.prototype.Subtract_IntInt = function (A, B = 1) { return fnprepatch_278.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_279 = KismetMathLibrary.prototype.Subtract_FloatFloat;KismetMathLibrary.prototype.Subtract_FloatFloat = function (A, B = 1) { return fnprepatch_279.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_280 = KismetMathLibrary.prototype.Subtract_ByteByte;KismetMathLibrary.prototype.Subtract_ByteByte = function (A, B = 1) { return fnprepatch_280.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_281 = KismetMathLibrary.prototype.REase;KismetMathLibrary.prototype.REase = function (A, B, Alpha, bShortestPath, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_281.call(this, A, B, Alpha, bShortestPath, EasingFunc, BlendExp, Steps) }; } catch (e) {};
-try { let fnprepatch_282 = KismetMathLibrary.prototype.RandomRotator;KismetMathLibrary.prototype.RandomRotator = function (bRoll = false) { return fnprepatch_282.call(this, bRoll) }; } catch (e) {};
-try { let fnprepatch_283 = KismetMathLibrary.prototype.PointsAreCoplanar;KismetMathLibrary.prototype.PointsAreCoplanar = function (Points, Tolerance = 0.10000000149011612) { return fnprepatch_283.call(this, Points, Tolerance) }; } catch (e) {};
-try { let fnprepatch_284 = KismetMathLibrary.prototype.Percent_IntInt;KismetMathLibrary.prototype.Percent_IntInt = function (A, B = 1) { return fnprepatch_284.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_285 = KismetMathLibrary.prototype.Percent_FloatFloat;KismetMathLibrary.prototype.Percent_FloatFloat = function (A, B = 1) { return fnprepatch_285.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_286 = KismetMathLibrary.prototype.Percent_ByteByte;KismetMathLibrary.prototype.Percent_ByteByte = function (A, B = 1) { return fnprepatch_286.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_287 = KismetMathLibrary.prototype.NotEqual_VectorVector;KismetMathLibrary.prototype.NotEqual_VectorVector = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_287.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_288 = KismetMathLibrary.prototype.NotEqual_Vector2DVector2D;KismetMathLibrary.prototype.NotEqual_Vector2DVector2D = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_288.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_289 = KismetMathLibrary.prototype.NotEqual_RotatorRotator;KismetMathLibrary.prototype.NotEqual_RotatorRotator = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_289.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_290 = KismetMathLibrary.prototype.NearlyEqual_TransformTransform;KismetMathLibrary.prototype.NearlyEqual_TransformTransform = function (A, B, LocationTolerance = 0.00009999999747378752, RotationTolerance = 0.00009999999747378752, Scale3DTolerance = 0.00009999999747378752) { return fnprepatch_290.call(this, A, B, LocationTolerance, RotationTolerance, Scale3DTolerance) }; } catch (e) {};
-try { let fnprepatch_291 = KismetMathLibrary.prototype.NearlyEqual_FloatFloat;KismetMathLibrary.prototype.NearlyEqual_FloatFloat = function (A, B, ErrorTolerance = 9.999999974752427e-7) { return fnprepatch_291.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_292 = KismetMathLibrary.prototype.MinimumAreaRectangle;KismetMathLibrary.prototype.MinimumAreaRectangle = function (WorldContextObject, InVerts, SampleSurfaceNormal, OutRectCenter, OutRectRotation, OutSideLengthX, OutSideLengthY, bDebugDraw = false) { return fnprepatch_292.call(this, WorldContextObject, InVerts, SampleSurfaceNormal, OutRectCenter, OutRectRotation, OutSideLengthX, OutSideLengthY, bDebugDraw) }; } catch (e) {};
-try { let fnprepatch_293 = KismetMathLibrary.prototype.MakePulsatingValue;KismetMathLibrary.prototype.MakePulsatingValue = function (InCurrentTime, InPulsesPerSecond = 1, InPhase = 0) { return fnprepatch_293.call(this, InCurrentTime, InPulsesPerSecond, InPhase) }; } catch (e) {};
-try { let fnprepatch_294 = KismetMathLibrary.prototype.MakeDateTime;KismetMathLibrary.prototype.MakeDateTime = function (Year, Month, Day, Hour = 0, Minute = 0, Second = 0, Millisecond = 0) { return fnprepatch_294.call(this, Year, Month, Day, Hour, Minute, Second, Millisecond) }; } catch (e) {};
-try { let fnprepatch_295 = KismetMathLibrary.prototype.MakeColor;KismetMathLibrary.prototype.MakeColor = function (R, G, B, A = 1) { return fnprepatch_295.call(this, R, G, B, A) }; } catch (e) {};
-try { let fnprepatch_296 = KismetMathLibrary.prototype.Log;KismetMathLibrary.prototype.Log = function (A, Base = 1) { return fnprepatch_296.call(this, A, Base) }; } catch (e) {};
-try { let fnprepatch_297 = KismetMathLibrary.prototype.InRange_IntInt;KismetMathLibrary.prototype.InRange_IntInt = function (Value, Min, Max, InclusiveMin = true, InclusiveMax = true) { return fnprepatch_297.call(this, Value, Min, Max, InclusiveMin, InclusiveMax) }; } catch (e) {};
-try { let fnprepatch_298 = KismetMathLibrary.prototype.InRange_FloatFloat;KismetMathLibrary.prototype.InRange_FloatFloat = function (Value, Min, Max, InclusiveMin = true, InclusiveMax = true) { return fnprepatch_298.call(this, Value, Min, Max, InclusiveMin, InclusiveMax) }; } catch (e) {};
-try { let fnprepatch_299 = KismetMathLibrary.prototype.HSVToRGB;KismetMathLibrary.prototype.HSVToRGB = function (H, S, V, A = 1) { return fnprepatch_299.call(this, H, S, V, A) }; } catch (e) {};
-try { let fnprepatch_300 = KismetMathLibrary.prototype.FloatSpringInterp;KismetMathLibrary.prototype.FloatSpringInterp = function (Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass = 1) { return fnprepatch_300.call(this, Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass) }; } catch (e) {};
-try { let fnprepatch_301 = KismetMathLibrary.prototype.EqualEqual_VectorVector;KismetMathLibrary.prototype.EqualEqual_VectorVector = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_301.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_302 = KismetMathLibrary.prototype.EqualEqual_Vector2DVector2D;KismetMathLibrary.prototype.EqualEqual_Vector2DVector2D = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_302.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_303 = KismetMathLibrary.prototype.EqualEqual_RotatorRotator;KismetMathLibrary.prototype.EqualEqual_RotatorRotator = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_303.call(this, A, B, ErrorTolerance) }; } catch (e) {};
-try { let fnprepatch_304 = KismetMathLibrary.prototype.Ease;KismetMathLibrary.prototype.Ease = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_304.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
-try { let fnprepatch_305 = KismetMathLibrary.prototype.Divide_VectorInt;KismetMathLibrary.prototype.Divide_VectorInt = function (A, B = 1) { return fnprepatch_305.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_306 = KismetMathLibrary.prototype.Divide_VectorFloat;KismetMathLibrary.prototype.Divide_VectorFloat = function (A, B = 1) { return fnprepatch_306.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_307 = KismetMathLibrary.prototype.Divide_Vector2DFloat;KismetMathLibrary.prototype.Divide_Vector2DFloat = function (A, B = 1) { return fnprepatch_307.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_308 = KismetMathLibrary.prototype.Divide_IntInt;KismetMathLibrary.prototype.Divide_IntInt = function (A, B = 1) { return fnprepatch_308.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_309 = KismetMathLibrary.prototype.Divide_FloatFloat;KismetMathLibrary.prototype.Divide_FloatFloat = function (A, B = 1) { return fnprepatch_309.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_310 = KismetMathLibrary.prototype.Divide_ByteByte;KismetMathLibrary.prototype.Divide_ByteByte = function (A, B = 1) { return fnprepatch_310.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_311 = KismetMathLibrary.prototype.CreateVectorFromYawPitch;KismetMathLibrary.prototype.CreateVectorFromYawPitch = function (Yaw, Pitch, Length = 1) { return fnprepatch_311.call(this, Yaw, Pitch, Length) }; } catch (e) {};
-try { let fnprepatch_312 = KismetMathLibrary.prototype.Conv_Vector2DToVector;KismetMathLibrary.prototype.Conv_Vector2DToVector = function (InVector2D, Z = 0) { return fnprepatch_312.call(this, InVector2D, Z) }; } catch (e) {};
-try { let fnprepatch_313 = KismetMathLibrary.prototype.Add_IntInt;KismetMathLibrary.prototype.Add_IntInt = function (A, B = 1) { return fnprepatch_313.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_314 = KismetMathLibrary.prototype.Add_FloatFloat;KismetMathLibrary.prototype.Add_FloatFloat = function (A, B = 1) { return fnprepatch_314.call(this, A, B) }; } catch (e) {};
-try { let fnprepatch_315 = KismetMathLibrary.prototype.Add_ByteByte;KismetMathLibrary.prototype.Add_ByteByte = function (A, B = 1) { return fnprepatch_315.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_344 = KismetInternationalizationLibrary.prototype.SetCurrentLocale;KismetInternationalizationLibrary.prototype.SetCurrentLocale = function (Culture, SaveToConfig = false) { return fnprepatch_344.call(this, Culture, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_345 = KismetInternationalizationLibrary.prototype.SetCurrentLanguageAndLocale;KismetInternationalizationLibrary.prototype.SetCurrentLanguageAndLocale = function (Culture, SaveToConfig = false) { return fnprepatch_345.call(this, Culture, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_346 = KismetInternationalizationLibrary.prototype.SetCurrentLanguage;KismetInternationalizationLibrary.prototype.SetCurrentLanguage = function (Culture, SaveToConfig = false) { return fnprepatch_346.call(this, Culture, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_347 = KismetInternationalizationLibrary.prototype.SetCurrentCulture;KismetInternationalizationLibrary.prototype.SetCurrentCulture = function (Culture, SaveToConfig = false) { return fnprepatch_347.call(this, Culture, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_348 = KismetInternationalizationLibrary.prototype.SetCurrentAssetGroupCulture;KismetInternationalizationLibrary.prototype.SetCurrentAssetGroupCulture = function (AssetGroup, Culture, SaveToConfig = false) { return fnprepatch_348.call(this, AssetGroup, Culture, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_349 = KismetInternationalizationLibrary.prototype.GetSuitableCulture;KismetInternationalizationLibrary.prototype.GetSuitableCulture = function (AvailableCultures, CultureToMatch, FallbackCulture = "en") { return fnprepatch_349.call(this, AvailableCultures, CultureToMatch, FallbackCulture) }; } catch (e) {};
+try { let fnprepatch_350 = KismetInternationalizationLibrary.prototype.GetLocalizedCultures;KismetInternationalizationLibrary.prototype.GetLocalizedCultures = function (IncludeGame = true, IncludeEngine = false, IncludeEditor = false, IncludeAdditional = false) { return fnprepatch_350.call(this, IncludeGame, IncludeEngine, IncludeEditor, IncludeAdditional) }; } catch (e) {};
+try { let fnprepatch_351 = KismetInternationalizationLibrary.prototype.GetCultureDisplayName;KismetInternationalizationLibrary.prototype.GetCultureDisplayName = function (Culture, Localized = true) { return fnprepatch_351.call(this, Culture, Localized) }; } catch (e) {};
+try { let fnprepatch_352 = KismetInternationalizationLibrary.prototype.ClearCurrentAssetGroupCulture;KismetInternationalizationLibrary.prototype.ClearCurrentAssetGroupCulture = function (AssetGroup, SaveToConfig = false) { return fnprepatch_352.call(this, AssetGroup, SaveToConfig) }; } catch (e) {};
+try { let fnprepatch_353 = KismetMaterialLibrary.prototype.CreateDynamicMaterialInstance;KismetMaterialLibrary.prototype.CreateDynamicMaterialInstance = function (WorldContextObject, Parent, OptionalName = "None") { return fnprepatch_353.call(this, WorldContextObject, Parent, OptionalName) }; } catch (e) {};
+try { let fnprepatch_354 = KismetMathLibrary.prototype.VectorSpringInterp;KismetMathLibrary.prototype.VectorSpringInterp = function (Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass = 1) { return fnprepatch_354.call(this, Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass) }; } catch (e) {};
+try { let fnprepatch_355 = KismetMathLibrary.prototype.Vector_Normalize;KismetMathLibrary.prototype.Vector_Normalize = function (A, Tolerance = 0) { return fnprepatch_355.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_356 = KismetMathLibrary.prototype.Vector_Normal2D;KismetMathLibrary.prototype.Vector_Normal2D = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_356.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_357 = KismetMathLibrary.prototype.Vector_IsUnit;KismetMathLibrary.prototype.Vector_IsUnit = function (A, SquaredLenthTolerance = 0.00009999999747378752) { return fnprepatch_357.call(this, A, SquaredLenthTolerance) }; } catch (e) {};
+try { let fnprepatch_358 = KismetMathLibrary.prototype.Vector_IsUniform;KismetMathLibrary.prototype.Vector_IsUniform = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_358.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_359 = KismetMathLibrary.prototype.Vector_IsNearlyZero;KismetMathLibrary.prototype.Vector_IsNearlyZero = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_359.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_360 = KismetMathLibrary.prototype.Vector4_Normalize3;KismetMathLibrary.prototype.Vector4_Normalize3 = function (A, Tolerance = 0) { return fnprepatch_360.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_361 = KismetMathLibrary.prototype.Vector4_Normal3;KismetMathLibrary.prototype.Vector4_Normal3 = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_361.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_362 = KismetMathLibrary.prototype.Vector4_IsUnit3;KismetMathLibrary.prototype.Vector4_IsUnit3 = function (A, SquaredLenthTolerance = 0.00009999999747378752) { return fnprepatch_362.call(this, A, SquaredLenthTolerance) }; } catch (e) {};
+try { let fnprepatch_363 = KismetMathLibrary.prototype.Vector4_IsNearlyZero3;KismetMathLibrary.prototype.Vector4_IsNearlyZero3 = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_363.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_364 = KismetMathLibrary.prototype.VEase;KismetMathLibrary.prototype.VEase = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_364.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
+try { let fnprepatch_365 = KismetMathLibrary.prototype.TLerp;KismetMathLibrary.prototype.TLerp = function (A, B, Alpha, InterpMode = "QuatInterp") { return fnprepatch_365.call(this, A, B, Alpha, InterpMode) }; } catch (e) {};
+try { let fnprepatch_366 = KismetMathLibrary.prototype.TEase;KismetMathLibrary.prototype.TEase = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_366.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
+try { let fnprepatch_367 = KismetMathLibrary.prototype.Subtract_IntInt;KismetMathLibrary.prototype.Subtract_IntInt = function (A, B = 1) { return fnprepatch_367.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_368 = KismetMathLibrary.prototype.Subtract_Int64Int64;KismetMathLibrary.prototype.Subtract_Int64Int64 = function (A, B = "<Unsupported type>") { return fnprepatch_368.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_369 = KismetMathLibrary.prototype.Subtract_FloatFloat;KismetMathLibrary.prototype.Subtract_FloatFloat = function (A, B = 1) { return fnprepatch_369.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_370 = KismetMathLibrary.prototype.Subtract_ByteByte;KismetMathLibrary.prototype.Subtract_ByteByte = function (A, B = 1) { return fnprepatch_370.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_371 = KismetMathLibrary.prototype.REase;KismetMathLibrary.prototype.REase = function (A, B, Alpha, bShortestPath, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_371.call(this, A, B, Alpha, bShortestPath, EasingFunc, BlendExp, Steps) }; } catch (e) {};
+try { let fnprepatch_372 = KismetMathLibrary.prototype.RandomRotator;KismetMathLibrary.prototype.RandomRotator = function (bRoll = false) { return fnprepatch_372.call(this, bRoll) }; } catch (e) {};
+try { let fnprepatch_373 = KismetMathLibrary.prototype.Quat_Normalized;KismetMathLibrary.prototype.Quat_Normalized = function (Q, Tolerance = 0.00009999999747378752) { return fnprepatch_373.call(this, Q, Tolerance) }; } catch (e) {};
+try { let fnprepatch_374 = KismetMathLibrary.prototype.Quat_Normalize;KismetMathLibrary.prototype.Quat_Normalize = function (Q, Tolerance = 0.00009999999747378752) { return fnprepatch_374.call(this, Q, Tolerance) }; } catch (e) {};
+try { let fnprepatch_375 = KismetMathLibrary.prototype.Quat_IsIdentity;KismetMathLibrary.prototype.Quat_IsIdentity = function (Q, Tolerance = 0.00009999999747378752) { return fnprepatch_375.call(this, Q, Tolerance) }; } catch (e) {};
+try { let fnprepatch_376 = KismetMathLibrary.prototype.PointsAreCoplanar;KismetMathLibrary.prototype.PointsAreCoplanar = function (Points, Tolerance = 0.10000000149011612) { return fnprepatch_376.call(this, Points, Tolerance) }; } catch (e) {};
+try { let fnprepatch_377 = KismetMathLibrary.prototype.Percent_IntInt;KismetMathLibrary.prototype.Percent_IntInt = function (A, B = 1) { return fnprepatch_377.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_378 = KismetMathLibrary.prototype.Percent_FloatFloat;KismetMathLibrary.prototype.Percent_FloatFloat = function (A, B = 1) { return fnprepatch_378.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_379 = KismetMathLibrary.prototype.Percent_ByteByte;KismetMathLibrary.prototype.Percent_ByteByte = function (A, B = 1) { return fnprepatch_379.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_380 = KismetMathLibrary.prototype.NotEqual_VectorVector;KismetMathLibrary.prototype.NotEqual_VectorVector = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_380.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_381 = KismetMathLibrary.prototype.NotEqual_Vector4Vector4;KismetMathLibrary.prototype.NotEqual_Vector4Vector4 = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_381.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_382 = KismetMathLibrary.prototype.NotEqual_Vector2DVector2D;KismetMathLibrary.prototype.NotEqual_Vector2DVector2D = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_382.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_383 = KismetMathLibrary.prototype.NotEqual_RotatorRotator;KismetMathLibrary.prototype.NotEqual_RotatorRotator = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_383.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_384 = KismetMathLibrary.prototype.NotEqual_QuatQuat;KismetMathLibrary.prototype.NotEqual_QuatQuat = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_384.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_385 = KismetMathLibrary.prototype.NormalSafe2D;KismetMathLibrary.prototype.NormalSafe2D = function (A, Tolerance = 0) { return fnprepatch_385.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_386 = KismetMathLibrary.prototype.Normalize2D;KismetMathLibrary.prototype.Normalize2D = function (A, Tolerance = 0) { return fnprepatch_386.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_387 = KismetMathLibrary.prototype.Normal;KismetMathLibrary.prototype.Normal = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_387.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_388 = KismetMathLibrary.prototype.NearlyEqual_TransformTransform;KismetMathLibrary.prototype.NearlyEqual_TransformTransform = function (A, B, LocationTolerance = 0.00009999999747378752, RotationTolerance = 0.00009999999747378752, Scale3DTolerance = 0.00009999999747378752) { return fnprepatch_388.call(this, A, B, LocationTolerance, RotationTolerance, Scale3DTolerance) }; } catch (e) {};
+try { let fnprepatch_389 = KismetMathLibrary.prototype.NearlyEqual_FloatFloat;KismetMathLibrary.prototype.NearlyEqual_FloatFloat = function (A, B, ErrorTolerance = 9.999999974752427e-7) { return fnprepatch_389.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_390 = KismetMathLibrary.prototype.MinimumAreaRectangle;KismetMathLibrary.prototype.MinimumAreaRectangle = function (WorldContextObject, InVerts, SampleSurfaceNormal, OutRectCenter, OutRectRotation, OutSideLengthX, OutSideLengthY, bDebugDraw = false) { return fnprepatch_390.call(this, WorldContextObject, InVerts, SampleSurfaceNormal, OutRectCenter, OutRectRotation, OutSideLengthX, OutSideLengthY, bDebugDraw) }; } catch (e) {};
+try { let fnprepatch_391 = KismetMathLibrary.prototype.MakeQualifiedFrameTime;KismetMathLibrary.prototype.MakeQualifiedFrameTime = function (Frame, FrameRate, SubFrame = 0) { return fnprepatch_391.call(this, Frame, FrameRate, SubFrame) }; } catch (e) {};
+try { let fnprepatch_392 = KismetMathLibrary.prototype.MakePulsatingValue;KismetMathLibrary.prototype.MakePulsatingValue = function (InCurrentTime, InPulsesPerSecond = 1, InPhase = 0) { return fnprepatch_392.call(this, InCurrentTime, InPulsesPerSecond, InPhase) }; } catch (e) {};
+try { let fnprepatch_393 = KismetMathLibrary.prototype.MakeFrameRate;KismetMathLibrary.prototype.MakeFrameRate = function (Numerator, Denominator = 1) { return fnprepatch_393.call(this, Numerator, Denominator) }; } catch (e) {};
+try { let fnprepatch_394 = KismetMathLibrary.prototype.MakeDateTime;KismetMathLibrary.prototype.MakeDateTime = function (Year, Month, Day, Hour = 0, Minute = 0, Second = 0, Millisecond = 0) { return fnprepatch_394.call(this, Year, Month, Day, Hour, Minute, Second, Millisecond) }; } catch (e) {};
+try { let fnprepatch_395 = KismetMathLibrary.prototype.MakeColor;KismetMathLibrary.prototype.MakeColor = function (R, G, B, A = 1) { return fnprepatch_395.call(this, R, G, B, A) }; } catch (e) {};
+try { let fnprepatch_396 = KismetMathLibrary.prototype.Log;KismetMathLibrary.prototype.Log = function (A, Base = 1) { return fnprepatch_396.call(this, A, Base) }; } catch (e) {};
+try { let fnprepatch_397 = KismetMathLibrary.prototype.LinearColor_SetRGBA;KismetMathLibrary.prototype.LinearColor_SetRGBA = function (InOutColor, R, G, B, A = 1) { return fnprepatch_397.call(this, InOutColor, R, G, B, A) }; } catch (e) {};
+try { let fnprepatch_398 = KismetMathLibrary.prototype.LinearColor_SetFromHSV;KismetMathLibrary.prototype.LinearColor_SetFromHSV = function (InOutColor, H, S, V, A = 1) { return fnprepatch_398.call(this, InOutColor, H, S, V, A) }; } catch (e) {};
+try { let fnprepatch_399 = KismetMathLibrary.prototype.LinearColor_IsNearEqual;KismetMathLibrary.prototype.LinearColor_IsNearEqual = function (A, B, Tolerance = 0.00009999999747378752) { return fnprepatch_399.call(this, A, B, Tolerance) }; } catch (e) {};
+try { let fnprepatch_400 = KismetMathLibrary.prototype.IsNearlyZero2D;KismetMathLibrary.prototype.IsNearlyZero2D = function (A, Tolerance = 0.00009999999747378752) { return fnprepatch_400.call(this, A, Tolerance) }; } catch (e) {};
+try { let fnprepatch_401 = KismetMathLibrary.prototype.InRange_IntInt;KismetMathLibrary.prototype.InRange_IntInt = function (Value, Min, Max, InclusiveMin = true, InclusiveMax = true) { return fnprepatch_401.call(this, Value, Min, Max, InclusiveMin, InclusiveMax) }; } catch (e) {};
+try { let fnprepatch_402 = KismetMathLibrary.prototype.InRange_Int64Int64;KismetMathLibrary.prototype.InRange_Int64Int64 = function (Value, Min, Max, InclusiveMin = true, InclusiveMax = true) { return fnprepatch_402.call(this, Value, Min, Max, InclusiveMin, InclusiveMax) }; } catch (e) {};
+try { let fnprepatch_403 = KismetMathLibrary.prototype.InRange_FloatFloat;KismetMathLibrary.prototype.InRange_FloatFloat = function (Value, Min, Max, InclusiveMin = true, InclusiveMax = true) { return fnprepatch_403.call(this, Value, Min, Max, InclusiveMin, InclusiveMax) }; } catch (e) {};
+try { let fnprepatch_404 = KismetMathLibrary.prototype.HSVToRGB;KismetMathLibrary.prototype.HSVToRGB = function (H, S, V, A = 1) { return fnprepatch_404.call(this, H, S, V, A) }; } catch (e) {};
+try { let fnprepatch_405 = KismetMathLibrary.prototype.FloatSpringInterp;KismetMathLibrary.prototype.FloatSpringInterp = function (Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass = 1) { return fnprepatch_405.call(this, Current, Target, SpringState, Stiffness, CriticalDampingFactor, DeltaTime, Mass) }; } catch (e) {};
+try { let fnprepatch_406 = KismetMathLibrary.prototype.EqualEqual_VectorVector;KismetMathLibrary.prototype.EqualEqual_VectorVector = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_406.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_407 = KismetMathLibrary.prototype.EqualEqual_Vector4Vector4;KismetMathLibrary.prototype.EqualEqual_Vector4Vector4 = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_407.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_408 = KismetMathLibrary.prototype.EqualEqual_Vector2DVector2D;KismetMathLibrary.prototype.EqualEqual_Vector2DVector2D = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_408.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_409 = KismetMathLibrary.prototype.EqualEqual_RotatorRotator;KismetMathLibrary.prototype.EqualEqual_RotatorRotator = function (A, B, ErrorTolerance = 0.00009999999747378752) { return fnprepatch_409.call(this, A, B, ErrorTolerance) }; } catch (e) {};
+try { let fnprepatch_410 = KismetMathLibrary.prototype.EqualEqual_QuatQuat;KismetMathLibrary.prototype.EqualEqual_QuatQuat = function (A, B, Tolerance = 0.00009999999747378752) { return fnprepatch_410.call(this, A, B, Tolerance) }; } catch (e) {};
+try { let fnprepatch_411 = KismetMathLibrary.prototype.Ease;KismetMathLibrary.prototype.Ease = function (A, B, Alpha, EasingFunc, BlendExp = 2, Steps = 2) { return fnprepatch_411.call(this, A, B, Alpha, EasingFunc, BlendExp, Steps) }; } catch (e) {};
+try { let fnprepatch_412 = KismetMathLibrary.prototype.Divide_VectorInt;KismetMathLibrary.prototype.Divide_VectorInt = function (A, B = 1) { return fnprepatch_412.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_413 = KismetMathLibrary.prototype.Divide_VectorFloat;KismetMathLibrary.prototype.Divide_VectorFloat = function (A, B = 1) { return fnprepatch_413.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_414 = KismetMathLibrary.prototype.Divide_Vector2DFloat;KismetMathLibrary.prototype.Divide_Vector2DFloat = function (A, B = 1) { return fnprepatch_414.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_415 = KismetMathLibrary.prototype.Divide_IntInt;KismetMathLibrary.prototype.Divide_IntInt = function (A, B = 1) { return fnprepatch_415.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_416 = KismetMathLibrary.prototype.Divide_Int64Int64;KismetMathLibrary.prototype.Divide_Int64Int64 = function (A, B = "<Unsupported type>") { return fnprepatch_416.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_417 = KismetMathLibrary.prototype.Divide_FloatFloat;KismetMathLibrary.prototype.Divide_FloatFloat = function (A, B = 1) { return fnprepatch_417.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_418 = KismetMathLibrary.prototype.Divide_ByteByte;KismetMathLibrary.prototype.Divide_ByteByte = function (A, B = 1) { return fnprepatch_418.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_419 = KismetMathLibrary.prototype.CreateVectorFromYawPitch;KismetMathLibrary.prototype.CreateVectorFromYawPitch = function (Yaw, Pitch, Length = 1) { return fnprepatch_419.call(this, Yaw, Pitch, Length) }; } catch (e) {};
+try { let fnprepatch_420 = KismetMathLibrary.prototype.Conv_Vector2DToVector;KismetMathLibrary.prototype.Conv_Vector2DToVector = function (InVector2D, Z = 0) { return fnprepatch_420.call(this, InVector2D, Z) }; } catch (e) {};
+try { let fnprepatch_421 = KismetMathLibrary.prototype.Conv_LinearColorToColor;KismetMathLibrary.prototype.Conv_LinearColorToColor = function (InLinearColor, InUseSRGB = true) { return fnprepatch_421.call(this, InLinearColor, InUseSRGB) }; } catch (e) {};
+try { let fnprepatch_422 = KismetMathLibrary.prototype.Add_IntInt;KismetMathLibrary.prototype.Add_IntInt = function (A, B = 1) { return fnprepatch_422.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_423 = KismetMathLibrary.prototype.Add_Int64Int64;KismetMathLibrary.prototype.Add_Int64Int64 = function (A, B = "<Unsupported type>") { return fnprepatch_423.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_424 = KismetMathLibrary.prototype.Add_FloatFloat;KismetMathLibrary.prototype.Add_FloatFloat = function (A, B = 1) { return fnprepatch_424.call(this, A, B) }; } catch (e) {};
+try { let fnprepatch_425 = KismetMathLibrary.prototype.Add_ByteByte;KismetMathLibrary.prototype.Add_ByteByte = function (A, B = 1) { return fnprepatch_425.call(this, A, B) }; } catch (e) {};
 try { KismetMathLibrary.prototype.BitwiseXOR = KismetMathLibrary.prototype.Xor_IntInt; } catch (e) {};
 try { KismetMathLibrary.BitwiseXOR = KismetMathLibrary.Xor_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.BitwiseXOR = KismetMathLibrary.prototype.Xor_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.BitwiseXOR = KismetMathLibrary.Xor_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.prototype.VectorLengthXYSquared = KismetMathLibrary.prototype.VSizeXYSquared; } catch (e) {};
+try { KismetMathLibrary.VectorLengthXYSquared = KismetMathLibrary.VSizeXYSquared; } catch (e) {};
 try { KismetMathLibrary.prototype.VectorLengthXY = KismetMathLibrary.prototype.VSizeXY; } catch (e) {};
 try { KismetMathLibrary.VectorLengthXY = KismetMathLibrary.VSizeXY; } catch (e) {};
 try { KismetMathLibrary.prototype.VectorLengthSquared = KismetMathLibrary.prototype.VSizeSquared; } catch (e) {};
@@ -730,8 +1014,64 @@ try { KismetMathLibrary.prototype.VectorLength = KismetMathLibrary.prototype.VSi
 try { KismetMathLibrary.VectorLength = KismetMathLibrary.VSize; } catch (e) {};
 try { KismetMathLibrary.prototype.Lerp = KismetMathLibrary.prototype.VLerp; } catch (e) {};
 try { KismetMathLibrary.Lerp = KismetMathLibrary.VLerp; } catch (e) {};
+try { KismetMathLibrary.prototype.Reciprocal = KismetMathLibrary.prototype.Vector_Reciprocal; } catch (e) {};
+try { KismetMathLibrary.Reciprocal = KismetMathLibrary.Vector_Reciprocal; } catch (e) {};
+try { KismetMathLibrary.prototype.Normalunsafe = KismetMathLibrary.prototype.Vector_NormalUnsafe; } catch (e) {};
+try { KismetMathLibrary.Normalunsafe = KismetMathLibrary.Vector_NormalUnsafe; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalizeInPlace = KismetMathLibrary.prototype.Vector_Normalize; } catch (e) {};
+try { KismetMathLibrary.NormalizeInPlace = KismetMathLibrary.Vector_Normalize; } catch (e) {};
+try { KismetMathLibrary.prototype.Normalize2D = KismetMathLibrary.prototype.Vector_Normal2D; } catch (e) {};
+try { KismetMathLibrary.Normalize2D = KismetMathLibrary.Vector_Normal2D; } catch (e) {};
+try { KismetMathLibrary.prototype.IsUnit = KismetMathLibrary.prototype.Vector_IsUnit; } catch (e) {};
+try { KismetMathLibrary.IsUnit = KismetMathLibrary.Vector_IsUnit; } catch (e) {};
+try { KismetMathLibrary.prototype.IsUniform = KismetMathLibrary.prototype.Vector_IsUniform; } catch (e) {};
+try { KismetMathLibrary.IsUniform = KismetMathLibrary.Vector_IsUniform; } catch (e) {};
+try { KismetMathLibrary.prototype.IsNormal = KismetMathLibrary.prototype.Vector_IsNormal; } catch (e) {};
+try { KismetMathLibrary.IsNormal = KismetMathLibrary.Vector_IsNormal; } catch (e) {};
+try { KismetMathLibrary.prototype.DistanceSquared = KismetMathLibrary.prototype.Vector_DistanceSquared; } catch (e) {};
+try { KismetMathLibrary.DistanceSquared = KismetMathLibrary.Vector_DistanceSquared; } catch (e) {};
+try { KismetMathLibrary.prototype.Distance2DSquared = KismetMathLibrary.prototype.Vector_Distance2DSquared; } catch (e) {};
+try { KismetMathLibrary.Distance2DSquared = KismetMathLibrary.Vector_Distance2DSquared; } catch (e) {};
+try { KismetMathLibrary.prototype.Distance2D = KismetMathLibrary.prototype.Vector_Distance2D; } catch (e) {};
+try { KismetMathLibrary.Distance2D = KismetMathLibrary.Vector_Distance2D; } catch (e) {};
+try { KismetMathLibrary.prototype.Distance = KismetMathLibrary.prototype.Vector_Distance; } catch (e) {};
+try { KismetMathLibrary.Distance = KismetMathLibrary.Vector_Distance; } catch (e) {};
+try { KismetMathLibrary.prototype.LengthXYZSquared = KismetMathLibrary.prototype.Vector4_SizeSquared3; } catch (e) {};
+try { KismetMathLibrary.LengthXYZSquared = KismetMathLibrary.Vector4_SizeSquared3; } catch (e) {};
+try { KismetMathLibrary.prototype.LengthSquared = KismetMathLibrary.prototype.Vector4_SizeSquared; } catch (e) {};
+try { KismetMathLibrary.LengthSquared = KismetMathLibrary.Vector4_SizeSquared; } catch (e) {};
+try { KismetMathLibrary.prototype.LengthXYZ = KismetMathLibrary.prototype.Vector4_Size3; } catch (e) {};
+try { KismetMathLibrary.LengthXYZ = KismetMathLibrary.Vector4_Size3; } catch (e) {};
+try { KismetMathLibrary.prototype.Length = KismetMathLibrary.prototype.Vector4_Size; } catch (e) {};
+try { KismetMathLibrary.Length = KismetMathLibrary.Vector4_Size; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalunsafeXYZ = KismetMathLibrary.prototype.Vector4_NormalUnsafe3; } catch (e) {};
+try { KismetMathLibrary.NormalunsafeXYZ = KismetMathLibrary.Vector4_NormalUnsafe3; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalizeInPlaceXYZ = KismetMathLibrary.prototype.Vector4_Normalize3; } catch (e) {};
+try { KismetMathLibrary.NormalizeInPlaceXYZ = KismetMathLibrary.Vector4_Normalize3; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalizeXYZ = KismetMathLibrary.prototype.Vector4_Normal3; } catch (e) {};
+try { KismetMathLibrary.NormalizeXYZ = KismetMathLibrary.Vector4_Normal3; } catch (e) {};
+try { KismetMathLibrary.prototype.Negated = KismetMathLibrary.prototype.Vector4_Negated; } catch (e) {};
+try { KismetMathLibrary.Negated = KismetMathLibrary.Vector4_Negated; } catch (e) {};
+try { KismetMathLibrary.prototype.IsUnitXYZ = KismetMathLibrary.prototype.Vector4_IsUnit3; } catch (e) {};
+try { KismetMathLibrary.IsUnitXYZ = KismetMathLibrary.Vector4_IsUnit3; } catch (e) {};
+try { KismetMathLibrary.prototype.IsNormalXYZ = KismetMathLibrary.prototype.Vector4_IsNormal3; } catch (e) {};
+try { KismetMathLibrary.IsNormalXYZ = KismetMathLibrary.Vector4_IsNormal3; } catch (e) {};
+try { KismetMathLibrary.prototype.DotProductXYZ = KismetMathLibrary.prototype.Vector4_DotProduct3; } catch (e) {};
+try { KismetMathLibrary.DotProductXYZ = KismetMathLibrary.Vector4_DotProduct3; } catch (e) {};
+try { KismetMathLibrary.prototype.DotProduct = KismetMathLibrary.prototype.Vector4_DotProduct; } catch (e) {};
+try { KismetMathLibrary.DotProduct = KismetMathLibrary.Vector4_DotProduct; } catch (e) {};
+try { KismetMathLibrary.prototype.CrossProductXYZ = KismetMathLibrary.prototype.Vector4_CrossProduct3; } catch (e) {};
+try { KismetMathLibrary.CrossProductXYZ = KismetMathLibrary.Vector4_CrossProduct3; } catch (e) {};
 try { KismetMathLibrary.prototype.Ease = KismetMathLibrary.prototype.VEase; } catch (e) {};
 try { KismetMathLibrary.Ease = KismetMathLibrary.VEase; } catch (e) {};
+try { KismetMathLibrary.prototype.Determinant = KismetMathLibrary.prototype.Transform_Determinant; } catch (e) {};
+try { KismetMathLibrary.Determinant = KismetMathLibrary.Transform_Determinant; } catch (e) {};
+try { KismetMathLibrary.prototype.Tosign = KismetMathLibrary.prototype.ToSign2D; } catch (e) {};
+try { KismetMathLibrary.Tosign = KismetMathLibrary.ToSign2D; } catch (e) {};
+try { KismetMathLibrary.prototype.ToRounded = KismetMathLibrary.prototype.ToRounded2D; } catch (e) {};
+try { KismetMathLibrary.ToRounded = KismetMathLibrary.ToRounded2D; } catch (e) {};
+try { KismetMathLibrary.prototype.ToDirectionAndLength = KismetMathLibrary.prototype.ToDirectionAndLength2D; } catch (e) {};
+try { KismetMathLibrary.ToDirectionAndLength = KismetMathLibrary.ToDirectionAndLength2D; } catch (e) {};
 try { KismetMathLibrary.prototype.Lerp = KismetMathLibrary.prototype.TLerp; } catch (e) {};
 try { KismetMathLibrary.Lerp = KismetMathLibrary.TLerp; } catch (e) {};
 try { KismetMathLibrary.prototype.ZeroValue = KismetMathLibrary.prototype.TimespanZeroValue; } catch (e) {};
@@ -742,34 +1082,110 @@ try { KismetMathLibrary.prototype.MaxValue = KismetMathLibrary.prototype.Timespa
 try { KismetMathLibrary.MaxValue = KismetMathLibrary.TimespanMaxValue; } catch (e) {};
 try { KismetMathLibrary.prototype.Ease = KismetMathLibrary.prototype.TEase; } catch (e) {};
 try { KismetMathLibrary.Ease = KismetMathLibrary.TEase; } catch (e) {};
+try { KismetMathLibrary.prototype.Sign = KismetMathLibrary.prototype.SignOfInteger64; } catch (e) {};
+try { KismetMathLibrary.Sign = KismetMathLibrary.SignOfInteger64; } catch (e) {};
 try { KismetMathLibrary.prototype.Sign = KismetMathLibrary.prototype.SignOfInteger; } catch (e) {};
 try { KismetMathLibrary.Sign = KismetMathLibrary.SignOfInteger; } catch (e) {};
 try { KismetMathLibrary.prototype.Sign = KismetMathLibrary.prototype.SignOfFloat; } catch (e) {};
 try { KismetMathLibrary.Sign = KismetMathLibrary.SignOfFloat; } catch (e) {};
+try { KismetMathLibrary.prototype.RoundtoInt64 = KismetMathLibrary.prototype.Round64; } catch (e) {};
+try { KismetMathLibrary.RoundtoInt64 = KismetMathLibrary.Round64; } catch (e) {};
 try { KismetMathLibrary.prototype.RotateVectorAroundAxis = KismetMathLibrary.prototype.RotateAngleAxis; } catch (e) {};
 try { KismetMathLibrary.RotateVectorAroundAxis = KismetMathLibrary.RotateAngleAxis; } catch (e) {};
 try { KismetMathLibrary.prototype.Lerp = KismetMathLibrary.prototype.RLerp; } catch (e) {};
 try { KismetMathLibrary.Lerp = KismetMathLibrary.RLerp; } catch (e) {};
 try { KismetMathLibrary.prototype.RGBtoHSV = KismetMathLibrary.prototype.RGBToHSV_Vector; } catch (e) {};
 try { KismetMathLibrary.RGBtoHSV = KismetMathLibrary.RGBToHSV_Vector; } catch (e) {};
+try { KismetMathLibrary.prototype.RGBtoHSVlinearcolor = KismetMathLibrary.prototype.RGBLinearToHSV; } catch (e) {};
+try { KismetMathLibrary.RGBtoHSVlinearcolor = KismetMathLibrary.RGBLinearToHSV; } catch (e) {};
 try { KismetMathLibrary.prototype.Ease = KismetMathLibrary.prototype.REase; } catch (e) {};
 try { KismetMathLibrary.Ease = KismetMathLibrary.REase; } catch (e) {};
+try { KismetMathLibrary.prototype.VectorUp = KismetMathLibrary.prototype.Quat_VectorUp; } catch (e) {};
+try { KismetMathLibrary.VectorUp = KismetMathLibrary.Quat_VectorUp; } catch (e) {};
+try { KismetMathLibrary.prototype.VectorRight = KismetMathLibrary.prototype.Quat_VectorRight; } catch (e) {};
+try { KismetMathLibrary.VectorRight = KismetMathLibrary.Quat_VectorRight; } catch (e) {};
+try { KismetMathLibrary.prototype.VectorForward = KismetMathLibrary.prototype.Quat_VectorForward; } catch (e) {};
+try { KismetMathLibrary.VectorForward = KismetMathLibrary.Quat_VectorForward; } catch (e) {};
+try { KismetMathLibrary.prototype.UnrotateVector = KismetMathLibrary.prototype.Quat_UnrotateVector; } catch (e) {};
+try { KismetMathLibrary.UnrotateVector = KismetMathLibrary.Quat_UnrotateVector; } catch (e) {};
+try { KismetMathLibrary.prototype.SizeSquared = KismetMathLibrary.prototype.Quat_SizeSquared; } catch (e) {};
+try { KismetMathLibrary.SizeSquared = KismetMathLibrary.Quat_SizeSquared; } catch (e) {};
+try { KismetMathLibrary.prototype.Size = KismetMathLibrary.prototype.Quat_Size; } catch (e) {};
+try { KismetMathLibrary.Size = KismetMathLibrary.Quat_Size; } catch (e) {};
+try { KismetMathLibrary.prototype.SetfromEuler = KismetMathLibrary.prototype.Quat_SetFromEuler; } catch (e) {};
+try { KismetMathLibrary.SetfromEuler = KismetMathLibrary.Quat_SetFromEuler; } catch (e) {};
+try { KismetMathLibrary.prototype.SetComponents = KismetMathLibrary.prototype.Quat_SetComponents; } catch (e) {};
+try { KismetMathLibrary.SetComponents = KismetMathLibrary.Quat_SetComponents; } catch (e) {};
+try { KismetMathLibrary.prototype.ToRotator = KismetMathLibrary.prototype.Quat_Rotator; } catch (e) {};
+try { KismetMathLibrary.ToRotator = KismetMathLibrary.Quat_Rotator; } catch (e) {};
+try { KismetMathLibrary.prototype.RotateVector = KismetMathLibrary.prototype.Quat_RotateVector; } catch (e) {};
+try { KismetMathLibrary.RotateVector = KismetMathLibrary.Quat_RotateVector; } catch (e) {};
+try { KismetMathLibrary.prototype.Normalized = KismetMathLibrary.prototype.Quat_Normalized; } catch (e) {};
+try { KismetMathLibrary.Normalized = KismetMathLibrary.Quat_Normalized; } catch (e) {};
+try { KismetMathLibrary.prototype.Normalize = KismetMathLibrary.prototype.Quat_Normalize; } catch (e) {};
+try { KismetMathLibrary.Normalize = KismetMathLibrary.Quat_Normalize; } catch (e) {};
+try { KismetMathLibrary.prototype.MakefromEuler = KismetMathLibrary.prototype.Quat_MakeFromEuler; } catch (e) {};
+try { KismetMathLibrary.MakefromEuler = KismetMathLibrary.Quat_MakeFromEuler; } catch (e) {};
+try { KismetMathLibrary.prototype.Log = KismetMathLibrary.prototype.Quat_Log; } catch (e) {};
+try { KismetMathLibrary.Log = KismetMathLibrary.Quat_Log; } catch (e) {};
+try { KismetMathLibrary.prototype.IsNormalized = KismetMathLibrary.prototype.Quat_IsNormalized; } catch (e) {};
+try { KismetMathLibrary.IsNormalized = KismetMathLibrary.Quat_IsNormalized; } catch (e) {};
+try { KismetMathLibrary.prototype.IsIdentity = KismetMathLibrary.prototype.Quat_IsIdentity; } catch (e) {};
+try { KismetMathLibrary.IsIdentity = KismetMathLibrary.Quat_IsIdentity; } catch (e) {};
+try { KismetMathLibrary.prototype.IsFinite = KismetMathLibrary.prototype.Quat_IsFinite; } catch (e) {};
+try { KismetMathLibrary.IsFinite = KismetMathLibrary.Quat_IsFinite; } catch (e) {};
+try { KismetMathLibrary.prototype.Inversed = KismetMathLibrary.prototype.Quat_Inversed; } catch (e) {};
+try { KismetMathLibrary.Inversed = KismetMathLibrary.Quat_Inversed; } catch (e) {};
+try { KismetMathLibrary.prototype.RotationAxis = KismetMathLibrary.prototype.Quat_GetRotationAxis; } catch (e) {};
+try { KismetMathLibrary.RotationAxis = KismetMathLibrary.Quat_GetRotationAxis; } catch (e) {};
+try { KismetMathLibrary.prototype.AxisZ = KismetMathLibrary.prototype.Quat_GetAxisZ; } catch (e) {};
+try { KismetMathLibrary.AxisZ = KismetMathLibrary.Quat_GetAxisZ; } catch (e) {};
+try { KismetMathLibrary.prototype.AxisY = KismetMathLibrary.prototype.Quat_GetAxisY; } catch (e) {};
+try { KismetMathLibrary.AxisY = KismetMathLibrary.Quat_GetAxisY; } catch (e) {};
+try { KismetMathLibrary.prototype.AxisX = KismetMathLibrary.prototype.Quat_GetAxisX; } catch (e) {};
+try { KismetMathLibrary.AxisX = KismetMathLibrary.Quat_GetAxisX; } catch (e) {};
+try { KismetMathLibrary.prototype.Angle = KismetMathLibrary.prototype.Quat_GetAngle; } catch (e) {};
+try { KismetMathLibrary.Angle = KismetMathLibrary.Quat_GetAngle; } catch (e) {};
+try { KismetMathLibrary.prototype.Exp = KismetMathLibrary.prototype.Quat_Exp; } catch (e) {};
+try { KismetMathLibrary.Exp = KismetMathLibrary.Quat_Exp; } catch (e) {};
+try { KismetMathLibrary.prototype.Euler = KismetMathLibrary.prototype.Quat_Euler; } catch (e) {};
+try { KismetMathLibrary.Euler = KismetMathLibrary.Quat_Euler; } catch (e) {};
+try { KismetMathLibrary.prototype.Ensureshortestarcto = KismetMathLibrary.prototype.Quat_EnforceShortestArcWith; } catch (e) {};
+try { KismetMathLibrary.Ensureshortestarcto = KismetMathLibrary.Quat_EnforceShortestArcWith; } catch (e) {};
+try { KismetMathLibrary.prototype.AngularDistance = KismetMathLibrary.prototype.Quat_AngularDistance; } catch (e) {};
+try { KismetMathLibrary.AngularDistance = KismetMathLibrary.Quat_AngularDistance; } catch (e) {};
 try { KismetMathLibrary.prototype.BitwiseOR = KismetMathLibrary.prototype.Or_IntInt; } catch (e) {};
 try { KismetMathLibrary.BitwiseOR = KismetMathLibrary.Or_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.BitwiseOR = KismetMathLibrary.prototype.Or_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.BitwiseOR = KismetMathLibrary.Or_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqualExactly = KismetMathLibrary.prototype.NotEqualExactly_VectorVector; } catch (e) {};
+try { KismetMathLibrary.NotEqualExactly = KismetMathLibrary.NotEqualExactly_VectorVector; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqualExactly = KismetMathLibrary.prototype.NotEqualExactly_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.NotEqualExactly = KismetMathLibrary.NotEqualExactly_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqualExactly = KismetMathLibrary.prototype.NotEqualExactly_Vector2DVector2D; } catch (e) {};
+try { KismetMathLibrary.NotEqualExactly = KismetMathLibrary.NotEqualExactly_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_VectorVector; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_VectorVector; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_Vector4Vector4; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_TimespanTimespan; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_TimespanTimespan; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_RotatorRotator; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_RotatorRotator; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_QuatQuat; } catch (e) {};
+try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_QuatQuat; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_ObjectObject; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_ObjectObject; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_NameName; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_NameName; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_LinearColorLinearColor; } catch (e) {};
+try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_LinearColorLinearColor; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_IntInt; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_Int64Int64; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_FloatFloat; } catch (e) {};
 try { KismetMathLibrary.NotEqual = KismetMathLibrary.NotEqual_FloatFloat; } catch (e) {};
 try { KismetMathLibrary.prototype.NotEqual = KismetMathLibrary.prototype.NotEqual_DateTimeDateTime; } catch (e) {};
@@ -782,10 +1198,16 @@ try { KismetMathLibrary.prototype.NotEqualBoolean = KismetMathLibrary.prototype.
 try { KismetMathLibrary.NotEqualBoolean = KismetMathLibrary.NotEqual_BoolBool; } catch (e) {};
 try { KismetMathLibrary.prototype.NOTBoolean = KismetMathLibrary.prototype.Not_PreBool; } catch (e) {};
 try { KismetMathLibrary.NOTBoolean = KismetMathLibrary.Not_PreBool; } catch (e) {};
+try { KismetMathLibrary.prototype.BitwiseNOT = KismetMathLibrary.prototype.Not_Int64; } catch (e) {};
+try { KismetMathLibrary.BitwiseNOT = KismetMathLibrary.Not_Int64; } catch (e) {};
 try { KismetMathLibrary.prototype.BitwiseNOT = KismetMathLibrary.prototype.Not_Int; } catch (e) {};
 try { KismetMathLibrary.BitwiseNOT = KismetMathLibrary.Not_Int; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalSafe = KismetMathLibrary.prototype.NormalSafe2D; } catch (e) {};
+try { KismetMathLibrary.NormalSafe = KismetMathLibrary.NormalSafe2D; } catch (e) {};
 try { KismetMathLibrary.prototype.Delta = KismetMathLibrary.prototype.NormalizedDeltaRotator; } catch (e) {};
 try { KismetMathLibrary.Delta = KismetMathLibrary.NormalizedDeltaRotator; } catch (e) {};
+try { KismetMathLibrary.prototype.NormalizeInPlace = KismetMathLibrary.prototype.Normalize2D; } catch (e) {};
+try { KismetMathLibrary.NormalizeInPlace = KismetMathLibrary.Normalize2D; } catch (e) {};
 try { KismetMathLibrary.prototype.Normalize2D = KismetMathLibrary.prototype.Normal2D; } catch (e) {};
 try { KismetMathLibrary.Normalize2D = KismetMathLibrary.Normal2D; } catch (e) {};
 try { KismetMathLibrary.prototype.Normalize = KismetMathLibrary.prototype.Normal; } catch (e) {};
@@ -802,28 +1224,56 @@ try { KismetMathLibrary.prototype.ScaleRotator = KismetMathLibrary.prototype.Mul
 try { KismetMathLibrary.ScaleRotator = KismetMathLibrary.Multiply_RotatorInt; } catch (e) {};
 try { KismetMathLibrary.prototype.ScaleRotator = KismetMathLibrary.prototype.Multiply_RotatorFloat; } catch (e) {};
 try { KismetMathLibrary.ScaleRotator = KismetMathLibrary.Multiply_RotatorFloat; } catch (e) {};
+try { KismetMathLibrary.prototype.Min = KismetMathLibrary.prototype.MinInt64; } catch (e) {};
+try { KismetMathLibrary.Min = KismetMathLibrary.MinInt64; } catch (e) {};
+try { KismetMathLibrary.prototype.Max = KismetMathLibrary.prototype.MaxInt64; } catch (e) {};
+try { KismetMathLibrary.Max = KismetMathLibrary.MaxInt64; } catch (e) {};
+try { KismetMathLibrary.prototype.GetOrigin = KismetMathLibrary.prototype.Matrix_GetOrigin; } catch (e) {};
+try { KismetMathLibrary.GetOrigin = KismetMathLibrary.Matrix_GetOrigin; } catch (e) {};
 try { KismetMathLibrary.prototype.LinePlaneIntersection = KismetMathLibrary.prototype.LinePlaneIntersection_OriginNormal; } catch (e) {};
 try { KismetMathLibrary.LinePlaneIntersection = KismetMathLibrary.LinePlaneIntersection_OriginNormal; } catch (e) {};
 try { KismetMathLibrary.prototype.LerpUsingHSV = KismetMathLibrary.prototype.LinearColorLerpUsingHSV; } catch (e) {};
 try { KismetMathLibrary.LerpUsingHSV = KismetMathLibrary.LinearColorLerpUsingHSV; } catch (e) {};
 try { KismetMathLibrary.prototype.Lerp = KismetMathLibrary.prototype.LinearColorLerp; } catch (e) {};
 try { KismetMathLibrary.Lerp = KismetMathLibrary.LinearColorLerp; } catch (e) {};
+try { KismetMathLibrary.prototype.ToRGBE = KismetMathLibrary.prototype.LinearColor_ToRGBE; } catch (e) {};
+try { KismetMathLibrary.ToRGBE = KismetMathLibrary.LinearColor_ToRGBE; } catch (e) {};
+try { KismetMathLibrary.prototype.NewOpacity = KismetMathLibrary.prototype.LinearColor_ToNewOpacity; } catch (e) {};
+try { KismetMathLibrary.NewOpacity = KismetMathLibrary.LinearColor_ToNewOpacity; } catch (e) {};
+try { KismetMathLibrary.prototype.NearEqual = KismetMathLibrary.prototype.LinearColor_IsNearEqual; } catch (e) {};
+try { KismetMathLibrary.NearEqual = KismetMathLibrary.LinearColor_IsNearEqual; } catch (e) {};
+try { KismetMathLibrary.prototype.Min = KismetMathLibrary.prototype.LinearColor_GetMin; } catch (e) {};
+try { KismetMathLibrary.Min = KismetMathLibrary.LinearColor_GetMin; } catch (e) {};
+try { KismetMathLibrary.prototype.Max = KismetMathLibrary.prototype.LinearColor_GetMax; } catch (e) {};
+try { KismetMathLibrary.Max = KismetMathLibrary.LinearColor_GetMax; } catch (e) {};
+try { KismetMathLibrary.prototype.Luminance = KismetMathLibrary.prototype.LinearColor_GetLuminance; } catch (e) {};
+try { KismetMathLibrary.Luminance = KismetMathLibrary.LinearColor_GetLuminance; } catch (e) {};
+try { KismetMathLibrary.prototype.Distance = KismetMathLibrary.prototype.LinearColor_Distance; } catch (e) {};
+try { KismetMathLibrary.Distance = KismetMathLibrary.LinearColor_Distance; } catch (e) {};
+try { KismetMathLibrary.prototype.Desaturate = KismetMathLibrary.prototype.LinearColor_Desaturated; } catch (e) {};
+try { KismetMathLibrary.Desaturate = KismetMathLibrary.LinearColor_Desaturated; } catch (e) {};
 try { KismetMathLibrary.prototype.UnrotateVector = KismetMathLibrary.prototype.LessLess_VectorRotator; } catch (e) {};
 try { KismetMathLibrary.UnrotateVector = KismetMathLibrary.LessLess_VectorRotator; } catch (e) {};
 try { KismetMathLibrary.prototype.InRange = KismetMathLibrary.prototype.InRange_IntInt; } catch (e) {};
 try { KismetMathLibrary.InRange = KismetMathLibrary.InRange_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.InRange = KismetMathLibrary.prototype.InRange_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.InRange = KismetMathLibrary.InRange_Int64Int64; } catch (e) {};
 try { KismetMathLibrary.prototype.InRange = KismetMathLibrary.prototype.InRange_FloatFloat; } catch (e) {};
 try { KismetMathLibrary.InRange = KismetMathLibrary.InRange_FloatFloat; } catch (e) {};
+try { KismetMathLibrary.prototype.HSVtoRGBlinearcolor = KismetMathLibrary.prototype.HSVToRGBLinear; } catch (e) {};
+try { KismetMathLibrary.HSVtoRGBlinearcolor = KismetMathLibrary.HSVToRGBLinear; } catch (e) {};
 try { KismetMathLibrary.prototype.HSVtoRGB = KismetMathLibrary.prototype.HSVToRGB_Vector; } catch (e) {};
 try { KismetMathLibrary.HSVtoRGB = KismetMathLibrary.HSVToRGB_Vector; } catch (e) {};
 try { KismetMathLibrary.prototype.Snaptogrid = KismetMathLibrary.prototype.GridSnap_Float; } catch (e) {};
 try { KismetMathLibrary.Snaptogrid = KismetMathLibrary.GridSnap_Float; } catch (e) {};
 try { KismetMathLibrary.prototype.RotateVector = KismetMathLibrary.prototype.GreaterGreater_VectorRotator; } catch (e) {};
 try { KismetMathLibrary.RotateVector = KismetMathLibrary.GreaterGreater_VectorRotator; } catch (e) {};
-try { KismetMathLibrary.prototype.GetUnitDirectionVector = KismetMathLibrary.prototype.GetDirectionUnitVector; } catch (e) {};
-try { KismetMathLibrary.GetUnitDirectionVector = KismetMathLibrary.GetDirectionUnitVector; } catch (e) {};
-try { KismetMathLibrary.prototype.TruncateVector = KismetMathLibrary.prototype.FTruncVector; } catch (e) {};
-try { KismetMathLibrary.TruncateVector = KismetMathLibrary.FTruncVector; } catch (e) {};
+try { KismetMathLibrary.prototype.GetUnitDirection = KismetMathLibrary.prototype.GetDirectionUnitVector; } catch (e) {};
+try { KismetMathLibrary.GetUnitDirection = KismetMathLibrary.GetDirectionUnitVector; } catch (e) {};
+try { KismetMathLibrary.prototype.Truncate = KismetMathLibrary.prototype.FTruncVector; } catch (e) {};
+try { KismetMathLibrary.Truncate = KismetMathLibrary.FTruncVector; } catch (e) {};
+try { KismetMathLibrary.prototype.TruncatetoInt64 = KismetMathLibrary.prototype.FTrunc64; } catch (e) {};
+try { KismetMathLibrary.TruncatetoInt64 = KismetMathLibrary.FTrunc64; } catch (e) {};
 try { KismetMathLibrary.prototype.Truncate = KismetMathLibrary.prototype.FTrunc; } catch (e) {};
 try { KismetMathLibrary.Truncate = KismetMathLibrary.FTrunc; } catch (e) {};
 try { KismetMathLibrary.prototype.Division = KismetMathLibrary.prototype.FMod; } catch (e) {};
@@ -832,12 +1282,24 @@ try { KismetMathLibrary.prototype.Min = KismetMathLibrary.prototype.FMin; } catc
 try { KismetMathLibrary.Min = KismetMathLibrary.FMin; } catch (e) {};
 try { KismetMathLibrary.prototype.Max = KismetMathLibrary.prototype.FMax; } catch (e) {};
 try { KismetMathLibrary.Max = KismetMathLibrary.FMax; } catch (e) {};
+try { KismetMathLibrary.prototype.FloortoInt64 = KismetMathLibrary.prototype.FFloor64; } catch (e) {};
+try { KismetMathLibrary.FloortoInt64 = KismetMathLibrary.FFloor64; } catch (e) {};
 try { KismetMathLibrary.prototype.Floor = KismetMathLibrary.prototype.FFloor; } catch (e) {};
 try { KismetMathLibrary.Floor = KismetMathLibrary.FFloor; } catch (e) {};
 try { KismetMathLibrary.prototype.Clamp = KismetMathLibrary.prototype.FClamp; } catch (e) {};
 try { KismetMathLibrary.Clamp = KismetMathLibrary.FClamp; } catch (e) {};
+try { KismetMathLibrary.prototype.FloortoInt64 = KismetMathLibrary.prototype.FCeil64; } catch (e) {};
+try { KismetMathLibrary.FloortoInt64 = KismetMathLibrary.FCeil64; } catch (e) {};
+try { KismetMathLibrary.prototype.EqualExactly = KismetMathLibrary.prototype.EqualExactly_VectorVector; } catch (e) {};
+try { KismetMathLibrary.EqualExactly = KismetMathLibrary.EqualExactly_VectorVector; } catch (e) {};
+try { KismetMathLibrary.prototype.EqualExactly = KismetMathLibrary.prototype.EqualExactly_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.EqualExactly = KismetMathLibrary.EqualExactly_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.prototype.EqualExactly = KismetMathLibrary.prototype.EqualExactly_Vector2DVector2D; } catch (e) {};
+try { KismetMathLibrary.EqualExactly = KismetMathLibrary.EqualExactly_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_VectorVector; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_VectorVector; } catch (e) {};
+try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_Vector4Vector4; } catch (e) {};
+try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_Vector4Vector4; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_Vector2DVector2D; } catch (e) {};
 try { KismetMathLibrary.prototype.EqualTransform = KismetMathLibrary.prototype.EqualEqual_TransformTransform; } catch (e) {};
@@ -846,12 +1308,18 @@ try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_TimespanTimespan; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_RotatorRotator; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_RotatorRotator; } catch (e) {};
+try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_QuatQuat; } catch (e) {};
+try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_QuatQuat; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_ObjectObject; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_ObjectObject; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_NameName; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_NameName; } catch (e) {};
+try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_LinearColorLinearColor; } catch (e) {};
+try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_LinearColorLinearColor; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_IntInt; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_Int64Int64; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_FloatFloat; } catch (e) {};
 try { KismetMathLibrary.Equal = KismetMathLibrary.EqualEqual_FloatFloat; } catch (e) {};
 try { KismetMathLibrary.prototype.Equal = KismetMathLibrary.prototype.EqualEqual_DateTimeDateTime; } catch (e) {};
@@ -894,12 +1362,28 @@ try { KismetMathLibrary.prototype.ToTransform = KismetMathLibrary.prototype.Conv
 try { KismetMathLibrary.ToTransform = KismetMathLibrary.Conv_VectorToTransform; } catch (e) {};
 try { KismetMathLibrary.prototype.RotationFromXVector = KismetMathLibrary.prototype.Conv_VectorToRotator; } catch (e) {};
 try { KismetMathLibrary.RotationFromXVector = KismetMathLibrary.Conv_VectorToRotator; } catch (e) {};
+try { KismetMathLibrary.prototype.ToQuaterion = KismetMathLibrary.prototype.Conv_VectorToQuaterion; } catch (e) {};
+try { KismetMathLibrary.ToQuaterion = KismetMathLibrary.Conv_VectorToQuaterion; } catch (e) {};
 try { KismetMathLibrary.prototype.ToLinearColor = KismetMathLibrary.prototype.Conv_VectorToLinearColor; } catch (e) {};
 try { KismetMathLibrary.ToLinearColor = KismetMathLibrary.Conv_VectorToLinearColor; } catch (e) {};
+try { KismetMathLibrary.prototype.ToVector = KismetMathLibrary.prototype.Conv_Vector4ToVector; } catch (e) {};
+try { KismetMathLibrary.ToVector = KismetMathLibrary.Conv_Vector4ToVector; } catch (e) {};
+try { KismetMathLibrary.prototype.ToRotation = KismetMathLibrary.prototype.Conv_Vector4ToRotator; } catch (e) {};
+try { KismetMathLibrary.ToRotation = KismetMathLibrary.Conv_Vector4ToRotator; } catch (e) {};
+try { KismetMathLibrary.prototype.ToQuaterion = KismetMathLibrary.prototype.Conv_Vector4ToQuaterion; } catch (e) {};
+try { KismetMathLibrary.ToQuaterion = KismetMathLibrary.Conv_Vector4ToQuaterion; } catch (e) {};
 try { KismetMathLibrary.prototype.ToVector = KismetMathLibrary.prototype.Conv_Vector2DToVector; } catch (e) {};
 try { KismetMathLibrary.ToVector = KismetMathLibrary.Conv_Vector2DToVector; } catch (e) {};
+try { KismetMathLibrary.prototype.ToIntPoint = KismetMathLibrary.prototype.Conv_Vector2DToIntPoint; } catch (e) {};
+try { KismetMathLibrary.ToIntPoint = KismetMathLibrary.Conv_Vector2DToIntPoint; } catch (e) {};
 try { KismetMathLibrary.prototype.GetRotationXVector = KismetMathLibrary.prototype.Conv_RotatorToVector; } catch (e) {};
 try { KismetMathLibrary.GetRotationXVector = KismetMathLibrary.Conv_RotatorToVector; } catch (e) {};
+try { KismetMathLibrary.prototype.ToTransform = KismetMathLibrary.prototype.Conv_RotatorToTransform; } catch (e) {};
+try { KismetMathLibrary.ToTransform = KismetMathLibrary.Conv_RotatorToTransform; } catch (e) {};
+try { KismetMathLibrary.prototype.ToTransform = KismetMathLibrary.prototype.Conv_MatrixToTransform; } catch (e) {};
+try { KismetMathLibrary.ToTransform = KismetMathLibrary.Conv_MatrixToTransform; } catch (e) {};
+try { KismetMathLibrary.prototype.ToRotator = KismetMathLibrary.prototype.Conv_MatrixToRotator; } catch (e) {};
+try { KismetMathLibrary.ToRotator = KismetMathLibrary.Conv_MatrixToRotator; } catch (e) {};
 try { KismetMathLibrary.prototype.ToVector = KismetMathLibrary.prototype.Conv_LinearColorToVector; } catch (e) {};
 try { KismetMathLibrary.ToVector = KismetMathLibrary.Conv_LinearColorToVector; } catch (e) {};
 try { KismetMathLibrary.prototype.ToColor = KismetMathLibrary.prototype.Conv_LinearColorToColor; } catch (e) {};
@@ -908,6 +1392,8 @@ try { KismetMathLibrary.prototype.ToVector = KismetMathLibrary.prototype.Conv_In
 try { KismetMathLibrary.ToVector = KismetMathLibrary.Conv_IntVectorToVector; } catch (e) {};
 try { KismetMathLibrary.prototype.ToIntVector = KismetMathLibrary.prototype.Conv_IntToIntVector; } catch (e) {};
 try { KismetMathLibrary.ToIntVector = KismetMathLibrary.Conv_IntToIntVector; } catch (e) {};
+try { KismetMathLibrary.prototype.ToInt64 = KismetMathLibrary.prototype.Conv_IntToInt64; } catch (e) {};
+try { KismetMathLibrary.ToInt64 = KismetMathLibrary.Conv_IntToInt64; } catch (e) {};
 try { KismetMathLibrary.prototype.ToFloat = KismetMathLibrary.prototype.Conv_IntToFloat; } catch (e) {};
 try { KismetMathLibrary.ToFloat = KismetMathLibrary.Conv_IntToFloat; } catch (e) {};
 try { KismetMathLibrary.prototype.ToByte = KismetMathLibrary.prototype.Conv_IntToByte; } catch (e) {};
@@ -932,6 +1418,10 @@ try { KismetMathLibrary.prototype.ToByte = KismetMathLibrary.prototype.Conv_Bool
 try { KismetMathLibrary.ToByte = KismetMathLibrary.Conv_BoolToByte; } catch (e) {};
 try { KismetMathLibrary.prototype.CombineRotators = KismetMathLibrary.prototype.ComposeRotators; } catch (e) {};
 try { KismetMathLibrary.CombineRotators = KismetMathLibrary.ComposeRotators; } catch (e) {};
+try { KismetMathLibrary.prototype.Clamp = KismetMathLibrary.prototype.ClampInt64; } catch (e) {};
+try { KismetMathLibrary.Clamp = KismetMathLibrary.ClampInt64; } catch (e) {};
+try { KismetMathLibrary.prototype.Interpolate = KismetMathLibrary.prototype.CInterpTo; } catch (e) {};
+try { KismetMathLibrary.Interpolate = KismetMathLibrary.CInterpTo; } catch (e) {};
 try { KismetMathLibrary.prototype.XORBoolean = KismetMathLibrary.prototype.BooleanXOR; } catch (e) {};
 try { KismetMathLibrary.XORBoolean = KismetMathLibrary.BooleanXOR; } catch (e) {};
 try { KismetMathLibrary.prototype.ORBoolean = KismetMathLibrary.prototype.BooleanOR; } catch (e) {};
@@ -948,27 +1438,31 @@ try { KismetMathLibrary.prototype.Max = KismetMathLibrary.prototype.BMax; } catc
 try { KismetMathLibrary.Max = KismetMathLibrary.BMax; } catch (e) {};
 try { KismetMathLibrary.prototype.BitwiseAND = KismetMathLibrary.prototype.And_IntInt; } catch (e) {};
 try { KismetMathLibrary.BitwiseAND = KismetMathLibrary.And_IntInt; } catch (e) {};
+try { KismetMathLibrary.prototype.BitwiseAND = KismetMathLibrary.prototype.And_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.BitwiseAND = KismetMathLibrary.And_Int64Int64; } catch (e) {};
+try { KismetMathLibrary.prototype.Absolute = KismetMathLibrary.prototype.Abs_Int64; } catch (e) {};
+try { KismetMathLibrary.Absolute = KismetMathLibrary.Abs_Int64; } catch (e) {};
 try { KismetMathLibrary.prototype.Absolute = KismetMathLibrary.prototype.Abs_Int; } catch (e) {};
 try { KismetMathLibrary.Absolute = KismetMathLibrary.Abs_Int; } catch (e) {};
 try { KismetMathLibrary.prototype.Absolute = KismetMathLibrary.prototype.Abs; } catch (e) {};
 try { KismetMathLibrary.Absolute = KismetMathLibrary.Abs; } catch (e) {};
-try { let fnprepatch_316 = KismetRenderingLibrary.prototype.RenderTargetCreateStaticTexture2DEditorOnly;KismetRenderingLibrary.prototype.RenderTargetCreateStaticTexture2DEditorOnly = function (RenderTarget, Name = "Texture", CompressionSettings = "TC_Default", MipSettings = "TMGS_FromTextureGroup") { return fnprepatch_316.call(this, RenderTarget, Name, CompressionSettings, MipSettings) }; } catch (e) {};
-try { let fnprepatch_317 = KismetRenderingLibrary.prototype.CreateRenderTarget2D;KismetRenderingLibrary.prototype.CreateRenderTarget2D = function (WorldContextObject, Width = 256, Height = 256, Format = "RTF_RGBA16f") { return fnprepatch_317.call(this, WorldContextObject, Width, Height, Format) }; } catch (e) {};
-try { let fnprepatch_318 = KismetRenderingLibrary.prototype.ClearRenderTarget2D;KismetRenderingLibrary.prototype.ClearRenderTarget2D = function (WorldContextObject, TextureRenderTarget, ClearColor = {"R":0,"G":0,"B":0,"A":1}) { return fnprepatch_318.call(this, WorldContextObject, TextureRenderTarget, ClearColor) }; } catch (e) {};
+try { let fnprepatch_426 = KismetRenderingLibrary.prototype.RenderTargetCreateStaticTexture2DEditorOnly;KismetRenderingLibrary.prototype.RenderTargetCreateStaticTexture2DEditorOnly = function (RenderTarget, Name = "Texture", CompressionSettings = "TC_Default", MipSettings = "TMGS_FromTextureGroup") { return fnprepatch_426.call(this, RenderTarget, Name, CompressionSettings, MipSettings) }; } catch (e) {};
+try { let fnprepatch_427 = KismetRenderingLibrary.prototype.CreateRenderTarget2D;KismetRenderingLibrary.prototype.CreateRenderTarget2D = function (WorldContextObject, Width = 256, Height = 256, Format = "RTF_RGBA16f") { return fnprepatch_427.call(this, WorldContextObject, Width, Height, Format) }; } catch (e) {};
+try { let fnprepatch_428 = KismetRenderingLibrary.prototype.ClearRenderTarget2D;KismetRenderingLibrary.prototype.ClearRenderTarget2D = function (WorldContextObject, TextureRenderTarget, ClearColor = {"R":0,"G":0,"B":0,"A":1}) { return fnprepatch_428.call(this, WorldContextObject, TextureRenderTarget, ClearColor) }; } catch (e) {};
 try { KismetRenderingLibrary.prototype.RenderTargetCreateStaticTextureEditorOnly = KismetRenderingLibrary.prototype.RenderTargetCreateStaticTexture2DEditorOnly; } catch (e) {};
 try { KismetRenderingLibrary.RenderTargetCreateStaticTextureEditorOnly = KismetRenderingLibrary.RenderTargetCreateStaticTexture2DEditorOnly; } catch (e) {};
-try { let fnprepatch_319 = KismetStringLibrary.prototype.StartsWith;KismetStringLibrary.prototype.StartsWith = function (SourceString, InPrefix, SearchCase = "IgnoreCase") { return fnprepatch_319.call(this, SourceString, InPrefix, SearchCase) }; } catch (e) {};
-try { let fnprepatch_320 = KismetStringLibrary.prototype.Split;KismetStringLibrary.prototype.Split = function (SourceString, InStr, LeftS, RightS, SearchCase = "IgnoreCase", SearchDir = "FromStart") { return fnprepatch_320.call(this, SourceString, InStr, LeftS, RightS, SearchCase, SearchDir) }; } catch (e) {};
-try { let fnprepatch_321 = KismetStringLibrary.prototype.ReplaceInline;KismetStringLibrary.prototype.ReplaceInline = function (SourceString, SearchText, ReplacementText, SearchCase = "IgnoreCase") { return fnprepatch_321.call(this, SourceString, SearchText, ReplacementText, SearchCase) }; } catch (e) {};
-try { let fnprepatch_322 = KismetStringLibrary.prototype.Replace;KismetStringLibrary.prototype.Replace = function (SourceString, From, To, SearchCase = "IgnoreCase") { return fnprepatch_322.call(this, SourceString, From, To, SearchCase) }; } catch (e) {};
-try { let fnprepatch_323 = KismetStringLibrary.prototype.ParseIntoArray;KismetStringLibrary.prototype.ParseIntoArray = function (SourceString, Delimiter = " ", CullEmptyStrings = true) { return fnprepatch_323.call(this, SourceString, Delimiter, CullEmptyStrings) }; } catch (e) {};
-try { let fnprepatch_324 = KismetStringLibrary.prototype.MatchesWildcard;KismetStringLibrary.prototype.MatchesWildcard = function (SourceString, Wildcard, SearchCase = "IgnoreCase") { return fnprepatch_324.call(this, SourceString, Wildcard, SearchCase) }; } catch (e) {};
-try { let fnprepatch_325 = KismetStringLibrary.prototype.JoinStringArray;KismetStringLibrary.prototype.JoinStringArray = function (SourceArray, Separator = " ") { return fnprepatch_325.call(this, SourceArray, Separator) }; } catch (e) {};
-try { let fnprepatch_326 = KismetStringLibrary.prototype.GetSubstring;KismetStringLibrary.prototype.GetSubstring = function (SourceString, StartIndex = 0, Length = 1) { return fnprepatch_326.call(this, SourceString, StartIndex, Length) }; } catch (e) {};
-try { let fnprepatch_327 = KismetStringLibrary.prototype.GetCharacterAsNumber;KismetStringLibrary.prototype.GetCharacterAsNumber = function (SourceString, Index = 0) { return fnprepatch_327.call(this, SourceString, Index) }; } catch (e) {};
-try { let fnprepatch_328 = KismetStringLibrary.prototype.FindSubstring;KismetStringLibrary.prototype.FindSubstring = function (SearchIn, Substring, bUseCase = false, bSearchFromEnd = false, StartPosition = -1) { return fnprepatch_328.call(this, SearchIn, Substring, bUseCase, bSearchFromEnd, StartPosition) }; } catch (e) {};
-try { let fnprepatch_329 = KismetStringLibrary.prototype.EndsWith;KismetStringLibrary.prototype.EndsWith = function (SourceString, InSuffix, SearchCase = "IgnoreCase") { return fnprepatch_329.call(this, SourceString, InSuffix, SearchCase) }; } catch (e) {};
-try { let fnprepatch_330 = KismetStringLibrary.prototype.Contains;KismetStringLibrary.prototype.Contains = function (SearchIn, Substring, bUseCase = false, bSearchFromEnd = false) { return fnprepatch_330.call(this, SearchIn, Substring, bUseCase, bSearchFromEnd) }; } catch (e) {};
+try { let fnprepatch_429 = KismetStringLibrary.prototype.StartsWith;KismetStringLibrary.prototype.StartsWith = function (SourceString, InPrefix, SearchCase = "IgnoreCase") { return fnprepatch_429.call(this, SourceString, InPrefix, SearchCase) }; } catch (e) {};
+try { let fnprepatch_430 = KismetStringLibrary.prototype.Split;KismetStringLibrary.prototype.Split = function (SourceString, InStr, LeftS, RightS, SearchCase = "IgnoreCase", SearchDir = "FromStart") { return fnprepatch_430.call(this, SourceString, InStr, LeftS, RightS, SearchCase, SearchDir) }; } catch (e) {};
+try { let fnprepatch_431 = KismetStringLibrary.prototype.ReplaceInline;KismetStringLibrary.prototype.ReplaceInline = function (SourceString, SearchText, ReplacementText, SearchCase = "IgnoreCase") { return fnprepatch_431.call(this, SourceString, SearchText, ReplacementText, SearchCase) }; } catch (e) {};
+try { let fnprepatch_432 = KismetStringLibrary.prototype.Replace;KismetStringLibrary.prototype.Replace = function (SourceString, From, To, SearchCase = "IgnoreCase") { return fnprepatch_432.call(this, SourceString, From, To, SearchCase) }; } catch (e) {};
+try { let fnprepatch_433 = KismetStringLibrary.prototype.ParseIntoArray;KismetStringLibrary.prototype.ParseIntoArray = function (SourceString, Delimiter = " ", CullEmptyStrings = true) { return fnprepatch_433.call(this, SourceString, Delimiter, CullEmptyStrings) }; } catch (e) {};
+try { let fnprepatch_434 = KismetStringLibrary.prototype.MatchesWildcard;KismetStringLibrary.prototype.MatchesWildcard = function (SourceString, Wildcard, SearchCase = "IgnoreCase") { return fnprepatch_434.call(this, SourceString, Wildcard, SearchCase) }; } catch (e) {};
+try { let fnprepatch_435 = KismetStringLibrary.prototype.JoinStringArray;KismetStringLibrary.prototype.JoinStringArray = function (SourceArray, Separator = " ") { return fnprepatch_435.call(this, SourceArray, Separator) }; } catch (e) {};
+try { let fnprepatch_436 = KismetStringLibrary.prototype.GetSubstring;KismetStringLibrary.prototype.GetSubstring = function (SourceString, StartIndex = 0, Length = 1) { return fnprepatch_436.call(this, SourceString, StartIndex, Length) }; } catch (e) {};
+try { let fnprepatch_437 = KismetStringLibrary.prototype.GetCharacterAsNumber;KismetStringLibrary.prototype.GetCharacterAsNumber = function (SourceString, Index = 0) { return fnprepatch_437.call(this, SourceString, Index) }; } catch (e) {};
+try { let fnprepatch_438 = KismetStringLibrary.prototype.FindSubstring;KismetStringLibrary.prototype.FindSubstring = function (SearchIn, Substring, bUseCase = false, bSearchFromEnd = false, StartPosition = -1) { return fnprepatch_438.call(this, SearchIn, Substring, bUseCase, bSearchFromEnd, StartPosition) }; } catch (e) {};
+try { let fnprepatch_439 = KismetStringLibrary.prototype.EndsWith;KismetStringLibrary.prototype.EndsWith = function (SourceString, InSuffix, SearchCase = "IgnoreCase") { return fnprepatch_439.call(this, SourceString, InSuffix, SearchCase) }; } catch (e) {};
+try { let fnprepatch_440 = KismetStringLibrary.prototype.Contains;KismetStringLibrary.prototype.Contains = function (SearchIn, Substring, bUseCase = false, bSearchFromEnd = false) { return fnprepatch_440.call(this, SearchIn, Substring, bUseCase, bSearchFromEnd) }; } catch (e) {};
 try { KismetStringLibrary.prototype.NotEqual = KismetStringLibrary.prototype.NotEqual_StrStr; } catch (e) {};
 try { KismetStringLibrary.NotEqual = KismetStringLibrary.NotEqual_StrStr; } catch (e) {};
 try { KismetStringLibrary.prototype.Equal = KismetStringLibrary.prototype.EqualEqual_StrStr; } catch (e) {};
@@ -1041,49 +1535,50 @@ try { KismetStringTableLibrary.prototype.GetStringTableNamespace = KismetStringT
 try { KismetStringTableLibrary.GetStringTableNamespace = KismetStringTableLibrary.GetTableNamespace; } catch (e) {};
 try { KismetStringTableLibrary.prototype.GetStringTableEntrySourceString = KismetStringTableLibrary.prototype.GetTableEntrySourceString; } catch (e) {};
 try { KismetStringTableLibrary.GetStringTableEntrySourceString = KismetStringTableLibrary.GetTableEntrySourceString; } catch (e) {};
-try { let fnprepatch_331 = KismetSystemLibrary.prototype.SphereTraceSingleForObjects;KismetSystemLibrary.prototype.SphereTraceSingleForObjects = function (WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_331.call(this, WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_332 = KismetSystemLibrary.prototype.SphereTraceSingleByProfile;KismetSystemLibrary.prototype.SphereTraceSingleByProfile = function (WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_332.call(this, WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_333 = KismetSystemLibrary.prototype.SphereTraceSingle;KismetSystemLibrary.prototype.SphereTraceSingle = function (WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_333.call(this, WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_334 = KismetSystemLibrary.prototype.SphereTraceMultiForObjects;KismetSystemLibrary.prototype.SphereTraceMultiForObjects = function (WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_334.call(this, WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_335 = KismetSystemLibrary.prototype.SphereTraceMultiByProfile;KismetSystemLibrary.prototype.SphereTraceMultiByProfile = function (WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_335.call(this, WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_336 = KismetSystemLibrary.prototype.SphereTraceMulti;KismetSystemLibrary.prototype.SphereTraceMulti = function (WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_336.call(this, WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_337 = KismetSystemLibrary.prototype.PrintText;KismetSystemLibrary.prototype.PrintText = function (WorldContextObject, InText = "Hello", bPrintToScreen = true, bPrintToLog = true, TextColor = {"R":0,"G":0.6600000262260437,"B":1,"A":1}, Duration = 2) { return fnprepatch_337.call(this, WorldContextObject, InText, bPrintToScreen, bPrintToLog, TextColor, Duration) }; } catch (e) {};
-try { let fnprepatch_338 = KismetSystemLibrary.prototype.PrintString;KismetSystemLibrary.prototype.PrintString = function (WorldContextObject, InString = "Hello", bPrintToScreen = true, bPrintToLog = true, TextColor = {"R":0,"G":0.6600000262260437,"B":1,"A":1}, Duration = 2) { return fnprepatch_338.call(this, WorldContextObject, InString, bPrintToScreen, bPrintToLog, TextColor, Duration) }; } catch (e) {};
-try { let fnprepatch_339 = KismetSystemLibrary.prototype.LineTraceSingleForObjects;KismetSystemLibrary.prototype.LineTraceSingleForObjects = function (WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_339.call(this, WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_340 = KismetSystemLibrary.prototype.LineTraceSingleByProfile;KismetSystemLibrary.prototype.LineTraceSingleByProfile = function (WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_340.call(this, WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_341 = KismetSystemLibrary.prototype.LineTraceSingle;KismetSystemLibrary.prototype.LineTraceSingle = function (WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_341.call(this, WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_342 = KismetSystemLibrary.prototype.LineTraceMultiForObjects;KismetSystemLibrary.prototype.LineTraceMultiForObjects = function (WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_342.call(this, WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_343 = KismetSystemLibrary.prototype.LineTraceMultiByProfile;KismetSystemLibrary.prototype.LineTraceMultiByProfile = function (WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_343.call(this, WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_344 = KismetSystemLibrary.prototype.LineTraceMulti;KismetSystemLibrary.prototype.LineTraceMulti = function (WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_344.call(this, WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_345 = KismetSystemLibrary.prototype.DrawDebugString;KismetSystemLibrary.prototype.DrawDebugString = function (WorldContextObject, TextLocation, Text, TestBaseActor, TextColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_345.call(this, WorldContextObject, TextLocation, Text, TestBaseActor, TextColor, Duration) }; } catch (e) {};
-try { let fnprepatch_346 = KismetSystemLibrary.prototype.DrawDebugSphere;KismetSystemLibrary.prototype.DrawDebugSphere = function (WorldContextObject, Center, Radius = 100, Segments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_346.call(this, WorldContextObject, Center, Radius, Segments, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_347 = KismetSystemLibrary.prototype.DrawDebugPoint;KismetSystemLibrary.prototype.DrawDebugPoint = function (WorldContextObject, Position, Size, PointColor, Duration = 0) { return fnprepatch_347.call(this, WorldContextObject, Position, Size, PointColor, Duration) }; } catch (e) {};
-try { let fnprepatch_348 = KismetSystemLibrary.prototype.DrawDebugPlane;KismetSystemLibrary.prototype.DrawDebugPlane = function (WorldContextObject, PlaneCoordinates, Location, Size, PlaneColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_348.call(this, WorldContextObject, PlaneCoordinates, Location, Size, PlaneColor, Duration) }; } catch (e) {};
-try { let fnprepatch_349 = KismetSystemLibrary.prototype.DrawDebugLine;KismetSystemLibrary.prototype.DrawDebugLine = function (WorldContextObject, LineStart, LineEnd, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_349.call(this, WorldContextObject, LineStart, LineEnd, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_350 = KismetSystemLibrary.prototype.DrawDebugFrustum;KismetSystemLibrary.prototype.DrawDebugFrustum = function (WorldContextObject, FrustumTransform, FrustumColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_350.call(this, WorldContextObject, FrustumTransform, FrustumColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_351 = KismetSystemLibrary.prototype.DrawDebugFloatHistoryTransform;KismetSystemLibrary.prototype.DrawDebugFloatHistoryTransform = function (WorldContextObject, FloatHistory, DrawTransform, DrawSize, DrawColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_351.call(this, WorldContextObject, FloatHistory, DrawTransform, DrawSize, DrawColor, Duration) }; } catch (e) {};
-try { let fnprepatch_352 = KismetSystemLibrary.prototype.DrawDebugFloatHistoryLocation;KismetSystemLibrary.prototype.DrawDebugFloatHistoryLocation = function (WorldContextObject, FloatHistory, DrawLocation, DrawSize, DrawColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_352.call(this, WorldContextObject, FloatHistory, DrawLocation, DrawSize, DrawColor, Duration) }; } catch (e) {};
-try { let fnprepatch_353 = KismetSystemLibrary.prototype.DrawDebugCylinder;KismetSystemLibrary.prototype.DrawDebugCylinder = function (WorldContextObject, Start, End, Radius = 100, Segments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_353.call(this, WorldContextObject, Start, End, Radius, Segments, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_354 = KismetSystemLibrary.prototype.DrawDebugCoordinateSystem;KismetSystemLibrary.prototype.DrawDebugCoordinateSystem = function (WorldContextObject, AxisLoc, AxisRot, Scale = 1, Duration = 0, Thickness = 0) { return fnprepatch_354.call(this, WorldContextObject, AxisLoc, AxisRot, Scale, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_355 = KismetSystemLibrary.prototype.DrawDebugConeInDegrees;KismetSystemLibrary.prototype.DrawDebugConeInDegrees = function (WorldContextObject, Origin, Direction, Length = 100, AngleWidth = 45, AngleHeight = 45, NumSides = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_355.call(this, WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_356 = KismetSystemLibrary.prototype.DrawDebugCone;KismetSystemLibrary.prototype.DrawDebugCone = function (WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_356.call(this, WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_357 = KismetSystemLibrary.prototype.DrawDebugCircle;KismetSystemLibrary.prototype.DrawDebugCircle = function (WorldContextObject, Center, Radius, NumSegments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0, YAxis, ZAxis, bDrawAxis = false) { return fnprepatch_357.call(this, WorldContextObject, Center, Radius, NumSegments, LineColor, Duration, Thickness, YAxis, ZAxis, bDrawAxis) }; } catch (e) {};
-try { let fnprepatch_358 = KismetSystemLibrary.prototype.DrawDebugCapsule;KismetSystemLibrary.prototype.DrawDebugCapsule = function (WorldContextObject, Center, HalfHeight, Radius, Rotation, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_358.call(this, WorldContextObject, Center, HalfHeight, Radius, Rotation, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_359 = KismetSystemLibrary.prototype.DrawDebugCamera;KismetSystemLibrary.prototype.DrawDebugCamera = function (CameraActor, CameraColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_359.call(this, CameraActor, CameraColor, Duration) }; } catch (e) {};
-try { let fnprepatch_360 = KismetSystemLibrary.prototype.DrawDebugBox;KismetSystemLibrary.prototype.DrawDebugBox = function (WorldContextObject, Center, Extent, LineColor, Rotation, Duration = 0, Thickness = 0) { return fnprepatch_360.call(this, WorldContextObject, Center, Extent, LineColor, Rotation, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_361 = KismetSystemLibrary.prototype.DrawDebugArrow;KismetSystemLibrary.prototype.DrawDebugArrow = function (WorldContextObject, LineStart, LineEnd, ArrowSize, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_361.call(this, WorldContextObject, LineStart, LineEnd, ArrowSize, LineColor, Duration, Thickness) }; } catch (e) {};
-try { let fnprepatch_362 = KismetSystemLibrary.prototype.CapsuleTraceSingleForObjects;KismetSystemLibrary.prototype.CapsuleTraceSingleForObjects = function (WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_362.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_363 = KismetSystemLibrary.prototype.CapsuleTraceSingleByProfile;KismetSystemLibrary.prototype.CapsuleTraceSingleByProfile = function (WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_363.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_364 = KismetSystemLibrary.prototype.CapsuleTraceSingle;KismetSystemLibrary.prototype.CapsuleTraceSingle = function (WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_364.call(this, WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_365 = KismetSystemLibrary.prototype.CapsuleTraceMultiForObjects;KismetSystemLibrary.prototype.CapsuleTraceMultiForObjects = function (WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_365.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_366 = KismetSystemLibrary.prototype.CapsuleTraceMultiByProfile;KismetSystemLibrary.prototype.CapsuleTraceMultiByProfile = function (WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_366.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_367 = KismetSystemLibrary.prototype.CapsuleTraceMulti;KismetSystemLibrary.prototype.CapsuleTraceMulti = function (WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_367.call(this, WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_368 = KismetSystemLibrary.prototype.BoxTraceSingleForObjects;KismetSystemLibrary.prototype.BoxTraceSingleForObjects = function (WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_368.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_369 = KismetSystemLibrary.prototype.BoxTraceSingleByProfile;KismetSystemLibrary.prototype.BoxTraceSingleByProfile = function (WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_369.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_370 = KismetSystemLibrary.prototype.BoxTraceSingle;KismetSystemLibrary.prototype.BoxTraceSingle = function (WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_370.call(this, WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_371 = KismetSystemLibrary.prototype.BoxTraceMultiForObjects;KismetSystemLibrary.prototype.BoxTraceMultiForObjects = function (WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_371.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_372 = KismetSystemLibrary.prototype.BoxTraceMultiByProfile;KismetSystemLibrary.prototype.BoxTraceMultiByProfile = function (WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_372.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_373 = KismetSystemLibrary.prototype.BoxTraceMulti;KismetSystemLibrary.prototype.BoxTraceMulti = function (WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_373.call(this, WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_441 = KismetSystemLibrary.prototype.SphereTraceSingleForObjects;KismetSystemLibrary.prototype.SphereTraceSingleForObjects = function (WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_441.call(this, WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_442 = KismetSystemLibrary.prototype.SphereTraceSingleByProfile;KismetSystemLibrary.prototype.SphereTraceSingleByProfile = function (WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_442.call(this, WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_443 = KismetSystemLibrary.prototype.SphereTraceSingle;KismetSystemLibrary.prototype.SphereTraceSingle = function (WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_443.call(this, WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_444 = KismetSystemLibrary.prototype.SphereTraceMultiForObjects;KismetSystemLibrary.prototype.SphereTraceMultiForObjects = function (WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_444.call(this, WorldContextObject, Start, End, Radius, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_445 = KismetSystemLibrary.prototype.SphereTraceMultiByProfile;KismetSystemLibrary.prototype.SphereTraceMultiByProfile = function (WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_445.call(this, WorldContextObject, Start, End, Radius, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_446 = KismetSystemLibrary.prototype.SphereTraceMulti;KismetSystemLibrary.prototype.SphereTraceMulti = function (WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_446.call(this, WorldContextObject, Start, End, Radius, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_447 = KismetSystemLibrary.prototype.PrintText;KismetSystemLibrary.prototype.PrintText = function (WorldContextObject, InText = "Hello", bPrintToScreen = true, bPrintToLog = true, TextColor = {"R":0,"G":0.6600000262260437,"B":1,"A":1}, Duration = 2) { return fnprepatch_447.call(this, WorldContextObject, InText, bPrintToScreen, bPrintToLog, TextColor, Duration) }; } catch (e) {};
+try { let fnprepatch_448 = KismetSystemLibrary.prototype.PrintString;KismetSystemLibrary.prototype.PrintString = function (WorldContextObject, InString = "Hello", bPrintToScreen = true, bPrintToLog = true, TextColor = {"R":0,"G":0.6600000262260437,"B":1,"A":1}, Duration = 2) { return fnprepatch_448.call(this, WorldContextObject, InString, bPrintToScreen, bPrintToLog, TextColor, Duration) }; } catch (e) {};
+try { let fnprepatch_449 = KismetSystemLibrary.prototype.LineTraceSingleForObjects;KismetSystemLibrary.prototype.LineTraceSingleForObjects = function (WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_449.call(this, WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_450 = KismetSystemLibrary.prototype.LineTraceSingleByProfile;KismetSystemLibrary.prototype.LineTraceSingleByProfile = function (WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_450.call(this, WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_451 = KismetSystemLibrary.prototype.LineTraceSingle;KismetSystemLibrary.prototype.LineTraceSingle = function (WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_451.call(this, WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_452 = KismetSystemLibrary.prototype.LineTraceMultiForObjects;KismetSystemLibrary.prototype.LineTraceMultiForObjects = function (WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_452.call(this, WorldContextObject, Start, End, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_453 = KismetSystemLibrary.prototype.LineTraceMultiByProfile;KismetSystemLibrary.prototype.LineTraceMultiByProfile = function (WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_453.call(this, WorldContextObject, Start, End, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_454 = KismetSystemLibrary.prototype.LineTraceMulti;KismetSystemLibrary.prototype.LineTraceMulti = function (WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_454.call(this, WorldContextObject, Start, End, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_455 = KismetSystemLibrary.prototype.ExecuteConsoleCommand;KismetSystemLibrary.prototype.ExecuteConsoleCommand = function (WorldContextObject, Command, SpecificPlayer = undefined) { return fnprepatch_455.call(this, WorldContextObject, Command, SpecificPlayer) }; } catch (e) {};
+try { let fnprepatch_456 = KismetSystemLibrary.prototype.DrawDebugString;KismetSystemLibrary.prototype.DrawDebugString = function (WorldContextObject, TextLocation, Text, TestBaseActor = undefined, TextColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_456.call(this, WorldContextObject, TextLocation, Text, TestBaseActor, TextColor, Duration) }; } catch (e) {};
+try { let fnprepatch_457 = KismetSystemLibrary.prototype.DrawDebugSphere;KismetSystemLibrary.prototype.DrawDebugSphere = function (WorldContextObject, Center, Radius = 100, Segments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_457.call(this, WorldContextObject, Center, Radius, Segments, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_458 = KismetSystemLibrary.prototype.DrawDebugPoint;KismetSystemLibrary.prototype.DrawDebugPoint = function (WorldContextObject, Position, Size, PointColor, Duration = 0) { return fnprepatch_458.call(this, WorldContextObject, Position, Size, PointColor, Duration) }; } catch (e) {};
+try { let fnprepatch_459 = KismetSystemLibrary.prototype.DrawDebugPlane;KismetSystemLibrary.prototype.DrawDebugPlane = function (WorldContextObject, PlaneCoordinates, Location, Size, PlaneColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_459.call(this, WorldContextObject, PlaneCoordinates, Location, Size, PlaneColor, Duration) }; } catch (e) {};
+try { let fnprepatch_460 = KismetSystemLibrary.prototype.DrawDebugLine;KismetSystemLibrary.prototype.DrawDebugLine = function (WorldContextObject, LineStart, LineEnd, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_460.call(this, WorldContextObject, LineStart, LineEnd, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_461 = KismetSystemLibrary.prototype.DrawDebugFrustum;KismetSystemLibrary.prototype.DrawDebugFrustum = function (WorldContextObject, FrustumTransform, FrustumColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_461.call(this, WorldContextObject, FrustumTransform, FrustumColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_462 = KismetSystemLibrary.prototype.DrawDebugFloatHistoryTransform;KismetSystemLibrary.prototype.DrawDebugFloatHistoryTransform = function (WorldContextObject, FloatHistory, DrawTransform, DrawSize, DrawColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_462.call(this, WorldContextObject, FloatHistory, DrawTransform, DrawSize, DrawColor, Duration) }; } catch (e) {};
+try { let fnprepatch_463 = KismetSystemLibrary.prototype.DrawDebugFloatHistoryLocation;KismetSystemLibrary.prototype.DrawDebugFloatHistoryLocation = function (WorldContextObject, FloatHistory, DrawLocation, DrawSize, DrawColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_463.call(this, WorldContextObject, FloatHistory, DrawLocation, DrawSize, DrawColor, Duration) }; } catch (e) {};
+try { let fnprepatch_464 = KismetSystemLibrary.prototype.DrawDebugCylinder;KismetSystemLibrary.prototype.DrawDebugCylinder = function (WorldContextObject, Start, End, Radius = 100, Segments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_464.call(this, WorldContextObject, Start, End, Radius, Segments, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_465 = KismetSystemLibrary.prototype.DrawDebugCoordinateSystem;KismetSystemLibrary.prototype.DrawDebugCoordinateSystem = function (WorldContextObject, AxisLoc, AxisRot, Scale = 1, Duration = 0, Thickness = 0) { return fnprepatch_465.call(this, WorldContextObject, AxisLoc, AxisRot, Scale, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_466 = KismetSystemLibrary.prototype.DrawDebugConeInDegrees;KismetSystemLibrary.prototype.DrawDebugConeInDegrees = function (WorldContextObject, Origin, Direction, Length = 100, AngleWidth = 45, AngleHeight = 45, NumSides = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_466.call(this, WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_467 = KismetSystemLibrary.prototype.DrawDebugCone;KismetSystemLibrary.prototype.DrawDebugCone = function (WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_467.call(this, WorldContextObject, Origin, Direction, Length, AngleWidth, AngleHeight, NumSides, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_468 = KismetSystemLibrary.prototype.DrawDebugCircle;KismetSystemLibrary.prototype.DrawDebugCircle = function (WorldContextObject, Center, Radius, NumSegments = 12, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0, YAxis, ZAxis, bDrawAxis = false) { return fnprepatch_468.call(this, WorldContextObject, Center, Radius, NumSegments, LineColor, Duration, Thickness, YAxis, ZAxis, bDrawAxis) }; } catch (e) {};
+try { let fnprepatch_469 = KismetSystemLibrary.prototype.DrawDebugCapsule;KismetSystemLibrary.prototype.DrawDebugCapsule = function (WorldContextObject, Center, HalfHeight, Radius, Rotation, LineColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0, Thickness = 0) { return fnprepatch_469.call(this, WorldContextObject, Center, HalfHeight, Radius, Rotation, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_470 = KismetSystemLibrary.prototype.DrawDebugCamera;KismetSystemLibrary.prototype.DrawDebugCamera = function (CameraActor, CameraColor = {"R":1,"G":1,"B":1,"A":1}, Duration = 0) { return fnprepatch_470.call(this, CameraActor, CameraColor, Duration) }; } catch (e) {};
+try { let fnprepatch_471 = KismetSystemLibrary.prototype.DrawDebugBox;KismetSystemLibrary.prototype.DrawDebugBox = function (WorldContextObject, Center, Extent, LineColor, Rotation, Duration = 0, Thickness = 0) { return fnprepatch_471.call(this, WorldContextObject, Center, Extent, LineColor, Rotation, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_472 = KismetSystemLibrary.prototype.DrawDebugArrow;KismetSystemLibrary.prototype.DrawDebugArrow = function (WorldContextObject, LineStart, LineEnd, ArrowSize, LineColor, Duration = 0, Thickness = 0) { return fnprepatch_472.call(this, WorldContextObject, LineStart, LineEnd, ArrowSize, LineColor, Duration, Thickness) }; } catch (e) {};
+try { let fnprepatch_473 = KismetSystemLibrary.prototype.CapsuleTraceSingleForObjects;KismetSystemLibrary.prototype.CapsuleTraceSingleForObjects = function (WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_473.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_474 = KismetSystemLibrary.prototype.CapsuleTraceSingleByProfile;KismetSystemLibrary.prototype.CapsuleTraceSingleByProfile = function (WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_474.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_475 = KismetSystemLibrary.prototype.CapsuleTraceSingle;KismetSystemLibrary.prototype.CapsuleTraceSingle = function (WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_475.call(this, WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_476 = KismetSystemLibrary.prototype.CapsuleTraceMultiForObjects;KismetSystemLibrary.prototype.CapsuleTraceMultiForObjects = function (WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_476.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_477 = KismetSystemLibrary.prototype.CapsuleTraceMultiByProfile;KismetSystemLibrary.prototype.CapsuleTraceMultiByProfile = function (WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_477.call(this, WorldContextObject, Start, End, Radius, HalfHeight, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_478 = KismetSystemLibrary.prototype.CapsuleTraceMulti;KismetSystemLibrary.prototype.CapsuleTraceMulti = function (WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_478.call(this, WorldContextObject, Start, End, Radius, HalfHeight, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_479 = KismetSystemLibrary.prototype.BoxTraceSingleForObjects;KismetSystemLibrary.prototype.BoxTraceSingleForObjects = function (WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_479.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_480 = KismetSystemLibrary.prototype.BoxTraceSingleByProfile;KismetSystemLibrary.prototype.BoxTraceSingleByProfile = function (WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_480.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_481 = KismetSystemLibrary.prototype.BoxTraceSingle;KismetSystemLibrary.prototype.BoxTraceSingle = function (WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_481.call(this, WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHit, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_482 = KismetSystemLibrary.prototype.BoxTraceMultiForObjects;KismetSystemLibrary.prototype.BoxTraceMultiForObjects = function (WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_482.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ObjectTypes, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_483 = KismetSystemLibrary.prototype.BoxTraceMultiByProfile;KismetSystemLibrary.prototype.BoxTraceMultiByProfile = function (WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_483.call(this, WorldContextObject, Start, End, HalfSize, Orientation, ProfileName, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_484 = KismetSystemLibrary.prototype.BoxTraceMulti;KismetSystemLibrary.prototype.BoxTraceMulti = function (WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_484.call(this, WorldContextObject, Start, End, HalfSize, Orientation, TraceChannel, bTraceComplex, ActorsToIgnore, DrawDebugType, OutHits, bIgnoreSelf, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
 try { KismetSystemLibrary.prototype.SphereTraceForObjects = KismetSystemLibrary.prototype.SphereTraceSingleForObjects; } catch (e) {};
 try { KismetSystemLibrary.SphereTraceForObjects = KismetSystemLibrary.SphereTraceSingleForObjects; } catch (e) {};
 try { KismetSystemLibrary.prototype.SphereTraceByProfile = KismetSystemLibrary.prototype.SphereTraceSingleByProfile; } catch (e) {};
@@ -1168,6 +1663,8 @@ try { KismetSystemLibrary.prototype.Equal = KismetSystemLibrary.prototype.EqualE
 try { KismetSystemLibrary.Equal = KismetSystemLibrary.EqualEqual_PrimaryAssetId; } catch (e) {};
 try { KismetSystemLibrary.prototype.DrawDebugCone = KismetSystemLibrary.prototype.DrawDebugConeInDegrees; } catch (e) {};
 try { KismetSystemLibrary.DrawDebugCone = KismetSystemLibrary.DrawDebugConeInDegrees; } catch (e) {};
+try { KismetSystemLibrary.prototype.ToSoftObjectReference = KismetSystemLibrary.prototype.Conv_SoftObjPathToSoftObjRef; } catch (e) {};
+try { KismetSystemLibrary.ToSoftObjectReference = KismetSystemLibrary.Conv_SoftObjPathToSoftObjRef; } catch (e) {};
 try { KismetSystemLibrary.prototype.ToString = KismetSystemLibrary.prototype.Conv_SoftObjectReferenceToString; } catch (e) {};
 try { KismetSystemLibrary.ToString = KismetSystemLibrary.Conv_SoftObjectReferenceToString; } catch (e) {};
 try { KismetSystemLibrary.prototype.ToString = KismetSystemLibrary.prototype.Conv_SoftClassReferenceToString; } catch (e) {};
@@ -1200,11 +1697,11 @@ try { KismetSystemLibrary.prototype.MultiBoxTraceByProfile = KismetSystemLibrary
 try { KismetSystemLibrary.MultiBoxTraceByProfile = KismetSystemLibrary.BoxTraceMultiByProfile; } catch (e) {};
 try { KismetSystemLibrary.prototype.MultiBoxTraceByChannel = KismetSystemLibrary.prototype.BoxTraceMulti; } catch (e) {};
 try { KismetSystemLibrary.MultiBoxTraceByChannel = KismetSystemLibrary.BoxTraceMulti; } catch (e) {};
-try { let fnprepatch_374 = KismetTextLibrary.prototype.Conv_IntToText;KismetTextLibrary.prototype.Conv_IntToText = function (Value, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324) { return fnprepatch_374.call(this, Value, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits) }; } catch (e) {};
-try { let fnprepatch_375 = KismetTextLibrary.prototype.Conv_FloatToText;KismetTextLibrary.prototype.Conv_FloatToText = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3) { return fnprepatch_375.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits) }; } catch (e) {};
-try { let fnprepatch_376 = KismetTextLibrary.prototype.AsPercent_Float;KismetTextLibrary.prototype.AsPercent_Float = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3) { return fnprepatch_376.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits) }; } catch (e) {};
-try { let fnprepatch_377 = KismetTextLibrary.prototype.AsCurrency_Integer;KismetTextLibrary.prototype.AsCurrency_Integer = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3, CurrencyCode) { return fnprepatch_377.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits, CurrencyCode) }; } catch (e) {};
-try { let fnprepatch_378 = KismetTextLibrary.prototype.AsCurrency_Float;KismetTextLibrary.prototype.AsCurrency_Float = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3, CurrencyCode) { return fnprepatch_378.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits, CurrencyCode) }; } catch (e) {};
+try { let fnprepatch_485 = KismetTextLibrary.prototype.Conv_IntToText;KismetTextLibrary.prototype.Conv_IntToText = function (Value, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324) { return fnprepatch_485.call(this, Value, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits) }; } catch (e) {};
+try { let fnprepatch_486 = KismetTextLibrary.prototype.Conv_FloatToText;KismetTextLibrary.prototype.Conv_FloatToText = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3) { return fnprepatch_486.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits) }; } catch (e) {};
+try { let fnprepatch_487 = KismetTextLibrary.prototype.AsPercent_Float;KismetTextLibrary.prototype.AsPercent_Float = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3) { return fnprepatch_487.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits) }; } catch (e) {};
+try { let fnprepatch_488 = KismetTextLibrary.prototype.AsCurrency_Integer;KismetTextLibrary.prototype.AsCurrency_Integer = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3, CurrencyCode) { return fnprepatch_488.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits, CurrencyCode) }; } catch (e) {};
+try { let fnprepatch_489 = KismetTextLibrary.prototype.AsCurrency_Float;KismetTextLibrary.prototype.AsCurrency_Float = function (Value, RoundingMode, bAlwaysSign = false, bUseGrouping = true, MinimumIntegralDigits = 1, MaximumIntegralDigits = 324, MinimumFractionalDigits = 0, MaximumFractionalDigits = 3, CurrencyCode) { return fnprepatch_489.call(this, Value, RoundingMode, bAlwaysSign, bUseGrouping, MinimumIntegralDigits, MaximumIntegralDigits, MinimumFractionalDigits, MaximumFractionalDigits, CurrencyCode) }; } catch (e) {};
 try { KismetTextLibrary.prototype.IsTextfromStringTable = KismetTextLibrary.prototype.TextIsFromStringTable; } catch (e) {};
 try { KismetTextLibrary.IsTextfromStringTable = KismetTextLibrary.TextIsFromStringTable; } catch (e) {};
 try { KismetTextLibrary.prototype.MakeTextfromStringTable = KismetTextLibrary.prototype.TextFromStringTable; } catch (e) {};
@@ -1263,156 +1760,96 @@ try { KismetTextLibrary.prototype.AsCurrency = KismetTextLibrary.prototype.AsCur
 try { KismetTextLibrary.AsCurrency = KismetTextLibrary.AsCurrency_Integer; } catch (e) {};
 try { KismetTextLibrary.prototype.AsCurrency = KismetTextLibrary.prototype.AsCurrency_Float; } catch (e) {};
 try { KismetTextLibrary.AsCurrency = KismetTextLibrary.AsCurrency_Float; } catch (e) {};
-try { let fnprepatch_379 = LevelScriptActor.prototype.SetCinematicMode;LevelScriptActor.prototype.SetCinematicMode = function (bCinematicMode, bHidePlayer = true, bAffectsHUD = true, bAffectsMovement = false, bAffectsTurning = false) { return fnprepatch_379.call(this, bCinematicMode, bHidePlayer, bAffectsHUD, bAffectsMovement, bAffectsTurning) }; } catch (e) {};
-try { World.prototype.VisLogBoxShape = World.prototype.LogBox; } catch (e) {};
-try { World.prototype.VisLogLocation = World.prototype.LogLocation; } catch (e) {};
-try { World.prototype.VisLogSegment = World.prototype.LogSegment; } catch (e) {};
-try { World.prototype.VisLogText = World.prototype.LogText; } catch (e) {};
-try { World.prototype.GetRandomPointInNavigableRadius_DEPRECATED = World.prototype.GetRandomPointInNavigableRadius; } catch (e) {};
-try { World.prototype.GetRandomReachablePointInRadius_DEPRECATED = World.prototype.GetRandomReachablePointInRadius; } catch (e) {};
-try { World.prototype.GetRandomPointInNavigableRadius = World.prototype.K2_GetRandomPointInNavigableRadius; } catch (e) {};
-try { World.prototype.GetRandomReachablePointInRadius = World.prototype.K2_GetRandomReachablePointInRadius; } catch (e) {};
-try { World.prototype.ProjectPointToNavigation = World.prototype.K2_ProjectPointToNavigation; } catch (e) {};
-try { World.prototype.ProjectPointToNavigation_DEPRECATED = World.prototype.ProjectPointToNavigation; } catch (e) {};
-try { World.prototype.MultiBoxTraceByChannel = World.prototype.BoxTraceMulti; } catch (e) {};
-try { World.prototype.MultiBoxTraceByProfile = World.prototype.BoxTraceMultiByProfile; } catch (e) {};
-try { World.prototype.MultiBoxTraceForObjects = World.prototype.BoxTraceMultiForObjects; } catch (e) {};
-try { World.prototype.BoxTraceByChannel = World.prototype.BoxTraceSingle; } catch (e) {};
-try { World.prototype.BoxTraceByProfile = World.prototype.BoxTraceSingleByProfile; } catch (e) {};
-try { World.prototype.BoxTraceForObjects = World.prototype.BoxTraceSingleForObjects; } catch (e) {};
-try { World.prototype.MultiCapsuleTraceByChannel = World.prototype.CapsuleTraceMulti; } catch (e) {};
-try { World.prototype.MultiCapsuleTraceByProfile = World.prototype.CapsuleTraceMultiByProfile; } catch (e) {};
-try { World.prototype.MultiCapsuleTraceForObjects = World.prototype.CapsuleTraceMultiForObjects; } catch (e) {};
-try { World.prototype.CapsuleTraceByChannel = World.prototype.CapsuleTraceSingle; } catch (e) {};
-try { World.prototype.CapsuleTraceByProfile = World.prototype.CapsuleTraceSingleByProfile; } catch (e) {};
-try { World.prototype.CapsuleTraceForObjects = World.prototype.CapsuleTraceSingleForObjects; } catch (e) {};
-try { World.prototype.DrawDebugCone = World.prototype.DrawDebugConeInDegrees; } catch (e) {};
-try { World.prototype.ClearandInvalidateTimerbyHandle = World.prototype.K2_ClearAndInvalidateTimerHandle; } catch (e) {};
-try { World.prototype.ClearTimerbyHandle = World.prototype.K2_ClearTimerHandle; } catch (e) {};
-try { World.prototype.GetTimerElapsedTimebyHandle = World.prototype.K2_GetTimerElapsedTimeHandle; } catch (e) {};
-try { World.prototype.GetTimerRemainingTimebyHandle = World.prototype.K2_GetTimerRemainingTimeHandle; } catch (e) {};
-try { World.prototype.IsTimerActivebyHandle = World.prototype.K2_IsTimerActiveHandle; } catch (e) {};
-try { World.prototype.IsTimerPausedbyHandle = World.prototype.K2_IsTimerPausedHandle; } catch (e) {};
-try { World.prototype.PauseTimerbyHandle = World.prototype.K2_PauseTimerHandle; } catch (e) {};
-try { World.prototype.DoesTimerExistbyHandle = World.prototype.K2_TimerExistsHandle; } catch (e) {};
-try { World.prototype.UnpauseTimerbyHandle = World.prototype.K2_UnPauseTimerHandle; } catch (e) {};
-try { World.prototype.MultiLineTraceByChannel = World.prototype.LineTraceMulti; } catch (e) {};
-try { World.prototype.MultiLineTraceByProfile = World.prototype.LineTraceMultiByProfile; } catch (e) {};
-try { World.prototype.MultiLineTraceForObjects = World.prototype.LineTraceMultiForObjects; } catch (e) {};
-try { World.prototype.LineTraceByChannel = World.prototype.LineTraceSingle; } catch (e) {};
-try { World.prototype.LineTraceByProfile = World.prototype.LineTraceSingleByProfile; } catch (e) {};
-try { World.prototype.LineTraceForObjects = World.prototype.LineTraceSingleForObjects; } catch (e) {};
-try { World.prototype.MultiSphereTraceByChannel = World.prototype.SphereTraceMulti; } catch (e) {};
-try { World.prototype.MultiSphereTraceByProfile = World.prototype.SphereTraceMultiByProfile; } catch (e) {};
-try { World.prototype.MultiSphereTraceForObjects = World.prototype.SphereTraceMultiForObjects; } catch (e) {};
-try { World.prototype.SphereTraceByChannel = World.prototype.SphereTraceSingle; } catch (e) {};
-try { World.prototype.SphereTraceByProfile = World.prototype.SphereTraceSingleByProfile; } catch (e) {};
-try { World.prototype.SphereTraceForObjects = World.prototype.SphereTraceSingleForObjects; } catch (e) {};
-try { World.prototype.PredictProjectilePath = World.prototype.Blueprint_PredictProjectilePath_Advanced; } catch (e) {};
-try { World.prototype.PredictProjectilePathByObjectType = World.prototype.Blueprint_PredictProjectilePath_ByObjectType; } catch (e) {};
-try { World.prototype.PredictProjectilePathByTraceChannel = World.prototype.Blueprint_PredictProjectilePath_ByTraceChannel; } catch (e) {};
-try { World.prototype.SuggestProjectileVelocity = World.prototype.BlueprintSuggestProjectileVelocity; } catch (e) {};
-try { World.prototype.SuggestProjectileVelocityCustomArc = World.prototype.SuggestProjectileVelocity_CustomArc; } catch (e) {};
-try { World.prototype.CreateWidget = World.prototype.Create; } catch (e) {};
-try { World.prototype.ScreenToAbsolute = World.prototype.ScreenToWidgetAbsolute; } catch (e) {};
-try { World.prototype.ScreenToLocal = World.prototype.ScreenToWidgetLocal; } catch (e) {};
-try { LevelStreamingKismet.prototype.LoadLevelInstance = LevelStreamingKismet.prototype.LoadLevelInstanceBySoftObjectPtr; } catch (e) {};
-try { LevelStreamingKismet.LoadLevelInstance = LevelStreamingKismet.LoadLevelInstanceBySoftObjectPtr; } catch (e) {};
-try { Texture2D.prototype.GetSizeY = Texture2D.prototype.Blueprint_GetSizeY; } catch (e) {};
-try { Texture2D.prototype.GetSizeX = Texture2D.prototype.Blueprint_GetSizeX; } catch (e) {};
+try { let fnprepatch_490 = LevelScriptActor.prototype.SetCinematicMode;LevelScriptActor.prototype.SetCinematicMode = function (bCinematicMode, bHidePlayer = true, bAffectsHUD = true, bAffectsMovement = false, bAffectsTurning = false) { return fnprepatch_490.call(this, bCinematicMode, bHidePlayer, bAffectsHUD, bAffectsMovement, bAffectsTurning) }; } catch (e) {};
+try { LevelStreamingDynamic.prototype.LoadLevelInstance = LevelStreamingDynamic.prototype.LoadLevelInstanceBySoftObjectPtr; } catch (e) {};
+try { LevelStreamingDynamic.LoadLevelInstance = LevelStreamingDynamic.LoadLevelInstanceBySoftObjectPtr; } catch (e) {};
+try { let fnprepatch_491 = LocalLightComponent.prototype.GetUnitsConversionFactor;LocalLightComponent.prototype.GetUnitsConversionFactor = function (SrcUnits, TargetUnits, CosHalfConeAngle = -1) { return fnprepatch_491.call(this, SrcUnits, TargetUnits, CosHalfConeAngle) }; } catch (e) {};
+try { let fnprepatch_492 = MaterialInstanceDynamic.prototype.K2_CopyMaterialInstanceParameters;MaterialInstanceDynamic.prototype.K2_CopyMaterialInstanceParameters = function (Source, bQuickParametersOnly = false) { return fnprepatch_492.call(this, Source, bQuickParametersOnly) }; } catch (e) {};
 try { MaterialInstanceDynamic.prototype.InterpolateMaterialInstanceParameters = MaterialInstanceDynamic.prototype.K2_InterpolateMaterialInstanceParams; } catch (e) {};
 try { MaterialInstanceDynamic.prototype.GetVectorParameterValue = MaterialInstanceDynamic.prototype.K2_GetVectorParameterValue; } catch (e) {};
 try { MaterialInstanceDynamic.prototype.GetTextureParameterValue = MaterialInstanceDynamic.prototype.K2_GetTextureParameterValue; } catch (e) {};
 try { MaterialInstanceDynamic.prototype.GetScalarParameterValue = MaterialInstanceDynamic.prototype.K2_GetScalarParameterValue; } catch (e) {};
 try { MaterialInstanceDynamic.prototype.CopyMaterialInstanceParameters = MaterialInstanceDynamic.prototype.K2_CopyMaterialInstanceParameters; } catch (e) {};
-try { let fnprepatch_380 = MatineeActor.prototype.SetPosition;MatineeActor.prototype.SetPosition = function (NewPosition, bJump = false) { return fnprepatch_380.call(this, NewPosition, bJump) }; } catch (e) {};
-try { let fnprepatch_381 = MeshVertexPainterKismetLibrary.prototype.PaintVerticesSingleColor;MeshVertexPainterKismetLibrary.prototype.PaintVerticesSingleColor = function (StaticMeshComponent, FillColor, bConvertToSRGB = true) { return fnprepatch_381.call(this, StaticMeshComponent, FillColor, bConvertToSRGB) }; } catch (e) {};
-try { let fnprepatch_382 = MeshVertexPainterKismetLibrary.prototype.PaintVerticesLerpAlongAxis;MeshVertexPainterKismetLibrary.prototype.PaintVerticesLerpAlongAxis = function (StaticMeshComponent, StartColor, EndColor, Axis, bConvertToSRGB = true) { return fnprepatch_382.call(this, StaticMeshComponent, StartColor, EndColor, Axis, bConvertToSRGB) }; } catch (e) {};
-try { let fnprepatch_383 = NavigationPath.prototype.EnableDebugDrawing;NavigationPath.prototype.EnableDebugDrawing = function (bShouldDrawDebugData, PathColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_383.call(this, bShouldDrawDebugData, PathColor) }; } catch (e) {};
-try { let fnprepatch_384 = NavigationSystem.prototype.RegisterNavigationInvoker;NavigationSystem.prototype.RegisterNavigationInvoker = function (Invoker, TileGenerationRadius = 3000, TileRemovalRadius = 5000) { return fnprepatch_384.call(this, Invoker, TileGenerationRadius, TileRemovalRadius) }; } catch (e) {};
-try { let fnprepatch_385 = NavigationSystem.prototype.FindPathToActorSynchronously;NavigationSystem.prototype.FindPathToActorSynchronously = function (WorldContextObject, PathStart, GoalActor, TetherDistance = 50, PathfindingContext, FilterClass) { return fnprepatch_385.call(this, WorldContextObject, PathStart, GoalActor, TetherDistance, PathfindingContext, FilterClass) }; } catch (e) {};
-try { NavigationSystem.prototype.ProjectPointToNavigation_DEPRECATED = NavigationSystem.prototype.ProjectPointToNavigation; } catch (e) {};
-try { NavigationSystem.ProjectPointToNavigation_DEPRECATED = NavigationSystem.ProjectPointToNavigation; } catch (e) {};
-try { NavigationSystem.prototype.ProjectPointToNavigation = NavigationSystem.prototype.K2_ProjectPointToNavigation; } catch (e) {};
-try { NavigationSystem.ProjectPointToNavigation = NavigationSystem.K2_ProjectPointToNavigation; } catch (e) {};
-try { NavigationSystem.prototype.GetRandomReachablePointInRadius = NavigationSystem.prototype.K2_GetRandomReachablePointInRadius; } catch (e) {};
-try { NavigationSystem.GetRandomReachablePointInRadius = NavigationSystem.K2_GetRandomReachablePointInRadius; } catch (e) {};
-try { NavigationSystem.prototype.GetRandomPointInNavigableRadius = NavigationSystem.prototype.K2_GetRandomPointInNavigableRadius; } catch (e) {};
-try { NavigationSystem.GetRandomPointInNavigableRadius = NavigationSystem.K2_GetRandomPointInNavigableRadius; } catch (e) {};
-try { NavigationSystem.prototype.GetRandomReachablePointInRadius_DEPRECATED = NavigationSystem.prototype.GetRandomReachablePointInRadius; } catch (e) {};
-try { NavigationSystem.GetRandomReachablePointInRadius_DEPRECATED = NavigationSystem.GetRandomReachablePointInRadius; } catch (e) {};
-try { NavigationSystem.prototype.GetRandomPointInNavigableRadius_DEPRECATED = NavigationSystem.prototype.GetRandomPointInNavigableRadius; } catch (e) {};
-try { NavigationSystem.GetRandomPointInNavigableRadius_DEPRECATED = NavigationSystem.GetRandomPointInNavigableRadius; } catch (e) {};
-try { let fnprepatch_386 = ParticleSystemComponent.prototype.SetAutoAttachParams;ParticleSystemComponent.prototype.SetAutoAttachParams = function (Parent, SocketName = "None", LocationType = "KeepRelativeOffset") { return fnprepatch_386.call(this, Parent, SocketName, LocationType) }; } catch (e) {};
-try { let fnprepatch_387 = PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationSettingsBelow;PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationSettingsBelow = function (BodyName, PhysicalAnimationData, bIncludeSelf = true) { return fnprepatch_387.call(this, BodyName, PhysicalAnimationData, bIncludeSelf) }; } catch (e) {};
-try { let fnprepatch_388 = PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationProfileBelow;PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationProfileBelow = function (BodyName, ProfileName, bIncludeSelf = true, bClearNotFound = false) { return fnprepatch_388.call(this, BodyName, ProfileName, bIncludeSelf, bClearNotFound) }; } catch (e) {};
-try { let fnprepatch_389 = PlayerCameraManager.prototype.StopCameraShake;PlayerCameraManager.prototype.StopCameraShake = function (ShakeInstance, bImmediately = true) { return fnprepatch_389.call(this, ShakeInstance, bImmediately) }; } catch (e) {};
-try { let fnprepatch_390 = PlayerCameraManager.prototype.StopCameraAnimInst;PlayerCameraManager.prototype.StopCameraAnimInst = function (AnimInst, bImmediate = false) { return fnprepatch_390.call(this, AnimInst, bImmediate) }; } catch (e) {};
-try { let fnprepatch_391 = PlayerCameraManager.prototype.StopAllInstancesOfCameraShake;PlayerCameraManager.prototype.StopAllInstancesOfCameraShake = function (Shake, bImmediately = true) { return fnprepatch_391.call(this, Shake, bImmediately) }; } catch (e) {};
-try { let fnprepatch_392 = PlayerCameraManager.prototype.StopAllInstancesOfCameraAnim;PlayerCameraManager.prototype.StopAllInstancesOfCameraAnim = function (Anim, bImmediate = false) { return fnprepatch_392.call(this, Anim, bImmediate) }; } catch (e) {};
-try { let fnprepatch_393 = PlayerCameraManager.prototype.StopAllCameraShakes;PlayerCameraManager.prototype.StopAllCameraShakes = function (bImmediately = true) { return fnprepatch_393.call(this, bImmediately) }; } catch (e) {};
-try { let fnprepatch_394 = PlayerCameraManager.prototype.StopAllCameraAnims;PlayerCameraManager.prototype.StopAllCameraAnims = function (bImmediate = false) { return fnprepatch_394.call(this, bImmediate) }; } catch (e) {};
-try { let fnprepatch_395 = PlayerCameraManager.prototype.StartCameraFade;PlayerCameraManager.prototype.StartCameraFade = function (FromAlpha, ToAlpha, Duration, Color, bShouldFadeAudio = false, bHoldWhenFinished = false) { return fnprepatch_395.call(this, FromAlpha, ToAlpha, Duration, Color, bShouldFadeAudio, bHoldWhenFinished) }; } catch (e) {};
-try { let fnprepatch_396 = PlayerCameraManager.prototype.PlayCameraShake;PlayerCameraManager.prototype.PlayCameraShake = function (ShakeClass, Scale = 1, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_396.call(this, ShakeClass, Scale, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
-try { let fnprepatch_397 = PlayerCameraManager.prototype.PlayCameraAnim;PlayerCameraManager.prototype.PlayCameraAnim = function (Anim, Rate = 1, Scale = 1, BlendInTime = 0, BlendOutTime = 0, bLoop = false, bRandomStartTime = false, Duration = 0, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_397.call(this, Anim, Rate, Scale, BlendInTime, BlendOutTime, bLoop, bRandomStartTime, Duration, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
+try { let fnprepatch_493 = MatineeActor.prototype.SetPosition;MatineeActor.prototype.SetPosition = function (NewPosition, bJump = false) { return fnprepatch_493.call(this, NewPosition, bJump) }; } catch (e) {};
+try { let fnprepatch_494 = MeshVertexPainterKismetLibrary.prototype.PaintVerticesSingleColor;MeshVertexPainterKismetLibrary.prototype.PaintVerticesSingleColor = function (StaticMeshComponent, FillColor, bConvertToSRGB = true) { return fnprepatch_494.call(this, StaticMeshComponent, FillColor, bConvertToSRGB) }; } catch (e) {};
+try { let fnprepatch_495 = MeshVertexPainterKismetLibrary.prototype.PaintVerticesLerpAlongAxis;MeshVertexPainterKismetLibrary.prototype.PaintVerticesLerpAlongAxis = function (StaticMeshComponent, StartColor, EndColor, Axis, bConvertToSRGB = true) { return fnprepatch_495.call(this, StaticMeshComponent, StartColor, EndColor, Axis, bConvertToSRGB) }; } catch (e) {};
+try { NavigationSystem.prototype.SimpleMoveToLocation_DEPRECATED = NavigationSystem.prototype.SimpleMoveToLocation; } catch (e) {};
+try { NavigationSystem.SimpleMoveToLocation_DEPRECATED = NavigationSystem.SimpleMoveToLocation; } catch (e) {};
+try { NavigationSystem.prototype.SimpleMoveToActor_DEPRECATED = NavigationSystem.prototype.SimpleMoveToActor; } catch (e) {};
+try { NavigationSystem.SimpleMoveToActor_DEPRECATED = NavigationSystem.SimpleMoveToActor; } catch (e) {};
+try { let fnprepatch_496 = ParticleSystemComponent.prototype.SetAutoAttachParams;ParticleSystemComponent.prototype.SetAutoAttachParams = function (Parent, SocketName = "None", LocationType = "KeepRelativeOffset") { return fnprepatch_496.call(this, Parent, SocketName, LocationType) }; } catch (e) {};
+try { let fnprepatch_497 = ParticleSystemComponent.prototype.CreateNamedDynamicMaterialInstance;ParticleSystemComponent.prototype.CreateNamedDynamicMaterialInstance = function (InName, SourceMaterial = undefined) { return fnprepatch_497.call(this, InName, SourceMaterial) }; } catch (e) {};
+try { let fnprepatch_498 = PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationSettingsBelow;PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationSettingsBelow = function (BodyName, PhysicalAnimationData, bIncludeSelf = true) { return fnprepatch_498.call(this, BodyName, PhysicalAnimationData, bIncludeSelf) }; } catch (e) {};
+try { let fnprepatch_499 = PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationProfileBelow;PhysicalAnimationComponent.prototype.ApplyPhysicalAnimationProfileBelow = function (BodyName, ProfileName, bIncludeSelf = true, bClearNotFound = false) { return fnprepatch_499.call(this, BodyName, ProfileName, bIncludeSelf, bClearNotFound) }; } catch (e) {};
+try { let fnprepatch_500 = PlayerCameraManager.prototype.StopCameraShake;PlayerCameraManager.prototype.StopCameraShake = function (ShakeInstance, bImmediately = true) { return fnprepatch_500.call(this, ShakeInstance, bImmediately) }; } catch (e) {};
+try { let fnprepatch_501 = PlayerCameraManager.prototype.StopCameraAnimInst;PlayerCameraManager.prototype.StopCameraAnimInst = function (AnimInst, bImmediate = false) { return fnprepatch_501.call(this, AnimInst, bImmediate) }; } catch (e) {};
+try { let fnprepatch_502 = PlayerCameraManager.prototype.StopAllInstancesOfCameraShake;PlayerCameraManager.prototype.StopAllInstancesOfCameraShake = function (Shake, bImmediately = true) { return fnprepatch_502.call(this, Shake, bImmediately) }; } catch (e) {};
+try { let fnprepatch_503 = PlayerCameraManager.prototype.StopAllInstancesOfCameraAnim;PlayerCameraManager.prototype.StopAllInstancesOfCameraAnim = function (Anim, bImmediate = false) { return fnprepatch_503.call(this, Anim, bImmediate) }; } catch (e) {};
+try { let fnprepatch_504 = PlayerCameraManager.prototype.StopAllCameraShakes;PlayerCameraManager.prototype.StopAllCameraShakes = function (bImmediately = true) { return fnprepatch_504.call(this, bImmediately) }; } catch (e) {};
+try { let fnprepatch_505 = PlayerCameraManager.prototype.StopAllCameraAnims;PlayerCameraManager.prototype.StopAllCameraAnims = function (bImmediate = false) { return fnprepatch_505.call(this, bImmediate) }; } catch (e) {};
+try { let fnprepatch_506 = PlayerCameraManager.prototype.StartCameraFade;PlayerCameraManager.prototype.StartCameraFade = function (FromAlpha, ToAlpha, Duration, Color, bShouldFadeAudio = false, bHoldWhenFinished = false) { return fnprepatch_506.call(this, FromAlpha, ToAlpha, Duration, Color, bShouldFadeAudio, bHoldWhenFinished) }; } catch (e) {};
+try { let fnprepatch_507 = PlayerCameraManager.prototype.PlayCameraShake;PlayerCameraManager.prototype.PlayCameraShake = function (ShakeClass, Scale = 1, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_507.call(this, ShakeClass, Scale, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
+try { let fnprepatch_508 = PlayerCameraManager.prototype.PlayCameraAnim;PlayerCameraManager.prototype.PlayCameraAnim = function (Anim, Rate = 1, Scale = 1, BlendInTime = 0, BlendOutTime = 0, bLoop = false, bRandomStartTime = false, Duration = 0, PlaySpace = "CameraLocal", UserPlaySpaceRot) { return fnprepatch_508.call(this, Anim, Rate, Scale, BlendInTime, BlendOutTime, bLoop, bRandomStartTime, Duration, PlaySpace, UserPlaySpaceRot) }; } catch (e) {};
 try { PlayerState.prototype.OverrideWith = PlayerState.prototype.ReceiveOverrideWith; } catch (e) {};
 try { PlayerState.prototype.CopyProperties = PlayerState.prototype.ReceiveCopyProperties; } catch (e) {};
-try { let fnprepatch_398 = PointLightComponent.prototype.GetUnitsConversionFactor;PointLightComponent.prototype.GetUnitsConversionFactor = function (SrcUnits, TargetUnits, CosHalfConeAngle = -1) { return fnprepatch_398.call(this, SrcUnits, TargetUnits, CosHalfConeAngle) }; } catch (e) {};
-try { let fnprepatch_399 = PostProcessComponent.prototype.AddOrUpdateBlendable;PostProcessComponent.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_399.call(this, InBlendableObject, InWeight) }; } catch (e) {};
-try { let fnprepatch_400 = PostProcessVolume.prototype.AddOrUpdateBlendable;PostProcessVolume.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_400.call(this, InBlendableObject, InWeight) }; } catch (e) {};
-try { let fnprepatch_401 = SceneCaptureComponent2D.prototype.AddOrUpdateBlendable;SceneCaptureComponent2D.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_401.call(this, InBlendableObject, InWeight) }; } catch (e) {};
-try { let fnprepatch_402 = SkeletalMesh.prototype.IsSectionUsingCloth;SkeletalMesh.prototype.IsSectionUsingCloth = function (InSectionIndex, bCheckCorrespondingSections = true) { return fnprepatch_402.call(this, InSectionIndex, bCheckCorrespondingSections) }; } catch (e) {};
-try { let fnprepatch_403 = SplineComponent.prototype.SetUpVectorAtSplinePoint;SplineComponent.prototype.SetUpVectorAtSplinePoint = function (PointIndex, InUpVector, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_403.call(this, PointIndex, InUpVector, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_404 = SplineComponent.prototype.SetTangentsAtSplinePoint;SplineComponent.prototype.SetTangentsAtSplinePoint = function (PointIndex, InArriveTangent, InLeaveTangent, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_404.call(this, PointIndex, InArriveTangent, InLeaveTangent, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_405 = SplineComponent.prototype.SetTangentAtSplinePoint;SplineComponent.prototype.SetTangentAtSplinePoint = function (PointIndex, InTangent, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_405.call(this, PointIndex, InTangent, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_406 = SplineComponent.prototype.SetSplinePointType;SplineComponent.prototype.SetSplinePointType = function (PointIndex, Type, bUpdateSpline = true) { return fnprepatch_406.call(this, PointIndex, Type, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_407 = SplineComponent.prototype.SetSplinePoints;SplineComponent.prototype.SetSplinePoints = function (Points, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_407.call(this, Points, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_408 = SplineComponent.prototype.SetLocationAtSplinePoint;SplineComponent.prototype.SetLocationAtSplinePoint = function (PointIndex, InLocation, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_408.call(this, PointIndex, InLocation, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_409 = SplineComponent.prototype.SetClosedLoopAtPosition;SplineComponent.prototype.SetClosedLoopAtPosition = function (bInClosedLoop, Key, bUpdateSpline = true) { return fnprepatch_409.call(this, bInClosedLoop, Key, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_410 = SplineComponent.prototype.SetClosedLoop;SplineComponent.prototype.SetClosedLoop = function (bInClosedLoop, bUpdateSpline = true) { return fnprepatch_410.call(this, bInClosedLoop, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_411 = SplineComponent.prototype.RemoveSplinePoint;SplineComponent.prototype.RemoveSplinePoint = function (Index, bUpdateSpline = true) { return fnprepatch_411.call(this, Index, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_412 = SplineComponent.prototype.GetWorldRotationAtTime;SplineComponent.prototype.GetWorldRotationAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_412.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_413 = SplineComponent.prototype.GetWorldLocationAtTime;SplineComponent.prototype.GetWorldLocationAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_413.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_414 = SplineComponent.prototype.GetWorldDirectionAtTime;SplineComponent.prototype.GetWorldDirectionAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_414.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_415 = SplineComponent.prototype.GetUpVectorAtTime;SplineComponent.prototype.GetUpVectorAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_415.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_416 = SplineComponent.prototype.GetTransformAtTime;SplineComponent.prototype.GetTransformAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false, bUseScale = false) { return fnprepatch_416.call(this, Time, CoordinateSpace, bUseConstantVelocity, bUseScale) }; } catch (e) {};
-try { let fnprepatch_417 = SplineComponent.prototype.GetTransformAtSplinePoint;SplineComponent.prototype.GetTransformAtSplinePoint = function (PointIndex, CoordinateSpace, bUseScale = false) { return fnprepatch_417.call(this, PointIndex, CoordinateSpace, bUseScale) }; } catch (e) {};
-try { let fnprepatch_418 = SplineComponent.prototype.GetTransformAtDistanceAlongSpline;SplineComponent.prototype.GetTransformAtDistanceAlongSpline = function (Distance, CoordinateSpace, bUseScale = false) { return fnprepatch_418.call(this, Distance, CoordinateSpace, bUseScale) }; } catch (e) {};
-try { let fnprepatch_419 = SplineComponent.prototype.GetTangentAtTime;SplineComponent.prototype.GetTangentAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_419.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_420 = SplineComponent.prototype.GetScaleAtTime;SplineComponent.prototype.GetScaleAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_420.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_421 = SplineComponent.prototype.GetRotationAtTime;SplineComponent.prototype.GetRotationAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_421.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_422 = SplineComponent.prototype.GetRollAtTime;SplineComponent.prototype.GetRollAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_422.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_423 = SplineComponent.prototype.GetRightVectorAtTime;SplineComponent.prototype.GetRightVectorAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_423.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_424 = SplineComponent.prototype.GetLocationAtTime;SplineComponent.prototype.GetLocationAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_424.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_425 = SplineComponent.prototype.GetDirectionAtTime;SplineComponent.prototype.GetDirectionAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_425.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
-try { let fnprepatch_426 = SplineComponent.prototype.FindTransformClosestToWorldLocation;SplineComponent.prototype.FindTransformClosestToWorldLocation = function (WorldLocation, CoordinateSpace, bUseScale = false) { return fnprepatch_426.call(this, WorldLocation, CoordinateSpace, bUseScale) }; } catch (e) {};
-try { let fnprepatch_427 = SplineComponent.prototype.ClearSplinePoints;SplineComponent.prototype.ClearSplinePoints = function (bUpdateSpline = true) { return fnprepatch_427.call(this, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_428 = SplineComponent.prototype.AddSplinePointAtIndex;SplineComponent.prototype.AddSplinePointAtIndex = function (Position, Index, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_428.call(this, Position, Index, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_429 = SplineComponent.prototype.AddSplinePoint;SplineComponent.prototype.AddSplinePoint = function (Position, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_429.call(this, Position, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_430 = SplineComponent.prototype.AddPoints;SplineComponent.prototype.AddPoints = function (Points, bUpdateSpline = true) { return fnprepatch_430.call(this, Points, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_431 = SplineComponent.prototype.AddPoint;SplineComponent.prototype.AddPoint = function (Point, bUpdateSpline = true) { return fnprepatch_431.call(this, Point, bUpdateSpline) }; } catch (e) {};
-try { let fnprepatch_432 = SplineMeshComponent.prototype.SetStartTangent;SplineMeshComponent.prototype.SetStartTangent = function (StartTangent, bUpdateMesh = true) { return fnprepatch_432.call(this, StartTangent, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_433 = SplineMeshComponent.prototype.SetStartScale;SplineMeshComponent.prototype.SetStartScale = function (StartScale = {"X":1,"Y":1}, bUpdateMesh = true) { return fnprepatch_433.call(this, StartScale, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_434 = SplineMeshComponent.prototype.SetStartRoll;SplineMeshComponent.prototype.SetStartRoll = function (StartRoll, bUpdateMesh = true) { return fnprepatch_434.call(this, StartRoll, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_435 = SplineMeshComponent.prototype.SetStartPosition;SplineMeshComponent.prototype.SetStartPosition = function (StartPos, bUpdateMesh = true) { return fnprepatch_435.call(this, StartPos, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_436 = SplineMeshComponent.prototype.SetStartOffset;SplineMeshComponent.prototype.SetStartOffset = function (StartOffset, bUpdateMesh = true) { return fnprepatch_436.call(this, StartOffset, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_437 = SplineMeshComponent.prototype.SetStartAndEnd;SplineMeshComponent.prototype.SetStartAndEnd = function (StartPos, StartTangent, EndPos, EndTangent, bUpdateMesh = true) { return fnprepatch_437.call(this, StartPos, StartTangent, EndPos, EndTangent, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_438 = SplineMeshComponent.prototype.SetSplineUpDir;SplineMeshComponent.prototype.SetSplineUpDir = function (InSplineUpDir, bUpdateMesh = true) { return fnprepatch_438.call(this, InSplineUpDir, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_439 = SplineMeshComponent.prototype.SetForwardAxis;SplineMeshComponent.prototype.SetForwardAxis = function (InForwardAxis, bUpdateMesh = true) { return fnprepatch_439.call(this, InForwardAxis, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_440 = SplineMeshComponent.prototype.SetEndTangent;SplineMeshComponent.prototype.SetEndTangent = function (EndTangent, bUpdateMesh = true) { return fnprepatch_440.call(this, EndTangent, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_441 = SplineMeshComponent.prototype.SetEndScale;SplineMeshComponent.prototype.SetEndScale = function (EndScale = {"X":1,"Y":1}, bUpdateMesh = true) { return fnprepatch_441.call(this, EndScale, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_442 = SplineMeshComponent.prototype.SetEndRoll;SplineMeshComponent.prototype.SetEndRoll = function (EndRoll, bUpdateMesh = true) { return fnprepatch_442.call(this, EndRoll, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_443 = SplineMeshComponent.prototype.SetEndPosition;SplineMeshComponent.prototype.SetEndPosition = function (EndPos, bUpdateMesh = true) { return fnprepatch_443.call(this, EndPos, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_444 = SplineMeshComponent.prototype.SetEndOffset;SplineMeshComponent.prototype.SetEndOffset = function (EndOffset, bUpdateMesh = true) { return fnprepatch_444.call(this, EndOffset, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_445 = SplineMeshComponent.prototype.SetBoundaryMin;SplineMeshComponent.prototype.SetBoundaryMin = function (InBoundaryMin, bUpdateMesh = true) { return fnprepatch_445.call(this, InBoundaryMin, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_446 = SplineMeshComponent.prototype.SetBoundaryMax;SplineMeshComponent.prototype.SetBoundaryMax = function (InBoundaryMax, bUpdateMesh = true) { return fnprepatch_446.call(this, InBoundaryMax, bUpdateMesh) }; } catch (e) {};
-try { let fnprepatch_447 = StereoLayerFunctionLibrary.prototype.SetSplashScreen;StereoLayerFunctionLibrary.prototype.SetSplashScreen = function (Texture, Scale = {"X":1,"Y":1}, Offset = {"X":0,"Y":0}, bShowLoadingMovie = false, bShowOnSet = false) { return fnprepatch_447.call(this, Texture, Scale, Offset, bShowLoadingMovie, bShowOnSet) }; } catch (e) {};
+try { let fnprepatch_509 = PostProcessComponent.prototype.AddOrUpdateBlendable;PostProcessComponent.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_509.call(this, InBlendableObject, InWeight) }; } catch (e) {};
+try { let fnprepatch_510 = PostProcessVolume.prototype.AddOrUpdateBlendable;PostProcessVolume.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_510.call(this, InBlendableObject, InWeight) }; } catch (e) {};
+try { let fnprepatch_511 = SceneCaptureComponent2D.prototype.AddOrUpdateBlendable;SceneCaptureComponent2D.prototype.AddOrUpdateBlendable = function (InBlendableObject, InWeight = 1) { return fnprepatch_511.call(this, InBlendableObject, InWeight) }; } catch (e) {};
+try { let fnprepatch_512 = SkeletalMesh.prototype.IsSectionUsingCloth;SkeletalMesh.prototype.IsSectionUsingCloth = function (InSectionIndex, bCheckCorrespondingSections = true) { return fnprepatch_512.call(this, InSectionIndex, bCheckCorrespondingSections) }; } catch (e) {};
+try { let fnprepatch_513 = SoundSubmix.prototype.StopRecordingOutput;SoundSubmix.prototype.StopRecordingOutput = function (WorldContextObject, ExportType, Name, Path, ExistingSoundWaveToOverwrite = undefined) { return fnprepatch_513.call(this, WorldContextObject, ExportType, Name, Path, ExistingSoundWaveToOverwrite) }; } catch (e) {};
+try { SoundSubmix.prototype.FinishRecordingSubmixOutput = SoundSubmix.prototype.StopRecordingOutput; } catch (e) {};
+try { SoundSubmix.prototype.StartRecordingSubmixOutput = SoundSubmix.prototype.StartRecordingOutput; } catch (e) {};
+try { let fnprepatch_514 = SplineComponent.prototype.SetUpVectorAtSplinePoint;SplineComponent.prototype.SetUpVectorAtSplinePoint = function (PointIndex, InUpVector, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_514.call(this, PointIndex, InUpVector, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_515 = SplineComponent.prototype.SetTangentsAtSplinePoint;SplineComponent.prototype.SetTangentsAtSplinePoint = function (PointIndex, InArriveTangent, InLeaveTangent, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_515.call(this, PointIndex, InArriveTangent, InLeaveTangent, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_516 = SplineComponent.prototype.SetTangentAtSplinePoint;SplineComponent.prototype.SetTangentAtSplinePoint = function (PointIndex, InTangent, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_516.call(this, PointIndex, InTangent, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_517 = SplineComponent.prototype.SetSplinePointType;SplineComponent.prototype.SetSplinePointType = function (PointIndex, Type, bUpdateSpline = true) { return fnprepatch_517.call(this, PointIndex, Type, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_518 = SplineComponent.prototype.SetSplinePoints;SplineComponent.prototype.SetSplinePoints = function (Points, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_518.call(this, Points, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_519 = SplineComponent.prototype.SetLocationAtSplinePoint;SplineComponent.prototype.SetLocationAtSplinePoint = function (PointIndex, InLocation, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_519.call(this, PointIndex, InLocation, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_520 = SplineComponent.prototype.SetClosedLoopAtPosition;SplineComponent.prototype.SetClosedLoopAtPosition = function (bInClosedLoop, Key, bUpdateSpline = true) { return fnprepatch_520.call(this, bInClosedLoop, Key, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_521 = SplineComponent.prototype.SetClosedLoop;SplineComponent.prototype.SetClosedLoop = function (bInClosedLoop, bUpdateSpline = true) { return fnprepatch_521.call(this, bInClosedLoop, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_522 = SplineComponent.prototype.RemoveSplinePoint;SplineComponent.prototype.RemoveSplinePoint = function (Index, bUpdateSpline = true) { return fnprepatch_522.call(this, Index, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_523 = SplineComponent.prototype.GetWorldRotationAtTime;SplineComponent.prototype.GetWorldRotationAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_523.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_524 = SplineComponent.prototype.GetWorldLocationAtTime;SplineComponent.prototype.GetWorldLocationAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_524.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_525 = SplineComponent.prototype.GetWorldDirectionAtTime;SplineComponent.prototype.GetWorldDirectionAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_525.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_526 = SplineComponent.prototype.GetUpVectorAtTime;SplineComponent.prototype.GetUpVectorAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_526.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_527 = SplineComponent.prototype.GetTransformAtTime;SplineComponent.prototype.GetTransformAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false, bUseScale = false) { return fnprepatch_527.call(this, Time, CoordinateSpace, bUseConstantVelocity, bUseScale) }; } catch (e) {};
+try { let fnprepatch_528 = SplineComponent.prototype.GetTransformAtSplinePoint;SplineComponent.prototype.GetTransformAtSplinePoint = function (PointIndex, CoordinateSpace, bUseScale = false) { return fnprepatch_528.call(this, PointIndex, CoordinateSpace, bUseScale) }; } catch (e) {};
+try { let fnprepatch_529 = SplineComponent.prototype.GetTransformAtDistanceAlongSpline;SplineComponent.prototype.GetTransformAtDistanceAlongSpline = function (Distance, CoordinateSpace, bUseScale = false) { return fnprepatch_529.call(this, Distance, CoordinateSpace, bUseScale) }; } catch (e) {};
+try { let fnprepatch_530 = SplineComponent.prototype.GetTangentAtTime;SplineComponent.prototype.GetTangentAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_530.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_531 = SplineComponent.prototype.GetScaleAtTime;SplineComponent.prototype.GetScaleAtTime = function (Time, bUseConstantVelocity = false) { return fnprepatch_531.call(this, Time, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_532 = SplineComponent.prototype.GetRotationAtTime;SplineComponent.prototype.GetRotationAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_532.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_533 = SplineComponent.prototype.GetRollAtTime;SplineComponent.prototype.GetRollAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_533.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_534 = SplineComponent.prototype.GetRightVectorAtTime;SplineComponent.prototype.GetRightVectorAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_534.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_535 = SplineComponent.prototype.GetLocationAtTime;SplineComponent.prototype.GetLocationAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_535.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_536 = SplineComponent.prototype.GetDirectionAtTime;SplineComponent.prototype.GetDirectionAtTime = function (Time, CoordinateSpace, bUseConstantVelocity = false) { return fnprepatch_536.call(this, Time, CoordinateSpace, bUseConstantVelocity) }; } catch (e) {};
+try { let fnprepatch_537 = SplineComponent.prototype.FindTransformClosestToWorldLocation;SplineComponent.prototype.FindTransformClosestToWorldLocation = function (WorldLocation, CoordinateSpace, bUseScale = false) { return fnprepatch_537.call(this, WorldLocation, CoordinateSpace, bUseScale) }; } catch (e) {};
+try { let fnprepatch_538 = SplineComponent.prototype.ClearSplinePoints;SplineComponent.prototype.ClearSplinePoints = function (bUpdateSpline = true) { return fnprepatch_538.call(this, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_539 = SplineComponent.prototype.AddSplinePointAtIndex;SplineComponent.prototype.AddSplinePointAtIndex = function (Position, Index, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_539.call(this, Position, Index, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_540 = SplineComponent.prototype.AddSplinePoint;SplineComponent.prototype.AddSplinePoint = function (Position, CoordinateSpace, bUpdateSpline = true) { return fnprepatch_540.call(this, Position, CoordinateSpace, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_541 = SplineComponent.prototype.AddPoints;SplineComponent.prototype.AddPoints = function (Points, bUpdateSpline = true) { return fnprepatch_541.call(this, Points, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_542 = SplineComponent.prototype.AddPoint;SplineComponent.prototype.AddPoint = function (Point, bUpdateSpline = true) { return fnprepatch_542.call(this, Point, bUpdateSpline) }; } catch (e) {};
+try { let fnprepatch_543 = SplineMeshComponent.prototype.SetStartTangent;SplineMeshComponent.prototype.SetStartTangent = function (StartTangent, bUpdateMesh = true) { return fnprepatch_543.call(this, StartTangent, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_544 = SplineMeshComponent.prototype.SetStartScale;SplineMeshComponent.prototype.SetStartScale = function (StartScale = {"X":1,"Y":1}, bUpdateMesh = true) { return fnprepatch_544.call(this, StartScale, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_545 = SplineMeshComponent.prototype.SetStartRoll;SplineMeshComponent.prototype.SetStartRoll = function (StartRoll, bUpdateMesh = true) { return fnprepatch_545.call(this, StartRoll, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_546 = SplineMeshComponent.prototype.SetStartPosition;SplineMeshComponent.prototype.SetStartPosition = function (StartPos, bUpdateMesh = true) { return fnprepatch_546.call(this, StartPos, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_547 = SplineMeshComponent.prototype.SetStartOffset;SplineMeshComponent.prototype.SetStartOffset = function (StartOffset, bUpdateMesh = true) { return fnprepatch_547.call(this, StartOffset, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_548 = SplineMeshComponent.prototype.SetStartAndEnd;SplineMeshComponent.prototype.SetStartAndEnd = function (StartPos, StartTangent, EndPos, EndTangent, bUpdateMesh = true) { return fnprepatch_548.call(this, StartPos, StartTangent, EndPos, EndTangent, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_549 = SplineMeshComponent.prototype.SetSplineUpDir;SplineMeshComponent.prototype.SetSplineUpDir = function (InSplineUpDir, bUpdateMesh = true) { return fnprepatch_549.call(this, InSplineUpDir, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_550 = SplineMeshComponent.prototype.SetForwardAxis;SplineMeshComponent.prototype.SetForwardAxis = function (InForwardAxis, bUpdateMesh = true) { return fnprepatch_550.call(this, InForwardAxis, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_551 = SplineMeshComponent.prototype.SetEndTangent;SplineMeshComponent.prototype.SetEndTangent = function (EndTangent, bUpdateMesh = true) { return fnprepatch_551.call(this, EndTangent, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_552 = SplineMeshComponent.prototype.SetEndScale;SplineMeshComponent.prototype.SetEndScale = function (EndScale = {"X":1,"Y":1}, bUpdateMesh = true) { return fnprepatch_552.call(this, EndScale, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_553 = SplineMeshComponent.prototype.SetEndRoll;SplineMeshComponent.prototype.SetEndRoll = function (EndRoll, bUpdateMesh = true) { return fnprepatch_553.call(this, EndRoll, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_554 = SplineMeshComponent.prototype.SetEndPosition;SplineMeshComponent.prototype.SetEndPosition = function (EndPos, bUpdateMesh = true) { return fnprepatch_554.call(this, EndPos, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_555 = SplineMeshComponent.prototype.SetEndOffset;SplineMeshComponent.prototype.SetEndOffset = function (EndOffset, bUpdateMesh = true) { return fnprepatch_555.call(this, EndOffset, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_556 = SplineMeshComponent.prototype.SetBoundaryMin;SplineMeshComponent.prototype.SetBoundaryMin = function (InBoundaryMin, bUpdateMesh = true) { return fnprepatch_556.call(this, InBoundaryMin, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_557 = SplineMeshComponent.prototype.SetBoundaryMax;SplineMeshComponent.prototype.SetBoundaryMax = function (InBoundaryMax, bUpdateMesh = true) { return fnprepatch_557.call(this, InBoundaryMax, bUpdateMesh) }; } catch (e) {};
+try { let fnprepatch_558 = StereoLayerFunctionLibrary.prototype.SetSplashScreen;StereoLayerFunctionLibrary.prototype.SetSplashScreen = function (Texture, Scale = {"X":1,"Y":1}, Offset, bShowLoadingMovie = false, bShowOnSet = false) { return fnprepatch_558.call(this, Texture, Scale, Offset, bShowLoadingMovie, bShowOnSet) }; } catch (e) {};
 try { TextRenderComponent.prototype.SetText = TextRenderComponent.prototype.K2_SetText; } catch (e) {};
-try { let fnprepatch_448 = TimelineComponent.prototype.SetPlaybackPosition;TimelineComponent.prototype.SetPlaybackPosition = function (NewPosition, bFireEvents, bFireUpdate = true) { return fnprepatch_448.call(this, NewPosition, bFireEvents, bFireUpdate) }; } catch (e) {};
-try { let fnprepatch_449 = VisualLoggerKismetLibrary.prototype.LogText;VisualLoggerKismetLibrary.prototype.LogText = function (WorldContextObject, Text, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_449.call(this, WorldContextObject, Text, LogCategory, bAddToMessageLog) }; } catch (e) {};
-try { let fnprepatch_450 = VisualLoggerKismetLibrary.prototype.LogSegment;VisualLoggerKismetLibrary.prototype.LogSegment = function (WorldContextObject, SegmentStart, SegmentEnd, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, Thickness = 0, CategoryName = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_450.call(this, WorldContextObject, SegmentStart, SegmentEnd, Text, ObjectColor, Thickness, CategoryName, bAddToMessageLog) }; } catch (e) {};
-try { let fnprepatch_451 = VisualLoggerKismetLibrary.prototype.LogLocation;VisualLoggerKismetLibrary.prototype.LogLocation = function (WorldContextObject, Location, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, Radius = 10, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_451.call(this, WorldContextObject, Location, Text, ObjectColor, Radius, LogCategory, bAddToMessageLog) }; } catch (e) {};
-try { let fnprepatch_452 = VisualLoggerKismetLibrary.prototype.LogBox;VisualLoggerKismetLibrary.prototype.LogBox = function (WorldContextObject, BoxShape, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_452.call(this, WorldContextObject, BoxShape, Text, ObjectColor, LogCategory, bAddToMessageLog) }; } catch (e) {};
+try { let fnprepatch_559 = TimelineComponent.prototype.SetPlaybackPosition;TimelineComponent.prototype.SetPlaybackPosition = function (NewPosition, bFireEvents, bFireUpdate = true) { return fnprepatch_559.call(this, NewPosition, bFireEvents, bFireUpdate) }; } catch (e) {};
+try { let fnprepatch_560 = VisualLoggerKismetLibrary.prototype.LogText;VisualLoggerKismetLibrary.prototype.LogText = function (WorldContextObject, Text, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_560.call(this, WorldContextObject, Text, LogCategory, bAddToMessageLog) }; } catch (e) {};
+try { let fnprepatch_561 = VisualLoggerKismetLibrary.prototype.LogSegment;VisualLoggerKismetLibrary.prototype.LogSegment = function (WorldContextObject, SegmentStart, SegmentEnd, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, Thickness = 0, CategoryName = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_561.call(this, WorldContextObject, SegmentStart, SegmentEnd, Text, ObjectColor, Thickness, CategoryName, bAddToMessageLog) }; } catch (e) {};
+try { let fnprepatch_562 = VisualLoggerKismetLibrary.prototype.LogLocation;VisualLoggerKismetLibrary.prototype.LogLocation = function (WorldContextObject, Location, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, Radius = 10, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_562.call(this, WorldContextObject, Location, Text, ObjectColor, Radius, LogCategory, bAddToMessageLog) }; } catch (e) {};
+try { let fnprepatch_563 = VisualLoggerKismetLibrary.prototype.LogBox;VisualLoggerKismetLibrary.prototype.LogBox = function (WorldContextObject, BoxShape, Text, ObjectColor = {"R":0,"G":0,"B":1,"A":1}, LogCategory = "VisLogBP", bAddToMessageLog = false) { return fnprepatch_563.call(this, WorldContextObject, BoxShape, Text, ObjectColor, LogCategory, bAddToMessageLog) }; } catch (e) {};
 try { VisualLoggerKismetLibrary.prototype.VisLogText = VisualLoggerKismetLibrary.prototype.LogText; } catch (e) {};
 try { VisualLoggerKismetLibrary.VisLogText = VisualLoggerKismetLibrary.LogText; } catch (e) {};
 try { VisualLoggerKismetLibrary.prototype.VisLogSegment = VisualLoggerKismetLibrary.prototype.LogSegment; } catch (e) {};
@@ -1425,43 +1862,55 @@ try { VisualLoggerKismetLibrary.prototype.EnableVisLogRecording = VisualLoggerKi
 try { VisualLoggerKismetLibrary.EnableVisLogRecording = VisualLoggerKismetLibrary.EnableRecording; } catch (e) {};
 try { VOIPTalker.prototype.EndTalking = VOIPTalker.prototype.BPOnTalkingEnd; } catch (e) {};
 try { VOIPTalker.prototype.BeginTalking = VOIPTalker.prototype.BPOnTalkingBegin; } catch (e) {};
-try { let fnprepatch_453 = AnimationBlueprintLibrary.prototype.RemoveCurve;AnimationBlueprintLibrary.prototype.RemoveCurve = function (AnimationSequence, CurveName, bRemoveNameFromSkeleton = false) { return fnprepatch_453.call(this, AnimationSequence, CurveName, bRemoveNameFromSkeleton) }; } catch (e) {};
-try { let fnprepatch_454 = AnimationBlueprintLibrary.prototype.RemoveBoneAnimation;AnimationBlueprintLibrary.prototype.RemoveBoneAnimation = function (AnimationSequence, BoneName, bIncludeChildren = true, bFinalize = true) { return fnprepatch_454.call(this, AnimationSequence, BoneName, bIncludeChildren, bFinalize) }; } catch (e) {};
-try { let fnprepatch_455 = AnimationBlueprintLibrary.prototype.AddCurve;AnimationBlueprintLibrary.prototype.AddCurve = function (AnimationSequence, CurveName, CurveType = "RCT_Float", bMetaDataCurve = false) { return fnprepatch_455.call(this, AnimationSequence, CurveName, CurveType, bMetaDataCurve) }; } catch (e) {};
-try { let fnprepatch_456 = AnimationBlueprintLibrary.prototype.AddAnimationNotifyTrack;AnimationBlueprintLibrary.prototype.AddAnimationNotifyTrack = function (AnimationSequence, NotifyTrackName, TrackColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_456.call(this, AnimationSequence, NotifyTrackName, TrackColor) }; } catch (e) {};
-try { let fnprepatch_457 = AchievementWriteCallbackProxy.prototype.WriteAchievementProgress;AchievementWriteCallbackProxy.prototype.WriteAchievementProgress = function (WorldContextObject, PlayerController, AchievementName, Progress = 100, UserTag = 0) { return fnprepatch_457.call(this, WorldContextObject, PlayerController, AchievementName, Progress, UserTag) }; } catch (e) {};
+try { let fnprepatch_564 = AnimationBlueprintLibrary.prototype.RemoveCurve;AnimationBlueprintLibrary.prototype.RemoveCurve = function (AnimationSequence, CurveName, bRemoveNameFromSkeleton = false) { return fnprepatch_564.call(this, AnimationSequence, CurveName, bRemoveNameFromSkeleton) }; } catch (e) {};
+try { let fnprepatch_565 = AnimationBlueprintLibrary.prototype.RemoveBoneAnimation;AnimationBlueprintLibrary.prototype.RemoveBoneAnimation = function (AnimationSequence, BoneName, bIncludeChildren = true, bFinalize = true) { return fnprepatch_565.call(this, AnimationSequence, BoneName, bIncludeChildren, bFinalize) }; } catch (e) {};
+try { let fnprepatch_566 = AnimationBlueprintLibrary.prototype.GetBonePosesForTime;AnimationBlueprintLibrary.prototype.GetBonePosesForTime = function (AnimationSequence, BoneNames, Time, bExtractRootMotion, Poses, PreviewMesh = undefined) { return fnprepatch_566.call(this, AnimationSequence, BoneNames, Time, bExtractRootMotion, Poses, PreviewMesh) }; } catch (e) {};
+try { let fnprepatch_567 = AnimationBlueprintLibrary.prototype.GetBonePosesForFrame;AnimationBlueprintLibrary.prototype.GetBonePosesForFrame = function (AnimationSequence, BoneNames, Frame, bExtractRootMotion, Poses, PreviewMesh = undefined) { return fnprepatch_567.call(this, AnimationSequence, BoneNames, Frame, bExtractRootMotion, Poses, PreviewMesh) }; } catch (e) {};
+try { let fnprepatch_568 = AnimationBlueprintLibrary.prototype.AddCurve;AnimationBlueprintLibrary.prototype.AddCurve = function (AnimationSequence, CurveName, CurveType = "RCT_Float", bMetaDataCurve = false) { return fnprepatch_568.call(this, AnimationSequence, CurveName, CurveType, bMetaDataCurve) }; } catch (e) {};
+try { let fnprepatch_569 = AnimationBlueprintLibrary.prototype.AddAnimationNotifyTrack;AnimationBlueprintLibrary.prototype.AddAnimationNotifyTrack = function (AnimationSequence, NotifyTrackName, TrackColor = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_569.call(this, AnimationSequence, NotifyTrackName, TrackColor) }; } catch (e) {};
+try { let fnprepatch_570 = AchievementWriteCallbackProxy.prototype.WriteAchievementProgress;AchievementWriteCallbackProxy.prototype.WriteAchievementProgress = function (WorldContextObject, PlayerController, AchievementName, Progress = 100, UserTag = 0) { return fnprepatch_570.call(this, WorldContextObject, PlayerController, AchievementName, Progress, UserTag) }; } catch (e) {};
 try { InAppPurchaseQueryCallbackProxy.prototype.ReadInAppPurchaseInformation = InAppPurchaseQueryCallbackProxy.prototype.CreateProxyObjectForInAppPurchaseQuery; } catch (e) {};
 try { InAppPurchaseQueryCallbackProxy.ReadInAppPurchaseInformation = InAppPurchaseQueryCallbackProxy.CreateProxyObjectForInAppPurchaseQuery; } catch (e) {};
 try { LeaderboardQueryCallbackProxy.prototype.ReadLeaderboardInteger = LeaderboardQueryCallbackProxy.prototype.CreateProxyObjectForIntQuery; } catch (e) {};
 try { LeaderboardQueryCallbackProxy.ReadLeaderboardInteger = LeaderboardQueryCallbackProxy.CreateProxyObjectForIntQuery; } catch (e) {};
-try { let fnprepatch_458 = ARBlueprintLibrary.prototype.PinComponentToTraceResult;ARBlueprintLibrary.prototype.PinComponentToTraceResult = function (ComponentToPin, TraceResult, DebugName = "None") { return fnprepatch_458.call(this, ComponentToPin, TraceResult, DebugName) }; } catch (e) {};
-try { let fnprepatch_459 = ARBlueprintLibrary.prototype.PinComponent;ARBlueprintLibrary.prototype.PinComponent = function (ComponentToPin, PinToWorldTransform, TrackedGeometry, DebugName = "None") { return fnprepatch_459.call(this, ComponentToPin, PinToWorldTransform, TrackedGeometry, DebugName) }; } catch (e) {};
-try { let fnprepatch_460 = ARBlueprintLibrary.prototype.LineTraceTrackedObjects;ARBlueprintLibrary.prototype.LineTraceTrackedObjects = function (ScreenCoord, bTestFeaturePoints = true, bTestGroundPlane = true, bTestPlaneExtents = true, bTestPlaneBoundaryPolygon = true) { return fnprepatch_460.call(this, ScreenCoord, bTestFeaturePoints, bTestGroundPlane, bTestPlaneExtents, bTestPlaneBoundaryPolygon) }; } catch (e) {};
-try { let fnprepatch_461 = ARBlueprintLibrary.prototype.DebugDrawTrackedGeometry;ARBlueprintLibrary.prototype.DebugDrawTrackedGeometry = function (TrackedGeometry, WorldContextObject, Color = {"R":1,"G":1,"B":0,"A":0.75}, OutlineThickness = 5, PersistForSeconds = 0) { return fnprepatch_461.call(this, TrackedGeometry, WorldContextObject, Color, OutlineThickness, PersistForSeconds) }; } catch (e) {};
-try { let fnprepatch_462 = ARBlueprintLibrary.prototype.DebugDrawPin;ARBlueprintLibrary.prototype.DebugDrawPin = function (ARPin, WorldContextObject, Color = {"R":1,"G":1,"B":0,"A":0.75}, Scale = 5, PersistForSeconds = 0) { return fnprepatch_462.call(this, ARPin, WorldContextObject, Color, Scale, PersistForSeconds) }; } catch (e) {};
+try { let fnprepatch_571 = OculusFunctionLibrary.prototype.SetColorScaleAndOffset;OculusFunctionLibrary.prototype.SetColorScaleAndOffset = function (ColorScale, ColorOffset, bApplyToAllLayers = false) { return fnprepatch_571.call(this, ColorScale, ColorOffset, bApplyToAllLayers) }; } catch (e) {};
+try { let fnprepatch_572 = OculusFunctionLibrary.prototype.HideLoadingSplashScreen;OculusFunctionLibrary.prototype.HideLoadingSplashScreen = function (bClear = false) { return fnprepatch_572.call(this, bClear) }; } catch (e) {};
+try { let fnprepatch_573 = OculusFunctionLibrary.prototype.GetRawSensorData;OculusFunctionLibrary.prototype.GetRawSensorData = function (AngularAcceleration, LinearAcceleration, AngularVelocity, LinearVelocity, TimeInSeconds, DeviceType = "None") { return fnprepatch_573.call(this, AngularAcceleration, LinearAcceleration, AngularVelocity, LinearVelocity, TimeInSeconds, DeviceType) }; } catch (e) {};
+try { let fnprepatch_574 = OculusFunctionLibrary.prototype.GetPose;OculusFunctionLibrary.prototype.GetPose = function (DeviceRotation, DevicePosition, NeckPosition, bUseOrienationForPlayerCamera = false, bUsePositionForPlayerCamera = false, PositionScale) { return fnprepatch_574.call(this, DeviceRotation, DevicePosition, NeckPosition, bUseOrienationForPlayerCamera, bUsePositionForPlayerCamera, PositionScale) }; } catch (e) {};
+try { let fnprepatch_575 = OculusFunctionLibrary.prototype.GetGuardianPoints;OculusFunctionLibrary.prototype.GetGuardianPoints = function (BoundaryType, UsePawnSpace = false) { return fnprepatch_575.call(this, BoundaryType, UsePawnSpace) }; } catch (e) {};
+try { let fnprepatch_576 = OculusFunctionLibrary.prototype.AddLoadingSplashScreen;OculusFunctionLibrary.prototype.AddLoadingSplashScreen = function (Texture, TranslationInMeters, Rotation, SizeInMeters = {"X":1,"Y":1}, DeltaRotation, bClearBeforeAdd = false) { return fnprepatch_576.call(this, Texture, TranslationInMeters, Rotation, SizeInMeters, DeltaRotation, bClearBeforeAdd) }; } catch (e) {};
+try { let fnprepatch_577 = KismetProceduralMeshLibrary.prototype.CreateGridMeshWelded;KismetProceduralMeshLibrary.prototype.CreateGridMeshWelded = function (NumX, NumY, Triangles, Vertices, UVs, GridSpacing = 16) { return fnprepatch_577.call(this, NumX, NumY, Triangles, Vertices, UVs, GridSpacing) }; } catch (e) {};
+try { let fnprepatch_578 = KismetProceduralMeshLibrary.prototype.CreateGridMeshSplit;KismetProceduralMeshLibrary.prototype.CreateGridMeshSplit = function (NumX, NumY, Triangles, Vertices, UVs, UV1s, GridSpacing = 16) { return fnprepatch_578.call(this, NumX, NumY, Triangles, Vertices, UVs, UV1s, GridSpacing) }; } catch (e) {};
 try { ProceduralMeshComponent.prototype.UpdateMeshSection = ProceduralMeshComponent.prototype.UpdateMeshSection_LinearColor; } catch (e) {};
 try { ProceduralMeshComponent.prototype.UpdateMeshSectionFColor = ProceduralMeshComponent.prototype.UpdateMeshSection; } catch (e) {};
 try { ProceduralMeshComponent.prototype.CreateMeshSection = ProceduralMeshComponent.prototype.CreateMeshSection_LinearColor; } catch (e) {};
 try { ProceduralMeshComponent.prototype.CreateMeshSectionFColor = ProceduralMeshComponent.prototype.CreateMeshSection; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.UpdateFaceMeshfromBlendShapes = AppleARKitFaceMeshComponent.prototype.UpdateMeshFromBlendShapes; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.UpdateMeshSectionFColor = AppleARKitFaceMeshComponent.prototype.UpdateMesh; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.CreateFaceMeshfromBlendShapes = AppleARKitFaceMeshComponent.prototype.SetBlendShapes; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.SetthevalueofaBlendShape = AppleARKitFaceMeshComponent.prototype.SetBlendShapeAmount; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.Modifyautobindtolocalfacetracking = AppleARKitFaceMeshComponent.prototype.SetAutoBind; } catch (e) {};
-try { AppleARKitFaceMeshComponent.prototype.CreateFaceMesh = AppleARKitFaceMeshComponent.prototype.CreateMesh; } catch (e) {};
-try { let fnprepatch_463 = OculusFunctionLibrary.prototype.HideLoadingSplashScreen;OculusFunctionLibrary.prototype.HideLoadingSplashScreen = function (bClear = false) { return fnprepatch_463.call(this, bClear) }; } catch (e) {};
-try { let fnprepatch_464 = OculusFunctionLibrary.prototype.GetRawSensorData;OculusFunctionLibrary.prototype.GetRawSensorData = function (AngularAcceleration, LinearAcceleration, AngularVelocity, LinearVelocity, TimeInSeconds, DeviceType = "None") { return fnprepatch_464.call(this, AngularAcceleration, LinearAcceleration, AngularVelocity, LinearVelocity, TimeInSeconds, DeviceType) }; } catch (e) {};
-try { let fnprepatch_465 = OculusFunctionLibrary.prototype.GetPose;OculusFunctionLibrary.prototype.GetPose = function (DeviceRotation, DevicePosition, NeckPosition, bUseOrienationForPlayerCamera = false, bUsePositionForPlayerCamera = false, PositionScale) { return fnprepatch_465.call(this, DeviceRotation, DevicePosition, NeckPosition, bUseOrienationForPlayerCamera, bUsePositionForPlayerCamera, PositionScale) }; } catch (e) {};
-try { let fnprepatch_466 = OculusFunctionLibrary.prototype.AddLoadingSplashScreen;OculusFunctionLibrary.prototype.AddLoadingSplashScreen = function (Texture, TranslationInMeters, Rotation, SizeInMeters = {"X":1,"Y":1}, DeltaRotation, bClearBeforeAdd = false) { return fnprepatch_466.call(this, Texture, TranslationInMeters, Rotation, SizeInMeters, DeltaRotation, bClearBeforeAdd) }; } catch (e) {};
-try { let fnprepatch_467 = AssetTools.prototype.RenameAssetsWithDialog;AssetTools.prototype.RenameAssetsWithDialog = function (AssetsAndNames, bAutoCheckout = false) { return fnprepatch_467.call(this, AssetsAndNames, bAutoCheckout) }; } catch (e) {};
-try { let fnprepatch_468 = AssetTools.prototype.CreateAssetWithDialog;AssetTools.prototype.CreateAssetWithDialog = function (AssetName, PackagePath, AssetClass, Factory, CallingContext = "None") { return fnprepatch_468.call(this, AssetName, PackagePath, AssetClass, Factory, CallingContext) }; } catch (e) {};
-try { let fnprepatch_469 = AssetTools.prototype.CreateAsset;AssetTools.prototype.CreateAsset = function (AssetName, PackagePath, AssetClass, Factory, CallingContext = "None") { return fnprepatch_469.call(this, AssetName, PackagePath, AssetClass, Factory, CallingContext) }; } catch (e) {};
-try { let fnprepatch_470 = AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForRendering;AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForRendering = function (Tolerance = "Low", Delay = 0.20000000298023224) { return fnprepatch_470.call(this, Tolerance, Delay) }; } catch (e) {};
-try { let fnprepatch_471 = AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForGameplay;AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForGameplay = function (Tolerance = "Low", Delay = 0.20000000298023224) { return fnprepatch_471.call(this, Tolerance, Delay) }; } catch (e) {};
-try { let fnprepatch_472 = FunctionalTest.prototype.AssertEqual_Vector;FunctionalTest.prototype.AssertEqual_Vector = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject) { return fnprepatch_472.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
-try { let fnprepatch_473 = FunctionalTest.prototype.AssertEqual_Transform;FunctionalTest.prototype.AssertEqual_Transform = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject) { return fnprepatch_473.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
-try { let fnprepatch_474 = FunctionalTest.prototype.AssertEqual_Rotator;FunctionalTest.prototype.AssertEqual_Rotator = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject) { return fnprepatch_474.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
-try { let fnprepatch_475 = FunctionalTest.prototype.AssertEqual_Float;FunctionalTest.prototype.AssertEqual_Float = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject) { return fnprepatch_475.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
+try { let fnprepatch_579 = AssetTools.prototype.RenameAssetsWithDialog;AssetTools.prototype.RenameAssetsWithDialog = function (AssetsAndNames, bAutoCheckout = false) { return fnprepatch_579.call(this, AssetsAndNames, bAutoCheckout) }; } catch (e) {};
+try { let fnprepatch_580 = AssetTools.prototype.CreateAssetWithDialog;AssetTools.prototype.CreateAssetWithDialog = function (AssetName, PackagePath, AssetClass, Factory, CallingContext = "None") { return fnprepatch_580.call(this, AssetName, PackagePath, AssetClass, Factory, CallingContext) }; } catch (e) {};
+try { let fnprepatch_581 = AssetTools.prototype.CreateAsset;AssetTools.prototype.CreateAsset = function (AssetName, PackagePath, AssetClass, Factory, CallingContext = "None") { return fnprepatch_581.call(this, AssetName, PackagePath, AssetClass, Factory, CallingContext) }; } catch (e) {};
+try { let fnprepatch_582 = AutomationBlueprintFunctionLibrary.prototype.TakeHighResScreenshot;AutomationBlueprintFunctionLibrary.prototype.TakeHighResScreenshot = function (ResX, ResY, Filename, Camera = undefined, bMaskEnabled = false, bCaptureHDR = false) { return fnprepatch_582.call(this, ResX, ResY, Filename, Camera, bMaskEnabled, bCaptureHDR) }; } catch (e) {};
+try { let fnprepatch_583 = AutomationBlueprintFunctionLibrary.prototype.SetScalabilityQualityLevelRelativeToMax;AutomationBlueprintFunctionLibrary.prototype.SetScalabilityQualityLevelRelativeToMax = function (WorldContextObject, Value = 1) { return fnprepatch_583.call(this, WorldContextObject, Value) }; } catch (e) {};
+try { let fnprepatch_584 = AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForRendering;AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForRendering = function (Tolerance = "Low", Delay = 0.20000000298023224) { return fnprepatch_584.call(this, Tolerance, Delay) }; } catch (e) {};
+try { let fnprepatch_585 = AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForGameplay;AutomationBlueprintFunctionLibrary.prototype.GetDefaultScreenshotOptionsForGameplay = function (Tolerance = "Low", Delay = 0.20000000298023224) { return fnprepatch_585.call(this, Tolerance, Delay) }; } catch (e) {};
+try { let fnprepatch_586 = FunctionalTest.prototype.AssertValue_Int;FunctionalTest.prototype.AssertValue_Int = function (Actual, ShouldBe, Expected, What, ContextObject = undefined) { return fnprepatch_586.call(this, Actual, ShouldBe, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_587 = FunctionalTest.prototype.AssertValue_Float;FunctionalTest.prototype.AssertValue_Float = function (Actual, ShouldBe, Expected, What, ContextObject = undefined) { return fnprepatch_587.call(this, Actual, ShouldBe, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_588 = FunctionalTest.prototype.AssertValue_DateTime;FunctionalTest.prototype.AssertValue_DateTime = function (Actual, ShouldBe, Expected, What, ContextObject = undefined) { return fnprepatch_588.call(this, Actual, ShouldBe, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_589 = FunctionalTest.prototype.AssertTrue;FunctionalTest.prototype.AssertTrue = function (Condition, Message, ContextObject = undefined) { return fnprepatch_589.call(this, Condition, Message, ContextObject) }; } catch (e) {};
+try { let fnprepatch_590 = FunctionalTest.prototype.AssertNotEqual_Vector;FunctionalTest.prototype.AssertNotEqual_Vector = function (Actual, NotExpected, What, ContextObject = undefined) { return fnprepatch_590.call(this, Actual, NotExpected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_591 = FunctionalTest.prototype.AssertNotEqual_Transform;FunctionalTest.prototype.AssertNotEqual_Transform = function (Actual, NotExpected, What, ContextObject = undefined) { return fnprepatch_591.call(this, Actual, NotExpected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_592 = FunctionalTest.prototype.AssertNotEqual_String;FunctionalTest.prototype.AssertNotEqual_String = function (Actual, NotExpected, What, ContextObject = undefined) { return fnprepatch_592.call(this, Actual, NotExpected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_593 = FunctionalTest.prototype.AssertNotEqual_Rotator;FunctionalTest.prototype.AssertNotEqual_Rotator = function (Actual, NotExpected, What, ContextObject = undefined) { return fnprepatch_593.call(this, Actual, NotExpected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_594 = FunctionalTest.prototype.AssertIsValid;FunctionalTest.prototype.AssertIsValid = function (Object, Message, ContextObject = undefined) { return fnprepatch_594.call(this, Object, Message, ContextObject) }; } catch (e) {};
+try { let fnprepatch_595 = FunctionalTest.prototype.AssertFalse;FunctionalTest.prototype.AssertFalse = function (Condition, Message, ContextObject = undefined) { return fnprepatch_595.call(this, Condition, Message, ContextObject) }; } catch (e) {};
+try { let fnprepatch_596 = FunctionalTest.prototype.AssertEqual_Vector;FunctionalTest.prototype.AssertEqual_Vector = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject = undefined) { return fnprepatch_596.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
+try { let fnprepatch_597 = FunctionalTest.prototype.AssertEqual_Transform;FunctionalTest.prototype.AssertEqual_Transform = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject = undefined) { return fnprepatch_597.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
+try { let fnprepatch_598 = FunctionalTest.prototype.AssertEqual_TraceQueryResults;FunctionalTest.prototype.AssertEqual_TraceQueryResults = function (Actual, Expected, What, ContextObject = undefined) { return fnprepatch_598.call(this, Actual, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_599 = FunctionalTest.prototype.AssertEqual_String;FunctionalTest.prototype.AssertEqual_String = function (Actual, Expected, What, ContextObject = undefined) { return fnprepatch_599.call(this, Actual, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_600 = FunctionalTest.prototype.AssertEqual_Rotator;FunctionalTest.prototype.AssertEqual_Rotator = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject = undefined) { return fnprepatch_600.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
+try { let fnprepatch_601 = FunctionalTest.prototype.AssertEqual_Name;FunctionalTest.prototype.AssertEqual_Name = function (Actual, Expected, What, ContextObject = undefined) { return fnprepatch_601.call(this, Actual, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_602 = FunctionalTest.prototype.AssertEqual_Int;FunctionalTest.prototype.AssertEqual_Int = function (Actual, Expected, What, ContextObject = undefined) { return fnprepatch_602.call(this, Actual, Expected, What, ContextObject) }; } catch (e) {};
+try { let fnprepatch_603 = FunctionalTest.prototype.AssertEqual_Float;FunctionalTest.prototype.AssertEqual_Float = function (Actual, Expected, What, Tolerance = 0.00009999999747378752, ContextObject = undefined) { return fnprepatch_603.call(this, Actual, Expected, What, Tolerance, ContextObject) }; } catch (e) {};
+try { let fnprepatch_604 = FunctionalTest.prototype.AssertEqual_Bool;FunctionalTest.prototype.AssertEqual_Bool = function (Actual, Expected, What, ContextObject = undefined) { return fnprepatch_604.call(this, Actual, Expected, What, ContextObject) }; } catch (e) {};
 try { FunctionalTest.prototype.StartTest = FunctionalTest.prototype.ReceiveStartTest; } catch (e) {};
 try { FunctionalTest.prototype.PrepareTest = FunctionalTest.prototype.ReceivePrepareTest; } catch (e) {};
 try { FunctionalTest.prototype.AssertValue = FunctionalTest.prototype.AssertValue_Int; } catch (e) {};
@@ -1480,53 +1929,83 @@ try { FunctionalTest.prototype.AssertEqual = FunctionalTest.prototype.AssertEqua
 try { FunctionalTest.prototype.AssertEqual = FunctionalTest.prototype.AssertEqual_Int; } catch (e) {};
 try { FunctionalTest.prototype.AssertEqual = FunctionalTest.prototype.AssertEqual_Float; } catch (e) {};
 try { FunctionalTest.prototype.AssertEqual = FunctionalTest.prototype.AssertEqual_Bool; } catch (e) {};
-try { let fnprepatch_476 = FunctionalTestingManager.prototype.RunAllFunctionalTests;FunctionalTestingManager.prototype.RunAllFunctionalTests = function (WorldContextObject, bNewLog = true, bRunLooped = false, FailedTestsReproString) { return fnprepatch_476.call(this, WorldContextObject, bNewLog, bRunLooped, FailedTestsReproString) }; } catch (e) {};
-try { let fnprepatch_477 = FunctionalTestUtilityLibrary.prototype.TraceChannelTestUtil;FunctionalTestUtilityLibrary.prototype.TraceChannelTestUtil = function (WorldContextObject, BatchOptions, Start, End, SphereCapsuleRadius, CapsuleHalfHeight, BoxHalfSize, Orientation, TraceChannel, ObjectTypes, ProfileName, bTraceComplex, ActorsToIgnore, bIgnoreSelf, DrawDebugType, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_477.call(this, WorldContextObject, BatchOptions, Start, End, SphereCapsuleRadius, CapsuleHalfHeight, BoxHalfSize, Orientation, TraceChannel, ObjectTypes, ProfileName, bTraceComplex, ActorsToIgnore, bIgnoreSelf, DrawDebugType, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
-try { let fnprepatch_478 = MediaBlueprintFunctionLibrary.prototype.EnumerateWebcamCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateWebcamCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_478.call(this, OutDevices, Filter) }; } catch (e) {};
-try { let fnprepatch_479 = MediaBlueprintFunctionLibrary.prototype.EnumerateVideoCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateVideoCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_479.call(this, OutDevices, Filter) }; } catch (e) {};
-try { let fnprepatch_480 = MediaBlueprintFunctionLibrary.prototype.EnumerateAudioCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateAudioCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_480.call(this, OutDevices, Filter) }; } catch (e) {};
+try { let fnprepatch_605 = FunctionalTestingManager.prototype.RunAllFunctionalTests;FunctionalTestingManager.prototype.RunAllFunctionalTests = function (WorldContextObject, bNewLog = true, bRunLooped = false, FailedTestsReproString) { return fnprepatch_605.call(this, WorldContextObject, bNewLog, bRunLooped, FailedTestsReproString) }; } catch (e) {};
+try { let fnprepatch_606 = FunctionalTestUtilityLibrary.prototype.TraceChannelTestUtil;FunctionalTestUtilityLibrary.prototype.TraceChannelTestUtil = function (WorldContextObject, BatchOptions, Start, End, SphereCapsuleRadius, CapsuleHalfHeight, BoxHalfSize, Orientation, TraceChannel, ObjectTypes, ProfileName, bTraceComplex, ActorsToIgnore, bIgnoreSelf, DrawDebugType, TraceColor = {"R":1,"G":0,"B":0,"A":1}, TraceHitColor = {"R":0,"G":1,"B":0,"A":1}, DrawTime = 5) { return fnprepatch_606.call(this, WorldContextObject, BatchOptions, Start, End, SphereCapsuleRadius, CapsuleHalfHeight, BoxHalfSize, Orientation, TraceChannel, ObjectTypes, ProfileName, bTraceComplex, ActorsToIgnore, bIgnoreSelf, DrawDebugType, TraceColor, TraceHitColor, DrawTime) }; } catch (e) {};
+try { let fnprepatch_607 = MediaBlueprintFunctionLibrary.prototype.EnumerateWebcamCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateWebcamCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_607.call(this, OutDevices, Filter) }; } catch (e) {};
+try { let fnprepatch_608 = MediaBlueprintFunctionLibrary.prototype.EnumerateVideoCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateVideoCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_608.call(this, OutDevices, Filter) }; } catch (e) {};
+try { let fnprepatch_609 = MediaBlueprintFunctionLibrary.prototype.EnumerateAudioCaptureDevices;MediaBlueprintFunctionLibrary.prototype.EnumerateAudioCaptureDevices = function (OutDevices, Filter = -1) { return fnprepatch_609.call(this, OutDevices, Filter) }; } catch (e) {};
+try { let fnprepatch_610 = MediaSoundComponent.prototype.SetSpectralAnalysisSettings;MediaSoundComponent.prototype.SetSpectralAnalysisSettings = function (InFrequenciesToAnalyze, InFFTSize = "Min_64") { return fnprepatch_610.call(this, InFrequenciesToAnalyze, InFFTSize) }; } catch (e) {};
 try { MediaSoundComponent.prototype.GetAttenuationSettingsToApply = MediaSoundComponent.prototype.BP_GetAttenuationSettingsToApply; } catch (e) {};
-try { let fnprepatch_481 = PaperFlipbook.prototype.GetSpriteAtTime;PaperFlipbook.prototype.GetSpriteAtTime = function (Time, bClampToEnds = false) { return fnprepatch_481.call(this, Time, bClampToEnds) }; } catch (e) {};
-try { let fnprepatch_482 = PaperFlipbook.prototype.GetKeyFrameIndexAtTime;PaperFlipbook.prototype.GetKeyFrameIndexAtTime = function (Time, bClampToEnds = false) { return fnprepatch_482.call(this, Time, bClampToEnds) }; } catch (e) {};
-try { let fnprepatch_483 = PaperGroupedSpriteComponent.prototype.UpdateInstanceTransform;PaperGroupedSpriteComponent.prototype.UpdateInstanceTransform = function (InstanceIndex, NewInstanceTransform, bWorldSpace = false, bMarkRenderStateDirty = true, bTeleport = false) { return fnprepatch_483.call(this, InstanceIndex, NewInstanceTransform, bWorldSpace, bMarkRenderStateDirty, bTeleport) }; } catch (e) {};
-try { let fnprepatch_484 = PaperGroupedSpriteComponent.prototype.UpdateInstanceColor;PaperGroupedSpriteComponent.prototype.UpdateInstanceColor = function (InstanceIndex, NewInstanceColor, bMarkRenderStateDirty = true) { return fnprepatch_484.call(this, InstanceIndex, NewInstanceColor, bMarkRenderStateDirty) }; } catch (e) {};
-try { let fnprepatch_485 = PaperGroupedSpriteComponent.prototype.GetInstanceTransform;PaperGroupedSpriteComponent.prototype.GetInstanceTransform = function (InstanceIndex, OutInstanceTransform, bWorldSpace = false) { return fnprepatch_485.call(this, InstanceIndex, OutInstanceTransform, bWorldSpace) }; } catch (e) {};
-try { let fnprepatch_486 = PaperGroupedSpriteComponent.prototype.AddInstance;PaperGroupedSpriteComponent.prototype.AddInstance = function (Transform, Sprite, bWorldSpace = false, Color = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_486.call(this, Transform, Sprite, bWorldSpace, Color) }; } catch (e) {};
-try { let fnprepatch_487 = PaperTileMapComponent.prototype.SetLayerColor;PaperTileMapComponent.prototype.SetLayerColor = function (NewColor, Layer = 0) { return fnprepatch_487.call(this, NewColor, Layer) }; } catch (e) {};
-try { let fnprepatch_488 = PaperTileMapComponent.prototype.SetLayerCollision;PaperTileMapComponent.prototype.SetLayerCollision = function (Layer = 0, bHasCollision = true, bOverrideThickness = true, CustomThickness = 50, bOverrideOffset = false, CustomOffset = 0, bRebuildCollision = true) { return fnprepatch_488.call(this, Layer, bHasCollision, bOverrideThickness, CustomThickness, bOverrideOffset, CustomOffset, bRebuildCollision) }; } catch (e) {};
-try { let fnprepatch_489 = PaperTileMapComponent.prototype.SetDefaultCollisionThickness;PaperTileMapComponent.prototype.SetDefaultCollisionThickness = function (Thickness, bRebuildCollision = true) { return fnprepatch_489.call(this, Thickness, bRebuildCollision) }; } catch (e) {};
-try { let fnprepatch_490 = PaperTileMapComponent.prototype.GetTilePolygon;PaperTileMapComponent.prototype.GetTilePolygon = function (TileX, TileY, Points, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_490.call(this, TileX, TileY, Points, LayerIndex, bWorldSpace) }; } catch (e) {};
-try { let fnprepatch_491 = PaperTileMapComponent.prototype.GetTileCornerPosition;PaperTileMapComponent.prototype.GetTileCornerPosition = function (TileX, TileY, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_491.call(this, TileX, TileY, LayerIndex, bWorldSpace) }; } catch (e) {};
-try { let fnprepatch_492 = PaperTileMapComponent.prototype.GetTileCenterPosition;PaperTileMapComponent.prototype.GetTileCenterPosition = function (TileX, TileY, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_492.call(this, TileX, TileY, LayerIndex, bWorldSpace) }; } catch (e) {};
-try { let fnprepatch_493 = PaperTileMapComponent.prototype.GetLayerColor;PaperTileMapComponent.prototype.GetLayerColor = function (Layer = 0) { return fnprepatch_493.call(this, Layer) }; } catch (e) {};
-try { let fnprepatch_494 = PaperTileMapComponent.prototype.CreateNewTileMap;PaperTileMapComponent.prototype.CreateNewTileMap = function (MapWidth = 4, MapHeight = 4, TileWidth = 32, TileHeight = 32, PixelsPerUnrealUnit = 1, bCreateLayer = true) { return fnprepatch_494.call(this, MapWidth, MapHeight, TileWidth, TileHeight, PixelsPerUnrealUnit, bCreateLayer) }; } catch (e) {};
-try { let fnprepatch_495 = JavascriptComponent.prototype.ResolveAsset;JavascriptComponent.prototype.ResolveAsset = function (Name, bTryLoad = true) { return fnprepatch_495.call(this, Name, bTryLoad) }; } catch (e) {};
-try { let fnprepatch_496 = JavascriptContext.prototype.SetAsDebugContext;JavascriptContext.prototype.SetAsDebugContext = function (InPort = 5858) { return fnprepatch_496.call(this, InPort) }; } catch (e) {};
-try { let fnprepatch_497 = JavascriptContext.prototype.RunScript;JavascriptContext.prototype.RunScript = function (Script, bOutput = true) { return fnprepatch_497.call(this, Script, bOutput) }; } catch (e) {};
-try { let fnprepatch_498 = JavascriptContext.prototype.CreateInspector;JavascriptContext.prototype.CreateInspector = function (Port = 9229) { return fnprepatch_498.call(this, Port) }; } catch (e) {};
-try { let fnprepatch_499 = JavascriptLibrary.prototype.DeleteFile;JavascriptLibrary.prototype.DeleteFile = function (Filename, ReadOnly = false) { return fnprepatch_499.call(this, Filename, ReadOnly) }; } catch (e) {};
-try { let fnprepatch_500 = JavascriptLibrary.prototype.CreateSocket;JavascriptLibrary.prototype.CreateSocket = function (SocketType, Description, bForceUDP = false) { return fnprepatch_500.call(this, SocketType, Description, bForceUDP) }; } catch (e) {};
-try { let fnprepatch_501 = JavascriptProcess.prototype.Terminate;JavascriptProcess.prototype.Terminate = function (KillTree = false) { return fnprepatch_501.call(this, KillTree) }; } catch (e) {};
-try { let fnprepatch_502 = JavascriptUMGLibrary.prototype.AddWindow;JavascriptUMGLibrary.prototype.AddWindow = function (NewWindow, bShowImmediately = true) { return fnprepatch_502.call(this, NewWindow, bShowImmediately) }; } catch (e) {};
+try { let fnprepatch_611 = PaperFlipbook.prototype.GetSpriteAtTime;PaperFlipbook.prototype.GetSpriteAtTime = function (Time, bClampToEnds = false) { return fnprepatch_611.call(this, Time, bClampToEnds) }; } catch (e) {};
+try { let fnprepatch_612 = PaperFlipbook.prototype.GetKeyFrameIndexAtTime;PaperFlipbook.prototype.GetKeyFrameIndexAtTime = function (Time, bClampToEnds = false) { return fnprepatch_612.call(this, Time, bClampToEnds) }; } catch (e) {};
+try { let fnprepatch_613 = PaperGroupedSpriteComponent.prototype.UpdateInstanceTransform;PaperGroupedSpriteComponent.prototype.UpdateInstanceTransform = function (InstanceIndex, NewInstanceTransform, bWorldSpace = false, bMarkRenderStateDirty = true, bTeleport = false) { return fnprepatch_613.call(this, InstanceIndex, NewInstanceTransform, bWorldSpace, bMarkRenderStateDirty, bTeleport) }; } catch (e) {};
+try { let fnprepatch_614 = PaperGroupedSpriteComponent.prototype.UpdateInstanceColor;PaperGroupedSpriteComponent.prototype.UpdateInstanceColor = function (InstanceIndex, NewInstanceColor, bMarkRenderStateDirty = true) { return fnprepatch_614.call(this, InstanceIndex, NewInstanceColor, bMarkRenderStateDirty) }; } catch (e) {};
+try { let fnprepatch_615 = PaperGroupedSpriteComponent.prototype.GetInstanceTransform;PaperGroupedSpriteComponent.prototype.GetInstanceTransform = function (InstanceIndex, OutInstanceTransform, bWorldSpace = false) { return fnprepatch_615.call(this, InstanceIndex, OutInstanceTransform, bWorldSpace) }; } catch (e) {};
+try { let fnprepatch_616 = PaperGroupedSpriteComponent.prototype.AddInstance;PaperGroupedSpriteComponent.prototype.AddInstance = function (Transform, Sprite, bWorldSpace = false, Color = {"R":1,"G":1,"B":1,"A":1}) { return fnprepatch_616.call(this, Transform, Sprite, bWorldSpace, Color) }; } catch (e) {};
+try { let fnprepatch_617 = PaperTileMapComponent.prototype.SetLayerColor;PaperTileMapComponent.prototype.SetLayerColor = function (NewColor, Layer = 0) { return fnprepatch_617.call(this, NewColor, Layer) }; } catch (e) {};
+try { let fnprepatch_618 = PaperTileMapComponent.prototype.SetLayerCollision;PaperTileMapComponent.prototype.SetLayerCollision = function (Layer = 0, bHasCollision = true, bOverrideThickness = true, CustomThickness = 50, bOverrideOffset = false, CustomOffset = 0, bRebuildCollision = true) { return fnprepatch_618.call(this, Layer, bHasCollision, bOverrideThickness, CustomThickness, bOverrideOffset, CustomOffset, bRebuildCollision) }; } catch (e) {};
+try { let fnprepatch_619 = PaperTileMapComponent.prototype.SetDefaultCollisionThickness;PaperTileMapComponent.prototype.SetDefaultCollisionThickness = function (Thickness, bRebuildCollision = true) { return fnprepatch_619.call(this, Thickness, bRebuildCollision) }; } catch (e) {};
+try { let fnprepatch_620 = PaperTileMapComponent.prototype.GetTilePolygon;PaperTileMapComponent.prototype.GetTilePolygon = function (TileX, TileY, Points, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_620.call(this, TileX, TileY, Points, LayerIndex, bWorldSpace) }; } catch (e) {};
+try { let fnprepatch_621 = PaperTileMapComponent.prototype.GetTileCornerPosition;PaperTileMapComponent.prototype.GetTileCornerPosition = function (TileX, TileY, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_621.call(this, TileX, TileY, LayerIndex, bWorldSpace) }; } catch (e) {};
+try { let fnprepatch_622 = PaperTileMapComponent.prototype.GetTileCenterPosition;PaperTileMapComponent.prototype.GetTileCenterPosition = function (TileX, TileY, LayerIndex = 0, bWorldSpace = false) { return fnprepatch_622.call(this, TileX, TileY, LayerIndex, bWorldSpace) }; } catch (e) {};
+try { let fnprepatch_623 = PaperTileMapComponent.prototype.GetLayerColor;PaperTileMapComponent.prototype.GetLayerColor = function (Layer = 0) { return fnprepatch_623.call(this, Layer) }; } catch (e) {};
+try { let fnprepatch_624 = PaperTileMapComponent.prototype.CreateNewTileMap;PaperTileMapComponent.prototype.CreateNewTileMap = function (MapWidth = 4, MapHeight = 4, TileWidth = 32, TileHeight = 32, PixelsPerUnrealUnit = 1, bCreateLayer = true) { return fnprepatch_624.call(this, MapWidth, MapHeight, TileWidth, TileHeight, PixelsPerUnrealUnit, bCreateLayer) }; } catch (e) {};
+try { AnimationSharingManager.prototype.RegisterActor = AnimationSharingManager.prototype.RegisterActorWithSkeletonBP; } catch (e) {};
+try { let fnprepatch_625 = MagicLeapHandTrackingFunctionLibrary.prototype.SetConfiguration;MagicLeapHandTrackingFunctionLibrary.prototype.SetConfiguration = function (StaticGesturesToActivate, KeypointsFilterLevel = "NoFilter", GestureFilterLevel = "NoFilter", HandSwitchingFilterLevel = "NoFilter", bTrackingEnabled = true) { return fnprepatch_625.call(this, StaticGesturesToActivate, KeypointsFilterLevel, GestureFilterLevel, HandSwitchingFilterLevel, bTrackingEnabled) }; } catch (e) {};
+try { let fnprepatch_626 = JavascriptComponent.prototype.ResolveAsset;JavascriptComponent.prototype.ResolveAsset = function (Name, bTryLoad = true) { return fnprepatch_626.call(this, Name, bTryLoad) }; } catch (e) {};
+try { let fnprepatch_627 = JavascriptContext.prototype.RunScript;JavascriptContext.prototype.RunScript = function (Script, bOutput = true) { return fnprepatch_627.call(this, Script, bOutput) }; } catch (e) {};
+try { let fnprepatch_628 = JavascriptContext.prototype.CreateInspector;JavascriptContext.prototype.CreateInspector = function (Port = 9229) { return fnprepatch_628.call(this, Port) }; } catch (e) {};
+try { let fnprepatch_629 = JavascriptLibrary.prototype.DeleteFile;JavascriptLibrary.prototype.DeleteFile = function (Filename, ReadOnly = false) { return fnprepatch_629.call(this, Filename, ReadOnly) }; } catch (e) {};
+try { let fnprepatch_630 = JavascriptLibrary.prototype.CreateSocket;JavascriptLibrary.prototype.CreateSocket = function (SocketType, Description, bForceUDP = false) { return fnprepatch_630.call(this, SocketType, Description, bForceUDP) }; } catch (e) {};
+try { let fnprepatch_631 = JavascriptProcess.prototype.Terminate;JavascriptProcess.prototype.Terminate = function (KillTree = false) { return fnprepatch_631.call(this, KillTree) }; } catch (e) {};
+try { let fnprepatch_632 = JavascriptUMGLibrary.prototype.AddWindow;JavascriptUMGLibrary.prototype.AddWindow = function (NewWindow, bShowImmediately = true) { return fnprepatch_632.call(this, NewWindow, bShowImmediately) }; } catch (e) {};
+try { let fnprepatch_633 = LevelVariantSetsActor.prototype.GetLevelVariantSets;LevelVariantSetsActor.prototype.GetLevelVariantSets = function (bLoad = false) { return fnprepatch_633.call(this, bLoad) }; } catch (e) {};
+try { let fnprepatch_634 = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToTIFF;AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToTIFF = function (SourceImage, bWantColor = true, bUseGpu = true, Scale = 1, Rotate = "None") { return fnprepatch_634.call(this, SourceImage, bWantColor, bUseGpu, Scale, Rotate) }; } catch (e) {};
+try { let fnprepatch_635 = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToPNG;AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToPNG = function (SourceImage, bWantColor = true, bUseGpu = true, Scale = 1, Rotate = "None") { return fnprepatch_635.call(this, SourceImage, bWantColor, bUseGpu, Scale, Rotate) }; } catch (e) {};
+try { let fnprepatch_636 = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToJPEG;AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToJPEG = function (SourceImage, Quality = 85, bWantColor = true, bUseGpu = true, Scale = 1, Rotate = "None") { return fnprepatch_636.call(this, SourceImage, Quality, bWantColor, bUseGpu, Scale, Rotate) }; } catch (e) {};
+try { let fnprepatch_637 = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToHEIF;AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToHEIF = function (SourceImage, Quality = 85, bWantColor = true, bUseGpu = true, Scale = 1, Rotate = "None") { return fnprepatch_637.call(this, SourceImage, Quality, bWantColor, bUseGpu, Scale, Rotate) }; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.ConvertToTIFF = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToTIFF; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.ConvertToTIFF = AppleImageUtilsBaseAsyncTaskBlueprintProxy.CreateProxyObjectForConvertToTIFF; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.ConvertToPNG = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToPNG; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.ConvertToPNG = AppleImageUtilsBaseAsyncTaskBlueprintProxy.CreateProxyObjectForConvertToPNG; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.ConvertToJPEG = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToJPEG; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.ConvertToJPEG = AppleImageUtilsBaseAsyncTaskBlueprintProxy.CreateProxyObjectForConvertToJPEG; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.ConvertToHEIF = AppleImageUtilsBaseAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForConvertToHEIF; } catch (e) {};
+try { AppleImageUtilsBaseAsyncTaskBlueprintProxy.ConvertToHEIF = AppleImageUtilsBaseAsyncTaskBlueprintProxy.CreateProxyObjectForConvertToHEIF; } catch (e) {};
+try { AppleVisionDetectFacesAsyncTaskBlueprintProxy.prototype.DetectFaces = AppleVisionDetectFacesAsyncTaskBlueprintProxy.prototype.CreateProxyObjectForDetectFaces; } catch (e) {};
+try { AppleVisionDetectFacesAsyncTaskBlueprintProxy.DetectFaces = AppleVisionDetectFacesAsyncTaskBlueprintProxy.CreateProxyObjectForDetectFaces; } catch (e) {};
 try { DropTimecodeToStringConversion.prototype.ToString = DropTimecodeToStringConversion.prototype.Conv_DropTimecodeToString; } catch (e) {};
 try { DropTimecodeToStringConversion.ToString = DropTimecodeToStringConversion.Conv_DropTimecodeToString; } catch (e) {};
-try { let fnprepatch_503 = NUTActor.prototype.UnitTravel;NUTActor.prototype.UnitTravel = function (Dest = " ") { return fnprepatch_503.call(this, Dest) }; } catch (e) {};
-try { let fnprepatch_504 = NUTActor.prototype.UnitSeamlessTravel;NUTActor.prototype.UnitSeamlessTravel = function (Dest = " ") { return fnprepatch_504.call(this, Dest) }; } catch (e) {};
+try { let fnprepatch_638 = NUTActor.prototype.UnitTravel;NUTActor.prototype.UnitTravel = function (Dest = " ") { return fnprepatch_638.call(this, Dest) }; } catch (e) {};
+try { let fnprepatch_639 = NUTActor.prototype.UnitSeamlessTravel;NUTActor.prototype.UnitSeamlessTravel = function (Dest = " ") { return fnprepatch_639.call(this, Dest) }; } catch (e) {};
 try { AndroidPermissionFunctionLibrary.prototype.CheckAndroidPermission = AndroidPermissionFunctionLibrary.prototype.CheckPermission; } catch (e) {};
 try { AndroidPermissionFunctionLibrary.CheckAndroidPermission = AndroidPermissionFunctionLibrary.CheckPermission; } catch (e) {};
 try { AndroidPermissionFunctionLibrary.prototype.RequestAndroidPermissions = AndroidPermissionFunctionLibrary.prototype.AcquirePermissions; } catch (e) {};
 try { AndroidPermissionFunctionLibrary.RequestAndroidPermissions = AndroidPermissionFunctionLibrary.AcquirePermissions; } catch (e) {};
-try { let fnprepatch_505 = CableComponent.prototype.SetAttachEndTo;CableComponent.prototype.SetAttachEndTo = function (Actor, ComponentProperty, SocketName = "None") { return fnprepatch_505.call(this, Actor, ComponentProperty, SocketName) }; } catch (e) {};
-try { let fnprepatch_506 = SteamVRControllerLibrary.prototype.SetTouchDPadMapping;SteamVRControllerLibrary.prototype.SetTouchDPadMapping = function (NewMapping = "FaceButtons") { return fnprepatch_506.call(this, NewMapping) }; } catch (e) {};
-try { let fnprepatch_507 = JavascriptGraphEditorWidget.prototype.JumpToNode;JavascriptGraphEditorWidget.prototype.JumpToNode = function (JumpToMe, bRequestRename = false, bSelectNode = true) { return fnprepatch_507.call(this, JumpToMe, bRequestRename, bSelectNode) }; } catch (e) {};
-try { let fnprepatch_508 = JavascriptEditorEngineLibrary.prototype.SelectNone;JavascriptEditorEngineLibrary.prototype.SelectNone = function (Engine, bNoteSelectionChange, bDeselectBSPSurfs, WarnAboutManyActors = true) { return fnprepatch_508.call(this, Engine, bNoteSelectionChange, bDeselectBSPSurfs, WarnAboutManyActors) }; } catch (e) {};
-try { let fnprepatch_509 = JavascriptEditorEngineLibrary.prototype.SelectGroup;JavascriptEditorEngineLibrary.prototype.SelectGroup = function (Engine, InGroupActor, bForceSelection = false, bInSelected = true, bNotify = true) { return fnprepatch_509.call(this, Engine, InGroupActor, bForceSelection, bInSelected, bNotify) }; } catch (e) {};
-try { let fnprepatch_510 = JavascriptEditorEngineLibrary.prototype.SelectComponent;JavascriptEditorEngineLibrary.prototype.SelectComponent = function (Engine, Component, bInSelected, bNotify, bSelectEvenIfHidden = false) { return fnprepatch_510.call(this, Engine, Component, bInSelected, bNotify, bSelectEvenIfHidden) }; } catch (e) {};
-try { let fnprepatch_511 = JavascriptEditorEngineLibrary.prototype.SelectActor;JavascriptEditorEngineLibrary.prototype.SelectActor = function (Engine, Actor, bInSelected, bNotify, bSelectEvenIfHidden = false, bForceRefresh = false) { return fnprepatch_511.call(this, Engine, Actor, bInSelected, bNotify, bSelectEvenIfHidden, bForceRefresh) }; } catch (e) {};
-try { let fnprepatch_512 = JavascriptEditorEngineLibrary.prototype.CanSelectActor;JavascriptEditorEngineLibrary.prototype.CanSelectActor = function (Engine, Actor, bInSelected, bSelectEvenIfHidden = false, bWarnIfLevelLocked = false) { return fnprepatch_512.call(this, Engine, Actor, bInSelected, bSelectEvenIfHidden, bWarnIfLevelLocked) }; } catch (e) {};
-try { let fnprepatch_513 = JavascriptEditorEngineLibrary.prototype.bspBrushCSG;JavascriptEditorEngineLibrary.prototype.bspBrushCSG = function (Engine, Actor, Model, PolyFlags, BrushType, CSGOper, bBuildBounds, bMergePolys, bReplaceNULLMaterialRefs, bShowProgressBar = true) { return fnprepatch_513.call(this, Engine, Actor, Model, PolyFlags, BrushType, CSGOper, bBuildBounds, bMergePolys, bReplaceNULLMaterialRefs, bShowProgressBar) }; } catch (e) {};
-try { let fnprepatch_514 = JavascriptEditorLibrary.prototype.SetAlphamapDataFromMemory;JavascriptEditorLibrary.prototype.SetAlphamapDataFromMemory = function (LandscapeInfo, LayerInfo, MinX, MinY, MaxX, MaxY, PaintingRestriction = "None") { return fnprepatch_514.call(this, LandscapeInfo, LayerInfo, MinX, MinY, MaxX, MaxY, PaintingRestriction) }; } catch (e) {};
-try { let fnprepatch_515 = JavascriptEditorLibrary.prototype.ModifyObject;JavascriptEditorLibrary.prototype.ModifyObject = function (Object, bAlwaysMarkDirty = false) { return fnprepatch_515.call(this, Object, bAlwaysMarkDirty) }; } catch (e) {};
+try { let fnprepatch_640 = CableComponent.prototype.SetAttachEndToComponent;CableComponent.prototype.SetAttachEndToComponent = function (Component, SocketName = "None") { return fnprepatch_640.call(this, Component, SocketName) }; } catch (e) {};
+try { let fnprepatch_641 = CableComponent.prototype.SetAttachEndTo;CableComponent.prototype.SetAttachEndTo = function (Actor, ComponentProperty, SocketName = "None") { return fnprepatch_641.call(this, Actor, ComponentProperty, SocketName) }; } catch (e) {};
+try { let fnprepatch_642 = EditableMesh.prototype.EndModification;EditableMesh.prototype.EndModification = function (bFromUndo = false) { return fnprepatch_642.call(this, bFromUndo) }; } catch (e) {};
+try { let fnprepatch_643 = SteamVRControllerLibrary.prototype.SetTouchDPadMapping;SteamVRControllerLibrary.prototype.SetTouchDPadMapping = function (NewMapping = "FaceButtons") { return fnprepatch_643.call(this, NewMapping) }; } catch (e) {};
+try { let fnprepatch_644 = JavascriptGraphEditorLibrary.prototype.NodeCreator;JavascriptGraphEditorLibrary.prototype.NodeCreator = function (Graph, bSelectNewNode = true) { return fnprepatch_644.call(this, Graph, bSelectNewNode) }; } catch (e) {};
+try { let fnprepatch_645 = JavascriptGraphEditorWidget.prototype.JumpToNode;JavascriptGraphEditorWidget.prototype.JumpToNode = function (JumpToMe, bRequestRename = false, bSelectNode = true) { return fnprepatch_645.call(this, JumpToMe, bRequestRename, bSelectNode) }; } catch (e) {};
+try { let fnprepatch_646 = JavascriptGraphEdNode.prototype.GetNumOfPins;JavascriptGraphEdNode.prototype.GetNumOfPins = function (Direction = "EGPD_MAX") { return fnprepatch_646.call(this, Direction) }; } catch (e) {};
+try { let fnprepatch_647 = JavascriptEditorEngineLibrary.prototype.SelectNone;JavascriptEditorEngineLibrary.prototype.SelectNone = function (Engine, bNoteSelectionChange, bDeselectBSPSurfs, WarnAboutManyActors = true) { return fnprepatch_647.call(this, Engine, bNoteSelectionChange, bDeselectBSPSurfs, WarnAboutManyActors) }; } catch (e) {};
+try { let fnprepatch_648 = JavascriptEditorEngineLibrary.prototype.SelectGroup;JavascriptEditorEngineLibrary.prototype.SelectGroup = function (Engine, InGroupActor, bForceSelection = false, bInSelected = true, bNotify = true) { return fnprepatch_648.call(this, Engine, InGroupActor, bForceSelection, bInSelected, bNotify) }; } catch (e) {};
+try { let fnprepatch_649 = JavascriptEditorEngineLibrary.prototype.SelectComponent;JavascriptEditorEngineLibrary.prototype.SelectComponent = function (Engine, Component, bInSelected, bNotify, bSelectEvenIfHidden = false) { return fnprepatch_649.call(this, Engine, Component, bInSelected, bNotify, bSelectEvenIfHidden) }; } catch (e) {};
+try { let fnprepatch_650 = JavascriptEditorEngineLibrary.prototype.SelectActor;JavascriptEditorEngineLibrary.prototype.SelectActor = function (Engine, Actor, bInSelected, bNotify, bSelectEvenIfHidden = false, bForceRefresh = false) { return fnprepatch_650.call(this, Engine, Actor, bInSelected, bNotify, bSelectEvenIfHidden, bForceRefresh) }; } catch (e) {};
+try { let fnprepatch_651 = JavascriptEditorEngineLibrary.prototype.CanSelectActor;JavascriptEditorEngineLibrary.prototype.CanSelectActor = function (Engine, Actor, bInSelected, bSelectEvenIfHidden = false, bWarnIfLevelLocked = false) { return fnprepatch_651.call(this, Engine, Actor, bInSelected, bSelectEvenIfHidden, bWarnIfLevelLocked) }; } catch (e) {};
+try { let fnprepatch_652 = JavascriptEditorEngineLibrary.prototype.bspBrushCSG;JavascriptEditorEngineLibrary.prototype.bspBrushCSG = function (Engine, Actor, Model, PolyFlags, BrushType, CSGOper, bBuildBounds, bMergePolys, bReplaceNULLMaterialRefs, bShowProgressBar = true) { return fnprepatch_652.call(this, Engine, Actor, Model, PolyFlags, BrushType, CSGOper, bBuildBounds, bMergePolys, bReplaceNULLMaterialRefs, bShowProgressBar) }; } catch (e) {};
+try { let fnprepatch_653 = JavascriptEditorLibrary.prototype.SetAlphamapDataFromMemory;JavascriptEditorLibrary.prototype.SetAlphamapDataFromMemory = function (LandscapeInfo, LayerInfo, MinX, MinY, MaxX, MaxY, PaintingRestriction = "None") { return fnprepatch_653.call(this, LandscapeInfo, LayerInfo, MinX, MinY, MaxX, MaxY, PaintingRestriction) }; } catch (e) {};
+try { let fnprepatch_654 = JavascriptEditorLibrary.prototype.RemoveComponentFromBlueprint;JavascriptEditorLibrary.prototype.RemoveComponentFromBlueprint = function (Blueprint, RemoveComponent, bPromoteChildren = false) { return fnprepatch_654.call(this, Blueprint, RemoveComponent, bPromoteChildren) }; } catch (e) {};
+try { let fnprepatch_655 = JavascriptEditorLibrary.prototype.ModifyObject;JavascriptEditorLibrary.prototype.ModifyObject = function (Object, bAlwaysMarkDirty = false) { return fnprepatch_655.call(this, Object, bAlwaysMarkDirty) }; } catch (e) {};
+try { let fnprepatch_656 = JavascriptEditorLibrary.prototype.GetLayerInfoByName;JavascriptEditorLibrary.prototype.GetLayerInfoByName = function (LandscapeInfo, LayerName, Owner = undefined) { return fnprepatch_656.call(this, LandscapeInfo, LayerName, Owner) }; } catch (e) {};
+try { let fnprepatch_657 = JavascriptEditorLibrary.prototype.GetDataTableAsJSON;JavascriptEditorLibrary.prototype.GetDataTableAsJSON = function (InDataTable, InDTExportFlags = 0) { return fnprepatch_657.call(this, InDataTable, InDTExportFlags) }; } catch (e) {};
+try { let fnprepatch_658 = JavascriptEditorLibrary.prototype.GetAssetsByType;JavascriptEditorLibrary.prototype.GetAssetsByType = function (Types, bRecursiveClasses = true) { return fnprepatch_658.call(this, Types, bRecursiveClasses) }; } catch (e) {};
+try { let fnprepatch_659 = JavascriptEditorLibrary.prototype.DeselectAll;JavascriptEditorLibrary.prototype.DeselectAll = function (Selection, InClass = null) { return fnprepatch_659.call(this, Selection, InClass) }; } catch (e) {};
+try { let fnprepatch_660 = JavascriptEditorLibrary.prototype.Build;JavascriptEditorLibrary.prototype.Build = function (Builder, InWorld, InBrush = undefined) { return fnprepatch_660.call(this, Builder, InWorld, InBrush) }; } catch (e) {};
+try { let fnprepatch_661 = JavascriptEditorLibrary.prototype.AddComponentsToBlueprint;JavascriptEditorLibrary.prototype.AddComponentsToBlueprint = function (Blueprint, Components, bHarvesting = false, OptionalNewRootComponent = undefined, bKeepMobility = false) { return fnprepatch_661.call(this, Blueprint, Components, bHarvesting, OptionalNewRootComponent, bKeepMobility) }; } catch (e) {};
+try { let fnprepatch_662 = JavascriptPropertyCustomizationLibrary.prototype.AddExternalObjects;JavascriptPropertyCustomizationLibrary.prototype.AddExternalObjects = function (ChildBuilder, Objects, UniqueIdName = "None") { return fnprepatch_662.call(this, ChildBuilder, Objects, UniqueIdName) }; } catch (e) {};
+try { let fnprepatch_663 = JavascriptPropertyCustomizationLibrary.prototype.AddExternalObjectProperty;JavascriptPropertyCustomizationLibrary.prototype.AddExternalObjectProperty = function (ChildBuilder, Objects, PropertyName, UniqueIdName = "None", bAllowChildrenOverride = false, bCreateCategoryNodesOverride = false) { return fnprepatch_663.call(this, ChildBuilder, Objects, PropertyName, UniqueIdName, bAllowChildrenOverride, bCreateCategoryNodesOverride) }; } catch (e) {};
 try { Guid.prototype.ToString = Guid.prototype.Conv_GuidToString; } catch (e) {};
 try { Guid.prototype.Equal = Guid.prototype.EqualEqual_GuidGuid; } catch (e) {};
 try { Guid.prototype.IsValid = Guid.prototype.IsValid_Guid; } catch (e) {};
@@ -1534,39 +2013,85 @@ try { Guid.prototype.NotEqual = Guid.prototype.NotEqual_GuidGuid; } catch (e) {}
 try { Vector.prototype.ToText = Vector.prototype.Conv_VectorToText; } catch (e) {};
 try { Vector.prototype.ToString = Vector.prototype.Conv_VectorToString; } catch (e) {};
 try { Vector.prototype.ToLinearColor = Vector.prototype.Conv_VectorToLinearColor; } catch (e) {};
+try { Vector.prototype.ToQuaterion = Vector.prototype.Conv_VectorToQuaterion; } catch (e) {};
 try { Vector.prototype.RotationFromXVector = Vector.prototype.Conv_VectorToRotator; } catch (e) {};
 try { Vector.prototype.ToTransform = Vector.prototype.Conv_VectorToTransform; } catch (e) {};
 try { Vector.prototype.ToVector2D = Vector.prototype.Conv_VectorToVector2D; } catch (e) {};
 try { Vector.prototype.CrossProduct = Vector.prototype.Cross_VectorVector; } catch (e) {};
 try { Vector.prototype.DotProduct = Vector.prototype.Dot_VectorVector; } catch (e) {};
 try { Vector.prototype.Equal = Vector.prototype.EqualEqual_VectorVector; } catch (e) {};
-try { Vector.prototype.TruncateVector = Vector.prototype.FTruncVector; } catch (e) {};
-try { Vector.prototype.GetUnitDirectionVector = Vector.prototype.GetDirectionUnitVector; } catch (e) {};
+try { Vector.prototype.EqualExactly = Vector.prototype.EqualExactly_VectorVector; } catch (e) {};
+try { Vector.prototype.Truncate = Vector.prototype.FTruncVector; } catch (e) {};
+try { Vector.prototype.GetUnitDirection = Vector.prototype.GetDirectionUnitVector; } catch (e) {};
 try { Vector.prototype.RotateVector = Vector.prototype.GreaterGreater_VectorRotator; } catch (e) {};
 try { Vector.prototype.UnrotateVector = Vector.prototype.LessLess_VectorRotator; } catch (e) {};
 try { Vector.prototype.LinePlaneIntersection = Vector.prototype.LinePlaneIntersection_OriginNormal; } catch (e) {};
 try { Vector.prototype.Normalize = Vector.prototype.Normal; } catch (e) {};
 try { Vector.prototype.NotEqual = Vector.prototype.NotEqual_VectorVector; } catch (e) {};
+try { Vector.prototype.NotEqualExactly = Vector.prototype.NotEqualExactly_VectorVector; } catch (e) {};
+try { Vector.prototype.MakefromEuler = Vector.prototype.Quat_MakeFromEuler; } catch (e) {};
 try { Vector.prototype.RotateVectorAroundAxis = Vector.prototype.RotateAngleAxis; } catch (e) {};
 try { Vector.prototype.Ease = Vector.prototype.VEase; } catch (e) {};
+try { Vector.prototype.Distance = Vector.prototype.Vector_Distance; } catch (e) {};
+try { Vector.prototype.Distance2D = Vector.prototype.Vector_Distance2D; } catch (e) {};
+try { Vector.prototype.Distance2DSquared = Vector.prototype.Vector_Distance2DSquared; } catch (e) {};
+try { Vector.prototype.DistanceSquared = Vector.prototype.Vector_DistanceSquared; } catch (e) {};
+try { Vector.prototype.IsNormal = Vector.prototype.Vector_IsNormal; } catch (e) {};
+try { Vector.prototype.IsUniform = Vector.prototype.Vector_IsUniform; } catch (e) {};
+try { Vector.prototype.IsUnit = Vector.prototype.Vector_IsUnit; } catch (e) {};
+try { Vector.prototype.Normalize2D = Vector.prototype.Vector_Normal2D; } catch (e) {};
+try { Vector.prototype.NormalizeInPlace = Vector.prototype.Vector_Normalize; } catch (e) {};
+try { Vector.prototype.Normalunsafe = Vector.prototype.Vector_NormalUnsafe; } catch (e) {};
+try { Vector.prototype.Reciprocal = Vector.prototype.Vector_Reciprocal; } catch (e) {};
 try { Vector.prototype.Lerp = Vector.prototype.VLerp; } catch (e) {};
 try { Vector.prototype.VectorLength = Vector.prototype.VSize; } catch (e) {};
 try { Vector.prototype.VectorLengthSquared = Vector.prototype.VSizeSquared; } catch (e) {};
 try { Vector.prototype.VectorLengthXY = Vector.prototype.VSizeXY; } catch (e) {};
+try { Vector.prototype.VectorLengthXYSquared = Vector.prototype.VSizeXYSquared; } catch (e) {};
 try { Vector.prototype.TwoBoneIKFunction = Vector.prototype.K2_TwoBoneIK; } catch (e) {};
+try { Vector.prototype.AddAREnvironmentProbe = Vector.prototype.AddManualEnvironmentCaptureProbe; } catch (e) {};
+try { Vector4.prototype.ToQuaterion = Vector4.prototype.Conv_Vector4ToQuaterion; } catch (e) {};
+try { Vector4.prototype.ToRotation = Vector4.prototype.Conv_Vector4ToRotator; } catch (e) {};
+try { Vector4.prototype.ToVector = Vector4.prototype.Conv_Vector4ToVector; } catch (e) {};
+try { Vector4.prototype.Equal = Vector4.prototype.EqualEqual_Vector4Vector4; } catch (e) {};
+try { Vector4.prototype.EqualExactly = Vector4.prototype.EqualExactly_Vector4Vector4; } catch (e) {};
+try { Vector4.prototype.NotEqual = Vector4.prototype.NotEqual_Vector4Vector4; } catch (e) {};
+try { Vector4.prototype.NotEqualExactly = Vector4.prototype.NotEqualExactly_Vector4Vector4; } catch (e) {};
+try { Vector4.prototype.CrossProductXYZ = Vector4.prototype.Vector4_CrossProduct3; } catch (e) {};
+try { Vector4.prototype.DotProduct = Vector4.prototype.Vector4_DotProduct; } catch (e) {};
+try { Vector4.prototype.DotProductXYZ = Vector4.prototype.Vector4_DotProduct3; } catch (e) {};
+try { Vector4.prototype.IsNormalXYZ = Vector4.prototype.Vector4_IsNormal3; } catch (e) {};
+try { Vector4.prototype.IsUnitXYZ = Vector4.prototype.Vector4_IsUnit3; } catch (e) {};
+try { Vector4.prototype.Negated = Vector4.prototype.Vector4_Negated; } catch (e) {};
+try { Vector4.prototype.NormalizeXYZ = Vector4.prototype.Vector4_Normal3; } catch (e) {};
+try { Vector4.prototype.NormalizeInPlaceXYZ = Vector4.prototype.Vector4_Normalize3; } catch (e) {};
+try { Vector4.prototype.NormalunsafeXYZ = Vector4.prototype.Vector4_NormalUnsafe3; } catch (e) {};
+try { Vector4.prototype.Length = Vector4.prototype.Vector4_Size; } catch (e) {};
+try { Vector4.prototype.LengthXYZ = Vector4.prototype.Vector4_Size3; } catch (e) {};
+try { Vector4.prototype.LengthSquared = Vector4.prototype.Vector4_SizeSquared; } catch (e) {};
+try { Vector4.prototype.LengthXYZSquared = Vector4.prototype.Vector4_SizeSquared3; } catch (e) {};
 try { Vector2D.prototype.ToText = Vector2D.prototype.Conv_Vector2dToText; } catch (e) {};
 try { Vector2D.prototype.ToString = Vector2D.prototype.Conv_Vector2dToString; } catch (e) {};
+try { Vector2D.prototype.ToIntPoint = Vector2D.prototype.Conv_Vector2DToIntPoint; } catch (e) {};
 try { Vector2D.prototype.ToVector = Vector2D.prototype.Conv_Vector2DToVector; } catch (e) {};
 try { Vector2D.prototype.CrossProduct = Vector2D.prototype.CrossProduct2D; } catch (e) {};
 try { Vector2D.prototype.DotProduct = Vector2D.prototype.DotProduct2D; } catch (e) {};
 try { Vector2D.prototype.Equal = Vector2D.prototype.EqualEqual_Vector2DVector2D; } catch (e) {};
+try { Vector2D.prototype.EqualExactly = Vector2D.prototype.EqualExactly_Vector2DVector2D; } catch (e) {};
 try { Vector2D.prototype.Normalize2D = Vector2D.prototype.Normal2D; } catch (e) {};
+try { Vector2D.prototype.NormalizeInPlace = Vector2D.prototype.Normalize2D; } catch (e) {};
+try { Vector2D.prototype.NormalSafe = Vector2D.prototype.NormalSafe2D; } catch (e) {};
 try { Vector2D.prototype.NotEqual = Vector2D.prototype.NotEqual_Vector2DVector2D; } catch (e) {};
+try { Vector2D.prototype.NotEqualExactly = Vector2D.prototype.NotEqualExactly_Vector2DVector2D; } catch (e) {};
+try { Vector2D.prototype.ToDirectionAndLength = Vector2D.prototype.ToDirectionAndLength2D; } catch (e) {};
+try { Vector2D.prototype.ToRounded = Vector2D.prototype.ToRounded2D; } catch (e) {};
+try { Vector2D.prototype.Tosign = Vector2D.prototype.ToSign2D; } catch (e) {};
 try { Vector2D.prototype.Vector2dLength = Vector2D.prototype.VSize2D; } catch (e) {};
 try { Vector2D.prototype.Vector2dLengthSquared = Vector2D.prototype.VSize2DSquared; } catch (e) {};
 try { Rotator.prototype.ToText = Rotator.prototype.Conv_RotatorToText; } catch (e) {};
 try { Rotator.prototype.ToString = Rotator.prototype.Conv_RotatorToString; } catch (e) {};
 try { Rotator.prototype.CombineRotators = Rotator.prototype.ComposeRotators; } catch (e) {};
+try { Rotator.prototype.ToTransform = Rotator.prototype.Conv_RotatorToTransform; } catch (e) {};
 try { Rotator.prototype.GetRotationXVector = Rotator.prototype.Conv_RotatorToVector; } catch (e) {};
 try { Rotator.prototype.Equal = Rotator.prototype.EqualEqual_RotatorRotator; } catch (e) {};
 try { Rotator.prototype.ScaleRotator = Rotator.prototype.Multiply_RotatorFloat; } catch (e) {};
@@ -1576,24 +2101,70 @@ try { Rotator.prototype.Delta = Rotator.prototype.NormalizedDeltaRotator; } catc
 try { Rotator.prototype.NotEqual = Rotator.prototype.NotEqual_RotatorRotator; } catch (e) {};
 try { Rotator.prototype.Ease = Rotator.prototype.REase; } catch (e) {};
 try { Rotator.prototype.Lerp = Rotator.prototype.RLerp; } catch (e) {};
+try { Quat.prototype.Equal = Quat.prototype.EqualEqual_QuatQuat; } catch (e) {};
+try { Quat.prototype.NotEqual = Quat.prototype.NotEqual_QuatQuat; } catch (e) {};
+try { Quat.prototype.AngularDistance = Quat.prototype.Quat_AngularDistance; } catch (e) {};
+try { Quat.prototype.Ensureshortestarcto = Quat.prototype.Quat_EnforceShortestArcWith; } catch (e) {};
+try { Quat.prototype.Euler = Quat.prototype.Quat_Euler; } catch (e) {};
+try { Quat.prototype.Exp = Quat.prototype.Quat_Exp; } catch (e) {};
+try { Quat.prototype.Angle = Quat.prototype.Quat_GetAngle; } catch (e) {};
+try { Quat.prototype.AxisX = Quat.prototype.Quat_GetAxisX; } catch (e) {};
+try { Quat.prototype.AxisY = Quat.prototype.Quat_GetAxisY; } catch (e) {};
+try { Quat.prototype.AxisZ = Quat.prototype.Quat_GetAxisZ; } catch (e) {};
+try { Quat.prototype.RotationAxis = Quat.prototype.Quat_GetRotationAxis; } catch (e) {};
+try { Quat.prototype.Inversed = Quat.prototype.Quat_Inversed; } catch (e) {};
+try { Quat.prototype.IsFinite = Quat.prototype.Quat_IsFinite; } catch (e) {};
+try { Quat.prototype.IsIdentity = Quat.prototype.Quat_IsIdentity; } catch (e) {};
+try { Quat.prototype.IsNormalized = Quat.prototype.Quat_IsNormalized; } catch (e) {};
+try { Quat.prototype.Log = Quat.prototype.Quat_Log; } catch (e) {};
+try { Quat.prototype.Normalize = Quat.prototype.Quat_Normalize; } catch (e) {};
+try { Quat.prototype.Normalized = Quat.prototype.Quat_Normalized; } catch (e) {};
+try { Quat.prototype.RotateVector = Quat.prototype.Quat_RotateVector; } catch (e) {};
+try { Quat.prototype.ToRotator = Quat.prototype.Quat_Rotator; } catch (e) {};
+try { Quat.prototype.SetComponents = Quat.prototype.Quat_SetComponents; } catch (e) {};
+try { Quat.prototype.SetfromEuler = Quat.prototype.Quat_SetFromEuler; } catch (e) {};
+try { Quat.prototype.Size = Quat.prototype.Quat_Size; } catch (e) {};
+try { Quat.prototype.SizeSquared = Quat.prototype.Quat_SizeSquared; } catch (e) {};
+try { Quat.prototype.UnrotateVector = Quat.prototype.Quat_UnrotateVector; } catch (e) {};
+try { Quat.prototype.VectorForward = Quat.prototype.Quat_VectorForward; } catch (e) {};
+try { Quat.prototype.VectorRight = Quat.prototype.Quat_VectorRight; } catch (e) {};
+try { Quat.prototype.VectorUp = Quat.prototype.Quat_VectorUp; } catch (e) {};
 try { IntVector.prototype.ToString = IntVector.prototype.Conv_IntVectorToString; } catch (e) {};
 try { IntVector.prototype.ToVector = IntVector.prototype.Conv_IntVectorToVector; } catch (e) {};
 try { Color.prototype.ToLinearColor = Color.prototype.Conv_ColorToLinearColor; } catch (e) {};
 try { LinearColor.prototype.ToText = LinearColor.prototype.Conv_ColorToText; } catch (e) {};
 try { LinearColor.prototype.ToString = LinearColor.prototype.Conv_ColorToString; } catch (e) {};
+try { LinearColor.prototype.Interpolate = LinearColor.prototype.CInterpTo; } catch (e) {};
 try { LinearColor.prototype.ToColor = LinearColor.prototype.Conv_LinearColorToColor; } catch (e) {};
 try { LinearColor.prototype.ToVector = LinearColor.prototype.Conv_LinearColorToVector; } catch (e) {};
+try { LinearColor.prototype.Equal = LinearColor.prototype.EqualEqual_LinearColorLinearColor; } catch (e) {};
 try { LinearColor.prototype.HSVtoRGB = LinearColor.prototype.HSVToRGB_Vector; } catch (e) {};
+try { LinearColor.prototype.HSVtoRGBlinearcolor = LinearColor.prototype.HSVToRGBLinear; } catch (e) {};
+try { LinearColor.prototype.Desaturate = LinearColor.prototype.LinearColor_Desaturated; } catch (e) {};
+try { LinearColor.prototype.Distance = LinearColor.prototype.LinearColor_Distance; } catch (e) {};
+try { LinearColor.prototype.Luminance = LinearColor.prototype.LinearColor_GetLuminance; } catch (e) {};
+try { LinearColor.prototype.Max = LinearColor.prototype.LinearColor_GetMax; } catch (e) {};
+try { LinearColor.prototype.Min = LinearColor.prototype.LinearColor_GetMin; } catch (e) {};
+try { LinearColor.prototype.NearEqual = LinearColor.prototype.LinearColor_IsNearEqual; } catch (e) {};
+try { LinearColor.prototype.NewOpacity = LinearColor.prototype.LinearColor_ToNewOpacity; } catch (e) {};
+try { LinearColor.prototype.ToRGBE = LinearColor.prototype.LinearColor_ToRGBE; } catch (e) {};
 try { LinearColor.prototype.Lerp = LinearColor.prototype.LinearColorLerp; } catch (e) {};
 try { LinearColor.prototype.LerpUsingHSV = LinearColor.prototype.LinearColorLerpUsingHSV; } catch (e) {};
+try { LinearColor.prototype.NotEqual = LinearColor.prototype.NotEqual_LinearColorLinearColor; } catch (e) {};
+try { LinearColor.prototype.RGBtoHSVlinearcolor = LinearColor.prototype.RGBLinearToHSV; } catch (e) {};
 try { LinearColor.prototype.RGBtoHSV = LinearColor.prototype.RGBToHSV_Vector; } catch (e) {};
+try { Matrix.prototype.ToRotator = Matrix.prototype.Conv_MatrixToRotator; } catch (e) {};
+try { Matrix.prototype.ToTransform = Matrix.prototype.Conv_MatrixToTransform; } catch (e) {};
+try { Matrix.prototype.GetOrigin = Matrix.prototype.Matrix_GetOrigin; } catch (e) {};
 try { Transform.prototype.ToText = Transform.prototype.Conv_TransformToText; } catch (e) {};
 try { Transform.prototype.ToString = Transform.prototype.Conv_TransformToString; } catch (e) {};
 try { Transform.prototype.EqualTransform = Transform.prototype.EqualEqual_TransformTransform; } catch (e) {};
 try { Transform.prototype.NearlyEqual = Transform.prototype.NearlyEqual_TransformTransform; } catch (e) {};
 try { Transform.prototype.Ease = Transform.prototype.TEase; } catch (e) {};
 try { Transform.prototype.Lerp = Transform.prototype.TLerp; } catch (e) {};
+try { Transform.prototype.Determinant = Transform.prototype.Transform_Determinant; } catch (e) {};
 try { Transform.prototype.LookAtFunction = Transform.prototype.K2_LookAt; } catch (e) {};
+try { Transform.prototype.SetARAlignmentTransform = Transform.prototype.SetAlignmentTransform; } catch (e) {};
 try { DateTime.prototype.AsDate = DateTime.prototype.AsDate_DateTime; } catch (e) {};
 try { DateTime.prototype.AsDateTime = DateTime.prototype.AsDateTime_DateTime; } catch (e) {};
 try { DateTime.prototype.AsTime = DateTime.prototype.AsTime_DateTime; } catch (e) {};
@@ -1602,9 +2173,18 @@ try { DateTime.prototype.AsDateTime = DateTime.prototype.AsTimeZoneDateTime_Date
 try { DateTime.prototype.AsTime = DateTime.prototype.AsTimeZoneTime_DateTime; } catch (e) {};
 try { DateTime.prototype.Equal = DateTime.prototype.EqualEqual_DateTimeDateTime; } catch (e) {};
 try { DateTime.prototype.NotEqual = DateTime.prototype.NotEqual_DateTimeDateTime; } catch (e) {};
+try { FrameNumber.prototype.FrameNumbertoInteger = FrameNumber.prototype.Conv_FrameNumberToInteger; } catch (e) {};
+try { FrameRate.prototype.FrameRatetoSeconds = FrameRate.prototype.Conv_FrameRateToSeconds; } catch (e) {};
+try { FrameRate.prototype.IsValid = FrameRate.prototype.IsValid_Framerate; } catch (e) {};
+try { FrameRate.prototype.IsMultipleOf = FrameRate.prototype.IsValid_MultipleOf; } catch (e) {};
+try { FrameTime.prototype.SnapFrameTime = FrameTime.prototype.SnapFrameTimeToRate; } catch (e) {};
+try { FrameTime.prototype.TransformFrameTime = FrameTime.prototype.TransformTime; } catch (e) {};
+try { QualifiedFrameTime.prototype.QualifiedFrameTimetoSeconds = QualifiedFrameTime.prototype.Conv_QualifiedFrameTimeToSeconds; } catch (e) {};
+try { Timecode.prototype.TimecodetoString = Timecode.prototype.Conv_TimecodeToString; } catch (e) {};
 try { Timespan.prototype.AsTimespan = Timespan.prototype.AsTimespan_Timespan; } catch (e) {};
 try { Timespan.prototype.Equal = Timespan.prototype.EqualEqual_TimespanTimespan; } catch (e) {};
 try { Timespan.prototype.NotEqual = Timespan.prototype.NotEqual_TimespanTimespan; } catch (e) {};
+try { SoftObjectPath.prototype.ToSoftObjectReference = SoftObjectPath.prototype.Conv_SoftObjPathToSoftObjRef; } catch (e) {};
 try { PrimaryAssetType.prototype.ToString = PrimaryAssetType.prototype.Conv_PrimaryAssetTypeToString; } catch (e) {};
 try { PrimaryAssetType.prototype.Equal = PrimaryAssetType.prototype.EqualEqual_PrimaryAssetType; } catch (e) {};
 try { PrimaryAssetType.prototype.NotEqual = PrimaryAssetType.prototype.NotEqual_PrimaryAssetType; } catch (e) {};
@@ -1618,6 +2198,7 @@ try { Key.prototype.IsGamepadKey = Key.prototype.Key_IsGamepadKey; } catch (e) {
 try { Key.prototype.IsKeyboardKey = Key.prototype.Key_IsKeyboardKey; } catch (e) {};
 try { Key.prototype.IsModifierKey = Key.prototype.Key_IsModifierKey; } catch (e) {};
 try { Key.prototype.IsMouseButton = Key.prototype.Key_IsMouseButton; } catch (e) {};
+try { Key.prototype.IsValid = Key.prototype.Key_IsValid; } catch (e) {};
 try { Key.prototype.IsVectorAxis = Key.prototype.Key_IsVectorAxis; } catch (e) {};
 try { TimerHandle.prototype.Invalidate = TimerHandle.prototype.K2_InvalidateTimerHandle; } catch (e) {};
 try { TimerHandle.prototype.IsValid = TimerHandle.prototype.K2_IsValidTimerHandle; } catch (e) {};
@@ -1646,11 +2227,11 @@ try { UPointerEvent.prototype.GetUserIndex = UPointerEvent.prototype.PointerEven
 try { UPointerEvent.prototype.GetWheelDelta = UPointerEvent.prototype.PointerEvent_GetWheelDelta; } catch (e) {};
 try { UPointerEvent.prototype.IsMouseButtonDown = UPointerEvent.prototype.PointerEvent_IsMouseButtonDown; } catch (e) {};
 try { UPointerEvent.prototype.IsTouchEvent = UPointerEvent.prototype.PointerEvent_IsTouchEvent; } catch (e) {};
+try { PaintContext.prototype.DrawString = PaintContext.prototype.DrawText; } catch (e) {};
+try { PaintContext.prototype.DrawText = PaintContext.prototype.DrawTextFormatted; } catch (e) {};
 try { InputChord.prototype.Equal = InputChord.prototype.EqualEqual_InputChordInputChord; } catch (e) {};
 try { GameplayTag.prototype.Equal = GameplayTag.prototype.EqualEqual_GameplayTag; } catch (e) {};
 try { GameplayTag.prototype.NotEqual = GameplayTag.prototype.NotEqual_GameplayTag; } catch (e) {};
 try { GameplayTagContainer.prototype.Equal = GameplayTagContainer.prototype.EqualEqual_GameplayTagContainer; } catch (e) {};
 try { GameplayTagContainer.prototype.NotEqual = GameplayTagContainer.prototype.NotEqual_GameplayTagContainer; } catch (e) {};
-try { PaintContext.prototype.DrawString = PaintContext.prototype.DrawText; } catch (e) {};
-try { PaintContext.prototype.DrawText = PaintContext.prototype.DrawTextFormatted; } catch (e) {};
 try { DropTimecode.prototype.ToString = DropTimecode.prototype.Conv_DropTimecodeToString; } catch (e) {};
diff --git a/Content/Scripts/demos/build/demo-browserEd.js b/Content/Scripts/demos/build/demo-browserEd.js
index 084d28d..36e162d 100644
--- a/Content/Scripts/demos/build/demo-browserEd.js
+++ b/Content/Scripts/demos/build/demo-browserEd.js
@@ -23,6 +23,7 @@ module.exports = function broserDesign(E) {
         componentDidMount() {
             let elem = this.TreeView.ueobj;
             elem.JavascriptContext = Context;
+            elem.EntryWidgetClass = WidgetBlueprint.Load('/Game/EntryWidget_C').GeneratedClass;
             elem.proxy = {
                 OnSelectionChanged: item => {
                     let extra = elem.GetSelectedItems().OutItems;
diff --git a/Content/Scripts/demos/lib/npm.js b/Content/Scripts/demos/lib/npm.js
index efe1a16..1c11c2a 100644
--- a/Content/Scripts/demos/lib/npm.js
+++ b/Content/Scripts/demos/lib/npm.js
@@ -7,7 +7,7 @@ async function npm(what) {
 
     console.log(`trying to install node module: ${what}`)
 
-    let paths = ['','/usr/local/bin/','/usr/bin/','c:\\Program Files (x86)\\nodejs\\']
+    let paths = ['','/usr/local/bin/','/usr/bin/','c:\\Program Files (x86)\\nodejs\\', 'C:\\Program Files\\nodejs\\']
 
     function check(path,param) {
         console.log(path)
diff --git a/Content/Scripts/demos/src/demo-browserEd.jsx b/Content/Scripts/demos/src/demo-browserEd.jsx
index a060234..757cf00 100644
--- a/Content/Scripts/demos/src/demo-browserEd.jsx
+++ b/Content/Scripts/demos/src/demo-browserEd.jsx
@@ -21,6 +21,7 @@ module.exports = function broserDesign(E) {
         componentDidMount() {
             let elem = this.TreeView.ueobj;
             elem.JavascriptContext = Context;
+            elem.EntryWidgetClass = WidgetBlueprint.Load('/Game/EntryWidget_C').GeneratedClass                
             elem.proxy = {
                 OnSelectionChanged: item => {
                     let extra = elem.GetSelectedItems().OutItems
@@ -121,7 +122,7 @@ module.exports = function broserDesign(E) {
                         Id: 'Name',
                         Width: 1.0
                     }
-                ],                
+                ],
                 OnGenerateRowEvent: (item, column, widget) => {
                     let name
                     if (item) {
diff --git a/Content/Scripts/extension-exampleWindow.js b/Content/Scripts/extension-exampleWindow.js
index 7d0378f..90af5c3 100644
--- a/Content/Scripts/extension-exampleWindow.js
+++ b/Content/Scripts/extension-exampleWindow.js
@@ -281,6 +281,7 @@ function main() {
                 ),
                 $link:elem => {
                     elem.JavascriptContext = Context
+                    elem.EntryWidgetClass = WidgetBlueprint.Load('/Game/EntryWidget_C').GeneratedClass
                     elem.alive = true
                     elem.proxy = {
                         OnSelectionChanged: item => contexts.setCurrent(item)
@@ -369,6 +370,7 @@ function main() {
                     UMG(JavascriptListView,{
                         ItemHeight:20,
                         OnContextMenuOpening: packages.contextMenu,
+                        EntryWidgetClass: WidgetBlueprint.Load('/Game/EntryWidget_C').GeneratedClass,                
                         OnGenerateRowEvent:(item,column) => {
                             const isName = column == 'Name'
                             return I(
diff --git a/Content/Scripts/package.json b/Content/Scripts/package.json
index 38c718f..da8cfa8 100644
--- a/Content/Scripts/package.json
+++ b/Content/Scripts/package.json
@@ -16,7 +16,7 @@
     "hex-rgb": "^1.0.0",
     "lodash": "^4.17.4",
     "react": "<=15.4.2",
-    "react-umg": "^0.1.7",
+    "react-umg": "^0.2.0",
     "springy": "^2.7.1"
   },
   "devDependencies": {
diff --git a/Content/Scripts/typings/_part_0_ue.d.ts b/Content/Scripts/typings/_part_0_ue.d.ts
index 4fd7e5d..cc45364 100644
--- a/Content/Scripts/typings/_part_0_ue.d.ts
+++ b/Content/Scripts/typings/_part_0_ue.d.ts
@@ -112,19 +112,23 @@ declare class ActorTickFunction extends TickFunction {
 
 declare type ENetRole = 'ROLE_None' | 'ROLE_SimulatedProxy' | 'ROLE_AutonomousProxy' | 'ROLE_Authority' | 'ROLE_MAX';
 declare var ENetRole : { ROLE_None:'ROLE_None',ROLE_SimulatedProxy:'ROLE_SimulatedProxy',ROLE_AutonomousProxy:'ROLE_AutonomousProxy',ROLE_Authority:'ROLE_Authority',ROLE_MAX:'ROLE_MAX', };
-declare type ETrackedDeviceType = 'None' | 'HMD' | 'LTouch' | 'RTouch' | 'Touch' | 'DeviceObjectZero' | 'All' | 'ETrackedDeviceType_MAX';
-declare var ETrackedDeviceType : { None:'None',HMD:'HMD',LTouch:'LTouch',RTouch:'RTouch',Touch:'Touch',DeviceObjectZero:'DeviceObjectZero',All:'All',ETrackedDeviceType_MAX:'ETrackedDeviceType_MAX', };
-declare type EARLineTraceChannels = 'None' | 'FeaturePoint' | 'GroundPlane' | 'PlaneUsingExtent' | 'PlaneUsingBoundaryPolygon' | 'EARLineTraceChannels_MAX';
-declare var EARLineTraceChannels : { None:'None',FeaturePoint:'FeaturePoint',GroundPlane:'GroundPlane',PlaneUsingExtent:'PlaneUsingExtent',PlaneUsingBoundaryPolygon:'PlaneUsingBoundaryPolygon',EARLineTraceChannels_MAX:'EARLineTraceChannels_MAX', };
-declare class Quat { 
+declare class IntPoint { 
 	X: number;
 	Y: number;
-	Z: number;
-	W: number;
-	clone() : Quat;
-	static C(Other: UObject | any): Quat;
+	clone() : IntPoint;
+	static C(Other: UObject | any): IntPoint;
+}
+
+declare class Box2D { 
+	Min: Vector2D;
+	Max: Vector2D;
+	bIsValid: number;
+	clone() : Box2D;
+	static C(Other: UObject | any): Box2D;
 }
 
+declare type EARLineTraceChannels = 'None' | 'FeaturePoint' | 'GroundPlane' | 'PlaneUsingExtent' | 'PlaneUsingBoundaryPolygon' | 'EARLineTraceChannels_MAX';
+declare var EARLineTraceChannels : { None:'None',FeaturePoint:'FeaturePoint',GroundPlane:'GroundPlane',PlaneUsingExtent:'PlaneUsingExtent',PlaneUsingBoundaryPolygon:'PlaneUsingBoundaryPolygon',EARLineTraceChannels_MAX:'EARLineTraceChannels_MAX', };
 declare type EOrientPositionSelector = 'Orientation' | 'Position' | 'OrientationAndPosition' | 'EOrientPositionSelector_MAX';
 declare var EOrientPositionSelector : { Orientation:'Orientation',Position:'Position',OrientationAndPosition:'OrientationAndPosition',EOrientPositionSelector_MAX:'EOrientPositionSelector_MAX', };
 declare type EEasingFunc = 'Linear' | 'Step' | 'SinusoidalIn' | 'SinusoidalOut' | 'SinusoidalInOut' | 'EaseIn' | 'EaseOut' | 'EaseInOut' | 'ExpoIn' | 'ExpoOut' | 'ExpoInOut' | 'CircularIn' | 'CircularOut' | 'CircularInOut' | 'EEasingFunc_MAX';
@@ -162,11 +166,13 @@ declare class Rotator {
 	GetPose(DevicePosition?: Vector,NeckPosition?: Vector,bUseOrienationForPlayerCamera?: boolean,bUsePositionForPlayerCamera?: boolean,PositionScale?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector, NeckPosition: Vector};
 	SetBaseRotationAndBaseOffsetInMeters(BaseOffsetInMeters: Vector,Options: EOrientPositionSelector): void;
 	SetBaseRotationAndPositionOffset(PosOffset: Vector,Options: EOrientPositionSelector): void;
+	SetBaseRotation(): void;
 	Conv_RotatorToText(): string;
 	Conv_RotatorToString(): string;
 	BreakRotator(Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
 	BreakRotIntoAxes(X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
 	ComposeRotators(B: Rotator): Rotator;
+	Conv_RotatorToTransform(): Transform;
 	Conv_RotatorToVector(): Vector;
 	EqualEqual_RotatorRotator(B: Rotator,ErrorTolerance: number): boolean;
 	GetAxes(X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
@@ -190,11 +196,13 @@ declare class Rotator {
 	static GetPose(DeviceRotation?: Rotator,DevicePosition?: Vector,NeckPosition?: Vector,bUseOrienationForPlayerCamera?: boolean,bUsePositionForPlayerCamera?: boolean,PositionScale?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector, NeckPosition: Vector};
 	static SetBaseRotationAndBaseOffsetInMeters(Rotation: Rotator,BaseOffsetInMeters: Vector,Options: EOrientPositionSelector): void;
 	static SetBaseRotationAndPositionOffset(BaseRot: Rotator,PosOffset: Vector,Options: EOrientPositionSelector): void;
+	static SetBaseRotation(InBaseRotation: Rotator): void;
 	static Conv_RotatorToText(InRot: Rotator): string;
 	static Conv_RotatorToString(InRot: Rotator): string;
 	static BreakRotator(InRot: Rotator,Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
 	static BreakRotIntoAxes(InRot: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
 	static ComposeRotators(A: Rotator,B: Rotator): Rotator;
+	static Conv_RotatorToTransform(InRotator: Rotator): Transform;
 	static Conv_RotatorToVector(InRot: Rotator): Vector;
 	static EqualEqual_RotatorRotator(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
 	static GetAxes(A: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
@@ -218,6 +226,82 @@ declare class Rotator {
 	static RandomRotatorFromStream(bRoll: boolean,Stream: RandomStream): Rotator;
 }
 
+declare class Quat { 
+	X: number;
+	Y: number;
+	Z: number;
+	W: number;
+	clone() : Quat;
+	static C(Other: UObject | any): Quat;
+	SetBaseOrientation(): void;
+	Add_QuatQuat(B: Quat): Quat;
+	EqualEqual_QuatQuat(B: Quat,Tolerance: number): boolean;
+	Multiply_QuatQuat(B: Quat): Quat;
+	NotEqual_QuatQuat(B: Quat,ErrorTolerance: number): boolean;
+	Quat_AngularDistance(B: Quat): number;
+	Quat_EnforceShortestArcWith(B?: Quat): {A: Quat};
+	Quat_Euler(): Vector;
+	Quat_Exp(): Quat;
+	Quat_GetAngle(): number;
+	Quat_GetAxisX(): Vector;
+	Quat_GetAxisY(): Vector;
+	Quat_GetAxisZ(): Vector;
+	Quat_GetRotationAxis(): Vector;
+	Quat_Inversed(): Quat;
+	Quat_IsFinite(): boolean;
+	Quat_IsIdentity(Tolerance: number): boolean;
+	Quat_IsNonFinite(): boolean;
+	Quat_IsNormalized(): boolean;
+	Quat_Log(): Quat;
+	Quat_Normalize(Tolerance?: number): {Q: Quat};
+	Quat_Normalized(Tolerance: number): Quat;
+	Quat_RotateVector(V: Vector): Vector;
+	Quat_Rotator(): Rotator;
+	Quat_SetComponents(X?: number,Y?: number,Z?: number,W?: number): {Q: Quat};
+	Quat_SetFromEuler(Euler?: Vector): {Q: Quat};
+	Quat_Size(): number;
+	Quat_SizeSquared(): number;
+	Quat_UnrotateVector(V: Vector): Vector;
+	Quat_VectorForward(): Vector;
+	Quat_VectorRight(): Vector;
+	Quat_VectorUp(): Vector;
+	Subtract_QuatQuat(B: Quat): Quat;
+	static SetBaseOrientation(InBaseOrientation: Quat): void;
+	static Add_QuatQuat(A: Quat,B: Quat): Quat;
+	static EqualEqual_QuatQuat(A: Quat,B: Quat,Tolerance: number): boolean;
+	static Multiply_QuatQuat(A: Quat,B: Quat): Quat;
+	static NotEqual_QuatQuat(A: Quat,B: Quat,ErrorTolerance: number): boolean;
+	static Quat_AngularDistance(A: Quat,B: Quat): number;
+	static Quat_EnforceShortestArcWith(A?: Quat,B?: Quat): {A: Quat};
+	static Quat_Euler(Q: Quat): Vector;
+	static Quat_Exp(Q: Quat): Quat;
+	static Quat_GetAngle(Q: Quat): number;
+	static Quat_GetAxisX(Q: Quat): Vector;
+	static Quat_GetAxisY(Q: Quat): Vector;
+	static Quat_GetAxisZ(Q: Quat): Vector;
+	static Quat_GetRotationAxis(Q: Quat): Vector;
+	static Quat_Inversed(Q: Quat): Quat;
+	static Quat_IsFinite(Q: Quat): boolean;
+	static Quat_IsIdentity(Q: Quat,Tolerance: number): boolean;
+	static Quat_IsNonFinite(Q: Quat): boolean;
+	static Quat_IsNormalized(Q: Quat): boolean;
+	static Quat_Log(Q: Quat): Quat;
+	static Quat_Normalize(Q?: Quat,Tolerance?: number): {Q: Quat};
+	static Quat_Normalized(Q: Quat,Tolerance: number): Quat;
+	static Quat_RotateVector(Q: Quat,V: Vector): Vector;
+	static Quat_Rotator(Q: Quat): Rotator;
+	static Quat_SetComponents(Q?: Quat,X?: number,Y?: number,Z?: number,W?: number): {Q: Quat};
+	static Quat_SetFromEuler(Q?: Quat,Euler?: Vector): {Q: Quat};
+	static Quat_Size(Q: Quat): number;
+	static Quat_SizeSquared(Q: Quat): number;
+	static Quat_UnrotateVector(Q: Quat,V: Vector): Vector;
+	static Quat_VectorForward(Q: Quat): Vector;
+	static Quat_VectorRight(Q: Quat): Vector;
+	static Quat_VectorUp(Q: Quat): Vector;
+	static Subtract_QuatQuat(A: Quat,B: Quat): Quat;
+	static Quat_Identity(): Quat;
+}
+
 declare type ELerpInterpolationMode = 'QuatInterp' | 'EulerInterp' | 'DualQuatInterp' | 'ELerpInterpolationMode_MAX';
 declare var ELerpInterpolationMode : { QuatInterp:'QuatInterp',EulerInterp:'EulerInterp',DualQuatInterp:'DualQuatInterp',ELerpInterpolationMode_MAX:'ELerpInterpolationMode_MAX', };
 declare class Transform { 
@@ -226,7 +310,6 @@ declare class Transform {
 	Scale3D: Vector;
 	clone() : Transform;
 	static C(Other: UObject | any): Transform;
-	SetAlignmentTransform(): void;
 	Conv_TransformToText(): string;
 	Conv_TransformToString(): string;
 	BreakTransform(Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
@@ -237,16 +320,20 @@ declare class Transform {
 	InverseTransformLocation(Location: Vector): Vector;
 	InverseTransformRotation(Rotation: Rotator): Rotator;
 	InvertTransform(): Transform;
+	MakeRelativeTransform(RelativeTo: Transform): Transform;
 	NearlyEqual_TransformTransform(B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
 	SelectTransform(B: Transform,bPickA: boolean): Transform;
 	TEase(B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
 	TInterpTo(Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
 	TLerp(B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
+	Transform_Determinant(): number;
 	TransformDirection(Direction: Vector): Vector;
 	TransformLocation(Location: Vector): Vector;
 	TransformRotation(Rotation: Rotator): Rotator;
 	K2_LookAt(TargetPosition: Vector,LookAtVector: Vector,bUseUpVector: boolean,UpVector: Vector,ClampConeInDegree: number): Transform;
-	static SetAlignmentTransform(InAlignmentTransform: Transform): void;
+	CalibrateExternalTrackingToHMD(): void;
+	UpdateExternalTrackingHMDPosition(): void;
+	SetAlignmentTransform(): void;
 	static Conv_TransformToText(InTrans: Transform): string;
 	static Conv_TransformToString(InTrans: Transform): string;
 	static BreakTransform(InTransform: Transform,Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
@@ -257,19 +344,25 @@ declare class Transform {
 	static InverseTransformLocation(T: Transform,Location: Vector): Vector;
 	static InverseTransformRotation(T: Transform,Rotation: Rotator): Rotator;
 	static InvertTransform(T: Transform): Transform;
+	static MakeRelativeTransform(A: Transform,RelativeTo: Transform): Transform;
 	static NearlyEqual_TransformTransform(A: Transform,B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
 	static SelectTransform(A: Transform,B: Transform,bPickA: boolean): Transform;
 	static TEase(A: Transform,B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
 	static TInterpTo(Current: Transform,Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
 	static TLerp(A: Transform,B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
+	static Transform_Determinant(Transform: Transform): number;
 	static TransformDirection(T: Transform,Direction: Vector): Vector;
 	static TransformLocation(T: Transform,Location: Vector): Vector;
 	static TransformRotation(T: Transform,Rotation: Rotator): Rotator;
 	static K2_LookAt(CurrentTransform: Transform,TargetPosition: Vector,LookAtVector: Vector,bUseUpVector: boolean,UpVector: Vector,ClampConeInDegree: number): Transform;
+	static CalibrateExternalTrackingToHMD(ExternalTrackingTransform: Transform): void;
+	static UpdateExternalTrackingHMDPosition(ExternalTrackingTransform: Transform): void;
+	static SetAlignmentTransform(InAlignmentTransform: Transform): void;
+	static GetPlayAreaTransform(): Transform;
 }
 
-declare type EARTrackingState = 'Tracking' | 'NotTracking' | 'StoppedTracking' | 'EARTrackingState_MAX';
-declare var EARTrackingState : { Tracking:'Tracking',NotTracking:'NotTracking',StoppedTracking:'StoppedTracking',EARTrackingState_MAX:'EARTrackingState_MAX', };
+declare type EARTrackingState = 'Unknown' | 'Tracking' | 'NotTracking' | 'StoppedTracking' | 'EARTrackingState_MAX';
+declare var EARTrackingState : { Unknown:'Unknown',Tracking:'Tracking',NotTracking:'NotTracking',StoppedTracking:'StoppedTracking',EARTrackingState_MAX:'EARTrackingState_MAX', };
 declare class Color { 
 	B: number;
 	G: number;
@@ -288,36 +381,94 @@ declare class LinearColor {
 	A: number;
 	clone() : LinearColor;
 	static C(Other: UObject | any): LinearColor;
+	SetColorScaleAndOffset(ColorOffset: LinearColor,bApplyToAllLayers: boolean): void;
 	Conv_ColorToText(): string;
 	Conv_ColorToString(): string;
+	Add_LinearColorLinearColor(B: LinearColor): LinearColor;
 	BreakColor(R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
 	CInterpTo(Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
-	Conv_LinearColorToColor(): Color;
+	Conv_LinearColorToColor(InUseSRGB: boolean): Color;
 	Conv_LinearColorToVector(): Vector;
+	Divide_LinearColorLinearColor(B: LinearColor): LinearColor;
+	EqualEqual_LinearColorLinearColor(B: LinearColor): boolean;
 	HSVToRGB_Vector(RGB?: LinearColor): {RGB: LinearColor};
+	HSVToRGBLinear(): LinearColor;
+	LinearColor_Desaturated(InDesaturation: number): LinearColor;
+	LinearColor_Distance(C2: LinearColor): number;
+	LinearColor_GetLuminance(): number;
+	LinearColor_GetMax(): number;
+	LinearColor_GetMin(): number;
+	LinearColor_IsNearEqual(B: LinearColor,Tolerance: number): boolean;
+	LinearColor_Quantize(): Color;
+	LinearColor_QuantizeRound(): Color;
+	LinearColor_Set(InColor?: LinearColor): {InOutColor: LinearColor};
+	LinearColor_SetFromHSV(H?: number,S?: number,V?: number,A?: number): {InOutColor: LinearColor};
+	LinearColor_SetFromPow22(InColor?: Color): {InOutColor: LinearColor};
+	LinearColor_SetFromSRGB(InSRGB?: Color): {InOutColor: LinearColor};
+	LinearColor_SetRandomHue(): {InOutColor: LinearColor};
+	LinearColor_SetRGBA(R?: number,G?: number,B?: number,A?: number): {InOutColor: LinearColor};
+	LinearColor_SetTemperature(InTemperature?: number): {InOutColor: LinearColor};
+	LinearColor_ToNewOpacity(InOpacity: number): LinearColor;
+	LinearColor_ToRGBE(): Color;
 	LinearColorLerp(B: LinearColor,Alpha: number): LinearColor;
 	LinearColorLerpUsingHSV(B: LinearColor,Alpha: number): LinearColor;
 	Multiply_LinearColorFloat(B: number): LinearColor;
 	Multiply_LinearColorLinearColor(B: LinearColor): LinearColor;
+	NotEqual_LinearColorLinearColor(B: LinearColor): boolean;
+	RGBLinearToHSV(): LinearColor;
 	RGBToHSV(H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
 	RGBToHSV_Vector(HSV?: LinearColor): {HSV: LinearColor};
 	SelectColor(B: LinearColor,bPickA: boolean): LinearColor;
+	Subtract_LinearColorLinearColor(B: LinearColor): LinearColor;
+	static SetColorScaleAndOffset(ColorScale: LinearColor,ColorOffset: LinearColor,bApplyToAllLayers: boolean): void;
 	static Conv_ColorToText(InColor: LinearColor): string;
 	static Conv_ColorToString(InColor: LinearColor): string;
+	static Add_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
 	static BreakColor(InColor: LinearColor,R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
 	static CInterpTo(Current: LinearColor,Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
-	static Conv_LinearColorToColor(InLinearColor: LinearColor): Color;
+	static Conv_LinearColorToColor(InLinearColor: LinearColor,InUseSRGB: boolean): Color;
 	static Conv_LinearColorToVector(InLinearColor: LinearColor): Vector;
+	static Divide_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static EqualEqual_LinearColorLinearColor(A: LinearColor,B: LinearColor): boolean;
 	static HSVToRGB_Vector(HSV: LinearColor,RGB?: LinearColor): {RGB: LinearColor};
+	static HSVToRGBLinear(HSV: LinearColor): LinearColor;
+	static LinearColor_Desaturated(InColor: LinearColor,InDesaturation: number): LinearColor;
+	static LinearColor_Distance(C1: LinearColor,C2: LinearColor): number;
+	static LinearColor_GetLuminance(InColor: LinearColor): number;
+	static LinearColor_GetMax(InColor: LinearColor): number;
+	static LinearColor_GetMin(InColor: LinearColor): number;
+	static LinearColor_IsNearEqual(A: LinearColor,B: LinearColor,Tolerance: number): boolean;
+	static LinearColor_Quantize(InColor: LinearColor): Color;
+	static LinearColor_QuantizeRound(InColor: LinearColor): Color;
+	static LinearColor_Set(InOutColor?: LinearColor,InColor?: LinearColor): {InOutColor: LinearColor};
+	static LinearColor_SetFromHSV(InOutColor?: LinearColor,H?: number,S?: number,V?: number,A?: number): {InOutColor: LinearColor};
+	static LinearColor_SetFromPow22(InOutColor?: LinearColor,InColor?: Color): {InOutColor: LinearColor};
+	static LinearColor_SetFromSRGB(InOutColor?: LinearColor,InSRGB?: Color): {InOutColor: LinearColor};
+	static LinearColor_SetRandomHue(InOutColor?: LinearColor): {InOutColor: LinearColor};
+	static LinearColor_SetRGBA(InOutColor?: LinearColor,R?: number,G?: number,B?: number,A?: number): {InOutColor: LinearColor};
+	static LinearColor_SetTemperature(InOutColor?: LinearColor,InTemperature?: number): {InOutColor: LinearColor};
+	static LinearColor_ToNewOpacity(InColor: LinearColor,InOpacity: number): LinearColor;
+	static LinearColor_ToRGBE(InLinearColor: LinearColor): Color;
 	static LinearColorLerp(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
 	static LinearColorLerpUsingHSV(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
 	static Multiply_LinearColorFloat(A: LinearColor,B: number): LinearColor;
 	static Multiply_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static NotEqual_LinearColorLinearColor(A: LinearColor,B: LinearColor): boolean;
+	static RGBLinearToHSV(RGB: LinearColor): LinearColor;
 	static RGBToHSV(InColor: LinearColor,H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
 	static RGBToHSV_Vector(RGB: LinearColor,HSV?: LinearColor): {HSV: LinearColor};
 	static SelectColor(A: LinearColor,B: LinearColor,bPickA: boolean): LinearColor;
+	static Subtract_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
 	static Conv_FloatToLinearColor(InFloat: number): LinearColor;
 	static HSVToRGB(H: number,S: number,V: number,A: number): LinearColor;
+	static LinearColor_Black(): LinearColor;
+	static LinearColor_Blue(): LinearColor;
+	static LinearColor_Gray(): LinearColor;
+	static LinearColor_Green(): LinearColor;
+	static LinearColor_Red(): LinearColor;
+	static LinearColor_Transparent(): LinearColor;
+	static LinearColor_White(): LinearColor;
+	static LinearColor_Yellow(): LinearColor;
 	static MakeColor(R: number,G: number,B: number,A: number): LinearColor;
 }
 
@@ -329,6 +480,7 @@ declare class ARTrackedGeometry extends UObject {
 	static Find(Outer: UObject, ResourceName: string): ARTrackedGeometry;
 	static GetDefaultObject(): ARTrackedGeometry;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTrackedGeometry;
+	IsTracked(): boolean;
 	GetTrackingState(): EARTrackingState;
 	GetLocalToWorldTransform(): Transform;
 	GetLocalToTrackingTransform(): Transform;
@@ -359,69 +511,106 @@ declare class ARTraceResult {
 	static GetTrackedGeometry(TraceResult: ARTraceResult): ARTrackedGeometry;
 }
 
-declare class Box2D { 
-	Min: Vector2D;
-	Max: Vector2D;
-	bIsValid: number;
-	clone() : Box2D;
-	static C(Other: UObject | any): Box2D;
-}
-
 declare class Vector2D { 
 	X: number;
 	Y: number;
 	clone() : Vector2D;
 	static C(Other: UObject | any): Vector2D;
-	LineTraceTrackedObjects(bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
 	Conv_Vector2dToText(): string;
 	Conv_Vector2dToString(): string;
 	Add_Vector2DFloat(B: number): Vector2D;
 	Add_Vector2DVector2D(B: Vector2D): Vector2D;
 	BreakVector2D(X?: number,Y?: number): {X: number, Y: number};
+	ClampAxes2D(MinAxisVal: number,MaxAxisVal: number): Vector2D;
+	Conv_Vector2DToIntPoint(): IntPoint;
 	Conv_Vector2DToVector(Z: number): Vector;
 	CrossProduct2D(B: Vector2D): number;
+	Distance2D(v2: Vector2D): number;
+	DistanceSquared2D(v2: Vector2D): number;
 	Divide_Vector2DFloat(B: number): Vector2D;
 	Divide_Vector2DVector2D(B: Vector2D): Vector2D;
 	DotProduct2D(B: Vector2D): number;
 	EqualEqual_Vector2DVector2D(B: Vector2D,ErrorTolerance: number): boolean;
+	EqualExactly_Vector2DVector2D(B: Vector2D): boolean;
+	GetAbs2D(): Vector2D;
+	GetAbsMax2D(): number;
+	GetMax2D(): number;
+	GetMin2D(): number;
+	GetRotated2D(AngleDeg: number): Vector2D;
+	IsNearlyZero2D(Tolerance: number): boolean;
+	IsZero2D(): boolean;
 	MakeBox2D(Max: Vector2D): Box2D;
 	Multiply_Vector2DFloat(B: number): Vector2D;
 	Multiply_Vector2DVector2D(B: Vector2D): Vector2D;
+	Negated2D(): Vector2D;
 	Normal2D(): Vector2D;
+	Normalize2D(Tolerance?: number): {A: Vector2D};
+	NormalSafe2D(Tolerance: number): Vector2D;
 	NotEqual_Vector2DVector2D(B: Vector2D,ErrorTolerance: number): boolean;
+	NotEqualExactly_Vector2DVector2D(B: Vector2D): boolean;
+	Set2D(X?: number,Y?: number): {A: Vector2D};
+	Spherical2DToUnitCartesian(): Vector;
 	Subtract_Vector2DFloat(B: number): Vector2D;
 	Subtract_Vector2DVector2D(B: Vector2D): Vector2D;
+	ToDirectionAndLength2D(OutDir?: Vector2D,OutLength?: number): {OutDir: Vector2D, OutLength: number};
+	ToRounded2D(): Vector2D;
+	ToSign2D(): Vector2D;
 	Vector2DInterpTo(Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
 	Vector2DInterpTo_Constant(Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
 	VSize2D(): number;
 	VSize2DSquared(): number;
-	SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean): void;
-	static LineTraceTrackedObjects(ScreenCoord: Vector2D,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
+	SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean,bUseAlpha: boolean): void;
+	LineTraceTrackedObjects(bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
 	static Conv_Vector2dToText(InVec: Vector2D): string;
 	static Conv_Vector2dToString(InVec: Vector2D): string;
 	static Add_Vector2DFloat(A: Vector2D,B: number): Vector2D;
 	static Add_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
 	static BreakVector2D(InVec: Vector2D,X?: number,Y?: number): {X: number, Y: number};
+	static ClampAxes2D(A: Vector2D,MinAxisVal: number,MaxAxisVal: number): Vector2D;
+	static Conv_Vector2DToIntPoint(InVector2D: Vector2D): IntPoint;
 	static Conv_Vector2DToVector(InVector2D: Vector2D,Z: number): Vector;
 	static CrossProduct2D(A: Vector2D,B: Vector2D): number;
+	static Distance2D(v1: Vector2D,v2: Vector2D): number;
+	static DistanceSquared2D(v1: Vector2D,v2: Vector2D): number;
 	static Divide_Vector2DFloat(A: Vector2D,B: number): Vector2D;
 	static Divide_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
 	static DotProduct2D(A: Vector2D,B: Vector2D): number;
 	static EqualEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
+	static EqualExactly_Vector2DVector2D(A: Vector2D,B: Vector2D): boolean;
+	static GetAbs2D(A: Vector2D): Vector2D;
+	static GetAbsMax2D(A: Vector2D): number;
+	static GetMax2D(A: Vector2D): number;
+	static GetMin2D(A: Vector2D): number;
+	static GetRotated2D(A: Vector2D,AngleDeg: number): Vector2D;
+	static IsNearlyZero2D(A: Vector2D,Tolerance: number): boolean;
+	static IsZero2D(A: Vector2D): boolean;
 	static MakeBox2D(Min: Vector2D,Max: Vector2D): Box2D;
 	static Multiply_Vector2DFloat(A: Vector2D,B: number): Vector2D;
 	static Multiply_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static Negated2D(A: Vector2D): Vector2D;
 	static Normal2D(A: Vector2D): Vector2D;
+	static Normalize2D(A?: Vector2D,Tolerance?: number): {A: Vector2D};
+	static NormalSafe2D(A: Vector2D,Tolerance: number): Vector2D;
 	static NotEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
+	static NotEqualExactly_Vector2DVector2D(A: Vector2D,B: Vector2D): boolean;
+	static Set2D(A?: Vector2D,X?: number,Y?: number): {A: Vector2D};
+	static Spherical2DToUnitCartesian(A: Vector2D): Vector;
 	static Subtract_Vector2DFloat(A: Vector2D,B: number): Vector2D;
 	static Subtract_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static ToDirectionAndLength2D(A: Vector2D,OutDir?: Vector2D,OutLength?: number): {OutDir: Vector2D, OutLength: number};
+	static ToRounded2D(A: Vector2D): Vector2D;
+	static ToSign2D(A: Vector2D): Vector2D;
 	static Vector2DInterpTo(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
 	static Vector2DInterpTo_Constant(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
 	static VSize2D(A: Vector2D): number;
 	static VSize2DSquared(A: Vector2D): number;
-	static SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMin: Vector2D,EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean): void;
+	static SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMin: Vector2D,EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean,bUseAlpha: boolean): void;
+	static LineTraceTrackedObjects(ScreenCoord: Vector2D,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
 	static GenerateDynamicImageResource(InDynamicBrushName: string): Vector2D;
 	static MakeVector2D(X: number,Y: number): Vector2D;
+	static Vector2D_One(): Vector2D;
+	static Vector2D_Unit45Deg(): Vector2D;
+	static Vector2D_Zero(): Vector2D;
 	static NextSobolCell2D(index: number,NumCells: number,PreviousValue: Vector2D): Vector2D;
 	static RandomSobolCell2D(index: number,NumCells: number,Cell: Vector2D,Seed: Vector2D): Vector2D;
 	static GetMousePositionOnPlatform(): Vector2D;
@@ -434,6 +623,45 @@ declare class ProcMeshTangent {
 	static C(Other: UObject | any): ProcMeshTangent;
 }
 
+declare type EBoundaryType = 'Boundary_Outer' | 'Boundary_PlayArea' | 'Boundary_MAX';
+declare var EBoundaryType : { Boundary_Outer:'Boundary_Outer',Boundary_PlayArea:'Boundary_PlayArea',Boundary_MAX:'Boundary_MAX', };
+declare type ETrackedDeviceType = 'None' | 'HMD' | 'LTouch' | 'RTouch' | 'Touch' | 'DeviceObjectZero' | 'All' | 'ETrackedDeviceType_MAX';
+declare var ETrackedDeviceType : { None:'None',HMD:'HMD',LTouch:'LTouch',RTouch:'RTouch',Touch:'Touch',DeviceObjectZero:'DeviceObjectZero',All:'All',ETrackedDeviceType_MAX:'ETrackedDeviceType_MAX', };
+declare class GuardianTestResult { 
+	IsTriggering: boolean;
+	DeviceType: ETrackedDeviceType;
+	ClosestDistance: number;
+	ClosestPoint: Vector;
+	ClosestPointNormal: Vector;
+	clone() : GuardianTestResult;
+	static C(Other: UObject | any): GuardianTestResult;
+	static GetNodeGuardianIntersection(DeviceType: ETrackedDeviceType,BoundaryType: EBoundaryType): GuardianTestResult;
+}
+
+declare class Guid { 
+	A: number;
+	B: number;
+	C: number;
+	D: number;
+	clone() : Guid;
+	static C(Other: UObject | any): Guid;
+	GetARPinPositionAndOrientation(Position?: Vector,Orientation?: Rotator,PinFoundInEnvironment?: boolean): {Position: Vector, Orientation: Rotator, PinFoundInEnvironment: boolean, $: boolean};
+	Conv_GuidToString(): string;
+	EqualEqual_GuidGuid(B: Guid): boolean;
+	Invalidate_Guid(): {InGuid: Guid};
+	IsValid_Guid(): boolean;
+	NotEqual_GuidGuid(B: Guid): boolean;
+	static GetARPinPositionAndOrientation(PinID: Guid,Position?: Vector,Orientation?: Rotator,PinFoundInEnvironment?: boolean): {Position: Vector, Orientation: Rotator, PinFoundInEnvironment: boolean, $: boolean};
+	static Conv_GuidToString(InGuid: Guid): string;
+	static EqualEqual_GuidGuid(A: Guid,B: Guid): boolean;
+	static Invalidate_Guid(InGuid?: Guid): {InGuid: Guid};
+	static IsValid_Guid(InGuid: Guid): boolean;
+	static NotEqual_GuidGuid(A: Guid,B: Guid): boolean;
+	static NewGuid(): Guid;
+}
+
+declare type EPassableWorldError = 'None' | 'LowMapQuality' | 'UnableToLocalize' | 'Unavailable' | 'PrivilegeDenied' | 'InvalidParam' | 'UnspecifiedFailure' | 'PrivilegeRequestPending' | 'EPassableWorldError_MAX';
+declare var EPassableWorldError : { None:'None',LowMapQuality:'LowMapQuality',UnableToLocalize:'UnableToLocalize',Unavailable:'Unavailable',PrivilegeDenied:'PrivilegeDenied',InvalidParam:'InvalidParam',UnspecifiedFailure:'UnspecifiedFailure',PrivilegeRequestPending:'PrivilegeRequestPending',EPassableWorldError_MAX:'EPassableWorldError_MAX', };
 declare class IntVector { 
 	X: number;
 	Y: number;
@@ -474,10 +702,14 @@ declare class Vector {
 	Z: number;
 	clone() : Vector;
 	static C(Other: UObject | any): Vector;
+	GetSelectionBounds(BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
 	SegmentIntersection2D(SegmentEndA: Vector,SegmentStartB: Vector,SegmentEndB: Vector,IntersectionPoint?: Vector): {IntersectionPoint: Vector, $: boolean};
+	GenerateBoxMesh(Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	GetPointGuardianIntersection(BoundaryType: EBoundaryType): GuardianTestResult;
 	GetRawSensorData(LinearAcceleration?: Vector,AngularVelocity?: Vector,LinearVelocity?: Vector,TimeInSeconds?: number,DeviceType?: ETrackedDeviceType): {AngularAcceleration: Vector, LinearAcceleration: Vector, AngularVelocity: Vector, LinearVelocity: Vector, TimeInSeconds: number};
 	SetPositionScale3D(): void;
-	GenerateBoxMesh(Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	SetBasePosition(): void;
+	GetClosestARPin(PinID?: Guid): {PinID: Guid, $: EPassableWorldError};
 	Conv_VectorToText(): string;
 	Conv_VectorToString(): string;
 	Add_VectorFloat(B: number): Vector;
@@ -486,6 +718,7 @@ declare class Vector {
 	BreakVector(X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
 	ClampVectorSize(Min: number,Max: number): Vector;
 	Conv_VectorToLinearColor(): LinearColor;
+	Conv_VectorToQuaterion(): Quat;
 	Conv_VectorToRotator(): Rotator;
 	Conv_VectorToTransform(): Transform;
 	Conv_VectorToVector2D(): Vector2D;
@@ -495,6 +728,7 @@ declare class Vector {
 	Divide_VectorVector(B: Vector): Vector;
 	Dot_VectorVector(B: Vector): number;
 	EqualEqual_VectorVector(B: Vector,ErrorTolerance: number): boolean;
+	EqualExactly_VectorVector(B: Vector): boolean;
 	FindClosestPointOnLine(LineOrigin: Vector,LineDirection: Vector): Vector;
 	FindClosestPointOnSegment(SegmentStart: Vector,SegmentEnd: Vector): Vector;
 	FindLookAtRotation(Target: Vector): Rotator;
@@ -507,6 +741,7 @@ declare class Vector {
 	GetPointDistanceToLine(LineOrigin: Vector,LineDirection: Vector): number;
 	GetPointDistanceToSegment(SegmentStart: Vector,SegmentEnd: Vector): number;
 	GetReflectionVector(SurfaceNormal: Vector): Vector;
+	GetSlopeDegreeAngles(FloorNormal: Vector,UpVector: Vector,OutSlopePitchDegreeAngle?: number,OutSlopeRollDegreeAngle?: number): {OutSlopePitchDegreeAngle: number, OutSlopeRollDegreeAngle: number};
 	GetYawPitchFromVector(Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
 	GreaterGreater_VectorRotator(B: Rotator): Vector;
 	IsPointInBox(BoxOrigin: Vector,BoxExtent: Vector): boolean;
@@ -532,11 +767,13 @@ declare class Vector {
 	Multiply_VectorInt(B: number): Vector;
 	Multiply_VectorVector(B: Vector): Vector;
 	NegateVector(): Vector;
-	Normal(): Vector;
+	Normal(Tolerance: number): Vector;
 	NotEqual_VectorVector(B: Vector,ErrorTolerance: number): boolean;
+	NotEqualExactly_VectorVector(B: Vector): boolean;
 	ProjectPointOnToPlane(PlaneBase: Vector,PlaneNormal: Vector): Vector;
 	ProjectVectorOnToPlane(PlaneNormal: Vector): Vector;
 	ProjectVectorOnToVector(Target: Vector): Vector;
+	Quat_MakeFromEuler(): Quat;
 	RandomPointInBoundingBox(BoxExtent: Vector): Vector;
 	RandomUnitVectorInConeInDegrees(ConeHalfAngleInDegrees: number): Vector;
 	RandomUnitVectorInConeInDegreesFromStream(ConeHalfAngleInDegrees: number,Stream: RandomStream): Vector;
@@ -553,6 +790,44 @@ declare class Vector {
 	Subtract_VectorInt(B: number): Vector;
 	Subtract_VectorVector(B: Vector): Vector;
 	VEase(B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
+	Vector_AddBounded(InAddVect?: Vector,InRadius?: number): {A: Vector};
+	Vector_Assign(InVector?: Vector): {A: Vector};
+	Vector_BoundedToBox(InBoxMin: Vector,InBoxMax: Vector): Vector;
+	Vector_BoundedToCube(InRadius: number): Vector;
+	Vector_ClampSize2D(Min: number,Max: number): Vector;
+	Vector_ClampSizeMax(Max: number): Vector;
+	Vector_ClampSizeMax2D(Max: number): Vector;
+	Vector_ComponentMax(B: Vector): Vector;
+	Vector_ComponentMin(B: Vector): Vector;
+	Vector_CosineAngle2D(B: Vector): number;
+	Vector_Distance(v2: Vector): number;
+	Vector_Distance2D(v2: Vector): number;
+	Vector_Distance2DSquared(v2: Vector): number;
+	Vector_DistanceSquared(v2: Vector): number;
+	Vector_GetAbs(): Vector;
+	Vector_GetAbsMax(): number;
+	Vector_GetAbsMin(): number;
+	Vector_GetProjection(): Vector;
+	Vector_GetSignVector(): Vector;
+	Vector_HeadingAngle(): number;
+	Vector_IsNAN(): boolean;
+	Vector_IsNearlyZero(Tolerance: number): boolean;
+	Vector_IsNormal(): boolean;
+	Vector_IsUniform(Tolerance: number): boolean;
+	Vector_IsUnit(SquaredLenthTolerance: number): boolean;
+	Vector_IsZero(): boolean;
+	Vector_MirrorByPlane(InPlane: Plane): Vector;
+	Vector_Normal2D(Tolerance: number): Vector;
+	Vector_Normalize(Tolerance?: number): {A: Vector};
+	Vector_NormalUnsafe(): Vector;
+	Vector_ProjectOnToNormal(InNormal: Vector): Vector;
+	Vector_Reciprocal(): Vector;
+	Vector_Set(X?: number,Y?: number,Z?: number): {A: Vector};
+	Vector_SnappedToGrid(InGridSize: number): Vector;
+	Vector_ToDegrees(): Vector;
+	Vector_ToRadians(): Vector;
+	Vector_UnitCartesianToSpherical(): Vector2D;
+	Vector_UnwindEuler(): {A: Vector};
 	VectorSpringInterp(Target: Vector,SpringState?: VectorSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: VectorSpringState, $: Vector};
 	VInterpTo(Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
 	VInterpTo_Constant(Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
@@ -560,15 +835,22 @@ declare class Vector {
 	VSize(): number;
 	VSizeSquared(): number;
 	VSizeXY(): number;
+	VSizeXYSquared(): number;
 	K2_TwoBoneIK(JointPos: Vector,EndPos: Vector,JointTarget: Vector,Effector: Vector,OutJointPos?: Vector,OutEndPos?: Vector,bAllowStretching?: boolean,StartStretchRatio?: number,MaxStretchScale?: number): {OutJointPos: Vector, OutEndPos: Vector};
 	IsValidAIDirection(): boolean;
 	IsValidAILocation(): boolean;
 	GetPositionalTrackingCameraParameters(CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
 	GetTrackingSensorParameters(Rotation?: Rotator,LeftFOV?: number,RightFOV?: number,TopFOV?: number,BottomFOV?: number,Distance?: number,NearPlane?: number,FarPlane?: number,IsActive?: boolean,index?: number): {Origin: Vector, Rotation: Rotator, LeftFOV: number, RightFOV: number, TopFOV: number, BottomFOV: number, Distance: number, NearPlane: number, FarPlane: number, IsActive: boolean};
+	AddManualEnvironmentCaptureProbe(Extent: Vector): boolean;
+	LineTraceTrackedObjects3D(End: Vector,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
+	static GetSelectionBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
 	static SegmentIntersection2D(SegmentStartA: Vector,SegmentEndA: Vector,SegmentStartB: Vector,SegmentEndB: Vector,IntersectionPoint?: Vector): {IntersectionPoint: Vector, $: boolean};
+	static GenerateBoxMesh(BoxRadius: Vector,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	static GetPointGuardianIntersection(Point: Vector,BoundaryType: EBoundaryType): GuardianTestResult;
 	static GetRawSensorData(AngularAcceleration?: Vector,LinearAcceleration?: Vector,AngularVelocity?: Vector,LinearVelocity?: Vector,TimeInSeconds?: number,DeviceType?: ETrackedDeviceType): {AngularAcceleration: Vector, LinearAcceleration: Vector, AngularVelocity: Vector, LinearVelocity: Vector, TimeInSeconds: number};
 	static SetPositionScale3D(PosScale3D: Vector): void;
-	static GenerateBoxMesh(BoxRadius: Vector,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	static SetBasePosition(InBasePosition: Vector): void;
+	static GetClosestARPin(SearchPoint: Vector,PinID?: Guid): {PinID: Guid, $: EPassableWorldError};
 	static Conv_VectorToText(InVec: Vector): string;
 	static Conv_VectorToString(InVec: Vector): string;
 	static Add_VectorFloat(A: Vector,B: number): Vector;
@@ -577,6 +859,7 @@ declare class Vector {
 	static BreakVector(InVec: Vector,X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
 	static ClampVectorSize(A: Vector,Min: number,Max: number): Vector;
 	static Conv_VectorToLinearColor(InVec: Vector): LinearColor;
+	static Conv_VectorToQuaterion(InVec: Vector): Quat;
 	static Conv_VectorToRotator(InVec: Vector): Rotator;
 	static Conv_VectorToTransform(InLocation: Vector): Transform;
 	static Conv_VectorToVector2D(InVector: Vector): Vector2D;
@@ -586,6 +869,7 @@ declare class Vector {
 	static Divide_VectorVector(A: Vector,B: Vector): Vector;
 	static Dot_VectorVector(A: Vector,B: Vector): number;
 	static EqualEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
+	static EqualExactly_VectorVector(A: Vector,B: Vector): boolean;
 	static FindClosestPointOnLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): Vector;
 	static FindClosestPointOnSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): Vector;
 	static FindLookAtRotation(Start: Vector,Target: Vector): Rotator;
@@ -598,6 +882,7 @@ declare class Vector {
 	static GetPointDistanceToLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): number;
 	static GetPointDistanceToSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): number;
 	static GetReflectionVector(Direction: Vector,SurfaceNormal: Vector): Vector;
+	static GetSlopeDegreeAngles(MyRightYAxis: Vector,FloorNormal: Vector,UpVector: Vector,OutSlopePitchDegreeAngle?: number,OutSlopeRollDegreeAngle?: number): {OutSlopePitchDegreeAngle: number, OutSlopeRollDegreeAngle: number};
 	static GetYawPitchFromVector(InVec: Vector,Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
 	static GreaterGreater_VectorRotator(A: Vector,B: Rotator): Vector;
 	static IsPointInBox(Point: Vector,BoxOrigin: Vector,BoxExtent: Vector): boolean;
@@ -623,11 +908,13 @@ declare class Vector {
 	static Multiply_VectorInt(A: Vector,B: number): Vector;
 	static Multiply_VectorVector(A: Vector,B: Vector): Vector;
 	static NegateVector(A: Vector): Vector;
-	static Normal(A: Vector): Vector;
+	static Normal(A: Vector,Tolerance: number): Vector;
 	static NotEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
+	static NotEqualExactly_VectorVector(A: Vector,B: Vector): boolean;
 	static ProjectPointOnToPlane(Point: Vector,PlaneBase: Vector,PlaneNormal: Vector): Vector;
 	static ProjectVectorOnToPlane(V: Vector,PlaneNormal: Vector): Vector;
 	static ProjectVectorOnToVector(V: Vector,Target: Vector): Vector;
+	static Quat_MakeFromEuler(Euler: Vector): Quat;
 	static RandomPointInBoundingBox(Origin: Vector,BoxExtent: Vector): Vector;
 	static RandomUnitVectorInConeInDegrees(ConeDir: Vector,ConeHalfAngleInDegrees: number): Vector;
 	static RandomUnitVectorInConeInDegreesFromStream(ConeDir: Vector,ConeHalfAngleInDegrees: number,Stream: RandomStream): Vector;
@@ -644,6 +931,44 @@ declare class Vector {
 	static Subtract_VectorInt(A: Vector,B: number): Vector;
 	static Subtract_VectorVector(A: Vector,B: Vector): Vector;
 	static VEase(A: Vector,B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
+	static Vector_AddBounded(A?: Vector,InAddVect?: Vector,InRadius?: number): {A: Vector};
+	static Vector_Assign(A?: Vector,InVector?: Vector): {A: Vector};
+	static Vector_BoundedToBox(InVect: Vector,InBoxMin: Vector,InBoxMax: Vector): Vector;
+	static Vector_BoundedToCube(InVect: Vector,InRadius: number): Vector;
+	static Vector_ClampSize2D(A: Vector,Min: number,Max: number): Vector;
+	static Vector_ClampSizeMax(A: Vector,Max: number): Vector;
+	static Vector_ClampSizeMax2D(A: Vector,Max: number): Vector;
+	static Vector_ComponentMax(A: Vector,B: Vector): Vector;
+	static Vector_ComponentMin(A: Vector,B: Vector): Vector;
+	static Vector_CosineAngle2D(A: Vector,B: Vector): number;
+	static Vector_Distance(v1: Vector,v2: Vector): number;
+	static Vector_Distance2D(v1: Vector,v2: Vector): number;
+	static Vector_Distance2DSquared(v1: Vector,v2: Vector): number;
+	static Vector_DistanceSquared(v1: Vector,v2: Vector): number;
+	static Vector_GetAbs(A: Vector): Vector;
+	static Vector_GetAbsMax(A: Vector): number;
+	static Vector_GetAbsMin(A: Vector): number;
+	static Vector_GetProjection(A: Vector): Vector;
+	static Vector_GetSignVector(A: Vector): Vector;
+	static Vector_HeadingAngle(A: Vector): number;
+	static Vector_IsNAN(A: Vector): boolean;
+	static Vector_IsNearlyZero(A: Vector,Tolerance: number): boolean;
+	static Vector_IsNormal(A: Vector): boolean;
+	static Vector_IsUniform(A: Vector,Tolerance: number): boolean;
+	static Vector_IsUnit(A: Vector,SquaredLenthTolerance: number): boolean;
+	static Vector_IsZero(A: Vector): boolean;
+	static Vector_MirrorByPlane(A: Vector,InPlane: Plane): Vector;
+	static Vector_Normal2D(A: Vector,Tolerance: number): Vector;
+	static Vector_Normalize(A?: Vector,Tolerance?: number): {A: Vector};
+	static Vector_NormalUnsafe(A: Vector): Vector;
+	static Vector_ProjectOnToNormal(V: Vector,InNormal: Vector): Vector;
+	static Vector_Reciprocal(A: Vector): Vector;
+	static Vector_Set(A?: Vector,X?: number,Y?: number,Z?: number): {A: Vector};
+	static Vector_SnappedToGrid(InVect: Vector,InGridSize: number): Vector;
+	static Vector_ToDegrees(A: Vector): Vector;
+	static Vector_ToRadians(A: Vector): Vector;
+	static Vector_UnitCartesianToSpherical(A: Vector): Vector2D;
+	static Vector_UnwindEuler(A?: Vector): {A: Vector};
 	static VectorSpringInterp(Current: Vector,Target: Vector,SpringState?: VectorSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: VectorSpringState, $: Vector};
 	static VInterpTo(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
 	static VInterpTo_Constant(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
@@ -651,19 +976,32 @@ declare class Vector {
 	static VSize(A: Vector): number;
 	static VSizeSquared(A: Vector): number;
 	static VSizeXY(A: Vector): number;
+	static VSizeXYSquared(A: Vector): number;
 	static K2_TwoBoneIK(RootPos: Vector,JointPos: Vector,EndPos: Vector,JointTarget: Vector,Effector: Vector,OutJointPos?: Vector,OutEndPos?: Vector,bAllowStretching?: boolean,StartStretchRatio?: number,MaxStretchScale?: number): {OutJointPos: Vector, OutEndPos: Vector};
 	static IsValidAIDirection(DirectionVector: Vector): boolean;
 	static IsValidAILocation(Location: Vector): boolean;
 	static GetPositionalTrackingCameraParameters(CameraOrigin?: Vector,CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
 	static GetTrackingSensorParameters(Origin?: Vector,Rotation?: Rotator,LeftFOV?: number,RightFOV?: number,TopFOV?: number,BottomFOV?: number,Distance?: number,NearPlane?: number,FarPlane?: number,IsActive?: boolean,index?: number): {Origin: Vector, Rotation: Rotator, LeftFOV: number, RightFOV: number, TopFOV: number, BottomFOV: number, Distance: number, NearPlane: number, FarPlane: number, IsActive: boolean};
+	static AddManualEnvironmentCaptureProbe(Location: Vector,Extent: Vector): boolean;
+	static LineTraceTrackedObjects3D(Start: Vector,End: Vector,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
+	static GetGuardianDimensions(BoundaryType: EBoundaryType): Vector;
 	static Conv_FloatToVector(InFloat: number): Vector;
 	static CreateVectorFromYawPitch(Yaw: number,Pitch: number,Length: number): Vector;
 	static GetVectorArrayAverage(Vectors: Vector[]): Vector;
 	static MakeVector(X: number,Y: number,Z: number): Vector;
 	static RandomUnitVector(): Vector;
+	static Vector_Backward(): Vector;
+	static Vector_Down(): Vector;
+	static Vector_Forward(): Vector;
+	static Vector_Left(): Vector;
+	static Vector_One(): Vector;
+	static Vector_Right(): Vector;
+	static Vector_Up(): Vector;
+	static Vector_Zero(): Vector;
 	static NextSobolCell3D(index: number,NumCells: number,PreviousValue: Vector): Vector;
 	static RandomSobolCell3D(index: number,NumCells: number,Cell: Vector,Seed: Vector): Vector;
 	static GetActorArrayAverageLocation(Actors: Actor[]): Vector;
+	static K2_MakePerlinNoiseVectorAndRemap(X: number,Y: number,Z: number,RangeOutMinX: number,RangeOutMaxX: number,RangeOutMinY: number,RangeOutMaxY: number,RangeOutMinZ: number,RangeOutMaxZ: number): Vector;
 }
 
 declare type EVectorQuantization = 'RoundWholeNumber' | 'RoundOneDecimal' | 'RoundTwoDecimals' | 'EVectorQuantization_MAX';
@@ -704,26 +1042,6 @@ declare class AssetUserData extends UObject {
 
 declare type EComponentCreationMethod = 'Native' | 'SimpleConstructionScript' | 'UserConstructionScript' | 'Instance' | 'EComponentCreationMethod_MAX';
 declare var EComponentCreationMethod : { Native:'Native',SimpleConstructionScript:'SimpleConstructionScript',UserConstructionScript:'UserConstructionScript',Instance:'Instance',EComponentCreationMethod_MAX:'EComponentCreationMethod_MAX', };
-declare class Guid { 
-	A: number;
-	B: number;
-	C: number;
-	D: number;
-	clone() : Guid;
-	static C(Other: UObject | any): Guid;
-	Conv_GuidToString(): string;
-	EqualEqual_GuidGuid(B: Guid): boolean;
-	Invalidate_Guid(): {InGuid: Guid};
-	IsValid_Guid(): boolean;
-	NotEqual_GuidGuid(B: Guid): boolean;
-	static Conv_GuidToString(InGuid: Guid): string;
-	static EqualEqual_GuidGuid(A: Guid,B: Guid): boolean;
-	static Invalidate_Guid(InGuid?: Guid): {InGuid: Guid};
-	static IsValid_Guid(InGuid: Guid): boolean;
-	static NotEqual_GuidGuid(A: Guid,B: Guid): boolean;
-	static NewGuid(): Guid;
-}
-
 declare class SimpleMemberReference { 
 	MemberParent: UObject;
 	MemberName: string;
@@ -747,6 +1065,7 @@ declare class ActorComponent extends UObject {
 	bEditableWhenInherited: boolean;
 	bCanEverAffectNavigation: boolean;
 	bIsEditorOnly: boolean;
+	bIsVisualizationComponent: boolean;
 	CreationMethod: EComponentCreationMethod;
 	UCSModifiedProperties: SimpleMemberReference[];
 	OnComponentActivated: UnrealEngineMulticastDelegate<(Component: ActorComponent, bReset: boolean) => void>;
@@ -829,6 +1148,12 @@ declare type ERendererStencilMask = 'ERSM_Default' | 'ERSM_255' | 'ERSM_1' | 'ER
 declare var ERendererStencilMask : { ERSM_Default:'ERSM_Default',ERSM_255:'ERSM_255',ERSM_1:'ERSM_1',ERSM_2:'ERSM_2',ERSM_4:'ERSM_4',ERSM_8:'ERSM_8',ERSM_16:'ERSM_16',ERSM_32:'ERSM_32',ERSM_64:'ERSM_64',ERSM_128:'ERSM_128',ERSM_MAX:'ERSM_MAX', };
 declare type ECollisionChannel = 'ECC_WorldStatic' | 'ECC_WorldDynamic' | 'ECC_Pawn' | 'ECC_Visibility' | 'ECC_Camera' | 'ECC_PhysicsBody' | 'ECC_Vehicle' | 'ECC_Destructible' | 'ECC_EngineTraceChannel1' | 'ECC_EngineTraceChannel2' | 'ECC_EngineTraceChannel3' | 'ECC_EngineTraceChannel4' | 'ECC_EngineTraceChannel5' | 'ECC_EngineTraceChannel6' | 'ECC_GameTraceChannel1' | 'ECC_GameTraceChannel2' | 'ECC_GameTraceChannel3' | 'ECC_GameTraceChannel4' | 'ECC_GameTraceChannel5' | 'ECC_GameTraceChannel6' | 'ECC_GameTraceChannel7' | 'ECC_GameTraceChannel8' | 'ECC_GameTraceChannel9' | 'ECC_GameTraceChannel10' | 'ECC_GameTraceChannel11' | 'ECC_GameTraceChannel12' | 'ECC_GameTraceChannel13' | 'ECC_GameTraceChannel14' | 'ECC_GameTraceChannel15' | 'ECC_GameTraceChannel16' | 'ECC_GameTraceChannel17' | 'ECC_GameTraceChannel18' | 'ECC_OverlapAll_Deprecated' | 'ECC_MAX';
 declare var ECollisionChannel : { ECC_WorldStatic:'ECC_WorldStatic',ECC_WorldDynamic:'ECC_WorldDynamic',ECC_Pawn:'ECC_Pawn',ECC_Visibility:'ECC_Visibility',ECC_Camera:'ECC_Camera',ECC_PhysicsBody:'ECC_PhysicsBody',ECC_Vehicle:'ECC_Vehicle',ECC_Destructible:'ECC_Destructible',ECC_EngineTraceChannel1:'ECC_EngineTraceChannel1',ECC_EngineTraceChannel2:'ECC_EngineTraceChannel2',ECC_EngineTraceChannel3:'ECC_EngineTraceChannel3',ECC_EngineTraceChannel4:'ECC_EngineTraceChannel4',ECC_EngineTraceChannel5:'ECC_EngineTraceChannel5',ECC_EngineTraceChannel6:'ECC_EngineTraceChannel6',ECC_GameTraceChannel1:'ECC_GameTraceChannel1',ECC_GameTraceChannel2:'ECC_GameTraceChannel2',ECC_GameTraceChannel3:'ECC_GameTraceChannel3',ECC_GameTraceChannel4:'ECC_GameTraceChannel4',ECC_GameTraceChannel5:'ECC_GameTraceChannel5',ECC_GameTraceChannel6:'ECC_GameTraceChannel6',ECC_GameTraceChannel7:'ECC_GameTraceChannel7',ECC_GameTraceChannel8:'ECC_GameTraceChannel8',ECC_GameTraceChannel9:'ECC_GameTraceChannel9',ECC_GameTraceChannel10:'ECC_GameTraceChannel10',ECC_GameTraceChannel11:'ECC_GameTraceChannel11',ECC_GameTraceChannel12:'ECC_GameTraceChannel12',ECC_GameTraceChannel13:'ECC_GameTraceChannel13',ECC_GameTraceChannel14:'ECC_GameTraceChannel14',ECC_GameTraceChannel15:'ECC_GameTraceChannel15',ECC_GameTraceChannel16:'ECC_GameTraceChannel16',ECC_GameTraceChannel17:'ECC_GameTraceChannel17',ECC_GameTraceChannel18:'ECC_GameTraceChannel18',ECC_OverlapAll_Deprecated:'ECC_OverlapAll_Deprecated',ECC_MAX:'ECC_MAX', };
+declare type ECollisionEnabled = 'NoCollision' | 'QueryOnly' | 'PhysicsOnly' | 'QueryAndPhysics' | 'ECollisionEnabled_MAX';
+declare var ECollisionEnabled : { NoCollision:'NoCollision',QueryOnly:'QueryOnly',PhysicsOnly:'PhysicsOnly',QueryAndPhysics:'QueryAndPhysics',ECollisionEnabled_MAX:'ECollisionEnabled_MAX', };
+declare type ESleepFamily = 'Normal' | 'Sensitive' | 'Custom' | 'ESleepFamily_MAX';
+declare var ESleepFamily : { Normal:'Normal',Sensitive:'Sensitive',Custom:'Custom',ESleepFamily_MAX:'ESleepFamily_MAX', };
+declare type EDOFMode = 'Default' | 'SixDOF' | 'YZPlane' | 'XZPlane' | 'XYPlane' | 'CustomPlane' | 'None' | 'EDOFMode_MAX';
+declare var EDOFMode : { Default:'Default',SixDOF:'SixDOF',YZPlane:'YZPlane',XZPlane:'XZPlane',XYPlane:'XYPlane',CustomPlane:'CustomPlane',None:'None',EDOFMode_MAX:'EDOFMode_MAX', };
 declare type ECollisionResponse = 'ECR_Ignore' | 'ECR_Overlap' | 'ECR_Block' | 'ECR_MAX';
 declare var ECollisionResponse : { ECR_Ignore:'ECR_Ignore',ECR_Overlap:'ECR_Overlap',ECR_Block:'ECR_Block',ECR_MAX:'ECR_MAX', };
 declare class CollisionResponseContainer { 
@@ -882,12 +1207,6 @@ declare class CollisionResponse {
 	static C(Other: UObject | any): CollisionResponse;
 }
 
-declare type ECollisionEnabled = 'NoCollision' | 'QueryOnly' | 'PhysicsOnly' | 'QueryAndPhysics' | 'ECollisionEnabled_MAX';
-declare var ECollisionEnabled : { NoCollision:'NoCollision',QueryOnly:'QueryOnly',PhysicsOnly:'PhysicsOnly',QueryAndPhysics:'QueryAndPhysics',ECollisionEnabled_MAX:'ECollisionEnabled_MAX', };
-declare type ESleepFamily = 'Normal' | 'Sensitive' | 'Custom' | 'ESleepFamily_MAX';
-declare var ESleepFamily : { Normal:'Normal',Sensitive:'Sensitive',Custom:'Custom',ESleepFamily_MAX:'ESleepFamily_MAX', };
-declare type EDOFMode = 'Default' | 'SixDOF' | 'YZPlane' | 'XZPlane' | 'XYPlane' | 'CustomPlane' | 'None' | 'EDOFMode_MAX';
-declare var EDOFMode : { Default:'Default',SixDOF:'SixDOF',YZPlane:'YZPlane',XZPlane:'XZPlane',XYPlane:'XYPlane',CustomPlane:'CustomPlane',None:'None',EDOFMode_MAX:'EDOFMode_MAX', };
 declare type EWalkableSlopeBehavior = 'WalkableSlope_Default' | 'WalkableSlope_Increase' | 'WalkableSlope_Decrease' | 'WalkableSlope_Unwalkable' | 'WalkableSlope_Max';
 declare var EWalkableSlopeBehavior : { WalkableSlope_Default:'WalkableSlope_Default',WalkableSlope_Increase:'WalkableSlope_Increase',WalkableSlope_Decrease:'WalkableSlope_Decrease',WalkableSlope_Unwalkable:'WalkableSlope_Unwalkable',WalkableSlope_Max:'WalkableSlope_Max', };
 declare class WalkableSlopeOverride { 
@@ -957,9 +1276,6 @@ declare class PhysicalMaterial extends UObject {
 
 declare class BodyInstance { 
 	ObjectType: ECollisionChannel;
-	ResponseToChannels: CollisionResponseContainer;
-	CollisionProfileName: string;
-	CollisionResponses: CollisionResponse;
 	CollisionEnabled: ECollisionEnabled;
 	SleepFamily: ESleepFamily;
 	DOFMode: EDOFMode;
@@ -981,9 +1297,12 @@ declare class BodyInstance {
 	bLockYRotation: boolean;
 	bLockZRotation: boolean;
 	bOverrideMaxAngularVelocity: boolean;
-	bUseAsyncScene: boolean;
 	bOverrideMaxDepenetrationVelocity: boolean;
 	bOverrideWalkableSlopeOnInstance: boolean;
+	bInterpolateWhenSubStepping: boolean;
+	ResponseToChannels: CollisionResponseContainer;
+	CollisionProfileName: string;
+	CollisionResponses: CollisionResponse;
 	MaxDepenetrationVelocity: number;
 	MassInKgOverride: number;
 	LinearDamping: number;
@@ -999,8 +1318,6 @@ declare class BodyInstance {
 	StabilizationThresholdMultiplier: number;
 	PhysicsBlendWeight: number;
 	PositionSolverIterationCount: number;
-	RigidActorSyncId: any;
-	RigidActorAsyncId: any;
 	VelocitySolverIterationCount: number;
 	clone() : BodyInstance;
 	static C(Other: UObject | any): BodyInstance;
@@ -1057,6 +1374,7 @@ declare class Key {
 	Key_IsKeyboardKey(): boolean;
 	Key_IsModifierKey(): boolean;
 	Key_IsMouseButton(): boolean;
+	Key_IsValid(): boolean;
 	Key_IsVectorAxis(): boolean;
 	static EqualEqual_KeyKey(A: Key,B: Key): boolean;
 	static Key_GetDisplayName(Key: Key): string;
@@ -1065,6 +1383,7 @@ declare class Key {
 	static Key_IsKeyboardKey(Key: Key): boolean;
 	static Key_IsModifierKey(Key: Key): boolean;
 	static Key_IsMouseButton(Key: Key): boolean;
+	static Key_IsValid(Key: Key): boolean;
 	static Key_IsVectorAxis(Key: Key): boolean;
 }
 
@@ -1079,6 +1398,14 @@ declare class SubsurfaceProfileStruct {
 	ScatterRadius: number;
 	SubsurfaceColor: LinearColor;
 	FalloffColor: LinearColor;
+	BoundaryColorBleed: LinearColor;
+	ExtinctionScale: number;
+	NormalScale: number;
+	ScatteringDistribution: number;
+	IOR: number;
+	Roughness0: number;
+	Roughness1: number;
+	LobeMix: number;
 	clone() : SubsurfaceProfileStruct;
 	static C(Other: UObject | any): SubsurfaceProfileStruct;
 }
@@ -1111,7 +1438,9 @@ declare class SoftObjectPath {
 	clone() : SoftObjectPath;
 	static C(Other: UObject | any): SoftObjectPath;
 	BreakSoftObjectPath(PathString?: string): {PathString: string};
+	Conv_SoftObjPathToSoftObjRef(): UObject;
 	static BreakSoftObjectPath(InSoftObjectPath: SoftObjectPath,PathString?: string): {PathString: string};
+	static Conv_SoftObjPathToSoftObjRef(SoftObjectPath: SoftObjectPath): UObject;
 	static MakeSoftObjectPath(PathString: string): SoftObjectPath;
 }
 
@@ -1146,6 +1475,8 @@ declare class AssetImportData extends UObject {
 	static Find(Outer: UObject, ResourceName: string): AssetImportData;
 	static GetDefaultObject(): AssetImportData;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetImportData;
+	K2_GetFirstFilename(): string;
+	K2_ExtractFilenames(): string[];
 	static C(Other: UObject | any): AssetImportData;
 }
 
@@ -1219,27 +1550,41 @@ declare class JavascriptEdGraphPin {
 	BreakAllPinLinks(): void;
 	BreakLinkTo(B: JavascriptEdGraphPin): void;
 	GetDirection(): EEdGraphPinDirection;
+	GetLinkedPinNum(): number;
 	GetLinkedTo(): JavascriptEdGraphPin[];
 	GetOwningNode(): EdGraphNode;
+	GetParentPin(): JavascriptEdGraphPin;
 	GetPinContainerType(): EJavascriptPinContainerType;
 	GetPinGUID(): Guid;
+	GetPinIndex(): number;
 	GetPinName(): string;
 	GetPinType(): EdGraphPinType;
+	GetSubPins(): JavascriptEdGraphPin[];
+	IsPinHidden(): boolean;
 	IsValid(): boolean;
 	MakeLinkTo(B: JavascriptEdGraphPin): void;
+	SetParentPin(Parent: JavascriptEdGraphPin): void;
+	SetPinHidden(bHidden: boolean): void;
 	SetPinInfo(InPinName: string,InPinToolTip: string): void;
 	SetPinType(PinType: EdGraphPinType): void;
 	static BreakAllPinLinks(A: JavascriptEdGraphPin): void;
 	static BreakLinkTo(A: JavascriptEdGraphPin,B: JavascriptEdGraphPin): void;
 	static GetDirection(A: JavascriptEdGraphPin): EEdGraphPinDirection;
+	static GetLinkedPinNum(A: JavascriptEdGraphPin): number;
 	static GetLinkedTo(A: JavascriptEdGraphPin): JavascriptEdGraphPin[];
 	static GetOwningNode(A: JavascriptEdGraphPin): EdGraphNode;
+	static GetParentPin(A: JavascriptEdGraphPin): JavascriptEdGraphPin;
 	static GetPinContainerType(A: JavascriptEdGraphPin): EJavascriptPinContainerType;
 	static GetPinGUID(A: JavascriptEdGraphPin): Guid;
+	static GetPinIndex(A: JavascriptEdGraphPin): number;
 	static GetPinName(A: JavascriptEdGraphPin): string;
 	static GetPinType(A: JavascriptEdGraphPin): EdGraphPinType;
+	static GetSubPins(A: JavascriptEdGraphPin): JavascriptEdGraphPin[];
+	static IsPinHidden(A: JavascriptEdGraphPin): boolean;
 	static IsValid(A: JavascriptEdGraphPin): boolean;
 	static MakeLinkTo(A: JavascriptEdGraphPin,B: JavascriptEdGraphPin): void;
+	static SetParentPin(A: JavascriptEdGraphPin,Parent: JavascriptEdGraphPin): void;
+	static SetPinHidden(A: JavascriptEdGraphPin,bHidden: boolean): void;
 	static SetPinInfo(A: JavascriptEdGraphPin,InPinName: string,InPinToolTip: string): void;
 	static SetPinType(Pin: JavascriptEdGraphPin,PinType: EdGraphPinType): void;
 	static GetDefaultObject(): JavascriptEdGraphPin;
@@ -1253,6 +1598,7 @@ declare class EdGraphNode extends UObject {
 	NodeHeight: number;
 	AdvancedPinDisplay: ENodeAdvancedPins;
 	EnabledState: ENodeEnabledState;
+	bDisplayAsDisabled: boolean;
 	bUserSetEnabledState: boolean;
 	bIsNodeEnabled: boolean;
 	bCanResizeNode: boolean;
@@ -1337,10 +1683,12 @@ declare class MaterialFunction extends MaterialFunctionInterface {
 	DeleteAllMaterialExpressionsInFunction(): void;
 	DeleteMaterialExpressionInFunction(Expression: MaterialExpression): void;
 	GetNumMaterialExpressionsInFunction(): number;
+	LayoutMaterialFunctionExpressions(): void;
 	static CreateMaterialExpressionInFunction(MaterialFunction: MaterialFunction,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
 	static DeleteAllMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): void;
 	static DeleteMaterialExpressionInFunction(MaterialFunction: MaterialFunction,Expression: MaterialExpression): void;
 	static GetNumMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): number;
+	static LayoutMaterialFunctionExpressions(MaterialFunction: MaterialFunction): void;
 }
 
 declare class ExpressionOutput { 
@@ -1427,8 +1775,8 @@ declare type EMaterialDomain = 'MD_Surface' | 'MD_DeferredDecal' | 'MD_LightFunc
 declare var EMaterialDomain : { MD_Surface:'MD_Surface',MD_DeferredDecal:'MD_DeferredDecal',MD_LightFunction:'MD_LightFunction',MD_Volume:'MD_Volume',MD_PostProcess:'MD_PostProcess',MD_UI:'MD_UI',MD_MAX:'MD_MAX', };
 declare type EBlendMode = 'BLEND_Opaque' | 'BLEND_Masked' | 'BLEND_Translucent' | 'BLEND_Additive' | 'BLEND_Modulate' | 'BLEND_AlphaComposite' | 'BLEND_MAX';
 declare var EBlendMode : { BLEND_Opaque:'BLEND_Opaque',BLEND_Masked:'BLEND_Masked',BLEND_Translucent:'BLEND_Translucent',BLEND_Additive:'BLEND_Additive',BLEND_Modulate:'BLEND_Modulate',BLEND_AlphaComposite:'BLEND_AlphaComposite',BLEND_MAX:'BLEND_MAX', };
-declare type EDecalBlendMode = 'DBM_Translucent' | 'DBM_Stain' | 'DBM_Normal' | 'DBM_Emissive' | 'DBM_DBuffer_ColorNormalRoughness' | 'DBM_DBuffer_Color' | 'DBM_DBuffer_ColorNormal' | 'DBM_DBuffer_ColorRoughness' | 'DBM_DBuffer_Normal' | 'DBM_DBuffer_NormalRoughness' | 'DBM_DBuffer_Roughness' | 'DBM_Volumetric_DistanceFunction' | 'DBM_MAX';
-declare var EDecalBlendMode : { DBM_Translucent:'DBM_Translucent',DBM_Stain:'DBM_Stain',DBM_Normal:'DBM_Normal',DBM_Emissive:'DBM_Emissive',DBM_DBuffer_ColorNormalRoughness:'DBM_DBuffer_ColorNormalRoughness',DBM_DBuffer_Color:'DBM_DBuffer_Color',DBM_DBuffer_ColorNormal:'DBM_DBuffer_ColorNormal',DBM_DBuffer_ColorRoughness:'DBM_DBuffer_ColorRoughness',DBM_DBuffer_Normal:'DBM_DBuffer_Normal',DBM_DBuffer_NormalRoughness:'DBM_DBuffer_NormalRoughness',DBM_DBuffer_Roughness:'DBM_DBuffer_Roughness',DBM_Volumetric_DistanceFunction:'DBM_Volumetric_DistanceFunction',DBM_MAX:'DBM_MAX', };
+declare type EDecalBlendMode = 'DBM_Translucent' | 'DBM_Stain' | 'DBM_Normal' | 'DBM_Emissive' | 'DBM_DBuffer_ColorNormalRoughness' | 'DBM_DBuffer_Color' | 'DBM_DBuffer_ColorNormal' | 'DBM_DBuffer_ColorRoughness' | 'DBM_DBuffer_Normal' | 'DBM_DBuffer_NormalRoughness' | 'DBM_DBuffer_Roughness' | 'DBM_DBuffer_Emissive' | 'DBM_DBuffer_AlphaComposite' | 'DBM_DBuffer_EmissiveAlphaComposite' | 'DBM_Volumetric_DistanceFunction' | 'DBM_AlphaComposite' | 'DBM_AmbientOcclusion' | 'DBM_MAX';
+declare var EDecalBlendMode : { DBM_Translucent:'DBM_Translucent',DBM_Stain:'DBM_Stain',DBM_Normal:'DBM_Normal',DBM_Emissive:'DBM_Emissive',DBM_DBuffer_ColorNormalRoughness:'DBM_DBuffer_ColorNormalRoughness',DBM_DBuffer_Color:'DBM_DBuffer_Color',DBM_DBuffer_ColorNormal:'DBM_DBuffer_ColorNormal',DBM_DBuffer_ColorRoughness:'DBM_DBuffer_ColorRoughness',DBM_DBuffer_Normal:'DBM_DBuffer_Normal',DBM_DBuffer_NormalRoughness:'DBM_DBuffer_NormalRoughness',DBM_DBuffer_Roughness:'DBM_DBuffer_Roughness',DBM_DBuffer_Emissive:'DBM_DBuffer_Emissive',DBM_DBuffer_AlphaComposite:'DBM_DBuffer_AlphaComposite',DBM_DBuffer_EmissiveAlphaComposite:'DBM_DBuffer_EmissiveAlphaComposite',DBM_Volumetric_DistanceFunction:'DBM_Volumetric_DistanceFunction',DBM_AlphaComposite:'DBM_AlphaComposite',DBM_AmbientOcclusion:'DBM_AmbientOcclusion',DBM_MAX:'DBM_MAX', };
 declare type EMaterialDecalResponse = 'MDR_None' | 'MDR_ColorNormalRoughness' | 'MDR_Color' | 'MDR_ColorNormal' | 'MDR_ColorRoughness' | 'MDR_Normal' | 'MDR_NormalRoughness' | 'MDR_Roughness' | 'MDR_MAX';
 declare var EMaterialDecalResponse : { MDR_None:'MDR_None',MDR_ColorNormalRoughness:'MDR_ColorNormalRoughness',MDR_Color:'MDR_Color',MDR_ColorNormal:'MDR_ColorNormal',MDR_ColorRoughness:'MDR_ColorRoughness',MDR_Normal:'MDR_Normal',MDR_NormalRoughness:'MDR_NormalRoughness',MDR_Roughness:'MDR_Roughness',MDR_MAX:'MDR_MAX', };
 declare type EMaterialShadingModel = 'MSM_Unlit' | 'MSM_DefaultLit' | 'MSM_Subsurface' | 'MSM_PreintegratedSkin' | 'MSM_ClearCoat' | 'MSM_SubsurfaceProfile' | 'MSM_TwoSidedFoliage' | 'MSM_Hair' | 'MSM_Cloth' | 'MSM_Eye' | 'MSM_MAX';
@@ -1544,6 +1892,70 @@ declare class Vector4 {
 	W: number;
 	clone() : Vector4;
 	static C(Other: UObject | any): Vector4;
+	Add_Vector4Vector4(B: Vector4): Vector4;
+	BreakVector4(X?: number,Y?: number,Z?: number,W?: number): {X: number, Y: number, Z: number, W: number};
+	Conv_Vector4ToQuaterion(): Quat;
+	Conv_Vector4ToRotator(): Rotator;
+	Conv_Vector4ToVector(): Vector;
+	Divide_Vector4Vector4(B: Vector4): Vector4;
+	EqualEqual_Vector4Vector4(B: Vector4,ErrorTolerance: number): boolean;
+	EqualExactly_Vector4Vector4(B: Vector4): boolean;
+	Multiply_Vector4Vector4(B: Vector4): Vector4;
+	NotEqual_Vector4Vector4(B: Vector4,ErrorTolerance: number): boolean;
+	NotEqualExactly_Vector4Vector4(B: Vector4): boolean;
+	Subtract_Vector4Vector4(B: Vector4): Vector4;
+	Vector4_Assign(InVector?: Vector4): {A: Vector4};
+	Vector4_CrossProduct3(B: Vector4): Vector4;
+	Vector4_DotProduct(B: Vector4): number;
+	Vector4_DotProduct3(B: Vector4): number;
+	Vector4_IsNAN(): boolean;
+	Vector4_IsNearlyZero3(Tolerance: number): boolean;
+	Vector4_IsNormal3(): boolean;
+	Vector4_IsUnit3(SquaredLenthTolerance: number): boolean;
+	Vector4_IsZero(): boolean;
+	Vector4_MirrorByVector3(SurfaceNormal: Vector4): Vector4;
+	Vector4_Negated(): Vector4;
+	Vector4_Normal3(Tolerance: number): Vector4;
+	Vector4_Normalize3(Tolerance?: number): {A: Vector4};
+	Vector4_NormalUnsafe3(): Vector4;
+	Vector4_Set(X?: number,Y?: number,Z?: number,W?: number): {A: Vector4};
+	Vector4_Size(): number;
+	Vector4_Size3(): number;
+	Vector4_SizeSquared(): number;
+	Vector4_SizeSquared3(): number;
+	static Add_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static BreakVector4(InVec: Vector4,X?: number,Y?: number,Z?: number,W?: number): {X: number, Y: number, Z: number, W: number};
+	static Conv_Vector4ToQuaterion(InVec: Vector4): Quat;
+	static Conv_Vector4ToRotator(InVec: Vector4): Rotator;
+	static Conv_Vector4ToVector(InVector4: Vector4): Vector;
+	static Divide_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static EqualEqual_Vector4Vector4(A: Vector4,B: Vector4,ErrorTolerance: number): boolean;
+	static EqualExactly_Vector4Vector4(A: Vector4,B: Vector4): boolean;
+	static Multiply_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static NotEqual_Vector4Vector4(A: Vector4,B: Vector4,ErrorTolerance: number): boolean;
+	static NotEqualExactly_Vector4Vector4(A: Vector4,B: Vector4): boolean;
+	static Subtract_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static Vector4_Assign(A?: Vector4,InVector?: Vector4): {A: Vector4};
+	static Vector4_CrossProduct3(A: Vector4,B: Vector4): Vector4;
+	static Vector4_DotProduct(A: Vector4,B: Vector4): number;
+	static Vector4_DotProduct3(A: Vector4,B: Vector4): number;
+	static Vector4_IsNAN(A: Vector4): boolean;
+	static Vector4_IsNearlyZero3(A: Vector4,Tolerance: number): boolean;
+	static Vector4_IsNormal3(A: Vector4): boolean;
+	static Vector4_IsUnit3(A: Vector4,SquaredLenthTolerance: number): boolean;
+	static Vector4_IsZero(A: Vector4): boolean;
+	static Vector4_MirrorByVector3(Direction: Vector4,SurfaceNormal: Vector4): Vector4;
+	static Vector4_Negated(A: Vector4): Vector4;
+	static Vector4_Normal3(A: Vector4,Tolerance: number): Vector4;
+	static Vector4_Normalize3(A?: Vector4,Tolerance?: number): {A: Vector4};
+	static Vector4_NormalUnsafe3(A: Vector4): Vector4;
+	static Vector4_Set(A?: Vector4,X?: number,Y?: number,Z?: number,W?: number): {A: Vector4};
+	static Vector4_Size(A: Vector4): number;
+	static Vector4_Size3(A: Vector4): number;
+	static Vector4_SizeSquared(A: Vector4): number;
+	static Vector4_SizeSquared3(A: Vector4): number;
+	static MakeVector4(X: number,Y: number,Z: number,W: number): Vector4;
+	static Vector4_Zero(): Vector4;
 }
 
 declare type ETexturePowerOfTwoSetting = 'None' | 'PadToPowerOfTwo' | 'PadToSquarePowerOfTwo' | 'ETexturePowerOfTwoSetting_MAX';
@@ -1556,8 +1968,20 @@ declare type TextureCompressionSettings = 'TC_Default' | 'TC_Normalmap' | 'TC_Ma
 declare var TextureCompressionSettings : { TC_Default:'TC_Default',TC_Normalmap:'TC_Normalmap',TC_Masks:'TC_Masks',TC_Grayscale:'TC_Grayscale',TC_Displacementmap:'TC_Displacementmap',TC_VectorDisplacementmap:'TC_VectorDisplacementmap',TC_HDR:'TC_HDR',TC_EditorIcon:'TC_EditorIcon',TC_Alpha:'TC_Alpha',TC_DistanceFieldFont:'TC_DistanceFieldFont',TC_HDR_Compressed:'TC_HDR_Compressed',TC_BC7:'TC_BC7',TC_MAX:'TC_MAX', };
 declare type TextureFilter = 'TF_Nearest' | 'TF_Bilinear' | 'TF_Trilinear' | 'TF_Default' | 'TF_MAX';
 declare var TextureFilter : { TF_Nearest:'TF_Nearest',TF_Bilinear:'TF_Bilinear',TF_Trilinear:'TF_Trilinear',TF_Default:'TF_Default',TF_MAX:'TF_MAX', };
-declare type TextureGroup = 'TEXTUREGROUP_World' | 'TEXTUREGROUP_WorldNormalMap' | 'TEXTUREGROUP_WorldSpecular' | 'TEXTUREGROUP_Character' | 'TEXTUREGROUP_CharacterNormalMap' | 'TEXTUREGROUP_CharacterSpecular' | 'TEXTUREGROUP_Weapon' | 'TEXTUREGROUP_WeaponNormalMap' | 'TEXTUREGROUP_WeaponSpecular' | 'TEXTUREGROUP_Vehicle' | 'TEXTUREGROUP_VehicleNormalMap' | 'TEXTUREGROUP_VehicleSpecular' | 'TEXTUREGROUP_Cinematic' | 'TEXTUREGROUP_Effects' | 'TEXTUREGROUP_EffectsNotFiltered' | 'TEXTUREGROUP_Skybox' | 'TEXTUREGROUP_UI' | 'TEXTUREGROUP_Lightmap' | 'TEXTUREGROUP_RenderTarget' | 'TEXTUREGROUP_MobileFlattened' | 'TEXTUREGROUP_ProcBuilding_Face' | 'TEXTUREGROUP_ProcBuilding_LightMap' | 'TEXTUREGROUP_Shadowmap' | 'TEXTUREGROUP_ColorLookupTable' | 'TEXTUREGROUP_Terrain_Heightmap' | 'TEXTUREGROUP_Terrain_Weightmap' | 'TEXTUREGROUP_Bokeh' | 'TEXTUREGROUP_IESLightProfile' | 'TEXTUREGROUP_Pixels2D' | 'TEXTUREGROUP_HierarchicalLOD' | 'TEXTUREGROUP_MAX';
-declare var TextureGroup : { TEXTUREGROUP_World:'TEXTUREGROUP_World',TEXTUREGROUP_WorldNormalMap:'TEXTUREGROUP_WorldNormalMap',TEXTUREGROUP_WorldSpecular:'TEXTUREGROUP_WorldSpecular',TEXTUREGROUP_Character:'TEXTUREGROUP_Character',TEXTUREGROUP_CharacterNormalMap:'TEXTUREGROUP_CharacterNormalMap',TEXTUREGROUP_CharacterSpecular:'TEXTUREGROUP_CharacterSpecular',TEXTUREGROUP_Weapon:'TEXTUREGROUP_Weapon',TEXTUREGROUP_WeaponNormalMap:'TEXTUREGROUP_WeaponNormalMap',TEXTUREGROUP_WeaponSpecular:'TEXTUREGROUP_WeaponSpecular',TEXTUREGROUP_Vehicle:'TEXTUREGROUP_Vehicle',TEXTUREGROUP_VehicleNormalMap:'TEXTUREGROUP_VehicleNormalMap',TEXTUREGROUP_VehicleSpecular:'TEXTUREGROUP_VehicleSpecular',TEXTUREGROUP_Cinematic:'TEXTUREGROUP_Cinematic',TEXTUREGROUP_Effects:'TEXTUREGROUP_Effects',TEXTUREGROUP_EffectsNotFiltered:'TEXTUREGROUP_EffectsNotFiltered',TEXTUREGROUP_Skybox:'TEXTUREGROUP_Skybox',TEXTUREGROUP_UI:'TEXTUREGROUP_UI',TEXTUREGROUP_Lightmap:'TEXTUREGROUP_Lightmap',TEXTUREGROUP_RenderTarget:'TEXTUREGROUP_RenderTarget',TEXTUREGROUP_MobileFlattened:'TEXTUREGROUP_MobileFlattened',TEXTUREGROUP_ProcBuilding_Face:'TEXTUREGROUP_ProcBuilding_Face',TEXTUREGROUP_ProcBuilding_LightMap:'TEXTUREGROUP_ProcBuilding_LightMap',TEXTUREGROUP_Shadowmap:'TEXTUREGROUP_Shadowmap',TEXTUREGROUP_ColorLookupTable:'TEXTUREGROUP_ColorLookupTable',TEXTUREGROUP_Terrain_Heightmap:'TEXTUREGROUP_Terrain_Heightmap',TEXTUREGROUP_Terrain_Weightmap:'TEXTUREGROUP_Terrain_Weightmap',TEXTUREGROUP_Bokeh:'TEXTUREGROUP_Bokeh',TEXTUREGROUP_IESLightProfile:'TEXTUREGROUP_IESLightProfile',TEXTUREGROUP_Pixels2D:'TEXTUREGROUP_Pixels2D',TEXTUREGROUP_HierarchicalLOD:'TEXTUREGROUP_HierarchicalLOD',TEXTUREGROUP_MAX:'TEXTUREGROUP_MAX', };
+declare type TextureGroup = 'TEXTUREGROUP_World' | 'TEXTUREGROUP_WorldNormalMap' | 'TEXTUREGROUP_WorldSpecular' | 'TEXTUREGROUP_Character' | 'TEXTUREGROUP_CharacterNormalMap' | 'TEXTUREGROUP_CharacterSpecular' | 'TEXTUREGROUP_Weapon' | 'TEXTUREGROUP_WeaponNormalMap' | 'TEXTUREGROUP_WeaponSpecular' | 'TEXTUREGROUP_Vehicle' | 'TEXTUREGROUP_VehicleNormalMap' | 'TEXTUREGROUP_VehicleSpecular' | 'TEXTUREGROUP_Cinematic' | 'TEXTUREGROUP_Effects' | 'TEXTUREGROUP_EffectsNotFiltered' | 'TEXTUREGROUP_Skybox' | 'TEXTUREGROUP_UI' | 'TEXTUREGROUP_Lightmap' | 'TEXTUREGROUP_RenderTarget' | 'TEXTUREGROUP_MobileFlattened' | 'TEXTUREGROUP_ProcBuilding_Face' | 'TEXTUREGROUP_ProcBuilding_LightMap' | 'TEXTUREGROUP_Shadowmap' | 'TEXTUREGROUP_ColorLookupTable' | 'TEXTUREGROUP_Terrain_Heightmap' | 'TEXTUREGROUP_Terrain_Weightmap' | 'TEXTUREGROUP_Bokeh' | 'TEXTUREGROUP_IESLightProfile' | 'TEXTUREGROUP_Pixels2D' | 'TEXTUREGROUP_HierarchicalLOD' | 'TEXTUREGROUP_Impostor' | 'TEXTUREGROUP_ImpostorNormalDepth' | 'TEXTUREGROUP_Project01' | 'TEXTUREGROUP_Project02' | 'TEXTUREGROUP_Project03' | 'TEXTUREGROUP_Project04' | 'TEXTUREGROUP_Project05' | 'TEXTUREGROUP_Project06' | 'TEXTUREGROUP_Project07' | 'TEXTUREGROUP_Project08' | 'TEXTUREGROUP_Project09' | 'TEXTUREGROUP_Project10' | 'TEXTUREGROUP_MAX';
+declare var TextureGroup : { TEXTUREGROUP_World:'TEXTUREGROUP_World',TEXTUREGROUP_WorldNormalMap:'TEXTUREGROUP_WorldNormalMap',TEXTUREGROUP_WorldSpecular:'TEXTUREGROUP_WorldSpecular',TEXTUREGROUP_Character:'TEXTUREGROUP_Character',TEXTUREGROUP_CharacterNormalMap:'TEXTUREGROUP_CharacterNormalMap',TEXTUREGROUP_CharacterSpecular:'TEXTUREGROUP_CharacterSpecular',TEXTUREGROUP_Weapon:'TEXTUREGROUP_Weapon',TEXTUREGROUP_WeaponNormalMap:'TEXTUREGROUP_WeaponNormalMap',TEXTUREGROUP_WeaponSpecular:'TEXTUREGROUP_WeaponSpecular',TEXTUREGROUP_Vehicle:'TEXTUREGROUP_Vehicle',TEXTUREGROUP_VehicleNormalMap:'TEXTUREGROUP_VehicleNormalMap',TEXTUREGROUP_VehicleSpecular:'TEXTUREGROUP_VehicleSpecular',TEXTUREGROUP_Cinematic:'TEXTUREGROUP_Cinematic',TEXTUREGROUP_Effects:'TEXTUREGROUP_Effects',TEXTUREGROUP_EffectsNotFiltered:'TEXTUREGROUP_EffectsNotFiltered',TEXTUREGROUP_Skybox:'TEXTUREGROUP_Skybox',TEXTUREGROUP_UI:'TEXTUREGROUP_UI',TEXTUREGROUP_Lightmap:'TEXTUREGROUP_Lightmap',TEXTUREGROUP_RenderTarget:'TEXTUREGROUP_RenderTarget',TEXTUREGROUP_MobileFlattened:'TEXTUREGROUP_MobileFlattened',TEXTUREGROUP_ProcBuilding_Face:'TEXTUREGROUP_ProcBuilding_Face',TEXTUREGROUP_ProcBuilding_LightMap:'TEXTUREGROUP_ProcBuilding_LightMap',TEXTUREGROUP_Shadowmap:'TEXTUREGROUP_Shadowmap',TEXTUREGROUP_ColorLookupTable:'TEXTUREGROUP_ColorLookupTable',TEXTUREGROUP_Terrain_Heightmap:'TEXTUREGROUP_Terrain_Heightmap',TEXTUREGROUP_Terrain_Weightmap:'TEXTUREGROUP_Terrain_Weightmap',TEXTUREGROUP_Bokeh:'TEXTUREGROUP_Bokeh',TEXTUREGROUP_IESLightProfile:'TEXTUREGROUP_IESLightProfile',TEXTUREGROUP_Pixels2D:'TEXTUREGROUP_Pixels2D',TEXTUREGROUP_HierarchicalLOD:'TEXTUREGROUP_HierarchicalLOD',TEXTUREGROUP_Impostor:'TEXTUREGROUP_Impostor',TEXTUREGROUP_ImpostorNormalDepth:'TEXTUREGROUP_ImpostorNormalDepth',TEXTUREGROUP_Project01:'TEXTUREGROUP_Project01',TEXTUREGROUP_Project02:'TEXTUREGROUP_Project02',TEXTUREGROUP_Project03:'TEXTUREGROUP_Project03',TEXTUREGROUP_Project04:'TEXTUREGROUP_Project04',TEXTUREGROUP_Project05:'TEXTUREGROUP_Project05',TEXTUREGROUP_Project06:'TEXTUREGROUP_Project06',TEXTUREGROUP_Project07:'TEXTUREGROUP_Project07',TEXTUREGROUP_Project08:'TEXTUREGROUP_Project08',TEXTUREGROUP_Project09:'TEXTUREGROUP_Project09',TEXTUREGROUP_Project10:'TEXTUREGROUP_Project10',TEXTUREGROUP_MAX:'TEXTUREGROUP_MAX', };
+declare type EDesiredImageFormat = 'PNG' | 'JPG' | 'BMP' | 'EXR' | 'EDesiredImageFormat_MAX';
+declare var EDesiredImageFormat : { PNG:'PNG',JPG:'JPG',BMP:'BMP',EXR:'EXR',EDesiredImageFormat_MAX:'EDesiredImageFormat_MAX', };
+declare class ImageWriteOptions { 
+	Format: EDesiredImageFormat;
+	OnComplete: UnrealEngineDelegate<(bSuccess: boolean) => void>;
+	CompressionQuality: number;
+	bOverwriteFile: boolean;
+	bAsync: boolean;
+	clone() : ImageWriteOptions;
+	static C(Other: UObject | any): ImageWriteOptions;
+}
+
 declare class Texture extends UObject { 
 	Source: TextureSource;
 	LightingGuid: Guid;
@@ -1608,14 +2032,16 @@ declare class Texture extends UObject {
 	static GetDefaultObject(): Texture;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture;
 	static C(Other: UObject | any): Texture;
-	SetSplashScreen(Scale: Vector2D,Offset: Vector2D,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
+	SetSplashScreen(Scale: Vector2D,Offset: Vector,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
+	ExportToDisk(Filename: string,Options: ImageWriteOptions): void;
 	SetSpectatorScreenTexture(): void;
-	static SetSplashScreen(Texture: Texture,Scale: Vector2D,Offset: Vector2D,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
+	static SetSplashScreen(Texture: Texture,Scale: Vector2D,Offset: Vector,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
+	static ExportToDisk(Texture: Texture,Filename: string,Options: ImageWriteOptions): void;
 	static SetSpectatorScreenTexture(InTexture: Texture): void;
 }
 
-declare type EMaterialUsage = 'MATUSAGE_SkeletalMesh' | 'MATUSAGE_ParticleSprites' | 'MATUSAGE_BeamTrails' | 'MATUSAGE_MeshParticles' | 'MATUSAGE_StaticLighting' | 'MATUSAGE_MorphTargets' | 'MATUSAGE_SplineMesh' | 'MATUSAGE_InstancedStaticMeshes' | 'MATUSAGE_Clothing' | 'MATUSAGE_NiagaraSprites' | 'MATUSAGE_NiagaraRibbons' | 'MATUSAGE_NiagaraMeshParticles' | 'MATUSAGE_MAX';
-declare var EMaterialUsage : { MATUSAGE_SkeletalMesh:'MATUSAGE_SkeletalMesh',MATUSAGE_ParticleSprites:'MATUSAGE_ParticleSprites',MATUSAGE_BeamTrails:'MATUSAGE_BeamTrails',MATUSAGE_MeshParticles:'MATUSAGE_MeshParticles',MATUSAGE_StaticLighting:'MATUSAGE_StaticLighting',MATUSAGE_MorphTargets:'MATUSAGE_MorphTargets',MATUSAGE_SplineMesh:'MATUSAGE_SplineMesh',MATUSAGE_InstancedStaticMeshes:'MATUSAGE_InstancedStaticMeshes',MATUSAGE_Clothing:'MATUSAGE_Clothing',MATUSAGE_NiagaraSprites:'MATUSAGE_NiagaraSprites',MATUSAGE_NiagaraRibbons:'MATUSAGE_NiagaraRibbons',MATUSAGE_NiagaraMeshParticles:'MATUSAGE_NiagaraMeshParticles',MATUSAGE_MAX:'MATUSAGE_MAX', };
+declare type EMaterialUsage = 'MATUSAGE_SkeletalMesh' | 'MATUSAGE_ParticleSprites' | 'MATUSAGE_BeamTrails' | 'MATUSAGE_MeshParticles' | 'MATUSAGE_StaticLighting' | 'MATUSAGE_MorphTargets' | 'MATUSAGE_SplineMesh' | 'MATUSAGE_InstancedStaticMeshes' | 'MATUSAGE_Clothing' | 'MATUSAGE_NiagaraSprites' | 'MATUSAGE_NiagaraRibbons' | 'MATUSAGE_NiagaraMeshParticles' | 'MATUSAGE_GeometryCache' | 'MATUSAGE_MAX';
+declare var EMaterialUsage : { MATUSAGE_SkeletalMesh:'MATUSAGE_SkeletalMesh',MATUSAGE_ParticleSprites:'MATUSAGE_ParticleSprites',MATUSAGE_BeamTrails:'MATUSAGE_BeamTrails',MATUSAGE_MeshParticles:'MATUSAGE_MeshParticles',MATUSAGE_StaticLighting:'MATUSAGE_StaticLighting',MATUSAGE_MorphTargets:'MATUSAGE_MorphTargets',MATUSAGE_SplineMesh:'MATUSAGE_SplineMesh',MATUSAGE_InstancedStaticMeshes:'MATUSAGE_InstancedStaticMeshes',MATUSAGE_Clothing:'MATUSAGE_Clothing',MATUSAGE_NiagaraSprites:'MATUSAGE_NiagaraSprites',MATUSAGE_NiagaraRibbons:'MATUSAGE_NiagaraRibbons',MATUSAGE_NiagaraMeshParticles:'MATUSAGE_NiagaraMeshParticles',MATUSAGE_GeometryCache:'MATUSAGE_GeometryCache',MATUSAGE_MAX:'MATUSAGE_MAX', };
 declare class Material extends MaterialInterface { 
 	PhysMaterial: PhysicalMaterial;
 	DiffuseColor: ColorMaterialInput;
@@ -1639,7 +2065,7 @@ declare class Material extends MaterialInterface {
 	WorldDisplacement: VectorMaterialInput;
 	TessellationMultiplier: ScalarMaterialInput;
 	SubsurfaceColor: ColorMaterialInput;
-	ClearCoat: ScalarMaterialInput;
+	Clearcoat: ScalarMaterialInput;
 	ClearCoatRoughness: ScalarMaterialInput;
 	AmbientOcclusion: ScalarMaterialInput;
 	Refraction: ScalarMaterialInput;
@@ -1650,6 +2076,7 @@ declare class Material extends MaterialInterface {
 	bEnableMobileSeparateTranslucency: boolean;
 	bEnableResponsiveAA: boolean;
 	bScreenSpaceReflections: boolean;
+	bContactShadows: boolean;
 	TwoSided: boolean;
 	DitheredLODTransition: boolean;
 	DitherOpacityMask: boolean;
@@ -1666,6 +2093,7 @@ declare class Material extends MaterialInterface {
 	TranslucentMultipleScatteringExtinction: LinearColor;
 	TranslucentShadowStartOffset: number;
 	bDisableDepthTest: boolean;
+	bWriteOnlyAlpha: boolean;
 	bGenerateSphericalParticleNormals: boolean;
 	bTangentSpaceNormal: boolean;
 	bUseEmissiveForDynamicAreaLighting: boolean;
@@ -1679,6 +2107,7 @@ declare class Material extends MaterialInterface {
 	bUsedWithNiagaraSprites: boolean;
 	bUsedWithNiagaraRibbons: boolean;
 	bUsedWithNiagaraMeshParticles: boolean;
+	bUsedWithGeometryCache: boolean;
 	bUsedWithStaticLighting: boolean;
 	bUsedWithMorphTargets: boolean;
 	bUsedWithSplineMeshes: boolean;
@@ -1724,6 +2153,7 @@ declare class Material extends MaterialInterface {
 	RefractionMode: ERefractionMode;
 	RefractionDepthBias: number;
 	StateId: Guid;
+	CachedQualityLevelsUsed: boolean[];
 	ExpressionTextureReferences: Texture[];
 	ReferencedTextureGuids: Guid[];
 	static Load(ResourceName: string): Material;
@@ -1735,77 +2165,99 @@ declare class Material extends MaterialInterface {
 	DeleteAllMaterialExpressions(): void;
 	DeleteMaterialExpression(Expression: MaterialExpression): void;
 	GetNumMaterialExpressions(): number;
+	LayoutMaterialExpressions(): void;
 	RecompileMaterial(): void;
 	SetMaterialUsage(Usage: EMaterialUsage,bNeedsRecompile?: boolean): {bNeedsRecompile: boolean, $: boolean};
 	static CreateMaterialExpression(Material: Material,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
 	static DeleteAllMaterialExpressions(Material: Material): void;
 	static DeleteMaterialExpression(Material: Material,Expression: MaterialExpression): void;
 	static GetNumMaterialExpressions(Material: Material): number;
+	static LayoutMaterialExpressions(Material: Material): void;
 	static RecompileMaterial(Material: Material): void;
 	static SetMaterialUsage(Material: Material,Usage: EMaterialUsage,bNeedsRecompile?: boolean): {bNeedsRecompile: boolean, $: boolean};
 }
 
 declare type EAttachLocation = 'KeepRelativeOffset' | 'KeepWorldPosition' | 'SnapToTarget' | 'SnapToTargetIncludingScale' | 'EAttachLocation_MAX';
 declare var EAttachLocation : { KeepRelativeOffset:'KeepRelativeOffset',KeepWorldPosition:'KeepWorldPosition',SnapToTarget:'SnapToTarget',SnapToTargetIncludingScale:'SnapToTargetIncludingScale',EAttachLocation_MAX:'EAttachLocation_MAX', };
-declare type EMaterialParameterAssociation = 'LayerParameter' | 'BlendParameter' | 'GlobalParameter' | 'EMaterialParameterAssociation_MAX';
-declare var EMaterialParameterAssociation : { LayerParameter:'LayerParameter',BlendParameter:'BlendParameter',GlobalParameter:'GlobalParameter',EMaterialParameterAssociation_MAX:'EMaterialParameterAssociation_MAX', };
-declare class MaterialParameterInfo { 
-	Name: string;
-	Association: EMaterialParameterAssociation;
-	index: number;
-	clone() : MaterialParameterInfo;
-	static C(Other: UObject | any): MaterialParameterInfo;
+declare class CurveBase extends UObject { 
+	AssetImportData: AssetImportData;
+	ImportPath: string;
+	static Load(ResourceName: string): CurveBase;
+	static Find(Outer: UObject, ResourceName: string): CurveBase;
+	static GetDefaultObject(): CurveBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveBase;
+	GetValueRange(MinValue?: number,MaxValue?: number): {MinValue: number, MaxValue: number};
+	GetTimeRange(MinTime?: number,MaxTime?: number): {MinTime: number, MaxTime: number};
+	static C(Other: UObject | any): CurveBase;
 }
 
-declare class ScalarParameterValue { 
-	ParameterName: string;
-	ParameterInfo: MaterialParameterInfo;
-	ParameterValue: number;
-	ExpressionGUID: Guid;
-	clone() : ScalarParameterValue;
-	static C(Other: UObject | any): ScalarParameterValue;
+declare class KeyHandleMap { 
+	clone() : KeyHandleMap;
+	static C(Other: UObject | any): KeyHandleMap;
 }
 
-declare class VectorParameterValue { 
-	ParameterName: string;
-	ParameterInfo: MaterialParameterInfo;
-	ParameterValue: LinearColor;
-	ExpressionGUID: Guid;
-	clone() : VectorParameterValue;
-	static C(Other: UObject | any): VectorParameterValue;
+declare class IndexedCurve { 
+	KeyHandlesToIndices: KeyHandleMap;
+	clone() : IndexedCurve;
+	static C(Other: UObject | any): IndexedCurve;
 }
 
-declare class TextureParameterValue { 
-	ParameterName: string;
-	ParameterInfo: MaterialParameterInfo;
-	ParameterValue: Texture;
-	ExpressionGUID: Guid;
-	clone() : TextureParameterValue;
-	static C(Other: UObject | any): TextureParameterValue;
+declare type ERichCurveExtrapolation = 'RCCE_Cycle' | 'RCCE_CycleWithOffset' | 'RCCE_Oscillate' | 'RCCE_Linear' | 'RCCE_Constant' | 'RCCE_None' | 'RCCE_MAX';
+declare var ERichCurveExtrapolation : { RCCE_Cycle:'RCCE_Cycle',RCCE_CycleWithOffset:'RCCE_CycleWithOffset',RCCE_Oscillate:'RCCE_Oscillate',RCCE_Linear:'RCCE_Linear',RCCE_Constant:'RCCE_Constant',RCCE_None:'RCCE_None',RCCE_MAX:'RCCE_MAX', };
+declare class RealCurve extends IndexedCurve { 
+	PreInfinityExtrap: ERichCurveExtrapolation;
+	PostInfinityExtrap: ERichCurveExtrapolation;
+	DefaultValue: number;
+	clone() : RealCurve;
+	static C(Other: UObject | any): RealCurve;
 }
 
-declare type EFontCacheType = 'Offline' | 'Runtime' | 'EFontCacheType_MAX';
-declare var EFontCacheType : { Offline:'Offline',Runtime:'Runtime',EFontCacheType_MAX:'EFontCacheType_MAX', };
-declare class FontCharacter { 
-	StartU: number;
-	StartV: number;
-	USize: number;
-	VSize: number;
-	TextureIndex: number;
-	VerticalOffset: number;
-	clone() : FontCharacter;
-	static C(Other: UObject | any): FontCharacter;
+declare type ERichCurveInterpMode = 'RCIM_Linear' | 'RCIM_Constant' | 'RCIM_Cubic' | 'RCIM_None' | 'RCIM_MAX';
+declare var ERichCurveInterpMode : { RCIM_Linear:'RCIM_Linear',RCIM_Constant:'RCIM_Constant',RCIM_Cubic:'RCIM_Cubic',RCIM_None:'RCIM_None',RCIM_MAX:'RCIM_MAX', };
+declare type ERichCurveTangentMode = 'RCTM_Auto' | 'RCTM_User' | 'RCTM_Break' | 'RCTM_None' | 'RCTM_MAX';
+declare var ERichCurveTangentMode : { RCTM_Auto:'RCTM_Auto',RCTM_User:'RCTM_User',RCTM_Break:'RCTM_Break',RCTM_None:'RCTM_None',RCTM_MAX:'RCTM_MAX', };
+declare type ERichCurveTangentWeightMode = 'RCTWM_WeightedNone' | 'RCTWM_WeightedArrive' | 'RCTWM_WeightedLeave' | 'RCTWM_WeightedBoth' | 'RCTWM_MAX';
+declare var ERichCurveTangentWeightMode : { RCTWM_WeightedNone:'RCTWM_WeightedNone',RCTWM_WeightedArrive:'RCTWM_WeightedArrive',RCTWM_WeightedLeave:'RCTWM_WeightedLeave',RCTWM_WeightedBoth:'RCTWM_WeightedBoth',RCTWM_MAX:'RCTWM_MAX', };
+declare class RichCurveKey { 
+	InterpMode: ERichCurveInterpMode;
+	TangentMode: ERichCurveTangentMode;
+	TangentWeightMode: ERichCurveTangentWeightMode;
+	Time: number;
+	Value: number;
+	ArriveTangent: number;
+	ArriveTangentWeight: number;
+	LeaveTangent: number;
+	LeaveTangentWeight: number;
+	clone() : RichCurveKey;
+	static C(Other: UObject | any): RichCurveKey;
 }
 
-declare type TextureAddress = 'TA_Wrap' | 'TA_Clamp' | 'TA_Mirror' | 'TA_MAX';
-declare var TextureAddress : { TA_Wrap:'TA_Wrap',TA_Clamp:'TA_Clamp',TA_Mirror:'TA_Mirror',TA_MAX:'TA_MAX', };
-declare class IntPoint { 
-	X: number;
-	Y: number;
-	clone() : IntPoint;
-	static C(Other: UObject | any): IntPoint;
+declare class RichCurve extends RealCurve { 
+	Keys: RichCurveKey[];
+	clone() : RichCurve;
+	static C(Other: UObject | any): RichCurve;
+}
+
+declare class CurveLinearColor extends CurveBase { 
+	FloatCurves: RichCurve;
+	AdjustHue: number;
+	AdjustSaturation: number;
+	AdjustBrightness: number;
+	AdjustBrightnessCurve: number;
+	AdjustVibrance: number;
+	AdjustMinAlpha: number;
+	AdjustMaxAlpha: number;
+	static Load(ResourceName: string): CurveLinearColor;
+	static Find(Outer: UObject, ResourceName: string): CurveLinearColor;
+	static GetDefaultObject(): CurveLinearColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColor;
+	GetLinearColorValue(InTime: number): LinearColor;
+	GetClampedLinearColorValue(InTime: number): LinearColor;
+	static C(Other: UObject | any): CurveLinearColor;
 }
 
+declare type TextureAddress = 'TA_Wrap' | 'TA_Clamp' | 'TA_Mirror' | 'TA_MAX';
+declare var TextureAddress : { TA_Wrap:'TA_Wrap',TA_Clamp:'TA_Clamp',TA_Mirror:'TA_Mirror',TA_MAX:'TA_MAX', };
 declare type EImportanceWeight = 'Luminance' | 'Red' | 'Green' | 'Blue' | 'Alpha' | 'EImportanceWeight_MAX';
 declare var EImportanceWeight : { Luminance:'Luminance',Red:'Red',Green:'Green',Blue:'Blue',Alpha:'Alpha',EImportanceWeight_MAX:'EImportanceWeight_MAX', };
 declare class ImportanceTexture { 
@@ -1868,16 +2320,16 @@ declare class SlateBrush {
 	bHasUObject: boolean;
 	clone() : SlateBrush;
 	static C(Other: UObject | any): SlateBrush;
-	GetBrushResource(): {Brush: SlateBrush, $: UObject};
-	GetBrushResourceAsMaterial(): {Brush: SlateBrush, $: MaterialInterface};
-	GetBrushResourceAsTexture2D(): {Brush: SlateBrush, $: Texture2D};
+	GetBrushResource(): UObject;
+	GetBrushResourceAsMaterial(): MaterialInterface;
+	GetBrushResourceAsTexture2D(): Texture2D;
 	GetDynamicMaterial(): {Brush: SlateBrush, $: MaterialInstanceDynamic};
 	SetBrushResourceToMaterial(Material?: MaterialInterface): {Brush: SlateBrush};
 	SetBrushResourceToTexture(Texture?: Texture2D): {Brush: SlateBrush};
 	EqualEqual_SlateBrush(B: SlateBrush): boolean;
-	static GetBrushResource(Brush?: SlateBrush): {Brush: SlateBrush, $: UObject};
-	static GetBrushResourceAsMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInterface};
-	static GetBrushResourceAsTexture2D(Brush?: SlateBrush): {Brush: SlateBrush, $: Texture2D};
+	static GetBrushResource(Brush: SlateBrush): UObject;
+	static GetBrushResourceAsMaterial(Brush: SlateBrush): MaterialInterface;
+	static GetBrushResourceAsTexture2D(Brush: SlateBrush): Texture2D;
 	static GetDynamicMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInstanceDynamic};
 	static SetBrushResourceToMaterial(Brush?: SlateBrush,Material?: MaterialInterface): {Brush: SlateBrush};
 	static SetBrushResourceToTexture(Brush?: SlateBrush,Texture?: Texture2D): {Brush: SlateBrush};
@@ -1917,36 +2369,108 @@ declare class Texture2D extends Texture {
 	static MakeBrushFromTexture(Texture: Texture2D,Width: number,Height: number): SlateBrush;
 }
 
-declare type EFontImportCharacterSet = 'FontICS_Default' | 'FontICS_Ansi' | 'FontICS_Symbol' | 'FontICS_MAX';
-declare var EFontImportCharacterSet : { FontICS_Default:'FontICS_Default',FontICS_Ansi:'FontICS_Ansi',FontICS_Symbol:'FontICS_Symbol',FontICS_MAX:'FontICS_MAX', };
-declare class FontImportOptionsData { 
-	FontName: string;
-	Height: number;
-	bEnableAntialiasing: boolean;
-	bEnableBold: boolean;
-	bEnableItalic: boolean;
-	bEnableUnderline: boolean;
-	bAlphaOnly: boolean;
-	CharacterSet: EFontImportCharacterSet;
-	Chars: string;
-	UnicodeRange: string;
-	CharsFilePath: string;
-	CharsFileWildcard: string;
-	bCreatePrintableOnly: boolean;
-	bIncludeASCIIRange: boolean;
-	ForegroundColor: LinearColor;
-	bEnableDropShadow: boolean;
-	TexturePageWidth: number;
-	TexturePageMaxHeight: number;
-	XPadding: number;
-	YPadding: number;
-	ExtendBoxTop: number;
-	ExtendBoxBottom: number;
-	ExtendBoxRight: number;
-	ExtendBoxLeft: number;
-	bEnableLegacyMode: boolean;
-	Kerning: number;
-	bUseDistanceFieldAlpha: boolean;
+declare class CurveLinearColorAtlas extends Texture2D { 
+	bIsDirty: boolean;
+	TextureSize: any;
+	GradientPixelSize: any;
+	GradientCurves: CurveLinearColor[];
+	static Load(ResourceName: string): CurveLinearColorAtlas;
+	static Find(Outer: UObject, ResourceName: string): CurveLinearColorAtlas;
+	static GetDefaultObject(): CurveLinearColorAtlas;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColorAtlas;
+	GetCurvePosition(InCurve: CurveLinearColor,Position?: number): {Position: number, $: boolean};
+	static C(Other: UObject | any): CurveLinearColorAtlas;
+}
+
+declare class ScalarParameterAtlasInstanceData { 
+	bIsUsedAsAtlasPosition: boolean;
+	Curve: CurveLinearColor;
+	Atlas: CurveLinearColorAtlas;
+	clone() : ScalarParameterAtlasInstanceData;
+	static C(Other: UObject | any): ScalarParameterAtlasInstanceData;
+}
+
+declare type EMaterialParameterAssociation = 'LayerParameter' | 'BlendParameter' | 'GlobalParameter' | 'EMaterialParameterAssociation_MAX';
+declare var EMaterialParameterAssociation : { LayerParameter:'LayerParameter',BlendParameter:'BlendParameter',GlobalParameter:'GlobalParameter',EMaterialParameterAssociation_MAX:'EMaterialParameterAssociation_MAX', };
+declare class MaterialParameterInfo { 
+	Name: string;
+	Association: EMaterialParameterAssociation;
+	index: number;
+	clone() : MaterialParameterInfo;
+	static C(Other: UObject | any): MaterialParameterInfo;
+}
+
+declare class ScalarParameterValue { 
+	ParameterName: string;
+	AtlasData: ScalarParameterAtlasInstanceData;
+	ParameterInfo: MaterialParameterInfo;
+	ParameterValue: number;
+	ExpressionGUID: Guid;
+	clone() : ScalarParameterValue;
+	static C(Other: UObject | any): ScalarParameterValue;
+}
+
+declare class VectorParameterValue { 
+	ParameterName: string;
+	ParameterInfo: MaterialParameterInfo;
+	ParameterValue: LinearColor;
+	ExpressionGUID: Guid;
+	clone() : VectorParameterValue;
+	static C(Other: UObject | any): VectorParameterValue;
+}
+
+declare class TextureParameterValue { 
+	ParameterName: string;
+	ParameterInfo: MaterialParameterInfo;
+	ParameterValue: Texture;
+	ExpressionGUID: Guid;
+	clone() : TextureParameterValue;
+	static C(Other: UObject | any): TextureParameterValue;
+}
+
+declare type EFontCacheType = 'Offline' | 'Runtime' | 'EFontCacheType_MAX';
+declare var EFontCacheType : { Offline:'Offline',Runtime:'Runtime',EFontCacheType_MAX:'EFontCacheType_MAX', };
+declare class FontCharacter { 
+	StartU: number;
+	StartV: number;
+	USize: number;
+	VSize: number;
+	TextureIndex: number;
+	VerticalOffset: number;
+	clone() : FontCharacter;
+	static C(Other: UObject | any): FontCharacter;
+}
+
+declare type EFontImportCharacterSet = 'FontICS_Default' | 'FontICS_Ansi' | 'FontICS_Symbol' | 'FontICS_MAX';
+declare var EFontImportCharacterSet : { FontICS_Default:'FontICS_Default',FontICS_Ansi:'FontICS_Ansi',FontICS_Symbol:'FontICS_Symbol',FontICS_MAX:'FontICS_MAX', };
+declare class FontImportOptionsData { 
+	FontName: string;
+	Height: number;
+	bEnableAntialiasing: boolean;
+	bEnableBold: boolean;
+	bEnableItalic: boolean;
+	bEnableUnderline: boolean;
+	bAlphaOnly: boolean;
+	CharacterSet: EFontImportCharacterSet;
+	Chars: string;
+	UnicodeRange: string;
+	CharsFilePath: string;
+	CharsFileWildcard: string;
+	bCreatePrintableOnly: boolean;
+	bIncludeASCIIRange: boolean;
+	ForegroundColor: LinearColor;
+	bEnableDropShadow: boolean;
+	TexturePageWidth: number;
+	TexturePageMaxHeight: number;
+	XPadding: number;
+	YPadding: number;
+	ExtendBoxTop: number;
+	ExtendBoxBottom: number;
+	ExtendBoxRight: number;
+	ExtendBoxLeft: number;
+	bEnableLegacyMode: boolean;
+	Kerning: number;
+	bUseDistanceFieldAlpha: boolean;
 	DistanceFieldScaleFactor: number;
 	DistanceFieldScanRadiusScale: number;
 	clone() : FontImportOptionsData;
@@ -1969,6 +2493,7 @@ declare class FontData {
 	FontFilename: string;
 	Hinting: EFontHinting;
 	LoadingPolicy: EFontLoadingPolicy;
+	SubFaceIndex: number;
 	FontFaceAsset: UObject;
 	BulkDataPtr: FontBulkData;
 	FontData: number[];
@@ -2069,12 +2594,12 @@ declare class MaterialInstanceBasePropertyOverrides {
 	bOverride_DitheredLODTransition: boolean;
 	bOverride_CastDynamicShadowAsMasked: boolean;
 	bOverride_TwoSided: boolean;
-	OpacityMaskClipValue: number;
-	BlendMode: EBlendMode;
-	ShadingModel: EMaterialShadingModel;
 	TwoSided: boolean;
 	DitheredLODTransition: boolean;
 	bCastDynamicShadowAsMasked: boolean;
+	BlendMode: EBlendMode;
+	ShadingModel: EMaterialShadingModel;
+	OpacityMaskClipValue: number;
 	clone() : MaterialInstanceBasePropertyOverrides;
 	static C(Other: UObject | any): MaterialInstanceBasePropertyOverrides;
 }
@@ -2105,6 +2630,7 @@ declare class StaticTerrainLayerWeightParameter {
 	bOverride: boolean;
 	ExpressionGUID: Guid;
 	WeightmapIndex: number;
+	bWeightBasedBlend: boolean;
 	clone() : StaticTerrainLayerWeightParameter;
 	static C(Other: UObject | any): StaticTerrainLayerWeightParameter;
 }
@@ -2172,7 +2698,7 @@ declare class MaterialInstanceDynamic extends MaterialInstance {
 	K2_GetVectorParameterValue(ParameterName: string): LinearColor;
 	K2_GetTextureParameterValue(ParameterName: string): Texture;
 	K2_GetScalarParameterValue(ParameterName: string): number;
-	K2_CopyMaterialInstanceParameters(Source: MaterialInterface): void;
+	K2_CopyMaterialInstanceParameters(Source: MaterialInterface,bQuickParametersOnly: boolean): void;
 	CopyParameterOverrides(MaterialInstance: MaterialInstance): void;
 	CopyInterpParameters(Source: MaterialInstance): void;
 	static C(Other: UObject | any): MaterialInstanceDynamic;
@@ -2184,6 +2710,8 @@ declare class DecalComponent extends SceneComponent {
 	FadeScreenSize: number;
 	FadeStartDelay: number;
 	FadeDuration: number;
+	FadeInDuration: number;
+	FadeInStartDelay: number;
 	bDestroyOwnerAfterFade: boolean;
 	DecalSize: Vector;
 	static Load(ResourceName: string): DecalComponent;
@@ -2193,8 +2721,11 @@ declare class DecalComponent extends SceneComponent {
 	SetSortOrder(Value: number): void;
 	SetFadeScreenSize(NewFadeScreenSize: number): void;
 	SetFadeOut(StartDelay: number,Duration: number,DestroyOwnerAfterFade: boolean): void;
+	SetFadeIn(StartDelay: number,Duaration: number): void;
 	SetDecalMaterial(NewDecalMaterial: MaterialInterface): void;
 	GetFadeStartDelay(): number;
+	GetFadeInStartDelay(): number;
+	GetFadeInDuration(): number;
 	GetFadeDuration(): number;
 	GetDecalMaterial(): MaterialInterface;
 	CreateDynamicMaterialInstance(): MaterialInstanceDynamic;
@@ -2207,9 +2738,11 @@ declare class MaterialInterface extends UObject {
 	bTextureStreamingDataSorted: boolean;
 	TextureStreamingDataVersion: number;
 	TextureStreamingData: MaterialTextureInfo[];
+	AssetUserData: AssetUserData[];
 	PreviewMesh: SoftObjectPath;
 	ThumbnailInfo: ThumbnailInfo;
 	LayerParameterExpansion: any;
+	ParameterOverviewExpansion: any;
 	AssetImportData: AssetImportData;
 	LightingGuid: Guid;
 	static Load(ResourceName: string): MaterialInterface;
@@ -2280,15 +2813,17 @@ declare class UniqueNetIdWrapper {
 }
 
 declare class UniqueNetIdRepl extends UniqueNetIdWrapper { 
+	ReplicationBytes: number[];
 	clone() : UniqueNetIdRepl;
 	static C(Other: UObject | any): UniqueNetIdRepl;
 }
 
 declare class PlayerState extends Info { 
 	Score: number;
-	Ping: number;
 	PlayerName: string;
 	PlayerId: number;
+	Ping: number;
+	bShouldUpdateReplicatedPing: boolean;
 	bIsSpectator: boolean;
 	bOnlySpectator: boolean;
 	bIsABot: boolean;
@@ -2298,8 +2833,8 @@ declare class PlayerState extends Info {
 	EngineMessageClass: UnrealEngineClass;
 	SavedNetworkAddress: string;
 	UniqueId: UniqueNetIdRepl;
+	PawnPrivate: Pawn;
 	PlayerNamePrivate: string;
-	bShouldUpdateReplicatedPing: boolean;
 	static GetDefaultObject(): PlayerState;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerState;
 	ReceiveOverrideWith(OldPlayerState: PlayerState): void;
@@ -2330,6 +2865,7 @@ declare class DamageType extends UObject {
 
 declare class MeshComponent extends PrimitiveComponent { 
 	OverrideMaterials: MaterialInterface[];
+	bEnableMaterialParameterCaching: boolean;
 	static Load(ResourceName: string): MeshComponent;
 	static Find(Outer: UObject, ResourceName: string): MeshComponent;
 	static GetDefaultObject(): MeshComponent;
@@ -2344,8 +2880,8 @@ declare class MeshComponent extends PrimitiveComponent {
 	static C(Other: UObject | any): MeshComponent;
 }
 
-declare type EBoneTranslationRetargetingMode = 'Animation' | 'Skeleton' | 'AnimationScaled' | 'AnimationRelative' | 'EBoneTranslationRetargetingMode_MAX';
-declare var EBoneTranslationRetargetingMode : { Animation:'Animation',Skeleton:'Skeleton',AnimationScaled:'AnimationScaled',AnimationRelative:'AnimationRelative',EBoneTranslationRetargetingMode_MAX:'EBoneTranslationRetargetingMode_MAX', };
+declare type EBoneTranslationRetargetingMode = 'Animation' | 'Skeleton' | 'AnimationScaled' | 'AnimationRelative' | 'OrientAndScale' | 'EBoneTranslationRetargetingMode_MAX';
+declare var EBoneTranslationRetargetingMode : { Animation:'Animation',Skeleton:'Skeleton',AnimationScaled:'AnimationScaled',AnimationRelative:'AnimationRelative',OrientAndScale:'OrientAndScale',EBoneTranslationRetargetingMode_MAX:'EBoneTranslationRetargetingMode_MAX', };
 declare class BoneNode { 
 	Name: string;
 	ParentIndex: number;
@@ -2471,7 +3007,7 @@ declare class RigConfiguration {
 }
 
 declare class PreviewAttachedObjectPair { 
-	AttachedObject: any;
+	AttachedObject: UObject;
 	UObject: UObject;
 	AttachedTo: string;
 	clone() : PreviewAttachedObjectPair;
@@ -2493,8 +3029,8 @@ declare class Skeleton extends UObject {
 	SmartNames: SmartNameContainer;
 	BlendProfiles: BlendProfile[];
 	SlotGroups: AnimSlotGroup[];
-	PreviewSkeletalMesh: any;
-	AdditionalPreviewSkeletalMeshes: any;
+	PreviewSkeletalMesh: SkeletalMesh;
+	AdditionalPreviewSkeletalMeshes: DataAsset;
 	RigConfig: RigConfiguration;
 	AnimationNotifies: string[];
 	PreviewAttachedAssetContainer: PreviewAssetAttachContainer;
@@ -2524,9 +3060,9 @@ declare class MeshUVChannelInfo {
 
 declare class SkeletalMaterial { 
 	MaterialInterface: MaterialInterface;
+	MaterialSlotName: string;
 	bEnableShadowCasting: boolean;
 	bRecomputeTangent: boolean;
-	MaterialSlotName: string;
 	ImportedMaterialSlotName: string;
 	UVChannelData: MeshUVChannelInfo;
 	clone() : SkeletalMaterial;
@@ -2542,8 +3078,17 @@ declare class BoneMirrorInfo {
 	static C(Other: UObject | any): BoneMirrorInfo;
 }
 
-declare type SkeletalMeshOptimizationType = 'SMOT_NumOfTriangles' | 'SMOT_MaxDeviation' | 'SMOT_MAX';
-declare var SkeletalMeshOptimizationType : { SMOT_NumOfTriangles:'SMOT_NumOfTriangles',SMOT_MaxDeviation:'SMOT_MaxDeviation',SMOT_MAX:'SMOT_MAX', };
+declare class PerPlatformFloat { 
+	Default: number;
+	PerPlatform: any;
+	clone() : PerPlatformFloat;
+	static C(Other: UObject | any): PerPlatformFloat;
+}
+
+declare type SkeletalMeshTerminationCriterion = 'SMTC_NumOfTriangles' | 'SMTC_NumOfVerts' | 'SMTC_TriangleOrVert' | 'SMTC_AbsNumOfTriangles' | 'SMTC_AbsNumOfVerts' | 'SMTC_AbsTriangleOrVert' | 'SMTC_MAX';
+declare var SkeletalMeshTerminationCriterion : { SMTC_NumOfTriangles:'SMTC_NumOfTriangles',SMTC_NumOfVerts:'SMTC_NumOfVerts',SMTC_TriangleOrVert:'SMTC_TriangleOrVert',SMTC_AbsNumOfTriangles:'SMTC_AbsNumOfTriangles',SMTC_AbsNumOfVerts:'SMTC_AbsNumOfVerts',SMTC_AbsTriangleOrVert:'SMTC_AbsTriangleOrVert',SMTC_MAX:'SMTC_MAX', };
+declare type SkeletalMeshOptimizationType = 'SMOT_NumOfTriangles' | 'SMOT_MaxDeviation' | 'SMOT_TriangleOrDeviation' | 'SMOT_MAX';
+declare var SkeletalMeshOptimizationType : { SMOT_NumOfTriangles:'SMOT_NumOfTriangles',SMOT_MaxDeviation:'SMOT_MaxDeviation',SMOT_TriangleOrDeviation:'SMOT_TriangleOrDeviation',SMOT_MAX:'SMOT_MAX', };
 declare type SkeletalMeshOptimizationImportance = 'SMOI_Off' | 'SMOI_Lowest' | 'SMOI_Low' | 'SMOI_Normal' | 'SMOI_High' | 'SMOI_Highest' | 'SMOI_MAX';
 declare var SkeletalMeshOptimizationImportance : { SMOI_Off:'SMOI_Off',SMOI_Lowest:'SMOI_Lowest',SMOI_Low:'SMOI_Low',SMOI_Normal:'SMOI_Normal',SMOI_High:'SMOI_High',SMOI_Highest:'SMOI_Highest',SMOI_MAX:'SMOI_MAX', };
 declare class AnimMetaData extends UObject { 
@@ -2580,7 +3125,7 @@ declare class PoseData {
 	SourceLocalSpacePose: Transform[];
 	SourceCurveData: number[];
 	LocalSpacePose: Transform[];
-	LocalSpacePoseMask: boolean[];
+	TrackToBufferIndex: any;
 	CurveData: number[];
 	clone() : PoseData;
 	static C(Other: UObject | any): PoseData;
@@ -2596,9 +3141,9 @@ declare class AnimCurveBase {
 
 declare class PoseDataContainer { 
 	PoseNames: SmartName[];
-	Poses: PoseData[];
 	Tracks: string[];
 	TrackMap: any;
+	Poses: PoseData[];
 	Curves: AnimCurveBase[];
 	clone() : PoseDataContainer;
 	static C(Other: UObject | any): PoseDataContainer;
@@ -2626,7 +3171,7 @@ declare class AnimationAsset extends UObject {
 	AssetUserData: AssetUserData[];
 	ThumbnailInfo: ThumbnailInfo;
 	PreviewPoseAsset: PoseAsset;
-	PreviewSkeletalMesh: any;
+	PreviewSkeletalMesh: SkeletalMesh;
 	static Load(ResourceName: string): AnimationAsset;
 	static Find(Outer: UObject, ResourceName: string): AnimationAsset;
 	static GetDefaultObject(): AnimationAsset;
@@ -2642,62 +3187,6 @@ declare class AnimCompositeBase extends AnimSequenceBase {
 	static C(Other: UObject | any): AnimCompositeBase;
 }
 
-declare type EAlphaBlendOption = 'Linear' | 'Cubic' | 'HermiteCubic' | 'Sinusoidal' | 'QuadraticInOut' | 'CubicInOut' | 'QuarticInOut' | 'QuinticInOut' | 'CircularIn' | 'CircularOut' | 'CircularInOut' | 'ExpIn' | 'ExpOut' | 'ExpInOut' | 'Custom' | 'EAlphaBlendOption_MAX';
-declare var EAlphaBlendOption : { Linear:'Linear',Cubic:'Cubic',HermiteCubic:'HermiteCubic',Sinusoidal:'Sinusoidal',QuadraticInOut:'QuadraticInOut',CubicInOut:'CubicInOut',QuarticInOut:'QuarticInOut',QuinticInOut:'QuinticInOut',CircularIn:'CircularIn',CircularOut:'CircularOut',CircularInOut:'CircularInOut',ExpIn:'ExpIn',ExpOut:'ExpOut',ExpInOut:'ExpInOut',Custom:'Custom',EAlphaBlendOption_MAX:'EAlphaBlendOption_MAX', };
-declare class CurveBase extends UObject { 
-	AssetImportData: AssetImportData;
-	ImportPath: string;
-	static Load(ResourceName: string): CurveBase;
-	static Find(Outer: UObject, ResourceName: string): CurveBase;
-	static GetDefaultObject(): CurveBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveBase;
-	GetValueRange(MinValue?: number,MaxValue?: number): {MinValue: number, MaxValue: number};
-	GetTimeRange(MinTime?: number,MaxTime?: number): {MinTime: number, MaxTime: number};
-	static C(Other: UObject | any): CurveBase;
-}
-
-declare class KeyHandleMap { 
-	clone() : KeyHandleMap;
-	static C(Other: UObject | any): KeyHandleMap;
-}
-
-declare class IndexedCurve { 
-	KeyHandlesToIndices: KeyHandleMap;
-	clone() : IndexedCurve;
-	static C(Other: UObject | any): IndexedCurve;
-}
-
-declare type ERichCurveExtrapolation = 'RCCE_Cycle' | 'RCCE_CycleWithOffset' | 'RCCE_Oscillate' | 'RCCE_Linear' | 'RCCE_Constant' | 'RCCE_None' | 'RCCE_MAX';
-declare var ERichCurveExtrapolation : { RCCE_Cycle:'RCCE_Cycle',RCCE_CycleWithOffset:'RCCE_CycleWithOffset',RCCE_Oscillate:'RCCE_Oscillate',RCCE_Linear:'RCCE_Linear',RCCE_Constant:'RCCE_Constant',RCCE_None:'RCCE_None',RCCE_MAX:'RCCE_MAX', };
-declare type ERichCurveInterpMode = 'RCIM_Linear' | 'RCIM_Constant' | 'RCIM_Cubic' | 'RCIM_None' | 'RCIM_MAX';
-declare var ERichCurveInterpMode : { RCIM_Linear:'RCIM_Linear',RCIM_Constant:'RCIM_Constant',RCIM_Cubic:'RCIM_Cubic',RCIM_None:'RCIM_None',RCIM_MAX:'RCIM_MAX', };
-declare type ERichCurveTangentMode = 'RCTM_Auto' | 'RCTM_User' | 'RCTM_Break' | 'RCTM_None' | 'RCTM_MAX';
-declare var ERichCurveTangentMode : { RCTM_Auto:'RCTM_Auto',RCTM_User:'RCTM_User',RCTM_Break:'RCTM_Break',RCTM_None:'RCTM_None',RCTM_MAX:'RCTM_MAX', };
-declare type ERichCurveTangentWeightMode = 'RCTWM_WeightedNone' | 'RCTWM_WeightedArrive' | 'RCTWM_WeightedLeave' | 'RCTWM_WeightedBoth' | 'RCTWM_MAX';
-declare var ERichCurveTangentWeightMode : { RCTWM_WeightedNone:'RCTWM_WeightedNone',RCTWM_WeightedArrive:'RCTWM_WeightedArrive',RCTWM_WeightedLeave:'RCTWM_WeightedLeave',RCTWM_WeightedBoth:'RCTWM_WeightedBoth',RCTWM_MAX:'RCTWM_MAX', };
-declare class RichCurveKey { 
-	InterpMode: ERichCurveInterpMode;
-	TangentMode: ERichCurveTangentMode;
-	TangentWeightMode: ERichCurveTangentWeightMode;
-	Time: number;
-	Value: number;
-	ArriveTangent: number;
-	ArriveTangentWeight: number;
-	LeaveTangent: number;
-	LeaveTangentWeight: number;
-	clone() : RichCurveKey;
-	static C(Other: UObject | any): RichCurveKey;
-}
-
-declare class RichCurve extends IndexedCurve { 
-	PreInfinityExtrap: ERichCurveExtrapolation;
-	PostInfinityExtrap: ERichCurveExtrapolation;
-	DefaultValue: number;
-	Keys: RichCurveKey[];
-	clone() : RichCurve;
-	static C(Other: UObject | any): RichCurve;
-}
-
 declare class CurveFloat extends CurveBase { 
 	FloatCurve: RichCurve;
 	bIsEventCurve: boolean;
@@ -2709,10 +3198,12 @@ declare class CurveFloat extends CurveBase {
 	static C(Other: UObject | any): CurveFloat;
 }
 
+declare type EAlphaBlendOption = 'Linear' | 'Cubic' | 'HermiteCubic' | 'Sinusoidal' | 'QuadraticInOut' | 'CubicInOut' | 'QuarticInOut' | 'QuinticInOut' | 'CircularIn' | 'CircularOut' | 'CircularInOut' | 'ExpIn' | 'ExpOut' | 'ExpInOut' | 'Custom' | 'EAlphaBlendOption_MAX';
+declare var EAlphaBlendOption : { Linear:'Linear',Cubic:'Cubic',HermiteCubic:'HermiteCubic',Sinusoidal:'Sinusoidal',QuadraticInOut:'QuadraticInOut',CubicInOut:'CubicInOut',QuarticInOut:'QuarticInOut',QuinticInOut:'QuinticInOut',CircularIn:'CircularIn',CircularOut:'CircularOut',CircularInOut:'CircularInOut',ExpIn:'ExpIn',ExpOut:'ExpOut',ExpInOut:'ExpInOut',Custom:'Custom',EAlphaBlendOption_MAX:'EAlphaBlendOption_MAX', };
 declare class AlphaBlend { 
-	BlendOption: EAlphaBlendOption;
 	CustomCurve: CurveFloat;
 	BlendTime: number;
+	BlendOption: EAlphaBlendOption;
 	clone() : AlphaBlend;
 	static C(Other: UObject | any): AlphaBlend;
 }
@@ -2814,6 +3305,7 @@ declare class AnimMontage extends AnimCompositeBase {
 	BranchingPoints: BranchingPoint[];
 	bEnableRootMotionTranslation: boolean;
 	bEnableRootMotionRotation: boolean;
+	bEnableAutoBlendOut: boolean;
 	RootMotionRootLock: ERootMotionRootLock;
 	PreviewBasePose: AnimSequence;
 	BranchingPointMarkers: BranchingPointMarker[];
@@ -2824,6 +3316,7 @@ declare class AnimMontage extends AnimCompositeBase {
 	static Find(Outer: UObject, ResourceName: string): AnimMontage;
 	static GetDefaultObject(): AnimMontage;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimMontage;
+	GetDefaultBlendOutTime(): number;
 	static C(Other: UObject | any): AnimMontage;
 }
 
@@ -2892,6 +3385,8 @@ declare class AnimNotifyEvent extends AnimLinkableElement {
 	TrackIndex: number;
 	clone() : AnimNotifyEvent;
 	static C(Other: UObject | any): AnimNotifyEvent;
+	GetAnimNotifyEventTriggerTime(): number;
+	static GetAnimNotifyEventTriggerTime(NotifyEvent: AnimNotifyEvent): number;
 }
 
 declare class FloatCurve extends AnimCurveBase { 
@@ -2941,6 +3436,12 @@ declare class AnimSequenceBase extends AnimationAsset {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceBase;
 	GetPlayLength(): number;
 	static C(Other: UObject | any): AnimSequenceBase;
+	ReplaceAnimNotifyClass(NotifyName: string,NewNotifyName: string,NewNotifyClass: UObject): number;
+	ReplaceAnimNotifies(OldNotifyClass: UnrealEngineClass,NewNotifyClass: UnrealEngineClass,OnNotifyReplaced: UnrealEngineDelegate<(OldNotify: AnimNotify, NewNotify: AnimNotify) => void>): void;
+	ReplaceAnimNotifyStates(OldNotifyClass: UnrealEngineClass,NewNotifyClass: UnrealEngineClass,OnNotifyStateReplaced: UnrealEngineDelegate<(OldNotifyState: AnimNotifyState, NewNotifyState: AnimNotifyState) => void>): void;
+	static ReplaceAnimNotifyClass(Sequence: AnimSequenceBase,NotifyName: string,NewNotifyName: string,NewNotifyClass: UObject): number;
+	static ReplaceAnimNotifies(AnimationSequence: AnimSequenceBase,OldNotifyClass: UnrealEngineClass,NewNotifyClass: UnrealEngineClass,OnNotifyReplaced: UnrealEngineDelegate<(OldNotify: AnimNotify, NewNotify: AnimNotify) => void>): void;
+	static ReplaceAnimNotifyStates(AnimationSequence: AnimSequenceBase,OldNotifyClass: UnrealEngineClass,NewNotifyClass: UnrealEngineClass,OnNotifyStateReplaced: UnrealEngineDelegate<(OldNotifyState: AnimNotifyState, NewNotifyState: AnimNotifyState) => void>): void;
 }
 
 declare class TrackToSkeletonMap { 
@@ -2954,6 +3455,9 @@ declare var AnimationCompressionFormat : { ACF_None:'ACF_None',ACF_Float96NoW:'A
 declare class AnimCompress extends UObject { 
 	Description: string;
 	bNeedsSkeleton: boolean;
+	bEnableSegmenting: boolean;
+	IdealNumFramesPerSegment: any;
+	MaxNumFramesPerSegment: any;
 	TranslationCompressionFormat: AnimationCompressionFormat;
 	RotationCompressionFormat: AnimationCompressionFormat;
 	ScaleCompressionFormat: AnimationCompressionFormat;
@@ -2965,6 +3469,23 @@ declare class AnimCompress extends UObject {
 	static C(Other: UObject | any): AnimCompress;
 }
 
+declare class AnimCurveCompressionCodec extends UObject { 
+	static Load(ResourceName: string): AnimCurveCompressionCodec;
+	static Find(Outer: UObject, ResourceName: string): AnimCurveCompressionCodec;
+	static GetDefaultObject(): AnimCurveCompressionCodec;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCurveCompressionCodec;
+	static C(Other: UObject | any): AnimCurveCompressionCodec;
+}
+
+declare class AnimCurveCompressionSettings extends UObject { 
+	Codec: AnimCurveCompressionCodec;
+	static Load(ResourceName: string): AnimCurveCompressionSettings;
+	static Find(Outer: UObject, ResourceName: string): AnimCurveCompressionSettings;
+	static GetDefaultObject(): AnimCurveCompressionSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCurveCompressionSettings;
+	static C(Other: UObject | any): AnimCurveCompressionSettings;
+}
+
 declare type EAdditiveAnimationType = 'AAT_None' | 'AAT_LocalSpaceBase' | 'AAT_RotationOffsetMeshSpace' | 'AAT_MAX';
 declare var EAdditiveAnimationType : { AAT_None:'AAT_None',AAT_LocalSpaceBase:'AAT_LocalSpaceBase',AAT_RotationOffsetMeshSpace:'AAT_RotationOffsetMeshSpace',AAT_MAX:'AAT_MAX', };
 declare type EAdditiveBasePoseType = 'ABPT_None' | 'ABPT_RefPose' | 'ABPT_AnimScaled' | 'ABPT_AnimFrame' | 'ABPT_MAX';
@@ -2974,11 +3495,15 @@ declare var EAnimInterpolationType : { Linear:'Linear',Step:'Step',EAnimInterpol
 declare type ERawCurveTrackTypes = 'RCT_Float' | 'RCT_Vector' | 'RCT_Transform' | 'RCT_MAX';
 declare var ERawCurveTrackTypes : { RCT_Float:'RCT_Float',RCT_Vector:'RCT_Vector',RCT_Transform:'RCT_Transform',RCT_MAX:'RCT_MAX', };
 declare class AnimSequence extends AnimSequenceBase { 
+	ImportFileFramerate: number;
+	ImportResampleFramerate: number;
 	NumFrames: number;
 	TrackToSkeletonMapTable: TrackToSkeletonMap[];
 	RawDataGuid: Guid;
 	AnimationTrackNames: string[];
 	CompressionScheme: AnimCompress;
+	bAllowFrameStripping: boolean;
+	CurveCompressionSettings: AnimCurveCompressionSettings;
 	AdditiveAnimType: EAdditiveAnimationType;
 	RefPoseType: EAdditiveBasePoseType;
 	RefPoseSeq: AnimSequence;
@@ -2989,6 +3514,7 @@ declare class AnimSequence extends AnimSequenceBase {
 	bEnableRootMotion: boolean;
 	RootMotionRootLock: ERootMotionRootLock;
 	bForceRootLock: boolean;
+	bUseNormalizedRootMotionScale: boolean;
 	bRootMotionSettingsCopiedFromMontage: boolean;
 	CompressCommandletVersion: number;
 	bDoNotOverrideCompression: boolean;
@@ -3018,6 +3544,7 @@ declare class AnimSequence extends AnimSequenceBase {
 	AddVectorCurveKeys(CurveName: string,Times: number[],Vectors: Vector[]): void;
 	AddVirtualBone(SourceBoneName: string,TargetBoneName: string,VirtualBoneName?: string): {VirtualBoneName: string};
 	ContainsMetaDataOfClass(MetaDataClass: UnrealEngineClass): boolean;
+	CopyAnimNotifiesFromSequence(DestAnimSequence: AnimSequence): void;
 	DoesBoneNameExist(BoneName: string,bExists?: boolean): {bExists: boolean};
 	DoesCurveExist(CurveName: string,CurveType: ERawCurveTrackTypes): boolean;
 	FinalizeBoneAnimation(): void;
@@ -3034,8 +3561,8 @@ declare class AnimSequence extends AnimSequenceBase {
 	GetAnimationTrackNames(TrackNames?: string[]): {TrackNames: string[]};
 	GetBonePoseForFrame(BoneName: string,Frame: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
 	GetBonePoseForTime(BoneName: string,Time: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
-	GetBonePosesForFrame(BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
-	GetBonePosesForTime(BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
+	GetBonePosesForFrame(BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
+	GetBonePosesForTime(BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
 	GetCompressionScheme(CompressionScheme?: AnimCompress): {CompressionScheme: AnimCompress};
 	GetFloatKeys(CurveName: string,Times?: number[],Values?: number[]): {Times: number[], Values: number[]};
 	GetFrameAtTime(Time: number,Frame?: number): {Frame: number};
@@ -3099,6 +3626,7 @@ declare class AnimSequence extends AnimSequenceBase {
 	static AddVectorCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Vectors: Vector[]): void;
 	static AddVirtualBone(AnimationSequence: AnimSequence,SourceBoneName: string,TargetBoneName: string,VirtualBoneName?: string): {VirtualBoneName: string};
 	static ContainsMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass): boolean;
+	static CopyAnimNotifiesFromSequence(SrcAnimSequence: AnimSequence,DestAnimSequence: AnimSequence): void;
 	static DoesBoneNameExist(AnimationSequence: AnimSequence,BoneName: string,bExists?: boolean): {bExists: boolean};
 	static DoesCurveExist(AnimationSequence: AnimSequence,CurveName: string,CurveType: ERawCurveTrackTypes): boolean;
 	static FinalizeBoneAnimation(AnimationSequence: AnimSequence): void;
@@ -3115,8 +3643,8 @@ declare class AnimSequence extends AnimSequenceBase {
 	static GetAnimationTrackNames(AnimationSequence: AnimSequence,TrackNames?: string[]): {TrackNames: string[]};
 	static GetBonePoseForFrame(AnimationSequence: AnimSequence,BoneName: string,Frame: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
 	static GetBonePoseForTime(AnimationSequence: AnimSequence,BoneName: string,Time: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
-	static GetBonePosesForFrame(AnimationSequence: AnimSequence,BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
-	static GetBonePosesForTime(AnimationSequence: AnimSequence,BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
+	static GetBonePosesForFrame(AnimationSequence: AnimSequence,BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
+	static GetBonePosesForTime(AnimationSequence: AnimSequence,BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
 	static GetCompressionScheme(AnimationSequence: AnimSequence,CompressionScheme?: AnimCompress): {CompressionScheme: AnimCompress};
 	static GetFloatKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: number[]): {Times: number[], Values: number[]};
 	static GetFrameAtTime(AnimationSequence: AnimSequence,Time: number,Frame?: number): {Frame: number};
@@ -3168,45 +3696,97 @@ declare class AnimSequence extends AnimSequenceBase {
 }
 
 declare class SkeletalMeshOptimizationSettings { 
-	ReductionMethod: SkeletalMeshOptimizationType;
+	TerminationCriterion: SkeletalMeshTerminationCriterion;
 	NumOfTrianglesPercentage: number;
+	NumOfVertPercentage: number;
+	MaxNumOfTriangles: any;
+	MaxNumOfVerts: any;
 	MaxDeviationPercentage: number;
-	WeldingThreshold: number;
-	bRecalcNormals: boolean;
-	NormalsThreshold: number;
+	ReductionMethod: SkeletalMeshOptimizationType;
 	SilhouetteImportance: SkeletalMeshOptimizationImportance;
 	TextureImportance: SkeletalMeshOptimizationImportance;
 	ShadingImportance: SkeletalMeshOptimizationImportance;
 	SkinningImportance: SkeletalMeshOptimizationImportance;
-	BoneReductionRatio: number;
+	bRemapMorphTargets: boolean;
+	bRecalcNormals: boolean;
+	WeldingThreshold: number;
+	NormalsThreshold: number;
 	MaxBonesPerVertex: number;
-	BonesToRemove: BoneReference[];
+	bEnforceBoneBoundaries: boolean;
+	VolumeImportance: number;
+	bLockEdges: boolean;
 	BaseLOD: number;
+	BonesToRemove: BoneReference[];
 	BakePose: AnimSequence;
 	clone() : SkeletalMeshOptimizationSettings;
 	static C(Other: UObject | any): SkeletalMeshOptimizationSettings;
 }
 
 declare class SkeletalMeshLODInfo { 
-	ScreenSize: number;
+	ScreenSize: PerPlatformFloat;
 	LODHysteresis: number;
 	LODMaterialMap: number[];
 	bEnableShadowCasting: boolean[];
-	bHasBeenSimplified: boolean;
-	ReductionSettings: SkeletalMeshOptimizationSettings;
 	RemovedBones: string[];
+	ReductionSettings: SkeletalMeshOptimizationSettings;
 	BonesToRemove: BoneReference[];
+	BonesToPrioritize: BoneReference[];
+	WeightOfPrioritization: number;
 	BakePose: AnimSequence;
+	BakePoseOverride: AnimSequence;
 	SourceImportFilename: string;
+	bHasBeenSimplified: boolean;
 	bHasPerLODVertexColors: boolean;
 	bAllowCPUAccess: boolean;
 	bSupportUniformlyDistributedSampling: boolean;
+	bImportWithBaseMesh: boolean;
 	clone() : SkeletalMeshLODInfo;
 	static C(Other: UObject | any): SkeletalMeshLODInfo;
 }
 
+declare class PerPlatformInt { 
+	Default: number;
+	PerPlatform: any;
+	clone() : PerPlatformInt;
+	static C(Other: UObject | any): PerPlatformInt;
+}
+
+declare type EBoneFilterActionOption = 'Remove' | 'Keep' | 'Invalid' | 'EBoneFilterActionOption_MAX';
+declare var EBoneFilterActionOption : { Remove:'Remove',Keep:'Keep',Invalid:'Invalid',EBoneFilterActionOption_MAX:'EBoneFilterActionOption_MAX', };
+declare class BoneFilter { 
+	bExcludeSelf: boolean;
+	BoneName: string;
+	clone() : BoneFilter;
+	static C(Other: UObject | any): BoneFilter;
+}
+
+declare class SkeletalMeshLODGroupSettings { 
+	ScreenSize: PerPlatformFloat;
+	LODHysteresis: number;
+	BoneFilterActionOption: EBoneFilterActionOption;
+	BoneList: BoneFilter[];
+	BonesToPrioritize: string[];
+	WeightOfPrioritization: number;
+	BakePose: AnimSequence;
+	ReductionSettings: SkeletalMeshOptimizationSettings;
+	clone() : SkeletalMeshLODGroupSettings;
+	static C(Other: UObject | any): SkeletalMeshLODGroupSettings;
+}
+
+declare class SkeletalMeshLODSettings extends DataAsset { 
+	MinLOD: PerPlatformInt;
+	LODGroups: SkeletalMeshLODGroupSettings[];
+	static Load(ResourceName: string): SkeletalMeshLODSettings;
+	static Find(Outer: UObject, ResourceName: string): SkeletalMeshLODSettings;
+	static GetDefaultObject(): SkeletalMeshLODSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshLODSettings;
+	static C(Other: UObject | any): SkeletalMeshLODSettings;
+}
+
 declare class KShapeElem { 
+	RestOffset: number;
 	Name: string;
+	bContributeToMass: boolean;
 	clone() : KShapeElem;
 	static C(Other: UObject | any): KShapeElem;
 }
@@ -3218,6 +3798,12 @@ declare class Matrix {
 	WPlane: Plane;
 	clone() : Matrix;
 	static C(Other: UObject | any): Matrix;
+	Conv_MatrixToRotator(): Rotator;
+	Conv_MatrixToTransform(): Transform;
+	Matrix_GetOrigin(): Vector;
+	static Conv_MatrixToRotator(InMatrix: Matrix): Rotator;
+	static Conv_MatrixToTransform(InMatrix: Matrix): Transform;
+	static Matrix_GetOrigin(InMatrix: Matrix): Vector;
 }
 
 declare class KSphereElem extends KShapeElem { 
@@ -3259,11 +3845,22 @@ declare class KConvexElem extends KShapeElem {
 	static C(Other: UObject | any): KConvexElem;
 }
 
+declare class KTaperedCapsuleElem extends KShapeElem { 
+	Center: Vector;
+	Rotation: Rotator;
+	Radius0: number;
+	Radius1: number;
+	Length: number;
+	clone() : KTaperedCapsuleElem;
+	static C(Other: UObject | any): KTaperedCapsuleElem;
+}
+
 declare class KAggregateGeom { 
 	SphereElems: KSphereElem[];
 	BoxElems: KBoxElem[];
 	SphylElems: KSphylElem[];
 	ConvexElems: KConvexElem[];
+	TaperedCapsuleElems: KTaperedCapsuleElem[];
 	clone() : KAggregateGeom;
 	static C(Other: UObject | any): KAggregateGeom;
 }
@@ -3550,7 +4147,7 @@ declare class PhysicsConstraintTemplate extends UObject {
 
 declare class PhysicsAsset extends UObject { 
 	DefaultSkelMesh: SkeletalMesh;
-	PreviewSkeletalMesh: any;
+	PreviewSkeletalMesh: SkeletalMesh;
 	PhysicalAnimationProfiles: string[];
 	ConstraintProfiles: string[];
 	CurrentPhysicalAnimationProfileName: string;
@@ -3558,7 +4155,7 @@ declare class PhysicsAsset extends UObject {
 	BoundsBodies: number[];
 	SkeletalBodySetups: SkeletalBodySetup[];
 	ConstraintSetup: PhysicsConstraintTemplate[];
-	bUseAsyncScene: boolean;
+	bNotForDedicatedServer: boolean;
 	ThumbnailInfo: ThumbnailInfo;
 	BodySetup: BodySetup[];
 	static Load(ResourceName: string): PhysicsAsset;
@@ -3569,8 +4166,11 @@ declare class PhysicsAsset extends UObject {
 }
 
 declare class NodeMappingContainer extends UObject { 
-	NodeMapping: any;
-	SourceAsset: any;
+	SourceItems: any;
+	TargetItems: any;
+	SourceToTarget: any;
+	SourceAsset: UObject;
+	TargetAsset: UObject;
 	static Load(ResourceName: string): NodeMappingContainer;
 	static Find(Outer: UObject, ResourceName: string): NodeMappingContainer;
 	static GetDefaultObject(): NodeMappingContainer;
@@ -3626,6 +4226,9 @@ declare var ERootMotionMode : { NoRootMotionExtraction:'NoRootMotionExtraction',
 declare class SoftClassPath extends SoftObjectPath { 
 	clone() : SoftClassPath;
 	static C(Other: UObject | any): SoftClassPath;
+	BreakSoftClassPath(PathString?: string): {PathString: string};
+	static BreakSoftClassPath(InSoftClassPath: SoftClassPath,PathString?: string): {PathString: string};
+	static MakeSoftClassPath(PathString: string): SoftClassPath;
 }
 
 declare class AnimNotifyEventReference { 
@@ -3651,6 +4254,8 @@ declare class PoseSnapshot {
 	static C(Other: UObject | any): PoseSnapshot;
 }
 
+declare type ETeleportType = 'None' | 'TeleportPhysics' | 'ResetPhysics' | 'ETeleportType_MAX';
+declare var ETeleportType : { None:'None',TeleportPhysics:'TeleportPhysics',ResetPhysics:'ResetPhysics',ETeleportType_MAX:'ETeleportType_MAX', };
 declare type EMontagePlayReturnType = 'MontageLength' | 'Duration' | 'EMontagePlayReturnType_MAX';
 declare var EMontagePlayReturnType : { MontageLength:'MontageLength',Duration:'Duration',EMontagePlayReturnType_MAX:'EMontagePlayReturnType_MAX', };
 declare class MarkerSyncAnimPosition { 
@@ -3661,19 +4266,22 @@ declare class MarkerSyncAnimPosition {
 	static C(Other: UObject | any): MarkerSyncAnimPosition;
 }
 
+declare type EAnimCurveType = 'AttributeCurve' | 'MaterialCurve' | 'MorphTargetCurve' | 'MaxAnimCurveType' | 'EAnimCurveType_MAX';
+declare var EAnimCurveType : { AttributeCurve:'AttributeCurve',MaterialCurve:'MaterialCurve',MorphTargetCurve:'MorphTargetCurve',MaxAnimCurveType:'MaxAnimCurveType',EAnimCurveType_MAX:'EAnimCurveType_MAX', };
 declare class AnimInstance extends UObject { 
-	DeltaTime: number;
 	CurrentSkeleton: Skeleton;
 	RootMotionMode: ERootMotionMode;
+	DeltaTime: number;
 	bRunUpdatesInWorkerThreads: boolean;
 	bCanUseParallelUpdateAnimation: boolean;
-	bUseMultiThreadedAnimationUpdate: boolean;
 	bWarnAboutBlueprintUsage: boolean;
+	bUseMultiThreadedAnimationUpdate: boolean;
+	bUsingCopyPoseFromMesh: boolean;
+	bQueueMontageEvents: boolean;
 	OnMontageBlendingOut: UnrealEngineMulticastDelegate<(Montage: AnimMontage, bInterrupted: boolean) => void>;
 	OnMontageStarted: UnrealEngineMulticastDelegate<(Montage: AnimMontage) => void>;
 	OnMontageEnded: UnrealEngineMulticastDelegate<(Montage: AnimMontage, bInterrupted: boolean) => void>;
 	OnAllMontageInstancesEnded: UnrealEngineMulticastDelegate<() => void>;
-	bQueueMontageEvents: boolean;
 	PostCompileValidationClassName: SoftClassPath;
 	NotifyQueue: AnimNotifyQueue;
 	ActiveAnimNotifyState: AnimNotifyEvent[];
@@ -3688,6 +4296,7 @@ declare class AnimInstance extends UObject {
 	SetRootMotionMode(Value: ERootMotionMode): void;
 	SetMorphTarget(MorphTargetName: string,Value: number): void;
 	SavePoseSnapshot(SnapshotName: string): void;
+	ResetDynamics(InTeleportType: ETeleportType): void;
 	PlaySlotAnimationAsDynamicMontage(Asset: AnimSequenceBase,SlotNodeName: string,BlendInTime: number,BlendOutTime: number,InPlayRate: number,LoopCount: number,BlendOutTriggerTime: number,InTimeToStartMontageAt: number): AnimMontage;
 	PlaySlotAnimation(Asset: AnimSequenceBase,SlotNodeName: string,BlendInTime: number,BlendOutTime: number,InPlayRate: number,LoopCount: number): number;
 	Montage_Stop(InBlendOutTime: number,Montage: AnimMontage): void;
@@ -3734,6 +4343,8 @@ declare class AnimInstance extends UObject {
 	GetCurveValue(CurveName: string): number;
 	GetCurrentStateName(MachineIndex: number): string;
 	GetCurrentActiveMontage(): AnimMontage;
+	GetAllCurveNames(OutNames?: string[]): {OutNames: string[]};
+	GetActiveCurveNames(CurveType: EAnimCurveType,OutNames?: string[]): {OutNames: string[]};
 	ClearMorphTargets(): void;
 	CalculateDirection(Velocity: Vector,BaseRotation: Rotator): number;
 	BlueprintUpdateAnimation(DeltaTimeX: number): void;
@@ -3809,7 +4420,6 @@ declare class BlueprintCore extends UObject {
 	SkeletonGeneratedClass: UnrealEngineClass;
 	GeneratedClass: UnrealEngineClass;
 	bLegacyNeedToPurgeSkelRefs: boolean;
-	bLegacyGeneratedClassIsAuthoritative: boolean;
 	BlueprintGuid: Guid;
 	static Load(ResourceName: string): BlueprintCore;
 	static Find(Outer: UObject, ResourceName: string): BlueprintCore;
@@ -3856,7 +4466,6 @@ declare class SCS_Node extends UObject {
 	ComponentClass: UnrealEngineClass;
 	ComponentTemplate: ActorComponent;
 	CookedComponentInstancingData: BlueprintCookedComponentInstancingData;
-	VariableName: string;
 	CategoryName: string;
 	AttachToName: string;
 	ParentComponentOrVariableName: string;
@@ -3865,7 +4474,6 @@ declare class SCS_Node extends UObject {
 	ChildNodes: SCS_Node[];
 	MetaDataArray: BPVariableMetaDataEntry[];
 	VariableGuid: Guid;
-	bIsFalseRoot: boolean;
 	bIsNative: boolean;
 	NativeComponentName: string;
 	bVariableNameAutoGenerated: boolean;
@@ -3928,12 +4536,19 @@ declare class TTTrackBase {
 }
 
 declare class TTEventTrack extends TTTrackBase { 
+	FunctionName: string;
 	CurveKeys: CurveFloat;
 	clone() : TTEventTrack;
 	static C(Other: UObject | any): TTEventTrack;
 }
 
-declare class TTFloatTrack extends TTTrackBase { 
+declare class TTPropertyTrack extends TTTrackBase { 
+	PropertyName: string;
+	clone() : TTPropertyTrack;
+	static C(Other: UObject | any): TTPropertyTrack;
+}
+
+declare class TTFloatTrack extends TTPropertyTrack { 
 	CurveFloat: CurveFloat;
 	clone() : TTFloatTrack;
 	static C(Other: UObject | any): TTFloatTrack;
@@ -3949,23 +4564,13 @@ declare class CurveVector extends CurveBase {
 	static C(Other: UObject | any): CurveVector;
 }
 
-declare class TTVectorTrack extends TTTrackBase { 
+declare class TTVectorTrack extends TTPropertyTrack { 
 	CurveVector: CurveVector;
 	clone() : TTVectorTrack;
 	static C(Other: UObject | any): TTVectorTrack;
 }
 
-declare class CurveLinearColor extends CurveBase { 
-	FloatCurves: RichCurve;
-	static Load(ResourceName: string): CurveLinearColor;
-	static Find(Outer: UObject, ResourceName: string): CurveLinearColor;
-	static GetDefaultObject(): CurveLinearColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColor;
-	GetLinearColorValue(InTime: number): LinearColor;
-	static C(Other: UObject | any): CurveLinearColor;
-}
-
-declare class TTLinearColorTrack extends TTTrackBase { 
+declare class TTLinearColorTrack extends TTPropertyTrack { 
 	CurveLinearColor: CurveLinearColor;
 	clone() : TTLinearColorTrack;
 	static C(Other: UObject | any): TTLinearColorTrack;
@@ -3985,6 +4590,10 @@ declare class TimelineTemplate extends UObject {
 	LinearColorTracks: TTLinearColorTrack[];
 	MetaDataArray: BPVariableMetaDataEntry[];
 	TimelineGuid: Guid;
+	VariableName: string;
+	DirectionPropertyName: string;
+	UpdateFunctionName: string;
+	FinishedFunctionName: string;
 	static Load(ResourceName: string): TimelineTemplate;
 	static Find(Outer: UObject, ResourceName: string): TimelineTemplate;
 	static GetDefaultObject(): TimelineTemplate;
@@ -4056,13 +4665,22 @@ declare class BPInterfaceDescription {
 }
 
 declare class EditedDocumentInfo { 
-	EditedObject: UObject;
+	EditedObjectPath: SoftObjectPath;
 	SavedViewOffset: Vector2D;
 	SavedZoomAmount: number;
+	EditedObject: UObject;
 	clone() : EditedDocumentInfo;
 	static C(Other: UObject | any): EditedDocumentInfo;
 }
 
+declare class BPEditorBookmarkNode { 
+	NodeGuid: Guid;
+	ParentGuid: Guid;
+	DisplayName: string;
+	clone() : BPEditorBookmarkNode;
+	static C(Other: UObject | any): BPEditorBookmarkNode;
+}
+
 declare class Breakpoint extends UObject { 
 	bEnabled: boolean;
 	UNode: EdGraphNode;
@@ -4078,7 +4696,7 @@ declare class Breakpoint extends UObject {
 
 declare class EdGraphPinReference { 
 	OwningNode: any;
-	PinId: Guid;
+	PinID: Guid;
 	clone() : EdGraphPinReference;
 	static C(Other: UObject | any): EdGraphPinReference;
 }
@@ -4096,7 +4714,6 @@ declare class SaveGame extends UObject {
 declare class Blueprint extends BlueprintCore { 
 	bRecompileOnLoad: boolean;
 	ParentClass: UnrealEngineClass;
-	PRIVATE_InnermostPreviousCDO: UObject;
 	bHasBeenRegenerated: boolean;
 	bIsRegeneratingOnLoad: boolean;
 	bIsNewlyCreated: boolean;
@@ -4106,6 +4723,7 @@ declare class Blueprint extends BlueprintCore {
 	bRunConstructionScriptInSequencer: boolean;
 	bGenerateConstClass: boolean;
 	bGenerateAbstractClass: boolean;
+	BlueprintDisplayName: string;
 	BlueprintDescription: string;
 	BlueprintCategory: string;
 	HideCategories: string[];
@@ -4133,6 +4751,8 @@ declare class Blueprint extends BlueprintCore {
 	ImplementedInterfaces: BPInterfaceDescription[];
 	BlueprintSystemVersion: number;
 	LastEditedDocuments: EditedDocumentInfo[];
+	Bookmarks: any;
+	BookmarkNodes: BPEditorBookmarkNode[];
 	Breakpoints: Breakpoint[];
 	WatchedPins: EdGraphPinReference[];
 	DeprecatedPinWatches: EdGraphPin_Deprecated[];
@@ -4149,8 +4769,16 @@ declare class Blueprint extends BlueprintCore {
 	static GetDefaultObject(): Blueprint;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Blueprint;
 	static C(Other: UObject | any): Blueprint;
+	AddComponentsToBlueprint(Components: ActorComponent[],bHarvesting: boolean,OptionalNewRootComponent: ActorComponent,bKeepMobility: boolean): void;
+	CompileBlueprint(): void;
+	GetParentClassOfBlueprint(): UnrealEngineClass;
+	RemoveComponentFromBlueprint(RemoveComponent: ActorComponent,bPromoteChildren: boolean): void;
 	GetBlueprintGeneratedClass(): UnrealEngineClass;
 	CreateSaveGameObjectFromBlueprint(): SaveGame;
+	static AddComponentsToBlueprint(Blueprint: Blueprint,Components: ActorComponent[],bHarvesting: boolean,OptionalNewRootComponent: ActorComponent,bKeepMobility: boolean): void;
+	static CompileBlueprint(Blueprint: Blueprint): void;
+	static GetParentClassOfBlueprint(Blueprint: Blueprint): UnrealEngineClass;
+	static RemoveComponentFromBlueprint(Blueprint: Blueprint,RemoveComponent: ActorComponent,bPromoteChildren: boolean): void;
 	static GetBlueprintGeneratedClass(Blueprint: Blueprint): UnrealEngineClass;
 	static CreateSaveGameObjectFromBlueprint(SaveGameBlueprint: Blueprint): SaveGame;
 }
@@ -4163,13 +4791,17 @@ declare class SkeletalMesh extends UObject {
 	NegativeBoundsExtension: Vector;
 	Materials: SkeletalMaterial[];
 	SkelMirrorTable: BoneMirrorInfo[];
+	LODInfo: SkeletalMeshLODInfo[];
+	MinLOD: PerPlatformInt;
+	LODSettings: SkeletalMeshLODSettings;
 	SkelMirrorAxis: EAxis;
 	SkelMirrorFlipAxis: EAxis;
-	LODInfo: SkeletalMeshLODInfo[];
 	bUseFullPrecisionUVs: boolean;
+	bUseHighPrecisionTangentBasis: boolean;
 	bHasBeenSimplified: boolean;
 	bHasVertexColors: boolean;
 	bEnablePerPolyCollision: boolean;
+	VertexColorGuid: Guid;
 	BodySetup: BodySetup;
 	PhysicsAsset: PhysicsAsset;
 	ShadowPhysicsAsset: PhysicsAsset;
@@ -4183,7 +4815,6 @@ declare class SkeletalMesh extends UObject {
 	DefaultEditorCameraRotation: Rotator;
 	DefaultEditorCameraLookAt: Vector;
 	DefaultEditorCameraOrthoZoom: number;
-	OptimizationSettings: SkeletalMeshOptimizationSettings[];
 	PreviewAttachedAssetContainer: PreviewAssetAttachContainer;
 	MorphTargets: MorphTarget[];
 	FloorOffset: number;
@@ -4198,12 +4829,14 @@ declare class SkeletalMesh extends UObject {
 	static Find(Outer: UObject, ResourceName: string): SkeletalMesh;
 	static GetDefaultObject(): SkeletalMesh;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMesh;
+	SetLODSettings(InLODSettings: SkeletalMeshLODSettings): void;
 	NumSockets(): number;
 	IsSectionUsingCloth(InSectionIndex: number,bCheckCorrespondingSections: boolean): boolean;
 	GetSocketByIndex(index: number): SkeletalMeshSocket;
 	GetNodeMappingContainer(SourceAsset: Blueprint): NodeMappingContainer;
 	GetImportedBounds(): BoxSphereBounds;
 	GetBounds(): BoxSphereBounds;
+	FindSocketInfo(InSocketName: string,OutTransform?: Transform,OutBoneIndex?: number,OutIndex?: number): {OutTransform: Transform, OutBoneIndex: number, OutIndex: number, $: SkeletalMeshSocket};
 	FindSocketAndIndex(InSocketName: string,OutIndex?: number): {OutIndex: number, $: SkeletalMeshSocket};
 	FindSocket(InSocketName: string): SkeletalMeshSocket;
 	static C(Other: UObject | any): SkeletalMesh;
@@ -4215,8 +4848,8 @@ declare class SkelMeshComponentLODInfo {
 	static C(Other: UObject | any): SkelMeshComponentLODInfo;
 }
 
-declare type EMeshComponentUpdateFlag = 'AlwaysTickPoseAndRefreshBones' | 'AlwaysTickPose' | 'OnlyTickMontagesWhenNotRendered' | 'OnlyTickPoseWhenRendered' | 'EMeshComponentUpdateFlag_MAX';
-declare var EMeshComponentUpdateFlag : { AlwaysTickPoseAndRefreshBones:'AlwaysTickPoseAndRefreshBones',AlwaysTickPose:'AlwaysTickPose',OnlyTickMontagesWhenNotRendered:'OnlyTickMontagesWhenNotRendered',OnlyTickPoseWhenRendered:'OnlyTickPoseWhenRendered',EMeshComponentUpdateFlag_MAX:'EMeshComponentUpdateFlag_MAX', };
+declare type EVisibilityBasedAnimTickOption = 'AlwaysTickPoseAndRefreshBones' | 'AlwaysTickPose' | 'OnlyTickMontagesWhenNotRendered' | 'OnlyTickPoseWhenRendered' | 'EVisibilityBasedAnimTickOption_MAX';
+declare var EVisibilityBasedAnimTickOption : { AlwaysTickPoseAndRefreshBones:'AlwaysTickPoseAndRefreshBones',AlwaysTickPose:'AlwaysTickPose',OnlyTickMontagesWhenNotRendered:'OnlyTickMontagesWhenNotRendered',OnlyTickPoseWhenRendered:'OnlyTickPoseWhenRendered',EVisibilityBasedAnimTickOption_MAX:'EVisibilityBasedAnimTickOption_MAX', };
 declare class SkelMeshSkinWeightInfo { 
 	Bones: number;
 	Weights: number;
@@ -4238,7 +4871,8 @@ declare class SkinnedMeshComponent extends MeshComponent {
 	MinLodModel: number;
 	StreamingDistanceMultiplier: number;
 	LODInfo: SkelMeshComponentLODInfo[];
-	MeshComponentUpdateFlag: EMeshComponentUpdateFlag;
+	VisibilityBasedAnimTickOption: EVisibilityBasedAnimTickOption;
+	bOverrideMinLOD: boolean;
 	bUseBoundsFromMasterPoseComponent: boolean;
 	bForceWireframe: boolean;
 	bDisplayBones: boolean;
@@ -4255,6 +4889,8 @@ declare class SkinnedMeshComponent extends MeshComponent {
 	bCPUSkinning: boolean;
 	bEnableUpdateRateOptimizations: boolean;
 	bDisplayDebugUpdateRateOptimizations: boolean;
+	bRenderStatic: boolean;
+	bIgnoreMasterPoseComponentLOD: boolean;
 	bCachedLocalBoundsUpToDate: boolean;
 	bForceMeshObjectUpdate: boolean;
 	CapsuleIndirectShadowMinVisibility: number;
@@ -4271,9 +4907,10 @@ declare class SkinnedMeshComponent extends MeshComponent {
 	SetVertexColorOverride_LinearColor(LODIndex: number,VertexColors: LinearColor[]): void;
 	SetSkinWeightOverride(LODIndex: number,SkinWeights: SkelMeshSkinWeightInfo[]): void;
 	SetSkeletalMesh(NewMesh: SkeletalMesh,bReinitPose: boolean): void;
+	SetRenderStatic(bNewValue: boolean): void;
 	SetPhysicsAsset(NewPhysicsAsset: PhysicsAsset,bForceReInit: boolean): void;
 	SetMinLOD(InNewMinLOD: number): void;
-	SetMasterPoseComponent(NewMasterBoneComponent: SkinnedMeshComponent): void;
+	SetMasterPoseComponent(NewMasterBoneComponent: SkinnedMeshComponent,bForceUpdate: boolean): void;
 	SetForcedLOD(InNewForcedLOD: number): void;
 	SetCastCapsuleIndirectShadow(bNewValue: boolean): void;
 	SetCastCapsuleDirectShadow(bNewValue: boolean): void;
@@ -4286,6 +4923,7 @@ declare class SkinnedMeshComponent extends MeshComponent {
 	GetParentBone(BoneName: string): string;
 	GetNumLODs(): number;
 	GetNumBones(): number;
+	GetDeltaTransformFromRefPose(BoneName: string,BaseName: string): Transform;
 	GetBoneName(BoneIndex: number): string;
 	GetBoneIndex(BoneName: string): number;
 	FindClosestBone_K2(TestLocation: Vector,BoneLocation?: Vector,IgnoreScale?: number,bRequirePhysicsAsset?: boolean): {BoneLocation: Vector, $: string};
@@ -4326,7 +4964,7 @@ declare class AnimBlueprint extends Blueprint {
 	bWarnAboutBlueprintUsage: boolean;
 	ParentAssetOverrides: AnimParentNodeAssetOverride[];
 	PoseWatches: PoseWatch[];
-	PreviewSkeletalMesh: any;
+	PreviewSkeletalMesh: SkeletalMesh;
 	static Load(ResourceName: string): AnimBlueprint;
 	static Find(Outer: UObject, ResourceName: string): AnimBlueprint;
 	static GetDefaultObject(): AnimBlueprint;
@@ -4344,8 +4982,6 @@ declare class SingleAnimationPlayData {
 	static C(Other: UObject | any): SingleAnimationPlayData;
 }
 
-declare type EDynamicActorScene = 'Default' | 'UseSyncScene' | 'UseAsyncScene' | 'EDynamicActorScene_MAX';
-declare var EDynamicActorScene : { Default:'Default',UseSyncScene:'UseSyncScene',UseAsyncScene:'UseAsyncScene',EDynamicActorScene_MAX:'EDynamicActorScene_MAX', };
 declare type EKinematicBonesUpdateToPhysics = 'SkipSimulatingBones' | 'SkipAllBones' | 'EKinematicBonesUpdateToPhysics_MAX';
 declare var EKinematicBonesUpdateToPhysics : { SkipSimulatingBones:'SkipSimulatingBones',SkipAllBones:'SkipAllBones',EKinematicBonesUpdateToPhysics_MAX:'EKinematicBonesUpdateToPhysics_MAX', };
 declare type EPhysicsTransformUpdateMode = 'SimulationUpatesComponentTransform' | 'ComponentTransformIsKinematic' | 'EPhysicsTransformUpdateMode_MAX';
@@ -4370,6 +5006,8 @@ declare class ClothingSimulationInteractor extends UObject {
 	static C(Other: UObject | any): ClothingSimulationInteractor;
 }
 
+declare type ERelativeTransformSpace = 'RTS_World' | 'RTS_Actor' | 'RTS_Component' | 'RTS_ParentBoneSpace' | 'RTS_MAX';
+declare var ERelativeTransformSpace : { RTS_World:'RTS_World',RTS_Actor:'RTS_Actor',RTS_Component:'RTS_Component',RTS_ParentBoneSpace:'RTS_ParentBoneSpace',RTS_MAX:'RTS_MAX', };
 declare class SkeletalMeshComponent extends SkinnedMeshComponent { 
 	AnimationBlueprint: AnimBlueprint;
 	AnimBlueprintGeneratedClass: UnrealEngineClass;
@@ -4377,17 +5015,17 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	AnimScriptInstance: AnimInstance;
 	SubInstances: AnimInstance[];
 	PostProcessAnimInstance: AnimInstance;
-	bDisablePostProcessBlueprint: boolean;
 	AnimationData: SingleAnimationPlayData;
 	RootBoneTranslation: Vector;
 	LineCheckBoundsScale: Vector;
 	CachedBoneSpaceTransforms: Transform[];
 	CachedComponentSpaceTransforms: Transform[];
 	GlobalAnimRateScale: number;
-	UseAsyncScene: EDynamicActorScene;
 	KinematicBonesUpdateType: EKinematicBonesUpdateToPhysics;
 	PhysicsTransformUpdateMode: EPhysicsTransformUpdateMode;
 	AnimationMode: EAnimationMode;
+	bDisablePostProcessBlueprint: boolean;
+	bUpdateOverlapsOnAnimationFinalize: boolean;
 	bHasValidBodies: boolean;
 	bBlendPhysics: boolean;
 	bEnablePhysicsOnDedicatedServer: boolean;
@@ -4399,7 +5037,7 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	bCollideWithAttachedChildren: boolean;
 	bLocalSpaceSimulation: boolean;
 	bResetAfterTeleport: boolean;
-	bDeferMovementFromSceneQueries: boolean;
+	bDeferKinematicBoneUpdate: boolean;
 	bNoSkeletonUpdate: boolean;
 	bPauseAnims: boolean;
 	bUseRefPoseOnInitAnim: boolean;
@@ -4413,11 +5051,25 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	bAnimTreeInitialised: boolean;
 	bIncludeComponentLocationIntoBounds: boolean;
 	bEnableLineCheckWithBounds: boolean;
+	bUseBendingElements: boolean;
+	bUseTetrahedralConstraints: boolean;
+	bUseThinShellVolumeConstraints: boolean;
+	bUseSelfCollisions: boolean;
+	bUseContinuousCollisionDetection: boolean;
+	bPropagateCurvesToSlaves: boolean;
+	bSkipKinematicUpdateWhenInterpolating: boolean;
+	bSkipBoundsUpdateWhenInterpolating: boolean;
 	bUpdateAnimationInEditor: boolean;
 	bNeedsQueuedAnimEventsDispatched: boolean;
-	DisallowedAnimCurves: string[];
 	CachedAnimCurveUidVersion: any;
 	ClothBlendWeight: number;
+	EdgeStiffness: number;
+	BendingStiffness: number;
+	AreaStiffness: number;
+	VolumeStiffness: number;
+	StrainLimitingStiffness: number;
+	ShapeTargetStiffness: number;
+	DisallowedAnimCurves: string[];
 	BodySetup: BodySetup;
 	OnConstraintBroken: UnrealEngineMulticastDelegate<(ConstraintIndex: number) => void>;
 	ClothingSimulationFactory: UnrealEngineClass;
@@ -4438,6 +5090,7 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshComponent;
 	UnbindClothFromMasterPoseComponent(bRestoreSimulationSpace: boolean): void;
 	ToggleDisablePostProcessBlueprint(): void;
+	TermBodiesBelow(ParentBoneName: string): void;
 	SuspendClothingSimulation(): void;
 	Stop(): void;
 	SnapshotPose(Snapshot?: PoseSnapshot): {Snapshot: PoseSnapshot};
@@ -4458,7 +5111,6 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	SetConstraintProfile(JointName: string,ProfileName: string,bDefaultIfNotFound: boolean): void;
 	SetClothMaxDistanceScale(Scale: number): void;
 	SetBodyNotifyRigidBodyCollision(bNewNotifyRigidBodyCollision: boolean,BoneName: string): void;
-	SetAnimInstanceClass(NewClass: UnrealEngineClass): void;
 	SetAnimationMode(InAnimationMode: EAnimationMode): void;
 	SetAnimation(NewAnimToPlay: AnimationAsset): void;
 	SetAngularLimits(InBoneName: string,Swing1LimitAngle: number,TwistLimitAngle: number,Swing2LimitAngle: number): void;
@@ -4473,17 +5125,21 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	SetAllBodiesBelowPhysicsBlendWeight(InBoneName: string,PhysicsBlendWeight: number,bSkipCustomPhysicsType: boolean,bIncludeSelf: boolean): void;
 	ResumeClothingSimulation(): void;
 	ResetClothTeleportMode(): void;
+	ResetAnimInstanceDynamics(InTeleportType: ETeleportType): void;
 	ResetAllowedAnimCurveEvaluation(): void;
 	ResetAllBodiesSimulatePhysics(): void;
 	PlayAnimation(NewAnimToPlay: AnimationAsset,bLooping: boolean): void;
 	Play(bLooping: boolean): void;
 	OverrideAnimationData(InAnimToPlay: AnimationAsset,bIsLooping: boolean,bIsPlaying: boolean,Position: number,PlayRate: number): void;
+	K2_SetAnimInstanceClass(NewClass: UnrealEngineClass): void;
 	K2_GetClosestPointOnPhysicsAsset(WorldPosition: Vector,ClosestWorldPosition?: Vector,Normal?: Vector,BoneName?: string,Distance?: number): {ClosestWorldPosition: Vector, Normal: Vector, BoneName: string, Distance: number, $: boolean};
 	IsPlaying(): boolean;
 	IsClothingSimulationSuspended(): boolean;
 	IsBodyGravityEnabled(BoneName: string): boolean;
+	HasValidAnimationInstance(): boolean;
 	GetTeleportRotationThreshold(): number;
 	GetTeleportDistanceThreshold(): number;
+	GetSubInstanceByName(InName: string): AnimInstance;
 	GetSkeletalCenterOfMass(): Vector;
 	GetPostProcessInstance(): AnimInstance;
 	GetPosition(): number;
@@ -4509,6 +5165,10 @@ declare class SkeletalMeshComponent extends SkinnedMeshComponent {
 	AddForceToAllBodiesBelow(Force: Vector,BoneName: string,bAccelChange: boolean,bIncludeSelf: boolean): void;
 	AccumulateAllBodiesBelowPhysicsBlendWeight(InBoneName: string,AddPhysicsBlendWeight: number,bSkipCustomPhysicsType: boolean): void;
 	static C(Other: UObject | any): SkeletalMeshComponent;
+	K2_DirectionBetweenSockets(SocketOrBoneNameFrom: string,SocketOrBoneNameTo: string): Vector;
+	K2_DistanceBetweenTwoSocketsAndMapRange(SocketOrBoneNameA: string,SocketSpaceA: ERelativeTransformSpace,SocketOrBoneNameB: string,SocketSpaceB: ERelativeTransformSpace,bRemapRange: boolean,InRangeMin: number,InRangeMax: number,OutRangeMin: number,OutRangeMax: number): number;
+	static K2_DirectionBetweenSockets(Component: SkeletalMeshComponent,SocketOrBoneNameFrom: string,SocketOrBoneNameTo: string): Vector;
+	static K2_DistanceBetweenTwoSocketsAndMapRange(Component: SkeletalMeshComponent,SocketOrBoneNameA: string,SocketSpaceA: ERelativeTransformSpace,SocketOrBoneNameB: string,SocketSpaceB: ERelativeTransformSpace,bRemapRange: boolean,InRangeMin: number,InRangeMax: number,OutRangeMin: number,OutRangeMax: number): number;
 }
 
 declare type EPlaneConstraintAxisSetting = 'Custom' | 'X' | 'Y' | 'Z' | 'UseGlobalPhysicsSetting' | 'EPlaneConstraintAxisSetting_MAX';
@@ -4517,15 +5177,17 @@ declare class MovementComponent extends ActorComponent {
 	UpdatedComponent: SceneComponent;
 	UpdatedPrimitive: PrimitiveComponent;
 	Velocity: Vector;
-	bConstrainToPlane: boolean;
-	bSnapToPlaneAtStart: boolean;
-	PlaneConstraintAxisSetting: EPlaneConstraintAxisSetting;
 	PlaneConstraintNormal: Vector;
 	PlaneConstraintOrigin: Vector;
 	bUpdateOnlyIfRendered: boolean;
 	bAutoUpdateTickRegistration: boolean;
 	bTickBeforeOwner: boolean;
 	bAutoRegisterUpdatedComponent: boolean;
+	bConstrainToPlane: boolean;
+	bSnapToPlaneAtStart: boolean;
+	bAutoRegisterPhysicsVolumeUpdates: boolean;
+	bComponentShouldUpdatePhysicsVolume: boolean;
+	PlaneConstraintAxisSetting: EPlaneConstraintAxisSetting;
 	static Load(ResourceName: string): MovementComponent;
 	static Find(Outer: UObject, ResourceName: string): MovementComponent;
 	static GetDefaultObject(): MovementComponent;
@@ -4565,49 +5227,12 @@ declare class MovementProperties {
 	static C(Other: UObject | any): MovementProperties;
 }
 
-declare class NavDataConfig extends NavAgentProperties { 
-	Name: string;
-	Color: Color;
-	DefaultQueryExtent: Vector;
-	NavigationDataClass: UnrealEngineClass;
-	NavigationDataClassName: SoftClassPath;
-	clone() : NavDataConfig;
-	static C(Other: UObject | any): NavDataConfig;
-}
-
-declare type ERuntimeGenerationType = 'Static' | 'DynamicModifiersOnly' | 'Dynamic' | 'LegacyGeneration' | 'ERuntimeGenerationType_MAX';
-declare var ERuntimeGenerationType : { Static:'Static',DynamicModifiersOnly:'DynamicModifiersOnly',Dynamic:'Dynamic',LegacyGeneration:'LegacyGeneration',ERuntimeGenerationType_MAX:'ERuntimeGenerationType_MAX', };
-declare class SupportedAreaData { 
-	AreaClassName: string;
-	AreaID: number;
-	AreaClass: UnrealEngineClass;
-	clone() : SupportedAreaData;
-	static C(Other: UObject | any): SupportedAreaData;
-}
-
-declare class NavigationData extends Actor { 
-	RenderingComp: PrimitiveComponent;
-	NavDataConfig: NavDataConfig;
-	bEnableDrawing: boolean;
-	bForceRebuildOnLoad: boolean;
-	bCanBeMainNavData: boolean;
-	bCanSpawnOnRebuild: boolean;
-	bRebuildAtRuntime: boolean;
-	RuntimeGeneration: ERuntimeGenerationType;
-	ObservedPathsTickInterval: number;
-	DataVersion: any;
-	SupportedAreas: SupportedAreaData[];
-	static GetDefaultObject(): NavigationData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationData;
-	static C(Other: UObject | any): NavigationData;
-}
-
 declare class NavAgentProperties extends MovementProperties { 
 	AgentRadius: number;
 	AgentHeight: number;
 	AgentStepHeight: number;
 	NavWalkingSearchHeightScale: number;
-	PreferredNavData: UnrealEngineClass;
+	PreferredNavData: SoftClassPath;
 	clone() : NavAgentProperties;
 	static C(Other: UObject | any): NavAgentProperties;
 }
@@ -4619,6 +5244,7 @@ declare class NavMovementComponent extends MovementComponent {
 	bUseAccelerationForPaths: boolean;
 	bUseFixedBrakingDistanceForPaths: boolean;
 	MovementState: MovementProperties;
+	PathFollowingComp: UObject;
 	static Load(ResourceName: string): NavMovementComponent;
 	static Find(Outer: UObject, ResourceName: string): NavMovementComponent;
 	static GetDefaultObject(): NavMovementComponent;
@@ -4706,23 +5332,23 @@ declare class CharacterMovementComponentPostPhysicsTickFunction extends TickFunc
 	static C(Other: UObject | any): CharacterMovementComponentPostPhysicsTickFunction;
 }
 
-declare class Vector_NetQuantize10 extends Vector { 
-	clone() : Vector_NetQuantize10;
-	static C(Other: UObject | any): Vector_NetQuantize10;
-}
-
 declare class RootMotionSourceSettings { 
 	Flags: number;
 	clone() : RootMotionSourceSettings;
 	static C(Other: UObject | any): RootMotionSourceSettings;
 }
 
+declare class Vector_NetQuantize10 extends Vector { 
+	clone() : Vector_NetQuantize10;
+	static C(Other: UObject | any): Vector_NetQuantize10;
+}
+
 declare class RootMotionSourceGroup { 
 	bHasAdditiveSources: boolean;
 	bHasOverrideSources: boolean;
-	LastPreAdditiveVelocity: Vector_NetQuantize10;
 	bIsAdditiveVelocityApplied: boolean;
 	LastAccumulatedSettings: RootMotionSourceSettings;
+	LastPreAdditiveVelocity: Vector_NetQuantize10;
 	clone() : RootMotionSourceGroup;
 	static C(Other: UObject | any): RootMotionSourceGroup;
 }
@@ -4737,7 +5363,6 @@ declare class RootMotionMovementParams {
 
 declare class CharacterMovementComponent extends PawnMovementComponent { 
 	CharacterOwner: Character;
-	bApplyGravityWhileJumping: boolean;
 	GravityScale: number;
 	MaxStepHeight: number;
 	JumpZVelocity: number;
@@ -4746,6 +5371,7 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	WalkableFloorZ: number;
 	MovementMode: EMovementMode;
 	CustomMovementMode: number;
+	NetworkSmoothingMode: ENetworkSmoothingMode;
 	GroundFriction: number;
 	MaxWalkSpeed: number;
 	MaxWalkSpeedCrouched: number;
@@ -4756,7 +5382,7 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	MinAnalogWalkSpeed: number;
 	BrakingFrictionFactor: number;
 	BrakingFriction: number;
-	bUseSeparateBrakingFriction: boolean;
+	BrakingSubStepTime: number;
 	BrakingDecelerationWalking: number;
 	BrakingDecelerationFalling: number;
 	BrakingDecelerationSwimming: number;
@@ -4770,11 +5396,14 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	PerchRadiusThreshold: number;
 	PerchAdditionalHeight: number;
 	RotationRate: Rotator;
+	bUseSeparateBrakingFriction: boolean;
+	bApplyGravityWhileJumping: boolean;
 	bUseControllerDesiredRotation: boolean;
 	bOrientRotationToMovement: boolean;
 	bSweepWhileNavWalking: boolean;
 	bMovementInProgress: boolean;
 	bEnableScopedMovementUpdates: boolean;
+	bEnableServerDualMoveScopedMovementUpdates: boolean;
 	bForceMaxAccel: boolean;
 	bRunPhysicsWithNoController: boolean;
 	bForceNextFloorCheck: boolean;
@@ -4782,16 +5411,17 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	bCanWalkOffLedges: boolean;
 	bCanWalkOffLedgesWhenCrouching: boolean;
 	bNetworkSkipProxyPredictionOnNetUpdate: boolean;
+	bNetworkAlwaysReplicateTransformUpdateTimestamp: boolean;
 	bDeferUpdateMoveComponent: boolean;
-	DeferredUpdatedMoveComponent: SceneComponent;
-	MaxOutOfWaterStepHeight: number;
-	OutofWaterZ: number;
-	Mass: number;
 	bEnablePhysicsInteraction: boolean;
 	bTouchForceScaledToMass: boolean;
 	bPushForceScaledToMass: boolean;
 	bPushForceUsingZOffset: boolean;
 	bScalePushForceToVelocity: boolean;
+	DeferredUpdatedMoveComponent: SceneComponent;
+	MaxOutOfWaterStepHeight: number;
+	OutofWaterZ: number;
+	Mass: number;
 	StandingDownwardForceScale: number;
 	InitialPushForceFactor: number;
 	PushForceFactor: number;
@@ -4804,8 +5434,8 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	CrouchedSpeedMultiplier: number;
 	UpperImpactNormalScale: number;
 	Acceleration: Vector;
-	LastUpdateLocation: Vector;
 	LastUpdateRotation: Quat;
+	LastUpdateLocation: Vector;
 	LastUpdateVelocity: Vector;
 	ServerLastTransformUpdateTimeStamp: number;
 	ServerLastClientGoodMoveAckTime: number;
@@ -4827,7 +5457,6 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	NetProxyShrinkHalfHeight: number;
 	NetworkMaxSmoothUpdateDistance: number;
 	NetworkNoSmoothUpdateDistance: number;
-	NetworkSmoothingMode: ENetworkSmoothingMode;
 	NetworkMinTimeBetweenClientAckGoodMoves: number;
 	NetworkMinTimeBetweenClientAdjustments: number;
 	NetworkMinTimeBetweenClientAdjustmentsLargeCorrection: number;
@@ -4859,6 +5488,8 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	bWantsToLeaveNavWalking: boolean;
 	bUseRVOAvoidance: boolean;
 	bRequestedMoveUseAcceleration: boolean;
+	bWasSimulatingRootMotion: boolean;
+	bAllowPhysicsRotationDuringAnimRootMotion: boolean;
 	bHasRequestedVelocity: boolean;
 	bRequestedMoveWithMaxSpeed: boolean;
 	bWasAvoidanceUpdated: boolean;
@@ -4883,8 +5514,6 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	CurrentRootMotion: RootMotionSourceGroup;
 	RootMotionParams: RootMotionMovementParams;
 	AnimRootMotionVelocity: Vector;
-	bWasSimulatingRootMotion: boolean;
-	bAllowPhysicsRotationDuringAnimRootMotion: boolean;
 	static Load(ResourceName: string): CharacterMovementComponent;
 	static Find(Outer: UObject, ResourceName: string): CharacterMovementComponent;
 	static GetDefaultObject(): CharacterMovementComponent;
@@ -4914,6 +5543,9 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	GetMaxJumpHeight(): number;
 	GetMaxBrakingDeceleration(): number;
 	GetMaxAcceleration(): number;
+	GetLastUpdateVelocity(): Vector;
+	GetLastUpdateRotation(): Rotator;
+	GetLastUpdateLocation(): Vector;
 	GetImpartedMovementBaseVelocity(): Vector;
 	GetCurrentAcceleration(): Vector;
 	GetCharacterOwner(): Character;
@@ -4927,58 +5559,17 @@ declare class CharacterMovementComponent extends PawnMovementComponent {
 	static C(Other: UObject | any): CharacterMovementComponent;
 }
 
-declare class NavAgentSelector { 
-	bSupportsAgent0: boolean;
-	bSupportsAgent1: boolean;
-	bSupportsAgent2: boolean;
-	bSupportsAgent3: boolean;
-	bSupportsAgent4: boolean;
-	bSupportsAgent5: boolean;
-	bSupportsAgent6: boolean;
-	bSupportsAgent7: boolean;
-	bSupportsAgent8: boolean;
-	bSupportsAgent9: boolean;
-	bSupportsAgent10: boolean;
-	bSupportsAgent11: boolean;
-	bSupportsAgent12: boolean;
-	bSupportsAgent13: boolean;
-	bSupportsAgent14: boolean;
-	bSupportsAgent15: boolean;
-	clone() : NavAgentSelector;
-	static C(Other: UObject | any): NavAgentSelector;
-}
-
-declare class NavArea extends UObject { 
-	DefaultCost: number;
-	FixedAreaEnteringCost: number;
-	DrawColor: Color;
-	SupportedAgents: NavAgentSelector;
-	bSupportsAgent0: boolean;
-	bSupportsAgent1: boolean;
-	bSupportsAgent2: boolean;
-	bSupportsAgent3: boolean;
-	bSupportsAgent4: boolean;
-	bSupportsAgent5: boolean;
-	bSupportsAgent6: boolean;
-	bSupportsAgent7: boolean;
-	bSupportsAgent8: boolean;
-	bSupportsAgent9: boolean;
-	bSupportsAgent10: boolean;
-	bSupportsAgent11: boolean;
-	bSupportsAgent12: boolean;
-	bSupportsAgent13: boolean;
-	bSupportsAgent14: boolean;
-	bSupportsAgent15: boolean;
-	static Load(ResourceName: string): NavArea;
-	static Find(Outer: UObject, ResourceName: string): NavArea;
-	static GetDefaultObject(): NavArea;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea;
-	static C(Other: UObject | any): NavArea;
+declare class NavAreaBase extends UObject { 
+	static Load(ResourceName: string): NavAreaBase;
+	static Find(Outer: UObject, ResourceName: string): NavAreaBase;
+	static GetDefaultObject(): NavAreaBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAreaBase;
+	static C(Other: UObject | any): NavAreaBase;
 }
 
 declare class ShapeComponent extends PrimitiveComponent { 
-	ShapeColor: Color;
 	ShapeBodySetup: BodySetup;
+	ShapeColor: Color;
 	bDrawOnlyIfSelected: boolean;
 	bShouldCollideWhenPlacing: boolean;
 	bDynamicObstacle: boolean;
@@ -5080,10 +5671,12 @@ declare class Character extends Pawn {
 	BaseTranslationOffset: Vector;
 	BaseRotationOffset: Quat;
 	ReplicatedServerLastTransformUpdateTimeStamp: number;
+	ReplayLastTransformUpdateTimeStamp: number;
 	ReplicatedMovementMode: number;
 	bInBaseReplication: boolean;
 	CrouchedEyeHeight: number;
 	bIsCrouched: boolean;
+	bProxyIsJumpForceApplied: boolean;
 	bPressedJump: boolean;
 	bClientUpdating: boolean;
 	bClientWasFalling: boolean;
@@ -5094,6 +5687,8 @@ declare class Character extends Pawn {
 	bServerMoveIgnoreRootMotion: boolean;
 	bWasJumping: boolean;
 	JumpKeyHoldTime: number;
+	JumpForceTimeRemaining: number;
+	ProxyJumpForceStartedTime: number;
 	JumpMaxHoldTime: number;
 	JumpMaxCount: number;
 	JumpCurrentCount: number;
@@ -5109,7 +5704,6 @@ declare class Character extends Pawn {
 	UnCrouch(bClientSimulation: boolean): void;
 	StopJumping(): void;
 	StopAnimMontage(AnimMontage: AnimMontage): void;
-	SetReplicateMovement(bInReplicateMovement: boolean): void;
 	ServerMoveOld(OldTimeStamp: number,OldAccel: Vector_NetQuantize10,OldMoveFlags: number): void;
 	ServerMoveNoBase(Timestamp: number,InAccel: Vector_NetQuantize10,ClientLoc: Vector_NetQuantize100,CompressedMoveFlags: number,ClientRoll: number,View: any,ClientMovementMode: number): void;
 	ServerMoveDualNoBase(TimeStamp0: number,InAccel0: Vector_NetQuantize10,PendingFlags: number,View0: any,Timestamp: number,InAccel: Vector_NetQuantize10,ClientLoc: Vector_NetQuantize100,NewFlags: number,ClientRoll: number,View: any,ClientMovementMode: number): void;
@@ -5121,6 +5715,7 @@ declare class Character extends Pawn {
 	OnWalkingOffLedge(PreviousFloorImpactNormal: Vector,PreviousFloorContactNormal: Vector,PreviousLocation: Vector,TimeDelta: number): void;
 	OnRep_RootMotion(): void;
 	OnRep_ReplicatedBasedMovement(): void;
+	OnRep_ReplayLastTransformUpdateTimeStamp(): void;
 	OnRep_IsCrouched(): void;
 	OnLaunched(LaunchVelocity: Vector,bXYOverride: boolean,bZOverride: boolean): void;
 	OnLanded(Hit: HitResult): void;
@@ -5134,6 +5729,7 @@ declare class Character extends Pawn {
 	IsPlayingRootMotion(): boolean;
 	IsPlayingNetworkedRootMotionMontage(): boolean;
 	IsJumpProvidingForce(): boolean;
+	HasAnyRootMotion(): boolean;
 	GetCurrentMontage(): AnimMontage;
 	GetBaseTranslationOffset(): Vector;
 	GetBaseRotationOffsetRotator(): Rotator;
@@ -5236,12 +5832,12 @@ declare class Canvas extends UObject {
 	K2_Project(WorldLocation: Vector): Vector;
 	K2_DrawTriangle(RenderTexture: Texture,Triangles: CanvasUVTri[]): void;
 	K2_DrawTexture(RenderTexture: Texture,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,RenderColor: LinearColor,BlendMode: EBlendMode,Rotation: number,PivotPoint: Vector2D): void;
-	K2_DrawText(RenderFont: Font,RenderText: string,ScreenPosition: Vector2D,RenderColor: LinearColor,Kerning: number,ShadowColor: LinearColor,ShadowOffset: Vector2D,bCentreX: boolean,bCentreY: boolean,bOutlined: boolean,OutlineColor: LinearColor): void;
+	K2_DrawText(RenderFont: Font,RenderText: string,ScreenPosition: Vector2D,Scale: Vector2D,RenderColor: LinearColor,Kerning: number,ShadowColor: LinearColor,ShadowOffset: Vector2D,bCentreX: boolean,bCentreY: boolean,bOutlined: boolean,OutlineColor: LinearColor): void;
 	K2_DrawPolygon(RenderTexture: Texture,ScreenPosition: Vector2D,Radius: Vector2D,NumberOfSides: number,RenderColor: LinearColor): void;
 	K2_DrawMaterialTriangle(RenderMaterial: MaterialInterface,Triangles: CanvasUVTri[]): void;
 	K2_DrawMaterial(RenderMaterial: MaterialInterface,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,Rotation: number,PivotPoint: Vector2D): void;
 	K2_DrawLine(ScreenPositionA: Vector2D,ScreenPositionB: Vector2D,Thickness: number,RenderColor: LinearColor): void;
-	K2_DrawBox(ScreenPosition: Vector2D,ScreenSize: Vector2D,Thickness: number): void;
+	K2_DrawBox(ScreenPosition: Vector2D,ScreenSize: Vector2D,Thickness: number,RenderColor: LinearColor): void;
 	K2_DrawBorder(BorderTexture: Texture,BackgroundTexture: Texture,LeftBorderTexture: Texture,RightBorderTexture: Texture,TopBorderTexture: Texture,BottomBorderTexture: Texture,ScreenPosition: Vector2D,ScreenSize: Vector2D,CoordinatePosition: Vector2D,CoordinateSize: Vector2D,RenderColor: LinearColor,BorderScale: Vector2D,BackgroundScale: Vector2D,Rotation: number,PivotPoint: Vector2D,CornerSize: Vector2D): void;
 	K2_Deproject(ScreenPosition: Vector2D,WorldOrigin?: Vector,WorldDirection?: Vector): {WorldOrigin: Vector, WorldDirection: Vector};
 	static C(Other: UObject | any): Canvas;
@@ -5320,6 +5916,10 @@ declare type ECameraProjectionMode = 'Perspective' | 'Orthographic' | 'ECameraPr
 declare var ECameraProjectionMode : { Perspective:'Perspective',Orthographic:'Orthographic',ECameraProjectionMode_MAX:'ECameraProjectionMode_MAX', };
 declare type EBloomMethod = 'BM_SOG' | 'BM_FFT' | 'BM_MAX';
 declare var EBloomMethod : { BM_SOG:'BM_SOG',BM_FFT:'BM_FFT',BM_MAX:'BM_MAX', };
+declare type EAutoExposureMethod = 'AEM_Histogram' | 'AEM_Basic' | 'AEM_Manual' | 'AEM_MAX';
+declare var EAutoExposureMethod : { AEM_Histogram:'AEM_Histogram',AEM_Basic:'AEM_Basic',AEM_Manual:'AEM_Manual',AEM_MAX:'AEM_MAX', };
+declare type EDepthOfFieldMethod = 'DOFM_BokehDOF' | 'DOFM_Gaussian' | 'DOFM_CircleDOF' | 'DOFM_MAX';
+declare var EDepthOfFieldMethod : { DOFM_BokehDOF:'DOFM_BokehDOF',DOFM_Gaussian:'DOFM_Gaussian',DOFM_CircleDOF:'DOFM_CircleDOF',DOFM_MAX:'DOFM_MAX', };
 declare class TextureCube extends Texture { 
 	static Load(ResourceName: string): TextureCube;
 	static Find(Outer: UObject, ResourceName: string): TextureCube;
@@ -5328,10 +5928,12 @@ declare class TextureCube extends Texture {
 	static C(Other: UObject | any): TextureCube;
 }
 
-declare type EAutoExposureMethod = 'AEM_Histogram' | 'AEM_Basic' | 'AEM_Manual' | 'AEM_MAX';
-declare var EAutoExposureMethod : { AEM_Histogram:'AEM_Histogram',AEM_Basic:'AEM_Basic',AEM_Manual:'AEM_Manual',AEM_MAX:'AEM_MAX', };
-declare type EDepthOfFieldMethod = 'DOFM_BokehDOF' | 'DOFM_Gaussian' | 'DOFM_CircleDOF' | 'DOFM_MAX';
-declare var EDepthOfFieldMethod : { DOFM_BokehDOF:'DOFM_BokehDOF',DOFM_Gaussian:'DOFM_Gaussian',DOFM_CircleDOF:'DOFM_CircleDOF',DOFM_MAX:'DOFM_MAX', };
+declare type EReflectionsType = 'ScreenSpace' | 'RayTracing' | 'EReflectionsType_MAX';
+declare var EReflectionsType : { ScreenSpace:'ScreenSpace',RayTracing:'RayTracing',EReflectionsType_MAX:'EReflectionsType_MAX', };
+declare type EReflectedAndRefractedRayTracedShadows = 'Disabled' | 'Hard_shadows' | 'Area_shadows' | 'EReflectedAndRefractedRayTracedShadows_MAX';
+declare var EReflectedAndRefractedRayTracedShadows : { Disabled:'Disabled',Hard_shadows:'Hard_shadows',Area_shadows:'Area_shadows',EReflectedAndRefractedRayTracedShadows_MAX:'EReflectedAndRefractedRayTracedShadows_MAX', };
+declare type ETranslucencyType = 'Raster' | 'RayTracing' | 'ETranslucencyType_MAX';
+declare var ETranslucencyType : { Raster:'Raster',RayTracing:'RayTracing',ETranslucencyType_MAX:'ETranslucencyType_MAX', };
 declare class WeightedBlendable { 
 	Weight: number;
 	UObject: UObject;
@@ -5432,6 +6034,7 @@ declare class PostProcessSettings {
 	bOverride_AutoExposureSpeedUp: boolean;
 	bOverride_AutoExposureSpeedDown: boolean;
 	bOverride_AutoExposureBias: boolean;
+	bOverride_AutoExposureBiasCurve: boolean;
 	bOverride_HistogramLogMin: boolean;
 	bOverride_HistogramLogMax: boolean;
 	bOverride_LensFlareIntensity: boolean;
@@ -5456,6 +6059,7 @@ declare class PostProcessSettings {
 	bOverride_AmbientOcclusionMipBlend: boolean;
 	bOverride_AmbientOcclusionMipScale: boolean;
 	bOverride_AmbientOcclusionMipThreshold: boolean;
+	bOverride_RayTracingAOSamplesPerPixel: boolean;
 	bOverride_LPVIntensity: boolean;
 	bOverride_LPVDirectionalOcclusionIntensity: boolean;
 	bOverride_LPVDirectionalOcclusionRadius: boolean;
@@ -5477,6 +6081,8 @@ declare class PostProcessSettings {
 	bOverride_ColorGradingLUT: boolean;
 	bOverride_DepthOfFieldFocalDistance: boolean;
 	bOverride_DepthOfFieldFstop: boolean;
+	bOverride_DepthOfFieldMinFstop: boolean;
+	bOverride_DepthOfFieldBladeCount: boolean;
 	bOverride_DepthOfFieldSensorWidth: boolean;
 	bOverride_DepthOfFieldDepthBlurRadius: boolean;
 	bOverride_DepthOfFieldDepthBlurAmount: boolean;
@@ -5503,6 +6109,26 @@ declare class PostProcessSettings {
 	bOverride_ScreenSpaceReflectionQuality: boolean;
 	bOverride_ScreenSpaceReflectionMaxRoughness: boolean;
 	bOverride_ScreenSpaceReflectionRoughnessScale: boolean;
+	bOverride_ReflectionsType: boolean;
+	bOverride_RayTracingReflectionsMaxRoughness: boolean;
+	bOverride_RayTracingReflectionsMaxBounces: boolean;
+	bOverride_RayTracingReflectionsSamplesPerPixel: boolean;
+	bOverride_RayTracingReflectionsShadows: boolean;
+	bOverride_TranslucencyType: boolean;
+	bOverride_RayTracingTranslucencyMaxRoughness: boolean;
+	bOverride_RayTracingTranslucencyRefractionRays: boolean;
+	bOverride_RayTracingTranslucencySamplesPerPixel: boolean;
+	bOverride_RayTracingTranslucencyShadows: boolean;
+	bOverride_RayTracingTranslucencyRefraction: boolean;
+	bOverride_RayTracingGI: boolean;
+	bOverride_RayTracingGIMaxBounces: boolean;
+	bOverride_RayTracingGISamplesPerPixel: boolean;
+	bOverride_PathTracingMaxBounces: boolean;
+	bOverride_PathTracingSamplesPerPixel: boolean;
+	bMobileHQGaussian: boolean;
+	BloomMethod: EBloomMethod;
+	AutoExposureMethod: EAutoExposureMethod;
+	DepthOfFieldMethod: EDepthOfFieldMethod;
 	WhiteTemp: number;
 	WhiteTint: number;
 	ColorSaturation: Vector4;
@@ -5515,7 +6141,6 @@ declare class PostProcessSettings {
 	ColorGammaShadows: Vector4;
 	ColorGainShadows: Vector4;
 	ColorOffsetShadows: Vector4;
-	ColorCorrectionShadowsMax: number;
 	ColorSaturationMidtones: Vector4;
 	ColorContrastMidtones: Vector4;
 	ColorGammaMidtones: Vector4;
@@ -5527,6 +6152,7 @@ declare class PostProcessSettings {
 	ColorGainHighlights: Vector4;
 	ColorOffsetHighlights: Vector4;
 	ColorCorrectionHighlightsMin: number;
+	ColorCorrectionShadowsMax: number;
 	BlueCorrection: number;
 	ExpandGamut: number;
 	FilmSlope: number;
@@ -5549,7 +6175,6 @@ declare class PostProcessSettings {
 	SceneColorTint: LinearColor;
 	SceneFringeIntensity: number;
 	ChromaticAberrationStartOffset: number;
-	BloomMethod: EBloomMethod;
 	BloomIntensity: number;
 	BloomThreshold: number;
 	BloomSizeScale: number;
@@ -5565,8 +6190,8 @@ declare class PostProcessSettings {
 	Bloom4Tint: LinearColor;
 	Bloom5Tint: LinearColor;
 	Bloom6Tint: LinearColor;
-	BloomConvolutionTexture: Texture2D;
 	BloomConvolutionSize: number;
+	BloomConvolutionTexture: Texture2D;
 	BloomConvolutionCenterUV: Vector2D;
 	BloomConvolutionPreFilter: Vector;
 	BloomConvolutionPreFilterMin: number;
@@ -5582,8 +6207,10 @@ declare class PostProcessSettings {
 	CameraShutterSpeed: number;
 	CameraISO: number;
 	DepthOfFieldFstop: number;
+	DepthOfFieldMinFstop: number;
+	DepthOfFieldBladeCount: number;
 	AutoExposureBias: number;
-	AutoExposureMethod: EAutoExposureMethod;
+	AutoExposureBiasCurve: CurveFloat;
 	AutoExposureLowPercent: number;
 	AutoExposureHighPercent: number;
 	AutoExposureMinBrightness: number;
@@ -5615,12 +6242,14 @@ declare class PostProcessSettings {
 	AmbientOcclusionMipBlend: number;
 	AmbientOcclusionMipScale: number;
 	AmbientOcclusionMipThreshold: number;
+	RayTracingAOSamplesPerPixel: number;
 	IndirectLightingColor: LinearColor;
 	IndirectLightingIntensity: number;
+	RayTracingGI: boolean;
+	RayTracingGIMaxBounces: number;
+	RayTracingGISamplesPerPixel: number;
 	ColorGradingIntensity: number;
 	ColorGradingLUT: Texture;
-	DepthOfFieldMethod: EDepthOfFieldMethod;
-	bMobileHQGaussian: boolean;
 	DepthOfFieldSensorWidth: number;
 	DepthOfFieldFocalDistance: number;
 	DepthOfFieldDepthBlurAmount: number;
@@ -5632,8 +6261,8 @@ declare class PostProcessSettings {
 	DepthOfFieldMaxBokehSize: number;
 	DepthOfFieldNearBlurSize: number;
 	DepthOfFieldFarBlurSize: number;
-	DepthOfFieldBokehShape: Texture;
 	DepthOfFieldOcclusion: number;
+	DepthOfFieldBokehShape: Texture;
 	DepthOfFieldColorThreshold: number;
 	DepthOfFieldSizeThreshold: number;
 	DepthOfFieldSkyFocusDistance: number;
@@ -5654,9 +6283,22 @@ declare class PostProcessSettings {
 	LPVSpecularOcclusionExponent: number;
 	LPVDiffuseOcclusionIntensity: number;
 	LPVSpecularOcclusionIntensity: number;
+	ReflectionsType: EReflectionsType;
 	ScreenSpaceReflectionIntensity: number;
 	ScreenSpaceReflectionQuality: number;
 	ScreenSpaceReflectionMaxRoughness: number;
+	RayTracingReflectionsMaxRoughness: number;
+	RayTracingReflectionsMaxBounces: number;
+	RayTracingReflectionsSamplesPerPixel: number;
+	RayTracingReflectionsShadows: EReflectedAndRefractedRayTracedShadows;
+	TranslucencyType: ETranslucencyType;
+	RayTracingTranslucencyMaxRoughness: number;
+	RayTracingTranslucencyRefractionRays: number;
+	RayTracingTranslucencySamplesPerPixel: number;
+	RayTracingTranslucencyShadows: EReflectedAndRefractedRayTracedShadows;
+	RayTracingTranslucencyRefraction: boolean;
+	PathTracingMaxBounces: number;
+	PathTracingSamplesPerPixel: number;
 	LPVFadeRange: number;
 	LPVDirectionalOcclusionFadeRange: number;
 	ScreenPercentage: number;
@@ -5670,6 +6312,7 @@ declare class MinimalViewInfo {
 	Location: Vector;
 	Rotation: Rotator;
 	FOV: number;
+	DesiredFOV: number;
 	OrthoWidth: number;
 	OrthoNearClipPlane: number;
 	OrthoFarClipPlane: number;
@@ -5724,6 +6367,8 @@ declare type EParticleSystemUpdateMode = 'EPSUM_RealTime' | 'EPSUM_FixedTime' |
 declare var EParticleSystemUpdateMode : { EPSUM_RealTime:'EPSUM_RealTime',EPSUM_FixedTime:'EPSUM_FixedTime',EPSUM_MAX:'EPSUM_MAX', };
 declare type EEmitterRenderMode = 'ERM_Normal' | 'ERM_Point' | 'ERM_Cross' | 'ERM_LightsOnly' | 'ERM_None' | 'ERM_MAX';
 declare var EEmitterRenderMode : { ERM_Normal:'ERM_Normal',ERM_Point:'ERM_Point',ERM_Cross:'ERM_Cross',ERM_LightsOnly:'ERM_LightsOnly',ERM_None:'ERM_None',ERM_MAX:'ERM_MAX', };
+declare type EParticleSignificanceLevel = 'Low' | 'Medium' | 'High' | 'Critical' | 'Num' | 'EParticleSignificanceLevel_MAX';
+declare var EParticleSignificanceLevel : { Low:'Low',Medium:'Medium',High:'High',Critical:'Critical',Num:'Num',EParticleSignificanceLevel_MAX:'EParticleSignificanceLevel_MAX', };
 declare class ParticleModule extends UObject { 
 	bSpawnModule: boolean;
 	bUpdateModule: boolean;
@@ -6028,26 +6673,26 @@ declare class ParticleLODLevel extends UObject {
 	static C(Other: UObject | any): ParticleLODLevel;
 }
 
-declare type EParticleSignificanceLevel = 'Low' | 'Medium' | 'High' | 'Critical' | 'Num' | 'EParticleSignificanceLevel_MAX';
-declare var EParticleSignificanceLevel : { Low:'Low',Medium:'Medium',High:'High',Critical:'Critical',Num:'Num',EParticleSignificanceLevel_MAX:'EParticleSignificanceLevel_MAX', };
 declare class ParticleEmitter extends UObject { 
 	EmitterName: string;
 	SubUVDataOffset: number;
 	EmitterRenderMode: EEmitterRenderMode;
-	EmitterEditorColor: Color;
-	LODLevels: ParticleLODLevel[];
+	SignificanceLevel: EParticleSignificanceLevel;
+	bUseLegacySpawningBehavior: boolean;
 	ConvertedModules: boolean;
-	PeakActiveParticles: number;
-	InitialAllocationCount: number;
-	MediumDetailSpawnRateScale: number;
-	QualityLevelSpawnRateScale: number;
-	DetailMode: EDetailMode;
-	bCollapsed: boolean;
 	bIsSoloing: boolean;
 	bCookedOut: boolean;
 	bDisabledLODsKeepEmitterAlive: boolean;
 	bDisableWhenInsignficant: boolean;
-	SignificanceLevel: EParticleSignificanceLevel;
+	bCollapsed: boolean;
+	DetailMode: EDetailMode;
+	EmitterEditorColor: Color;
+	LODLevels: ParticleLODLevel[];
+	PeakActiveParticles: number;
+	InitialAllocationCount: number;
+	QualityLevelSpawnRateScale: number;
+	DetailModeBitmask: any;
+	DetailModeDisplay: string;
 	static Load(ResourceName: string): ParticleEmitter;
 	static Find(Outer: UObject, ResourceName: string): ParticleEmitter;
 	static GetDefaultObject(): ParticleEmitter;
@@ -6114,6 +6759,8 @@ declare class NamedEmitterMaterial {
 	static C(Other: UObject | any): NamedEmitterMaterial;
 }
 
+declare type EPSCPoolMethod = 'None' | 'AutoRelease' | 'ManualRelease' | 'ManualRelease_OnComplete' | 'FreeInPool' | 'EPSCPoolMethod_MAX';
+declare var EPSCPoolMethod : { None:'None',AutoRelease:'AutoRelease',ManualRelease:'ManualRelease',ManualRelease_OnComplete:'ManualRelease_OnComplete',FreeInPool:'FreeInPool',EPSCPoolMethod_MAX:'EPSCPoolMethod_MAX', };
 declare class ParticleSystem extends UObject { 
 	SystemUpdateMode: EParticleSystemUpdateMode;
 	UpdateTime_FPS: number;
@@ -6150,11 +6797,13 @@ declare class ParticleSystem extends UObject {
 	Delay: number;
 	DelayLow: number;
 	bUseDelayRange: boolean;
+	bAllowManagedTicking: boolean;
 	bAutoDeactivate: boolean;
 	MinTimeBetweenTicks: any;
 	InsignificantReaction: EParticleSystemInsignificanceReaction;
 	InsignificanceDelay: number;
 	MaxSignificanceLevel: EParticleSignificanceLevel;
+	MaxPoolSize: any;
 	MacroUVPosition: Vector;
 	MacroUVRadius: number;
 	OcclusionBoundsMethod: EParticleSystemOcclusionBoundsMethod;
@@ -6167,8 +6816,8 @@ declare class ParticleSystem extends UObject {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystem;
 	ContainsEmitterType(TypeData: UnrealEngineClass): boolean;
 	static C(Other: UObject | any): ParticleSystem;
-	SpawnEmitterAttached(AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean): ParticleSystemComponent;
-	static SpawnEmitterAttached(EmitterTemplate: ParticleSystem,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean): ParticleSystemComponent;
+	SpawnEmitterAttached(AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
+	static SpawnEmitterAttached(EmitterTemplate: ParticleSystem,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
 }
 
 declare type EParticleSysParamType = 'PSPT_None' | 'PSPT_Scalar' | 'PSPT_ScalarRand' | 'PSPT_Vector' | 'PSPT_VectorRand' | 'PSPT_Color' | 'PSPT_Actor' | 'PSPT_Material' | 'PSPT_MAX';
@@ -6256,6 +6905,7 @@ declare class ParticleSystemComponent extends PrimitiveComponent {
 	SetAutoAttachParams(Parent: SceneComponent,SocketName: string,LocationType: EAttachLocation): void;
 	SetAutoAttachmentParameters(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule): void;
 	SetActorParameter(ParameterName: string,Param: Actor): void;
+	ReleaseToPool(): void;
 	GetNumActiveParticles(): number;
 	GetNamedMaterial(InName: string): MaterialInterface;
 	GetBeamTargetTangent(EmitterIndex: number,TargetIndex: number,OutTangentPoint?: Vector): {OutTangentPoint: Vector, $: boolean};
@@ -6317,10 +6967,13 @@ declare class EmitterCameraLensEffectBase extends Emitter {
 
 declare type EInitialOscillatorOffset = 'EOO_OffsetRandom' | 'EOO_OffsetZero' | 'EOO_MAX';
 declare var EInitialOscillatorOffset : { EOO_OffsetRandom:'EOO_OffsetRandom',EOO_OffsetZero:'EOO_OffsetZero',EOO_MAX:'EOO_MAX', };
+declare type EOscillatorWaveform = 'SineWave' | 'PerlinNoise' | 'EOscillatorWaveform_MAX';
+declare var EOscillatorWaveform : { SineWave:'SineWave',PerlinNoise:'PerlinNoise',EOscillatorWaveform_MAX:'EOscillatorWaveform_MAX', };
 declare class FOscillator { 
 	Amplitude: number;
 	Frequency: number;
 	InitialOffset: EInitialOscillatorOffset;
+	Waveform: EOscillatorWaveform;
 	clone() : FOscillator;
 	static C(Other: UObject | any): FOscillator;
 }
@@ -6545,6 +7198,7 @@ declare class CameraShake extends UObject {
 
 declare class CameraModifier_CameraShake extends CameraModifier { 
 	ActiveShakes: CameraShake[];
+	ExpiredPooledShakesMap: any;
 	SplitScreenShakeScale: number;
 	static Load(ResourceName: string): CameraModifier_CameraShake;
 	static Find(Outer: UObject, ResourceName: string): CameraModifier_CameraShake;
@@ -6578,21 +7232,25 @@ declare class MeshBuildSettings {
 
 declare type EMeshFeatureImportance = 'Off' | 'Lowest' | 'Low' | 'Normal' | 'High' | 'Highest' | 'EMeshFeatureImportance_MAX';
 declare var EMeshFeatureImportance : { Off:'Off',Lowest:'Lowest',Low:'Low',Normal:'Normal',High:'High',Highest:'Highest',EMeshFeatureImportance_MAX:'EMeshFeatureImportance_MAX', };
+declare type EStaticMeshReductionTerimationCriterion = 'Triangles' | 'Vertices' | 'Any' | 'EStaticMeshReductionTerimationCriterion_MAX';
+declare var EStaticMeshReductionTerimationCriterion : { Triangles:'Triangles',Vertices:'Vertices',Any:'Any',EStaticMeshReductionTerimationCriterion_MAX:'EStaticMeshReductionTerimationCriterion_MAX', };
 declare class MeshReductionSettings { 
 	PercentTriangles: number;
+	PercentVertices: number;
 	MaxDeviation: number;
 	PixelError: number;
 	WeldingThreshold: number;
 	HardAngleThreshold: number;
+	BaseLODModel: number;
 	SilhouetteImportance: EMeshFeatureImportance;
 	TextureImportance: EMeshFeatureImportance;
 	ShadingImportance: EMeshFeatureImportance;
 	bRecalculateNormals: boolean;
-	BaseLODModel: number;
 	bGenerateUniqueLightmapUVs: boolean;
 	bKeepSymmetry: boolean;
 	bVisibilityAided: boolean;
 	bCullOccluded: boolean;
+	TerminationCriterion: EStaticMeshReductionTerimationCriterion;
 	VisibilityAggressiveness: EMeshFeatureImportance;
 	VertexColorImportance: EMeshFeatureImportance;
 	clone() : MeshReductionSettings;
@@ -6603,7 +7261,9 @@ declare class StaticMeshSourceModel {
 	BuildSettings: MeshBuildSettings;
 	ReductionSettings: MeshReductionSettings;
 	LODDistance: number;
-	ScreenSize: number;
+	ScreenSize: PerPlatformFloat;
+	SourceImportFilename: string;
+	bImportWithBaseMesh: boolean;
 	clone() : StaticMeshSourceModel;
 	static C(Other: UObject | any): StaticMeshSourceModel;
 }
@@ -6654,32 +7314,13 @@ declare class StaticMeshSocket extends UObject {
 	static C(Other: UObject | any): StaticMeshSocket;
 }
 
-declare class NavCollisionCylinder { 
-	Offset: Vector;
-	Radius: number;
-	Height: number;
-	clone() : NavCollisionCylinder;
-	static C(Other: UObject | any): NavCollisionCylinder;
-}
-
-declare class NavCollisionBox { 
-	Offset: Vector;
-	Extent: Vector;
-	clone() : NavCollisionBox;
-	static C(Other: UObject | any): NavCollisionBox;
-}
-
-declare class NavCollision extends UObject { 
-	CylinderCollision: NavCollisionCylinder[];
-	BoxCollision: NavCollisionBox[];
-	AreaClass: UnrealEngineClass;
+declare class NavCollisionBase extends UObject { 
 	bIsDynamicObstacle: boolean;
-	bGatherConvexGeometry: boolean;
-	static Load(ResourceName: string): NavCollision;
-	static Find(Outer: UObject, ResourceName: string): NavCollision;
-	static GetDefaultObject(): NavCollision;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavCollision;
-	static C(Other: UObject | any): NavCollision;
+	static Load(ResourceName: string): NavCollisionBase;
+	static Find(Outer: UObject, ResourceName: string): NavCollisionBase;
+	static GetDefaultObject(): NavCollisionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavCollisionBase;
+	static C(Other: UObject | any): NavCollisionBase;
 }
 
 declare class MeshSectionInfo { 
@@ -6727,24 +7368,24 @@ declare class StaticMesh extends UObject {
 	SectionInfoMap: MeshSectionInfoMap;
 	OriginalSectionInfoMap: MeshSectionInfoMap;
 	LODGroup: string;
-	bAutoComputeLODScreenSize: boolean;
 	ImportVersion: number;
 	MaterialRemapIndexPerImportVersion: MaterialRemapIndex[];
 	LightmapUVVersion: number;
-	MinLOD: number;
+	bAutoComputeLODScreenSize: boolean;
 	Materials: MaterialInterface[];
+	MinLOD: PerPlatformInt;
+	LpvBiasMultiplier: number;
 	StaticMaterials: StaticMaterial[];
 	LightmapUVDensity: number;
 	LightMapResolution: number;
 	LightMapCoordinateIndex: number;
 	DistanceFieldSelfShadowBias: number;
-	bGenerateMeshDistanceField: boolean;
 	BodySetup: BodySetup;
 	LODForCollision: number;
+	bGenerateMeshDistanceField: boolean;
 	bStripComplexCollisionForConsole: boolean;
 	bHasNavigationData: boolean;
 	bSupportUniformlyDistributedSampling: boolean;
-	LpvBiasMultiplier: number;
 	bAllowCPUAccess: boolean;
 	AssetImportData: AssetImportData;
 	SourceFilePath: string;
@@ -6752,23 +7393,27 @@ declare class StaticMesh extends UObject {
 	ThumbnailInfo: ThumbnailInfo;
 	EditorCameraPosition: AssetEditorOrbitCameraPosition;
 	bCustomizedCollision: boolean;
+	LODForOccluderMesh: number;
 	Sockets: StaticMeshSocket[];
 	PositiveBoundsExtension: Vector;
 	NegativeBoundsExtension: Vector;
 	ExtendedBounds: BoxSphereBounds;
 	ElementToIgnoreForTexFactor: number;
 	AssetUserData: AssetUserData[];
-	NavCollision: NavCollision;
+	EditableMesh: UObject;
+	NavCollision: NavCollisionBase;
 	static Load(ResourceName: string): StaticMesh;
 	static Find(Outer: UObject, ResourceName: string): StaticMesh;
 	static GetDefaultObject(): StaticMesh;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMesh;
+	SetMaterial(MaterialIndex: number,NewMaterial: MaterialInterface): void;
 	GetNumSections(InLOD: number): number;
 	GetNumLODs(): number;
 	GetMaterialIndex(MaterialSlotName: string): number;
 	GetMaterial(MaterialIndex: number): MaterialInterface;
 	GetBounds(): BoxSphereBounds;
 	GetBoundingBox(): Box;
+	FindSocket(InSocketName: string): StaticMeshSocket;
 	static C(Other: UObject | any): StaticMesh;
 	Build(): void;
 	GetSectionInfo(LODIndex: number,SectionIndex: number): MeshSectionInfo;
@@ -6795,9 +7440,9 @@ declare class CameraComponent extends SceneComponent {
 	bLockToHmd: boolean;
 	bUsePawnControlRotation: boolean;
 	ProjectionMode: ECameraProjectionMode;
+	CameraMesh: StaticMesh;
 	PostProcessBlendWeight: number;
 	PostProcessSettings: PostProcessSettings;
-	CameraMesh: StaticMesh;
 	bUseControllerViewRotation: boolean;
 	static Load(ResourceName: string): CameraComponent;
 	static Find(Outer: UObject, ResourceName: string): CameraComponent;
@@ -6812,6 +7457,7 @@ declare class CameraComponent extends SceneComponent {
 	SetFieldOfView(InFieldOfView: number): void;
 	SetConstraintAspectRatio(bInConstrainAspectRatio: boolean): void;
 	SetAspectRatio(InAspectRatio: number): void;
+	GetFilmbackText(): string;
 	GetCameraView(DeltaTime: number,DesiredView?: MinimalViewInfo): {DesiredView: MinimalViewInfo};
 	static C(Other: UObject | any): CameraComponent;
 }
@@ -6843,6 +7489,8 @@ declare class PlayerCameraManager extends Actor {
 	LastFrameCameraCache: CameraCacheEntry;
 	ViewTarget: TViewTarget;
 	PendingViewTarget: TViewTarget;
+	CameraCachePrivate: CameraCacheEntry;
+	LastFrameCameraCachePrivate: CameraCacheEntry;
 	ModifierList: CameraModifier[];
 	DefaultModifiers: UnrealEngineClass[];
 	FreeCamDistance: number;
@@ -6857,6 +7505,7 @@ declare class PlayerCameraManager extends Actor {
 	AnimCameraActor: CameraActor;
 	bIsOrthographic: boolean;
 	bDefaultConstrainAspectRatio: boolean;
+	bClientSimulatingViewTarget: boolean;
 	bUseClientSideCameraUpdates: boolean;
 	bGameCameraCutThisFrame: boolean;
 	ViewPitchMin: number;
@@ -6865,6 +7514,7 @@ declare class PlayerCameraManager extends Actor {
 	ViewYawMax: number;
 	ViewRollMin: number;
 	ViewRollMax: number;
+	ServerUpdateCameraTimeout: number;
 	static GetDefaultObject(): PlayerCameraManager;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerCameraManager;
 	StopCameraShake(ShakeInstance: CameraShake,bImmediately: boolean): void;
@@ -6915,6 +7565,10 @@ declare class DebugCameraController extends PlayerController {
 	bShowSelectedInfo: boolean;
 	bIsFrozenRendering: boolean;
 	DrawFrustum: DrawFrustumComponent;
+	SelectedActor: Actor;
+	SelectedComponent: PrimitiveComponent;
+	OriginalControllerRef: PlayerController;
+	OriginalPlayer: Player;
 	SpeedScale: number;
 	InitialMaxSpeed: number;
 	InitialAccel: number;
@@ -6943,6 +7597,7 @@ declare class CheatManager extends UObject {
 	ViewPlayer(S: string): void;
 	ViewClass(DesiredClass: UnrealEngineClass): void;
 	ViewActor(ActorName: string): void;
+	UpdateSafeArea(): void;
 	ToggleServerStatReplicatorUpdateStatNet(): void;
 	ToggleServerStatReplicatorClientOverwrite(): void;
 	ToggleDebugCamera(): void;
@@ -6955,12 +7610,10 @@ declare class CheatManager extends UObject {
 	SpawnServerStatReplicator(): void;
 	Slomo(NewTimeDilation: number): void;
 	SetWorldOrigin(): void;
-	SetNavDrawDistance(DrawDistance: number): void;
 	SetMouseSensitivityToDefault(): void;
 	ServerToggleAILogging(): void;
 	ReceiveInitCheatManager(): void;
 	ReceiveEndPlay(): void;
-	RebuildNavigation(): void;
 	PlayersOnly(): void;
 	OnlyLoadLevel(PackageName: string): void;
 	LogLoc(): void;
@@ -7051,12 +7704,12 @@ declare type EAttenuationShape = 'Sphere' | 'Capsule' | 'Box' | 'Cone' | 'EAtten
 declare var EAttenuationShape : { Sphere:'Sphere',Capsule:'Capsule',Box:'Box',Cone:'Cone',EAttenuationShape_MAX:'EAttenuationShape_MAX', };
 declare class BaseAttenuationSettings { 
 	DistanceAlgorithm: EAttenuationDistanceModel;
-	CustomAttenuationCurve: RuntimeFloatCurve;
 	AttenuationShape: EAttenuationShape;
 	dBAttenuationAtMax: number;
 	AttenuationShapeExtents: Vector;
 	ConeOffset: number;
 	FalloffDistance: number;
+	CustomAttenuationCurve: RuntimeFloatCurve;
 	clone() : BaseAttenuationSettings;
 	static C(Other: UObject | any): BaseAttenuationSettings;
 }
@@ -7134,8 +7787,40 @@ declare class Property extends Field {
 	static C(Other: UObject | any): Property;
 }
 
+declare class ChannelDefinition { 
+	ChannelName: string;
+	ClassName: string;
+	ChannelClass: UnrealEngineClass;
+	StaticChannelIndex: number;
+	bTickOnCreate: boolean;
+	bServerOpen: boolean;
+	bClientOpen: boolean;
+	bInitialServer: boolean;
+	bInitialClient: boolean;
+	clone() : ChannelDefinition;
+	static C(Other: UObject | any): ChannelDefinition;
+}
+
+declare class Channel extends UObject { 
+	Connection: NetConnection;
+	static Load(ResourceName: string): Channel;
+	static Find(Outer: UObject, ResourceName: string): Channel;
+	static GetDefaultObject(): Channel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Channel;
+	static C(Other: UObject | any): Channel;
+}
+
+declare class ReplicationDriver extends UObject { 
+	static Load(ResourceName: string): ReplicationDriver;
+	static Find(Outer: UObject, ResourceName: string): ReplicationDriver;
+	static GetDefaultObject(): ReplicationDriver;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplicationDriver;
+	static C(Other: UObject | any): ReplicationDriver;
+}
+
 declare class NetDriver extends UObject { 
 	NetConnectionClassName: string;
+	ReplicationDriverClassName: string;
 	MaxDownloadSize: number;
 	bClampListenServerTickRate: boolean;
 	NetServerMaxTickRate: number;
@@ -7151,13 +7836,19 @@ declare class NetDriver extends UObject {
 	bNoTimeouts: boolean;
 	ServerConnection: NetConnection;
 	ClientConnections: NetConnection[];
+	RecentlyDisconnectedTrackingTime: number;
 	World: World;
 	WorldPackage: Package;
 	NetConnectionClass: UnrealEngineClass;
+	ReplicationDriverClass: UnrealEngineClass;
 	RoleProperty: Property;
 	RemoteRoleProperty: Property;
 	NetDriverName: string;
+	ChannelDefinitions: ChannelDefinition[];
+	ChannelDefinitionMap: any;
+	ActorChannelPool: Channel[];
 	Time: number;
+	ReplicationDriver: ReplicationDriver;
 	static Load(ResourceName: string): NetDriver;
 	static Find(Outer: UObject, ResourceName: string): NetDriver;
 	static GetDefaultObject(): NetDriver;
@@ -7173,15 +7864,6 @@ declare class PackageMap extends UObject {
 	static C(Other: UObject | any): PackageMap;
 }
 
-declare class Channel extends UObject { 
-	Connection: NetConnection;
-	static Load(ResourceName: string): Channel;
-	static Find(Outer: UObject, ResourceName: string): Channel;
-	static GetDefaultObject(): Channel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Channel;
-	static C(Other: UObject | any): Channel;
-}
-
 declare class NetConnection extends Player { 
 	Children: ChildConnection[];
 	Driver: NetDriver;
@@ -7205,9 +7887,16 @@ declare class NetConnection extends Player {
 
 declare type EMouseCursor = 'None' | 'Default' | 'TextEditBeam' | 'ResizeLeftRight' | 'ResizeUpDown' | 'ResizeSouthEast' | 'ResizeSouthWest' | 'CardinalCross' | 'Crosshairs' | 'Hand' | 'GrabHand' | 'GrabHandClosed' | 'SlashedCircle' | 'EyeDropper' | 'EMouseCursor_MAX';
 declare var EMouseCursor : { None:'None',Default:'Default',TextEditBeam:'TextEditBeam',ResizeLeftRight:'ResizeLeftRight',ResizeUpDown:'ResizeUpDown',ResizeSouthEast:'ResizeSouthEast',ResizeSouthWest:'ResizeSouthWest',CardinalCross:'CardinalCross',Crosshairs:'Crosshairs',Hand:'Hand',GrabHand:'GrabHand',GrabHandClosed:'GrabHandClosed',SlashedCircle:'SlashedCircle',EyeDropper:'EyeDropper',EMouseCursor_MAX:'EMouseCursor_MAX', };
+declare class CachedKeyToActionInfo { 
+	PlayerInput: PlayerInput;
+	clone() : CachedKeyToActionInfo;
+	static C(Other: UObject | any): CachedKeyToActionInfo;
+}
+
 declare type EControllerAnalogStick = 'CAS_LeftStick' | 'CAS_RightStick' | 'CAS_MAX';
 declare var EControllerAnalogStick : { CAS_LeftStick:'CAS_LeftStick',CAS_RightStick:'CAS_RightStick',CAS_MAX:'CAS_MAX', };
 declare class InputComponent extends ActorComponent { 
+	CachedKeyToActionInfo: CachedKeyToActionInfo[];
 	static Load(ResourceName: string): InputComponent;
 	static Find(Outer: UObject, ResourceName: string): InputComponent;
 	static GetDefaultObject(): InputComponent;
@@ -7267,18 +7956,9 @@ declare class SphereComponent extends ShapeComponent {
 	static C(Other: UObject | any): SphereComponent;
 }
 
-declare class PackedNormal { 
-	X: number;
-	Y: number;
-	Z: number;
-	W: number;
-	clone() : PackedNormal;
-	static C(Other: UObject | any): PackedNormal;
-}
-
 declare class PaintedVertex { 
 	Position: Vector;
-	Normal: PackedNormal;
+	Normal: Vector4;
 	Color: Color;
 	clone() : PaintedVertex;
 	static C(Other: UObject | any): PaintedVertex;
@@ -7318,6 +7998,9 @@ declare class ProcMeshVertex {
 	Tangent: ProcMeshTangent;
 	Color: Color;
 	UV0: Vector2D;
+	UV1: Vector2D;
+	UV2: Vector2D;
+	UV3: Vector2D;
 	clone() : ProcMeshVertex;
 	static C(Other: UObject | any): ProcMeshVertex;
 }
@@ -7346,12 +8029,12 @@ declare class ProceduralMeshComponent extends MeshComponent {
 	static Find(Outer: UObject, ResourceName: string): ProceduralMeshComponent;
 	static GetDefaultObject(): ProceduralMeshComponent;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralMeshComponent;
-	UpdateMeshSection_LinearColor(SectionIndex: number,Vertices: Vector[],Normals: Vector[],UV0: Vector2D[],VertexColors: LinearColor[],Tangents: ProcMeshTangent[]): void;
+	UpdateMeshSection_LinearColor(SectionIndex: number,Vertices: Vector[],Normals: Vector[],UV0: Vector2D[],UV1: Vector2D[],UV2: Vector2D[],UV3: Vector2D[],VertexColors: LinearColor[],Tangents: ProcMeshTangent[]): void;
 	UpdateMeshSection(SectionIndex: number,Vertices: Vector[],Normals: Vector[],UV0: Vector2D[],VertexColors: Color[],Tangents: ProcMeshTangent[]): void;
 	SetMeshSectionVisible(SectionIndex: number,bNewVisibility: boolean): void;
 	IsMeshSectionVisible(SectionIndex: number): boolean;
 	GetNumSections(): number;
-	CreateMeshSection_LinearColor(SectionIndex: number,Vertices: Vector[],Triangles: number[],Normals: Vector[],UV0: Vector2D[],VertexColors: LinearColor[],Tangents: ProcMeshTangent[],bCreateCollision: boolean): void;
+	CreateMeshSection_LinearColor(SectionIndex: number,Vertices: Vector[],Triangles: number[],Normals: Vector[],UV0: Vector2D[],UV1: Vector2D[],UV2: Vector2D[],UV3: Vector2D[],VertexColors: LinearColor[],Tangents: ProcMeshTangent[],bCreateCollision: boolean): void;
 	CreateMeshSection(SectionIndex: number,Vertices: Vector[],Triangles: number[],Normals: Vector[],UV0: Vector2D[],VertexColors: Color[],Tangents: ProcMeshTangent[],bCreateCollision: boolean): void;
 	ClearMeshSection(SectionIndex: number): void;
 	ClearCollisionConvexMeshes(): void;
@@ -7391,6 +8074,7 @@ declare class StaticMeshComponent extends MeshComponent {
 	bUseDefaultCollision: boolean;
 	bCustomOverrideVertexColorPerLOD: boolean;
 	bDisplayVertexColors: boolean;
+	bReverseCulling: boolean;
 	OverriddenLightMapRes: number;
 	DistanceFieldIndirectShadowMinVisibility: number;
 	DistanceFieldSelfShadowBias: number;
@@ -7406,6 +8090,7 @@ declare class StaticMeshComponent extends MeshComponent {
 	static GetDefaultObject(): StaticMeshComponent;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshComponent;
 	SetStaticMesh(NewMesh: StaticMesh): boolean;
+	SetReverseCulling(ReverseCulling: boolean): void;
 	SetForcedLodModel(NewForcedLodModel: number): void;
 	SetDistanceFieldSelfShadowBias(NewValue: number): void;
 	OnRep_StaticMesh(OldStaticMesh: StaticMesh): void;
@@ -7469,6 +8154,7 @@ declare class PanelWidget extends Widget {
 	GetChildrenCount(): number;
 	GetChildIndex(Content: Widget): number;
 	GetChildAt(index: number): Widget;
+	GetAllChildren(): Widget[];
 	ClearChildren(): void;
 	AddChild(Content: Widget): PanelSlot;
 	static C(Other: UObject | any): PanelWidget;
@@ -7524,6 +8210,8 @@ declare class WidgetNavigation extends UObject {
 	static C(Other: UObject | any): WidgetNavigation;
 }
 
+declare type EFlowDirectionPreference = 'Inherit' | 'Culture' | 'LeftToRight' | 'RightToLeft' | 'EFlowDirectionPreference_MAX';
+declare var EFlowDirectionPreference : { Inherit:'Inherit',Culture:'Culture',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',EFlowDirectionPreference_MAX:'EFlowDirectionPreference_MAX', };
 declare class PropertyPathSegment { 
 	Name: string;
 	ArrayIndex: number;
@@ -7533,8 +8221,24 @@ declare class PropertyPathSegment {
 	static C(Other: UObject | any): PropertyPathSegment;
 }
 
-declare class DynamicPropertyPath { 
+declare class UFunction extends Struct { 
+	static Load(ResourceName: string): UFunction;
+	static Find(Outer: UObject, ResourceName: string): UFunction;
+	static GetDefaultObject(): UFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UFunction;
+	static C(Other: UObject | any): UFunction;
+	GetFunctionParmsSize(): number;
+	static GetFunctionParmsSize(UFunction: UFunction): number;
+}
+
+declare class CachedPropertyPath { 
 	Segments: PropertyPathSegment[];
+	CachedFunction: UFunction;
+	clone() : CachedPropertyPath;
+	static C(Other: UObject | any): CachedPropertyPath;
+}
+
+declare class DynamicPropertyPath extends CachedPropertyPath { 
 	clone() : DynamicPropertyPath;
 	static C(Other: UObject | any): DynamicPropertyPath;
 }
@@ -7552,45 +8256,141 @@ declare class PropertyBinding extends UObject {
 
 declare type EWidgetDesignFlags = 'None' | 'Designing' | 'ShowOutline' | 'ExecutePreConstruct' | 'EWidgetDesignFlags_MAX';
 declare var EWidgetDesignFlags : { None:'None',Designing:'Designing',ShowOutline:'ShowOutline',ExecutePreConstruct:'ExecutePreConstruct',EWidgetDesignFlags_MAX:'EWidgetDesignFlags_MAX', };
-declare class Geometry { 
-	clone() : Geometry;
-	static C(Other: UObject | any): Geometry;
-	CenterOf(): Vector2D;
-	FindClosestPointOnGeom(TestPoint: Vector2D): Vector2D;
-	AbsoluteToLocal(AbsoluteCoordinate: Vector2D): Vector2D;
-	GetAbsoluteSize(): Vector2D;
-	GetLocalSize(): Vector2D;
-	IsUnderLocation(AbsoluteCoordinate: Vector2D): boolean;
-	LocalToAbsolute(LocalCoordinate: Vector2D): Vector2D;
-	static CenterOf(Geom: Geometry): Vector2D;
-	static FindClosestPointOnGeom(Geom: Geometry,TestPoint: Vector2D): Vector2D;
-	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
-	static GetAbsoluteSize(Geometry: Geometry): Vector2D;
-	static GetLocalSize(Geometry: Geometry): Vector2D;
-	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
-	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
-}
-
-declare class JavascriptSlateWidget { 
-	clone() : JavascriptSlateWidget;
-	static C(Other: UObject | any): JavascriptSlateWidget;
-	EditorAddModalWindow(): void;
-	AddWindow(bShowImmediately: boolean): void;
-	AddWindowAsNativeChild(RootWindow: JavascriptSlateWidget): void;
-	static EditorAddModalWindow(Widget: JavascriptSlateWidget): void;
-	static AddWindow(NewWindow: JavascriptSlateWidget,bShowImmediately: boolean): void;
-	static AddWindowAsNativeChild(NewWindow: JavascriptSlateWidget,RootWindow: JavascriptSlateWidget): void;
-	static CreateLogListingWidget(InLogName: string): JavascriptSlateWidget;
-	static GetRootWindow(): JavascriptSlateWidget;
+declare class ScriptViewportClient extends UObject { 
+	static Load(ResourceName: string): ScriptViewportClient;
+	static Find(Outer: UObject, ResourceName: string): ScriptViewportClient;
+	static GetDefaultObject(): ScriptViewportClient;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptViewportClient;
+	static C(Other: UObject | any): ScriptViewportClient;
 }
 
-declare type EHorizontalAlignment = 'HAlign_Fill' | 'HAlign_Left' | 'HAlign_Center' | 'HAlign_Right' | 'HAlign_MAX';
-declare var EHorizontalAlignment : { HAlign_Fill:'HAlign_Fill',HAlign_Left:'HAlign_Left',HAlign_Center:'HAlign_Center',HAlign_Right:'HAlign_Right',HAlign_MAX:'HAlign_MAX', };
-declare type EVerticalAlignment = 'VAlign_Fill' | 'VAlign_Top' | 'VAlign_Center' | 'VAlign_Bottom' | 'VAlign_MAX';
-declare var EVerticalAlignment : { VAlign_Fill:'VAlign_Fill',VAlign_Top:'VAlign_Top',VAlign_Center:'VAlign_Center',VAlign_Bottom:'VAlign_Bottom',VAlign_MAX:'VAlign_MAX', };
-declare class BorderSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
+declare class Console extends UObject { 
+	ConsoleTargetPlayer: LocalPlayer;
+	DefaultTexture_Black: Texture2D;
+	DefaultTexture_White: Texture2D;
+	HistoryBuffer: string[];
+	static Load(ResourceName: string): Console;
+	static Find(Outer: UObject, ResourceName: string): Console;
+	static GetDefaultObject(): Console;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Console;
+	static C(Other: UObject | any): Console;
+}
+
+declare class DebugDisplayProperty { 
+	Obj: UObject;
+	WithinClass: UnrealEngineClass;
+	clone() : DebugDisplayProperty;
+	static C(Other: UObject | any): DebugDisplayProperty;
+}
+
+declare class OnlineSession extends UObject { 
+	static Load(ResourceName: string): OnlineSession;
+	static Find(Outer: UObject, ResourceName: string): OnlineSession;
+	static GetDefaultObject(): OnlineSession;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineSession;
+	static C(Other: UObject | any): OnlineSession;
+}
+
+declare type ETravelFailure = 'NoLevel' | 'LoadMapFailure' | 'InvalidURL' | 'PackageMissing' | 'PackageVersion' | 'NoDownload' | 'TravelFailure' | 'CheatCommands' | 'PendingNetGameCreateFailure' | 'CloudSaveFailure' | 'ServerTravelFailure' | 'ClientTravelFailure' | 'ETravelFailure_MAX';
+declare var ETravelFailure : { NoLevel:'NoLevel',LoadMapFailure:'LoadMapFailure',InvalidURL:'InvalidURL',PackageMissing:'PackageMissing',PackageVersion:'PackageVersion',NoDownload:'NoDownload',TravelFailure:'TravelFailure',CheatCommands:'CheatCommands',PendingNetGameCreateFailure:'PendingNetGameCreateFailure',CloudSaveFailure:'CloudSaveFailure',ServerTravelFailure:'ServerTravelFailure',ClientTravelFailure:'ClientTravelFailure',ETravelFailure_MAX:'ETravelFailure_MAX', };
+declare type ENetworkFailure = 'NetDriverAlreadyExists' | 'NetDriverCreateFailure' | 'NetDriverListenFailure' | 'ConnectionLost' | 'ConnectionTimeout' | 'FailureReceived' | 'OutdatedClient' | 'OutdatedServer' | 'PendingConnectionFailure' | 'NetGuidMismatch' | 'NetChecksumMismatch' | 'ENetworkFailure_MAX';
+declare var ENetworkFailure : { NetDriverAlreadyExists:'NetDriverAlreadyExists',NetDriverCreateFailure:'NetDriverCreateFailure',NetDriverListenFailure:'NetDriverListenFailure',ConnectionLost:'ConnectionLost',ConnectionTimeout:'ConnectionTimeout',FailureReceived:'FailureReceived',OutdatedClient:'OutdatedClient',OutdatedServer:'OutdatedServer',PendingConnectionFailure:'PendingConnectionFailure',NetGuidMismatch:'NetGuidMismatch',NetChecksumMismatch:'NetChecksumMismatch',ENetworkFailure_MAX:'ENetworkFailure_MAX', };
+declare class GameInstance extends UObject { 
+	LocalPlayers: LocalPlayer[];
+	OnlineSession: OnlineSession;
+	ReferencedObjects: UObject[];
+	static Load(ResourceName: string): GameInstance;
+	static Find(Outer: UObject, ResourceName: string): GameInstance;
+	static GetDefaultObject(): GameInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameInstance;
+	ReceiveShutdown(): void;
+	ReceiveInit(): void;
+	HandleTravelError(FailureType: ETravelFailure): void;
+	HandleNetworkError(FailureType: ENetworkFailure,bIsServer: boolean): void;
+	DebugRemovePlayer(ControllerId: number): void;
+	DebugCreatePlayer(ControllerId: number): void;
+	static C(Other: UObject | any): GameInstance;
+}
+
+declare class GameViewportClient extends ScriptViewportClient { 
+	ViewportConsole: Console;
+	DebugProperties: DebugDisplayProperty[];
+	World: World;
+	GameInstance: GameInstance;
+	static Load(ResourceName: string): GameViewportClient;
+	static Find(Outer: UObject, ResourceName: string): GameViewportClient;
+	static GetDefaultObject(): GameViewportClient;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameViewportClient;
+	SSSwapControllers(): void;
+	ShowTitleSafeArea(): void;
+	SetConsoleTarget(PlayerIndex: number): void;
+	static C(Other: UObject | any): GameViewportClient;
+}
+
+declare type EAspectRatioAxisConstraint = 'AspectRatio_MaintainYFOV' | 'AspectRatio_MaintainXFOV' | 'AspectRatio_MajorAxisFOV' | 'AspectRatio_MAX';
+declare var EAspectRatioAxisConstraint : { AspectRatio_MaintainYFOV:'AspectRatio_MaintainYFOV',AspectRatio_MaintainXFOV:'AspectRatio_MaintainXFOV',AspectRatio_MajorAxisFOV:'AspectRatio_MajorAxisFOV',AspectRatio_MAX:'AspectRatio_MAX', };
+declare class LocalPlayer extends Player { 
+	ViewportClient: GameViewportClient;
+	AspectRatioAxisConstraint: EAspectRatioAxisConstraint;
+	PendingLevelPlayerControllerClass: UnrealEngineClass;
+	bSentSplitJoin: boolean;
+	ControllerId: number;
+	static Load(ResourceName: string): LocalPlayer;
+	static Find(Outer: UObject, ResourceName: string): LocalPlayer;
+	static GetDefaultObject(): LocalPlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalPlayer;
+	static C(Other: UObject | any): LocalPlayer;
+}
+
+declare class Geometry { 
+	clone() : Geometry;
+	static C(Other: UObject | any): Geometry;
+	CenterOf(): Vector2D;
+	FindClosestPointOnGeom(TestPoint: Vector2D): Vector2D;
+	AbsoluteToLocal(AbsoluteCoordinate: Vector2D): Vector2D;
+	GetAbsoluteSize(): Vector2D;
+	GetLocalSize(): Vector2D;
+	IsUnderLocation(AbsoluteCoordinate: Vector2D): boolean;
+	LocalToAbsolute(LocalCoordinate: Vector2D): Vector2D;
+	TransformScalarAbsoluteToLocal(AbsoluteScalar: number): number;
+	TransformScalarLocalToAbsolute(LocalScalar: number): number;
+	TransformVectorAbsoluteToLocal(AbsoluteVector: Vector2D): Vector2D;
+	TransformVectorLocalToAbsolute(LocalVector: Vector2D): Vector2D;
+	static CenterOf(Geom: Geometry): Vector2D;
+	static FindClosestPointOnGeom(Geom: Geometry,TestPoint: Vector2D): Vector2D;
+	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
+	static GetAbsoluteSize(Geometry: Geometry): Vector2D;
+	static GetLocalSize(Geometry: Geometry): Vector2D;
+	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
+	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
+	static TransformScalarAbsoluteToLocal(Geometry: Geometry,AbsoluteScalar: number): number;
+	static TransformScalarLocalToAbsolute(Geometry: Geometry,LocalScalar: number): number;
+	static TransformVectorAbsoluteToLocal(Geometry: Geometry,AbsoluteVector: Vector2D): Vector2D;
+	static TransformVectorLocalToAbsolute(Geometry: Geometry,LocalVector: Vector2D): Vector2D;
+}
+
+declare class JavascriptSlateWidget { 
+	clone() : JavascriptSlateWidget;
+	static C(Other: UObject | any): JavascriptSlateWidget;
+	EditorAddModalWindow(): void;
+	AddWindow(bShowImmediately: boolean): void;
+	AddWindowAsNativeChild(RootWindow: JavascriptSlateWidget): void;
+	ShowWindow(): void;
+	static EditorAddModalWindow(Widget: JavascriptSlateWidget): void;
+	static AddWindow(NewWindow: JavascriptSlateWidget,bShowImmediately: boolean): void;
+	static AddWindowAsNativeChild(NewWindow: JavascriptSlateWidget,RootWindow: JavascriptSlateWidget): void;
+	static ShowWindow(NewWindow: JavascriptSlateWidget): void;
+	static CreateLogListingWidget(InLogName: string): JavascriptSlateWidget;
+	static GetRootWindow(): JavascriptSlateWidget;
+}
+
+declare type EHorizontalAlignment = 'HAlign_Fill' | 'HAlign_Left' | 'HAlign_Center' | 'HAlign_Right' | 'HAlign_MAX';
+declare var EHorizontalAlignment : { HAlign_Fill:'HAlign_Fill',HAlign_Left:'HAlign_Left',HAlign_Center:'HAlign_Center',HAlign_Right:'HAlign_Right',HAlign_MAX:'HAlign_MAX', };
+declare type EVerticalAlignment = 'VAlign_Fill' | 'VAlign_Top' | 'VAlign_Center' | 'VAlign_Bottom' | 'VAlign_MAX';
+declare var EVerticalAlignment : { VAlign_Fill:'VAlign_Fill',VAlign_Top:'VAlign_Top',VAlign_Center:'VAlign_Center',VAlign_Bottom:'VAlign_Bottom',VAlign_MAX:'VAlign_MAX', };
+declare class BorderSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
 	VerticalAlignment: EVerticalAlignment;
 	static Load(ResourceName: string): BorderSlot;
 	static Find(Outer: UObject, ResourceName: string): BorderSlot;
@@ -7742,6 +8542,8 @@ declare class VerticalBoxSlot extends PanelSlot {
 	static C(Other: UObject | any): VerticalBoxSlot;
 }
 
+declare type EWindowTitleBarMode = 'Overlay' | 'VerticalBox' | 'EWindowTitleBarMode_MAX';
+declare var EWindowTitleBarMode : { Overlay:'Overlay',VerticalBox:'VerticalBox',EWindowTitleBarMode_MAX:'EWindowTitleBarMode_MAX', };
 declare class Widget extends Visual { 
 	Slot: PanelSlot;
 	bIsEnabledDelegate: UnrealEngineDelegate<() => boolean>;
@@ -7765,9 +8567,11 @@ declare class Widget extends Visual {
 	Visibility: ESlateVisibility;
 	RenderOpacity: number;
 	Navigation: WidgetNavigation;
+	FlowDirectionPreference: EFlowDirectionPreference;
 	NativeBindings: PropertyBinding[];
 	DesignerFlags: EWidgetDesignFlags;
 	DisplayLabel: string;
+	CategoryName: string;
 	static Load(ResourceName: string): Widget;
 	static Find(Outer: UObject, ResourceName: string): Widget;
 	static GetDefaultObject(): Widget;
@@ -7796,6 +8600,7 @@ declare class Widget extends Visual {
 	InvalidateLayoutAndVolatility(): void;
 	HasUserFocusedDescendants(PlayerController: PlayerController): boolean;
 	HasUserFocus(PlayerController: PlayerController): boolean;
+	HasMouseCaptureByUser(UserIndex: number,PointerIndex: number): boolean;
 	HasMouseCapture(): boolean;
 	HasKeyboardFocus(): boolean;
 	HasFocusedDescendants(): boolean;
@@ -7804,7 +8609,9 @@ declare class Widget extends Visual {
 	GetRenderOpacity(): number;
 	GetParent(): PanelWidget;
 	GetOwningPlayer(): PlayerController;
+	GetOwningLocalPlayer(): LocalPlayer;
 	GetIsEnabled(): boolean;
+	GetGameInstance(): GameInstance;
 	GetDesiredSize(): Vector2D;
 	GetClipping(): EWidgetClipping;
 	GetCachedGeometry(): Geometry;
@@ -7820,6 +8627,7 @@ declare class Widget extends Visual {
 	SlotAsOverlaySlot(): OverlaySlot;
 	SlotAsUniformGridSlot(): UniformGridSlot;
 	SlotAsVerticalBoxSlot(): VerticalBoxSlot;
+	SetWindowTitleBarState(Mode: EWindowTitleBarMode,bTitleBarDragEnabled: boolean,bWindowButtonsVisible: boolean,bTitleBarVisible: boolean): void;
 	static OpenPopupWindow(Widget: Widget,PopupDesiredSize: Vector2D,HeadingText: string): void;
 	static TakeWidget(Widget: Widget): JavascriptSlateWidget;
 	static SlotAsBorderSlot(Widget: Widget): BorderSlot;
@@ -7829,6 +8637,7 @@ declare class Widget extends Visual {
 	static SlotAsOverlaySlot(Widget: Widget): OverlaySlot;
 	static SlotAsUniformGridSlot(Widget: Widget): UniformGridSlot;
 	static SlotAsVerticalBoxSlot(Widget: Widget): VerticalBoxSlot;
+	static SetWindowTitleBarState(TitleBarContent: Widget,Mode: EWindowTitleBarMode,bTitleBarDragEnabled: boolean,bWindowButtonsVisible: boolean,bTitleBarVisible: boolean): void;
 }
 
 declare class MovieSceneSignedObject extends UObject { 
@@ -7840,18 +8649,9 @@ declare class MovieSceneSignedObject extends UObject {
 	static C(Other: UObject | any): MovieSceneSignedObject;
 }
 
-declare class FloatRangeBound { 
-	Type: ERangeBoundTypes;
-	Value: number;
-	clone() : FloatRangeBound;
-	static C(Other: UObject | any): FloatRangeBound;
-}
-
-declare class FloatRange { 
-	LowerBound: FloatRangeBound;
-	UpperBound: FloatRangeBound;
-	clone() : FloatRange;
-	static C(Other: UObject | any): FloatRange;
+declare class MovieSceneFrameRange { 
+	clone() : MovieSceneFrameRange;
+	static C(Other: UObject | any): MovieSceneFrameRange;
 }
 
 declare class MovieSceneEvaluationGroupLUTIndex { 
@@ -7918,14 +8718,14 @@ declare class MovieSceneOrderedEvaluationKey {
 declare class MovieSceneEvaluationMetaData { 
 	ActiveSequences: MovieSceneSequenceID[];
 	ActiveEntities: MovieSceneOrderedEvaluationKey[];
-	SubSequenceSignatures: any;
+	SubTemplateSerialNumbers: any;
 	clone() : MovieSceneEvaluationMetaData;
 	static C(Other: UObject | any): MovieSceneEvaluationMetaData;
 }
 
 declare class MovieSceneEvaluationField { 
 	Signature: Guid;
-	Ranges: FloatRange[];
+	Ranges: MovieSceneFrameRange[];
 	Groups: MovieSceneEvaluationGroup[];
 	MetaData: MovieSceneEvaluationMetaData[];
 	clone() : MovieSceneEvaluationField;
@@ -7939,6 +8739,12 @@ declare class MovieSceneSequenceHierarchy {
 	static C(Other: UObject | any): MovieSceneSequenceHierarchy;
 }
 
+declare class MovieSceneEvaluationTemplateSerialNumber { 
+	Value: any;
+	clone() : MovieSceneEvaluationTemplateSerialNumber;
+	static C(Other: UObject | any): MovieSceneEvaluationTemplateSerialNumber;
+}
+
 declare class MovieSceneTemplateGenerationLedger { 
 	LastTrackIdentifier: MovieSceneTrackIdentifier;
 	TrackSignatureToTrackIdentifier: any;
@@ -7962,6 +8768,7 @@ declare class MovieSceneEvaluationTemplate {
 	EvaluationField: MovieSceneEvaluationField;
 	Hierarchy: MovieSceneSequenceHierarchy;
 	SequenceSignature: Guid;
+	TemplateSerialNumber: MovieSceneEvaluationTemplateSerialNumber;
 	TemplateLedger: MovieSceneTemplateGenerationLedger;
 	TrackFieldData: MovieSceneTrackFieldData;
 	SubSectionFieldData: MovieSceneSubSectionFieldData;
@@ -7982,21 +8789,105 @@ declare class MovieSceneSequence extends MovieSceneSignedObject {
 	static C(Other: UObject | any): MovieSceneSequence;
 }
 
+declare class Timecode { 
+	Hours: number;
+	Minutes: number;
+	Seconds: number;
+	Frames: number;
+	bDropFrameFormat: boolean;
+	clone() : Timecode;
+	static C(Other: UObject | any): Timecode;
+	Conv_TimecodeToString(bForceSignDisplay: boolean): string;
+	static Conv_TimecodeToString(InTimecode: Timecode,bForceSignDisplay: boolean): string;
+	static GetTimecode(): Timecode;
+}
+
+declare class FrameRate { 
+	Numerator: number;
+	Denominator: number;
+	clone() : FrameRate;
+	static C(Other: UObject | any): FrameRate;
+	BreakFrameRate(Numerator?: number,Denominator?: number): {Numerator: number, Denominator: number};
+	Conv_FrameRateToSeconds(): number;
+	IsValid_Framerate(): boolean;
+	IsValid_MultipleOf(OtherFramerate: FrameRate): boolean;
+	static BreakFrameRate(InFrameRate: FrameRate,Numerator?: number,Denominator?: number): {Numerator: number, Denominator: number};
+	static Conv_FrameRateToSeconds(InFrameRate: FrameRate): number;
+	static IsValid_Framerate(InFrameRate: FrameRate): boolean;
+	static IsValid_MultipleOf(InFrameRate: FrameRate,OtherFramerate: FrameRate): boolean;
+	static MakeFrameRate(Numerator: number,Denominator: number): FrameRate;
+}
+
+declare class FrameTime { 
+	FrameNumber: FrameNumber;
+	SubFrame: number;
+	clone() : FrameTime;
+	static C(Other: UObject | any): FrameTime;
+	SnapFrameTimeToRate(SourceRate: FrameRate,SnapToRate: FrameRate): FrameTime;
+	TransformTime(SourceRate: FrameRate,DestinationRate: FrameRate): FrameTime;
+	static SnapFrameTimeToRate(SourceTime: FrameTime,SourceRate: FrameRate,SnapToRate: FrameRate): FrameTime;
+	static TransformTime(SourceTime: FrameTime,SourceRate: FrameRate,DestinationRate: FrameRate): FrameTime;
+	static Multiply_SecondsFrameRate(TimeInSeconds: number,FrameRate: FrameRate): FrameTime;
+}
+
+declare class QualifiedFrameTime { 
+	Time: FrameTime;
+	Rate: FrameRate;
+	clone() : QualifiedFrameTime;
+	static C(Other: UObject | any): QualifiedFrameTime;
+	BreakQualifiedFrameTime(Frame?: FrameNumber,FrameRate?: FrameRate,SubFrame?: number): {Frame: FrameNumber, FrameRate: FrameRate, SubFrame: number};
+	Conv_QualifiedFrameTimeToSeconds(): number;
+	static BreakQualifiedFrameTime(InFrameTime: QualifiedFrameTime,Frame?: FrameNumber,FrameRate?: FrameRate,SubFrame?: number): {Frame: FrameNumber, FrameRate: FrameRate, SubFrame: number};
+	static Conv_QualifiedFrameTimeToSeconds(InFrameTime: QualifiedFrameTime): number;
+}
+
+declare class FrameNumber { 
+	Value: number;
+	clone() : FrameNumber;
+	static C(Other: UObject | any): FrameNumber;
+	MakeQualifiedFrameTime(FrameRate: FrameRate,SubFrame: number): QualifiedFrameTime;
+	Add_FrameNumberFrameNumber(B: FrameNumber): FrameNumber;
+	Add_FrameNumberInteger(B: number): FrameNumber;
+	Conv_FrameNumberToInteger(): number;
+	Divide_FrameNumberInteger(B: number): FrameNumber;
+	Multiply_FrameNumberInteger(B: number): FrameNumber;
+	Subtract_FrameNumberFrameNumber(B: FrameNumber): FrameNumber;
+	Subtract_FrameNumberInteger(B: number): FrameNumber;
+	static MakeQualifiedFrameTime(Frame: FrameNumber,FrameRate: FrameRate,SubFrame: number): QualifiedFrameTime;
+	static Add_FrameNumberFrameNumber(A: FrameNumber,B: FrameNumber): FrameNumber;
+	static Add_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Conv_FrameNumberToInteger(InFrameNumber: FrameNumber): number;
+	static Divide_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Multiply_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Subtract_FrameNumberFrameNumber(A: FrameNumber,B: FrameNumber): FrameNumber;
+	static Subtract_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+}
+
+declare class MovieSceneTimecodeSource { 
+	Timecode: Timecode;
+	DeltaFrame: FrameNumber;
+	clone() : MovieSceneTimecodeSource;
+	static C(Other: UObject | any): MovieSceneTimecodeSource;
+}
+
 declare type ESpawnOwnership = 'InnerSequence' | 'MasterSequence' | 'External' | 'ESpawnOwnership_MAX';
 declare var ESpawnOwnership : { InnerSequence:'InnerSequence',MasterSequence:'MasterSequence',External:'External',ESpawnOwnership_MAX:'ESpawnOwnership_MAX', };
 declare class MovieSceneSpawnable { 
 	SpawnTransform: Transform;
+	Tags: string[];
 	Guid: Guid;
 	Name: string;
 	ObjectTemplate: UObject;
 	ChildPossessables: Guid[];
 	Ownership: ESpawnOwnership;
 	GeneratedClass: UnrealEngineClass;
+	LevelName: string;
 	clone() : MovieSceneSpawnable;
 	static C(Other: UObject | any): MovieSceneSpawnable;
 }
 
 declare class MovieScenePossessable { 
+	Tags: string[];
 	Guid: Guid;
 	Name: string;
 	PossessedObjectClass: UnrealEngineClass;
@@ -8015,9 +8906,18 @@ declare class MovieSceneTrackEvalOptions {
 	static C(Other: UObject | any): MovieSceneTrackEvalOptions;
 }
 
+declare class MovieSceneTrackDisplayOptions { 
+	bShowVerticalFrames: boolean;
+	clone() : MovieSceneTrackDisplayOptions;
+	static C(Other: UObject | any): MovieSceneTrackDisplayOptions;
+}
+
 declare class MovieSceneTrack extends MovieSceneSignedObject { 
 	EvalOptions: MovieSceneTrackEvalOptions;
+	DisplayOptions: MovieSceneTrackDisplayOptions;
 	TrackTint: Color;
+	SortingOrder: number;
+	bSupportsDefaultSections: boolean;
 	static Load(ResourceName: string): MovieSceneTrack;
 	static Find(Outer: UObject, ResourceName: string): MovieSceneTrack;
 	static GetDefaultObject(): MovieSceneTrack;
@@ -8029,12 +8929,44 @@ declare class MovieSceneBinding {
 	ObjectGuid: Guid;
 	BindingName: string;
 	Tracks: MovieSceneTrack[];
+	SortingOrder: number;
 	clone() : MovieSceneBinding;
 	static C(Other: UObject | any): MovieSceneBinding;
 }
 
+declare type EMovieSceneEvaluationType = 'FrameLocked' | 'WithSubFrames' | 'EMovieSceneEvaluationType_MAX';
+declare var EMovieSceneEvaluationType : { FrameLocked:'FrameLocked',WithSubFrames:'WithSubFrames',EMovieSceneEvaluationType_MAX:'EMovieSceneEvaluationType_MAX', };
+declare type EUpdateClockSource = 'Tick' | 'Platform' | 'Audio' | 'Timecode' | 'EUpdateClockSource_MAX';
+declare var EUpdateClockSource : { Tick:'Tick',Platform:'Platform',Audio:'Audio',Timecode:'Timecode',EUpdateClockSource_MAX:'EUpdateClockSource_MAX', };
+declare class MovieSceneMarkedFrame { 
+	FrameNumber: FrameNumber;
+	Label: string;
+	Color: LinearColor;
+	clone() : MovieSceneMarkedFrame;
+	static C(Other: UObject | any): MovieSceneMarkedFrame;
+}
+
+declare class FloatRangeBound { 
+	Type: ERangeBoundTypes;
+	Value: number;
+	clone() : FloatRangeBound;
+	static C(Other: UObject | any): FloatRangeBound;
+}
+
+declare class FloatRange { 
+	LowerBound: FloatRangeBound;
+	UpperBound: FloatRangeBound;
+	clone() : FloatRange;
+	static C(Other: UObject | any): FloatRange;
+}
+
 declare class MovieSceneEditorData { 
 	ExpansionStates: any;
+	ViewStart: any;
+	ViewEnd: any;
+	WorkStart: any;
+	WorkEnd: any;
+	MarkedFrames: any;
 	WorkingRange: FloatRange;
 	ViewRange: FloatRange;
 	clone() : MovieSceneEditorData;
@@ -8047,6 +8979,7 @@ declare class MovieSceneFolder extends UObject {
 	ChildMasterTracks: MovieSceneTrack[];
 	ChildObjectBindingStrings: string[];
 	FolderColor: Color;
+	SortingOrder: number;
 	static Load(ResourceName: string): MovieSceneFolder;
 	static Find(Outer: UObject, ResourceName: string): MovieSceneFolder;
 	static GetDefaultObject(): MovieSceneFolder;
@@ -8055,16 +8988,21 @@ declare class MovieSceneFolder extends UObject {
 }
 
 declare class MovieScene extends MovieSceneSignedObject { 
+	TimecodeSource: MovieSceneTimecodeSource;
 	Spawnables: MovieSceneSpawnable[];
 	Possessables: MovieScenePossessable[];
 	ObjectBindings: MovieSceneBinding[];
 	MasterTracks: MovieSceneTrack[];
 	CameraCutTrack: MovieSceneTrack;
-	SelectionRange: FloatRange;
-	PlaybackRange: FloatRange;
+	SelectionRange: MovieSceneFrameRange;
+	PlaybackRange: MovieSceneFrameRange;
+	TickResolution: FrameRate;
+	DisplayRate: FrameRate;
+	EvaluationType: EMovieSceneEvaluationType;
+	ClockSource: EUpdateClockSource;
+	MarkedFrames: MovieSceneMarkedFrame[];
+	bReadOnly: boolean;
 	bPlaybackRangeLocked: boolean;
-	bForceFixedFrameIntervalPlayback: boolean;
-	FixedFrameInterval: number;
 	ObjectsToDisplayNames: any;
 	ObjectsToLabels: any;
 	EditorData: MovieSceneEditorData;
@@ -8073,6 +9011,8 @@ declare class MovieScene extends MovieSceneSignedObject {
 	OutTime: number;
 	StartTime: number;
 	EndTime: number;
+	bForceFixedFrameIntervalPlayback: boolean;
+	FixedFrameInterval: number;
 	static Load(ResourceName: string): MovieScene;
 	static Find(Outer: UObject, ResourceName: string): MovieScene;
 	static GetDefaultObject(): MovieScene;
@@ -8094,10 +9034,14 @@ declare class WidgetAnimation extends MovieSceneSequence {
 	OnAnimationFinished: UnrealEngineMulticastDelegate<() => void>;
 	MovieScene: MovieScene;
 	AnimationBindings: WidgetAnimationBinding[];
+	bLegacyFinishOnStop: boolean;
+	DisplayLabel: string;
 	static Load(ResourceName: string): WidgetAnimation;
 	static Find(Outer: UObject, ResourceName: string): WidgetAnimation;
 	static GetDefaultObject(): WidgetAnimation;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetAnimation;
+	UnbindAllFromAnimationStarted(Widget: UserWidget): void;
+	UnbindAllFromAnimationFinished(Widget: UserWidget): void;
 	GetStartTime(): number;
 	GetEndTime(): number;
 	static C(Other: UObject | any): WidgetAnimation;
@@ -8109,6 +9053,8 @@ declare class UMGSequencePlayer extends UObject {
 	static Find(Outer: UObject, ResourceName: string): UMGSequencePlayer;
 	static GetDefaultObject(): UMGSequencePlayer;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UMGSequencePlayer;
+	SetUserTag(InUserTag: string): void;
+	GetUserTag(): string;
 	static C(Other: UObject | any): UMGSequencePlayer;
 }
 
@@ -8131,93 +9077,21 @@ declare class WidgetTree extends UObject {
 
 declare type EDesignPreviewSizeMode = 'FillScreen' | 'Custom' | 'CustomOnScreen' | 'Desired' | 'DesiredOnScreen' | 'EDesignPreviewSizeMode_MAX';
 declare var EDesignPreviewSizeMode : { FillScreen:'FillScreen',Custom:'Custom',CustomOnScreen:'CustomOnScreen',Desired:'Desired',DesiredOnScreen:'DesiredOnScreen',EDesignPreviewSizeMode_MAX:'EDesignPreviewSizeMode_MAX', };
-declare type EInputEvent = 'IE_Pressed' | 'IE_Released' | 'IE_Repeat' | 'IE_DoubleClick' | 'IE_Axis' | 'IE_MAX';
-declare var EInputEvent : { IE_Pressed:'IE_Pressed',IE_Released:'IE_Released',IE_Repeat:'IE_Repeat',IE_DoubleClick:'IE_DoubleClick',IE_Axis:'IE_Axis',IE_MAX:'IE_MAX', };
-declare class ScriptViewportClient extends UObject { 
-	static Load(ResourceName: string): ScriptViewportClient;
-	static Find(Outer: UObject, ResourceName: string): ScriptViewportClient;
-	static GetDefaultObject(): ScriptViewportClient;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptViewportClient;
-	static C(Other: UObject | any): ScriptViewportClient;
-}
-
-declare class Console extends UObject { 
-	ConsoleTargetPlayer: LocalPlayer;
-	DefaultTexture_Black: Texture2D;
-	DefaultTexture_White: Texture2D;
-	HistoryBuffer: string[];
-	static Load(ResourceName: string): Console;
-	static Find(Outer: UObject, ResourceName: string): Console;
-	static GetDefaultObject(): Console;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Console;
-	static C(Other: UObject | any): Console;
-}
-
-declare class DebugDisplayProperty { 
-	Obj: UObject;
-	WithinClass: UnrealEngineClass;
-	clone() : DebugDisplayProperty;
-	static C(Other: UObject | any): DebugDisplayProperty;
-}
-
-declare class OnlineSession extends UObject { 
-	static Load(ResourceName: string): OnlineSession;
-	static Find(Outer: UObject, ResourceName: string): OnlineSession;
-	static GetDefaultObject(): OnlineSession;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineSession;
-	static C(Other: UObject | any): OnlineSession;
-}
-
-declare type ETravelFailure = 'NoLevel' | 'LoadMapFailure' | 'InvalidURL' | 'PackageMissing' | 'PackageVersion' | 'NoDownload' | 'TravelFailure' | 'CheatCommands' | 'PendingNetGameCreateFailure' | 'CloudSaveFailure' | 'ServerTravelFailure' | 'ClientTravelFailure' | 'ETravelFailure_MAX';
-declare var ETravelFailure : { NoLevel:'NoLevel',LoadMapFailure:'LoadMapFailure',InvalidURL:'InvalidURL',PackageMissing:'PackageMissing',PackageVersion:'PackageVersion',NoDownload:'NoDownload',TravelFailure:'TravelFailure',CheatCommands:'CheatCommands',PendingNetGameCreateFailure:'PendingNetGameCreateFailure',CloudSaveFailure:'CloudSaveFailure',ServerTravelFailure:'ServerTravelFailure',ClientTravelFailure:'ClientTravelFailure',ETravelFailure_MAX:'ETravelFailure_MAX', };
-declare type ENetworkFailure = 'NetDriverAlreadyExists' | 'NetDriverCreateFailure' | 'NetDriverListenFailure' | 'ConnectionLost' | 'ConnectionTimeout' | 'FailureReceived' | 'OutdatedClient' | 'OutdatedServer' | 'PendingConnectionFailure' | 'NetGuidMismatch' | 'NetChecksumMismatch' | 'ENetworkFailure_MAX';
-declare var ENetworkFailure : { NetDriverAlreadyExists:'NetDriverAlreadyExists',NetDriverCreateFailure:'NetDriverCreateFailure',NetDriverListenFailure:'NetDriverListenFailure',ConnectionLost:'ConnectionLost',ConnectionTimeout:'ConnectionTimeout',FailureReceived:'FailureReceived',OutdatedClient:'OutdatedClient',OutdatedServer:'OutdatedServer',PendingConnectionFailure:'PendingConnectionFailure',NetGuidMismatch:'NetGuidMismatch',NetChecksumMismatch:'NetChecksumMismatch',ENetworkFailure_MAX:'ENetworkFailure_MAX', };
-declare class GameInstance extends UObject { 
-	LocalPlayers: LocalPlayer[];
-	OnlineSession: OnlineSession;
-	static Load(ResourceName: string): GameInstance;
-	static Find(Outer: UObject, ResourceName: string): GameInstance;
-	static GetDefaultObject(): GameInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameInstance;
-	ReceiveShutdown(): void;
-	ReceiveInit(): void;
-	HandleTravelError(FailureType: ETravelFailure): void;
-	HandleNetworkError(FailureType: ENetworkFailure,bIsServer: boolean): void;
-	DebugRemovePlayer(ControllerId: number): void;
-	DebugCreatePlayer(ControllerId: number): void;
-	static C(Other: UObject | any): GameInstance;
-}
-
-declare class GameViewportClient extends ScriptViewportClient { 
-	ViewportConsole: Console;
-	DebugProperties: DebugDisplayProperty[];
-	World: World;
-	GameInstance: GameInstance;
-	static Load(ResourceName: string): GameViewportClient;
-	static Find(Outer: UObject, ResourceName: string): GameViewportClient;
-	static GetDefaultObject(): GameViewportClient;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameViewportClient;
-	SSSwapControllers(): void;
-	ShowTitleSafeArea(): void;
-	SetConsoleTarget(PlayerIndex: number): void;
-	static C(Other: UObject | any): GameViewportClient;
-}
-
-declare type EAspectRatioAxisConstraint = 'AspectRatio_MaintainYFOV' | 'AspectRatio_MaintainXFOV' | 'AspectRatio_MajorAxisFOV' | 'AspectRatio_MAX';
-declare var EAspectRatioAxisConstraint : { AspectRatio_MaintainYFOV:'AspectRatio_MaintainYFOV',AspectRatio_MaintainXFOV:'AspectRatio_MaintainXFOV',AspectRatio_MajorAxisFOV:'AspectRatio_MajorAxisFOV',AspectRatio_MAX:'AspectRatio_MAX', };
-declare class LocalPlayer extends Player { 
-	ViewportClient: GameViewportClient;
-	AspectRatioAxisConstraint: EAspectRatioAxisConstraint;
-	PendingLevelPlayerControllerClass: UnrealEngineClass;
-	bSentSplitJoin: boolean;
-	ControllerId: number;
-	static Load(ResourceName: string): LocalPlayer;
-	static Find(Outer: UObject, ResourceName: string): LocalPlayer;
-	static GetDefaultObject(): LocalPlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalPlayer;
-	static C(Other: UObject | any): LocalPlayer;
+declare type EWidgetTickFrequency = 'Never' | 'Auto' | 'EWidgetTickFrequency_MAX';
+declare var EWidgetTickFrequency : { Never:'Never',Auto:'Auto',EWidgetTickFrequency_MAX:'EWidgetTickFrequency_MAX', };
+declare type EWidgetAnimationEvent = 'Started' | 'Finished' | 'EWidgetAnimationEvent_MAX';
+declare var EWidgetAnimationEvent : { Started:'Started',Finished:'Finished',EWidgetAnimationEvent_MAX:'EWidgetAnimationEvent_MAX', };
+declare class AnimationEventBinding { 
+	Animation: WidgetAnimation;
+	delegate: UnrealEngineDelegate<() => void>;
+	AnimationEvent: EWidgetAnimationEvent;
+	UserTag: string;
+	clone() : AnimationEventBinding;
+	static C(Other: UObject | any): AnimationEventBinding;
 }
 
+declare type EInputEvent = 'IE_Pressed' | 'IE_Released' | 'IE_Repeat' | 'IE_DoubleClick' | 'IE_Axis' | 'IE_MAX';
+declare var EInputEvent : { IE_Pressed:'IE_Pressed',IE_Released:'IE_Released',IE_Repeat:'IE_Repeat',IE_DoubleClick:'IE_DoubleClick',IE_Axis:'IE_Axis',IE_MAX:'IE_MAX', };
 declare type EAudioOutputTarget = 'Speaker' | 'Controller' | 'ControllerFallbackToSpeaker' | 'EAudioOutputTarget_MAX';
 declare var EAudioOutputTarget : { Speaker:'Speaker',Controller:'Controller',ControllerFallbackToSpeaker:'ControllerFallbackToSpeaker',EAudioOutputTarget_MAX:'EAudioOutputTarget_MAX', };
 declare class SoundClassProperties { 
@@ -8325,20 +9199,22 @@ declare class SoundConcurrency extends UObject {
 	static C(Other: UObject | any): SoundConcurrency;
 }
 
-declare type ESoundDistanceCalc = 'SOUNDDISTANCE_Normal' | 'SOUNDDISTANCE_InfiniteXYPlane' | 'SOUNDDISTANCE_InfiniteXZPlane' | 'SOUNDDISTANCE_InfiniteYZPlane' | 'SOUNDDISTANCE_MAX';
-declare var ESoundDistanceCalc : { SOUNDDISTANCE_Normal:'SOUNDDISTANCE_Normal',SOUNDDISTANCE_InfiniteXYPlane:'SOUNDDISTANCE_InfiniteXYPlane',SOUNDDISTANCE_InfiniteXZPlane:'SOUNDDISTANCE_InfiniteXZPlane',SOUNDDISTANCE_InfiniteYZPlane:'SOUNDDISTANCE_InfiniteYZPlane',SOUNDDISTANCE_MAX:'SOUNDDISTANCE_MAX', };
 declare type ESoundSpatializationAlgorithm = 'SPATIALIZATION_Default' | 'SPATIALIZATION_HRTF' | 'SPATIALIZATION_MAX';
 declare var ESoundSpatializationAlgorithm : { SPATIALIZATION_Default:'SPATIALIZATION_Default',SPATIALIZATION_HRTF:'SPATIALIZATION_HRTF',SPATIALIZATION_MAX:'SPATIALIZATION_MAX', };
-declare class SpatializationPluginSourceSettingsBase extends UObject { 
-	static Load(ResourceName: string): SpatializationPluginSourceSettingsBase;
+declare type EAirAbsorptionMethod = 'Linear' | 'CustomCurve' | 'EAirAbsorptionMethod_MAX';
+declare var EAirAbsorptionMethod : { Linear:'Linear',CustomCurve:'CustomCurve',EAirAbsorptionMethod_MAX:'EAirAbsorptionMethod_MAX', };
+declare type EReverbSendMethod = 'Linear' | 'CustomCurve' | 'Manual' | 'EReverbSendMethod_MAX';
+declare var EReverbSendMethod : { Linear:'Linear',CustomCurve:'CustomCurve',Manual:'Manual',EReverbSendMethod_MAX:'EReverbSendMethod_MAX', };
+declare type ESoundDistanceCalc = 'SOUNDDISTANCE_Normal' | 'SOUNDDISTANCE_InfiniteXYPlane' | 'SOUNDDISTANCE_InfiniteXZPlane' | 'SOUNDDISTANCE_InfiniteYZPlane' | 'SOUNDDISTANCE_MAX';
+declare var ESoundDistanceCalc : { SOUNDDISTANCE_Normal:'SOUNDDISTANCE_Normal',SOUNDDISTANCE_InfiniteXYPlane:'SOUNDDISTANCE_InfiniteXYPlane',SOUNDDISTANCE_InfiniteXZPlane:'SOUNDDISTANCE_InfiniteXZPlane',SOUNDDISTANCE_InfiniteYZPlane:'SOUNDDISTANCE_InfiniteYZPlane',SOUNDDISTANCE_MAX:'SOUNDDISTANCE_MAX', };
+declare class SpatializationPluginSourceSettingsBase extends UObject { 
+	static Load(ResourceName: string): SpatializationPluginSourceSettingsBase;
 	static Find(Outer: UObject, ResourceName: string): SpatializationPluginSourceSettingsBase;
 	static GetDefaultObject(): SpatializationPluginSourceSettingsBase;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpatializationPluginSourceSettingsBase;
 	static C(Other: UObject | any): SpatializationPluginSourceSettingsBase;
 }
 
-declare type EAirAbsorptionMethod = 'Linear' | 'CustomCurve' | 'EAirAbsorptionMethod_MAX';
-declare var EAirAbsorptionMethod : { Linear:'Linear',CustomCurve:'CustomCurve',EAirAbsorptionMethod_MAX:'EAirAbsorptionMethod_MAX', };
 declare class OcclusionPluginSourceSettingsBase extends UObject { 
 	static Load(ResourceName: string): OcclusionPluginSourceSettingsBase;
 	static Find(Outer: UObject, ResourceName: string): OcclusionPluginSourceSettingsBase;
@@ -8347,8 +9223,6 @@ declare class OcclusionPluginSourceSettingsBase extends UObject {
 	static C(Other: UObject | any): OcclusionPluginSourceSettingsBase;
 }
 
-declare type EReverbSendMethod = 'Linear' | 'CustomCurve' | 'Manual' | 'EReverbSendMethod_MAX';
-declare var EReverbSendMethod : { Linear:'Linear',CustomCurve:'CustomCurve',Manual:'Manual',EReverbSendMethod_MAX:'EReverbSendMethod_MAX', };
 declare class ReverbPluginSourceSettingsBase extends UObject { 
 	static Load(ResourceName: string): ReverbPluginSourceSettingsBase;
 	static Find(Outer: UObject, ResourceName: string): ReverbPluginSourceSettingsBase;
@@ -8376,16 +9250,18 @@ declare class SoundAttenuationSettings extends BaseAttenuationSettings {
 	bEnableReverbSend: boolean;
 	bApplyNormalizationToStereoSounds: boolean;
 	bEnableLogFrequencyScaling: boolean;
+	SpatializationAlgorithm: ESoundSpatializationAlgorithm;
+	AbsorptionMethod: EAirAbsorptionMethod;
+	OcclusionTraceChannel: ECollisionChannel;
+	ReverbSendMethod: EReverbSendMethod;
 	DistanceType: ESoundDistanceCalc;
 	OmniRadius: number;
 	StereoSpread: number;
-	SpatializationAlgorithm: ESoundSpatializationAlgorithm;
 	SpatializationPluginSettings: SpatializationPluginSourceSettingsBase;
 	RadiusMin: number;
 	RadiusMax: number;
 	LPFRadiusMin: number;
 	LPFRadiusMax: number;
-	AbsorptionMethod: EAirAbsorptionMethod;
 	CustomLowpassAirAbsorptionCurve: RuntimeFloatCurve;
 	CustomHighpassAirAbsorptionCurve: RuntimeFloatCurve;
 	LPFFrequencyAtMin: number;
@@ -8402,19 +9278,17 @@ declare class SoundAttenuationSettings extends BaseAttenuationSettings {
 	NonFocusVolumeAttenuation: number;
 	FocusAttackInterpSpeed: number;
 	FocusReleaseInterpSpeed: number;
-	OcclusionTraceChannel: ECollisionChannel;
 	OcclusionLowPassFilterFrequency: number;
 	OcclusionVolumeAttenuation: number;
 	OcclusionInterpolationTime: number;
 	OcclusionPluginSettings: OcclusionPluginSourceSettingsBase;
-	ReverbSendMethod: EReverbSendMethod;
 	ReverbPluginSettings: ReverbPluginSourceSettingsBase;
 	ReverbWetLevelMin: number;
 	ReverbWetLevelMax: number;
 	ReverbDistanceMin: number;
 	ReverbDistanceMax: number;
-	CustomReverbSendCurve: RuntimeFloatCurve;
 	ManualReverbSendLevel: number;
+	CustomReverbSendCurve: RuntimeFloatCurve;
 	PluginSettings: SoundAttenuationPluginSettings;
 	clone() : SoundAttenuationSettings;
 	static C(Other: UObject | any): SoundAttenuationSettings;
@@ -8455,53 +9329,33 @@ declare class AmbisonicsSubmixSettingsBase extends UObject {
 	static C(Other: UObject | any): AmbisonicsSubmixSettingsBase;
 }
 
-declare class SoundSubmix extends UObject { 
-	ChildSubmixes: SoundSubmix[];
-	ParentSubmix: SoundSubmix;
-	ChannelFormat: ESubmixChannelFormat;
-	SubmixEffectChain: SoundEffectSubmixPreset[];
-	AmbisonicsPluginSettings: AmbisonicsSubmixSettingsBase;
-	static Load(ResourceName: string): SoundSubmix;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmix;
-	static GetDefaultObject(): SoundSubmix;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmix;
-	static C(Other: UObject | any): SoundSubmix;
-}
-
-declare class SoundSubmixSendInfo { 
-	SendLevel: number;
-	SoundSubmix: SoundSubmix;
-	clone() : SoundSubmixSendInfo;
-	static C(Other: UObject | any): SoundSubmixSendInfo;
-}
-
-declare class SoundEffectSourcePreset extends SoundEffectPreset { 
-	static Load(ResourceName: string): SoundEffectSourcePreset;
-	static Find(Outer: UObject, ResourceName: string): SoundEffectSourcePreset;
-	static GetDefaultObject(): SoundEffectSourcePreset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundEffectSourcePreset;
-	static C(Other: UObject | any): SoundEffectSourcePreset;
+declare type ESoundwaveSampleRateSettings = 'Max' | 'High' | 'Medium' | 'Low' | 'Min' | 'MatchDevice' | 'ESoundwaveSampleRateSettings_MAX';
+declare var ESoundwaveSampleRateSettings : { Max:'Max',High:'High',Medium:'Medium',Low:'Low',Min:'Min',MatchDevice:'MatchDevice',ESoundwaveSampleRateSettings_MAX:'ESoundwaveSampleRateSettings_MAX', };
+declare type ESoundGroup = 'SOUNDGROUP_Default' | 'SOUNDGROUP_Effects' | 'SOUNDGROUP_UI' | 'SOUNDGROUP_Music' | 'SOUNDGROUP_Voice' | 'SOUNDGROUP_GameSoundGroup1' | 'SOUNDGROUP_GameSoundGroup2' | 'SOUNDGROUP_GameSoundGroup3' | 'SOUNDGROUP_GameSoundGroup4' | 'SOUNDGROUP_GameSoundGroup5' | 'SOUNDGROUP_GameSoundGroup6' | 'SOUNDGROUP_GameSoundGroup7' | 'SOUNDGROUP_GameSoundGroup8' | 'SOUNDGROUP_GameSoundGroup9' | 'SOUNDGROUP_GameSoundGroup10' | 'SOUNDGROUP_GameSoundGroup11' | 'SOUNDGROUP_GameSoundGroup12' | 'SOUNDGROUP_GameSoundGroup13' | 'SOUNDGROUP_GameSoundGroup14' | 'SOUNDGROUP_GameSoundGroup15' | 'SOUNDGROUP_GameSoundGroup16' | 'SOUNDGROUP_GameSoundGroup17' | 'SOUNDGROUP_GameSoundGroup18' | 'SOUNDGROUP_GameSoundGroup19' | 'SOUNDGROUP_GameSoundGroup20' | 'SOUNDGROUP_MAX';
+declare var ESoundGroup : { SOUNDGROUP_Default:'SOUNDGROUP_Default',SOUNDGROUP_Effects:'SOUNDGROUP_Effects',SOUNDGROUP_UI:'SOUNDGROUP_UI',SOUNDGROUP_Music:'SOUNDGROUP_Music',SOUNDGROUP_Voice:'SOUNDGROUP_Voice',SOUNDGROUP_GameSoundGroup1:'SOUNDGROUP_GameSoundGroup1',SOUNDGROUP_GameSoundGroup2:'SOUNDGROUP_GameSoundGroup2',SOUNDGROUP_GameSoundGroup3:'SOUNDGROUP_GameSoundGroup3',SOUNDGROUP_GameSoundGroup4:'SOUNDGROUP_GameSoundGroup4',SOUNDGROUP_GameSoundGroup5:'SOUNDGROUP_GameSoundGroup5',SOUNDGROUP_GameSoundGroup6:'SOUNDGROUP_GameSoundGroup6',SOUNDGROUP_GameSoundGroup7:'SOUNDGROUP_GameSoundGroup7',SOUNDGROUP_GameSoundGroup8:'SOUNDGROUP_GameSoundGroup8',SOUNDGROUP_GameSoundGroup9:'SOUNDGROUP_GameSoundGroup9',SOUNDGROUP_GameSoundGroup10:'SOUNDGROUP_GameSoundGroup10',SOUNDGROUP_GameSoundGroup11:'SOUNDGROUP_GameSoundGroup11',SOUNDGROUP_GameSoundGroup12:'SOUNDGROUP_GameSoundGroup12',SOUNDGROUP_GameSoundGroup13:'SOUNDGROUP_GameSoundGroup13',SOUNDGROUP_GameSoundGroup14:'SOUNDGROUP_GameSoundGroup14',SOUNDGROUP_GameSoundGroup15:'SOUNDGROUP_GameSoundGroup15',SOUNDGROUP_GameSoundGroup16:'SOUNDGROUP_GameSoundGroup16',SOUNDGROUP_GameSoundGroup17:'SOUNDGROUP_GameSoundGroup17',SOUNDGROUP_GameSoundGroup18:'SOUNDGROUP_GameSoundGroup18',SOUNDGROUP_GameSoundGroup19:'SOUNDGROUP_GameSoundGroup19',SOUNDGROUP_GameSoundGroup20:'SOUNDGROUP_GameSoundGroup20',SOUNDGROUP_MAX:'SOUNDGROUP_MAX', };
+declare type ESoundWaveFFTSize = 'VerySmall_64' | 'Small_256' | 'Medium_512' | 'Large_1024' | 'VeryLarge_2048' | 'ESoundWaveFFTSize_MAX';
+declare var ESoundWaveFFTSize : { VerySmall_64:'VerySmall_64',Small_256:'Small_256',Medium_512:'Medium_512',Large_1024:'Large_1024',VeryLarge_2048:'VeryLarge_2048',ESoundWaveFFTSize_MAX:'ESoundWaveFFTSize_MAX', };
+declare class SoundWaveSpectralDataEntry { 
+	Magnitude: number;
+	NormalizedMagnitude: number;
+	clone() : SoundWaveSpectralDataEntry;
+	static C(Other: UObject | any): SoundWaveSpectralDataEntry;
 }
 
-declare class SourceEffectChainEntry { 
-	Preset: SoundEffectSourcePreset;
-	bBypass: boolean;
-	clone() : SourceEffectChainEntry;
-	static C(Other: UObject | any): SourceEffectChainEntry;
+declare class SoundWaveSpectralTimeData { 
+	Data: SoundWaveSpectralDataEntry[];
+	TimeSec: number;
+	clone() : SoundWaveSpectralTimeData;
+	static C(Other: UObject | any): SoundWaveSpectralTimeData;
 }
 
-declare class SoundEffectSourcePresetChain extends UObject { 
-	Chain: SourceEffectChainEntry[];
-	bPlayEffectChainTails: boolean;
-	static Load(ResourceName: string): SoundEffectSourcePresetChain;
-	static Find(Outer: UObject, ResourceName: string): SoundEffectSourcePresetChain;
-	static GetDefaultObject(): SoundEffectSourcePresetChain;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundEffectSourcePresetChain;
-	static C(Other: UObject | any): SoundEffectSourcePresetChain;
+declare class SoundWaveEnvelopeTimeData { 
+	Amplitude: number;
+	TimeSec: number;
+	clone() : SoundWaveEnvelopeTimeData;
+	static C(Other: UObject | any): SoundWaveEnvelopeTimeData;
 }
 
-declare type ESoundGroup = 'SOUNDGROUP_Default' | 'SOUNDGROUP_Effects' | 'SOUNDGROUP_UI' | 'SOUNDGROUP_Music' | 'SOUNDGROUP_Voice' | 'SOUNDGROUP_GameSoundGroup1' | 'SOUNDGROUP_GameSoundGroup2' | 'SOUNDGROUP_GameSoundGroup3' | 'SOUNDGROUP_GameSoundGroup4' | 'SOUNDGROUP_GameSoundGroup5' | 'SOUNDGROUP_GameSoundGroup6' | 'SOUNDGROUP_GameSoundGroup7' | 'SOUNDGROUP_GameSoundGroup8' | 'SOUNDGROUP_GameSoundGroup9' | 'SOUNDGROUP_GameSoundGroup10' | 'SOUNDGROUP_GameSoundGroup11' | 'SOUNDGROUP_GameSoundGroup12' | 'SOUNDGROUP_GameSoundGroup13' | 'SOUNDGROUP_GameSoundGroup14' | 'SOUNDGROUP_GameSoundGroup15' | 'SOUNDGROUP_GameSoundGroup16' | 'SOUNDGROUP_GameSoundGroup17' | 'SOUNDGROUP_GameSoundGroup18' | 'SOUNDGROUP_GameSoundGroup19' | 'SOUNDGROUP_GameSoundGroup20' | 'SOUNDGROUP_MAX';
-declare var ESoundGroup : { SOUNDGROUP_Default:'SOUNDGROUP_Default',SOUNDGROUP_Effects:'SOUNDGROUP_Effects',SOUNDGROUP_UI:'SOUNDGROUP_UI',SOUNDGROUP_Music:'SOUNDGROUP_Music',SOUNDGROUP_Voice:'SOUNDGROUP_Voice',SOUNDGROUP_GameSoundGroup1:'SOUNDGROUP_GameSoundGroup1',SOUNDGROUP_GameSoundGroup2:'SOUNDGROUP_GameSoundGroup2',SOUNDGROUP_GameSoundGroup3:'SOUNDGROUP_GameSoundGroup3',SOUNDGROUP_GameSoundGroup4:'SOUNDGROUP_GameSoundGroup4',SOUNDGROUP_GameSoundGroup5:'SOUNDGROUP_GameSoundGroup5',SOUNDGROUP_GameSoundGroup6:'SOUNDGROUP_GameSoundGroup6',SOUNDGROUP_GameSoundGroup7:'SOUNDGROUP_GameSoundGroup7',SOUNDGROUP_GameSoundGroup8:'SOUNDGROUP_GameSoundGroup8',SOUNDGROUP_GameSoundGroup9:'SOUNDGROUP_GameSoundGroup9',SOUNDGROUP_GameSoundGroup10:'SOUNDGROUP_GameSoundGroup10',SOUNDGROUP_GameSoundGroup11:'SOUNDGROUP_GameSoundGroup11',SOUNDGROUP_GameSoundGroup12:'SOUNDGROUP_GameSoundGroup12',SOUNDGROUP_GameSoundGroup13:'SOUNDGROUP_GameSoundGroup13',SOUNDGROUP_GameSoundGroup14:'SOUNDGROUP_GameSoundGroup14',SOUNDGROUP_GameSoundGroup15:'SOUNDGROUP_GameSoundGroup15',SOUNDGROUP_GameSoundGroup16:'SOUNDGROUP_GameSoundGroup16',SOUNDGROUP_GameSoundGroup17:'SOUNDGROUP_GameSoundGroup17',SOUNDGROUP_GameSoundGroup18:'SOUNDGROUP_GameSoundGroup18',SOUNDGROUP_GameSoundGroup19:'SOUNDGROUP_GameSoundGroup19',SOUNDGROUP_GameSoundGroup20:'SOUNDGROUP_GameSoundGroup20',SOUNDGROUP_MAX:'SOUNDGROUP_MAX', };
 declare class SubtitleCue { 
 	text: string;
 	Time: number;
@@ -8509,16 +9363,6 @@ declare class SubtitleCue {
 	static C(Other: UObject | any): SubtitleCue;
 }
 
-declare class LocalizedSubtitle { 
-	LanguageExt: string;
-	Subtitles: SubtitleCue[];
-	bMature: boolean;
-	bManualWordWrap: boolean;
-	bSingleLine: boolean;
-	clone() : LocalizedSubtitle;
-	static C(Other: UObject | any): LocalizedSubtitle;
-}
-
 declare type EEvaluateCurveTableResult = 'RowFound' | 'RowNotFound' | 'EEvaluateCurveTableResult_MAX';
 declare var EEvaluateCurveTableResult : { RowFound:'RowFound',RowNotFound:'RowNotFound',EEvaluateCurveTableResult_MAX:'EEvaluateCurveTableResult_MAX', };
 declare class CurveTable extends UObject { 
@@ -8529,33 +9373,46 @@ declare class CurveTable extends UObject {
 	static GetDefaultObject(): CurveTable;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveTable;
 	static C(Other: UObject | any): CurveTable;
+	AddRichCurve(Key: string,InCurve: RichCurve): void;
+	NotifyUpdateCurveTable(): void;
 	EvaluateCurveTableRow(RowName: string,InXY: number,OutResult?: EEvaluateCurveTableResult,OutXY?: number,ContextString?: string): {OutResult: EEvaluateCurveTableResult, OutXY: number};
+	static AddRichCurve(InCurveTable: CurveTable,Key: string,InCurve: RichCurve): void;
+	static NotifyUpdateCurveTable(InCurveTable: CurveTable): void;
 	static EvaluateCurveTableRow(CurveTable: CurveTable,RowName: string,InXY: number,OutResult?: EEvaluateCurveTableResult,OutXY?: number,ContextString?: string): {OutResult: EEvaluateCurveTableResult, OutXY: number};
 }
 
 declare class SoundWave extends SoundBase { 
 	CompressionQuality: number;
+	StreamingPriority: number;
+	SampleRateQuality: ESoundwaveSampleRateSettings;
+	SoundGroup: ESoundGroup;
 	bLooping: boolean;
 	bStreaming: boolean;
-	StreamingPriority: number;
 	bMature: boolean;
 	bManualWordWrap: boolean;
 	bSingleLine: boolean;
 	bVirtualizeWhenSilent: boolean;
 	bIsAmbisonics: boolean;
-	SoundGroup: ESoundGroup;
+	bEnableBakedFFTAnalysis: boolean;
+	bEnableAmplitudeEnvelopeAnalysis: boolean;
+	FFTSize: ESoundWaveFFTSize;
+	FFTAnalysisFrameSize: number;
+	EnvelopeFollowerFrameSize: number;
+	EnvelopeFollowerAttackTime: number;
+	EnvelopeFollowerReleaseTime: number;
+	FrequenciesToAnalyze: number[];
+	CookedSpectralTimeData: SoundWaveSpectralTimeData[];
+	CookedEnvelopeTimeData: SoundWaveEnvelopeTimeData[];
 	SpokenText: string;
 	SubtitlePriority: number;
 	Volume: number;
 	Pitch: number;
 	NumChannels: number;
-	SampleRate: number;
 	ChannelOffsets: number[];
 	ChannelSizes: number[];
-	RawPCMDataSize: number;
+	SampleRate: number;
 	Subtitles: SubtitleCue[];
 	Comment: string;
-	LocalizedSubtitles: LocalizedSubtitle[];
 	SourceFilePath: string;
 	SourceFileTimestamp: string;
 	AssetImportData: AssetImportData;
@@ -8568,6 +9425,60 @@ declare class SoundWave extends SoundBase {
 	static C(Other: UObject | any): SoundWave;
 }
 
+declare type EAudioRecordingExportType = 'SoundWave' | 'WavFile' | 'EAudioRecordingExportType_MAX';
+declare var EAudioRecordingExportType : { SoundWave:'SoundWave',WavFile:'WavFile',EAudioRecordingExportType_MAX:'EAudioRecordingExportType_MAX', };
+declare class SoundSubmix extends UObject { 
+	ChildSubmixes: SoundSubmix[];
+	ParentSubmix: SoundSubmix;
+	ChannelFormat: ESubmixChannelFormat;
+	SubmixEffectChain: SoundEffectSubmixPreset[];
+	AmbisonicsPluginSettings: AmbisonicsSubmixSettingsBase;
+	EnvelopeFollowerAttackTime: number;
+	EnvelopeFollowerReleaseTime: number;
+	OnSubmixRecordedFileDone: UnrealEngineMulticastDelegate<(ResultingSoundWave: SoundWave) => void>;
+	static Load(ResourceName: string): SoundSubmix;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmix;
+	static GetDefaultObject(): SoundSubmix;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmix;
+	StopRecordingOutput(WorldContextObject: UObject,ExportType: EAudioRecordingExportType,Name: string,Path: string,ExistingSoundWaveToOverwrite: SoundWave): void;
+	StopEnvelopeFollowing(WorldContextObject: UObject): void;
+	StartRecordingOutput(WorldContextObject: UObject,ExpectedDuration: number): void;
+	StartEnvelopeFollowing(WorldContextObject: UObject): void;
+	static C(Other: UObject | any): SoundSubmix;
+}
+
+declare class SoundSubmixSendInfo { 
+	SendLevel: number;
+	SoundSubmix: SoundSubmix;
+	clone() : SoundSubmixSendInfo;
+	static C(Other: UObject | any): SoundSubmixSendInfo;
+}
+
+declare class SoundEffectSourcePreset extends SoundEffectPreset { 
+	static Load(ResourceName: string): SoundEffectSourcePreset;
+	static Find(Outer: UObject, ResourceName: string): SoundEffectSourcePreset;
+	static GetDefaultObject(): SoundEffectSourcePreset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundEffectSourcePreset;
+	static C(Other: UObject | any): SoundEffectSourcePreset;
+}
+
+declare class SourceEffectChainEntry { 
+	Preset: SoundEffectSourcePreset;
+	bBypass: boolean;
+	clone() : SourceEffectChainEntry;
+	static C(Other: UObject | any): SourceEffectChainEntry;
+}
+
+declare class SoundEffectSourcePresetChain extends UObject { 
+	Chain: SourceEffectChainEntry[];
+	bPlayEffectChainTails: boolean;
+	static Load(ResourceName: string): SoundEffectSourcePresetChain;
+	static Find(Outer: UObject, ResourceName: string): SoundEffectSourcePresetChain;
+	static GetDefaultObject(): SoundEffectSourcePresetChain;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundEffectSourcePresetChain;
+	static C(Other: UObject | any): SoundEffectSourcePresetChain;
+}
+
 declare type ESourceBusChannels = 'Mono' | 'Stereo' | 'ESourceBusChannels_MAX';
 declare var ESourceBusChannels : { Mono:'Mono',Stereo:'Stereo',ESourceBusChannels_MAX:'ESourceBusChannels_MAX', };
 declare class SoundSourceBus extends SoundWave { 
@@ -8598,6 +9509,14 @@ declare class AudioComponentParam {
 	static C(Other: UObject | any): AudioComponentParam;
 }
 
+declare class SoundWaveSpectralData { 
+	FrequencyHz: number;
+	Magnitude: number;
+	NormalizedMagnitude: number;
+	clone() : SoundWaveSpectralData;
+	static C(Other: UObject | any): SoundWaveSpectralData;
+}
+
 declare class AudioComponent extends SceneComponent { 
 	Sound: SoundBase;
 	InstanceParameters: AudioComponentParam[];
@@ -8612,6 +9531,7 @@ declare class AudioComponent extends SceneComponent {
 	bEnableLowPassFilter: boolean;
 	bOverridePriority: boolean;
 	bSuppressSubtitles: boolean;
+	bAutoManageAttachment: boolean;
 	AudioComponentUserID: string;
 	PitchModulationMin: number;
 	PitchModulationMax: number;
@@ -8623,23 +9543,23 @@ declare class AudioComponent extends SceneComponent {
 	Priority: number;
 	SubtitlePriority: number;
 	VolumeWeightedPriorityScale: number;
-	PitchMultiplier: number;
 	HighFrequencyGainMultiplier: number;
+	PitchMultiplier: number;
 	LowPassFilterFrequency: number;
 	AttenuationSettings: SoundAttenuation;
 	AttenuationOverrides: SoundAttenuationSettings;
 	ConcurrencySettings: SoundConcurrency;
+	ConcurrencySet: any;
+	AutoAttachLocationRule: EAttachmentRule;
+	AutoAttachRotationRule: EAttachmentRule;
+	AutoAttachScaleRule: EAttachmentRule;
 	OnAudioFinished: UnrealEngineMulticastDelegate<() => void>;
 	OnAudioPlaybackPercent: UnrealEngineMulticastDelegate<(PlayingSoundWave: SoundWave, PlaybackPercent: number) => void>;
 	OnAudioSingleEnvelopeValue: UnrealEngineMulticastDelegate<(PlayingSoundWave: SoundWave, EnvelopeValue: number) => void>;
 	OnAudioMultiEnvelopeValue: UnrealEngineMulticastDelegate<(AverageEnvelopeValue: number, MaxEnvelope: number, NumWaveInstances: number) => void>;
 	OnQueueSubtitles: UnrealEngineDelegate<(Subtitles: SubtitleCue[], CueDuration: number) => void>;
-	bAutoManageAttachment: boolean;
 	AutoAttachParent: any;
 	AutoAttachSocketName: string;
-	AutoAttachLocationRule: EAttachmentRule;
-	AutoAttachRotationRule: EAttachmentRule;
-	AutoAttachScaleRule: EAttachmentRule;
 	static Load(ResourceName: string): AudioComponent;
 	static Find(Outer: UObject, ResourceName: string): AudioComponent;
 	static GetDefaultObject(): AudioComponent;
@@ -8659,6 +9579,10 @@ declare class AudioComponent extends SceneComponent {
 	SetBoolParameter(InName: string,InBool: boolean): void;
 	Play(StartTime: number): void;
 	IsPlaying(): boolean;
+	HasCookedFFTData(): boolean;
+	HasCookedAmplitudeEnvelopeData(): boolean;
+	GetCookedFFTData(FrequenciesToGet: number[],OutSoundWaveSpectralData?: SoundWaveSpectralData[]): {OutSoundWaveSpectralData: SoundWaveSpectralData[], $: boolean};
+	GetCookedEnvelopeData(OutEnvelopeData?: number): {OutEnvelopeData: number, $: boolean};
 	FadeOut(FadeOutDuration: number,FadeVolumeLevel: number): void;
 	FadeIn(FadeInDuration: number,FadeVolumeLevel: number,StartTime: number): void;
 	BP_GetAttenuationSettingsToApply(OutAttenuationSettings?: SoundAttenuationSettings): {OutAttenuationSettings: SoundAttenuationSettings, $: boolean};
@@ -8673,13 +9597,20 @@ declare class SoundBase extends UObject {
 	bOverrideConcurrency: boolean;
 	bOutputToBusOnly: boolean;
 	bIgnoreFocus: boolean;
+	bHasDelayNode: boolean;
+	bHasConcatenatorNode: boolean;
+	bHasVirtualizeWhenSilent: boolean;
+	bBypassVolumeScaleForPriority: boolean;
+	MaxConcurrentResolutionRule: EMaxConcurrentResolutionRule;
 	SoundConcurrencySettings: SoundConcurrency;
+	ConcurrencySet: any;
 	ConcurrencyOverrides: SoundConcurrencySettings;
-	MaxConcurrentResolutionRule: EMaxConcurrentResolutionRule;
 	MaxConcurrentPlayCount: number;
 	Duration: number;
-	AttenuationSettings: SoundAttenuation;
+	MaxDistance: number;
+	TotalSamples: number;
 	Priority: number;
+	AttenuationSettings: SoundAttenuation;
 	SoundSubmixObject: SoundSubmix;
 	SoundSubmixSends: SoundSubmixSendInfo[];
 	SourceEffectChain: SoundEffectSourcePresetChain;
@@ -8799,9 +9730,11 @@ declare class UFocusEvent {
 declare class KeyEvent extends InputEvent { 
 	clone() : KeyEvent;
 	static C(Other: UObject | any): KeyEvent;
+	GetKeyNameByKeyEvent(): string;
 	GetKey(): Key;
 	GetUserIndex(): number;
 	GetInputEventFromKeyEvent(): InputEvent;
+	static GetKeyNameByKeyEvent(Event: KeyEvent): string;
 	static GetKey(Input: KeyEvent): Key;
 	static GetUserIndex(Input: KeyEvent): number;
 	static GetInputEventFromKeyEvent(Event: KeyEvent): InputEvent;
@@ -8823,14 +9756,14 @@ declare class PaintContext {
 	static C(Other: UObject | any): PaintContext;
 	DrawSpaceSpline(InStart?: Vector2D,InStartDir?: Vector2D,InEnd?: Vector2D,InEndDir?: Vector2D,InThickness?: number,InTint?: LinearColor): {Context: PaintContext};
 	DrawBox(Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
-	DrawLine(PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
-	DrawLines(Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
+	DrawLine(PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
+	DrawLines(Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
 	DrawText(inString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
 	DrawTextFormatted(text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
 	static DrawSpaceSpline(Context?: PaintContext,InStart?: Vector2D,InStartDir?: Vector2D,InEnd?: Vector2D,InEndDir?: Vector2D,InThickness?: number,InTint?: LinearColor): {Context: PaintContext};
 	static DrawBox(Context?: PaintContext,Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
-	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
-	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
+	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
+	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
 	static DrawText(Context?: PaintContext,inString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
 	static DrawTextFormatted(Context?: PaintContext,text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
 }
@@ -8895,15 +9828,19 @@ declare class UserWidget extends Widget {
 	bSupportsKeyboardFocus: boolean;
 	bIsFocusable: boolean;
 	bStopAction: boolean;
-	bCanEverTick: boolean;
-	bCanEverPaint: boolean;
+	bHasScriptImplementedTick: boolean;
+	bHasScriptImplementedPaint: boolean;
 	bCookedWidgetTree: boolean;
+	TickFrequency: EWidgetTickFrequency;
 	InputComponent: InputComponent;
+	AnimationCallbacks: AnimationEventBinding[];
 	static Load(ResourceName: string): UserWidget;
 	static Find(Outer: UObject, ResourceName: string): UserWidget;
 	static GetDefaultObject(): UserWidget;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserWidget;
 	UnregisterInputComponent(): void;
+	UnbindAllFromAnimationStarted(Animation: WidgetAnimation): void;
+	UnbindAllFromAnimationFinished(Animation: WidgetAnimation): void;
 	Tick(MyGeometry: Geometry,InDeltaTime: number): void;
 	StopListeningForInputAction(ActionName: string,EventType: EInputEvent): void;
 	StopListeningForAllInputActions(): void;
@@ -8914,7 +9851,6 @@ declare class UserWidget extends Widget {
 	SetPlaybackSpeed(InAnimation: WidgetAnimation,PlaybackSpeed: number): void;
 	SetPadding(InPadding: Margin): void;
 	SetOwningPlayer(LocalPlayerController: PlayerController): void;
-	SetOwningLocalPlayer(LocalPlayer: LocalPlayer): void;
 	SetNumLoopsToPlay(InAnimation: WidgetAnimation,NumLoopsToPlay: number): void;
 	SetInputActionPriority(NewPriority: number): void;
 	SetInputActionBlocking(bShouldBlock: boolean): void;
@@ -8928,12 +9864,15 @@ declare class UserWidget extends Widget {
 	RegisterInputComponent(): void;
 	PreConstruct(IsDesignTime: boolean): void;
 	PlaySound(SoundToPlay: SoundBase): void;
-	PlayAnimationTo(InAnimation: WidgetAnimation,StartAtTime: number,EndAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode,PlaybackSpeed: number): void;
-	PlayAnimation(InAnimation: WidgetAnimation,StartAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode,PlaybackSpeed: number): void;
+	PlayAnimationTimeRange(InAnimation: WidgetAnimation,StartAtTime: number,EndAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode,PlaybackSpeed: number): UMGSequencePlayer;
+	PlayAnimationReverse(InAnimation: WidgetAnimation,PlaybackSpeed: number): UMGSequencePlayer;
+	PlayAnimationForward(InAnimation: WidgetAnimation,PlaybackSpeed: number): UMGSequencePlayer;
+	PlayAnimation(InAnimation: WidgetAnimation,StartAtTime: number,NumLoopsToPlay: number,PlayMode: EUMGSequencePlayMode,PlaybackSpeed: number): UMGSequencePlayer;
 	PauseAnimation(InAnimation: WidgetAnimation): number;
 	OnTouchStarted(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
 	OnTouchMoved(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
 	OnTouchGesture(MyGeometry: Geometry,GestureEvent: UPointerEvent): EventReply;
+	OnTouchForceChanged(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
 	OnTouchEnded(MyGeometry: Geometry,InTouchEvent: UPointerEvent): EventReply;
 	OnRemovedFromFocusPath(InFocusEvent: UFocusEvent): void;
 	OnPreviewMouseButtonDown(MyGeometry: Geometry,MouseEvent: UPointerEvent): EventReply;
@@ -8951,6 +9890,7 @@ declare class UserWidget extends Widget {
 	OnKeyUp(MyGeometry: Geometry,InKeyEvent: KeyEvent): EventReply;
 	OnKeyDown(MyGeometry: Geometry,InKeyEvent: KeyEvent): EventReply;
 	OnKeyChar(MyGeometry: Geometry,InCharacterEvent: CharacterEvent): EventReply;
+	OnInitialized(): void;
 	OnFocusReceived(MyGeometry: Geometry,InFocusEvent: UFocusEvent): EventReply;
 	OnFocusLost(InFocusEvent: UFocusEvent): void;
 	OnDrop(MyGeometry: Geometry,UPointerEvent: UPointerEvent,Operation: DragDropOperation): boolean;
@@ -8971,7 +9911,6 @@ declare class UserWidget extends Widget {
 	IsAnimationPlayingForward(InAnimation: WidgetAnimation): boolean;
 	IsAnimationPlaying(InAnimation: WidgetAnimation): boolean;
 	GetOwningPlayerPawn(): Pawn;
-	GetOwningLocalPlayer(): LocalPlayer;
 	GetIsVisible(): boolean;
 	GetAnimationCurrentTime(InAnimation: WidgetAnimation): number;
 	GetAnchorsInViewport(): Anchors;
@@ -9035,8 +9974,33 @@ declare class UpdateLevelStreamingLevelStatus {
 
 declare type ETravelType = 'TRAVEL_Absolute' | 'TRAVEL_Partial' | 'TRAVEL_Relative' | 'TRAVEL_MAX';
 declare var ETravelType : { TRAVEL_Absolute:'TRAVEL_Absolute',TRAVEL_Partial:'TRAVEL_Partial',TRAVEL_Relative:'TRAVEL_Relative',TRAVEL_MAX:'TRAVEL_MAX', };
-declare type EMouseLockMode = 'DoNotLock' | 'LockOnCapture' | 'LockAlways' | 'EMouseLockMode_MAX';
-declare var EMouseLockMode : { DoNotLock:'DoNotLock',LockOnCapture:'LockOnCapture',LockAlways:'LockAlways',EMouseLockMode_MAX:'EMouseLockMode_MAX', };
+declare class ForceFeedbackParameters { 
+	Tag: string;
+	bLooping: boolean;
+	bIgnoreTimeDilation: boolean;
+	bPlayWhilePaused: boolean;
+	clone() : ForceFeedbackParameters;
+	static C(Other: UObject | any): ForceFeedbackParameters;
+}
+
+declare class Subsystem extends UObject { 
+	static Load(ResourceName: string): Subsystem;
+	static Find(Outer: UObject, ResourceName: string): Subsystem;
+	static GetDefaultObject(): Subsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Subsystem;
+	static C(Other: UObject | any): Subsystem;
+}
+
+declare class LocalPlayerSubsystem extends Subsystem { 
+	static Load(ResourceName: string): LocalPlayerSubsystem;
+	static Find(Outer: UObject, ResourceName: string): LocalPlayerSubsystem;
+	static GetDefaultObject(): LocalPlayerSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalPlayerSubsystem;
+	static C(Other: UObject | any): LocalPlayerSubsystem;
+}
+
+declare type EMouseLockMode = 'DoNotLock' | 'LockOnCapture' | 'LockAlways' | 'LockInFullscreen' | 'EMouseLockMode_MAX';
+declare var EMouseLockMode : { DoNotLock:'DoNotLock',LockOnCapture:'LockOnCapture',LockAlways:'LockAlways',LockInFullscreen:'LockInFullscreen',EMouseLockMode_MAX:'EMouseLockMode_MAX', };
 declare class PlayerController extends Controller { 
 	Player: Player;
 	AcknowledgedPawn: Pawn;
@@ -9099,9 +10063,11 @@ declare class PlayerController extends Controller {
 	SetMouseLocation(X: number,Y: number): void;
 	SetMouseCursorWidget(Cursor: EMouseCursor,CursorWidget: UserWidget): void;
 	SetHapticsByValue(Frequency: number,Amplitude: number,Hand: EControllerHand): void;
+	SetDisableHaptics(bNewDisabled: boolean): void;
 	SetControllerLightColor(Color: Color): void;
 	SetCinematicMode(bInCinematicMode: boolean,bHidePlayer: boolean,bAffectsHUD: boolean,bAffectsMovement: boolean,bAffectsTurning: boolean): void;
 	SetAudioListenerOverride(AttachToComponent: SceneComponent,Location: Vector,Rotation: Rotator): void;
+	SetAudioListenerAttenuationOverride(AttachToComponent: SceneComponent,AttenuationLocationOVerride: Vector): void;
 	ServerViewSelf(TransitionParams: ViewTargetTransitionParams): void;
 	ServerViewPrevPlayer(): void;
 	ServerViewNextPlayer(): void;
@@ -9125,12 +10091,14 @@ declare class PlayerController extends Controller {
 	ServerAcknowledgePossession(P: Pawn): void;
 	SendToConsole(Command: string): void;
 	RestartLevel(): void;
+	ResetControllerLightColor(): void;
 	ProjectWorldLocationToScreen(WorldLocation: Vector,ScreenLocation?: Vector2D,bPlayerViewportRelative?: boolean): {ScreenLocation: Vector2D, $: boolean};
 	PlayHapticEffect(HapticEffect: HapticFeedbackEffect_Base,Hand: EControllerHand,Scale: number,bLoop: boolean): void;
 	PlayDynamicForceFeedback(Intensity: number,Duration: number,bAffectsLeftLarge: boolean,bAffectsLeftSmall: boolean,bAffectsRightLarge: boolean,bAffectsRightSmall: boolean,Action: EDynamicForceFeedbackAction,LatentInfo: LatentActionInfo): void;
 	Pause(): void;
 	OnServerStartedVisualLogger(bIsLogging: boolean): void;
 	LocalTravel(URL: string): void;
+	K2_ClientPlayForceFeedback(ForceFeedbackEffect: ForceFeedbackEffect,Tag: string,bLooping: boolean,bIgnoreTimeDilation: boolean,bPlayWhilePaused: boolean): void;
 	IsInputKeyDown(Key: Key): boolean;
 	GetViewportSize(SizeX?: number,SizeY?: number): {SizeX: number, SizeY: number};
 	GetSpectatorPawn(): SpectatorPawn;
@@ -9187,7 +10155,7 @@ declare class PlayerController extends Controller {
 	ClientPrepareMapChange(LevelName: string,bFirst: boolean,bLast: boolean): void;
 	ClientPlaySoundAtLocation(Sound: SoundBase,Location: Vector,VolumeMultiplier: number,PitchMultiplier: number): void;
 	ClientPlaySound(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number): void;
-	ClientPlayForceFeedback(ForceFeedbackEffect: ForceFeedbackEffect,bLooping: boolean,bIgnoreTimeDilation: boolean,Tag: string): void;
+	ClientPlayForceFeedback_Internal(ForceFeedbackEffect: ForceFeedbackEffect,Params: ForceFeedbackParameters): void;
 	ClientPlayCameraShake(Shake: UnrealEngineClass,Scale: number,PlaySpace: ECameraAnimPlaySpace,UserPlaySpaceRot: Rotator): void;
 	ClientPlayCameraAnim(AnimToPlay: CameraAnim,Scale: number,Rate: number,BlendInTime: number,BlendOutTime: number,bLoop: boolean,bRandomStartTime: boolean,Space: ECameraAnimPlaySpace,CustomPlaySpace: Rotator): void;
 	ClientMutePlayer(PlayerId: UniqueNetIdRepl): void;
@@ -9206,13 +10174,17 @@ declare class PlayerController extends Controller {
 	ClientCancelPendingMapChange(): void;
 	ClientAddTextureStreamingLoc(InLoc: Vector,Duration: number,bOverrideLocation: boolean): void;
 	ClearAudioListenerOverride(): void;
+	ClearAudioListenerAttenuationOverride(): void;
+	CanRestartPlayer(): boolean;
 	Camera(NewMode: string): void;
 	AddYawInput(Val: number): void;
 	AddRollInput(Val: number): void;
 	AddPitchInput(Val: number): void;
 	ActivateTouchInterface(NewTouchInterface: TouchInterface): void;
 	static C(Other: UObject | any): PlayerController;
+	SetEyeTrackedPlayer(): void;
 	WriteLeaderboardInteger(StatName: string,StatValue: number): boolean;
+	GetLocalPlayerSubSystemFromPlayerController(Class: UnrealEngineClass): LocalPlayerSubsystem;
 	IsLoggedIn(): boolean;
 	ShowPlatformSpecificAchievementsScreen(): void;
 	DeprojectScreenToWorld(ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
@@ -9228,7 +10200,9 @@ declare class PlayerController extends Controller {
 	SetInputMode_GameOnly(): void;
 	SetInputMode_UIOnly(InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
 	SetInputMode_UIOnlyEx(InWidgetToFocus: Widget,InMouseLockMode: EMouseLockMode): void;
+	static SetEyeTrackedPlayer(PlayerController: PlayerController): void;
 	static WriteLeaderboardInteger(PlayerController: PlayerController,StatName: string,StatValue: number): boolean;
+	static GetLocalPlayerSubSystemFromPlayerController(PlayerController: PlayerController,Class: UnrealEngineClass): LocalPlayerSubsystem;
 	static IsLoggedIn(SpecificPlayer: PlayerController): boolean;
 	static ShowPlatformSpecificAchievementsScreen(SpecificPlayer: PlayerController): void;
 	static DeprojectScreenToWorld(Player: PlayerController,ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
@@ -9278,7 +10252,6 @@ declare class Controller extends Actor {
 	TransformComponent: SceneComponent;
 	ControlRotation: Rotator;
 	bAttachToPawn: boolean;
-	bIsPlayerController: boolean;
 	static GetDefaultObject(): Controller;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Controller;
 	UnPossess(): void;
@@ -9290,6 +10263,8 @@ declare class Controller extends Actor {
 	ResetIgnoreMoveInput(): void;
 	ResetIgnoreLookInput(): void;
 	ResetIgnoreInputFlags(): void;
+	ReceiveUnPossess(UnpossessedPawn: Pawn): void;
+	ReceivePossess(PossessedPawn: Pawn): void;
 	ReceiveInstigatedAnyDamage(Damage: number,DamageType: DamageType,DamagedActor: Actor,DamageCauser: Actor): void;
 	Possess(InPawn: Pawn): void;
 	OnRep_PlayerState(): void;
@@ -9308,12 +10283,12 @@ declare class Controller extends Actor {
 	ClientSetLocation(NewLocation: Vector,NewRotation: Rotator): void;
 	CastToPlayerController(): PlayerController;
 	static C(Other: UObject | any): Controller;
+	GetCurrentPath(): NavigationPath;
 	SimpleMoveToActor(Goal: Actor): void;
 	SimpleMoveToLocation(Goal: Vector): void;
-	GetCurrentPath(): NavigationPath;
+	static GetCurrentPath(Controller: Controller): NavigationPath;
 	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
 	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
-	static GetCurrentPath(Controller: Controller): NavigationPath;
 }
 
 declare class Pawn extends Actor { 
@@ -9324,9 +10299,9 @@ declare class Pawn extends Actor {
 	BaseEyeHeight: number;
 	AutoPossessPlayer: EAutoReceiveInput;
 	AutoPossessAI: EAutoPossessAI;
+	RemoteViewPitch: number;
 	AIControllerClass: UnrealEngineClass;
 	PlayerState: PlayerState;
-	RemoteViewPitch: number;
 	LastHitBy: Controller;
 	Controller: Controller;
 	ControlInputVector: Vector;
@@ -9346,6 +10321,7 @@ declare class Pawn extends Actor {
 	IsMoveInputIgnored(): boolean;
 	IsLocallyControlled(): boolean;
 	IsControlled(): boolean;
+	IsBotControlled(): boolean;
 	GetPendingMovementInputVector(): Vector;
 	GetNavAgentLocation(): Vector;
 	GetMovementComponent(): PawnMovementComponent;
@@ -9374,20 +10350,22 @@ declare class PrimitiveComponent extends SceneComponent {
 	DepthPriorityGroup: ESceneDepthPriorityGroup;
 	ViewOwnerDepthPriorityGroup: ESceneDepthPriorityGroup;
 	IndirectLightingCacheQuality: EIndirectLightingCacheQuality;
-	bEnableAutoLODGeneration: boolean;
 	LightmapType: ELightmapType;
+	bEnableAutoLODGeneration: boolean;
+	bUseMaxLODAsImposter: boolean;
+	ExcludeForSpecificHLODLevels: number[];
+	bNeverDistanceCull: boolean;
 	bAlwaysCreatePhysicsState: boolean;
 	bGenerateOverlapEvents: boolean;
 	bMultiBodyOverlap: boolean;
-	bCheckAsyncSceneOnMove: boolean;
 	bTraceComplexOnMove: boolean;
 	bReturnMaterialOnMove: boolean;
 	bUseViewOwnerDepthPriorityGroup: boolean;
 	bAllowCullDistanceVolume: boolean;
 	bHasMotionBlurVelocityMeshes: boolean;
 	bVisibleInReflectionCaptures: boolean;
+	bVisibleInRayTracing: boolean;
 	bRenderInMainPass: boolean;
-	bRenderInMono: boolean;
 	bReceivesDecals: boolean;
 	bOwnerNoSee: boolean;
 	bOnlyOwnerSee: boolean;
@@ -9415,6 +10393,7 @@ declare class PrimitiveComponent extends SceneComponent {
 	bIgnoreRadialImpulse: boolean;
 	bIgnoreRadialForce: boolean;
 	bApplyImpulseOnDamage: boolean;
+	bReplicatePhysicsToAutonomousProxy: boolean;
 	AlwaysLoadOnClient: boolean;
 	AlwaysLoadOnServer: boolean;
 	bUseEditorCompositing: boolean;
@@ -9461,7 +10440,6 @@ declare class PrimitiveComponent extends SceneComponent {
 	SetTranslucentSortPriority(NewTranslucentSortPriority: number): void;
 	SetSingleSampleShadowFromStationaryLights(bNewSingleSampleShadowFromStationaryLights: boolean): void;
 	SetSimulatePhysics(bSimulate: boolean): void;
-	SetRenderInMono(bValue: boolean): void;
 	SetRenderInMainPass(bValue: boolean): void;
 	SetRenderCustomDepth(bValue: boolean): void;
 	SetReceivesDecals(bNewReceivesDecals: boolean): void;
@@ -9480,8 +10458,8 @@ declare class PrimitiveComponent extends SceneComponent {
 	SetMaterial(ElementIndex: number,Material: MaterialInterface): void;
 	SetMassScale(BoneName: string,InMassScale: number): void;
 	SetMassOverrideInKg(BoneName: string,MassInKg: number,bOverrideMass: boolean): void;
-	SetLockedAxis(LockedAxis: EDOFMode): void;
 	SetLinearDamping(InDamping: number): void;
+	SetGenerateOverlapEvents(bInGenerateOverlapEvents: boolean): void;
 	SetEnableGravity(bGravityEnabled: boolean): void;
 	SetCustomDepthStencilWriteMask(WriteMaskBit: ERendererStencilMask): void;
 	SetCustomDepthStencilValue(Value: number): void;
@@ -9500,14 +10478,16 @@ declare class PrimitiveComponent extends SceneComponent {
 	SetAllPhysicsLinearVelocity(NewVel: Vector,bAddToCurrent: boolean): void;
 	SetAllPhysicsAngularVelocityInRadians(NewAngVel: Vector,bAddToCurrent: boolean): void;
 	SetAllPhysicsAngularVelocityInDegrees(NewAngVel: Vector,bAddToCurrent: boolean): void;
-	SetAllPhysicsAngularVelocity(NewAngVel: Vector,bAddToCurrent: boolean): void;
 	SetAllMassScale(InMassScale: number): void;
 	ScaleByMomentOfInertia(InputVector: Vector,BoneName: string): Vector;
 	PutRigidBodyToSleep(BoneName: string): void;
-	K2_LineTraceComponent(TraceStart: Vector,TraceEnd: Vector,bTraceComplex: boolean,bShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string,OutHit?: HitResult): {HitLocation: Vector, HitNormal: Vector, BoneName: string, OutHit: HitResult, $: boolean};
+	K2_SphereTraceComponent(TraceStart: Vector,TraceEnd: Vector,SphereRadius: number,bTraceComplex: boolean,bShowTrace: boolean,bPersistentShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string,OutHit?: HitResult): {HitLocation: Vector, HitNormal: Vector, BoneName: string, OutHit: HitResult, $: boolean};
+	K2_SphereOverlapComponent(InSphereCentre: Vector,InSphereRadius: number,bTraceComplex: boolean,bShowTrace: boolean,bPersistentShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string,OutHit?: HitResult): {HitLocation: Vector, HitNormal: Vector, BoneName: string, OutHit: HitResult, $: boolean};
+	K2_LineTraceComponent(TraceStart: Vector,TraceEnd: Vector,bTraceComplex: boolean,bShowTrace: boolean,bPersistentShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string,OutHit?: HitResult): {HitLocation: Vector, HitNormal: Vector, BoneName: string, OutHit: HitResult, $: boolean};
 	K2_IsQueryCollisionEnabled(): boolean;
 	K2_IsPhysicsCollisionEnabled(): boolean;
 	K2_IsCollisionEnabled(): boolean;
+	K2_BoxOverlapComponent(InBoxCentre: Vector,InBox: Box,bTraceComplex: boolean,bShowTrace: boolean,bPersistentShowTrace: boolean,HitLocation?: Vector,HitNormal?: Vector,BoneName?: string,OutHit?: HitResult): {HitLocation: Vector, HitNormal: Vector, BoneName: string, OutHit: HitResult, $: boolean};
 	IsOverlappingComponent(OtherComp: PrimitiveComponent): boolean;
 	IsOverlappingActor(Other: Actor): boolean;
 	IsGravityEnabled(): boolean;
@@ -9520,7 +10500,7 @@ declare class PrimitiveComponent extends SceneComponent {
 	GetPhysicsAngularVelocityInRadians(BoneName: string): Vector;
 	GetPhysicsAngularVelocityInDegrees(BoneName: string): Vector;
 	GetPhysicsAngularVelocity(BoneName: string): Vector;
-	GetOverlappingComponents(InOverlappingComponents?: PrimitiveComponent[]): {InOverlappingComponents: PrimitiveComponent[]};
+	GetOverlappingComponents(OutOverlappingComponents?: PrimitiveComponent[]): {OutOverlappingComponents: PrimitiveComponent[]};
 	GetOverlappingActors(OverlappingActors?: Actor[],ClassFilter?: UnrealEngineClass): {OverlappingActors: Actor[]};
 	GetNumMaterials(): number;
 	GetMaterialFromCollisionFaceIndex(FaceIndex: number,SectionIndex?: number): {SectionIndex: number, $: MaterialInterface};
@@ -9529,6 +10509,7 @@ declare class PrimitiveComponent extends SceneComponent {
 	GetMass(): number;
 	GetLinearDamping(): number;
 	GetInertiaTensor(BoneName: string): Vector;
+	GetGenerateOverlapEvents(): boolean;
 	GetCollisionResponseToChannel(Channel: ECollisionChannel): ECollisionResponse;
 	GetCollisionProfileName(): string;
 	GetCollisionObjectType(): ECollisionChannel;
@@ -9536,7 +10517,7 @@ declare class PrimitiveComponent extends SceneComponent {
 	GetClosestPointOnCollision(Point: Vector,OutPointOnBody?: Vector,BoneName?: string): {OutPointOnBody: Vector, $: number};
 	GetCenterOfMass(BoneName: string): Vector;
 	GetAngularDamping(): number;
-	CreateDynamicMaterialInstance(ElementIndex: number,SourceMaterial: MaterialInterface): MaterialInstanceDynamic;
+	CreateDynamicMaterialInstance(ElementIndex: number,SourceMaterial: MaterialInterface,OptionalName: string): MaterialInstanceDynamic;
 	CreateAndSetMaterialInstanceDynamicFromMaterial(ElementIndex: number,Parent: MaterialInterface): MaterialInstanceDynamic;
 	CreateAndSetMaterialInstanceDynamic(ElementIndex: number): MaterialInstanceDynamic;
 	CopyArrayOfMoveIgnoreComponents(): PrimitiveComponent[];
@@ -9652,8 +10633,8 @@ declare class PhysicsVolume extends Volume {
 
 declare type EDetachmentRule = 'KeepRelative' | 'KeepWorld' | 'EDetachmentRule_MAX';
 declare var EDetachmentRule : { KeepRelative:'KeepRelative',KeepWorld:'KeepWorld',EDetachmentRule_MAX:'EDetachmentRule_MAX', };
-declare type ERelativeTransformSpace = 'RTS_World' | 'RTS_Actor' | 'RTS_Component' | 'RTS_ParentBoneSpace' | 'RTS_MAX';
-declare var ERelativeTransformSpace : { RTS_World:'RTS_World',RTS_Actor:'RTS_Actor',RTS_Component:'RTS_Component',RTS_ParentBoneSpace:'RTS_ParentBoneSpace',RTS_MAX:'RTS_MAX', };
+declare type EMoveComponentAction = 'Move' | 'Stop' | 'Return' | 'EMoveComponentAction_MAX';
+declare var EMoveComponentAction : { Move:'Move',Stop:'Stop',Return:'Return',EMoveComponentAction_MAX:'EMoveComponentAction_MAX', };
 declare class ARPin extends UObject { 
 	TrackedGeometry: ARTrackedGeometry;
 	PinnedComponent: SceneComponent;
@@ -9680,8 +10661,6 @@ declare class ARPin extends UObject {
 	static RemovePin(PinToRemove: ARPin): void;
 }
 
-declare type EMoveComponentAction = 'Move' | 'Stop' | 'Return' | 'EMoveComponentAction_MAX';
-declare var EMoveComponentAction : { Move:'Move',Stop:'Stop',Return:'Return',EMoveComponentAction_MAX:'EMoveComponentAction_MAX', };
 declare class SceneComponent extends ActorComponent { 
 	PhysicsVolume: any;
 	AttachParent: SceneComponent;
@@ -9698,15 +10677,14 @@ declare class SceneComponent extends ActorComponent {
 	bAbsoluteScale: boolean;
 	bVisible: boolean;
 	bHiddenInGame: boolean;
+	bShouldBeAttached: boolean;
 	bShouldUpdatePhysicsVolume: boolean;
 	bBoundsChangeTriggersStreamingDataRebuild: boolean;
 	bUseAttachParentBound: boolean;
-	bAbsoluteTranslation: boolean;
 	bVisualizeComponent: boolean;
 	Mobility: EComponentMobility;
 	DetailMode: EDetailMode;
 	PhysicsVolumeChangedDelegate: UnrealEngineMulticastDelegate<(NewVolume: PhysicsVolume) => void>;
-	RelativeTranslation: Vector;
 	static Load(ResourceName: string): SceneComponent;
 	static Find(Outer: UObject, ResourceName: string): SceneComponent;
 	static GetDefaultObject(): SceneComponent;
@@ -9715,12 +10693,16 @@ declare class SceneComponent extends ActorComponent {
 	SnapTo(InParent: SceneComponent,InSocketName: string): boolean;
 	SetWorldScale3D(NewScale: Vector): void;
 	SetVisibility(bNewVisibility: boolean,bPropagateToChildren: boolean): void;
+	SetShouldUpdatePhysicsVolume(bInShouldUpdatePhysicsVolume: boolean): void;
 	SetRelativeScale3D(NewScale3D: Vector): void;
+	SetMobility(NewMobility: EComponentMobility): void;
 	SetHiddenInGame(NewHidden: boolean,bPropagateToChildren: boolean): void;
 	SetAbsolute(bNewAbsoluteLocation: boolean,bNewAbsoluteRotation: boolean,bNewAbsoluteScale: boolean): void;
 	ResetRelativeTransform(): void;
 	OnRep_Visibility(OldValue: boolean): void;
 	OnRep_Transform(): void;
+	OnRep_RelativeRotation(): void;
+	OnRep_RelativeLocation(): void;
 	OnRep_AttachSocketName(): void;
 	OnRep_AttachParent(): void;
 	OnRep_AttachChildren(): void;
@@ -9755,6 +10737,7 @@ declare class SceneComponent extends ActorComponent {
 	GetSocketRotation(InSocketName: string): Rotator;
 	GetSocketQuaternion(InSocketName: string): Quat;
 	GetSocketLocation(InSocketName: string): Vector;
+	GetShouldUpdatePhysicsVolume(): boolean;
 	GetRightVector(): Vector;
 	GetRelativeTransform(): Transform;
 	GetPhysicsVolume(): PhysicsVolume;
@@ -9772,18 +10755,18 @@ declare class SceneComponent extends ActorComponent {
 	static C(Other: UObject | any): SceneComponent;
 	SetMobile(): void;
 	SetMobility(Type: EComponentMobility): void;
+	GetComponentBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
+	MoveComponentTo(TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
 	PinComponent(PinToWorldTransform: Transform,TrackedGeometry: ARTrackedGeometry,DebugName: string): ARPin;
 	PinComponentToTraceResult(TraceResult: ARTraceResult,DebugName: string): ARPin;
 	UnpinComponent(): void;
-	GetComponentBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
-	MoveComponentTo(TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
 	static SetMobile(SceneComponent: SceneComponent): void;
 	static SetMobility(SceneComponent: SceneComponent,Type: EComponentMobility): void;
+	static GetComponentBounds(Component: SceneComponent,Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
+	static MoveComponentTo(Component: SceneComponent,TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
 	static PinComponent(ComponentToPin: SceneComponent,PinToWorldTransform: Transform,TrackedGeometry: ARTrackedGeometry,DebugName: string): ARPin;
 	static PinComponentToTraceResult(ComponentToPin: SceneComponent,TraceResult: ARTraceResult,DebugName: string): ARPin;
 	static UnpinComponent(ComponentToUnpin: SceneComponent): void;
-	static GetComponentBounds(Component: SceneComponent,Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
-	static MoveComponentTo(Component: SceneComponent,TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
 }
 
 declare class RepAttachment { 
@@ -9801,8 +10784,6 @@ declare type ENetDormancy = 'DORM_Never' | 'DORM_Awake' | 'DORM_DormantAll' | 'D
 declare var ENetDormancy : { DORM_Never:'DORM_Never',DORM_Awake:'DORM_Awake',DORM_DormantAll:'DORM_DormantAll',DORM_DormantPartial:'DORM_DormantPartial',DORM_Initial:'DORM_Initial',DORM_MAX:'DORM_MAX', };
 declare type ESpawnActorCollisionHandlingMethod = 'Undefined' | 'AlwaysSpawn' | 'AdjustIfPossibleButAlwaysSpawn' | 'AdjustIfPossibleButDontSpawnIfColliding' | 'DontSpawnIfColliding' | 'ESpawnActorCollisionHandlingMethod_MAX';
 declare var ESpawnActorCollisionHandlingMethod : { Undefined:'Undefined',AlwaysSpawn:'AlwaysSpawn',AdjustIfPossibleButAlwaysSpawn:'AdjustIfPossibleButAlwaysSpawn',AdjustIfPossibleButDontSpawnIfColliding:'AdjustIfPossibleButDontSpawnIfColliding',DontSpawnIfColliding:'DontSpawnIfColliding',ESpawnActorCollisionHandlingMethod_MAX:'ESpawnActorCollisionHandlingMethod_MAX', };
-declare type EInputConsumeOptions = 'ICO_ConsumeAll' | 'ICO_ConsumeBoundKeys' | 'ICO_ConsumeNone' | 'ICO_MAX';
-declare var EInputConsumeOptions : { ICO_ConsumeAll:'ICO_ConsumeAll',ICO_ConsumeBoundKeys:'ICO_ConsumeBoundKeys',ICO_ConsumeNone:'ICO_ConsumeNone',ICO_MAX:'ICO_MAX', };
 declare class InterpFilter extends UObject { 
 	Caption: string;
 	static Load(ResourceName: string): InterpFilter;
@@ -9989,22 +10970,24 @@ declare type EMaterialMergeType = 'MaterialMergeType_Default' | 'MaterialMergeTy
 declare var EMaterialMergeType : { MaterialMergeType_Default:'MaterialMergeType_Default',MaterialMergeType_Simplygon:'MaterialMergeType_Simplygon',MaterialMergeType_MAX:'MaterialMergeType_MAX', };
 declare class MaterialProxySettings { 
 	TextureSize: IntPoint;
-	TextureSizingType: ETextureSizingType;
 	GutterSpace: number;
+	MetallicConstant: number;
+	RoughnessConstant: number;
+	SpecularConstant: number;
+	OpacityConstant: number;
+	OpacityMaskConstant: number;
+	AmbientOcclusionConstant: number;
+	TextureSizingType: ETextureSizingType;
+	MaterialMergeType: EMaterialMergeType;
+	BlendMode: EBlendMode;
 	bNormalMap: boolean;
 	bMetallicMap: boolean;
-	MetallicConstant: number;
 	bRoughnessMap: boolean;
-	RoughnessConstant: number;
 	bSpecularMap: boolean;
-	SpecularConstant: number;
 	bEmissiveMap: boolean;
 	bOpacityMap: boolean;
-	OpacityConstant: number;
 	bOpacityMaskMap: boolean;
-	OpacityMaskConstant: number;
 	bAmbientOcclusionMap: boolean;
-	AmbientOcclusionConstant: number;
 	DiffuseTextureSize: IntPoint;
 	NormalTextureSize: IntPoint;
 	MetallicTextureSize: IntPoint;
@@ -10014,8 +10997,6 @@ declare class MaterialProxySettings {
 	OpacityTextureSize: IntPoint;
 	OpacityMaskTextureSize: IntPoint;
 	AmbientOcclusionTextureSize: IntPoint;
-	MaterialMergeType: EMaterialMergeType;
-	BlendMode: EBlendMode;
 	clone() : MaterialProxySettings;
 	static C(Other: UObject | any): MaterialProxySettings;
 }
@@ -10041,6 +11022,18 @@ declare class LevelSimplificationDetails {
 	static C(Other: UObject | any): LevelSimplificationDetails;
 }
 
+declare type EVisibilityAggressiveness = 'VIS_LeastAggressive' | 'VIS_ModeratelyAggressive' | 'VIS_MostAggressive' | 'VIS_Max';
+declare var EVisibilityAggressiveness : { VIS_LeastAggressive:'VIS_LeastAggressive',VIS_ModeratelyAggressive:'VIS_ModeratelyAggressive',VIS_MostAggressive:'VIS_MostAggressive',VIS_Max:'VIS_Max', };
+declare class NavigationSystemConfig extends UObject { 
+	NavigationSystemClass: SoftClassPath;
+	bIsOverriden: boolean;
+	static Load(ResourceName: string): NavigationSystemConfig;
+	static Find(Outer: UObject, ResourceName: string): NavigationSystemConfig;
+	static GetDefaultObject(): NavigationSystemConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystemConfig;
+	static C(Other: UObject | any): NavigationSystemConfig;
+}
+
 declare class DefaultPhysicsVolume extends PhysicsVolume { 
 	static GetDefaultObject(): DefaultPhysicsVolume;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultPhysicsVolume;
@@ -10223,9 +11216,12 @@ declare class GameNetworkManager extends Info {
 	MAXNEARZEROVELOCITYSQUARED: number;
 	CLIENTADJUSTUPDATECOST: number;
 	MAXCLIENTUPDATEINTERVAL: number;
+	MaxClientForcedUpdateDuration: number;
 	MaxMoveDeltaTime: number;
+	MaxClientSmoothingDeltaTime: number;
 	ClientNetSendMoveDeltaTime: number;
 	ClientNetSendMoveDeltaTimeThrottled: number;
+	ClientNetSendMoveDeltaTimeStationary: number;
 	ClientNetSendMoveThrottleAtNetSpeed: number;
 	ClientNetSendMoveThrottleOverPlayerCount: number;
 	ClientAuthorativePosition: boolean;
@@ -10243,8 +11239,6 @@ declare class GameNetworkManager extends Info {
 	static C(Other: UObject | any): GameNetworkManager;
 }
 
-declare type EVisibilityAggressiveness = 'VIS_LeastAggressive' | 'VIS_ModeratelyAggressive' | 'VIS_MostAggressive' | 'VIS_Max';
-declare var EVisibilityAggressiveness : { VIS_LeastAggressive:'VIS_LeastAggressive',VIS_ModeratelyAggressive:'VIS_ModeratelyAggressive',VIS_MostAggressive:'VIS_MostAggressive',VIS_Max:'VIS_Max', };
 declare type EVolumeLightingMethod = 'VLM_VolumetricLightmap' | 'VLM_SparseVolumeLightingSamples' | 'VLM_MAX';
 declare var EVolumeLightingMethod : { VLM_VolumetricLightmap:'VLM_VolumetricLightmap',VLM_SparseVolumeLightingSamples:'VLM_SparseVolumeLightingSamples',VLM_MAX:'VLM_MAX', };
 declare class LightmassWorldInfoSettings { 
@@ -10258,20 +11252,20 @@ declare class LightmassWorldInfoSettings {
 	EmissiveBoost: number;
 	DiffuseBoost: number;
 	VolumeLightingMethod: EVolumeLightingMethod;
+	bUseAmbientOcclusion: boolean;
+	bGenerateAmbientOcclusionMaterialMask: boolean;
+	bVisualizeMaterialDiffuse: boolean;
+	bVisualizeAmbientOcclusion: boolean;
+	bCompressLightmaps: boolean;
 	VolumetricLightmapDetailCellSize: number;
 	VolumetricLightmapMaximumBrickMemoryMb: number;
 	VolumetricLightmapSphericalHarmonicSmoothing: number;
 	VolumeLightSamplePlacementScale: number;
-	bUseAmbientOcclusion: boolean;
-	bGenerateAmbientOcclusionMaterialMask: boolean;
 	DirectIlluminationOcclusionFraction: number;
 	IndirectIlluminationOcclusionFraction: number;
 	OcclusionExponent: number;
 	FullyOccludedSamplesFraction: number;
 	MaxOcclusionDistance: number;
-	bVisualizeMaterialDiffuse: boolean;
-	bVisualizeAmbientOcclusion: boolean;
-	bCompressLightmaps: boolean;
 	clone() : LightmassWorldInfoSettings;
 	static C(Other: UObject | any): LightmassWorldInfoSettings;
 }
@@ -10324,76 +11318,254 @@ declare class InteriorSettings {
 	static C(Other: UObject | any): InteriorSettings;
 }
 
-declare type ELandscapeCullingPrecision = 'High' | 'Medium' | 'Low' | 'ELandscapeCullingPrecision_MAX';
-declare var ELandscapeCullingPrecision : { High:'High',Medium:'Medium',Low:'Low',ELandscapeCullingPrecision_MAX:'ELandscapeCullingPrecision_MAX', };
-declare class MeshProxySettings { 
-	ScreenSize: number;
-	bOverrideVoxelSize: boolean;
-	VoxelSize: number;
-	MaterialSettings: MaterialProxySettings;
-	TextureWidth: number;
-	TextureHeight: number;
-	bExportNormalMap: boolean;
-	bExportMetallicMap: boolean;
-	bExportRoughnessMap: boolean;
-	bExportSpecularMap: boolean;
-	bCalculateCorrectLODModel: boolean;
-	MergeDistance: number;
-	HardAngleThreshold: number;
-	LightMapResolution: number;
-	bComputeLightMapResolution: boolean;
-	bRecalculateNormals: boolean;
-	bBakeVertexData: boolean;
-	bUseLandscapeCulling: boolean;
-	LandscapeCullingPrecision: ELandscapeCullingPrecision;
-	bAllowAdjacency: boolean;
-	bAllowDistanceField: boolean;
-	clone() : MeshProxySettings;
-	static C(Other: UObject | any): MeshProxySettings;
+declare class DynamicBlueprintBinding extends UObject { 
+	static Load(ResourceName: string): DynamicBlueprintBinding;
+	static Find(Outer: UObject, ResourceName: string): DynamicBlueprintBinding;
+	static GetDefaultObject(): DynamicBlueprintBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicBlueprintBinding;
+	static C(Other: UObject | any): DynamicBlueprintBinding;
 }
 
-declare type EMeshLODSelectionType = 'AllLODs' | 'SpecificLOD' | 'CalculateLOD' | 'EMeshLODSelectionType_MAX';
-declare var EMeshLODSelectionType : { AllLODs:'AllLODs',SpecificLOD:'SpecificLOD',CalculateLOD:'CalculateLOD',EMeshLODSelectionType_MAX:'EMeshLODSelectionType_MAX', };
-declare class MeshMergingSettings { 
-	bGenerateLightMapUV: boolean;
-	TargetLightMapResolution: number;
-	bComputedLightMapResolution: boolean;
-	bImportVertexColors: boolean;
-	bPivotPointAtZero: boolean;
-	bMergePhysicsData: boolean;
-	bMergeMaterials: boolean;
-	MaterialSettings: MaterialProxySettings;
-	bBakeVertexDataToMesh: boolean;
-	bUseVertexDataForBakingMaterial: boolean;
-	bUseTextureBinning: boolean;
-	bCalculateCorrectLODModel: boolean;
-	LODSelectionType: EMeshLODSelectionType;
-	ExportSpecificLOD: number;
+declare class DatasmithAssetUserData extends AssetUserData { 
+	MetaData: any;
+	ObjectTemplates: any;
+	static Load(ResourceName: string): DatasmithAssetUserData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithAssetUserData;
+	static GetDefaultObject(): DatasmithAssetUserData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithAssetUserData;
+	static C(Other: UObject | any): DatasmithAssetUserData;
+}
+
+declare class DynamicSubsystem extends Subsystem { 
+	static Load(ResourceName: string): DynamicSubsystem;
+	static Find(Outer: UObject, ResourceName: string): DynamicSubsystem;
+	static GetDefaultObject(): DynamicSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicSubsystem;
+	static C(Other: UObject | any): DynamicSubsystem;
+}
+
+declare class EngineSubsystem extends DynamicSubsystem { 
+	static Load(ResourceName: string): EngineSubsystem;
+	static Find(Outer: UObject, ResourceName: string): EngineSubsystem;
+	static GetDefaultObject(): EngineSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineSubsystem;
+	static C(Other: UObject | any): EngineSubsystem;
+}
+
+declare class PrimaryAssetType { 
+	Name: string;
+	clone() : PrimaryAssetType;
+	static C(Other: UObject | any): PrimaryAssetType;
+	Conv_PrimaryAssetTypeToString(): string;
+	EqualEqual_PrimaryAssetType(B: PrimaryAssetType): boolean;
+	GetPrimaryAssetIdList(OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
+	IsValidPrimaryAssetType(): boolean;
+	NotEqual_PrimaryAssetType(B: PrimaryAssetType): boolean;
+	static Conv_PrimaryAssetTypeToString(PrimaryAssetType: PrimaryAssetType): string;
+	static EqualEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
+	static GetPrimaryAssetIdList(PrimaryAssetType: PrimaryAssetType,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
+	static IsValidPrimaryAssetType(PrimaryAssetType: PrimaryAssetType): boolean;
+	static NotEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
+}
+
+declare class PrimaryAssetId { 
+	PrimaryAssetType: PrimaryAssetType;
+	PrimaryAssetName: string;
+	clone() : PrimaryAssetId;
+	static C(Other: UObject | any): PrimaryAssetId;
+	Conv_PrimaryAssetIdToString(): string;
+	EqualEqual_PrimaryAssetId(B: PrimaryAssetId): boolean;
+	GetClassFromPrimaryAssetId(): UnrealEngineClass;
+	GetCurrentBundleState(bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
+	GetObjectFromPrimaryAssetId(): UObject;
+	GetSoftClassReferenceFromPrimaryAssetId(): Class;
+	GetSoftObjectReferenceFromPrimaryAssetId(): UObject;
+	IsValidPrimaryAssetId(): boolean;
+	NotEqual_PrimaryAssetId(B: PrimaryAssetId): boolean;
+	UnloadPrimaryAsset(): void;
+	static Conv_PrimaryAssetIdToString(PrimaryAssetId: PrimaryAssetId): string;
+	static EqualEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
+	static GetClassFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UnrealEngineClass;
+	static GetCurrentBundleState(PrimaryAssetId: PrimaryAssetId,bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
+	static GetObjectFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
+	static GetSoftClassReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): Class;
+	static GetSoftObjectReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
+	static IsValidPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): boolean;
+	static NotEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
+	static UnloadPrimaryAsset(PrimaryAssetId: PrimaryAssetId): void;
+}
+
+declare class EditorSubsystem extends DynamicSubsystem { 
+	static Load(ResourceName: string): EditorSubsystem;
+	static Find(Outer: UObject, ResourceName: string): EditorSubsystem;
+	static GetDefaultObject(): EditorSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSubsystem;
+	static C(Other: UObject | any): EditorSubsystem;
+}
+
+declare class Class extends Struct { 
+	static Load(ResourceName: string): Class;
+	static Find(Outer: UObject, ResourceName: string): Class;
+	static GetDefaultObject(): Class;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Class;
+	static C(Other: UObject | any): Class;
+	AddDynamicBinding(BindingObject: DynamicBlueprintBinding): void;
+	GetClassPathName(): string;
+	GetDerivedClasses(Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
+	GetDynamicBinding(BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
+	GetObjectsOfClass(Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
+	GetSuperClasses(): UnrealEngineClass[];
+	IsGeneratedByBlueprint(): boolean;
+	GetAllDatasmithUserData(OutUserData?: DatasmithAssetUserData[]): {OutUserData: DatasmithAssetUserData[]};
+	GetEngineSubsystem(): EngineSubsystem;
+	Conv_ClassToSoftClassReference(): Class;
+	Conv_SoftClassReferenceToClass(): UnrealEngineClass;
+	Conv_SoftClassReferenceToString(): string;
+	EqualEqual_SoftClassReference(B: Class): boolean;
+	GetClassDisplayName(): string;
+	GetPrimaryAssetIdFromClass(): PrimaryAssetId;
+	GetPrimaryAssetIdFromSoftClassReference(): PrimaryAssetId;
+	IsValidClass(): boolean;
+	IsValidSoftClassReference(): boolean;
+	NotEqual_SoftClassReference(B: Class): boolean;
+	ClassIsChildOf(ParentClass: UnrealEngineClass): boolean;
+	EqualEqual_ClassClass(B: UnrealEngineClass): boolean;
+	NotEqual_ClassClass(B: UnrealEngineClass): boolean;
+	SelectClass(B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
+	CreateSaveGameObject(): SaveGame;
+	SpawnObject(Outer: UObject): UObject;
+	GetEditorSubsystem(): EditorSubsystem;
+	CreateDragDropOperation(): DragDropOperation;
+	static AddDynamicBinding(Outer: UnrealEngineClass,BindingObject: DynamicBlueprintBinding): void;
+	static GetClassPathName(Class: UnrealEngineClass): string;
+	static GetDerivedClasses(ClassToLookFor: UnrealEngineClass,Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
+	static GetDynamicBinding(Outer: UnrealEngineClass,BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
+	static GetObjectsOfClass(ClassToLookFor: UnrealEngineClass,Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
+	static GetSuperClasses(InClass: UnrealEngineClass): UnrealEngineClass[];
+	static IsGeneratedByBlueprint(InClass: UnrealEngineClass): boolean;
+	static GetAllDatasmithUserData(ObjectClass: UnrealEngineClass,OutUserData?: DatasmithAssetUserData[]): {OutUserData: DatasmithAssetUserData[]};
+	static GetEngineSubsystem(Class: UnrealEngineClass): EngineSubsystem;
+	static Conv_ClassToSoftClassReference(Class: UnrealEngineClass): Class;
+	static Conv_SoftClassReferenceToClass(softclass: Class): UnrealEngineClass;
+	static Conv_SoftClassReferenceToString(SoftClassReference: Class): string;
+	static EqualEqual_SoftClassReference(A: Class,B: Class): boolean;
+	static GetClassDisplayName(Class: UnrealEngineClass): string;
+	static GetPrimaryAssetIdFromClass(Class: UnrealEngineClass): PrimaryAssetId;
+	static GetPrimaryAssetIdFromSoftClassReference(SoftClassReference: Class): PrimaryAssetId;
+	static IsValidClass(Class: UnrealEngineClass): boolean;
+	static IsValidSoftClassReference(SoftClassReference: Class): boolean;
+	static NotEqual_SoftClassReference(A: Class,B: Class): boolean;
+	static ClassIsChildOf(TestClass: UnrealEngineClass,ParentClass: UnrealEngineClass): boolean;
+	static EqualEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
+	static NotEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
+	static SelectClass(A: UnrealEngineClass,B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
+	static CreateSaveGameObject(SaveGameClass: UnrealEngineClass): SaveGame;
+	static SpawnObject(ObjectClass: UnrealEngineClass,Outer: UObject): UObject;
+	static GetEditorSubsystem(Class: UnrealEngineClass): EditorSubsystem;
+	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
+}
+
+declare type EProxyNormalComputationMethod = 'AngleWeighted' | 'AreaWeighted' | 'EqualWeighted' | 'EProxyNormalComputationMethod_MAX';
+declare var EProxyNormalComputationMethod : { AngleWeighted:'AngleWeighted',AreaWeighted:'AreaWeighted',EqualWeighted:'EqualWeighted',EProxyNormalComputationMethod_MAX:'EProxyNormalComputationMethod_MAX', };
+declare type ELandscapeCullingPrecision = 'High' | 'Medium' | 'Low' | 'ELandscapeCullingPrecision_MAX';
+declare var ELandscapeCullingPrecision : { High:'High',Medium:'Medium',Low:'Low',ELandscapeCullingPrecision_MAX:'ELandscapeCullingPrecision_MAX', };
+declare class MeshProxySettings { 
+	ScreenSize: number;
+	VoxelSize: number;
+	MaterialSettings: MaterialProxySettings;
+	TextureWidth: number;
+	TextureHeight: number;
+	bExportNormalMap: boolean;
+	bExportMetallicMap: boolean;
+	bExportRoughnessMap: boolean;
+	bExportSpecularMap: boolean;
+	bBakeVertexData: boolean;
+	MergeDistance: number;
+	UnresolvedGeometryColor: Color;
+	MaxRayCastDist: number;
+	HardAngleThreshold: number;
+	LightMapResolution: number;
+	NormalCalculationMethod: EProxyNormalComputationMethod;
+	LandscapeCullingPrecision: ELandscapeCullingPrecision;
+	bCalculateCorrectLODModel: boolean;
+	bOverrideVoxelSize: boolean;
+	bOverrideTransferDistance: boolean;
+	bUseHardAngleThreshold: boolean;
+	bComputeLightMapResolution: boolean;
+	bRecalculateNormals: boolean;
+	bUseLandscapeCulling: boolean;
+	bAllowAdjacency: boolean;
+	bAllowDistanceField: boolean;
+	bReuseMeshLightmapUVs: boolean;
+	bCreateCollision: boolean;
+	bAllowVertexColors: boolean;
+	bGenerateLightmapUVs: boolean;
+	clone() : MeshProxySettings;
+	static C(Other: UObject | any): MeshProxySettings;
+}
+
+declare type EUVOutput = 'DoNotOutputChannel' | 'OutputChannel' | 'EUVOutput_MAX';
+declare var EUVOutput : { DoNotOutputChannel:'DoNotOutputChannel',OutputChannel:'OutputChannel',EUVOutput_MAX:'EUVOutput_MAX', };
+declare type EMeshLODSelectionType = 'AllLODs' | 'SpecificLOD' | 'CalculateLOD' | 'LowestDetailLOD' | 'EMeshLODSelectionType_MAX';
+declare var EMeshLODSelectionType : { AllLODs:'AllLODs',SpecificLOD:'SpecificLOD',CalculateLOD:'CalculateLOD',LowestDetailLOD:'LowestDetailLOD',EMeshLODSelectionType_MAX:'EMeshLODSelectionType_MAX', };
+declare class MeshMergingSettings { 
+	TargetLightMapResolution: number;
+	OutputUVs: EUVOutput;
+	MaterialSettings: MaterialProxySettings;
+	GutterSize: number;
 	SpecificLOD: number;
+	LODSelectionType: EMeshLODSelectionType;
+	bGenerateLightMapUV: boolean;
+	bComputedLightMapResolution: boolean;
+	bPivotPointAtZero: boolean;
+	bMergePhysicsData: boolean;
+	bMergeMaterials: boolean;
+	bBakeVertexDataToMesh: boolean;
+	bUseVertexDataForBakingMaterial: boolean;
+	bUseTextureBinning: boolean;
+	bReuseMeshLightmapUVs: boolean;
+	bMergeEquivalentMaterials: boolean;
 	bUseLandscapeCulling: boolean;
+	bIncludeImposters: boolean;
+	bAllowDistanceField: boolean;
+	bImportVertexColors: boolean;
+	bCalculateCorrectLODModel: boolean;
 	bExportNormalMap: boolean;
 	bExportMetallicMap: boolean;
 	bExportRoughnessMap: boolean;
 	bExportSpecularMap: boolean;
 	MergedMaterialAtlasResolution: number;
+	ExportSpecificLOD: number;
 	clone() : MeshMergingSettings;
 	static C(Other: UObject | any): MeshMergingSettings;
 }
 
 declare class HierarchicalSimplification { 
 	TransitionScreenSize: number;
+	OverrideDrawDistance: number;
+	bUseOverrideDrawDistance: boolean;
+	bAllowSpecificExclusion: boolean;
 	bSimplifyMesh: boolean;
+	bOnlyGenerateClustersForVolumes: boolean;
+	bReusePreviousLevelClusters: boolean;
 	ProxySetting: MeshProxySettings;
 	MergeSetting: MeshMergingSettings;
 	DesiredBoundRadius: number;
 	DesiredFillingPercentage: number;
 	MinNumberOfActorsToBuild: number;
-	bOnlyGenerateClustersForVolumes: boolean;
 	clone() : HierarchicalSimplification;
 	static C(Other: UObject | any): HierarchicalSimplification;
 }
 
-declare class BookMark extends UObject { 
+declare class BookmarkBase extends UObject { 
+	static Load(ResourceName: string): BookmarkBase;
+	static Find(Outer: UObject, ResourceName: string): BookmarkBase;
+	static GetDefaultObject(): BookmarkBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BookmarkBase;
+	static C(Other: UObject | any): BookmarkBase;
+}
+
+declare class BookMark extends BookmarkBase { 
 	Location: Vector;
 	Rotation: Rotator;
 	HiddenLevels: string[];
@@ -10404,6 +11576,15 @@ declare class BookMark extends UObject {
 	static C(Other: UObject | any): BookMark;
 }
 
+declare class BroadphaseSettings { 
+	bUseMBPOnClient: boolean;
+	bUseMBPOnServer: boolean;
+	MBPBounds: Box;
+	MBPNumSubdivs: any;
+	clone() : BroadphaseSettings;
+	static C(Other: UObject | any): BroadphaseSettings;
+}
+
 declare class NetViewer { 
 	Connection: NetConnection;
 	InViewer: Actor;
@@ -10415,6 +11596,10 @@ declare class NetViewer {
 }
 
 declare class WorldSettings extends Info { 
+	VisibilityCellSize: number;
+	VisibilityAggressiveness: EVisibilityAggressiveness;
+	bPrecomputeVisibility: boolean;
+	bPlaceCellsOnlyAlongCameraTracks: boolean;
 	bEnableWorldBoundsChecks: boolean;
 	bEnableNavigationSystem: boolean;
 	bEnableAISystem: boolean;
@@ -10423,6 +11608,14 @@ declare class WorldSettings extends Info {
 	bEnableWorldOriginRebasing: boolean;
 	bWorldGravitySet: boolean;
 	bGlobalGravitySet: boolean;
+	bMinimizeBSPSections: boolean;
+	bForceNoPrecomputedLighting: boolean;
+	bHighPriorityLoading: boolean;
+	bHighPriorityLoadingLocal: boolean;
+	bOverrideDefaultBroadphaseSettings: boolean;
+	NavigationSystemConfig: NavigationSystemConfig;
+	NavigationSystemConfigOverride: NavigationSystemConfig;
+	WorldToMeters: number;
 	KillZ: number;
 	KillZDamageType: UnrealEngineClass;
 	WorldGravityZ: number;
@@ -10432,28 +11625,22 @@ declare class WorldSettings extends Info {
 	DefaultGameMode: UnrealEngineClass;
 	GameNetworkManagerClass: UnrealEngineClass;
 	PackedLightAndShadowMapTextureSize: number;
-	bMinimizeBSPSections: boolean;
 	DefaultColorScale: Vector;
 	DefaultMaxDistanceFieldOcclusionDistance: number;
 	GlobalDistanceFieldViewDistance: number;
 	DynamicIndirectShadowsSelfShadowingIntensity: number;
-	bPrecomputeVisibility: boolean;
-	bPlaceCellsOnlyAlongCameraTracks: boolean;
-	VisibilityCellSize: number;
-	VisibilityAggressiveness: EVisibilityAggressiveness;
-	bForceNoPrecomputedLighting: boolean;
 	LightmassSettings: LightmassWorldInfoSettings;
 	DefaultReverbSettings: ReverbSettings;
 	DefaultAmbientZoneSettings: InteriorSettings;
+	MonoCullingDistance: number;
 	DefaultBaseSoundMix: SoundMix;
 	bEnableHierarchicalLODSystem: boolean;
-	HLODSetupAsset: any;
+	HLODSetupAsset: Class;
+	OverrideBaseMaterial: MaterialInterface;
 	HierarchicalLODSetup: HierarchicalSimplification[];
 	NumHLODLevels: number;
 	bGenerateSingleClusterForLevel: boolean;
-	WorldToMeters: number;
-	MonoCullingDistance: number;
-	BookMarks: BookMark;
+	Bookmarks: BookMark;
 	TimeDilation: number;
 	MatineeTimeDilation: number;
 	DemoPlayTimeDilation: number;
@@ -10461,17 +11648,26 @@ declare class WorldSettings extends Info {
 	MaxGlobalTimeDilation: number;
 	MinUndilatedFrameTime: number;
 	MaxUndilatedFrameTime: number;
+	BroadphaseSettings: BroadphaseSettings;
 	Pauser: PlayerState;
-	bHighPriorityLoading: boolean;
-	bHighPriorityLoadingLocal: boolean;
 	ReplicationViewers: NetViewer[];
 	AssetUserData: AssetUserData[];
+	MaxNumberOfBookmarks: number;
+	DefaultBookmarkClass: UnrealEngineClass;
+	BookmarkArray: BookmarkBase[];
+	LastBookmarkClass: UnrealEngineClass;
 	static GetDefaultObject(): WorldSettings;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldSettings;
 	OnRep_WorldGravityZ(): void;
 	static C(Other: UObject | any): WorldSettings;
 }
 
+declare class ReplicatedStaticActorDestructionInfo { 
+	ObjClass: UnrealEngineClass;
+	clone() : ReplicatedStaticActorDestructionInfo;
+	static C(Other: UObject | any): ReplicatedStaticActorDestructionInfo;
+}
+
 declare class Level extends UObject { 
 	OwningWorld: World;
 	Model: Model;
@@ -10489,17 +11685,19 @@ declare class Level extends UObject {
 	ShadowmapTotalSize: number;
 	StaticNavigableGeometry: Vector[];
 	StreamingTextureGuids: Guid[];
-	bIsLightingScenario: boolean;
 	LevelBuildDataId: Guid;
 	MapBuildData: MapBuildDataRegistry;
 	LightBuildLevelOffset: IntVector;
+	bIsLightingScenario: boolean;
 	bTextureStreamingRotationChanged: boolean;
+	bStaticComponentsRegisteredInStreamingManager: boolean;
 	bIsVisible: boolean;
 	bLocked: boolean;
 	LevelSimplification: LevelSimplificationDetails;
 	LevelColor: LinearColor;
 	WorldSettings: WorldSettings;
 	AssetUserData: AssetUserData[];
+	DestroyedReplicatedStaticActors: ReplicatedStaticActorDestructionInfo[];
 	static Load(ResourceName: string): Level;
 	static Find(Outer: UObject, ResourceName: string): Level;
 	static GetDefaultObject(): Level;
@@ -10509,6 +11707,43 @@ declare class Level extends UObject {
 	static UpdateModelComponents(Level: Level): void;
 }
 
+declare class NavDataConfig extends NavAgentProperties { 
+	Name: string;
+	Color: Color;
+	DefaultQueryExtent: Vector;
+	NavigationDataClass: UnrealEngineClass;
+	NavigationDataClassName: SoftClassPath;
+	clone() : NavDataConfig;
+	static C(Other: UObject | any): NavDataConfig;
+}
+
+declare type ERuntimeGenerationType = 'Static' | 'DynamicModifiersOnly' | 'Dynamic' | 'LegacyGeneration' | 'ERuntimeGenerationType_MAX';
+declare var ERuntimeGenerationType : { Static:'Static',DynamicModifiersOnly:'DynamicModifiersOnly',Dynamic:'Dynamic',LegacyGeneration:'LegacyGeneration',ERuntimeGenerationType_MAX:'ERuntimeGenerationType_MAX', };
+declare class SupportedAreaData { 
+	AreaClassName: string;
+	AreaID: number;
+	AreaClass: UnrealEngineClass;
+	clone() : SupportedAreaData;
+	static C(Other: UObject | any): SupportedAreaData;
+}
+
+declare class NavigationData extends Actor { 
+	RenderingComp: PrimitiveComponent;
+	NavDataConfig: NavDataConfig;
+	bEnableDrawing: boolean;
+	bForceRebuildOnLoad: boolean;
+	bCanBeMainNavData: boolean;
+	bCanSpawnOnRebuild: boolean;
+	bRebuildAtRuntime: boolean;
+	RuntimeGeneration: ERuntimeGenerationType;
+	ObservedPathsTickInterval: number;
+	DataVersion: any;
+	SupportedAreas: SupportedAreaData[];
+	static GetDefaultObject(): NavigationData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationData;
+	static C(Other: UObject | any): NavigationData;
+}
+
 declare type EPathFollowingAction = 'Error' | 'NoMove' | 'DirectMove' | 'PartialPath' | 'PathToGoal' | 'EPathFollowingAction_MAX';
 declare var EPathFollowingAction : { Error:'Error',NoMove:'NoMove',DirectMove:'DirectMove',PartialPath:'PartialPath',PathToGoal:'PathToGoal',EPathFollowingAction_MAX:'EPathFollowingAction_MAX', };
 declare class PathFollowingComponent extends ActorComponent { 
@@ -10616,242 +11851,25 @@ declare class AISenseConfig extends UObject {
 
 declare type EAISenseNotifyType = 'OnEveryPerception' | 'OnPerceptionChange' | 'EAISenseNotifyType_MAX';
 declare var EAISenseNotifyType : { OnEveryPerception:'OnEveryPerception',OnPerceptionChange:'OnPerceptionChange',EAISenseNotifyType_MAX:'EAISenseNotifyType_MAX', };
-declare class AISenseEvent extends UObject { 
-	static Load(ResourceName: string): AISenseEvent;
-	static Find(Outer: UObject, ResourceName: string): AISenseEvent;
-	static GetDefaultObject(): AISenseEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent;
-	static C(Other: UObject | any): AISenseEvent;
-}
-
-declare class AIStimulus { 
-	Age: number;
-	ExpirationAge: number;
-	Strength: number;
-	StimulusLocation: Vector;
-	ReceiverLocation: Vector;
-	Tag: string;
-	bSuccessfullySensed: boolean;
-	clone() : AIStimulus;
-	static C(Other: UObject | any): AIStimulus;
+declare class AISystemBase extends UObject { 
+	AISystemClassName: SoftClassPath;
+	AISystemModuleName: string;
+	bInstantiateAISystemOnClient: boolean;
+	static Load(ResourceName: string): AISystemBase;
+	static Find(Outer: UObject, ResourceName: string): AISystemBase;
+	static GetDefaultObject(): AISystemBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystemBase;
+	static C(Other: UObject | any): AISystemBase;
 }
 
-declare class AIPerceptionSystem extends UObject { 
-	Senses: AISense[];
-	PerceptionAgingRate: number;
-	static Load(ResourceName: string): AIPerceptionSystem;
-	static Find(Outer: UObject, ResourceName: string): AIPerceptionSystem;
-	static GetDefaultObject(): AIPerceptionSystem;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionSystem;
-	static ReportPerceptionEvent(WorldContextObject: UObject,PerceptionEvent: AISenseEvent): void;
-	ReportEvent(PerceptionEvent: AISenseEvent): void;
-	static RegisterPerceptionStimuliSource(WorldContextObject: UObject,Sense: UnrealEngineClass,Target: Actor): boolean;
-	OnPerceptionStimuliSourceEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
-	static GetSenseClassForStimulus(WorldContextObject: UObject,Stimulus: AIStimulus): UnrealEngineClass;
-	static C(Other: UObject | any): AIPerceptionSystem;
-}
-
-declare class AISense extends UObject { 
-	DefaultExpirationAge: number;
-	NotifyType: EAISenseNotifyType;
-	bWantsNewPawnNotification: boolean;
-	bAutoRegisterAllPawnsAsSources: boolean;
-	PerceptionSystemInstance: AIPerceptionSystem;
-	static Load(ResourceName: string): AISense;
-	static Find(Outer: UObject, ResourceName: string): AISense;
-	static GetDefaultObject(): AISense;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense;
-	static C(Other: UObject | any): AISense;
-}
-
-declare class ActorPerceptionBlueprintInfo { 
-	Target: Actor;
-	LastSensedStimuli: AIStimulus[];
-	bIsHostile: boolean;
-	clone() : ActorPerceptionBlueprintInfo;
-	static C(Other: UObject | any): ActorPerceptionBlueprintInfo;
-}
-
-declare class AIPerceptionComponent extends ActorComponent { 
-	SensesConfig: AISenseConfig[];
-	DominantSense: UnrealEngineClass;
-	AIOwner: AIController;
-	OnPerceptionUpdated: UnrealEngineMulticastDelegate<(UpdatedActors: Actor[]) => void>;
-	OnTargetPerceptionUpdated: UnrealEngineMulticastDelegate<(Actor: Actor, Stimulus: AIStimulus) => void>;
-	static Load(ResourceName: string): AIPerceptionComponent;
-	static Find(Outer: UObject, ResourceName: string): AIPerceptionComponent;
-	static GetDefaultObject(): AIPerceptionComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionComponent;
-	SetSenseEnabled(SenseClass: UnrealEngineClass,bEnable: boolean): void;
-	RequestStimuliListenerUpdate(): void;
-	OnOwnerEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
-	GetPerceivedHostileActors(OutActors?: Actor[]): {OutActors: Actor[]};
-	GetPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetKnownPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetCurrentlyPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetActorsPerception(Actor: Actor,Info?: ActorPerceptionBlueprintInfo): {Info: ActorPerceptionBlueprintInfo, $: boolean};
-	static C(Other: UObject | any): AIPerceptionComponent;
-}
-
-declare type EAIRequestPriority = 'SoftScript' | 'Logic' | 'HardScript' | 'Reaction' | 'Ultimate' | 'MAX';
-declare var EAIRequestPriority : { SoftScript:'SoftScript',Logic:'Logic',HardScript:'HardScript',Reaction:'Reaction',Ultimate:'Ultimate',MAX:'MAX', };
-declare type EPawnActionResult = 'NotStarted' | 'InProgress' | 'Success' | 'Failed' | 'Aborted' | 'EPawnActionResult_MAX';
-declare var EPawnActionResult : { NotStarted:'NotStarted',InProgress:'InProgress',Success:'Success',Failed:'Failed',Aborted:'Aborted',EPawnActionResult_MAX:'EPawnActionResult_MAX', };
-declare class PawnAction extends UObject { 
-	ChildAction: PawnAction;
-	ParentAction: PawnAction;
-	OwnerComponent: PawnActionsComponent;
-	Instigator: UObject;
-	BrainComp: BrainComponent;
-	bAllowNewSameClassInstance: boolean;
-	bReplaceActiveSameClassInstance: boolean;
-	bShouldPauseMovement: boolean;
-	bAlwaysNotifyOnFinished: boolean;
-	static Load(ResourceName: string): PawnAction;
-	static Find(Outer: UObject, ResourceName: string): PawnAction;
-	static GetDefaultObject(): PawnAction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction;
-	GetActionPriority(): EAIRequestPriority;
-	Finish(WithResult: EPawnActionResult): void;
-	static CreateActionInstance(WorldContextObject: UObject,ActionClass: UnrealEngineClass): PawnAction;
-	static C(Other: UObject | any): PawnAction;
-}
-
-declare class PawnActionStack { 
-	TopAction: PawnAction;
-	clone() : PawnActionStack;
-	static C(Other: UObject | any): PawnActionStack;
-}
-
-declare class PawnActionEvent { 
-	Action: PawnAction;
-	clone() : PawnActionEvent;
-	static C(Other: UObject | any): PawnActionEvent;
-}
-
-declare type EPawnActionAbortState = 'NeverStarted' | 'NotBeingAborted' | 'MarkPendingAbort' | 'LatentAbortInProgress' | 'AbortDone' | 'MAX';
-declare var EPawnActionAbortState : { NeverStarted:'NeverStarted',NotBeingAborted:'NotBeingAborted',MarkPendingAbort:'MarkPendingAbort',LatentAbortInProgress:'LatentAbortInProgress',AbortDone:'AbortDone',MAX:'MAX', };
-declare class PawnActionsComponent extends ActorComponent { 
-	ControlledPawn: Pawn;
-	ActionStacks: PawnActionStack[];
-	ActionEvents: PawnActionEvent[];
-	CurrentAction: PawnAction;
-	static Load(ResourceName: string): PawnActionsComponent;
-	static Find(Outer: UObject, ResourceName: string): PawnActionsComponent;
-	static GetDefaultObject(): PawnActionsComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnActionsComponent;
-	K2_PushAction(NewAction: PawnAction,Priority: EAIRequestPriority,Instigator: UObject): boolean;
-	static K2_PerformAction(Pawn: Pawn,Action: PawnAction,Priority: EAIRequestPriority): boolean;
-	K2_ForceAbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
-	K2_AbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
-	static C(Other: UObject | any): PawnActionsComponent;
-}
-
-declare type ETaskResourceOverlapPolicy = 'StartOnTop' | 'StartAtEnd' | 'ETaskResourceOverlapPolicy_MAX';
-declare var ETaskResourceOverlapPolicy : { StartOnTop:'StartOnTop',StartAtEnd:'StartAtEnd',ETaskResourceOverlapPolicy_MAX:'ETaskResourceOverlapPolicy_MAX', };
-declare class GameplayTask extends UObject { 
-	InstanceName: string;
-	ResourceOverlapPolicy: ETaskResourceOverlapPolicy;
-	ChildTask: GameplayTask;
-	static Load(ResourceName: string): GameplayTask;
-	static Find(Outer: UObject, ResourceName: string): GameplayTask;
-	static GetDefaultObject(): GameplayTask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask;
-	ReadyForActivation(): void;
-	EndTask(): void;
-	static C(Other: UObject | any): GameplayTask;
-}
-
-declare class GameplayResourceSet { 
-	clone() : GameplayResourceSet;
-	static C(Other: UObject | any): GameplayResourceSet;
-}
-
-declare class GameplayTasksComponent extends ActorComponent { 
-	bIsNetDirty: boolean;
-	SimulatedTasks: GameplayTask[];
-	TaskPriorityQueue: GameplayTask[];
-	TickingTasks: GameplayTask[];
-	KnownTasks: GameplayTask[];
-	OnClaimedResourcesChange: UnrealEngineMulticastDelegate<(NewlyClaimed: GameplayResourceSet, FreshlyReleased: GameplayResourceSet) => void>;
-	static Load(ResourceName: string): GameplayTasksComponent;
-	static Find(Outer: UObject, ResourceName: string): GameplayTasksComponent;
-	static GetDefaultObject(): GameplayTasksComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTasksComponent;
-	OnRep_SimulatedTasks(): void;
-	static C(Other: UObject | any): GameplayTasksComponent;
-}
-
-declare class NavigationFilterArea { 
-	AreaClass: UnrealEngineClass;
-	TravelCostOverride: number;
-	EnteringCostOverride: number;
-	bIsExcluded: boolean;
-	bOverrideTravelCost: boolean;
-	bOverrideEnteringCost: boolean;
-	clone() : NavigationFilterArea;
-	static C(Other: UObject | any): NavigationFilterArea;
-}
-
-declare class NavigationFilterFlags { 
-	bNavFlag0: boolean;
-	bNavFlag1: boolean;
-	bNavFlag2: boolean;
-	bNavFlag3: boolean;
-	bNavFlag4: boolean;
-	bNavFlag5: boolean;
-	bNavFlag6: boolean;
-	bNavFlag7: boolean;
-	bNavFlag8: boolean;
-	bNavFlag9: boolean;
-	bNavFlag10: boolean;
-	bNavFlag11: boolean;
-	bNavFlag12: boolean;
-	bNavFlag13: boolean;
-	bNavFlag14: boolean;
-	bNavFlag15: boolean;
-	clone() : NavigationFilterFlags;
-	static C(Other: UObject | any): NavigationFilterFlags;
-}
-
-declare class NavigationQueryFilter extends UObject { 
-	Areas: NavigationFilterArea[];
-	IncludeFlags: NavigationFilterFlags;
-	ExcludeFlags: NavigationFilterFlags;
-	static Load(ResourceName: string): NavigationQueryFilter;
-	static Find(Outer: UObject, ResourceName: string): NavigationQueryFilter;
-	static GetDefaultObject(): NavigationQueryFilter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationQueryFilter;
-	static C(Other: UObject | any): NavigationQueryFilter;
-}
-
-declare class AIRequestID { 
-	RequestID: any;
-	clone() : AIRequestID;
-	static C(Other: UObject | any): AIRequestID;
-}
-
-declare type EPathFollowingResult = 'Success' | 'Blocked' | 'OffPath' | 'Aborted' | 'Skipped_DEPRECATED' | 'Invalid' | 'EPathFollowingResult_MAX';
-declare var EPathFollowingResult : { Success:'Success',Blocked:'Blocked',OffPath:'OffPath',Aborted:'Aborted',Skipped_DEPRECATED:'Skipped_DEPRECATED',Invalid:'Invalid',EPathFollowingResult_MAX:'EPathFollowingResult_MAX', };
-declare class GameplayTaskResource extends UObject { 
-	ManualResourceID: number;
-	AutoResourceID: any;
-	bManuallySetID: boolean;
-	static Load(ResourceName: string): GameplayTaskResource;
-	static Find(Outer: UObject, ResourceName: string): GameplayTaskResource;
-	static GetDefaultObject(): GameplayTaskResource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskResource;
-	static C(Other: UObject | any): GameplayTaskResource;
-}
-
-declare class BlackboardKeySelector { 
-	AllowedTypes: BlackboardKeyType[];
-	SelectedKeyName: string;
-	SelectedKeyType: UnrealEngineClass;
-	SelectedKeyID: number;
-	bNoneIsAllowedValue: boolean;
-	clone() : BlackboardKeySelector;
-	static C(Other: UObject | any): BlackboardKeySelector;
+declare class BlackboardKeySelector { 
+	AllowedTypes: BlackboardKeyType[];
+	SelectedKeyName: string;
+	SelectedKeyType: UnrealEngineClass;
+	SelectedKeyID: number;
+	bNoneIsAllowedValue: boolean;
+	clone() : BlackboardKeySelector;
+	static C(Other: UObject | any): BlackboardKeySelector;
 }
 
 declare class GameplayTagQuery { 
@@ -11090,8898 +12108,7757 @@ declare class BehaviorTree extends UObject {
 	static C(Other: UObject | any): BehaviorTree;
 }
 
-declare type EPathFollowingRequestResult = 'Failed' | 'AlreadyAtGoal' | 'RequestSuccessful' | 'EPathFollowingRequestResult_MAX';
-declare var EPathFollowingRequestResult : { Failed:'Failed',AlreadyAtGoal:'AlreadyAtGoal',RequestSuccessful:'RequestSuccessful',EPathFollowingRequestResult_MAX:'EPathFollowingRequestResult_MAX', };
-declare type EPathFollowingStatus = 'Idle' | 'Waiting' | 'Paused' | 'Moving' | 'EPathFollowingStatus_MAX';
-declare var EPathFollowingStatus : { Idle:'Idle',Waiting:'Waiting',Paused:'Paused',Moving:'Moving',EPathFollowingStatus_MAX:'EPathFollowingStatus_MAX', };
-declare class AIController extends Controller { 
-	bStopAILogicOnUnposses: boolean;
-	bLOSflag: boolean;
-	bSkipExtraLOSChecks: boolean;
-	bAllowStrafe: boolean;
-	bWantsPlayerState: boolean;
-	bSetControlRotationFromPawnOrientation: boolean;
-	PathFollowingComponent: PathFollowingComponent;
-	BrainComponent: BrainComponent;
-	PerceptionComponent: AIPerceptionComponent;
-	ActionsComp: PawnActionsComponent;
-	Blackboard: BlackboardComponent;
-	CachedGameplayTasksComponent: GameplayTasksComponent;
-	DefaultNavigationFilterClass: UnrealEngineClass;
-	ReceiveMoveCompleted: UnrealEngineMulticastDelegate<(RequestID: AIRequestID, Result: EPathFollowingResult) => void>;
-	static GetDefaultObject(): AIController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIController;
-	UseBlackboard(BlackboardAsset: BlackboardData,BlackboardComponent?: BlackboardComponent): {BlackboardComponent: BlackboardComponent, $: boolean};
-	UnclaimTaskResource(ResourceClass: UnrealEngineClass): void;
-	SetMoveBlockDetection(bEnable: boolean): void;
-	RunBehaviorTree(BTAsset: BehaviorTree): boolean;
-	OnUsingBlackBoard(BlackboardComp: BlackboardComponent,BlackboardAsset: BlackboardData): void;
-	OnUnpossess(UnpossessedPawn: Pawn): void;
-	OnPossess(PossessedPawn: Pawn): void;
-	OnGameplayTaskResourcesClaimed(NewlyClaimed: GameplayResourceSet,FreshlyReleased: GameplayResourceSet): void;
-	MoveToLocation(Dest: Vector,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bProjectDestinationToNavigation: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
-	MoveToActor(Goal: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
-	K2_SetFocus(NewFocus: Actor): void;
-	K2_SetFocalPoint(FP: Vector): void;
-	K2_ClearFocus(): void;
-	HasPartialPath(): boolean;
-	GetPathFollowingComponent(): PathFollowingComponent;
-	GetMoveStatus(): EPathFollowingStatus;
-	GetImmediateMoveDestination(): Vector;
-	GetFocusActor(): Actor;
-	GetFocalPointOnActor(Actor: Actor): Vector;
-	GetFocalPoint(): Vector;
-	GetAIPerceptionComponent(): AIPerceptionComponent;
-	ClaimTaskResource(ResourceClass: UnrealEngineClass): void;
-	static C(Other: UObject | any): AIController;
-}
-
-declare class XRDeviceId { 
-	SystemName: string;
-	DeviceID: number;
-	clone() : XRDeviceId;
-	static C(Other: UObject | any): XRDeviceId;
-	GetDevicePose(bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
-	static GetDevicePose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+declare class BehaviorTreeTemplateInfo { 
+	Asset: BehaviorTree;
+	Template: BTCompositeNode;
+	clone() : BehaviorTreeTemplateInfo;
+	static C(Other: UObject | any): BehaviorTreeTemplateInfo;
 }
 
-declare class Actor extends UObject { 
-	PrimaryActorTick: ActorTickFunction;
-	bHidden: boolean;
-	bNetTemporary: boolean;
-	bNetStartup: boolean;
-	bOnlyRelevantToOwner: boolean;
-	bAlwaysRelevant: boolean;
-	bReplicateMovement: boolean;
-	bTearOff: boolean;
-	bExchangedRoles: boolean;
-	bNetLoadOnClient: boolean;
-	bNetUseOwnerRelevancy: boolean;
-	bRelevantForNetworkReplays: boolean;
-	bAllowTickBeforeBeginPlay: boolean;
-	bAutoDestroyWhenFinished: boolean;
-	bBlockInput: boolean;
-	bCanBeDamaged: boolean;
-	bCollideWhenPlacing: boolean;
-	bFindCameraComponentWhenViewTarget: boolean;
-	bGenerateOverlapEventsDuringLevelStreaming: boolean;
-	bIgnoresOriginShifting: boolean;
-	bEnableAutoLODGeneration: boolean;
-	bActorSeamlessTraveled: boolean;
-	bReplicates: boolean;
-	bCanBeInCluster: boolean;
-	bAllowReceiveTickEventOnDedicatedServer: boolean;
-	bActorEnableCollision: boolean;
-	bActorIsBeingDestroyed: boolean;
-	RemoteRole: ENetRole;
-	ReplicatedMovement: RepMovement;
-	InitialLifeSpan: number;
-	CustomTimeDilation: number;
-	AttachmentReplication: RepAttachment;
-	Owner: Actor;
-	NetDriverName: string;
-	Role: ENetRole;
-	NetDormancy: ENetDormancy;
-	SpawnCollisionHandlingMethod: ESpawnActorCollisionHandlingMethod;
-	AutoReceiveInput: EAutoReceiveInput;
-	InputConsumeOption: EInputConsumeOptions;
-	InputPriority: number;
-	InputComponent: InputComponent;
-	NetCullDistanceSquared: number;
-	NetTag: number;
-	NetUpdateFrequency: number;
-	MinNetUpdateFrequency: number;
-	NetPriority: number;
-	Instigator: Pawn;
-	Children: Actor[];
-	RootComponent: SceneComponent;
-	PivotOffset: Vector;
-	ControllingMatineeActors: MatineeActor[];
-	Layers: string[];
-	ParentComponentActor: any;
-	ParentComponent: any;
-	GroupActor: Actor;
-	SpriteScale: number;
-	HiddenEditorViews: any;
-	ActorLabel: string;
-	FolderPath: string;
-	bHiddenEd: boolean;
-	bIsEditorPreviewActor: boolean;
-	bHiddenEdLayer: boolean;
-	bHiddenEdLevel: boolean;
-	bLockLocation: boolean;
-	bActorLabelEditable: boolean;
-	bEditable: boolean;
-	bListedInSceneOutliner: boolean;
-	bHiddenEdTemporary: boolean;
-	Tags: string[];
-	OnTakeAnyDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, DamageType: DamageType, InstigatedBy: Controller, DamageCauser: Actor) => void>;
-	OnTakePointDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, InstigatedBy: Controller, HitLocation: Vector, FHitComponent: PrimitiveComponent, BoneName: string, ShotFromDirection: Vector, DamageType: DamageType, DamageCauser: Actor) => void>;
-	OnActorBeginOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
-	OnActorEndOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
-	OnBeginCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
-	OnEndCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
-	OnClicked: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonPressed: Key) => void>;
-	OnReleased: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonReleased: Key) => void>;
-	OnInputTouchBegin: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
-	OnInputTouchEnd: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
-	OnInputTouchEnter: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
-	OnInputTouchLeave: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
-	OnActorHit: UnrealEngineMulticastDelegate<(SelfActor: Actor, OtherActor: Actor, NormalImpulse: Vector, Hit: HitResult) => void>;
-	OnDestroyed: UnrealEngineMulticastDelegate<(DestroyedActor: Actor) => void>;
-	OnEndPlay: UnrealEngineMulticastDelegate<(Actor: Actor, EndPlayReason: EEndPlayReason) => void>;
-	InstanceComponents: ActorComponent[];
-	BlueprintCreatedComponents: ActorComponent[];
-	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
-	static GetDefaultObject(): Actor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Actor;
-	WasRecentlyRendered(Tolerance: number): boolean;
-	UserConstructionScript(): void;
-	TearOff(): void;
-	SnapRootComponentTo(InParentActor: Actor,InSocketName: string): void;
-	SetTickGroup(NewTickGroup: ETickingGroup): void;
-	SetTickableWhenPaused(bTickableWhenPaused: boolean): void;
-	SetReplicates(bInReplicates: boolean): void;
-	SetReplicateMovement(bInReplicateMovement: boolean): void;
-	SetOwner(NewOwner: Actor): void;
-	SetNetDormancy(NewDormancy: ENetDormancy): void;
-	SetLifeSpan(InLifespan: number): void;
-	SetIsTemporarilyHiddenInEditor(bIsHidden: boolean): void;
-	SetFolderPath(NewFolderPath: string): void;
-	SetActorTickInterval(TickInterval: number): void;
-	SetActorTickEnabled(bEnabled: boolean): void;
-	SetActorScale3D(NewScale3D: Vector): void;
-	SetActorRelativeScale3D(NewRelativeScale: Vector): void;
-	SetActorLabel(NewActorLabel: string,bMarkDirty: boolean): void;
-	SetActorHiddenInGame(bNewHidden: boolean): void;
-	SetActorEnableCollision(bNewActorEnableCollision: boolean): void;
-	RemoveTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
-	RemoveTickPrerequisiteActor(PrerequisiteActor: Actor): void;
-	ReceiveTick(DeltaSeconds: number): void;
-	ReceiveRadialDamage(DamageReceived: number,DamageType: DamageType,Origin: Vector,HitInfo: HitResult,InstigatedBy: Controller,DamageCauser: Actor): void;
-	ReceivePointDamage(Damage: number,DamageType: DamageType,HitLocation: Vector,HitNormal: Vector,HitComponent: PrimitiveComponent,BoneName: string,ShotFromDirection: Vector,InstigatedBy: Controller,DamageCauser: Actor,HitInfo: HitResult): void;
-	ReceiveHit(MyComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,bSelfMoved: boolean,HitLocation: Vector,HitNormal: Vector,NormalImpulse: Vector,Hit: HitResult): void;
-	ReceiveEndPlay(EndPlayReason: EEndPlayReason): void;
-	ReceiveDestroyed(): void;
-	ReceiveBeginPlay(): void;
-	ReceiveAnyDamage(Damage: number,DamageType: DamageType,InstigatedBy: Controller,DamageCauser: Actor): void;
-	ReceiveActorOnReleased(ButtonReleased: Key): void;
-	ReceiveActorOnInputTouchLeave(FingerIndex: ETouchIndex): void;
-	ReceiveActorOnInputTouchEnter(FingerIndex: ETouchIndex): void;
-	ReceiveActorOnInputTouchEnd(FingerIndex: ETouchIndex): void;
-	ReceiveActorOnInputTouchBegin(FingerIndex: ETouchIndex): void;
-	ReceiveActorOnClicked(ButtonPressed: Key): void;
-	ReceiveActorEndOverlap(OtherActor: Actor): void;
-	ReceiveActorEndCursorOver(): void;
-	ReceiveActorBeginOverlap(OtherActor: Actor): void;
-	ReceiveActorBeginCursorOver(): void;
-	PrestreamTextures(Seconds: number,bEnableStreaming: boolean,CinematicTextureGroups: number): void;
-	OnRep_ReplicateMovement(): void;
-	OnRep_ReplicatedMovement(): void;
-	OnRep_Owner(): void;
-	OnRep_Instigator(): void;
-	OnRep_AttachmentReplication(): void;
-	MakeNoise(Loudness: number,NoiseInstigator: Pawn,NoiseLocation: Vector,MaxRange: number,Tag: string): void;
-	MakeMIDForMaterial(Parent: MaterialInterface): MaterialInstanceDynamic;
-	K2_TeleportTo(DestLocation: Vector,DestRotation: Rotator): boolean;
-	K2_SetActorTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
-	K2_SetActorRotation(NewRotation: Rotator,bTeleportPhysics: boolean): boolean;
-	K2_SetActorRelativeTransform(NewRelativeTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_SetActorRelativeRotation(NewRelativeRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_SetActorRelativeLocation(NewRelativeLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_SetActorLocationAndRotation(NewLocation: Vector,NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
-	K2_SetActorLocation(NewLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
-	K2_OnReset(): void;
-	K2_OnEndViewTarget(PC: PlayerController): void;
-	K2_OnBecomeViewTarget(PC: PlayerController): void;
-	K2_GetRootComponent(): SceneComponent;
-	K2_GetActorRotation(): Rotator;
-	K2_GetActorLocation(): Vector;
-	K2_DetachFromActor(LocationRule: EDetachmentRule,RotationRule: EDetachmentRule,ScaleRule: EDetachmentRule): void;
-	K2_DestroyComponent(Component: ActorComponent): void;
-	K2_DestroyActor(): void;
-	K2_AttachToComponent(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
-	K2_AttachToActor(ParentActor: Actor,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
-	K2_AttachRootComponentToActor(InParentActor: Actor,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
-	K2_AttachRootComponentTo(InParent: SceneComponent,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
-	K2_AddActorWorldTransform(DeltaTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_AddActorWorldRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_AddActorWorldOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_AddActorLocalTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_AddActorLocalRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	K2_AddActorLocalOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
-	IsTemporarilyHiddenInEditor(bIncludeParent: boolean): boolean;
-	IsSelectable(): boolean;
-	IsOverlappingActor(Other: Actor): boolean;
-	IsHiddenEdAtStartup(): boolean;
-	IsHiddenEd(): boolean;
-	IsEditable(): boolean;
-	IsChildActor(): boolean;
-	IsActorTickEnabled(): boolean;
-	IsActorBeingDestroyed(): boolean;
-	HasAuthority(): boolean;
-	GetVerticalDistanceTo(OtherActor: Actor): number;
-	GetVelocity(): Vector;
-	GetTransform(): Transform;
-	GetTickableWhenPaused(): boolean;
-	GetSquaredDistanceTo(OtherActor: Actor): number;
-	GetRemoteRole(): ENetRole;
-	GetParentComponent(): ChildActorComponent;
-	GetParentActor(): Actor;
-	GetOwner(): Actor;
-	GetOverlappingComponents(OverlappingComponents?: PrimitiveComponent[]): {OverlappingComponents: PrimitiveComponent[]};
-	GetOverlappingActors(OverlappingActors?: Actor[],ClassFilter?: UnrealEngineClass): {OverlappingActors: Actor[]};
-	GetLifeSpan(): number;
-	GetInstigatorController(): Controller;
-	GetInstigator(): Pawn;
-	GetInputVectorAxisValue(InputAxisKey: Key): Vector;
-	GetInputAxisValue(InputAxisName: string): number;
-	GetInputAxisKeyValue(InputAxisKey: Key): number;
-	GetHorizontalDotProductTo(OtherActor: Actor): number;
-	GetHorizontalDistanceTo(OtherActor: Actor): number;
-	GetGameTimeSinceCreation(): number;
-	GetFolderPath(): string;
-	GetDotProductTo(OtherActor: Actor): number;
-	GetDistanceTo(OtherActor: Actor): number;
-	GetComponentsByTag(ComponentClass: UnrealEngineClass,Tag: string): ActorComponent[];
-	GetComponentsByClass(ComponentClass: UnrealEngineClass): ActorComponent[];
-	GetComponentByClass(ComponentClass: UnrealEngineClass): ActorComponent;
-	GetAttachParentSocketName(): string;
-	GetAttachParentActor(): Actor;
-	GetAttachedActors(OutActors?: Actor[]): {OutActors: Actor[]};
-	GetAllChildActors(ChildActors?: Actor[],bIncludeDescendants?: boolean): {ChildActors: Actor[]};
-	GetActorUpVector(): Vector;
-	GetActorTimeDilation(): number;
-	GetActorTickInterval(): number;
-	GetActorScale3D(): Vector;
-	GetActorRightVector(): Vector;
-	GetActorRelativeScale3D(): Vector;
-	GetActorLabel(): string;
-	GetActorForwardVector(): Vector;
-	GetActorEyesViewPoint(OutLocation?: Vector,OutRotation?: Rotator): {OutLocation: Vector, OutRotation: Rotator};
-	GetActorEnableCollision(): boolean;
-	GetActorBounds(bOnlyCollidingComponents: boolean,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
-	ForceNetUpdate(): void;
-	FlushNetDormancy(): void;
-	EnableInput(PlayerController: PlayerController): void;
-	DisableInput(PlayerController: PlayerController): void;
-	DetachRootComponentFromParent(bMaintainWorldPosition: boolean): void;
-	AddTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
-	AddTickPrerequisiteActor(PrerequisiteActor: Actor): void;
-	AddComponent(TemplateName: string,bManualAttachment: boolean,RelativeTransform: Transform,ComponentTemplateContext: UObject): ActorComponent;
-	ActorHasTag(Tag: string): boolean;
-	static C(Other: UObject | any): Actor;
-	ClearActorLabel(): void;
-	GetActorLabel(): string;
-	GetFolderPath(): string;
-	IsActorLabelEditable(): boolean;
-	SetActorLabel(NewActorLabel: string,bMarkDirty: boolean): void;
-	SetFolderPath(NewFolderPath: string): void;
-	SetFolderPath_Recursively(NewFolderPath: string): void;
-	SetIsTemporarilyHiddenInEditor(bIsHidden: boolean): void;
-	Actor_GetWorld(): World;
-	GetLastRenderTime(): number;
-	GetLevel(): Level;
-	IsPendingKill(): boolean;
-	ReregisterAllComponents(): void;
-	SetActorFlags(Flags: number): void;
-	SetRootComponent(Component: SceneComponent): void;
-	GetActorBounds(Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
-	ApplyDamage(BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	ApplyPointDamage(BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	FinishSpawningActor(SpawnTransform: Transform): Actor;
-	GetAIController(): AIController;
-	GetBlackboard(): BlackboardComponent;
-	AddDeviceVisualizationComponent(XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
-	static ClearActorLabel(Actor: Actor): void;
-	static GetActorLabel(Actor: Actor): string;
-	static GetFolderPath(Actor: Actor): string;
-	static IsActorLabelEditable(Actor: Actor): boolean;
-	static SetActorLabel(Actor: Actor,NewActorLabel: string,bMarkDirty: boolean): void;
-	static SetFolderPath(Actor: Actor,NewFolderPath: string): void;
-	static SetFolderPath_Recursively(Actor: Actor,NewFolderPath: string): void;
-	static SetIsTemporarilyHiddenInEditor(Actor: Actor,bIsHidden: boolean): void;
-	static Actor_GetWorld(Actor: Actor): World;
-	static GetLastRenderTime(Actor: Actor): number;
-	static GetLevel(Actor: Actor): Level;
-	static IsPendingKill(InActor: Actor): boolean;
-	static ReregisterAllComponents(Actor: Actor): void;
-	static SetActorFlags(Actor: Actor,Flags: number): void;
-	static SetRootComponent(Actor: Actor,Component: SceneComponent): void;
-	static GetActorBounds(Actor: Actor,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
-	static ApplyDamage(DamagedActor: Actor,BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	static ApplyPointDamage(DamagedActor: Actor,BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	static FinishSpawningActor(Actor: Actor,SpawnTransform: Transform): Actor;
-	static GetAIController(ControlledActor: Actor): AIController;
-	static GetBlackboard(Target: Actor): BlackboardComponent;
-	static AddDeviceVisualizationComponent(Target: Actor,XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
-}
-
-declare class LineBatchComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): LineBatchComponent;
-	static Find(Outer: UObject, ResourceName: string): LineBatchComponent;
-	static GetDefaultObject(): LineBatchComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LineBatchComponent;
-	static C(Other: UObject | any): LineBatchComponent;
-}
-
-declare type EStreamingVolumeUsage = 'SVB_Loading' | 'SVB_LoadingAndVisibility' | 'SVB_VisibilityBlockingOnLoad' | 'SVB_BlockingOnLoad' | 'SVB_LoadingNotVisible' | 'SVB_MAX';
-declare var EStreamingVolumeUsage : { SVB_Loading:'SVB_Loading',SVB_LoadingAndVisibility:'SVB_LoadingAndVisibility',SVB_VisibilityBlockingOnLoad:'SVB_VisibilityBlockingOnLoad',SVB_BlockingOnLoad:'SVB_BlockingOnLoad',SVB_LoadingNotVisible:'SVB_LoadingNotVisible',SVB_MAX:'SVB_MAX', };
-declare class LevelStreamingVolume extends Volume { 
-	StreamingLevelNames: string[];
-	bEditorPreVisOnly: boolean;
-	bDisabled: boolean;
-	StreamingUsage: EStreamingVolumeUsage;
-	static GetDefaultObject(): LevelStreamingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingVolume;
-	static C(Other: UObject | any): LevelStreamingVolume;
-}
-
-declare class LevelStreaming extends UObject { 
-	PackageName: string;
-	WorldAsset: any;
-	PackageNameToLoad: string;
-	LODPackageNames: string[];
-	LevelTransform: Transform;
-	bShouldBeVisibleInEditor: boolean;
-	bLocked: boolean;
-	bShouldBeLoaded: boolean;
-	bShouldBeVisible: boolean;
-	bIsStatic: boolean;
-	bShouldBlockOnLoad: boolean;
-	LevelLODIndex: number;
-	bDisableDistanceStreaming: boolean;
-	bDrawOnLevelStatusMap: boolean;
-	DrawColor: Color;
-	LevelColor: LinearColor;
-	EditorStreamingVolumes: LevelStreamingVolume[];
-	MinTimeBetweenVolumeUnloadRequests: number;
-	Keywords: string[];
-	OnLevelLoaded: UnrealEngineMulticastDelegate<() => void>;
-	OnLevelUnloaded: UnrealEngineMulticastDelegate<() => void>;
-	OnLevelShown: UnrealEngineMulticastDelegate<() => void>;
-	OnLevelHidden: UnrealEngineMulticastDelegate<() => void>;
-	LoadedLevel: Level;
-	PendingUnloadLevel: Level;
-	FolderPath: string;
-	static Load(ResourceName: string): LevelStreaming;
-	static Find(Outer: UObject, ResourceName: string): LevelStreaming;
-	static GetDefaultObject(): LevelStreaming;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreaming;
-	IsStreamingStatePending(): boolean;
-	IsLevelVisible(): boolean;
-	IsLevelLoaded(): boolean;
-	GetWorldAssetPackageFName(): string;
-	GetLevelScriptActor(): LevelScriptActor;
-	CreateInstance(UniqueInstanceName: string): LevelStreaming;
-	static C(Other: UObject | any): LevelStreaming;
-}
-
-declare class DemoNetDriver extends NetDriver { 
-	RollbackNetStartupActors: any;
-	CheckpointSaveMaxMSPerFrame: number;
-	bIsLocalReplay: boolean;
-	static Load(ResourceName: string): DemoNetDriver;
-	static Find(Outer: UObject, ResourceName: string): DemoNetDriver;
-	static GetDefaultObject(): DemoNetDriver;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoNetDriver;
-	static C(Other: UObject | any): DemoNetDriver;
-}
-
-declare class ParticleEventManager extends Actor { 
-	static GetDefaultObject(): ParticleEventManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleEventManager;
-	static C(Other: UObject | any): ParticleEventManager;
-}
-
-declare class BlueprintFunctionLibrary extends UObject { 
-	static Load(ResourceName: string): BlueprintFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionLibrary;
-	static GetDefaultObject(): BlueprintFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionLibrary;
-	static C(Other: UObject | any): BlueprintFunctionLibrary;
-}
-
-declare class CrowdManagerBase extends UObject { 
-	static Load(ResourceName: string): CrowdManagerBase;
-	static Find(Outer: UObject, ResourceName: string): CrowdManagerBase;
-	static GetDefaultObject(): CrowdManagerBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdManagerBase;
-	static C(Other: UObject | any): CrowdManagerBase;
-}
-
-declare type ENavDataGatheringModeConfig = 'Invalid' | 'Instant' | 'Lazy' | 'ENavDataGatheringModeConfig_MAX';
-declare var ENavDataGatheringModeConfig : { Invalid:'Invalid',Instant:'Instant',Lazy:'Lazy',ENavDataGatheringModeConfig_MAX:'ENavDataGatheringModeConfig_MAX', };
-declare type FNavigationSystemRunMode = 'InvalidMode' | 'GameMode' | 'EditorMode' | 'SimulationMode' | 'PIEMode' | 'FNavigationSystemRunMode_MAX';
-declare var FNavigationSystemRunMode : { InvalidMode:'InvalidMode',GameMode:'GameMode',EditorMode:'EditorMode',SimulationMode:'SimulationMode',PIEMode:'PIEMode',FNavigationSystemRunMode_MAX:'FNavigationSystemRunMode_MAX', };
-declare class NavMeshBoundsVolume extends Volume { 
-	SupportedAgents: NavAgentSelector;
-	static GetDefaultObject(): NavMeshBoundsVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMeshBoundsVolume;
-	static C(Other: UObject | any): NavMeshBoundsVolume;
-}
-
-declare type ENavigationQueryResult = 'Invalid' | 'Error' | 'Fail' | 'Success' | 'ENavigationQueryResult_MAX';
-declare var ENavigationQueryResult : { Invalid:'Invalid',Error:'Error',Fail:'Fail',Success:'Success',ENavigationQueryResult_MAX:'ENavigationQueryResult_MAX', };
-declare class NavigationSystem extends BlueprintFunctionLibrary { 
-	MainNavData: NavigationData;
-	AbstractNavData: NavigationData;
-	CrowdManagerClass: UnrealEngineClass;
-	bAutoCreateNavigationData: boolean;
-	bAllowClientSideNavigation: boolean;
-	bSupportRebuilding: boolean;
-	bInitialBuildingLocked: boolean;
-	bSkipAgentHeightCheckWhenPickingNavData: boolean;
-	DataGatheringMode: ENavDataGatheringModeConfig;
-	bGenerateNavigationOnlyAroundNavigationInvokers: boolean;
-	ActiveTilesUpdateInterval: number;
-	SupportedAgents: NavDataConfig[];
-	DirtyAreasUpdateFreq: number;
-	NavDataSet: NavigationData[];
-	NavDataRegistrationQueue: NavigationData[];
-	OnNavDataRegisteredEvent: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
-	OnNavigationGenerationFinishedDelegate: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
-	OperationMode: FNavigationSystemRunMode;
-	static Load(ResourceName: string): NavigationSystem;
-	static Find(Outer: UObject, ResourceName: string): NavigationSystem;
-	static GetDefaultObject(): NavigationSystem;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystem;
-	UnregisterNavigationInvoker(Invoker: Actor): void;
-	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
-	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
-	SetMaxSimultaneousTileGenerationJobsCount(MaxNumberOfJobs: number): void;
-	SetGeometryGatheringMode(NewMode: ENavDataGatheringModeConfig): void;
-	ResetMaxSimultaneousTileGenerationJobsCount(): void;
-	RegisterNavigationInvoker(Invoker: Actor,TileGenerationRadius: number,TileRemovalRadius: number): void;
-	static ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
-	OnNavigationBoundsUpdated(NavVolume: NavMeshBoundsVolume): void;
-	static NavigationRaycast(WorldContextObject: UObject,RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
-	static K2_ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,ProjectedLocation?: Vector,NavData?: NavigationData,FilterClass?: UnrealEngineClass,QueryExtent?: Vector): {ProjectedLocation: Vector, $: boolean};
-	static K2_GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	static K2_GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	static IsNavigationBeingBuiltOrLocked(WorldContextObject: UObject): boolean;
-	static IsNavigationBeingBuilt(WorldContextObject: UObject): boolean;
-	static GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	static GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	static GetPathLength(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
-	static GetPathCost(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
-	static GetNavigationSystem(WorldContextObject: UObject): NavigationSystem;
-	static FindPathToLocationSynchronously(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	static FindPathToActorSynchronously(WorldContextObject: UObject,PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	static C(Other: UObject | any): NavigationSystem;
-}
-
-declare class AISystemBase extends UObject { 
-	AISystemClassName: SoftClassPath;
-	AISystemModuleName: string;
-	bInstantiateAISystemOnClient: boolean;
-	static Load(ResourceName: string): AISystemBase;
-	static Find(Outer: UObject, ResourceName: string): AISystemBase;
-	static GetDefaultObject(): AISystemBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystemBase;
-	static C(Other: UObject | any): AISystemBase;
-}
-
-declare class AvoidanceManager extends UObject { 
-	DefaultTimeToLive: number;
-	LockTimeAfterAvoid: number;
-	LockTimeAfterClean: number;
-	DeltaTimeToPredict: number;
-	ArtificialRadiusExpansion: number;
-	TestHeightDifference: number;
-	HeightCheckMargin: number;
-	static Load(ResourceName: string): AvoidanceManager;
-	static Find(Outer: UObject, ResourceName: string): AvoidanceManager;
-	static GetDefaultObject(): AvoidanceManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AvoidanceManager;
-	RegisterMovementComponent(MovementComp: MovementComponent,AvoidanceWeight: number): boolean;
-	GetObjectCount(): number;
-	GetNewAvoidanceUID(): number;
-	GetAvoidanceVelocityForComponent(MovementComp: MovementComponent): Vector;
-	static C(Other: UObject | any): AvoidanceManager;
-}
-
-declare class LevelCollection { 
-	GameState: GameStateBase;
-	NetDriver: NetDriver;
-	DemoNetDriver: DemoNetDriver;
-	PersistentLevel: Level;
-	Levels: any;
-	clone() : LevelCollection;
-	static C(Other: UObject | any): LevelCollection;
-}
-
-declare class MaterialParameterCollectionInstance extends UObject { 
-	Collection: MaterialParameterCollection;
-	World: World;
-	static Load(ResourceName: string): MaterialParameterCollectionInstance;
-	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollectionInstance;
-	static GetDefaultObject(): MaterialParameterCollectionInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollectionInstance;
-	static C(Other: UObject | any): MaterialParameterCollectionInstance;
-}
-
-declare class LevelViewportInfo { 
-	CamPosition: Vector;
-	CamRotation: Rotator;
-	CamOrthoZoom: number;
-	CamUpdated: boolean;
-	clone() : LevelViewportInfo;
-	static C(Other: UObject | any): LevelViewportInfo;
-}
-
-declare class WorldComposition extends UObject { 
-	TilesStreaming: LevelStreaming[];
-	TilesStreamingTimeThreshold: any;
-	bLoadAllTilesDuringCinematic: boolean;
-	bRebaseOriginIn3DSpace: boolean;
-	bLockTilesLocation: boolean;
-	RebaseOriginDistance: number;
-	static Load(ResourceName: string): WorldComposition;
-	static Find(Outer: UObject, ResourceName: string): WorldComposition;
-	static GetDefaultObject(): WorldComposition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldComposition;
-	static C(Other: UObject | any): WorldComposition;
-}
-
-declare class URL { 
-	Protocol: string;
-	Host: string;
-	Port: number;
-	Map: string;
-	RedirectURL: string;
-	Op: string[];
-	Portal: string;
-	Valid: number;
-	clone() : URL;
-	static C(Other: UObject | any): URL;
-}
-
-declare type ERecastPartitioning = 'Monotone' | 'Watershed' | 'ChunkyMonotone' | 'ERecastPartitioning_MAX';
-declare var ERecastPartitioning : { Monotone:'Monotone',Watershed:'Watershed',ChunkyMonotone:'ChunkyMonotone',ERecastPartitioning_MAX:'ERecastPartitioning_MAX', };
-declare class RecastNavMesh extends NavigationData { 
-	bDrawTriangleEdges: boolean;
-	bDrawPolyEdges: boolean;
-	bDrawFilledPolys: boolean;
-	bDrawNavMeshEdges: boolean;
-	bDrawTileBounds: boolean;
-	bDrawPathCollidingGeometry: boolean;
-	bDrawTileLabels: boolean;
-	bDrawPolygonLabels: boolean;
-	bDrawDefaultPolygonCost: boolean;
-	bDrawLabelsOnPathNodes: boolean;
-	bDrawNavLinks: boolean;
-	bDrawFailedNavLinks: boolean;
-	bDrawClusters: boolean;
-	bDrawOctree: boolean;
-	bDistinctlyDrawTilesBeingBuilt: boolean;
-	bDrawNavMesh: boolean;
-	DrawOffset: number;
-	bFixedTilePoolSize: boolean;
-	TilePoolSize: number;
-	TileSizeUU: number;
-	CellSize: number;
-	CellHeight: number;
-	AgentRadius: number;
-	AgentHeight: number;
-	AgentMaxHeight: number;
-	AgentMaxSlope: number;
-	AgentMaxStepHeight: number;
-	MinRegionArea: number;
-	MergeRegionSize: number;
-	MaxSimplificationError: number;
-	MaxSimultaneousTileGenerationJobsCount: number;
-	TileNumberHardLimit: number;
-	PolyRefTileBits: number;
-	PolyRefNavPolyBits: number;
-	PolyRefSaltBits: number;
-	DefaultDrawDistance: number;
-	DefaultMaxSearchNodes: number;
-	DefaultMaxHierarchicalSearchNodes: number;
-	RegionPartitioning: ERecastPartitioning;
-	LayerPartitioning: ERecastPartitioning;
-	RegionChunkSplits: number;
-	LayerChunkSplits: number;
-	bSortNavigationAreasByCost: boolean;
-	bPerformVoxelFiltering: boolean;
-	bMarkLowHeightAreas: boolean;
-	bFilterLowSpanSequences: boolean;
-	bFilterLowSpanFromTileCache: boolean;
-	bDoFullyAsyncNavDataGathering: boolean;
-	bUseBetterOffsetsFromCorners: boolean;
-	bStoreEmptyTileLayers: boolean;
-	bUseVirtualFilters: boolean;
-	bAllowNavLinkAsPathEnd: boolean;
-	bUseVoxelCache: boolean;
-	TileSetUpdateInterval: number;
-	HeuristicScale: number;
-	VerticalDeviationFromGroundCompensation: number;
-	static GetDefaultObject(): RecastNavMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastNavMesh;
-	static C(Other: UObject | any): RecastNavMesh;
-}
-
-declare class TraceChannelTestBatchOptions { 
-	bLineTrace: boolean;
-	bSphereTrace: boolean;
-	bCapsuleTrace: boolean;
-	bBoxTrace: boolean;
-	bChannelTrace: boolean;
-	bObjectsTrace: boolean;
-	bProfileTrace: boolean;
-	clone() : TraceChannelTestBatchOptions;
-	static C(Other: UObject | any): TraceChannelTestBatchOptions;
-}
-
-declare type EDrawDebugTrace = 'None' | 'ForOneFrame' | 'ForDuration' | 'Persistent' | 'EDrawDebugTrace_MAX';
-declare var EDrawDebugTrace : { None:'None',ForOneFrame:'ForOneFrame',ForDuration:'ForDuration',Persistent:'Persistent',EDrawDebugTrace_MAX:'EDrawDebugTrace_MAX', };
-declare class TraceQueryTestNames { 
-	ComponentName: string;
-	PhysicalMaterialName: string;
-	ActorName: string;
-	clone() : TraceQueryTestNames;
-	static C(Other: UObject | any): TraceQueryTestNames;
-}
-
-declare class TraceQueryTestResultsInnerMost { 
-	SingleHit: HitResult;
-	SingleNames: TraceQueryTestNames;
-	bSingleResult: boolean;
-	MultiHits: HitResult[];
-	MultiNames: TraceQueryTestNames[];
-	bMultiResult: boolean;
-	clone() : TraceQueryTestResultsInnerMost;
-	static C(Other: UObject | any): TraceQueryTestResultsInnerMost;
-}
-
-declare class TraceQueryTestResultsInner { 
-	LineResults: TraceQueryTestResultsInnerMost;
-	SphereResults: TraceQueryTestResultsInnerMost;
-	CapsuleResults: TraceQueryTestResultsInnerMost;
-	BoxResults: TraceQueryTestResultsInnerMost;
-	clone() : TraceQueryTestResultsInner;
-	static C(Other: UObject | any): TraceQueryTestResultsInner;
-}
-
-declare class TraceQueryTestResults extends UObject { 
-	ChannelResults: TraceQueryTestResultsInner;
-	ObjectResults: TraceQueryTestResultsInner;
-	ProfileResults: TraceQueryTestResultsInner;
-	static Load(ResourceName: string): TraceQueryTestResults;
-	static Find(Outer: UObject, ResourceName: string): TraceQueryTestResults;
-	static GetDefaultObject(): TraceQueryTestResults;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TraceQueryTestResults;
-	ToString(): string;
-	static C(Other: UObject | any): TraceQueryTestResults;
-}
-
-declare type EComparisonTolerance = 'Zero' | 'Low' | 'Medium' | 'High' | 'Custom' | 'EComparisonTolerance_MAX';
-declare var EComparisonTolerance : { Zero:'Zero',Low:'Low',Medium:'Medium',High:'High',Custom:'Custom',EComparisonTolerance_MAX:'EComparisonTolerance_MAX', };
-declare class ComparisonToleranceAmount { 
-	red: number;
-	green: number;
-	blue: number;
-	Alpha: number;
-	MinBrightness: number;
-	MaxBrightness: number;
-	clone() : ComparisonToleranceAmount;
-	static C(Other: UObject | any): ComparisonToleranceAmount;
-}
-
-declare class AutomationScreenshotOptions { 
-	Resolution: Vector2D;
-	Delay: number;
-	bDisableNoisyRenderingFeatures: boolean;
-	bDisableTonemapping: boolean;
-	VisualizeBuffer: string;
-	Tolerance: EComparisonTolerance;
-	ToleranceAmount: ComparisonToleranceAmount;
-	MaximumLocalError: number;
-	MaximumGlobalError: number;
-	bIgnoreAntiAliasing: boolean;
-	bIgnoreColors: boolean;
-	clone() : AutomationScreenshotOptions;
-	static C(Other: UObject | any): AutomationScreenshotOptions;
-	static GetDefaultScreenshotOptionsForGameplay(Tolerance: EComparisonTolerance,Delay: number): AutomationScreenshotOptions;
-	static GetDefaultScreenshotOptionsForRendering(Tolerance: EComparisonTolerance,Delay: number): AutomationScreenshotOptions;
-}
-
-declare class AppleARKitFrame { 
-	clone() : AppleARKitFrame;
-	static C(Other: UObject | any): AppleARKitFrame;
-}
-
-declare type EAppleARKitHitTestResultType = 'None' | 'FeaturePoint' | 'EstimatedHorizontalPlane' | 'ExistingPlane' | 'ExistingPlaneUsingExtent' | 'EAppleARKitHitTestResultType_MAX';
-declare var EAppleARKitHitTestResultType : { None:'None',FeaturePoint:'FeaturePoint',EstimatedHorizontalPlane:'EstimatedHorizontalPlane',ExistingPlane:'ExistingPlane',ExistingPlaneUsingExtent:'ExistingPlaneUsingExtent',EAppleARKitHitTestResultType_MAX:'EAppleARKitHitTestResultType_MAX', };
-declare class AppleARKitAnchor extends UObject { 
-	Identifier: Guid;
-	static Load(ResourceName: string): AppleARKitAnchor;
-	static Find(Outer: UObject, ResourceName: string): AppleARKitAnchor;
-	static GetDefaultObject(): AppleARKitAnchor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleARKitAnchor;
-	GetTransform(): Transform;
-	static C(Other: UObject | any): AppleARKitAnchor;
-}
-
-declare class AppleARKitHitTestResult { 
-	Type: EAppleARKitHitTestResultType;
-	Distance: number;
-	Transform: Transform;
-	Anchor: AppleARKitAnchor;
-	clone() : AppleARKitHitTestResult;
-	static C(Other: UObject | any): AppleARKitHitTestResult;
-}
-
-declare class DebugFloatHistory { 
-	Samples: number[];
-	MaxSamples: number;
-	MinValue: number;
-	MaxValue: number;
-	bAutoAdjustMinMax: boolean;
-	clone() : DebugFloatHistory;
-	static C(Other: UObject | any): DebugFloatHistory;
-	static AddFloatHistorySample(Value: number,FloatHistory: DebugFloatHistory): DebugFloatHistory;
-}
-
-declare class TimerHandle { 
-	Handle: any;
-	clone() : TimerHandle;
-	static C(Other: UObject | any): TimerHandle;
-	K2_InvalidateTimerHandle(): {Handle: TimerHandle, $: TimerHandle};
-	K2_IsValidTimerHandle(): boolean;
-	static K2_InvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle, $: TimerHandle};
-	static K2_IsValidTimerHandle(Handle: TimerHandle): boolean;
-	static K2_SetTimerDelegate(delegate: UnrealEngineDelegate<() => void>,Time: number,bLooping: boolean): TimerHandle;
-}
-
-declare type EQuitPreference = 'Quit' | 'Background' | 'EQuitPreference_MAX';
-declare var EQuitPreference : { Quit:'Quit',Background:'Background',EQuitPreference_MAX:'EQuitPreference_MAX', };
-declare class TextureRenderTarget extends Texture { 
-	TargetGamma: number;
-	static Load(ResourceName: string): TextureRenderTarget;
-	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget;
-	static GetDefaultObject(): TextureRenderTarget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget;
-	static C(Other: UObject | any): TextureRenderTarget;
-}
-
-declare type ETextureRenderTargetFormat = 'RTF_R8' | 'RTF_RG8' | 'RTF_RGBA8' | 'RTF_R16f' | 'RTF_RG16f' | 'RTF_RGBA16f' | 'RTF_R32f' | 'RTF_RG32f' | 'RTF_RGBA32f' | 'RTF_MAX';
-declare var ETextureRenderTargetFormat : { RTF_R8:'RTF_R8',RTF_RG8:'RTF_RG8',RTF_RGBA8:'RTF_RGBA8',RTF_R16f:'RTF_R16f',RTF_RG16f:'RTF_RG16f',RTF_RGBA16f:'RTF_RGBA16f',RTF_R32f:'RTF_R32f',RTF_RG32f:'RTF_RG32f',RTF_RGBA32f:'RTF_RGBA32f',RTF_MAX:'RTF_MAX', };
-declare type EPixelFormat = 'PF_Unknown' | 'PF_A32B32G32R32F' | 'PF_B8G8R8A8' | 'PF_G8' | 'PF_G16' | 'PF_DXT1' | 'PF_DXT3' | 'PF_DXT5' | 'PF_UYVY' | 'PF_FloatRGB' | 'PF_FloatRGBA' | 'PF_DepthStencil' | 'PF_ShadowDepth' | 'PF_R32_FLOAT' | 'PF_G16R16' | 'PF_G16R16F' | 'PF_G16R16F_FILTER' | 'PF_G32R32F' | 'PF_A2B10G10R10' | 'PF_A16B16G16R16' | 'PF_D24' | 'PF_R16F' | 'PF_R16F_FILTER' | 'PF_BC5' | 'PF_V8U8' | 'PF_A1' | 'PF_FloatR11G11B10' | 'PF_A8' | 'PF_R32_UINT' | 'PF_R32_SINT' | 'PF_PVRTC2' | 'PF_PVRTC4' | 'PF_R16_UINT' | 'PF_R16_SINT' | 'PF_R16G16B16A16_UINT' | 'PF_R16G16B16A16_SINT' | 'PF_R5G6B5_UNORM' | 'PF_R8G8B8A8' | 'PF_A8R8G8B8' | 'PF_BC4' | 'PF_R8G8' | 'PF_ATC_RGB' | 'PF_ATC_RGBA_E' | 'PF_ATC_RGBA_I' | 'PF_X24_G8' | 'PF_ETC1' | 'PF_ETC2_RGB' | 'PF_ETC2_RGBA' | 'PF_R32G32B32A32_UINT' | 'PF_R16G16_UINT' | 'PF_ASTC_4x4' | 'PF_ASTC_6x6' | 'PF_ASTC_8x8' | 'PF_ASTC_10x10' | 'PF_ASTC_12x12' | 'PF_BC6H' | 'PF_BC7' | 'PF_R8_UINT' | 'PF_L8' | 'PF_XGXR8' | 'PF_R8G8B8A8_UINT' | 'PF_R8G8B8A8_SNORM' | 'PF_R16G16B16A16_UNORM' | 'PF_R16G16B16A16_SNORM' | 'PF_MAX';
-declare var EPixelFormat : { PF_Unknown:'PF_Unknown',PF_A32B32G32R32F:'PF_A32B32G32R32F',PF_B8G8R8A8:'PF_B8G8R8A8',PF_G8:'PF_G8',PF_G16:'PF_G16',PF_DXT1:'PF_DXT1',PF_DXT3:'PF_DXT3',PF_DXT5:'PF_DXT5',PF_UYVY:'PF_UYVY',PF_FloatRGB:'PF_FloatRGB',PF_FloatRGBA:'PF_FloatRGBA',PF_DepthStencil:'PF_DepthStencil',PF_ShadowDepth:'PF_ShadowDepth',PF_R32_FLOAT:'PF_R32_FLOAT',PF_G16R16:'PF_G16R16',PF_G16R16F:'PF_G16R16F',PF_G16R16F_FILTER:'PF_G16R16F_FILTER',PF_G32R32F:'PF_G32R32F',PF_A2B10G10R10:'PF_A2B10G10R10',PF_A16B16G16R16:'PF_A16B16G16R16',PF_D24:'PF_D24',PF_R16F:'PF_R16F',PF_R16F_FILTER:'PF_R16F_FILTER',PF_BC5:'PF_BC5',PF_V8U8:'PF_V8U8',PF_A1:'PF_A1',PF_FloatR11G11B10:'PF_FloatR11G11B10',PF_A8:'PF_A8',PF_R32_UINT:'PF_R32_UINT',PF_R32_SINT:'PF_R32_SINT',PF_PVRTC2:'PF_PVRTC2',PF_PVRTC4:'PF_PVRTC4',PF_R16_UINT:'PF_R16_UINT',PF_R16_SINT:'PF_R16_SINT',PF_R16G16B16A16_UINT:'PF_R16G16B16A16_UINT',PF_R16G16B16A16_SINT:'PF_R16G16B16A16_SINT',PF_R5G6B5_UNORM:'PF_R5G6B5_UNORM',PF_R8G8B8A8:'PF_R8G8B8A8',PF_A8R8G8B8:'PF_A8R8G8B8',PF_BC4:'PF_BC4',PF_R8G8:'PF_R8G8',PF_ATC_RGB:'PF_ATC_RGB',PF_ATC_RGBA_E:'PF_ATC_RGBA_E',PF_ATC_RGBA_I:'PF_ATC_RGBA_I',PF_X24_G8:'PF_X24_G8',PF_ETC1:'PF_ETC1',PF_ETC2_RGB:'PF_ETC2_RGB',PF_ETC2_RGBA:'PF_ETC2_RGBA',PF_R32G32B32A32_UINT:'PF_R32G32B32A32_UINT',PF_R16G16_UINT:'PF_R16G16_UINT',PF_ASTC_4x4:'PF_ASTC_4x4',PF_ASTC_6x6:'PF_ASTC_6x6',PF_ASTC_8x8:'PF_ASTC_8x8',PF_ASTC_10x10:'PF_ASTC_10x10',PF_ASTC_12x12:'PF_ASTC_12x12',PF_BC6H:'PF_BC6H',PF_BC7:'PF_BC7',PF_R8_UINT:'PF_R8_UINT',PF_L8:'PF_L8',PF_XGXR8:'PF_XGXR8',PF_R8G8B8A8_UINT:'PF_R8G8B8A8_UINT',PF_R8G8B8A8_SNORM:'PF_R8G8B8A8_SNORM',PF_R16G16B16A16_UNORM:'PF_R16G16B16A16_UNORM',PF_R16G16B16A16_SNORM:'PF_R16G16B16A16_SNORM',PF_MAX:'PF_MAX', };
-declare class TextureRenderTarget2D extends TextureRenderTarget { 
-	SizeX: number;
-	SizeY: number;
-	ClearColor: LinearColor;
-	AddressX: TextureAddress;
-	AddressY: TextureAddress;
-	bForceLinearGamma: boolean;
-	bHDR: boolean;
-	bGPUSharedFlag: boolean;
-	bAutoGenerateMips: boolean;
-	RenderTargetFormat: ETextureRenderTargetFormat;
-	OverrideFormat: EPixelFormat;
-	static Load(ResourceName: string): TextureRenderTarget2D;
-	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget2D;
-	static GetDefaultObject(): TextureRenderTarget2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget2D;
-	static C(Other: UObject | any): TextureRenderTarget2D;
-	ReleaseRenderTarget2D(): void;
-	RenderTargetCreateStaticTexture2DEditorOnly(Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
-	static ReleaseRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D): void;
-	static RenderTargetCreateStaticTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
-}
-
-declare class DrawToRenderTargetContext { 
-	RenderTarget: TextureRenderTarget2D;
-	clone() : DrawToRenderTargetContext;
-	static C(Other: UObject | any): DrawToRenderTargetContext;
-}
-
-declare class PredictProjectilePathParams { 
-	StartLocation: Vector;
-	LaunchVelocity: Vector;
-	bTraceWithCollision: boolean;
-	ProjectileRadius: number;
-	MaxSimTime: number;
-	bTraceWithChannel: boolean;
-	TraceChannel: ECollisionChannel;
-	ObjectTypes: EObjectTypeQuery[];
-	ActorsToIgnore: Actor[];
-	SimFrequency: number;
-	OverrideGravityZ: number;
-	DrawDebugType: EDrawDebugTrace;
-	DrawDebugTime: number;
-	bTraceComplex: boolean;
-	clone() : PredictProjectilePathParams;
-	static C(Other: UObject | any): PredictProjectilePathParams;
-}
-
-declare class PredictProjectilePathPointData { 
-	Location: Vector;
-	Velocity: Vector;
-	Time: number;
-	clone() : PredictProjectilePathPointData;
-	static C(Other: UObject | any): PredictProjectilePathPointData;
-}
-
-declare class PredictProjectilePathResult { 
-	PathData: PredictProjectilePathPointData[];
-	LastTraceDestination: PredictProjectilePathPointData;
-	HitResult: HitResult;
-	clone() : PredictProjectilePathResult;
-	static C(Other: UObject | any): PredictProjectilePathResult;
-}
-
-declare type ESuggestProjVelocityTraceOption = 'DoNotTrace' | 'TraceFullPath' | 'OnlyTraceWhileAscending' | 'ESuggestProjVelocityTraceOption_MAX';
-declare var ESuggestProjVelocityTraceOption : { DoNotTrace:'DoNotTrace',TraceFullPath:'TraceFullPath',OnlyTraceWhileAscending:'OnlyTraceWhileAscending',ESuggestProjVelocityTraceOption_MAX:'ESuggestProjVelocityTraceOption_MAX', };
-declare type EGrammaticalGender = 'Neuter' | 'Masculine' | 'Feminine' | 'Mixed' | 'EGrammaticalGender_MAX';
-declare var EGrammaticalGender : { Neuter:'Neuter',Masculine:'Masculine',Feminine:'Feminine',Mixed:'Mixed',EGrammaticalGender_MAX:'EGrammaticalGender_MAX', };
-declare type EGrammaticalNumber = 'Singular' | 'Plural' | 'EGrammaticalNumber_MAX';
-declare var EGrammaticalNumber : { Singular:'Singular',Plural:'Plural',EGrammaticalNumber_MAX:'EGrammaticalNumber_MAX', };
-declare class DialogueVoice extends UObject { 
-	Gender: EGrammaticalGender;
-	Plurality: EGrammaticalNumber;
-	LocalizationGUID: Guid;
-	static Load(ResourceName: string): DialogueVoice;
-	static Find(Outer: UObject, ResourceName: string): DialogueVoice;
-	static GetDefaultObject(): DialogueVoice;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueVoice;
-	static C(Other: UObject | any): DialogueVoice;
-}
-
-declare class DialogueContext { 
-	Speaker: DialogueVoice;
-	Targets: DialogueVoice[];
-	clone() : DialogueContext;
-	static C(Other: UObject | any): DialogueContext;
-}
-
-declare class DialogueSoundWaveProxy extends SoundBase { 
-	static Load(ResourceName: string): DialogueSoundWaveProxy;
-	static Find(Outer: UObject, ResourceName: string): DialogueSoundWaveProxy;
-	static GetDefaultObject(): DialogueSoundWaveProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueSoundWaveProxy;
-	static C(Other: UObject | any): DialogueSoundWaveProxy;
-}
-
-declare class DialogueContextMapping { 
-	Context: DialogueContext;
-	SoundWave: SoundWave;
-	LocalizationKeyFormat: string;
-	Proxy: DialogueSoundWaveProxy;
-	clone() : DialogueContextMapping;
-	static C(Other: UObject | any): DialogueContextMapping;
-}
-
-declare class DialogueWave extends UObject { 
-	bMature: boolean;
-	bOverride_SubtitleOverride: boolean;
-	SpokenText: string;
-	SubtitleOverride: string;
-	VoiceActorDirection: string;
-	ContextMappings: DialogueContextMapping[];
-	LocalizationGUID: Guid;
-	static Load(ResourceName: string): DialogueWave;
-	static Find(Outer: UObject, ResourceName: string): DialogueWave;
-	static GetDefaultObject(): DialogueWave;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueWave;
-	static C(Other: UObject | any): DialogueWave;
-	SpawnDialogueAttached(Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-	static SpawnDialogueAttached(Dialogue: DialogueWave,Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-}
-
-declare class AIAsyncTaskBlueprintProxy extends UObject { 
-	OnSuccess: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
-	OnFail: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
-	static Load(ResourceName: string): AIAsyncTaskBlueprintProxy;
-	static Find(Outer: UObject, ResourceName: string): AIAsyncTaskBlueprintProxy;
-	static GetDefaultObject(): AIAsyncTaskBlueprintProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIAsyncTaskBlueprintProxy;
-	OnMoveCompleted(RequestID: AIRequestID,MovementResult: EPathFollowingResult): void;
-	static C(Other: UObject | any): AIAsyncTaskBlueprintProxy;
-}
-
-declare class World extends UObject { 
-	Layers: Layer[];
-	ActiveGroupActors: Actor[];
-	ThumbnailInfo: ThumbnailInfo;
-	PersistentLevel: Level;
-	NetDriver: NetDriver;
-	LineBatcher: LineBatchComponent;
-	PersistentLineBatcher: LineBatchComponent;
-	ForegroundLineBatcher: LineBatchComponent;
-	NetworkManager: GameNetworkManager;
-	PhysicsCollisionHandler: PhysicsCollisionHandler;
-	ExtraReferencedObjects: UObject[];
-	PerModuleDataObjects: UObject[];
-	StreamingLevels: LevelStreaming[];
-	StreamingLevelsPrefix: string;
-	CurrentLevelPendingVisibility: Level;
-	CurrentLevelPendingInvisibility: Level;
-	DemoNetDriver: DemoNetDriver;
-	MyParticleEventManager: ParticleEventManager;
-	DefaultPhysicsVolume: PhysicsVolume;
-	NavigationSystem: NavigationSystem;
-	AuthorityGameMode: GameModeBase;
-	GameState: GameStateBase;
-	AISystem: AISystemBase;
-	AvoidanceManager: AvoidanceManager;
-	Levels: Level[];
-	LevelCollections: LevelCollection[];
-	CurrentLevel: Level;
-	OwningGameInstance: GameInstance;
-	ParameterCollectionInstances: MaterialParameterCollectionInstance[];
-	CanvasForRenderingToTarget: Canvas;
-	CanvasForDrawMaterialToRenderTarget: Canvas;
-	EditorViews: LevelViewportInfo[];
-	SelectedLevels: Level[];
-	WorldComposition: WorldComposition;
-	bAreConstraintsDirty: boolean;
-	static Load(ResourceName: string): World;
-	static Find(Outer: UObject, ResourceName: string): World;
-	static GetDefaultObject(): World;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): World;
-	static C(Other: UObject | any): World;
-	EditorDestroyActor(Actor: Actor,bShouldModifyLevel: boolean): boolean;
-	ExportNavigation(Path: string): string;
-	GetDefaultBrush(): Brush;
-	InvalidateModelGeometry(InLevel: Level): void;
-	RemoveLevelInstance(): void;
-	BeginPlay(): void;
-	DestroyWorld(): void;
-	InitializeActorsForPlay(URL: URL): void;
-	GenerateNavigation(NavData: RecastNavMesh): void;
-	GetAllActorsOfClassAndTags(ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
-	GetLevels(): Level[];
-	GetModel(): Model;
-	IsGameWorld(): boolean;
-	IsPlayInEditor(): boolean;
-	IsPlayInPreview(): boolean;
-	TraceChannelTestUtil(BatchOptions: TraceChannelTestBatchOptions,Start: Vector,End: Vector,SphereCapsuleRadius: number,CapsuleHalfHeight: number,BoxHalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,ObjectTypes: EObjectTypeQuery[],ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],bIgnoreSelf: boolean,DrawDebugType: EDrawDebugTrace,TraceColor: LinearColor,TraceHitColor: LinearColor,DrawTime: number): TraceQueryTestResults;
-	RunAllFunctionalTests(bNewLog: boolean,bRunLooped: boolean,FailedTestsReproString: string): boolean;
-	DisableStatGroup(GroupName: string): void;
-	EnableStatGroup(GroupName: string): void;
-	TakeAutomationScreenshot(LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
-	TakeAutomationScreenshotAtCamera(LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Options: AutomationScreenshotOptions): void;
-	TakeAutomationScreenshotOfUI(LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
-	GetCurrentFrame(OutCurrentFrame?: AppleARKitFrame): {OutCurrentFrame: AppleARKitFrame, $: boolean};
-	HitTestAtScreenPosition_TrackingSpace(ScreenPosition: Vector2D,Types: EAppleARKitHitTestResultType,OutResults?: AppleARKitHitTestResult[]): {OutResults: AppleARKitHitTestResult[], $: boolean};
-	GetIsMyTurn(PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
-	GetMyPlayerIndex(PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
-	GetPlayerDisplayName(PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
-	RegisterTurnBasedMatchInterfaceObject(PlayerController: PlayerController,UObject: UObject): void;
-	GetCachedAchievementDescription(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
-	GetCachedAchievementProgress(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
-	LogBox(BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
-	LogLocation(Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
-	LogSegment(SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
-	LogText(text: string,LogCategory: string,bAddToMessageLog: boolean): void;
-	FindPathToActorSynchronously(PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	FindPathToLocationSynchronously(PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	GetNavigationSystem(): NavigationSystem;
-	GetPathCost(PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
-	GetPathLength(PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
-	GetRandomPointInNavigableRadius(Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	GetRandomReachablePointInRadius(Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	IsNavigationBeingBuilt(): boolean;
-	IsNavigationBeingBuiltOrLocked(): boolean;
-	K2_GetRandomPointInNavigableRadius(Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	K2_GetRandomReachablePointInRadius(Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	K2_ProjectPointToNavigation(Point: Vector,ProjectedLocation?: Vector,NavData?: NavigationData,FilterClass?: UnrealEngineClass,QueryExtent?: Vector): {ProjectedLocation: Vector, $: boolean};
-	NavigationRaycast(RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
-	ProjectPointToNavigation(Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
-	BoxOverlapActors(BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	BoxOverlapComponents(BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	BoxTraceMulti(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	BoxTraceMultiByProfile(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	BoxTraceMultiForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	BoxTraceSingle(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	BoxTraceSingleByProfile(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	BoxTraceSingleForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	CapsuleOverlapActors(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	CapsuleOverlapComponents(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	CapsuleTraceMulti(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	CapsuleTraceMultiByProfile(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	CapsuleTraceMultiForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	CapsuleTraceSingle(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	CapsuleTraceSingleByProfile(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	CapsuleTraceSingleForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	Delay(Duration: number,LatentInfo: LatentActionInfo): void;
-	DrawDebugArrow(LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugBox(Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
-	DrawDebugCapsule(Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugCircle(Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
-	DrawDebugCone(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugConeInDegrees(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugCoordinateSystem(AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
-	DrawDebugCylinder(Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugFloatHistoryLocation(FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	DrawDebugFloatHistoryTransform(FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	DrawDebugFrustum(FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugLine(LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugPlane(PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
-	DrawDebugPoint(Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
-	DrawDebugSphere(Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	DrawDebugString(TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
-	ExecuteConsoleCommand(Command: string,SpecificPlayer: PlayerController): void;
-	FlushDebugStrings(): void;
-	FlushPersistentDebugLines(): void;
-	GetConsoleVariableFloatValue(VariableName: string): number;
-	GetConsoleVariableIntValue(VariableName: string): number;
-	GetGameTimeInSeconds(): number;
-	IsDedicatedServer(): boolean;
-	IsServer(): boolean;
-	IsStandalone(): boolean;
-	K2_ClearAndInvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle};
-	K2_ClearTimerHandle(Handle: TimerHandle): void;
-	K2_GetTimerElapsedTimeHandle(Handle: TimerHandle): number;
-	K2_GetTimerRemainingTimeHandle(Handle: TimerHandle): number;
-	K2_IsTimerActiveHandle(Handle: TimerHandle): boolean;
-	K2_IsTimerPausedHandle(Handle: TimerHandle): boolean;
-	K2_PauseTimerHandle(Handle: TimerHandle): void;
-	K2_TimerExistsHandle(Handle: TimerHandle): boolean;
-	K2_UnPauseTimerHandle(Handle: TimerHandle): void;
-	LineTraceMulti(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	LineTraceMultiByProfile(Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	LineTraceMultiForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	LineTraceSingle(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	LineTraceSingleByProfile(Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	LineTraceSingleForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	LoadAsset(Asset: any,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
-	LoadAssetClass(AssetClass: any,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
-	PrintString(inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	PrintText(InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	QuitGame(SpecificPlayer: PlayerController,QuitPreference: EQuitPreference): void;
-	RetriggerableDelay(Duration: number,LatentInfo: LatentActionInfo): void;
-	SetSuppressViewportTransitionMessage(bState: boolean): void;
-	SphereOverlapActors(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	SphereOverlapComponents(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	SphereTraceMulti(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	SphereTraceMultiByProfile(Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	SphereTraceMultiForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	SphereTraceSingle(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	SphereTraceSingleByProfile(Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	SphereTraceSingleForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	BeginDrawCanvasToRenderTarget(TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
-	ClearRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
-	ConvertRenderTargetToTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
-	CreateRenderTarget2D(Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
-	DrawMaterialToRenderTarget(TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
-	EndDrawCanvasToRenderTarget(Context: DrawToRenderTargetContext): void;
-	ExportRenderTarget(TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
-	ExportTexture2D(Texture: Texture2D,FilePath: string,Filename: string): void;
-	MinimumAreaRectangle(InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
-	CreateDynamicMaterialInstance(Parent: MaterialInterface): MaterialInstanceDynamic;
-	GetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string): number;
-	GetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
-	SetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
-	SetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
-	ActivateReverbEffect(ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
-	ApplyRadialDamage(BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
-	ApplyRadialDamageWithFalloff(BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
-	AreAnyListenersWithinRange(Location: Vector,MaximumRange: number): boolean;
-	BeginDeferredActorSpawnFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
-	BeginSpawningActorFromBlueprint(Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
-	BeginSpawningActorFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
-	Blueprint_PredictProjectilePath_Advanced(PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
-	Blueprint_PredictProjectilePath_ByObjectType(OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	Blueprint_PredictProjectilePath_ByTraceChannel(OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	BlueprintSuggestProjectileVelocity(TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
-	ClearSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
-	ClearSoundMixModifiers(): void;
-	CreatePlayer(ControllerId: number,bSpawnPawn: boolean): PlayerController;
-	CreateSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	DeactivateReverbEffect(TagName: string): void;
-	FlushLevelStreaming(): void;
-	GetAccurateRealTime(Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
-	GetAllActorsOfClass(ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetAllActorsWithInterface(Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetAllActorsWithTag(Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetAudioTimeSeconds(): number;
-	GetCurrentLevelName(bRemovePrefixString: boolean): string;
-	GetCurrentReverbEffect(): ReverbEffect;
-	GetGameInstance(): GameInstance;
-	GetGameMode(): GameModeBase;
-	GetGameState(): GameStateBase;
-	GetGlobalTimeDilation(): number;
-	GetPlayerCameraManager(PlayerIndex: number): PlayerCameraManager;
-	GetPlayerCharacter(PlayerIndex: number): Character;
-	GetPlayerController(PlayerIndex: number): PlayerController;
-	GetPlayerPawn(PlayerIndex: number): Pawn;
-	GetRealTimeSeconds(): number;
-	GetStreamingLevel(PackageName: string): LevelStreaming;
-	GetTimeSeconds(): number;
-	GetUnpausedTimeSeconds(): number;
-	GetWorldDeltaSeconds(): number;
-	GetWorldOriginLocation(): IntVector;
-	GrassOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	IsGamePaused(): boolean;
-	LoadStreamLevel(LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
-	OpenLevel(LevelName: string,bAbsolute: boolean,Options: string): void;
-	PlayDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
-	PlayDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
-	PlaySound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	PlaySoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	PlayWorldCameraShake(Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
-	PopSoundMixModifier(InSoundMixModifier: SoundMix): void;
-	PushSoundMixModifier(InSoundMixModifier: SoundMix): void;
-	RebaseLocalOriginOntoZero(WorldLocation: Vector): Vector;
-	RebaseZeroOriginOntoLocal(WorldLocation: Vector): Vector;
-	SetBaseSoundMix(InSoundMix: SoundMix): void;
-	SetGamePaused(bPaused: boolean): boolean;
-	SetGlobalListenerFocusParameters(FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
-	SetGlobalPitchModulation(PitchModulation: number,TimeSec: number): void;
-	SetGlobalTimeDilation(TimeDilation: number): void;
-	SetSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
-	SetWorldOriginLocation(NewLocation: IntVector): void;
-	SpawnDecalAtLocation(DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
-	SpawnDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
-	SpawnDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-	SpawnEmitterAtLocation(EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean): ParticleSystemComponent;
-	SpawnForceFeedbackAtLocation(ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
-	SpawnSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	SpawnSoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
-	SuggestProjectileVelocity_CustomArc(OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
-	UnloadStreamLevel(LevelName: string,LatentInfo: LatentActionInfo): void;
-	FoliageOverlappingBoxCount(StaticMesh: StaticMesh,Box: Box): number;
-	FoliageOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	GetMousePositionOnViewport(): Vector2D;
-	GetViewportScale(): number;
-	GetViewportSize(): Vector2D;
-	GetViewportWidgetGeometry(): Geometry;
-	RemoveAllWidgets(): void;
-	Create(WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
-	GetAllWidgetsOfClass(FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	GetAllWidgetsWithInterface(Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	GetSafeZonePadding(SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
-	SetHardwareCursor(CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
-	AbsoluteToViewport(AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	LocalToViewport(Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	ScreenToViewport(ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
-	ScreenToWidgetAbsolute(ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
-	ScreenToWidgetLocal(Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
-	AddMasterSubmixEffect(SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	AddSourceEffectToPresetChain(PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
-	ClearMasterSubmixEffects(): void;
-	GetNumberOfEntriesInSourceEffectChain(PresetChain: SoundEffectSourcePresetChain): number;
-	RemoveMasterSubmixEffect(SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	RemoveSourceEffectFromPresetChain(PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
-	SetBypassSourceEffectChainEntry(PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
-	CreateMoveToProxyObject(Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
-	SpawnAIFromClass(PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
-	GetAllActorsOfClassMatchingTagQuery(ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
-	GetDeviceWorldPose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
-	GetTrackingToWorldTransform(): Transform;
-	GetWorldToMetersScale(): number;
-	SetWorldToMetersScale(NewScale: number): void;
-	static EditorDestroyActor(World: World,Actor: Actor,bShouldModifyLevel: boolean): boolean;
-	static ExportNavigation(InWorld: World,Path: string): string;
-	static GetDefaultBrush(World: World): Brush;
-	static InvalidateModelGeometry(World: World,InLevel: Level): void;
-	static RemoveLevelInstance(World: World): void;
-	static BeginPlay(World: World): void;
-	static DestroyWorld(World: World): void;
-	static InitializeActorsForPlay(World: World,URL: URL): void;
-	static GenerateNavigation(World: World,NavData: RecastNavMesh): void;
-	static GetAllActorsOfClassAndTags(WorldContextObject: UObject,ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetLevels(World: World): Level[];
-	static GetModel(World: World): Model;
-	static IsGameWorld(World: World): boolean;
-	static IsPlayInEditor(World: World): boolean;
-	static IsPlayInPreview(World: World): boolean;
-	static TraceChannelTestUtil(WorldContextObject: UObject,BatchOptions: TraceChannelTestBatchOptions,Start: Vector,End: Vector,SphereCapsuleRadius: number,CapsuleHalfHeight: number,BoxHalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,ObjectTypes: EObjectTypeQuery[],ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],bIgnoreSelf: boolean,DrawDebugType: EDrawDebugTrace,TraceColor: LinearColor,TraceHitColor: LinearColor,DrawTime: number): TraceQueryTestResults;
-	static RunAllFunctionalTests(WorldContextObject: UObject,bNewLog: boolean,bRunLooped: boolean,FailedTestsReproString: string): boolean;
-	static DisableStatGroup(WorldContextObject: UObject,GroupName: string): void;
-	static EnableStatGroup(WorldContextObject: UObject,GroupName: string): void;
-	static TakeAutomationScreenshot(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
-	static TakeAutomationScreenshotAtCamera(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Options: AutomationScreenshotOptions): void;
-	static TakeAutomationScreenshotOfUI(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
-	static GetCurrentFrame(WorldContextObject: UObject,OutCurrentFrame?: AppleARKitFrame): {OutCurrentFrame: AppleARKitFrame, $: boolean};
-	static HitTestAtScreenPosition_TrackingSpace(WorldContextObject: UObject,ScreenPosition: Vector2D,Types: EAppleARKitHitTestResultType,OutResults?: AppleARKitHitTestResult[]): {OutResults: AppleARKitHitTestResult[], $: boolean};
-	static GetIsMyTurn(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
-	static GetMyPlayerIndex(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
-	static GetPlayerDisplayName(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
-	static RegisterTurnBasedMatchInterfaceObject(WorldContextObject: UObject,PlayerController: PlayerController,UObject: UObject): void;
-	static GetCachedAchievementDescription(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
-	static GetCachedAchievementProgress(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
-	static LogBox(WorldContextObject: UObject,BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
-	static LogLocation(WorldContextObject: UObject,Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
-	static LogSegment(WorldContextObject: UObject,SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
-	static LogText(WorldContextObject: UObject,text: string,LogCategory: string,bAddToMessageLog: boolean): void;
-	static FindPathToActorSynchronously(WorldContextObject: UObject,PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	static FindPathToLocationSynchronously(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
-	static GetNavigationSystem(WorldContextObject: UObject): NavigationSystem;
-	static GetPathCost(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
-	static GetPathLength(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
-	static GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	static GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
-	static IsNavigationBeingBuilt(WorldContextObject: UObject): boolean;
-	static IsNavigationBeingBuiltOrLocked(WorldContextObject: UObject): boolean;
-	static K2_GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	static K2_GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
-	static K2_ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,ProjectedLocation?: Vector,NavData?: NavigationData,FilterClass?: UnrealEngineClass,QueryExtent?: Vector): {ProjectedLocation: Vector, $: boolean};
-	static NavigationRaycast(WorldContextObject: UObject,RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
-	static ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
-	static BoxOverlapActors(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static BoxOverlapComponents(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static BoxTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BoxTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BoxTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleOverlapActors(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static CapsuleOverlapComponents(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static CapsuleTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static Delay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
-	static DrawDebugArrow(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugBox(WorldContextObject: UObject,Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
-	static DrawDebugCapsule(WorldContextObject: UObject,Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCircle(WorldContextObject: UObject,Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
-	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugConeInDegrees(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCoordinateSystem(WorldContextObject: UObject,AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
-	static DrawDebugCylinder(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugFloatHistoryLocation(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	static DrawDebugFloatHistoryTransform(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	static DrawDebugFrustum(WorldContextObject: UObject,FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugLine(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugPlane(WorldContextObject: UObject,PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
-	static DrawDebugPoint(WorldContextObject: UObject,Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
-	static DrawDebugSphere(WorldContextObject: UObject,Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugString(WorldContextObject: UObject,TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
-	static ExecuteConsoleCommand(WorldContextObject: UObject,Command: string,SpecificPlayer: PlayerController): void;
-	static FlushDebugStrings(WorldContextObject: UObject): void;
-	static FlushPersistentDebugLines(WorldContextObject: UObject): void;
-	static GetConsoleVariableFloatValue(WorldContextObject: UObject,VariableName: string): number;
-	static GetConsoleVariableIntValue(WorldContextObject: UObject,VariableName: string): number;
-	static GetGameTimeInSeconds(WorldContextObject: UObject): number;
-	static IsDedicatedServer(WorldContextObject: UObject): boolean;
-	static IsServer(WorldContextObject: UObject): boolean;
-	static IsStandalone(WorldContextObject: UObject): boolean;
-	static K2_ClearAndInvalidateTimerHandle(WorldContextObject: UObject,Handle?: TimerHandle): {Handle: TimerHandle};
-	static K2_ClearTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static K2_GetTimerElapsedTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
-	static K2_GetTimerRemainingTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
-	static K2_IsTimerActiveHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_IsTimerPausedHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_PauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static K2_TimerExistsHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_UnPauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static LineTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LineTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LineTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LineTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LineTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LineTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LoadAsset(WorldContextObject: UObject,Asset: any,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
-	static LoadAssetClass(WorldContextObject: UObject,AssetClass: any,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
-	static PrintString(WorldContextObject: UObject,inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	static PrintText(WorldContextObject: UObject,InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	static QuitGame(WorldContextObject: UObject,SpecificPlayer: PlayerController,QuitPreference: EQuitPreference): void;
-	static RetriggerableDelay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
-	static SetSuppressViewportTransitionMessage(WorldContextObject: UObject,bState: boolean): void;
-	static SphereOverlapActors(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static SphereOverlapComponents(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static SphereTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static SphereTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static SphereTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BeginDrawCanvasToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
-	static ClearRenderTarget2D(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
-	static ConvertRenderTargetToTexture2DEditorOnly(WorldContextObject: UObject,RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
-	static CreateRenderTarget2D(WorldContextObject: UObject,Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
-	static DrawMaterialToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
-	static EndDrawCanvasToRenderTarget(WorldContextObject: UObject,Context: DrawToRenderTargetContext): void;
-	static ExportRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
-	static ExportTexture2D(WorldContextObject: UObject,Texture: Texture2D,FilePath: string,Filename: string): void;
-	static MinimumAreaRectangle(WorldContextObject: UObject,InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
-	static CreateDynamicMaterialInstance(WorldContextObject: UObject,Parent: MaterialInterface): MaterialInstanceDynamic;
-	static GetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): number;
-	static GetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
-	static SetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
-	static SetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
-	static ActivateReverbEffect(WorldContextObject: UObject,ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
-	static ApplyRadialDamage(WorldContextObject: UObject,BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
-	static ApplyRadialDamageWithFalloff(WorldContextObject: UObject,BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
-	static AreAnyListenersWithinRange(WorldContextObject: UObject,Location: Vector,MaximumRange: number): boolean;
-	static BeginDeferredActorSpawnFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
-	static BeginSpawningActorFromBlueprint(WorldContextObject: UObject,Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
-	static BeginSpawningActorFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
-	static Blueprint_PredictProjectilePath_Advanced(WorldContextObject: UObject,PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
-	static Blueprint_PredictProjectilePath_ByObjectType(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	static Blueprint_PredictProjectilePath_ByTraceChannel(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	static BlueprintSuggestProjectileVelocity(WorldContextObject: UObject,TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
-	static ClearSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
-	static ClearSoundMixModifiers(WorldContextObject: UObject): void;
-	static CreatePlayer(WorldContextObject: UObject,ControllerId: number,bSpawnPawn: boolean): PlayerController;
-	static CreateSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	static DeactivateReverbEffect(WorldContextObject: UObject,TagName: string): void;
-	static FlushLevelStreaming(WorldContextObject: UObject): void;
-	static GetAccurateRealTime(WorldContextObject: UObject,Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
-	static GetAllActorsOfClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetAllActorsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetAllActorsWithTag(WorldContextObject: UObject,Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetAudioTimeSeconds(WorldContextObject: UObject): number;
-	static GetCurrentLevelName(WorldContextObject: UObject,bRemovePrefixString: boolean): string;
-	static GetCurrentReverbEffect(WorldContextObject: UObject): ReverbEffect;
-	static GetGameInstance(WorldContextObject: UObject): GameInstance;
-	static GetGameMode(WorldContextObject: UObject): GameModeBase;
-	static GetGameState(WorldContextObject: UObject): GameStateBase;
-	static GetGlobalTimeDilation(WorldContextObject: UObject): number;
-	static GetPlayerCameraManager(WorldContextObject: UObject,PlayerIndex: number): PlayerCameraManager;
-	static GetPlayerCharacter(WorldContextObject: UObject,PlayerIndex: number): Character;
-	static GetPlayerController(WorldContextObject: UObject,PlayerIndex: number): PlayerController;
-	static GetPlayerPawn(WorldContextObject: UObject,PlayerIndex: number): Pawn;
-	static GetRealTimeSeconds(WorldContextObject: UObject): number;
-	static GetStreamingLevel(WorldContextObject: UObject,PackageName: string): LevelStreaming;
-	static GetTimeSeconds(WorldContextObject: UObject): number;
-	static GetUnpausedTimeSeconds(WorldContextObject: UObject): number;
-	static GetWorldDeltaSeconds(WorldContextObject: UObject): number;
-	static GetWorldOriginLocation(WorldContextObject: UObject): IntVector;
-	static GrassOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	static IsGamePaused(WorldContextObject: UObject): boolean;
-	static LoadStreamLevel(WorldContextObject: UObject,LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
-	static OpenLevel(WorldContextObject: UObject,LevelName: string,bAbsolute: boolean,Options: string): void;
-	static PlayDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
-	static PlayDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
-	static PlaySound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	static PlaySoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	static PlayWorldCameraShake(WorldContextObject: UObject,Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
-	static PopSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
-	static PushSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
-	static RebaseLocalOriginOntoZero(WorldContextObject: UObject,WorldLocation: Vector): Vector;
-	static RebaseZeroOriginOntoLocal(WorldContextObject: UObject,WorldLocation: Vector): Vector;
-	static SetBaseSoundMix(WorldContextObject: UObject,InSoundMix: SoundMix): void;
-	static SetGamePaused(WorldContextObject: UObject,bPaused: boolean): boolean;
-	static SetGlobalListenerFocusParameters(WorldContextObject: UObject,FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
-	static SetGlobalPitchModulation(WorldContextObject: UObject,PitchModulation: number,TimeSec: number): void;
-	static SetGlobalTimeDilation(WorldContextObject: UObject,TimeDilation: number): void;
-	static SetSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
-	static SetWorldOriginLocation(WorldContextObject: UObject,NewLocation: IntVector): void;
-	static SpawnDecalAtLocation(WorldContextObject: UObject,DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
-	static SpawnDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
-	static SpawnDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-	static SpawnEmitterAtLocation(WorldContextObject: UObject,EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean): ParticleSystemComponent;
-	static SpawnForceFeedbackAtLocation(WorldContextObject: UObject,ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
-	static SpawnSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	static SpawnSoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
-	static SuggestProjectileVelocity_CustomArc(WorldContextObject: UObject,OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
-	static UnloadStreamLevel(WorldContextObject: UObject,LevelName: string,LatentInfo: LatentActionInfo): void;
-	static FoliageOverlappingBoxCount(WorldContextObject: UObject,StaticMesh: StaticMesh,Box: Box): number;
-	static FoliageOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	static GetMousePositionOnViewport(WorldContextObject: UObject): Vector2D;
-	static GetViewportScale(WorldContextObject: UObject): number;
-	static GetViewportSize(WorldContextObject: UObject): Vector2D;
-	static GetViewportWidgetGeometry(WorldContextObject: UObject): Geometry;
-	static RemoveAllWidgets(WorldContextObject: UObject): void;
-	static Create(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
-	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	static GetAllWidgetsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	static GetSafeZonePadding(WorldContextObject: UObject,SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
-	static SetHardwareCursor(WorldContextObject: UObject,CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
-	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	static ScreenToViewport(WorldContextObject: UObject,ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
-	static ScreenToWidgetAbsolute(WorldContextObject: UObject,ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
-	static ScreenToWidgetLocal(WorldContextObject: UObject,Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
-	static AddMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	static AddSourceEffectToPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
-	static ClearMasterSubmixEffects(WorldContextObject: UObject): void;
-	static GetNumberOfEntriesInSourceEffectChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain): number;
-	static RemoveMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	static RemoveSourceEffectFromPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
-	static SetBypassSourceEffectChainEntry(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
-	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
-	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
-	static GetAllActorsOfClassMatchingTagQuery(WorldContextObject: UObject,ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetDeviceWorldPose(WorldContext: UObject,XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
-	static GetTrackingToWorldTransform(WorldContext: UObject): Transform;
-	static GetWorldToMetersScale(WorldContext: UObject): number;
-	static SetWorldToMetersScale(WorldContext: UObject,NewScale: number): void;
+declare class BehaviorTreeManager extends UObject { 
+	MaxDebuggerSteps: number;
+	LoadedTemplates: BehaviorTreeTemplateInfo[];
+	ActiveComponents: BehaviorTreeComponent[];
+	static Load(ResourceName: string): BehaviorTreeManager;
+	static Find(Outer: UObject, ResourceName: string): BehaviorTreeManager;
+	static GetDefaultObject(): BehaviorTreeManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeManager;
+	static C(Other: UObject | any): BehaviorTreeManager;
+}
+
+declare class EnvQueryNode extends UObject { 
+	VerNum: number;
+	static Load(ResourceName: string): EnvQueryNode;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryNode;
+	static GetDefaultObject(): EnvQueryNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryNode;
+	static C(Other: UObject | any): EnvQueryNode;
+}
+
+declare class EnvQueryItemType extends UObject { 
+	static Load(ResourceName: string): EnvQueryItemType;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType;
+	static GetDefaultObject(): EnvQueryItemType;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType;
+	static C(Other: UObject | any): EnvQueryItemType;
+}
+
+declare class EnvQueryGenerator extends EnvQueryNode { 
+	OptionName: string;
+	ItemType: UnrealEngineClass;
+	bAutoSortTests: boolean;
+	static Load(ResourceName: string): EnvQueryGenerator;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator;
+	static GetDefaultObject(): EnvQueryGenerator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator;
+	static C(Other: UObject | any): EnvQueryGenerator;
+}
+
+declare type EEnvTestPurpose = 'Filter' | 'Score' | 'FilterAndScore' | 'EEnvTestPurpose_MAX';
+declare var EEnvTestPurpose : { Filter:'Filter',Score:'Score',FilterAndScore:'FilterAndScore',EEnvTestPurpose_MAX:'EEnvTestPurpose_MAX', };
+declare type EEnvTestFilterOperator = 'AllPass' | 'AnyPass' | 'EEnvTestFilterOperator_MAX';
+declare var EEnvTestFilterOperator : { AllPass:'AllPass',AnyPass:'AnyPass',EEnvTestFilterOperator_MAX:'EEnvTestFilterOperator_MAX', };
+declare type EEnvTestScoreOperator = 'AverageScore' | 'MinScore' | 'MaxScore' | 'EEnvTestScoreOperator_MAX';
+declare var EEnvTestScoreOperator : { AverageScore:'AverageScore',MinScore:'MinScore',MaxScore:'MaxScore',EEnvTestScoreOperator_MAX:'EEnvTestScoreOperator_MAX', };
+declare type EEnvTestFilterType = 'Minimum' | 'Maximum' | 'Range' | 'Match' | 'EEnvTestFilterType_MAX';
+declare var EEnvTestFilterType : { Minimum:'Minimum',Maximum:'Maximum',Range:'Range',Match:'Match',EEnvTestFilterType_MAX:'EEnvTestFilterType_MAX', };
+declare class AIDataProvider extends UObject { 
+	static Load(ResourceName: string): AIDataProvider;
+	static Find(Outer: UObject, ResourceName: string): AIDataProvider;
+	static GetDefaultObject(): AIDataProvider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider;
+	static C(Other: UObject | any): AIDataProvider;
+}
+
+declare class AIDataProviderValue { 
+	CachedProperty: Property;
+	DataBinding: AIDataProvider;
+	DataField: string;
+	clone() : AIDataProviderValue;
+	static C(Other: UObject | any): AIDataProviderValue;
+}
+
+declare class AIDataProviderTypedValue extends AIDataProviderValue { 
+	PropertyType: UnrealEngineClass;
+	clone() : AIDataProviderTypedValue;
+	static C(Other: UObject | any): AIDataProviderTypedValue;
+}
+
+declare class AIDataProviderBoolValue extends AIDataProviderTypedValue { 
+	DefaultValue: boolean;
+	clone() : AIDataProviderBoolValue;
+	static C(Other: UObject | any): AIDataProviderBoolValue;
+}
+
+declare class AIDataProviderFloatValue extends AIDataProviderTypedValue { 
+	DefaultValue: number;
+	clone() : AIDataProviderFloatValue;
+	static C(Other: UObject | any): AIDataProviderFloatValue;
+}
+
+declare type EEnvTestScoreEquation = 'Linear' | 'Square' | 'InverseLinear' | 'SquareRoot' | 'Constant' | 'EEnvTestScoreEquation_MAX';
+declare var EEnvTestScoreEquation : { Linear:'Linear',Square:'Square',InverseLinear:'InverseLinear',SquareRoot:'SquareRoot',Constant:'Constant',EEnvTestScoreEquation_MAX:'EEnvTestScoreEquation_MAX', };
+declare type EEnvQueryTestClamping = 'None' | 'SpecifiedValue' | 'FilterThreshold' | 'EEnvQueryTestClamping_MAX';
+declare var EEnvQueryTestClamping : { None:'None',SpecifiedValue:'SpecifiedValue',FilterThreshold:'FilterThreshold',EEnvQueryTestClamping_MAX:'EEnvQueryTestClamping_MAX', };
+declare type EEQSNormalizationType = 'Absolute' | 'RelativeToScores' | 'EEQSNormalizationType_MAX';
+declare var EEQSNormalizationType : { Absolute:'Absolute',RelativeToScores:'RelativeToScores',EEQSNormalizationType_MAX:'EEQSNormalizationType_MAX', };
+declare class EnvQueryTest extends EnvQueryNode { 
+	TestOrder: number;
+	TestPurpose: EEnvTestPurpose;
+	TestComment: string;
+	MultipleContextFilterOp: EEnvTestFilterOperator;
+	MultipleContextScoreOp: EEnvTestScoreOperator;
+	FilterType: EEnvTestFilterType;
+	BoolValue: AIDataProviderBoolValue;
+	FloatValueMin: AIDataProviderFloatValue;
+	FloatValueMax: AIDataProviderFloatValue;
+	ScoringEquation: EEnvTestScoreEquation;
+	ClampMinType: EEnvQueryTestClamping;
+	ClampMaxType: EEnvQueryTestClamping;
+	NormalizationType: EEQSNormalizationType;
+	ScoreClampMin: AIDataProviderFloatValue;
+	ScoreClampMax: AIDataProviderFloatValue;
+	ScoringFactor: AIDataProviderFloatValue;
+	ReferenceValue: AIDataProviderFloatValue;
+	bDefineReferenceValue: boolean;
+	bWorkOnFloatValues: boolean;
+	static Load(ResourceName: string): EnvQueryTest;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest;
+	static GetDefaultObject(): EnvQueryTest;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest;
+	static C(Other: UObject | any): EnvQueryTest;
+}
+
+declare class EnvQueryOption extends UObject { 
+	Generator: EnvQueryGenerator;
+	Tests: EnvQueryTest[];
+	static Load(ResourceName: string): EnvQueryOption;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryOption;
+	static GetDefaultObject(): EnvQueryOption;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryOption;
+	static C(Other: UObject | any): EnvQueryOption;
+}
+
+declare class EnvQuery extends DataAsset { 
+	EdGraph: EdGraph;
+	QueryName: string;
+	Options: EnvQueryOption[];
+	static Load(ResourceName: string): EnvQuery;
+	static Find(Outer: UObject, ResourceName: string): EnvQuery;
+	static GetDefaultObject(): EnvQuery;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQuery;
+	static C(Other: UObject | any): EnvQuery;
+}
+
+declare class EnvQueryInstanceCache { 
+	Template: EnvQuery;
+	clone() : EnvQueryInstanceCache;
+	static C(Other: UObject | any): EnvQueryInstanceCache;
+}
+
+declare class EnvQueryContext extends UObject { 
+	static Load(ResourceName: string): EnvQueryContext;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryContext;
+	static GetDefaultObject(): EnvQueryContext;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext;
+	static C(Other: UObject | any): EnvQueryContext;
+}
+
+declare type EEnvQueryStatus = 'Processing' | 'Success' | 'Failed' | 'Aborted' | 'OwnerLost' | 'MissingParam' | 'EEnvQueryStatus_MAX';
+declare var EEnvQueryStatus : { Processing:'Processing',Success:'Success',Failed:'Failed',Aborted:'Aborted',OwnerLost:'OwnerLost',MissingParam:'MissingParam',EEnvQueryStatus_MAX:'EEnvQueryStatus_MAX', };
+declare class EnvQueryInstanceBlueprintWrapper extends UObject { 
+	QueryID: number;
+	ItemType: UnrealEngineClass;
+	OptionIndex: number;
+	OnQueryFinishedEvent: UnrealEngineMulticastDelegate<(QueryInstance: EnvQueryInstanceBlueprintWrapper, QueryStatus: EEnvQueryStatus) => void>;
+	static Load(ResourceName: string): EnvQueryInstanceBlueprintWrapper;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryInstanceBlueprintWrapper;
+	static GetDefaultObject(): EnvQueryInstanceBlueprintWrapper;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryInstanceBlueprintWrapper;
+	SetNamedParam(ParamName: string,Value: number): void;
+	GetResultsAsLocations(): Vector[];
+	GetResultsAsActors(): Actor[];
+	GetQueryResultsAsLocations(ResultLocations?: Vector[]): {ResultLocations: Vector[], $: boolean};
+	GetQueryResultsAsActors(ResultActors?: Actor[]): {ResultActors: Actor[], $: boolean};
+	GetItemScore(ItemIndex: number): number;
+	static C(Other: UObject | any): EnvQueryInstanceBlueprintWrapper;
+}
+
+declare type EEnvQueryRunMode = 'SingleResult' | 'RandomBest5Pct' | 'RandomBest25Pct' | 'AllMatching' | 'EEnvQueryRunMode_MAX';
+declare var EEnvQueryRunMode : { SingleResult:'SingleResult',RandomBest5Pct:'RandomBest5Pct',RandomBest25Pct:'RandomBest25Pct',AllMatching:'AllMatching',EEnvQueryRunMode_MAX:'EEnvQueryRunMode_MAX', };
+declare class EnvQueryManager extends AISubsystem { 
+	InstanceCache: EnvQueryInstanceCache[];
+	LocalContexts: EnvQueryContext[];
+	GCShieldedWrappers: EnvQueryInstanceBlueprintWrapper[];
+	MaxAllowedTestingTime: number;
+	bTestQueriesUsingBreadth: boolean;
+	QueryCountWarningThreshold: number;
+	QueryCountWarningInterval: any;
+	static Load(ResourceName: string): EnvQueryManager;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryManager;
+	static GetDefaultObject(): EnvQueryManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryManager;
+	static RunEQSQuery(WorldContextObject: UObject,QueryTemplate: EnvQuery,Querier: UObject,RunMode: EEnvQueryRunMode,WrapperClass: UnrealEngineClass): EnvQueryInstanceBlueprintWrapper;
+	static C(Other: UObject | any): EnvQueryManager;
+}
+
+declare type EPathFollowingResult = 'Success' | 'Blocked' | 'OffPath' | 'Aborted' | 'Skipped_DEPRECATED' | 'Invalid' | 'EPathFollowingResult_MAX';
+declare var EPathFollowingResult : { Success:'Success',Blocked:'Blocked',OffPath:'OffPath',Aborted:'Aborted',Skipped_DEPRECATED:'Skipped_DEPRECATED',Invalid:'Invalid',EPathFollowingResult_MAX:'EPathFollowingResult_MAX', };
+declare class AIRequestID { 
+	RequestID: any;
+	clone() : AIRequestID;
+	static C(Other: UObject | any): AIRequestID;
+}
+
+declare class AIAsyncTaskBlueprintProxy extends UObject { 
+	OnSuccess: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
+	OnFail: UnrealEngineMulticastDelegate<(MovementResult: EPathFollowingResult) => void>;
+	static Load(ResourceName: string): AIAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): AIAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): AIAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIAsyncTaskBlueprintProxy;
+	OnMoveCompleted(RequestID: AIRequestID,MovementResult: EPathFollowingResult): void;
+	static C(Other: UObject | any): AIAsyncTaskBlueprintProxy;
+}
+
+declare class AIHotSpotManager extends UObject { 
+	static Load(ResourceName: string): AIHotSpotManager;
+	static Find(Outer: UObject, ResourceName: string): AIHotSpotManager;
+	static GetDefaultObject(): AIHotSpotManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIHotSpotManager;
+	static C(Other: UObject | any): AIHotSpotManager;
+}
+
+declare class NavLocalGridManager extends UObject { 
+	static Load(ResourceName: string): NavLocalGridManager;
+	static Find(Outer: UObject, ResourceName: string): NavLocalGridManager;
+	static GetDefaultObject(): NavLocalGridManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLocalGridManager;
+	static SetLocalNavigationGridDensity(WorldContextObject: UObject,CellSize: number): boolean;
+	static RemoveLocalNavigationGrid(WorldContextObject: UObject,GridId: number,bRebuildGrids: boolean): void;
+	static FindLocalNavigationGridPath(WorldContextObject: UObject,Start: Vector,End: Vector,PathPoints?: Vector[]): {PathPoints: Vector[], $: boolean};
+	static AddLocalNavigationGridForPoints(WorldContextObject: UObject,Locations: Vector[],Radius2D: number,Height: number,bRebuildGrids: boolean): number;
+	static AddLocalNavigationGridForPoint(WorldContextObject: UObject,Location: Vector,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
+	static AddLocalNavigationGridForCapsule(WorldContextObject: UObject,Location: Vector,CapsuleRadius: number,CapsuleHalfHeight: number,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
+	static AddLocalNavigationGridForBox(WorldContextObject: UObject,Location: Vector,Extent: Vector,Rotation: Rotator,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
+	static C(Other: UObject | any): NavLocalGridManager;
+}
+
+declare class AISystem extends AISystemBase { 
+	PerceptionSystemClassName: SoftClassPath;
+	HotSpotManagerClassName: SoftClassPath;
+	AcceptanceRadius: number;
+	PathfollowingRegularPathPointAcceptanceRadius: number;
+	PathfollowingNavLinkAcceptanceRadius: number;
+	bFinishMoveOnGoalOverlap: boolean;
+	bAcceptPartialPaths: boolean;
+	bAllowStrafing: boolean;
+	bEnableBTAITasks: boolean;
+	bAllowControllersAsEQSQuerier: boolean;
+	bEnableDebuggerPlugin: boolean;
+	DefaultSightCollisionChannel: ECollisionChannel;
+	BehaviorTreeManager: BehaviorTreeManager;
+	EnvironmentQueryManager: EnvQueryManager;
+	PerceptionSystem: AIPerceptionSystem;
+	AllProxyObjects: AIAsyncTaskBlueprintProxy[];
+	HotSpotManager: AIHotSpotManager;
+	NavLocalGrids: NavLocalGridManager;
+	static Load(ResourceName: string): AISystem;
+	static Find(Outer: UObject, ResourceName: string): AISystem;
+	static GetDefaultObject(): AISystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystem;
+	AILoggingVerbose(): void;
+	AIIgnorePlayers(): void;
+	static C(Other: UObject | any): AISystem;
+}
+
+declare class AISubsystem extends UObject { 
+	AISystem: AISystem;
+	static Load(ResourceName: string): AISubsystem;
+	static Find(Outer: UObject, ResourceName: string): AISubsystem;
+	static GetDefaultObject(): AISubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISubsystem;
+	static C(Other: UObject | any): AISubsystem;
+}
+
+declare class AISenseEvent extends UObject { 
+	static Load(ResourceName: string): AISenseEvent;
+	static Find(Outer: UObject, ResourceName: string): AISenseEvent;
+	static GetDefaultObject(): AISenseEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent;
+	static C(Other: UObject | any): AISenseEvent;
+}
+
+declare class AIStimulus { 
+	Age: number;
+	ExpirationAge: number;
+	Strength: number;
+	StimulusLocation: Vector;
+	ReceiverLocation: Vector;
+	Tag: string;
+	bSuccessfullySensed: boolean;
+	clone() : AIStimulus;
+	static C(Other: UObject | any): AIStimulus;
+}
+
+declare class AIPerceptionSystem extends AISubsystem { 
+	Senses: AISense[];
+	PerceptionAgingRate: number;
+	static Load(ResourceName: string): AIPerceptionSystem;
+	static Find(Outer: UObject, ResourceName: string): AIPerceptionSystem;
+	static GetDefaultObject(): AIPerceptionSystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionSystem;
+	static ReportPerceptionEvent(WorldContextObject: UObject,PerceptionEvent: AISenseEvent): void;
+	ReportEvent(PerceptionEvent: AISenseEvent): void;
+	static RegisterPerceptionStimuliSource(WorldContextObject: UObject,Sense: UnrealEngineClass,Target: Actor): boolean;
+	OnPerceptionStimuliSourceEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
+	static GetSenseClassForStimulus(WorldContextObject: UObject,Stimulus: AIStimulus): UnrealEngineClass;
+	static C(Other: UObject | any): AIPerceptionSystem;
 }
 
-declare class Package extends UObject { 
-	static Load(ResourceName: string): Package;
-	static Find(Outer: UObject, ResourceName: string): Package;
-	static GetDefaultObject(): Package;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Package;
-	static C(Other: UObject | any): Package;
-	DeletePackage(): boolean;
-	FindWorldInPackage(): World;
-	SavePackage(Filename: string): boolean;
-	GetLongPackagePath(): string;
-	HasAnyPackageFlags(Flags: number): boolean;
-	LoadPackage(PackageName: string): Package;
-	static DeletePackage(Package: Package): boolean;
-	static FindWorldInPackage(Package: Package): World;
-	static SavePackage(Package: Package,Filename: string): boolean;
-	static GetLongPackagePath(InPackage: Package): string;
-	static HasAnyPackageFlags(Package: Package,Flags: number): boolean;
-	static LoadPackage(InOuter: Package,PackageName: string): Package;
+declare class AISense extends UObject { 
+	DefaultExpirationAge: number;
+	NotifyType: EAISenseNotifyType;
+	bWantsNewPawnNotification: boolean;
+	bAutoRegisterAllPawnsAsSources: boolean;
+	PerceptionSystemInstance: AIPerceptionSystem;
+	static Load(ResourceName: string): AISense;
+	static Find(Outer: UObject, ResourceName: string): AISense;
+	static GetDefaultObject(): AISense;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense;
+	static C(Other: UObject | any): AISense;
 }
 
-declare class DirectoryItem { 
-	Name: string;
-	bIsDirectory: boolean;
-	clone() : DirectoryItem;
-	static C(Other: UObject | any): DirectoryItem;
+declare class ActorPerceptionBlueprintInfo { 
+	Target: Actor;
+	LastSensedStimuli: AIStimulus[];
+	bIsHostile: boolean;
+	clone() : ActorPerceptionBlueprintInfo;
+	static C(Other: UObject | any): ActorPerceptionBlueprintInfo;
 }
 
-declare type EJavascriptEncodingOptions = 'AutoDetect' | 'ForceAnsi' | 'ForceUnicode' | 'ForceUTF8' | 'ForceUTF8WithoutBOM' | 'EJavascriptEncodingOptions_MAX';
-declare var EJavascriptEncodingOptions : { AutoDetect:'AutoDetect',ForceAnsi:'ForceAnsi',ForceUnicode:'ForceUnicode',ForceUTF8:'ForceUTF8',ForceUTF8WithoutBOM:'ForceUTF8WithoutBOM',EJavascriptEncodingOptions_MAX:'EJavascriptEncodingOptions_MAX', };
-declare class PrimaryAssetType { 
-	Name: string;
-	clone() : PrimaryAssetType;
-	static C(Other: UObject | any): PrimaryAssetType;
-	Conv_PrimaryAssetTypeToString(): string;
-	EqualEqual_PrimaryAssetType(B: PrimaryAssetType): boolean;
-	GetPrimaryAssetIdList(OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
-	IsValidPrimaryAssetType(): boolean;
-	NotEqual_PrimaryAssetType(B: PrimaryAssetType): boolean;
-	static Conv_PrimaryAssetTypeToString(PrimaryAssetType: PrimaryAssetType): string;
-	static EqualEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
-	static GetPrimaryAssetIdList(PrimaryAssetType: PrimaryAssetType,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
-	static IsValidPrimaryAssetType(PrimaryAssetType: PrimaryAssetType): boolean;
-	static NotEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
+declare class AIPerceptionComponent extends ActorComponent { 
+	SensesConfig: AISenseConfig[];
+	DominantSense: UnrealEngineClass;
+	AIOwner: AIController;
+	OnPerceptionUpdated: UnrealEngineMulticastDelegate<(UpdatedActors: Actor[]) => void>;
+	OnTargetPerceptionUpdated: UnrealEngineMulticastDelegate<(Actor: Actor, Stimulus: AIStimulus) => void>;
+	static Load(ResourceName: string): AIPerceptionComponent;
+	static Find(Outer: UObject, ResourceName: string): AIPerceptionComponent;
+	static GetDefaultObject(): AIPerceptionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionComponent;
+	SetSenseEnabled(SenseClass: UnrealEngineClass,bEnable: boolean): void;
+	RequestStimuliListenerUpdate(): void;
+	OnOwnerEndPlay(Actor: Actor,EndPlayReason: EEndPlayReason): void;
+	GetPerceivedHostileActors(OutActors?: Actor[]): {OutActors: Actor[]};
+	GetPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetKnownPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetCurrentlyPerceivedActors(SenseToUse: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetActorsPerception(Actor: Actor,Info?: ActorPerceptionBlueprintInfo): {Info: ActorPerceptionBlueprintInfo, $: boolean};
+	static C(Other: UObject | any): AIPerceptionComponent;
+}
+
+declare type EAIRequestPriority = 'SoftScript' | 'Logic' | 'HardScript' | 'Reaction' | 'Ultimate' | 'MAX';
+declare var EAIRequestPriority : { SoftScript:'SoftScript',Logic:'Logic',HardScript:'HardScript',Reaction:'Reaction',Ultimate:'Ultimate',MAX:'MAX', };
+declare type EPawnActionResult = 'NotStarted' | 'InProgress' | 'Success' | 'Failed' | 'Aborted' | 'EPawnActionResult_MAX';
+declare var EPawnActionResult : { NotStarted:'NotStarted',InProgress:'InProgress',Success:'Success',Failed:'Failed',Aborted:'Aborted',EPawnActionResult_MAX:'EPawnActionResult_MAX', };
+declare class PawnAction extends UObject { 
+	ChildAction: PawnAction;
+	ParentAction: PawnAction;
+	OwnerComponent: PawnActionsComponent;
+	Instigator: UObject;
+	BrainComp: BrainComponent;
+	bAllowNewSameClassInstance: boolean;
+	bReplaceActiveSameClassInstance: boolean;
+	bShouldPauseMovement: boolean;
+	bAlwaysNotifyOnFinished: boolean;
+	static Load(ResourceName: string): PawnAction;
+	static Find(Outer: UObject, ResourceName: string): PawnAction;
+	static GetDefaultObject(): PawnAction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction;
+	GetActionPriority(): EAIRequestPriority;
+	Finish(WithResult: EPawnActionResult): void;
+	static CreateActionInstance(WorldContextObject: UObject,ActionClass: UnrealEngineClass): PawnAction;
+	static C(Other: UObject | any): PawnAction;
+}
+
+declare class PawnActionStack { 
+	TopAction: PawnAction;
+	clone() : PawnActionStack;
+	static C(Other: UObject | any): PawnActionStack;
+}
+
+declare class PawnActionEvent { 
+	Action: PawnAction;
+	clone() : PawnActionEvent;
+	static C(Other: UObject | any): PawnActionEvent;
+}
+
+declare type EPawnActionAbortState = 'NeverStarted' | 'NotBeingAborted' | 'MarkPendingAbort' | 'LatentAbortInProgress' | 'AbortDone' | 'MAX';
+declare var EPawnActionAbortState : { NeverStarted:'NeverStarted',NotBeingAborted:'NotBeingAborted',MarkPendingAbort:'MarkPendingAbort',LatentAbortInProgress:'LatentAbortInProgress',AbortDone:'AbortDone',MAX:'MAX', };
+declare class PawnActionsComponent extends ActorComponent { 
+	ControlledPawn: Pawn;
+	ActionStacks: PawnActionStack[];
+	ActionEvents: PawnActionEvent[];
+	CurrentAction: PawnAction;
+	static Load(ResourceName: string): PawnActionsComponent;
+	static Find(Outer: UObject, ResourceName: string): PawnActionsComponent;
+	static GetDefaultObject(): PawnActionsComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnActionsComponent;
+	K2_PushAction(NewAction: PawnAction,Priority: EAIRequestPriority,Instigator: UObject): boolean;
+	static K2_PerformAction(Pawn: Pawn,Action: PawnAction,Priority: EAIRequestPriority): boolean;
+	K2_ForceAbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
+	K2_AbortAction(ActionToAbort: PawnAction): EPawnActionAbortState;
+	static C(Other: UObject | any): PawnActionsComponent;
+}
+
+declare type ETaskResourceOverlapPolicy = 'StartOnTop' | 'StartAtEnd' | 'ETaskResourceOverlapPolicy_MAX';
+declare var ETaskResourceOverlapPolicy : { StartOnTop:'StartOnTop',StartAtEnd:'StartAtEnd',ETaskResourceOverlapPolicy_MAX:'ETaskResourceOverlapPolicy_MAX', };
+declare class GameplayTask extends UObject { 
+	InstanceName: string;
+	ResourceOverlapPolicy: ETaskResourceOverlapPolicy;
+	ChildTask: GameplayTask;
+	static Load(ResourceName: string): GameplayTask;
+	static Find(Outer: UObject, ResourceName: string): GameplayTask;
+	static GetDefaultObject(): GameplayTask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask;
+	ReadyForActivation(): void;
+	EndTask(): void;
+	static C(Other: UObject | any): GameplayTask;
+}
+
+declare class GameplayResourceSet { 
+	clone() : GameplayResourceSet;
+	static C(Other: UObject | any): GameplayResourceSet;
+}
+
+declare class GameplayTasksComponent extends ActorComponent { 
+	bIsNetDirty: boolean;
+	SimulatedTasks: GameplayTask[];
+	TaskPriorityQueue: GameplayTask[];
+	TickingTasks: GameplayTask[];
+	KnownTasks: GameplayTask[];
+	OnClaimedResourcesChange: UnrealEngineMulticastDelegate<(NewlyClaimed: GameplayResourceSet, FreshlyReleased: GameplayResourceSet) => void>;
+	static Load(ResourceName: string): GameplayTasksComponent;
+	static Find(Outer: UObject, ResourceName: string): GameplayTasksComponent;
+	static GetDefaultObject(): GameplayTasksComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTasksComponent;
+	OnRep_SimulatedTasks(): void;
+	static C(Other: UObject | any): GameplayTasksComponent;
+}
+
+declare class NavAgentSelector { 
+	bSupportsAgent0: boolean;
+	bSupportsAgent1: boolean;
+	bSupportsAgent2: boolean;
+	bSupportsAgent3: boolean;
+	bSupportsAgent4: boolean;
+	bSupportsAgent5: boolean;
+	bSupportsAgent6: boolean;
+	bSupportsAgent7: boolean;
+	bSupportsAgent8: boolean;
+	bSupportsAgent9: boolean;
+	bSupportsAgent10: boolean;
+	bSupportsAgent11: boolean;
+	bSupportsAgent12: boolean;
+	bSupportsAgent13: boolean;
+	bSupportsAgent14: boolean;
+	bSupportsAgent15: boolean;
+	clone() : NavAgentSelector;
+	static C(Other: UObject | any): NavAgentSelector;
+}
+
+declare class NavArea extends NavAreaBase { 
+	DefaultCost: number;
+	FixedAreaEnteringCost: number;
+	DrawColor: Color;
+	SupportedAgents: NavAgentSelector;
+	bSupportsAgent0: boolean;
+	bSupportsAgent1: boolean;
+	bSupportsAgent2: boolean;
+	bSupportsAgent3: boolean;
+	bSupportsAgent4: boolean;
+	bSupportsAgent5: boolean;
+	bSupportsAgent6: boolean;
+	bSupportsAgent7: boolean;
+	bSupportsAgent8: boolean;
+	bSupportsAgent9: boolean;
+	bSupportsAgent10: boolean;
+	bSupportsAgent11: boolean;
+	bSupportsAgent12: boolean;
+	bSupportsAgent13: boolean;
+	bSupportsAgent14: boolean;
+	bSupportsAgent15: boolean;
+	static Load(ResourceName: string): NavArea;
+	static Find(Outer: UObject, ResourceName: string): NavArea;
+	static GetDefaultObject(): NavArea;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea;
+	static C(Other: UObject | any): NavArea;
+}
+
+declare class NavigationFilterArea { 
+	AreaClass: UnrealEngineClass;
+	TravelCostOverride: number;
+	EnteringCostOverride: number;
+	bIsExcluded: boolean;
+	bOverrideTravelCost: boolean;
+	bOverrideEnteringCost: boolean;
+	clone() : NavigationFilterArea;
+	static C(Other: UObject | any): NavigationFilterArea;
+}
+
+declare class NavigationFilterFlags { 
+	bNavFlag0: boolean;
+	bNavFlag1: boolean;
+	bNavFlag2: boolean;
+	bNavFlag3: boolean;
+	bNavFlag4: boolean;
+	bNavFlag5: boolean;
+	bNavFlag6: boolean;
+	bNavFlag7: boolean;
+	bNavFlag8: boolean;
+	bNavFlag9: boolean;
+	bNavFlag10: boolean;
+	bNavFlag11: boolean;
+	bNavFlag12: boolean;
+	bNavFlag13: boolean;
+	bNavFlag14: boolean;
+	bNavFlag15: boolean;
+	clone() : NavigationFilterFlags;
+	static C(Other: UObject | any): NavigationFilterFlags;
+}
+
+declare class NavigationQueryFilter extends UObject { 
+	Areas: NavigationFilterArea[];
+	IncludeFlags: NavigationFilterFlags;
+	ExcludeFlags: NavigationFilterFlags;
+	static Load(ResourceName: string): NavigationQueryFilter;
+	static Find(Outer: UObject, ResourceName: string): NavigationQueryFilter;
+	static GetDefaultObject(): NavigationQueryFilter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationQueryFilter;
+	static C(Other: UObject | any): NavigationQueryFilter;
+}
+
+declare class GameplayTaskResource extends UObject { 
+	ManualResourceID: number;
+	AutoResourceID: any;
+	bManuallySetID: boolean;
+	static Load(ResourceName: string): GameplayTaskResource;
+	static Find(Outer: UObject, ResourceName: string): GameplayTaskResource;
+	static GetDefaultObject(): GameplayTaskResource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskResource;
+	static C(Other: UObject | any): GameplayTaskResource;
 }
 
-declare class PrimaryAssetId { 
-	PrimaryAssetType: PrimaryAssetType;
-	PrimaryAssetName: string;
-	clone() : PrimaryAssetId;
-	static C(Other: UObject | any): PrimaryAssetId;
-	Conv_PrimaryAssetIdToString(): string;
-	EqualEqual_PrimaryAssetId(B: PrimaryAssetId): boolean;
-	GetClassFromPrimaryAssetId(): UnrealEngineClass;
-	GetCurrentBundleState(bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
-	GetObjectFromPrimaryAssetId(): UObject;
-	GetSoftClassReferenceFromPrimaryAssetId(): any;
-	GetSoftObjectReferenceFromPrimaryAssetId(): any;
-	IsValidPrimaryAssetId(): boolean;
-	NotEqual_PrimaryAssetId(B: PrimaryAssetId): boolean;
-	UnloadPrimaryAsset(): void;
-	static Conv_PrimaryAssetIdToString(PrimaryAssetId: PrimaryAssetId): string;
-	static EqualEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
-	static GetClassFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UnrealEngineClass;
-	static GetCurrentBundleState(PrimaryAssetId: PrimaryAssetId,bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
-	static GetObjectFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
-	static GetSoftClassReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): any;
-	static GetSoftObjectReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): any;
-	static IsValidPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): boolean;
-	static NotEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
-	static UnloadPrimaryAsset(PrimaryAssetId: PrimaryAssetId): void;
+declare type EPathFollowingRequestResult = 'Failed' | 'AlreadyAtGoal' | 'RequestSuccessful' | 'EPathFollowingRequestResult_MAX';
+declare var EPathFollowingRequestResult : { Failed:'Failed',AlreadyAtGoal:'AlreadyAtGoal',RequestSuccessful:'RequestSuccessful',EPathFollowingRequestResult_MAX:'EPathFollowingRequestResult_MAX', };
+declare type EPathFollowingStatus = 'Idle' | 'Waiting' | 'Paused' | 'Moving' | 'EPathFollowingStatus_MAX';
+declare var EPathFollowingStatus : { Idle:'Idle',Waiting:'Waiting',Paused:'Paused',Moving:'Moving',EPathFollowingStatus_MAX:'EPathFollowingStatus_MAX', };
+declare class AIController extends Controller { 
+	bStopAILogicOnUnposses: boolean;
+	bLOSflag: boolean;
+	bSkipExtraLOSChecks: boolean;
+	bAllowStrafe: boolean;
+	bWantsPlayerState: boolean;
+	bSetControlRotationFromPawnOrientation: boolean;
+	PathFollowingComponent: PathFollowingComponent;
+	BrainComponent: BrainComponent;
+	PerceptionComponent: AIPerceptionComponent;
+	ActionsComp: PawnActionsComponent;
+	Blackboard: BlackboardComponent;
+	CachedGameplayTasksComponent: GameplayTasksComponent;
+	DefaultNavigationFilterClass: UnrealEngineClass;
+	ReceiveMoveCompleted: UnrealEngineMulticastDelegate<(RequestID: AIRequestID, Result: EPathFollowingResult) => void>;
+	static GetDefaultObject(): AIController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIController;
+	UseBlackboard(BlackboardAsset: BlackboardData,BlackboardComponent?: BlackboardComponent): {BlackboardComponent: BlackboardComponent, $: boolean};
+	UnclaimTaskResource(ResourceClass: UnrealEngineClass): void;
+	SetPathFollowingComponent(NewPFComponent: PathFollowingComponent): void;
+	SetMoveBlockDetection(bEnable: boolean): void;
+	RunBehaviorTree(BTAsset: BehaviorTree): boolean;
+	OnUsingBlackBoard(BlackboardComp: BlackboardComponent,BlackboardAsset: BlackboardData): void;
+	OnGameplayTaskResourcesClaimed(NewlyClaimed: GameplayResourceSet,FreshlyReleased: GameplayResourceSet): void;
+	MoveToLocation(Dest: Vector,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bProjectDestinationToNavigation: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
+	MoveToActor(Goal: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean,bUsePathfinding: boolean,bCanStrafe: boolean,FilterClass: UnrealEngineClass,bAllowPartialPath: boolean): EPathFollowingRequestResult;
+	K2_SetFocus(NewFocus: Actor): void;
+	K2_SetFocalPoint(FP: Vector): void;
+	K2_ClearFocus(): void;
+	HasPartialPath(): boolean;
+	GetPathFollowingComponent(): PathFollowingComponent;
+	GetMoveStatus(): EPathFollowingStatus;
+	GetImmediateMoveDestination(): Vector;
+	GetFocusActor(): Actor;
+	GetFocalPointOnActor(Actor: Actor): Vector;
+	GetFocalPoint(): Vector;
+	GetAIPerceptionComponent(): AIPerceptionComponent;
+	ClaimTaskResource(ResourceClass: UnrealEngineClass): void;
+	static C(Other: UObject | any): AIController;
 }
 
-declare class CollisionProfileName { 
-	Name: string;
-	clone() : CollisionProfileName;
-	static C(Other: UObject | any): CollisionProfileName;
+declare class XRDeviceId { 
+	SystemName: string;
+	DeviceID: number;
+	clone() : XRDeviceId;
+	static C(Other: UObject | any): XRDeviceId;
+	GetDevicePose(bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	IsDeviceTracking(): boolean;
+	static GetDevicePose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	static IsDeviceTracking(XRDeviceId: XRDeviceId): boolean;
 }
 
-declare class GenericStruct { 
-	Data: number;
-	clone() : GenericStruct;
-	static C(Other: UObject | any): GenericStruct;
+declare class Actor extends UObject { 
+	PrimaryActorTick: ActorTickFunction;
+	bHidden: boolean;
+	bNetTemporary: boolean;
+	bNetStartup: boolean;
+	bOnlyRelevantToOwner: boolean;
+	bAlwaysRelevant: boolean;
+	bReplicateMovement: boolean;
+	bTearOff: boolean;
+	bExchangedRoles: boolean;
+	bNetLoadOnClient: boolean;
+	bNetUseOwnerRelevancy: boolean;
+	bRelevantForNetworkReplays: boolean;
+	bRelevantForLevelBounds: boolean;
+	bReplayRewindable: boolean;
+	bAllowTickBeforeBeginPlay: boolean;
+	bAutoDestroyWhenFinished: boolean;
+	bBlockInput: boolean;
+	bCanBeDamaged: boolean;
+	bCollideWhenPlacing: boolean;
+	bFindCameraComponentWhenViewTarget: boolean;
+	bGenerateOverlapEventsDuringLevelStreaming: boolean;
+	bIgnoresOriginShifting: boolean;
+	bEnableAutoLODGeneration: boolean;
+	bIsEditorOnlyActor: boolean;
+	bActorSeamlessTraveled: boolean;
+	bReplicates: boolean;
+	bCanBeInCluster: boolean;
+	bAllowReceiveTickEventOnDedicatedServer: boolean;
+	bActorEnableCollision: boolean;
+	bActorIsBeingDestroyed: boolean;
+	RemoteRole: ENetRole;
+	ReplicatedMovement: RepMovement;
+	InitialLifeSpan: number;
+	CustomTimeDilation: number;
+	AttachmentReplication: RepAttachment;
+	Owner: Actor;
+	NetDriverName: string;
+	Role: ENetRole;
+	NetDormancy: ENetDormancy;
+	SpawnCollisionHandlingMethod: ESpawnActorCollisionHandlingMethod;
+	AutoReceiveInput: EAutoReceiveInput;
+	InputPriority: number;
+	InputComponent: InputComponent;
+	NetCullDistanceSquared: number;
+	NetTag: number;
+	NetUpdateFrequency: number;
+	MinNetUpdateFrequency: number;
+	NetPriority: number;
+	Instigator: Pawn;
+	Children: Actor[];
+	RootComponent: SceneComponent;
+	PivotOffset: Vector;
+	ControllingMatineeActors: MatineeActor[];
+	Layers: string[];
+	ParentComponentActor: any;
+	ParentComponent: any;
+	GroupActor: Actor;
+	SpriteScale: number;
+	HiddenEditorViews: any;
+	ActorLabel: string;
+	FolderPath: string;
+	bHiddenEd: boolean;
+	bIsEditorPreviewActor: boolean;
+	bHiddenEdLayer: boolean;
+	bHiddenEdLevel: boolean;
+	bLockLocation: boolean;
+	bActorLabelEditable: boolean;
+	bEditable: boolean;
+	bListedInSceneOutliner: boolean;
+	bOptimizeBPComponentData: boolean;
+	bHiddenEdTemporary: boolean;
+	Tags: string[];
+	OnTakeAnyDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, DamageType: DamageType, InstigatedBy: Controller, DamageCauser: Actor) => void>;
+	OnTakePointDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, InstigatedBy: Controller, HitLocation: Vector, FHitComponent: PrimitiveComponent, BoneName: string, ShotFromDirection: Vector, DamageType: DamageType, DamageCauser: Actor) => void>;
+	OnTakeRadialDamage: UnrealEngineMulticastDelegate<(DamagedActor: Actor, Damage: number, DamageType: DamageType, Origin: Vector, HitInfo: HitResult, InstigatedBy: Controller, DamageCauser: Actor) => void>;
+	OnActorBeginOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
+	OnActorEndOverlap: UnrealEngineMulticastDelegate<(OverlappedActor: Actor, OtherActor: Actor) => void>;
+	OnBeginCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
+	OnEndCursorOver: UnrealEngineMulticastDelegate<(TouchedActor: Actor) => void>;
+	OnClicked: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonPressed: Key) => void>;
+	OnReleased: UnrealEngineMulticastDelegate<(TouchedActor: Actor, ButtonReleased: Key) => void>;
+	OnInputTouchBegin: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
+	OnInputTouchEnd: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
+	OnInputTouchEnter: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
+	OnInputTouchLeave: UnrealEngineMulticastDelegate<(FingerIndex: ETouchIndex, TouchedActor: Actor) => void>;
+	OnActorHit: UnrealEngineMulticastDelegate<(SelfActor: Actor, OtherActor: Actor, NormalImpulse: Vector, Hit: HitResult) => void>;
+	OnDestroyed: UnrealEngineMulticastDelegate<(DestroyedActor: Actor) => void>;
+	OnEndPlay: UnrealEngineMulticastDelegate<(Actor: Actor, EndPlayReason: EEndPlayReason) => void>;
+	InstanceComponents: ActorComponent[];
+	BlueprintCreatedComponents: ActorComponent[];
+	constructor(InWorld: World, Location?: Vector, Rotation?: Rotator);
+	static GetDefaultObject(): Actor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Actor;
+	WasRecentlyRendered(Tolerance: number): boolean;
+	UserConstructionScript(): void;
+	TearOff(): void;
+	SnapRootComponentTo(InParentActor: Actor,InSocketName: string): void;
+	SetTickGroup(NewTickGroup: ETickingGroup): void;
+	SetTickableWhenPaused(bTickableWhenPaused: boolean): void;
+	SetReplicates(bInReplicates: boolean): void;
+	SetReplicateMovement(bInReplicateMovement: boolean): void;
+	SetOwner(NewOwner: Actor): void;
+	SetNetDormancy(NewDormancy: ENetDormancy): void;
+	SetLifeSpan(InLifespan: number): void;
+	SetIsTemporarilyHiddenInEditor(bIsHidden: boolean): void;
+	SetFolderPath(NewFolderPath: string): void;
+	SetActorTickInterval(TickInterval: number): void;
+	SetActorTickEnabled(bEnabled: boolean): void;
+	SetActorScale3D(NewScale3D: Vector): void;
+	SetActorRelativeScale3D(NewRelativeScale: Vector): void;
+	SetActorLabel(NewActorLabel: string,bMarkDirty: boolean): void;
+	SetActorHiddenInGame(bNewHidden: boolean): void;
+	SetActorEnableCollision(bNewActorEnableCollision: boolean): void;
+	RemoveTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
+	RemoveTickPrerequisiteActor(PrerequisiteActor: Actor): void;
+	ReceiveTick(DeltaSeconds: number): void;
+	ReceiveRadialDamage(DamageReceived: number,DamageType: DamageType,Origin: Vector,HitInfo: HitResult,InstigatedBy: Controller,DamageCauser: Actor): void;
+	ReceivePointDamage(Damage: number,DamageType: DamageType,HitLocation: Vector,HitNormal: Vector,HitComponent: PrimitiveComponent,BoneName: string,ShotFromDirection: Vector,InstigatedBy: Controller,DamageCauser: Actor,HitInfo: HitResult): void;
+	ReceiveHit(MyComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,bSelfMoved: boolean,HitLocation: Vector,HitNormal: Vector,NormalImpulse: Vector,Hit: HitResult): void;
+	ReceiveEndPlay(EndPlayReason: EEndPlayReason): void;
+	ReceiveDestroyed(): void;
+	ReceiveBeginPlay(): void;
+	ReceiveAnyDamage(Damage: number,DamageType: DamageType,InstigatedBy: Controller,DamageCauser: Actor): void;
+	ReceiveActorOnReleased(ButtonReleased: Key): void;
+	ReceiveActorOnInputTouchLeave(FingerIndex: ETouchIndex): void;
+	ReceiveActorOnInputTouchEnter(FingerIndex: ETouchIndex): void;
+	ReceiveActorOnInputTouchEnd(FingerIndex: ETouchIndex): void;
+	ReceiveActorOnInputTouchBegin(FingerIndex: ETouchIndex): void;
+	ReceiveActorOnClicked(ButtonPressed: Key): void;
+	ReceiveActorEndOverlap(OtherActor: Actor): void;
+	ReceiveActorEndCursorOver(): void;
+	ReceiveActorBeginOverlap(OtherActor: Actor): void;
+	ReceiveActorBeginCursorOver(): void;
+	PrestreamTextures(Seconds: number,bEnableStreaming: boolean,CinematicTextureGroups: number): void;
+	OnRep_ReplicateMovement(): void;
+	OnRep_ReplicatedMovement(): void;
+	OnRep_Owner(): void;
+	OnRep_Instigator(): void;
+	OnRep_AttachmentReplication(): void;
+	MakeNoise(Loudness: number,NoiseInstigator: Pawn,NoiseLocation: Vector,MaxRange: number,Tag: string): void;
+	MakeMIDForMaterial(Parent: MaterialInterface): MaterialInstanceDynamic;
+	K2_TeleportTo(DestLocation: Vector,DestRotation: Rotator): boolean;
+	K2_SetActorTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
+	K2_SetActorRotation(NewRotation: Rotator,bTeleportPhysics: boolean): boolean;
+	K2_SetActorRelativeTransform(NewRelativeTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_SetActorRelativeRotation(NewRelativeRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_SetActorRelativeLocation(NewRelativeLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_SetActorLocationAndRotation(NewLocation: Vector,NewRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
+	K2_SetActorLocation(NewLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult, $: boolean};
+	K2_OnReset(): void;
+	K2_OnEndViewTarget(PC: PlayerController): void;
+	K2_OnBecomeViewTarget(PC: PlayerController): void;
+	K2_GetRootComponent(): SceneComponent;
+	K2_GetActorRotation(): Rotator;
+	K2_GetActorLocation(): Vector;
+	K2_DetachFromActor(LocationRule: EDetachmentRule,RotationRule: EDetachmentRule,ScaleRule: EDetachmentRule): void;
+	K2_DestroyComponent(Component: ActorComponent): void;
+	K2_DestroyActor(): void;
+	K2_AttachToComponent(Parent: SceneComponent,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
+	K2_AttachToActor(ParentActor: Actor,SocketName: string,LocationRule: EAttachmentRule,RotationRule: EAttachmentRule,ScaleRule: EAttachmentRule,bWeldSimulatedBodies: boolean): void;
+	K2_AttachRootComponentToActor(InParentActor: Actor,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
+	K2_AttachRootComponentTo(InParent: SceneComponent,InSocketName: string,AttachLocationType: EAttachLocation,bWeldSimulatedBodies: boolean): void;
+	K2_AddActorWorldTransform(DeltaTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_AddActorWorldRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_AddActorWorldOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_AddActorLocalTransform(NewTransform: Transform,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_AddActorLocalRotation(DeltaRotation: Rotator,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	K2_AddActorLocalOffset(DeltaLocation: Vector,bSweep: boolean,SweepHitResult?: HitResult,bTeleport?: boolean): {SweepHitResult: HitResult};
+	IsTemporarilyHiddenInEditor(bIncludeParent: boolean): boolean;
+	IsSelectable(): boolean;
+	IsOverlappingActor(Other: Actor): boolean;
+	IsHiddenEdAtStartup(): boolean;
+	IsHiddenEd(): boolean;
+	IsEditable(): boolean;
+	IsChildActor(): boolean;
+	IsActorTickEnabled(): boolean;
+	IsActorBeingDestroyed(): boolean;
+	HasAuthority(): boolean;
+	GetVerticalDistanceTo(OtherActor: Actor): number;
+	GetVelocity(): Vector;
+	GetTransform(): Transform;
+	GetTickableWhenPaused(): boolean;
+	GetSquaredDistanceTo(OtherActor: Actor): number;
+	GetRemoteRole(): ENetRole;
+	GetParentComponent(): ChildActorComponent;
+	GetParentActor(): Actor;
+	GetOwner(): Actor;
+	GetOverlappingComponents(OverlappingComponents?: PrimitiveComponent[]): {OverlappingComponents: PrimitiveComponent[]};
+	GetOverlappingActors(OverlappingActors?: Actor[],ClassFilter?: UnrealEngineClass): {OverlappingActors: Actor[]};
+	GetLocalRole(): ENetRole;
+	GetLifeSpan(): number;
+	GetInstigatorController(): Controller;
+	GetInstigator(): Pawn;
+	GetInputVectorAxisValue(InputAxisKey: Key): Vector;
+	GetInputAxisValue(InputAxisName: string): number;
+	GetInputAxisKeyValue(InputAxisKey: Key): number;
+	GetHorizontalDotProductTo(OtherActor: Actor): number;
+	GetHorizontalDistanceTo(OtherActor: Actor): number;
+	GetGameTimeSinceCreation(): number;
+	GetFolderPath(): string;
+	GetDotProductTo(OtherActor: Actor): number;
+	GetDistanceTo(OtherActor: Actor): number;
+	GetComponentsByTag(ComponentClass: UnrealEngineClass,Tag: string): ActorComponent[];
+	GetComponentsByClass(ComponentClass: UnrealEngineClass): ActorComponent[];
+	GetComponentByClass(ComponentClass: UnrealEngineClass): ActorComponent;
+	GetAttachParentSocketName(): string;
+	GetAttachParentActor(): Actor;
+	GetAttachedActors(OutActors?: Actor[]): {OutActors: Actor[]};
+	GetAllChildActors(ChildActors?: Actor[],bIncludeDescendants?: boolean): {ChildActors: Actor[]};
+	GetActorUpVector(): Vector;
+	GetActorTimeDilation(): number;
+	GetActorTickInterval(): number;
+	GetActorScale3D(): Vector;
+	GetActorRightVector(): Vector;
+	GetActorRelativeScale3D(): Vector;
+	GetActorLabel(): string;
+	GetActorForwardVector(): Vector;
+	GetActorEyesViewPoint(OutLocation?: Vector,OutRotation?: Rotator): {OutLocation: Vector, OutRotation: Rotator};
+	GetActorEnableCollision(): boolean;
+	GetActorBounds(bOnlyCollidingComponents: boolean,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
+	ForceNetUpdate(): void;
+	FlushNetDormancy(): void;
+	EnableInput(PlayerController: PlayerController): void;
+	DisableInput(PlayerController: PlayerController): void;
+	DetachRootComponentFromParent(bMaintainWorldPosition: boolean): void;
+	AddTickPrerequisiteComponent(PrerequisiteComponent: ActorComponent): void;
+	AddTickPrerequisiteActor(PrerequisiteActor: Actor): void;
+	AddComponent(TemplateName: string,bManualAttachment: boolean,RelativeTransform: Transform,ComponentTemplateContext: UObject): ActorComponent;
+	ActorHasTag(Tag: string): boolean;
+	static C(Other: UObject | any): Actor;
+	ClearActorLabel(): void;
+	GetActorLabel(): string;
+	GetFolderPath(): string;
+	IsActorLabelEditable(): boolean;
+	SetActorLabel(NewActorLabel: string,bMarkDirty: boolean): void;
+	SetFolderPath(NewFolderPath: string): void;
+	SetFolderPath_Recursively(NewFolderPath: string): void;
+	SetIsTemporarilyHiddenInEditor(bIsHidden: boolean): void;
+	Actor_GetWorld(): World;
+	GetLastRenderTime(): number;
+	GetLevel(): Level;
+	IsPendingKill(): boolean;
+	ReregisterAllComponents(): void;
+	SetActorFlags(Flags: number): void;
+	SetRootComponent(Component: SceneComponent): void;
+	SetFocusActor(): void;
+	GetActorBounds(Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
+	ApplyDamage(BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	ApplyPointDamage(BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	FinishSpawningActor(SpawnTransform: Transform): Actor;
+	GetAIController(): AIController;
+	GetBlackboard(): BlackboardComponent;
+	AddDeviceVisualizationComponentBlocking(XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
+	AddNamedDeviceVisualizationComponentBlocking(SystemName: string,DeviceName: string,bManualAttachment: boolean,RelativeTransform: Transform,XRDeviceId?: XRDeviceId): {XRDeviceId: XRDeviceId, $: PrimitiveComponent};
+	static ClearActorLabel(Actor: Actor): void;
+	static GetActorLabel(Actor: Actor): string;
+	static GetFolderPath(Actor: Actor): string;
+	static IsActorLabelEditable(Actor: Actor): boolean;
+	static SetActorLabel(Actor: Actor,NewActorLabel: string,bMarkDirty: boolean): void;
+	static SetFolderPath(Actor: Actor,NewFolderPath: string): void;
+	static SetFolderPath_Recursively(Actor: Actor,NewFolderPath: string): void;
+	static SetIsTemporarilyHiddenInEditor(Actor: Actor,bIsHidden: boolean): void;
+	static Actor_GetWorld(Actor: Actor): World;
+	static GetLastRenderTime(Actor: Actor): number;
+	static GetLevel(Actor: Actor): Level;
+	static IsPendingKill(InActor: Actor): boolean;
+	static ReregisterAllComponents(Actor: Actor): void;
+	static SetActorFlags(Actor: Actor,Flags: number): void;
+	static SetRootComponent(Actor: Actor,Component: SceneComponent): void;
+	static SetFocusActor(InFocusActor: Actor): void;
+	static GetActorBounds(Actor: Actor,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
+	static ApplyDamage(DamagedActor: Actor,BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	static ApplyPointDamage(DamagedActor: Actor,BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	static FinishSpawningActor(Actor: Actor,SpawnTransform: Transform): Actor;
+	static GetAIController(ControlledActor: Actor): AIController;
+	static GetBlackboard(Target: Actor): BlackboardComponent;
+	static AddDeviceVisualizationComponentBlocking(Target: Actor,XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
+	static AddNamedDeviceVisualizationComponentBlocking(Target: Actor,SystemName: string,DeviceName: string,bManualAttachment: boolean,RelativeTransform: Transform,XRDeviceId?: XRDeviceId): {XRDeviceId: XRDeviceId, $: PrimitiveComponent};
 }
 
-declare class UObject { 
-	constructor();
-	constructor(Outer: UObject);
-	static Load(ResourceName: string): UObject;
-	static Find(Outer: UObject, ResourceName: string): UObject;
-	static StaticClass: any;
-	static GetClassObject(): Class;
-	static GetDefaultObject(): UObject;
-	static GetDefaultSubobjectByName(Name: string): UObject;
-	static SetDefaultSubobjectClass(Name: string): void;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UObject;
-	ExecuteUbergraph(EntryPoint: number): void;
-	static C(Other: UObject | any): UObject;
-	AddWhitelistedObject(): void;
-	BroadcastAssetCreated(): void;
-	MarkPackageDirty(): boolean;
-	ModifyObject(bAlwaysMarkDirty: boolean): void;
-	PostEditChange(): void;
-	DestroyUObject(): void;
-	CreateEnum(Name: string,DisplayNames: string[]): Enum;
-	CreatePackage(PackageName: string): Package;
-	Duplicate(Outer: UObject,Name: string): UObject;
-	FindObjectWithOuter(ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
-	FindPackage(PackageName: string): Package;
-	GetArchetypePathName(): string;
-	GetDir(WhichDir: string): string;
-	GetFields(bIncludeSuper: boolean): Field[];
-	GetFileSize(Filename: string): number;
-	GetName(): string;
-	GetObjectsWithOuter(Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
-	GetOuter(): UObject;
-	GetOutermost(): UObject;
-	HasAnyFlags(Flags: number): boolean;
-	ReadDirectory(Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
-	ReadFile(Filename: string): boolean;
-	ReadStringFromFile(Filename: string): string;
-	SetObjectFlags(Flags: number): void;
-	WriteFile(Filename: string): boolean;
-	WriteStringToFile(Filename: string,Data: string,EncodingOptions: EJavascriptEncodingOptions): boolean;
-	RedirectVislog(DestinationOwner: UObject): void;
-	Conv_ObjectToText(): string;
-	Conv_ObjectToSoftObjectReference(): any;
-	Conv_SoftObjectReferenceToObject(): UObject;
-	Conv_SoftObjectReferenceToString(): string;
-	CreateCopyForUndoBuffer(): void;
-	DoesImplementInterface(Interface: UnrealEngineClass): boolean;
-	EqualEqual_SoftObjectReference(B: any): boolean;
-	GetDisplayName(): string;
-	GetObjectName(): string;
-	GetPathName(): string;
-	GetPrimaryAssetIdFromObject(): PrimaryAssetId;
-	GetPrimaryAssetIdFromSoftObjectReference(): PrimaryAssetId;
-	IsValid(): boolean;
-	IsValidSoftObjectReference(): boolean;
-	K2_ClearTimer(FunctionName: string): void;
-	K2_GetTimerElapsedTime(FunctionName: string): number;
-	K2_GetTimerRemainingTime(FunctionName: string): number;
-	K2_IsTimerActive(FunctionName: string): boolean;
-	K2_IsTimerPaused(FunctionName: string): boolean;
-	K2_PauseTimer(FunctionName: string): void;
-	K2_SetTimer(FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
-	K2_TimerExists(FunctionName: string): boolean;
-	K2_UnPauseTimer(FunctionName: string): void;
-	NotEqual_SoftObjectReference(B: any): boolean;
-	SetBoolPropertyByName(PropertyName: string,Value: boolean): void;
-	SetBytePropertyByName(PropertyName: string,Value: number): void;
-	SetClassPropertyByName(PropertyName: string,Value: UnrealEngineClass): void;
-	SetCollisionProfileNameProperty(PropertyName: string,Value: CollisionProfileName): void;
-	SetFloatPropertyByName(PropertyName: string,Value: number): void;
-	SetInterfacePropertyByName(PropertyName: string,Value: any): void;
-	SetIntPropertyByName(PropertyName: string,Value: number): void;
-	SetLinearColorPropertyByName(PropertyName: string,Value: LinearColor): void;
-	SetNamePropertyByName(PropertyName: string,Value: string): void;
-	SetObjectPropertyByName(PropertyName: string,Value: UObject): void;
-	SetRotatorPropertyByName(PropertyName: string,Value: Rotator): void;
-	SetSoftClassPropertyByName(PropertyName: string,Value: any): void;
-	SetSoftObjectPropertyByName(PropertyName: string,Value: any): void;
-	SetStringPropertyByName(PropertyName: string,Value: string): void;
-	SetStructurePropertyByName(PropertyName: string,Value: GenericStruct): void;
-	SetTextPropertyByName(PropertyName: string,Value: string): void;
-	SetTransformPropertyByName(PropertyName: string,Value: Transform): void;
-	SetVectorPropertyByName(PropertyName: string,Value: Vector): void;
-	Conv_ObjectToString(): string;
-	EqualEqual_ObjectObject(B: UObject): boolean;
-	NotEqual_ObjectObject(B: UObject): boolean;
-	SelectObject(B: UObject,bSelectA: boolean): UObject;
-	SetArrayPropertyByName(PropertyName: string,Value: number[]): void;
-	GetObjectClass(): UnrealEngineClass;
-	SetSetPropertyByName(PropertyName: string,Value: any): void;
-	SetMapPropertyByName(PropertyName: string,Value: any): void;
-	static AddWhitelistedObject(InObject: UObject): void;
-	static BroadcastAssetCreated(NewAsset: UObject): void;
-	static MarkPackageDirty(InObject: UObject): boolean;
-	static ModifyObject(UObject: UObject,bAlwaysMarkDirty: boolean): void;
-	static PostEditChange(InObject: UObject): void;
-	static DestroyUObject(UObject: UObject): void;
-	static CreateEnum(Outer: UObject,Name: string,DisplayNames: string[]): Enum;
-	static CreatePackage(Outer: UObject,PackageName: string): Package;
-	static Duplicate(UObject: UObject,Outer: UObject,Name: string): UObject;
-	static FindObjectWithOuter(Outer: UObject,ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
-	static FindPackage(InOuter: UObject,PackageName: string): Package;
-	static GetArchetypePathName(UObject: UObject): string;
-	static GetDir(UObject: UObject,WhichDir: string): string;
-	static GetFields(UObject: UObject,bIncludeSuper: boolean): Field[];
-	static GetFileSize(UObject: UObject,Filename: string): number;
-	static GetName(UObject: UObject): string;
-	static GetObjectsWithOuter(Outer: UObject,Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
-	static GetOuter(UObject: UObject): UObject;
-	static GetOutermost(UObject: UObject): UObject;
-	static HasAnyFlags(UObject: UObject,Flags: number): boolean;
-	static ReadDirectory(UObject: UObject,Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
-	static ReadFile(UObject: UObject,Filename: string): boolean;
-	static ReadStringFromFile(UObject: UObject,Filename: string): string;
-	static SetObjectFlags(Obj: UObject,Flags: number): void;
-	static WriteFile(UObject: UObject,Filename: string): boolean;
-	static WriteStringToFile(UObject: UObject,Filename: string,Data: string,EncodingOptions: EJavascriptEncodingOptions): boolean;
-	static RedirectVislog(SourceOwner: UObject,DestinationOwner: UObject): void;
-	static Conv_ObjectToText(InObj: UObject): string;
-	static Conv_ObjectToSoftObjectReference(UObject: UObject): any;
-	static Conv_SoftObjectReferenceToObject(softobject: any): UObject;
-	static Conv_SoftObjectReferenceToString(SoftObjectReference: any): string;
-	static CreateCopyForUndoBuffer(ObjectToModify: UObject): void;
-	static DoesImplementInterface(TestObject: UObject,Interface: UnrealEngineClass): boolean;
-	static EqualEqual_SoftObjectReference(A: any,B: any): boolean;
-	static GetDisplayName(UObject: UObject): string;
-	static GetObjectName(UObject: UObject): string;
-	static GetPathName(UObject: UObject): string;
-	static GetPrimaryAssetIdFromObject(UObject: UObject): PrimaryAssetId;
-	static GetPrimaryAssetIdFromSoftObjectReference(SoftObjectReference: any): PrimaryAssetId;
-	static IsValid(UObject: UObject): boolean;
-	static IsValidSoftObjectReference(SoftObjectReference: any): boolean;
-	static K2_ClearTimer(UObject: UObject,FunctionName: string): void;
-	static K2_GetTimerElapsedTime(UObject: UObject,FunctionName: string): number;
-	static K2_GetTimerRemainingTime(UObject: UObject,FunctionName: string): number;
-	static K2_IsTimerActive(UObject: UObject,FunctionName: string): boolean;
-	static K2_IsTimerPaused(UObject: UObject,FunctionName: string): boolean;
-	static K2_PauseTimer(UObject: UObject,FunctionName: string): void;
-	static K2_SetTimer(UObject: UObject,FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
-	static K2_TimerExists(UObject: UObject,FunctionName: string): boolean;
-	static K2_UnPauseTimer(UObject: UObject,FunctionName: string): void;
-	static NotEqual_SoftObjectReference(A: any,B: any): boolean;
-	static SetBoolPropertyByName(UObject: UObject,PropertyName: string,Value: boolean): void;
-	static SetBytePropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetClassPropertyByName(UObject: UObject,PropertyName: string,Value: UnrealEngineClass): void;
-	static SetCollisionProfileNameProperty(UObject: UObject,PropertyName: string,Value: CollisionProfileName): void;
-	static SetFloatPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetInterfacePropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetIntPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetLinearColorPropertyByName(UObject: UObject,PropertyName: string,Value: LinearColor): void;
-	static SetNamePropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
-	static SetRotatorPropertyByName(UObject: UObject,PropertyName: string,Value: Rotator): void;
-	static SetSoftClassPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetSoftObjectPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetStringPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetStructurePropertyByName(UObject: UObject,PropertyName: string,Value: GenericStruct): void;
-	static SetTextPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetTransformPropertyByName(UObject: UObject,PropertyName: string,Value: Transform): void;
-	static SetVectorPropertyByName(UObject: UObject,PropertyName: string,Value: Vector): void;
-	static Conv_ObjectToString(InObj: UObject): string;
-	static EqualEqual_ObjectObject(A: UObject,B: UObject): boolean;
-	static NotEqual_ObjectObject(A: UObject,B: UObject): boolean;
-	static SelectObject(A: UObject,B: UObject,bSelectA: boolean): UObject;
-	static SetArrayPropertyByName(UObject: UObject,PropertyName: string,Value: number[]): void;
-	static GetObjectClass(UObject: UObject): UnrealEngineClass;
-	static SetSetPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetMapPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+declare class LineBatchComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): LineBatchComponent;
+	static Find(Outer: UObject, ResourceName: string): LineBatchComponent;
+	static GetDefaultObject(): LineBatchComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LineBatchComponent;
+	static C(Other: UObject | any): LineBatchComponent;
 }
 
-declare class GCObjectReferencer extends UObject { 
-	static Load(ResourceName: string): GCObjectReferencer;
-	static Find(Outer: UObject, ResourceName: string): GCObjectReferencer;
-	static GetDefaultObject(): GCObjectReferencer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GCObjectReferencer;
-	static C(Other: UObject | any): GCObjectReferencer;
+declare type EStreamingVolumeUsage = 'SVB_Loading' | 'SVB_LoadingAndVisibility' | 'SVB_VisibilityBlockingOnLoad' | 'SVB_BlockingOnLoad' | 'SVB_LoadingNotVisible' | 'SVB_MAX';
+declare var EStreamingVolumeUsage : { SVB_Loading:'SVB_Loading',SVB_LoadingAndVisibility:'SVB_LoadingAndVisibility',SVB_VisibilityBlockingOnLoad:'SVB_VisibilityBlockingOnLoad',SVB_BlockingOnLoad:'SVB_BlockingOnLoad',SVB_LoadingNotVisible:'SVB_LoadingNotVisible',SVB_MAX:'SVB_MAX', };
+declare class LevelStreamingVolume extends Volume { 
+	StreamingLevelNames: string[];
+	bEditorPreVisOnly: boolean;
+	bDisabled: boolean;
+	StreamingUsage: EStreamingVolumeUsage;
+	static GetDefaultObject(): LevelStreamingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingVolume;
+	static C(Other: UObject | any): LevelStreamingVolume;
 }
 
-declare class TextBuffer extends UObject { 
-	static Load(ResourceName: string): TextBuffer;
-	static Find(Outer: UObject, ResourceName: string): TextBuffer;
-	static GetDefaultObject(): TextBuffer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBuffer;
-	static C(Other: UObject | any): TextBuffer;
+declare class LevelStreaming extends UObject { 
+	PackageName: string;
+	WorldAsset: World;
+	PackageNameToLoad: string;
+	LODPackageNames: string[];
+	LevelTransform: Transform;
+	LevelLODIndex: number;
+	StreamingPriority: number;
+	bShouldBeVisibleInEditor: boolean;
+	bShouldBeVisible: boolean;
+	bShouldBeLoaded: boolean;
+	bLocked: boolean;
+	bIsStatic: boolean;
+	bShouldBlockOnLoad: boolean;
+	bShouldBlockOnUnload: boolean;
+	bDisableDistanceStreaming: boolean;
+	bDrawOnLevelStatusMap: boolean;
+	DrawColor: Color;
+	LevelColor: LinearColor;
+	EditorStreamingVolumes: LevelStreamingVolume[];
+	MinTimeBetweenVolumeUnloadRequests: number;
+	Keywords: string[];
+	OnLevelLoaded: UnrealEngineMulticastDelegate<() => void>;
+	OnLevelUnloaded: UnrealEngineMulticastDelegate<() => void>;
+	OnLevelShown: UnrealEngineMulticastDelegate<() => void>;
+	OnLevelHidden: UnrealEngineMulticastDelegate<() => void>;
+	LoadedLevel: Level;
+	PendingUnloadLevel: Level;
+	FolderPath: string;
+	static Load(ResourceName: string): LevelStreaming;
+	static Find(Outer: UObject, ResourceName: string): LevelStreaming;
+	static GetDefaultObject(): LevelStreaming;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreaming;
+	ShouldBeLoaded(): boolean;
+	SetShouldBeVisible(bInShouldBeVisible: boolean): void;
+	SetShouldBeLoaded(bInShouldBeLoaded: boolean): void;
+	SetPriority(NewPriority: number): void;
+	SetLevelLODIndex(LODIndex: number): void;
+	IsStreamingStatePending(): boolean;
+	IsLevelVisible(): boolean;
+	IsLevelLoaded(): boolean;
+	GetWorldAssetPackageFName(): string;
+	GetLoadedLevel(): Level;
+	GetLevelScriptActor(): LevelScriptActor;
+	CreateInstance(UniqueInstanceName: string): LevelStreaming;
+	static C(Other: UObject | any): LevelStreaming;
 }
 
-declare class ScriptStruct extends Struct { 
-	static Load(ResourceName: string): ScriptStruct;
-	static Find(Outer: UObject, ResourceName: string): ScriptStruct;
-	static GetDefaultObject(): ScriptStruct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptStruct;
-	static C(Other: UObject | any): ScriptStruct;
+declare class LevelStreamingWrapper { 
+	StreamingLevel: LevelStreaming;
+	clone() : LevelStreamingWrapper;
+	static C(Other: UObject | any): LevelStreamingWrapper;
 }
 
-declare class DynamicBlueprintBinding extends UObject { 
-	static Load(ResourceName: string): DynamicBlueprintBinding;
-	static Find(Outer: UObject, ResourceName: string): DynamicBlueprintBinding;
-	static GetDefaultObject(): DynamicBlueprintBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicBlueprintBinding;
-	static C(Other: UObject | any): DynamicBlueprintBinding;
+declare class StreamingLevelsToConsider { 
+	StreamingLevels: LevelStreamingWrapper[];
+	clone() : StreamingLevelsToConsider;
+	static C(Other: UObject | any): StreamingLevelsToConsider;
 }
 
-declare class Class extends Struct { 
-	static Load(ResourceName: string): Class;
-	static Find(Outer: UObject, ResourceName: string): Class;
-	static GetDefaultObject(): Class;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Class;
-	static C(Other: UObject | any): Class;
-	AddDynamicBinding(BindingObject: DynamicBlueprintBinding): void;
-	GetClassPathName(): string;
-	GetDerivedClasses(Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
-	GetDynamicBinding(BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
-	GetObjectsOfClass(Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
-	GetSuperClasses(): UnrealEngineClass[];
-	IsGeneratedByBlueprint(): boolean;
-	Conv_ClassToSoftClassReference(): any;
-	Conv_SoftClassReferenceToClass(): UnrealEngineClass;
-	Conv_SoftClassReferenceToString(): string;
-	EqualEqual_SoftClassReference(B: any): boolean;
-	GetClassDisplayName(): string;
-	GetPrimaryAssetIdFromClass(): PrimaryAssetId;
-	GetPrimaryAssetIdFromSoftClassReference(): PrimaryAssetId;
-	IsValidClass(): boolean;
-	IsValidSoftClassReference(): boolean;
-	NotEqual_SoftClassReference(B: any): boolean;
-	ClassIsChildOf(ParentClass: UnrealEngineClass): boolean;
-	EqualEqual_ClassClass(B: UnrealEngineClass): boolean;
-	NotEqual_ClassClass(B: UnrealEngineClass): boolean;
-	SelectClass(B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
-	CreateSaveGameObject(): SaveGame;
-	SpawnObject(Outer: UObject): UObject;
-	CreateDragDropOperation(): DragDropOperation;
-	static AddDynamicBinding(Outer: UnrealEngineClass,BindingObject: DynamicBlueprintBinding): void;
-	static GetClassPathName(Class: UnrealEngineClass): string;
-	static GetDerivedClasses(ClassToLookFor: UnrealEngineClass,Results?: UnrealEngineClass[],bRecursive?: boolean): {Results: UnrealEngineClass[]};
-	static GetDynamicBinding(Outer: UnrealEngineClass,BindingObjectClass: UnrealEngineClass): DynamicBlueprintBinding;
-	static GetObjectsOfClass(ClassToLookFor: UnrealEngineClass,Results?: UObject[],bIncludeDerivedClasses?: boolean,ExcludeFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
-	static GetSuperClasses(InClass: UnrealEngineClass): UnrealEngineClass[];
-	static IsGeneratedByBlueprint(InClass: UnrealEngineClass): boolean;
-	static Conv_ClassToSoftClassReference(Class: UnrealEngineClass): any;
-	static Conv_SoftClassReferenceToClass(softclass: any): UnrealEngineClass;
-	static Conv_SoftClassReferenceToString(SoftClassReference: any): string;
-	static EqualEqual_SoftClassReference(A: any,B: any): boolean;
-	static GetClassDisplayName(Class: UnrealEngineClass): string;
-	static GetPrimaryAssetIdFromClass(Class: UnrealEngineClass): PrimaryAssetId;
-	static GetPrimaryAssetIdFromSoftClassReference(SoftClassReference: any): PrimaryAssetId;
-	static IsValidClass(Class: UnrealEngineClass): boolean;
-	static IsValidSoftClassReference(SoftClassReference: any): boolean;
-	static NotEqual_SoftClassReference(A: any,B: any): boolean;
-	static ClassIsChildOf(TestClass: UnrealEngineClass,ParentClass: UnrealEngineClass): boolean;
-	static EqualEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
-	static NotEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
-	static SelectClass(A: UnrealEngineClass,B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
-	static CreateSaveGameObject(SaveGameClass: UnrealEngineClass): SaveGame;
-	static SpawnObject(ObjectClass: UnrealEngineClass,Outer: UObject): UObject;
-	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
+declare class DemoNetDriver extends NetDriver { 
+	RollbackNetStartupActors: any;
+	CheckpointSaveMaxMSPerFrame: number;
+	bIsLocalReplay: boolean;
+	static Load(ResourceName: string): DemoNetDriver;
+	static Find(Outer: UObject, ResourceName: string): DemoNetDriver;
+	static GetDefaultObject(): DemoNetDriver;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoNetDriver;
+	static C(Other: UObject | any): DemoNetDriver;
 }
 
-declare class UFunction extends Struct { 
-	static Load(ResourceName: string): UFunction;
-	static Find(Outer: UObject, ResourceName: string): UFunction;
-	static GetDefaultObject(): UFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UFunction;
-	static C(Other: UObject | any): UFunction;
-	GetFunctionParmsSize(): number;
-	static GetFunctionParmsSize(UFunction: UFunction): number;
+declare class ParticleEventManager extends Actor { 
+	static GetDefaultObject(): ParticleEventManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleEventManager;
+	static C(Other: UObject | any): ParticleEventManager;
 }
 
-declare class DelegateFunction extends UFunction { 
-	static Load(ResourceName: string): DelegateFunction;
-	static Find(Outer: UObject, ResourceName: string): DelegateFunction;
-	static GetDefaultObject(): DelegateFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateFunction;
-	static C(Other: UObject | any): DelegateFunction;
+declare class NavigationSystemBase extends UObject { 
+	static Load(ResourceName: string): NavigationSystemBase;
+	static Find(Outer: UObject, ResourceName: string): NavigationSystemBase;
+	static GetDefaultObject(): NavigationSystemBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystemBase;
+	static C(Other: UObject | any): NavigationSystemBase;
 }
 
-declare class DynamicClass extends Class { 
-	static Load(ResourceName: string): DynamicClass;
-	static Find(Outer: UObject, ResourceName: string): DynamicClass;
-	static GetDefaultObject(): DynamicClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicClass;
-	static C(Other: UObject | any): DynamicClass;
+declare class AvoidanceManager extends UObject { 
+	DefaultTimeToLive: number;
+	LockTimeAfterAvoid: number;
+	LockTimeAfterClean: number;
+	DeltaTimeToPredict: number;
+	ArtificialRadiusExpansion: number;
+	TestHeightDifference: number;
+	HeightCheckMargin: number;
+	static Load(ResourceName: string): AvoidanceManager;
+	static Find(Outer: UObject, ResourceName: string): AvoidanceManager;
+	static GetDefaultObject(): AvoidanceManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AvoidanceManager;
+	RegisterMovementComponent(MovementComp: MovementComponent,AvoidanceWeight: number): boolean;
+	GetObjectCount(): number;
+	GetNewAvoidanceUID(): number;
+	GetAvoidanceVelocityForComponent(MovementComp: MovementComponent): Vector;
+	static C(Other: UObject | any): AvoidanceManager;
 }
 
-declare class EnumProperty extends Property { 
-	static Load(ResourceName: string): EnumProperty;
-	static Find(Outer: UObject, ResourceName: string): EnumProperty;
-	static GetDefaultObject(): EnumProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnumProperty;
-	static C(Other: UObject | any): EnumProperty;
+declare class LevelCollection { 
+	GameState: GameStateBase;
+	NetDriver: NetDriver;
+	DemoNetDriver: DemoNetDriver;
+	PersistentLevel: Level;
+	Levels: any;
+	clone() : LevelCollection;
+	static C(Other: UObject | any): LevelCollection;
 }
 
-declare class LinkerPlaceholderClass extends Class { 
-	static Load(ResourceName: string): LinkerPlaceholderClass;
-	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderClass;
-	static GetDefaultObject(): LinkerPlaceholderClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderClass;
-	static C(Other: UObject | any): LinkerPlaceholderClass;
+declare class MaterialParameterCollectionInstance extends UObject { 
+	Collection: MaterialParameterCollection;
+	static Load(ResourceName: string): MaterialParameterCollectionInstance;
+	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollectionInstance;
+	static GetDefaultObject(): MaterialParameterCollectionInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollectionInstance;
+	static C(Other: UObject | any): MaterialParameterCollectionInstance;
 }
 
-declare class LinkerPlaceholderExportObject extends UObject { 
-	static Load(ResourceName: string): LinkerPlaceholderExportObject;
-	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderExportObject;
-	static GetDefaultObject(): LinkerPlaceholderExportObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderExportObject;
-	static C(Other: UObject | any): LinkerPlaceholderExportObject;
+declare class LevelViewportInfo { 
+	CamPosition: Vector;
+	CamRotation: Rotator;
+	CamOrthoZoom: number;
+	CamUpdated: boolean;
+	clone() : LevelViewportInfo;
+	static C(Other: UObject | any): LevelViewportInfo;
 }
 
-declare class LinkerPlaceholderFunction extends UFunction { 
-	static Load(ResourceName: string): LinkerPlaceholderFunction;
-	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderFunction;
-	static GetDefaultObject(): LinkerPlaceholderFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderFunction;
-	static C(Other: UObject | any): LinkerPlaceholderFunction;
+declare class WorldComposition extends UObject { 
+	TilesStreaming: LevelStreaming[];
+	TilesStreamingTimeThreshold: any;
+	bLoadAllTilesDuringCinematic: boolean;
+	bRebaseOriginIn3DSpace: boolean;
+	bLockTilesLocation: boolean;
+	RebaseOriginDistance: number;
+	static Load(ResourceName: string): WorldComposition;
+	static Find(Outer: UObject, ResourceName: string): WorldComposition;
+	static GetDefaultObject(): WorldComposition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldComposition;
+	static C(Other: UObject | any): WorldComposition;
 }
 
-declare class MetaData extends UObject { 
-	static Load(ResourceName: string): MetaData;
-	static Find(Outer: UObject, ResourceName: string): MetaData;
-	static GetDefaultObject(): MetaData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MetaData;
-	static C(Other: UObject | any): MetaData;
+declare class WorldPSCPool { 
+	WorldParticleSystemPools: any;
+	clone() : WorldPSCPool;
+	static C(Other: UObject | any): WorldPSCPool;
+}
+
+declare class ActorLayer { 
+	Name: string;
+	clone() : ActorLayer;
+	static C(Other: UObject | any): ActorLayer;
+}
+
+declare class URL { 
+	Protocol: string;
+	Host: string;
+	Port: number;
+	Valid: number;
+	Map: string;
+	RedirectURL: string;
+	Op: string[];
+	Portal: string;
+	clone() : URL;
+	static C(Other: UObject | any): URL;
+}
+
+declare type ERecastPartitioning = 'Monotone' | 'Watershed' | 'ChunkyMonotone' | 'ERecastPartitioning_MAX';
+declare var ERecastPartitioning : { Monotone:'Monotone',Watershed:'Watershed',ChunkyMonotone:'ChunkyMonotone',ERecastPartitioning_MAX:'ERecastPartitioning_MAX', };
+declare class RecastNavMesh extends NavigationData { 
+	bDrawTriangleEdges: boolean;
+	bDrawPolyEdges: boolean;
+	bDrawFilledPolys: boolean;
+	bDrawNavMeshEdges: boolean;
+	bDrawTileBounds: boolean;
+	bDrawPathCollidingGeometry: boolean;
+	bDrawTileLabels: boolean;
+	bDrawPolygonLabels: boolean;
+	bDrawDefaultPolygonCost: boolean;
+	bDrawLabelsOnPathNodes: boolean;
+	bDrawNavLinks: boolean;
+	bDrawFailedNavLinks: boolean;
+	bDrawClusters: boolean;
+	bDrawOctree: boolean;
+	bDrawOctreeDetails: boolean;
+	bDistinctlyDrawTilesBeingBuilt: boolean;
+	bDrawNavMesh: boolean;
+	DrawOffset: number;
+	bFixedTilePoolSize: boolean;
+	TilePoolSize: number;
+	TileSizeUU: number;
+	CellSize: number;
+	CellHeight: number;
+	AgentRadius: number;
+	AgentHeight: number;
+	AgentMaxHeight: number;
+	AgentMaxSlope: number;
+	AgentMaxStepHeight: number;
+	MinRegionArea: number;
+	MergeRegionSize: number;
+	MaxSimplificationError: number;
+	MaxSimultaneousTileGenerationJobsCount: number;
+	TileNumberHardLimit: number;
+	PolyRefTileBits: number;
+	PolyRefNavPolyBits: number;
+	PolyRefSaltBits: number;
+	NavMeshOriginOffset: Vector;
+	DefaultDrawDistance: number;
+	DefaultMaxSearchNodes: number;
+	DefaultMaxHierarchicalSearchNodes: number;
+	RegionPartitioning: ERecastPartitioning;
+	LayerPartitioning: ERecastPartitioning;
+	RegionChunkSplits: number;
+	LayerChunkSplits: number;
+	bSortNavigationAreasByCost: boolean;
+	bPerformVoxelFiltering: boolean;
+	bMarkLowHeightAreas: boolean;
+	bFilterLowSpanSequences: boolean;
+	bFilterLowSpanFromTileCache: boolean;
+	bDoFullyAsyncNavDataGathering: boolean;
+	bUseBetterOffsetsFromCorners: boolean;
+	bStoreEmptyTileLayers: boolean;
+	bUseVirtualFilters: boolean;
+	bAllowNavLinkAsPathEnd: boolean;
+	bUseVoxelCache: boolean;
+	TileSetUpdateInterval: number;
+	HeuristicScale: number;
+	VerticalDeviationFromGroundCompensation: number;
+	static GetDefaultObject(): RecastNavMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastNavMesh;
+	static C(Other: UObject | any): RecastNavMesh;
 }
 
-declare class ObjectRedirector extends UObject { 
-	static Load(ResourceName: string): ObjectRedirector;
-	static Find(Outer: UObject, ResourceName: string): ObjectRedirector;
-	static GetDefaultObject(): ObjectRedirector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectRedirector;
-	static C(Other: UObject | any): ObjectRedirector;
+declare type EARWorldAlignment = 'Gravity' | 'GravityAndHeading' | 'Camera' | 'EARWorldAlignment_MAX';
+declare var EARWorldAlignment : { Gravity:'Gravity',GravityAndHeading:'GravityAndHeading',Camera:'Camera',EARWorldAlignment_MAX:'EARWorldAlignment_MAX', };
+declare type EARSessionType = 'None' | 'Orientation' | 'World' | 'Face' | 'Image' | 'ObjectScanning' | 'EARSessionType_MAX';
+declare var EARSessionType : { None:'None',Orientation:'Orientation',World:'World',Face:'Face',Image:'Image',ObjectScanning:'ObjectScanning',EARSessionType_MAX:'EARSessionType_MAX', };
+declare type EARPlaneDetectionMode = 'None' | 'HorizontalPlaneDetection' | 'VerticalPlaneDetection' | 'EARPlaneDetectionMode_MAX';
+declare var EARPlaneDetectionMode : { None:'None',HorizontalPlaneDetection:'HorizontalPlaneDetection',VerticalPlaneDetection:'VerticalPlaneDetection',EARPlaneDetectionMode_MAX:'EARPlaneDetectionMode_MAX', };
+declare type EARLightEstimationMode = 'None' | 'AmbientLightEstimate' | 'DirectionalLightEstimate' | 'EARLightEstimationMode_MAX';
+declare var EARLightEstimationMode : { None:'None',AmbientLightEstimate:'AmbientLightEstimate',DirectionalLightEstimate:'DirectionalLightEstimate',EARLightEstimationMode_MAX:'EARLightEstimationMode_MAX', };
+declare type EARFrameSyncMode = 'SyncTickWithCameraImage' | 'SyncTickWithoutCameraImage' | 'EARFrameSyncMode_MAX';
+declare var EARFrameSyncMode : { SyncTickWithCameraImage:'SyncTickWithCameraImage',SyncTickWithoutCameraImage:'SyncTickWithoutCameraImage',EARFrameSyncMode_MAX:'EARFrameSyncMode_MAX', };
+declare type EARCandidateImageOrientation = 'Landscape' | 'Portrait' | 'EARCandidateImageOrientation_MAX';
+declare var EARCandidateImageOrientation : { Landscape:'Landscape',Portrait:'Portrait',EARCandidateImageOrientation_MAX:'EARCandidateImageOrientation_MAX', };
+declare class ARCandidateImage extends DataAsset { 
+	CandidateTexture: Texture2D;
+	FriendlyName: string;
+	Width: number;
+	Height: number;
+	Orientation: EARCandidateImageOrientation;
+	static Load(ResourceName: string): ARCandidateImage;
+	static Find(Outer: UObject, ResourceName: string): ARCandidateImage;
+	static GetDefaultObject(): ARCandidateImage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARCandidateImage;
+	GetPhysicalWidth(): number;
+	GetPhysicalHeight(): number;
+	GetOrientation(): EARCandidateImageOrientation;
+	GetFriendlyName(): string;
+	GetCandidateTexture(): Texture2D;
+	static C(Other: UObject | any): ARCandidateImage;
+}
+
+declare type EAREnvironmentCaptureProbeType = 'None' | 'Manual' | 'Automatic' | 'EAREnvironmentCaptureProbeType_MAX';
+declare var EAREnvironmentCaptureProbeType : { None:'None',Manual:'Manual',Automatic:'Automatic',EAREnvironmentCaptureProbeType_MAX:'EAREnvironmentCaptureProbeType_MAX', };
+declare class ARCandidateObject extends DataAsset { 
+	CandidateObjectData: number[];
+	FriendlyName: string;
+	BoundingBox: Box;
+	static Load(ResourceName: string): ARCandidateObject;
+	static Find(Outer: UObject, ResourceName: string): ARCandidateObject;
+	static GetDefaultObject(): ARCandidateObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARCandidateObject;
+	SetCandidateObjectData(InCandidateObject: number[]): void;
+	SetBoundingBox(InBoundingBox: Box): void;
+	GetFriendlyName(): string;
+	GetCandidateObjectData(): number[];
+	GetBoundingBox(): Box;
+	static C(Other: UObject | any): ARCandidateObject;
 }
 
-declare class ArrayProperty extends Property { 
-	static Load(ResourceName: string): ArrayProperty;
-	static Find(Outer: UObject, ResourceName: string): ArrayProperty;
-	static GetDefaultObject(): ArrayProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ArrayProperty;
-	static C(Other: UObject | any): ArrayProperty;
+declare class ARVideoFormat { 
+	FPS: number;
+	Width: number;
+	Height: number;
+	clone() : ARVideoFormat;
+	static C(Other: UObject | any): ARVideoFormat;
+}
+
+declare type EARFaceTrackingDirection = 'FaceRelative' | 'FaceMirrored' | 'EARFaceTrackingDirection_MAX';
+declare var EARFaceTrackingDirection : { FaceRelative:'FaceRelative',FaceMirrored:'FaceMirrored',EARFaceTrackingDirection_MAX:'EARFaceTrackingDirection_MAX', };
+declare type EARFaceTrackingUpdate = 'CurvesAndGeo' | 'CurvesOnly' | 'EARFaceTrackingUpdate_MAX';
+declare var EARFaceTrackingUpdate : { CurvesAndGeo:'CurvesAndGeo',CurvesOnly:'CurvesOnly',EARFaceTrackingUpdate_MAX:'EARFaceTrackingUpdate_MAX', };
+declare class ARSessionConfig extends DataAsset { 
+	WorldAlignment: EARWorldAlignment;
+	SessionType: EARSessionType;
+	PlaneDetectionMode: EARPlaneDetectionMode;
+	bHorizontalPlaneDetection: boolean;
+	bVerticalPlaneDetection: boolean;
+	bEnableAutoFocus: boolean;
+	LightEstimationMode: EARLightEstimationMode;
+	FrameSyncMode: EARFrameSyncMode;
+	bEnableAutomaticCameraOverlay: boolean;
+	bEnableAutomaticCameraTracking: boolean;
+	bResetCameraTracking: boolean;
+	bResetTrackedObjects: boolean;
+	CandidateImages: ARCandidateImage[];
+	MaxNumSimultaneousImagesTracked: number;
+	EnvironmentCaptureProbeType: EAREnvironmentCaptureProbeType;
+	WorldMapData: number[];
+	CandidateObjects: ARCandidateObject[];
+	DesiredVideoFormat: ARVideoFormat;
+	FaceTrackingDirection: EARFaceTrackingDirection;
+	FaceTrackingUpdate: EARFaceTrackingUpdate;
+	SerializedARCandidateImageDatabase: number[];
+	static Load(ResourceName: string): ARSessionConfig;
+	static Find(Outer: UObject, ResourceName: string): ARSessionConfig;
+	static GetDefaultObject(): ARSessionConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSessionConfig;
+	ShouldResetTrackedObjects(): boolean;
+	ShouldResetCameraTracking(): boolean;
+	ShouldRenderCameraOverlay(): boolean;
+	ShouldEnableCameraTracking(): boolean;
+	ShouldEnableAutoFocus(): boolean;
+	SetWorldMapData(WorldMapData: number[]): void;
+	SetResetTrackedObjects(bNewValue: boolean): void;
+	SetResetCameraTracking(bNewValue: boolean): void;
+	SetFaceTrackingUpdate(InUpdate: EARFaceTrackingUpdate): void;
+	SetFaceTrackingDirection(InDirection: EARFaceTrackingDirection): void;
+	SetEnableAutoFocus(bNewValue: boolean): void;
+	SetDesiredVideoFormat(NewFormat: ARVideoFormat): void;
+	SetCandidateObjectList(InCandidateObjects: ARCandidateObject[]): void;
+	GetWorldMapData(): number[];
+	GetWorldAlignment(): EARWorldAlignment;
+	GetSessionType(): EARSessionType;
+	GetPlaneDetectionMode(): EARPlaneDetectionMode;
+	GetMaxNumSimultaneousImagesTracked(): number;
+	GetLightEstimationMode(): EARLightEstimationMode;
+	GetFrameSyncMode(): EARFrameSyncMode;
+	GetFaceTrackingUpdate(): EARFaceTrackingUpdate;
+	GetFaceTrackingDirection(): EARFaceTrackingDirection;
+	GetEnvironmentCaptureProbeType(): EAREnvironmentCaptureProbeType;
+	GetDesiredVideoFormat(): ARVideoFormat;
+	GetCandidateObjectList(): ARCandidateObject[];
+	GetCandidateImageList(): ARCandidateImage[];
+	AddCandidateObject(CandidateObject: ARCandidateObject): void;
+	AddCandidateImage(NewCandidateImage: ARCandidateImage): void;
+	static C(Other: UObject | any): ARSessionConfig;
+	AddRuntimeCandidateImage(CandidateTexture: Texture2D,FriendlyName: string,PhysicalWidth: number): ARCandidateImage;
+	StartARSession(): void;
+	static AddRuntimeCandidateImage(SessionConfig: ARSessionConfig,CandidateTexture: Texture2D,FriendlyName: string,PhysicalWidth: number): ARCandidateImage;
+	static StartARSession(SessionConfig: ARSessionConfig): void;
+}
+
+declare type EPlaneQueryFlags = 'Vertical' | 'Horizontal' | 'Arbitrary' | 'OrientToGravity' | 'PreferInner' | 'IgnoreHoles' | 'Ceiling' | 'Floor' | 'Wall' | 'EPlaneQueryFlags_MAX';
+declare var EPlaneQueryFlags : { Vertical:'Vertical',Horizontal:'Horizontal',Arbitrary:'Arbitrary',OrientToGravity:'OrientToGravity',PreferInner:'PreferInner',IgnoreHoles:'IgnoreHoles',Ceiling:'Ceiling',Floor:'Floor',Wall:'Wall',EPlaneQueryFlags_MAX:'EPlaneQueryFlags_MAX', };
+declare class LuminARSessionConfig extends ARSessionConfig { 
+	MaxPlaneQueryResults: number;
+	MinPlaneArea: number;
+	bArbitraryOrientationPlaneDetection: boolean;
+	PlaneSearchExtents: Vector;
+	PlaneQueryFlags: EPlaneQueryFlags[];
+	bDiscardZeroExtentPlanes: boolean;
+	static Load(ResourceName: string): LuminARSessionConfig;
+	static Find(Outer: UObject, ResourceName: string): LuminARSessionConfig;
+	static GetDefaultObject(): LuminARSessionConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LuminARSessionConfig;
+	static C(Other: UObject | any): LuminARSessionConfig;
 }
 
-declare class ObjectPropertyBase extends Property { 
-	static Load(ResourceName: string): ObjectPropertyBase;
-	static Find(Outer: UObject, ResourceName: string): ObjectPropertyBase;
-	static GetDefaultObject(): ObjectPropertyBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectPropertyBase;
-	static C(Other: UObject | any): ObjectPropertyBase;
+declare class TraceChannelTestBatchOptions { 
+	bLineTrace: boolean;
+	bSphereTrace: boolean;
+	bCapsuleTrace: boolean;
+	bBoxTrace: boolean;
+	bChannelTrace: boolean;
+	bObjectsTrace: boolean;
+	bProfileTrace: boolean;
+	clone() : TraceChannelTestBatchOptions;
+	static C(Other: UObject | any): TraceChannelTestBatchOptions;
 }
 
-declare class BoolProperty extends Property { 
-	static Load(ResourceName: string): BoolProperty;
-	static Find(Outer: UObject, ResourceName: string): BoolProperty;
-	static GetDefaultObject(): BoolProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolProperty;
-	static C(Other: UObject | any): BoolProperty;
+declare type EDrawDebugTrace = 'None' | 'ForOneFrame' | 'ForDuration' | 'Persistent' | 'EDrawDebugTrace_MAX';
+declare var EDrawDebugTrace : { None:'None',ForOneFrame:'ForOneFrame',ForDuration:'ForDuration',Persistent:'Persistent',EDrawDebugTrace_MAX:'EDrawDebugTrace_MAX', };
+declare class TraceQueryTestNames { 
+	ComponentName: string;
+	PhysicalMaterialName: string;
+	ActorName: string;
+	clone() : TraceQueryTestNames;
+	static C(Other: UObject | any): TraceQueryTestNames;
 }
 
-declare class NumericProperty extends Property { 
-	static Load(ResourceName: string): NumericProperty;
-	static Find(Outer: UObject, ResourceName: string): NumericProperty;
-	static GetDefaultObject(): NumericProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NumericProperty;
-	static C(Other: UObject | any): NumericProperty;
+declare class TraceQueryTestResultsInnerMost { 
+	SingleHit: HitResult;
+	SingleNames: TraceQueryTestNames;
+	bSingleResult: boolean;
+	MultiHits: HitResult[];
+	MultiNames: TraceQueryTestNames[];
+	bMultiResult: boolean;
+	clone() : TraceQueryTestResultsInnerMost;
+	static C(Other: UObject | any): TraceQueryTestResultsInnerMost;
 }
 
-declare class ByteProperty extends NumericProperty { 
-	static Load(ResourceName: string): ByteProperty;
-	static Find(Outer: UObject, ResourceName: string): ByteProperty;
-	static GetDefaultObject(): ByteProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ByteProperty;
-	static C(Other: UObject | any): ByteProperty;
+declare class TraceQueryTestResultsInner { 
+	LineResults: TraceQueryTestResultsInnerMost;
+	SphereResults: TraceQueryTestResultsInnerMost;
+	CapsuleResults: TraceQueryTestResultsInnerMost;
+	BoxResults: TraceQueryTestResultsInnerMost;
+	clone() : TraceQueryTestResultsInner;
+	static C(Other: UObject | any): TraceQueryTestResultsInner;
 }
 
-declare class ObjectProperty extends ObjectPropertyBase { 
-	static Load(ResourceName: string): ObjectProperty;
-	static Find(Outer: UObject, ResourceName: string): ObjectProperty;
-	static GetDefaultObject(): ObjectProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectProperty;
-	static C(Other: UObject | any): ObjectProperty;
+declare class TraceQueryTestResults extends UObject { 
+	ChannelResults: TraceQueryTestResultsInner;
+	ObjectResults: TraceQueryTestResultsInner;
+	ProfileResults: TraceQueryTestResultsInner;
+	BatchOptions: TraceChannelTestBatchOptions;
+	static Load(ResourceName: string): TraceQueryTestResults;
+	static Find(Outer: UObject, ResourceName: string): TraceQueryTestResults;
+	static GetDefaultObject(): TraceQueryTestResults;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TraceQueryTestResults;
+	ToString(): string;
+	static C(Other: UObject | any): TraceQueryTestResults;
 }
 
-declare class ClassProperty extends ObjectProperty { 
-	static Load(ResourceName: string): ClassProperty;
-	static Find(Outer: UObject, ResourceName: string): ClassProperty;
-	static GetDefaultObject(): ClassProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassProperty;
-	static C(Other: UObject | any): ClassProperty;
+declare class AutomationViewSettings extends DataAsset { 
+	AntiAliasing: boolean;
+	MotionBlur: boolean;
+	TemporalAA: boolean;
+	ScreenSpaceReflections: boolean;
+	ScreenSpaceAO: boolean;
+	DistanceFieldAO: boolean;
+	ContactShadows: boolean;
+	EyeAdaptation: boolean;
+	Bloom: boolean;
+	static Load(ResourceName: string): AutomationViewSettings;
+	static Find(Outer: UObject, ResourceName: string): AutomationViewSettings;
+	static GetDefaultObject(): AutomationViewSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomationViewSettings;
+	static C(Other: UObject | any): AutomationViewSettings;
 }
 
-declare class DelegateProperty extends Property { 
-	static Load(ResourceName: string): DelegateProperty;
-	static Find(Outer: UObject, ResourceName: string): DelegateProperty;
-	static GetDefaultObject(): DelegateProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateProperty;
-	static C(Other: UObject | any): DelegateProperty;
+declare type EComparisonTolerance = 'Zero' | 'Low' | 'Medium' | 'High' | 'Custom' | 'EComparisonTolerance_MAX';
+declare var EComparisonTolerance : { Zero:'Zero',Low:'Low',Medium:'Medium',High:'High',Custom:'Custom',EComparisonTolerance_MAX:'EComparisonTolerance_MAX', };
+declare class ComparisonToleranceAmount { 
+	red: number;
+	green: number;
+	blue: number;
+	Alpha: number;
+	MinBrightness: number;
+	MaxBrightness: number;
+	clone() : ComparisonToleranceAmount;
+	static C(Other: UObject | any): ComparisonToleranceAmount;
 }
 
-declare class DoubleProperty extends NumericProperty { 
-	static Load(ResourceName: string): DoubleProperty;
-	static Find(Outer: UObject, ResourceName: string): DoubleProperty;
-	static GetDefaultObject(): DoubleProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DoubleProperty;
-	static C(Other: UObject | any): DoubleProperty;
+declare class AutomationScreenshotOptions { 
+	Resolution: Vector2D;
+	Delay: number;
+	bOverride_OverrideTimeTo: boolean;
+	OverrideTimeTo: number;
+	bDisableNoisyRenderingFeatures: boolean;
+	bDisableTonemapping: boolean;
+	ViewSettings: AutomationViewSettings;
+	VisualizeBuffer: string;
+	Tolerance: EComparisonTolerance;
+	ToleranceAmount: ComparisonToleranceAmount;
+	MaximumLocalError: number;
+	MaximumGlobalError: number;
+	bIgnoreAntiAliasing: boolean;
+	bIgnoreColors: boolean;
+	clone() : AutomationScreenshotOptions;
+	static C(Other: UObject | any): AutomationScreenshotOptions;
+	static GetDefaultScreenshotOptionsForGameplay(Tolerance: EComparisonTolerance,Delay: number): AutomationScreenshotOptions;
+	static GetDefaultScreenshotOptionsForRendering(Tolerance: EComparisonTolerance,Delay: number): AutomationScreenshotOptions;
 }
 
-declare class FloatProperty extends NumericProperty { 
-	static Load(ResourceName: string): FloatProperty;
-	static Find(Outer: UObject, ResourceName: string): FloatProperty;
-	static GetDefaultObject(): FloatProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatProperty;
-	static C(Other: UObject | any): FloatProperty;
+declare class DebugFloatHistory { 
+	Samples: number[];
+	MaxSamples: number;
+	MinValue: number;
+	MaxValue: number;
+	bAutoAdjustMinMax: boolean;
+	clone() : DebugFloatHistory;
+	static C(Other: UObject | any): DebugFloatHistory;
+	static AddFloatHistorySample(Value: number,FloatHistory: DebugFloatHistory): DebugFloatHistory;
 }
 
-declare class IntProperty extends NumericProperty { 
-	static Load(ResourceName: string): IntProperty;
-	static Find(Outer: UObject, ResourceName: string): IntProperty;
-	static GetDefaultObject(): IntProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IntProperty;
-	static C(Other: UObject | any): IntProperty;
+declare class TimerHandle { 
+	Handle: any;
+	clone() : TimerHandle;
+	static C(Other: UObject | any): TimerHandle;
+	K2_InvalidateTimerHandle(): {Handle: TimerHandle, $: TimerHandle};
+	K2_IsValidTimerHandle(): boolean;
+	static K2_InvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle, $: TimerHandle};
+	static K2_IsValidTimerHandle(Handle: TimerHandle): boolean;
+	static K2_SetTimerDelegate(delegate: UnrealEngineDelegate<() => void>,Time: number,bLooping: boolean): TimerHandle;
 }
 
-declare class Int16Property extends NumericProperty { 
-	static Load(ResourceName: string): Int16Property;
-	static Find(Outer: UObject, ResourceName: string): Int16Property;
-	static GetDefaultObject(): Int16Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int16Property;
-	static C(Other: UObject | any): Int16Property;
+declare type EQuitPreference = 'Quit' | 'Background' | 'EQuitPreference_MAX';
+declare var EQuitPreference : { Quit:'Quit',Background:'Background',EQuitPreference_MAX:'EQuitPreference_MAX', };
+declare class TextureRenderTarget extends Texture { 
+	TargetGamma: number;
+	static Load(ResourceName: string): TextureRenderTarget;
+	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget;
+	static GetDefaultObject(): TextureRenderTarget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget;
+	static C(Other: UObject | any): TextureRenderTarget;
 }
 
-declare class Int64Property extends NumericProperty { 
-	static Load(ResourceName: string): Int64Property;
-	static Find(Outer: UObject, ResourceName: string): Int64Property;
-	static GetDefaultObject(): Int64Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int64Property;
-	static C(Other: UObject | any): Int64Property;
+declare type ETextureRenderTargetFormat = 'RTF_R8' | 'RTF_RG8' | 'RTF_RGBA8' | 'RTF_R16f' | 'RTF_RG16f' | 'RTF_RGBA16f' | 'RTF_R32f' | 'RTF_RG32f' | 'RTF_RGBA32f' | 'RTF_RGB10A2' | 'RTF_MAX';
+declare var ETextureRenderTargetFormat : { RTF_R8:'RTF_R8',RTF_RG8:'RTF_RG8',RTF_RGBA8:'RTF_RGBA8',RTF_R16f:'RTF_R16f',RTF_RG16f:'RTF_RG16f',RTF_RGBA16f:'RTF_RGBA16f',RTF_R32f:'RTF_R32f',RTF_RG32f:'RTF_RG32f',RTF_RGBA32f:'RTF_RGBA32f',RTF_RGB10A2:'RTF_RGB10A2',RTF_MAX:'RTF_MAX', };
+declare type EPixelFormat = 'PF_Unknown' | 'PF_A32B32G32R32F' | 'PF_B8G8R8A8' | 'PF_G8' | 'PF_G16' | 'PF_DXT1' | 'PF_DXT3' | 'PF_DXT5' | 'PF_UYVY' | 'PF_FloatRGB' | 'PF_FloatRGBA' | 'PF_DepthStencil' | 'PF_ShadowDepth' | 'PF_R32_FLOAT' | 'PF_G16R16' | 'PF_G16R16F' | 'PF_G16R16F_FILTER' | 'PF_G32R32F' | 'PF_A2B10G10R10' | 'PF_A16B16G16R16' | 'PF_D24' | 'PF_R16F' | 'PF_R16F_FILTER' | 'PF_BC5' | 'PF_V8U8' | 'PF_A1' | 'PF_FloatR11G11B10' | 'PF_A8' | 'PF_R32_UINT' | 'PF_R32_SINT' | 'PF_PVRTC2' | 'PF_PVRTC4' | 'PF_R16_UINT' | 'PF_R16_SINT' | 'PF_R16G16B16A16_UINT' | 'PF_R16G16B16A16_SINT' | 'PF_R5G6B5_UNORM' | 'PF_R8G8B8A8' | 'PF_A8R8G8B8' | 'PF_BC4' | 'PF_R8G8' | 'PF_ATC_RGB' | 'PF_ATC_RGBA_E' | 'PF_ATC_RGBA_I' | 'PF_X24_G8' | 'PF_ETC1' | 'PF_ETC2_RGB' | 'PF_ETC2_RGBA' | 'PF_R32G32B32A32_UINT' | 'PF_R16G16_UINT' | 'PF_ASTC_4x4' | 'PF_ASTC_6x6' | 'PF_ASTC_8x8' | 'PF_ASTC_10x10' | 'PF_ASTC_12x12' | 'PF_BC6H' | 'PF_BC7' | 'PF_R8_UINT' | 'PF_L8' | 'PF_XGXR8' | 'PF_R8G8B8A8_UINT' | 'PF_R8G8B8A8_SNORM' | 'PF_R16G16B16A16_UNORM' | 'PF_R16G16B16A16_SNORM' | 'PF_PLATFORM_HDR_0' | 'PF_PLATFORM_HDR_1' | 'PF_PLATFORM_HDR_2' | 'PF_NV12' | 'PF_MAX';
+declare var EPixelFormat : { PF_Unknown:'PF_Unknown',PF_A32B32G32R32F:'PF_A32B32G32R32F',PF_B8G8R8A8:'PF_B8G8R8A8',PF_G8:'PF_G8',PF_G16:'PF_G16',PF_DXT1:'PF_DXT1',PF_DXT3:'PF_DXT3',PF_DXT5:'PF_DXT5',PF_UYVY:'PF_UYVY',PF_FloatRGB:'PF_FloatRGB',PF_FloatRGBA:'PF_FloatRGBA',PF_DepthStencil:'PF_DepthStencil',PF_ShadowDepth:'PF_ShadowDepth',PF_R32_FLOAT:'PF_R32_FLOAT',PF_G16R16:'PF_G16R16',PF_G16R16F:'PF_G16R16F',PF_G16R16F_FILTER:'PF_G16R16F_FILTER',PF_G32R32F:'PF_G32R32F',PF_A2B10G10R10:'PF_A2B10G10R10',PF_A16B16G16R16:'PF_A16B16G16R16',PF_D24:'PF_D24',PF_R16F:'PF_R16F',PF_R16F_FILTER:'PF_R16F_FILTER',PF_BC5:'PF_BC5',PF_V8U8:'PF_V8U8',PF_A1:'PF_A1',PF_FloatR11G11B10:'PF_FloatR11G11B10',PF_A8:'PF_A8',PF_R32_UINT:'PF_R32_UINT',PF_R32_SINT:'PF_R32_SINT',PF_PVRTC2:'PF_PVRTC2',PF_PVRTC4:'PF_PVRTC4',PF_R16_UINT:'PF_R16_UINT',PF_R16_SINT:'PF_R16_SINT',PF_R16G16B16A16_UINT:'PF_R16G16B16A16_UINT',PF_R16G16B16A16_SINT:'PF_R16G16B16A16_SINT',PF_R5G6B5_UNORM:'PF_R5G6B5_UNORM',PF_R8G8B8A8:'PF_R8G8B8A8',PF_A8R8G8B8:'PF_A8R8G8B8',PF_BC4:'PF_BC4',PF_R8G8:'PF_R8G8',PF_ATC_RGB:'PF_ATC_RGB',PF_ATC_RGBA_E:'PF_ATC_RGBA_E',PF_ATC_RGBA_I:'PF_ATC_RGBA_I',PF_X24_G8:'PF_X24_G8',PF_ETC1:'PF_ETC1',PF_ETC2_RGB:'PF_ETC2_RGB',PF_ETC2_RGBA:'PF_ETC2_RGBA',PF_R32G32B32A32_UINT:'PF_R32G32B32A32_UINT',PF_R16G16_UINT:'PF_R16G16_UINT',PF_ASTC_4x4:'PF_ASTC_4x4',PF_ASTC_6x6:'PF_ASTC_6x6',PF_ASTC_8x8:'PF_ASTC_8x8',PF_ASTC_10x10:'PF_ASTC_10x10',PF_ASTC_12x12:'PF_ASTC_12x12',PF_BC6H:'PF_BC6H',PF_BC7:'PF_BC7',PF_R8_UINT:'PF_R8_UINT',PF_L8:'PF_L8',PF_XGXR8:'PF_XGXR8',PF_R8G8B8A8_UINT:'PF_R8G8B8A8_UINT',PF_R8G8B8A8_SNORM:'PF_R8G8B8A8_SNORM',PF_R16G16B16A16_UNORM:'PF_R16G16B16A16_UNORM',PF_R16G16B16A16_SNORM:'PF_R16G16B16A16_SNORM',PF_PLATFORM_HDR_0:'PF_PLATFORM_HDR_0',PF_PLATFORM_HDR_1:'PF_PLATFORM_HDR_1',PF_PLATFORM_HDR_2:'PF_PLATFORM_HDR_2',PF_NV12:'PF_NV12',PF_MAX:'PF_MAX', };
+declare class TextureRenderTarget2D extends TextureRenderTarget { 
+	SizeX: number;
+	SizeY: number;
+	ClearColor: LinearColor;
+	AddressX: TextureAddress;
+	AddressY: TextureAddress;
+	bForceLinearGamma: boolean;
+	bHDR: boolean;
+	bGPUSharedFlag: boolean;
+	bAutoGenerateMips: boolean;
+	RenderTargetFormat: ETextureRenderTargetFormat;
+	OverrideFormat: EPixelFormat;
+	static Load(ResourceName: string): TextureRenderTarget2D;
+	static Find(Outer: UObject, ResourceName: string): TextureRenderTarget2D;
+	static GetDefaultObject(): TextureRenderTarget2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTarget2D;
+	static C(Other: UObject | any): TextureRenderTarget2D;
+	ReleaseRenderTarget2D(): void;
+	RenderTargetCreateStaticTexture2DEditorOnly(Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
+	static ReleaseRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D): void;
+	static RenderTargetCreateStaticTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
 }
 
-declare class Int8Property extends NumericProperty { 
-	static Load(ResourceName: string): Int8Property;
-	static Find(Outer: UObject, ResourceName: string): Int8Property;
-	static GetDefaultObject(): Int8Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int8Property;
-	static C(Other: UObject | any): Int8Property;
+declare class DrawToRenderTargetContext { 
+	RenderTarget: TextureRenderTarget2D;
+	clone() : DrawToRenderTargetContext;
+	static C(Other: UObject | any): DrawToRenderTargetContext;
 }
 
-declare class InterfaceProperty extends Property { 
-	static Load(ResourceName: string): InterfaceProperty;
-	static Find(Outer: UObject, ResourceName: string): InterfaceProperty;
-	static GetDefaultObject(): InterfaceProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterfaceProperty;
-	static C(Other: UObject | any): InterfaceProperty;
+declare class PredictProjectilePathParams { 
+	StartLocation: Vector;
+	LaunchVelocity: Vector;
+	bTraceWithCollision: boolean;
+	ProjectileRadius: number;
+	MaxSimTime: number;
+	bTraceWithChannel: boolean;
+	TraceChannel: ECollisionChannel;
+	ObjectTypes: EObjectTypeQuery[];
+	ActorsToIgnore: Actor[];
+	SimFrequency: number;
+	OverrideGravityZ: number;
+	DrawDebugType: EDrawDebugTrace;
+	DrawDebugTime: number;
+	bTraceComplex: boolean;
+	clone() : PredictProjectilePathParams;
+	static C(Other: UObject | any): PredictProjectilePathParams;
 }
 
-declare class LazyObjectProperty extends ObjectPropertyBase { 
-	static Load(ResourceName: string): LazyObjectProperty;
-	static Find(Outer: UObject, ResourceName: string): LazyObjectProperty;
-	static GetDefaultObject(): LazyObjectProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LazyObjectProperty;
-	static C(Other: UObject | any): LazyObjectProperty;
+declare class PredictProjectilePathPointData { 
+	Location: Vector;
+	Velocity: Vector;
+	Time: number;
+	clone() : PredictProjectilePathPointData;
+	static C(Other: UObject | any): PredictProjectilePathPointData;
 }
 
-declare class MapProperty extends Property { 
-	static Load(ResourceName: string): MapProperty;
-	static Find(Outer: UObject, ResourceName: string): MapProperty;
-	static GetDefaultObject(): MapProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MapProperty;
-	static C(Other: UObject | any): MapProperty;
+declare class PredictProjectilePathResult { 
+	PathData: PredictProjectilePathPointData[];
+	LastTraceDestination: PredictProjectilePathPointData;
+	HitResult: HitResult;
+	clone() : PredictProjectilePathResult;
+	static C(Other: UObject | any): PredictProjectilePathResult;
 }
 
-declare class MulticastDelegateProperty extends Property { 
-	static Load(ResourceName: string): MulticastDelegateProperty;
-	static Find(Outer: UObject, ResourceName: string): MulticastDelegateProperty;
-	static GetDefaultObject(): MulticastDelegateProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MulticastDelegateProperty;
-	static C(Other: UObject | any): MulticastDelegateProperty;
+declare type ESuggestProjVelocityTraceOption = 'DoNotTrace' | 'TraceFullPath' | 'OnlyTraceWhileAscending' | 'ESuggestProjVelocityTraceOption_MAX';
+declare var ESuggestProjVelocityTraceOption : { DoNotTrace:'DoNotTrace',TraceFullPath:'TraceFullPath',OnlyTraceWhileAscending:'OnlyTraceWhileAscending',ESuggestProjVelocityTraceOption_MAX:'ESuggestProjVelocityTraceOption_MAX', };
+declare type EGrammaticalGender = 'Neuter' | 'Masculine' | 'Feminine' | 'Mixed' | 'EGrammaticalGender_MAX';
+declare var EGrammaticalGender : { Neuter:'Neuter',Masculine:'Masculine',Feminine:'Feminine',Mixed:'Mixed',EGrammaticalGender_MAX:'EGrammaticalGender_MAX', };
+declare type EGrammaticalNumber = 'Singular' | 'Plural' | 'EGrammaticalNumber_MAX';
+declare var EGrammaticalNumber : { Singular:'Singular',Plural:'Plural',EGrammaticalNumber_MAX:'EGrammaticalNumber_MAX', };
+declare class DialogueVoice extends UObject { 
+	Gender: EGrammaticalGender;
+	Plurality: EGrammaticalNumber;
+	LocalizationGUID: Guid;
+	static Load(ResourceName: string): DialogueVoice;
+	static Find(Outer: UObject, ResourceName: string): DialogueVoice;
+	static GetDefaultObject(): DialogueVoice;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueVoice;
+	static C(Other: UObject | any): DialogueVoice;
 }
 
-declare class NameProperty extends Property { 
-	static Load(ResourceName: string): NameProperty;
-	static Find(Outer: UObject, ResourceName: string): NameProperty;
-	static GetDefaultObject(): NameProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NameProperty;
-	static C(Other: UObject | any): NameProperty;
+declare class DialogueContext { 
+	Speaker: DialogueVoice;
+	Targets: DialogueVoice[];
+	clone() : DialogueContext;
+	static C(Other: UObject | any): DialogueContext;
 }
 
-declare class SetProperty extends Property { 
-	static Load(ResourceName: string): SetProperty;
-	static Find(Outer: UObject, ResourceName: string): SetProperty;
-	static GetDefaultObject(): SetProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SetProperty;
-	static C(Other: UObject | any): SetProperty;
+declare class DialogueSoundWaveProxy extends SoundBase { 
+	static Load(ResourceName: string): DialogueSoundWaveProxy;
+	static Find(Outer: UObject, ResourceName: string): DialogueSoundWaveProxy;
+	static GetDefaultObject(): DialogueSoundWaveProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueSoundWaveProxy;
+	static C(Other: UObject | any): DialogueSoundWaveProxy;
 }
 
-declare class SoftObjectProperty extends ObjectPropertyBase { 
-	static Load(ResourceName: string): SoftObjectProperty;
-	static Find(Outer: UObject, ResourceName: string): SoftObjectProperty;
-	static GetDefaultObject(): SoftObjectProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoftObjectProperty;
-	static C(Other: UObject | any): SoftObjectProperty;
+declare class DialogueContextMapping { 
+	Context: DialogueContext;
+	SoundWave: SoundWave;
+	LocalizationKeyFormat: string;
+	Proxy: DialogueSoundWaveProxy;
+	clone() : DialogueContextMapping;
+	static C(Other: UObject | any): DialogueContextMapping;
 }
 
-declare class SoftClassProperty extends SoftObjectProperty { 
-	static Load(ResourceName: string): SoftClassProperty;
-	static Find(Outer: UObject, ResourceName: string): SoftClassProperty;
-	static GetDefaultObject(): SoftClassProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoftClassProperty;
-	static C(Other: UObject | any): SoftClassProperty;
+declare class DialogueWave extends UObject { 
+	bMature: boolean;
+	bOverride_SubtitleOverride: boolean;
+	SpokenText: string;
+	SubtitleOverride: string;
+	VoiceActorDirection: string;
+	ContextMappings: DialogueContextMapping[];
+	LocalizationGUID: Guid;
+	static Load(ResourceName: string): DialogueWave;
+	static Find(Outer: UObject, ResourceName: string): DialogueWave;
+	static GetDefaultObject(): DialogueWave;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueWave;
+	static C(Other: UObject | any): DialogueWave;
+	SpawnDialogueAttached(Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
+	static SpawnDialogueAttached(Dialogue: DialogueWave,Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
 }
 
-declare class StrProperty extends Property { 
-	static Load(ResourceName: string): StrProperty;
-	static Find(Outer: UObject, ResourceName: string): StrProperty;
-	static GetDefaultObject(): StrProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StrProperty;
-	static C(Other: UObject | any): StrProperty;
+declare type EFFTSize = 'DefaultSize' | 'Min' | 'Small' | 'Medium' | 'Large' | 'Max' | 'EFFTSize_MAX';
+declare var EFFTSize : { DefaultSize:'DefaultSize',Min:'Min',Small:'Small',Medium:'Medium',Large:'Large',Max:'Max',EFFTSize_MAX:'EFFTSize_MAX', };
+declare type EFFTPeakInterpolationMethod = 'NearestNeighbor' | 'Linear' | 'Quadratic' | 'EFFTPeakInterpolationMethod_MAX';
+declare var EFFTPeakInterpolationMethod : { NearestNeighbor:'NearestNeighbor',Linear:'Linear',Quadratic:'Quadratic',EFFTPeakInterpolationMethod_MAX:'EFFTPeakInterpolationMethod_MAX', };
+declare type EFFTWindowType = 'None' | 'Hamming' | 'Hann' | 'Blackman' | 'EFFTWindowType_MAX';
+declare var EFFTWindowType : { None:'None',Hamming:'Hamming',Hann:'Hann',Blackman:'Blackman',EFFTWindowType_MAX:'EFFTWindowType_MAX', };
+declare class World extends UObject { 
+	Layers: Layer[];
+	ActiveGroupActors: Actor[];
+	ThumbnailInfo: ThumbnailInfo;
+	PersistentLevel: Level;
+	NetDriver: NetDriver;
+	LineBatcher: LineBatchComponent;
+	PersistentLineBatcher: LineBatchComponent;
+	ForegroundLineBatcher: LineBatchComponent;
+	NetworkManager: GameNetworkManager;
+	PhysicsCollisionHandler: PhysicsCollisionHandler;
+	ExtraReferencedObjects: UObject[];
+	PerModuleDataObjects: UObject[];
+	StreamingLevels: LevelStreaming[];
+	StreamingLevelsToConsider: StreamingLevelsToConsider;
+	StreamingLevelsPrefix: string;
+	CurrentLevelPendingVisibility: Level;
+	CurrentLevelPendingInvisibility: Level;
+	DemoNetDriver: DemoNetDriver;
+	MyParticleEventManager: ParticleEventManager;
+	DefaultPhysicsVolume: PhysicsVolume;
+	bAreConstraintsDirty: boolean;
+	NavigationSystem: NavigationSystemBase;
+	AuthorityGameMode: GameModeBase;
+	GameState: GameStateBase;
+	AISystem: AISystemBase;
+	AvoidanceManager: AvoidanceManager;
+	Levels: Level[];
+	LevelCollections: LevelCollection[];
+	CurrentLevel: Level;
+	OwningGameInstance: GameInstance;
+	ParameterCollectionInstances: MaterialParameterCollectionInstance[];
+	CanvasForRenderingToTarget: Canvas;
+	CanvasForDrawMaterialToRenderTarget: Canvas;
+	EditorViews: LevelViewportInfo[];
+	ComponentsThatNeedEndOfFrameUpdate: ActorComponent[];
+	ComponentsThatNeedEndOfFrameUpdate_OnGameThread: ActorComponent[];
+	SelectedLevels: Level[];
+	WorldComposition: WorldComposition;
+	PSCPool: WorldPSCPool;
+	static Load(ResourceName: string): World;
+	static Find(Outer: UObject, ResourceName: string): World;
+	static GetDefaultObject(): World;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): World;
+	K2_GetWorldSettings(): WorldSettings;
+	HandleTimelineScrubbed(): void;
+	static C(Other: UObject | any): World;
+	EditorDestroyActor(Actor: Actor,bShouldModifyLevel: boolean): boolean;
+	ExportNavigation(Path: string): string;
+	GetDefaultBrush(): Brush;
+	InvalidateModelGeometry(InLevel: Level): void;
+	RemoveLevelInstance(): void;
+	GetActors(ActorLayer: ActorLayer): Actor[];
+	BeginPlay(): void;
+	DestroyWorld(): void;
+	InitializeActorsForPlay(URL: URL): void;
+	GenerateNavigation(NavData: RecastNavMesh): void;
+	GetAllActorsOfClassAndTags(ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
+	GetLevels(): Level[];
+	GetModel(): Model;
+	GetWorldBounds(): Box;
+	IsGameWorld(): boolean;
+	IsPlayInEditor(): boolean;
+	IsPlayInPreview(): boolean;
+	LuminARLineTrace(ScreenPosition: Vector2D,TraceChannels: any,OutHitResults?: ARTraceResult[]): {OutHitResults: ARTraceResult[], $: boolean};
+	StartLuminARSession(LatentInfo: LatentActionInfo,Configuration: LuminARSessionConfig): void;
+	TraceChannelTestUtil(BatchOptions: TraceChannelTestBatchOptions,Start: Vector,End: Vector,SphereCapsuleRadius: number,CapsuleHalfHeight: number,BoxHalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,ObjectTypes: EObjectTypeQuery[],ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],bIgnoreSelf: boolean,DrawDebugType: EDrawDebugTrace,TraceColor: LinearColor,TraceHitColor: LinearColor,DrawTime: number): TraceQueryTestResults;
+	RunAllFunctionalTests(bNewLog: boolean,bRunLooped: boolean,FailedTestsReproString: string): boolean;
+	DisableStatGroup(GroupName: string): void;
+	EnableStatGroup(GroupName: string): void;
+	SetScalabilityQualityLevelRelativeToMax(Value: number): void;
+	SetScalabilityQualityToEpic(): void;
+	SetScalabilityQualityToLow(): void;
+	TakeAutomationScreenshot(LatentInfo: LatentActionInfo,Name: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	TakeAutomationScreenshotAtCamera(LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	TakeAutomationScreenshotOfUI(LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
+	GetIsMyTurn(PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
+	GetMyPlayerIndex(PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
+	GetPlayerDisplayName(PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
+	RegisterTurnBasedMatchInterfaceObject(PlayerController: PlayerController,UObject: UObject): void;
+	GetCachedAchievementDescription(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
+	GetCachedAchievementProgress(PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
+	LogBox(BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
+	LogLocation(Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
+	LogSegment(SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
+	LogText(text: string,LogCategory: string,bAddToMessageLog: boolean): void;
+	BoxOverlapActors(BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	BoxOverlapComponents(BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	BoxTraceMulti(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	BoxTraceMultiByProfile(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	BoxTraceMultiForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	BoxTraceSingle(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	BoxTraceSingleByProfile(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	BoxTraceSingleForObjects(Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	CapsuleOverlapActors(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	CapsuleOverlapComponents(CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	CapsuleTraceMulti(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	CapsuleTraceMultiByProfile(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	CapsuleTraceMultiForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	CapsuleTraceSingle(Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	CapsuleTraceSingleByProfile(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	CapsuleTraceSingleForObjects(Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	Delay(Duration: number,LatentInfo: LatentActionInfo): void;
+	DrawDebugArrow(LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugBox(Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
+	DrawDebugCapsule(Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugCircle(Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
+	DrawDebugCone(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugConeInDegrees(Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugCoordinateSystem(AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
+	DrawDebugCylinder(Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugFloatHistoryLocation(FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	DrawDebugFloatHistoryTransform(FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	DrawDebugFrustum(FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugLine(LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugPlane(PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
+	DrawDebugPoint(Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
+	DrawDebugSphere(Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	DrawDebugString(TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
+	ExecuteConsoleCommand(Command: string,SpecificPlayer: PlayerController): void;
+	FlushDebugStrings(): void;
+	FlushPersistentDebugLines(): void;
+	GetGameTimeInSeconds(): number;
+	IsDedicatedServer(): boolean;
+	IsServer(): boolean;
+	IsStandalone(): boolean;
+	K2_ClearAndInvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle};
+	K2_ClearTimerHandle(Handle: TimerHandle): void;
+	K2_GetTimerElapsedTimeHandle(Handle: TimerHandle): number;
+	K2_GetTimerRemainingTimeHandle(Handle: TimerHandle): number;
+	K2_IsTimerActiveHandle(Handle: TimerHandle): boolean;
+	K2_IsTimerPausedHandle(Handle: TimerHandle): boolean;
+	K2_PauseTimerHandle(Handle: TimerHandle): void;
+	K2_TimerExistsHandle(Handle: TimerHandle): boolean;
+	K2_UnPauseTimerHandle(Handle: TimerHandle): void;
+	LineTraceMulti(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	LineTraceMultiByProfile(Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	LineTraceMultiForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	LineTraceSingle(Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	LineTraceSingleByProfile(Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	LineTraceSingleForObjects(Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	LoadAsset(Asset: UObject,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
+	LoadAssetClass(AssetClass: Class,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
+	PrintString(inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	PrintText(InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	QuitGame(SpecificPlayer: PlayerController,QuitPreference: EQuitPreference,bIgnorePlatformRestrictions: boolean): void;
+	RetriggerableDelay(Duration: number,LatentInfo: LatentActionInfo): void;
+	SetSuppressViewportTransitionMessage(bState: boolean): void;
+	SphereOverlapActors(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	SphereOverlapComponents(SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	SphereTraceMulti(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	SphereTraceMultiByProfile(Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	SphereTraceMultiForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	SphereTraceSingle(Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	SphereTraceSingleByProfile(Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	SphereTraceSingleForObjects(Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	BeginDrawCanvasToRenderTarget(TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
+	ClearRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
+	ConvertRenderTargetToTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
+	CreateRenderTarget2D(Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
+	DrawMaterialToRenderTarget(TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
+	EndDrawCanvasToRenderTarget(Context: DrawToRenderTargetContext): void;
+	ExportRenderTarget(TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
+	ExportTexture2D(Texture: Texture2D,FilePath: string,Filename: string): void;
+	ImportBufferAsTexture2D(Buffer: number[]): Texture2D;
+	ImportFileAsTexture2D(Filename: string): Texture2D;
+	ReadRenderTargetPixel(TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): Color;
+	ReadRenderTargetRawPixel(TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): LinearColor;
+	ReadRenderTargetRawUV(TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): LinearColor;
+	ReadRenderTargetUV(TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): Color;
+	MinimumAreaRectangle(InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
+	CreateDynamicMaterialInstance(Parent: MaterialInterface,OptionalName: string): MaterialInstanceDynamic;
+	GetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string): number;
+	GetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
+	SetScalarParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
+	SetVectorParameterValue(Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
+	ActivateReverbEffect(ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
+	ApplyRadialDamage(BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
+	ApplyRadialDamageWithFalloff(BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
+	AreAnyListenersWithinRange(Location: Vector,MaximumRange: number): boolean;
+	BeginDeferredActorSpawnFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
+	BeginSpawningActorFromBlueprint(Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
+	BeginSpawningActorFromClass(ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
+	Blueprint_PredictProjectilePath_Advanced(PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
+	Blueprint_PredictProjectilePath_ByObjectType(OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	Blueprint_PredictProjectilePath_ByTraceChannel(OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	BlueprintSuggestProjectileVelocity(TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
+	ClearSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
+	ClearSoundMixModifiers(): void;
+	CreatePlayer(ControllerId: number,bSpawnPlayerController: boolean): PlayerController;
+	CreateSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	DeactivateReverbEffect(TagName: string): void;
+	FlushLevelStreaming(): void;
+	GetAccurateRealTime(Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
+	GetAllActorsOfClass(ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetAllActorsWithInterface(Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetAllActorsWithTag(Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetAudioTimeSeconds(): number;
+	GetCurrentLevelName(bRemovePrefixString: boolean): string;
+	GetCurrentReverbEffect(): ReverbEffect;
+	GetEnableWorldRendering(): boolean;
+	GetGameInstance(): GameInstance;
+	GetGameMode(): GameModeBase;
+	GetGameState(): GameStateBase;
+	GetGlobalTimeDilation(): number;
+	GetMaxAudioChannelCount(): number;
+	GetPlayerCameraManager(PlayerIndex: number): PlayerCameraManager;
+	GetPlayerCharacter(PlayerIndex: number): Character;
+	GetPlayerController(PlayerIndex: number): PlayerController;
+	GetPlayerPawn(PlayerIndex: number): Pawn;
+	GetRealTimeSeconds(): number;
+	GetStreamingLevel(PackageName: string): LevelStreaming;
+	GetTimeSeconds(): number;
+	GetUnpausedTimeSeconds(): number;
+	GetWorldDeltaSeconds(): number;
+	GetWorldOriginLocation(): IntVector;
+	GrassOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	IsGamePaused(): boolean;
+	LoadStreamLevel(LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
+	OpenLevel(LevelName: string,bAbsolute: boolean,Options: string): void;
+	PlayDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
+	PlayDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
+	PlaySound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	PlaySoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	PlayWorldCameraShake(Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
+	PopSoundMixModifier(InSoundMixModifier: SoundMix): void;
+	PushSoundMixModifier(InSoundMixModifier: SoundMix): void;
+	RebaseLocalOriginOntoZero(WorldLocation: Vector): Vector;
+	RebaseZeroOriginOntoLocal(WorldLocation: Vector): Vector;
+	SetBaseSoundMix(InSoundMix: SoundMix): void;
+	SetEnableWorldRendering(bEnable: boolean): void;
+	SetGamePaused(bPaused: boolean): boolean;
+	SetGlobalListenerFocusParameters(FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
+	SetGlobalPitchModulation(PitchModulation: number,TimeSec: number): void;
+	SetGlobalTimeDilation(TimeDilation: number): void;
+	SetMaxAudioChannelsScaled(MaxChannelCountScale: number): void;
+	SetSoundMixClassOverride(InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
+	SetWorldOriginLocation(NewLocation: IntVector): void;
+	SpawnDecalAtLocation(DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
+	SpawnDialogue2D(Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
+	SpawnDialogueAtLocation(Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
+	SpawnEmitterAtLocation(EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
+	SpawnForceFeedbackAtLocation(ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
+	SpawnSound2D(Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	SpawnSoundAtLocation(Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
+	SuggestProjectileVelocity_CustomArc(OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
+	UnloadStreamLevel(LevelName: string,LatentInfo: LatentActionInfo,bShouldBlockOnUnload: boolean): void;
+	FoliageOverlappingBoxCount(StaticMesh: StaticMesh,Box: Box): number;
+	FoliageOverlappingSphereCount(StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	GetMousePositionOnViewport(): Vector2D;
+	GetViewportScale(): number;
+	GetViewportSize(): Vector2D;
+	GetViewportWidgetGeometry(): Geometry;
+	RemoveAllWidgets(): void;
+	Create(WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
+	GetAllWidgetsOfClass(FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	GetAllWidgetsWithInterface(FoundWidgets?: UserWidget[],Interface?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	GetSafeZonePadding(SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
+	SetHardwareCursor(CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
+	AbsoluteToViewport(AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	LocalToViewport(Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	ScreenToViewport(ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
+	ScreenToWidgetAbsolute(ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
+	ScreenToWidgetLocal(Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
+	AddMasterSubmixEffect(SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	AddSourceEffectToPresetChain(PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
+	ClearMasterSubmixEffects(): void;
+	GetMagnitudeForFrequencies(Frequencies: number[],Magnitudes?: number[],SubmixToAnalyze?: SoundSubmix): {Magnitudes: number[]};
+	GetNumberOfEntriesInSourceEffectChain(PresetChain: SoundEffectSourcePresetChain): number;
+	GetPhaseForFrequencies(Frequencies: number[],Phases?: number[],SubmixToAnalyze?: SoundSubmix): {Phases: number[]};
+	PauseRecordingOutput(SubmixToPause: SoundSubmix): void;
+	RemoveMasterSubmixEffect(SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	RemoveSourceEffectFromPresetChain(PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
+	ResumeRecordingOutput(SubmixToPause: SoundSubmix): void;
+	SetBypassSourceEffectChainEntry(PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
+	StartAnalyzingOutput(SubmixToAnalyze: SoundSubmix,FFTSize: EFFTSize,InterpolationMethod: EFFTPeakInterpolationMethod,WindowType: EFFTWindowType,HopSize: number): void;
+	StartRecordingOutput(ExpectedDuration: number,SubmixToRecord: SoundSubmix): void;
+	StopAnalyzingOutput(SubmixToStopAnalyzing: SoundSubmix): void;
+	StopRecordingOutput(ExportType: EAudioRecordingExportType,Name: string,Path: string,SubmixToRecord: SoundSubmix,ExistingSoundWaveToOverwrite: SoundWave): SoundWave;
+	CreateMoveToProxyObject(Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
+	SpawnAIFromClass(PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
+	GetAllActorsOfClassMatchingTagQuery(ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
+	GetDeviceWorldPose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	GetTrackingToWorldTransform(): Transform;
+	GetWorldToMetersScale(): number;
+	SetWorldToMetersScale(NewScale: number): void;
+	static EditorDestroyActor(World: World,Actor: Actor,bShouldModifyLevel: boolean): boolean;
+	static ExportNavigation(InWorld: World,Path: string): string;
+	static GetDefaultBrush(World: World): Brush;
+	static InvalidateModelGeometry(World: World,InLevel: Level): void;
+	static RemoveLevelInstance(World: World): void;
+	static GetActors(WorldContextObject: UObject,ActorLayer: ActorLayer): Actor[];
+	static BeginPlay(World: World): void;
+	static DestroyWorld(World: World): void;
+	static InitializeActorsForPlay(World: World,URL: URL): void;
+	static GenerateNavigation(InWorld: World,NavData: RecastNavMesh): void;
+	static GetAllActorsOfClassAndTags(WorldContextObject: UObject,ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetLevels(World: World): Level[];
+	static GetModel(World: World): Model;
+	static GetWorldBounds(InWorld: World): Box;
+	static IsGameWorld(World: World): boolean;
+	static IsPlayInEditor(World: World): boolean;
+	static IsPlayInPreview(World: World): boolean;
+	static LuminARLineTrace(WorldContextObject: UObject,ScreenPosition: Vector2D,TraceChannels: any,OutHitResults?: ARTraceResult[]): {OutHitResults: ARTraceResult[], $: boolean};
+	static StartLuminARSession(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Configuration: LuminARSessionConfig): void;
+	static TraceChannelTestUtil(WorldContextObject: UObject,BatchOptions: TraceChannelTestBatchOptions,Start: Vector,End: Vector,SphereCapsuleRadius: number,CapsuleHalfHeight: number,BoxHalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,ObjectTypes: EObjectTypeQuery[],ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],bIgnoreSelf: boolean,DrawDebugType: EDrawDebugTrace,TraceColor: LinearColor,TraceHitColor: LinearColor,DrawTime: number): TraceQueryTestResults;
+	static RunAllFunctionalTests(WorldContextObject: UObject,bNewLog: boolean,bRunLooped: boolean,FailedTestsReproString: string): boolean;
+	static DisableStatGroup(WorldContextObject: UObject,GroupName: string): void;
+	static EnableStatGroup(WorldContextObject: UObject,GroupName: string): void;
+	static SetScalabilityQualityLevelRelativeToMax(WorldContextObject: UObject,Value: number): void;
+	static SetScalabilityQualityToEpic(WorldContextObject: UObject): void;
+	static SetScalabilityQualityToLow(WorldContextObject: UObject): void;
+	static TakeAutomationScreenshot(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	static TakeAutomationScreenshotAtCamera(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	static TakeAutomationScreenshotOfUI(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
+	static GetIsMyTurn(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,bIsMyTurn?: boolean): {bIsMyTurn: boolean};
+	static GetMyPlayerIndex(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex?: number): {PlayerIndex: number};
+	static GetPlayerDisplayName(WorldContextObject: UObject,PlayerController: PlayerController,MatchID: string,PlayerIndex: number,PlayerDisplayName?: string): {PlayerDisplayName: string};
+	static RegisterTurnBasedMatchInterfaceObject(WorldContextObject: UObject,PlayerController: PlayerController,UObject: UObject): void;
+	static GetCachedAchievementDescription(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Title?: string,LockedDescription?: string,UnlockedDescription?: string,bHidden?: boolean): {bFoundID: boolean, Title: string, LockedDescription: string, UnlockedDescription: string, bHidden: boolean};
+	static GetCachedAchievementProgress(WorldContextObject: UObject,PlayerController: PlayerController,AchievementID: string,bFoundID?: boolean,Progress?: number): {bFoundID: boolean, Progress: number};
+	static LogBox(WorldContextObject: UObject,BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
+	static LogLocation(WorldContextObject: UObject,Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
+	static LogSegment(WorldContextObject: UObject,SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
+	static LogText(WorldContextObject: UObject,text: string,LogCategory: string,bAddToMessageLog: boolean): void;
+	static BoxOverlapActors(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static BoxOverlapComponents(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static BoxTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BoxTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BoxTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleOverlapActors(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static CapsuleOverlapComponents(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static CapsuleTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static Delay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
+	static DrawDebugArrow(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugBox(WorldContextObject: UObject,Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
+	static DrawDebugCapsule(WorldContextObject: UObject,Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCircle(WorldContextObject: UObject,Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
+	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugConeInDegrees(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCoordinateSystem(WorldContextObject: UObject,AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
+	static DrawDebugCylinder(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugFloatHistoryLocation(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	static DrawDebugFloatHistoryTransform(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	static DrawDebugFrustum(WorldContextObject: UObject,FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugLine(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugPlane(WorldContextObject: UObject,PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
+	static DrawDebugPoint(WorldContextObject: UObject,Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
+	static DrawDebugSphere(WorldContextObject: UObject,Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugString(WorldContextObject: UObject,TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
+	static ExecuteConsoleCommand(WorldContextObject: UObject,Command: string,SpecificPlayer: PlayerController): void;
+	static FlushDebugStrings(WorldContextObject: UObject): void;
+	static FlushPersistentDebugLines(WorldContextObject: UObject): void;
+	static GetGameTimeInSeconds(WorldContextObject: UObject): number;
+	static IsDedicatedServer(WorldContextObject: UObject): boolean;
+	static IsServer(WorldContextObject: UObject): boolean;
+	static IsStandalone(WorldContextObject: UObject): boolean;
+	static K2_ClearAndInvalidateTimerHandle(WorldContextObject: UObject,Handle?: TimerHandle): {Handle: TimerHandle};
+	static K2_ClearTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static K2_GetTimerElapsedTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
+	static K2_GetTimerRemainingTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
+	static K2_IsTimerActiveHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_IsTimerPausedHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_PauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static K2_TimerExistsHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_UnPauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static LineTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LineTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LineTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LineTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LineTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LineTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LoadAsset(WorldContextObject: UObject,Asset: UObject,OnLoaded: UnrealEngineDelegate<(Loaded: UObject) => void>,LatentInfo: LatentActionInfo): void;
+	static LoadAssetClass(WorldContextObject: UObject,AssetClass: Class,OnLoaded: UnrealEngineDelegate<(Loaded: UnrealEngineClass) => void>,LatentInfo: LatentActionInfo): void;
+	static PrintString(WorldContextObject: UObject,inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	static PrintText(WorldContextObject: UObject,InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	static QuitGame(WorldContextObject: UObject,SpecificPlayer: PlayerController,QuitPreference: EQuitPreference,bIgnorePlatformRestrictions: boolean): void;
+	static RetriggerableDelay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
+	static SetSuppressViewportTransitionMessage(WorldContextObject: UObject,bState: boolean): void;
+	static SphereOverlapActors(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static SphereOverlapComponents(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static SphereTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static SphereTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static SphereTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BeginDrawCanvasToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
+	static ClearRenderTarget2D(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
+	static ConvertRenderTargetToTexture2DEditorOnly(WorldContextObject: UObject,RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
+	static CreateRenderTarget2D(WorldContextObject: UObject,Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
+	static DrawMaterialToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
+	static EndDrawCanvasToRenderTarget(WorldContextObject: UObject,Context: DrawToRenderTargetContext): void;
+	static ExportRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
+	static ExportTexture2D(WorldContextObject: UObject,Texture: Texture2D,FilePath: string,Filename: string): void;
+	static ImportBufferAsTexture2D(WorldContextObject: UObject,Buffer: number[]): Texture2D;
+	static ImportFileAsTexture2D(WorldContextObject: UObject,Filename: string): Texture2D;
+	static ReadRenderTargetPixel(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): Color;
+	static ReadRenderTargetRawPixel(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): LinearColor;
+	static ReadRenderTargetRawUV(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): LinearColor;
+	static ReadRenderTargetUV(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): Color;
+	static MinimumAreaRectangle(WorldContextObject: UObject,InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
+	static CreateDynamicMaterialInstance(WorldContextObject: UObject,Parent: MaterialInterface,OptionalName: string): MaterialInstanceDynamic;
+	static GetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): number;
+	static GetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
+	static SetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
+	static SetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
+	static ActivateReverbEffect(WorldContextObject: UObject,ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
+	static ApplyRadialDamage(WorldContextObject: UObject,BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
+	static ApplyRadialDamageWithFalloff(WorldContextObject: UObject,BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
+	static AreAnyListenersWithinRange(WorldContextObject: UObject,Location: Vector,MaximumRange: number): boolean;
+	static BeginDeferredActorSpawnFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
+	static BeginSpawningActorFromBlueprint(WorldContextObject: UObject,Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
+	static BeginSpawningActorFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
+	static Blueprint_PredictProjectilePath_Advanced(WorldContextObject: UObject,PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
+	static Blueprint_PredictProjectilePath_ByObjectType(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	static Blueprint_PredictProjectilePath_ByTraceChannel(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	static BlueprintSuggestProjectileVelocity(WorldContextObject: UObject,TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
+	static ClearSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
+	static ClearSoundMixModifiers(WorldContextObject: UObject): void;
+	static CreatePlayer(WorldContextObject: UObject,ControllerId: number,bSpawnPlayerController: boolean): PlayerController;
+	static CreateSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	static DeactivateReverbEffect(WorldContextObject: UObject,TagName: string): void;
+	static FlushLevelStreaming(WorldContextObject: UObject): void;
+	static GetAccurateRealTime(WorldContextObject: UObject,Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
+	static GetAllActorsOfClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetAllActorsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetAllActorsWithTag(WorldContextObject: UObject,Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetAudioTimeSeconds(WorldContextObject: UObject): number;
+	static GetCurrentLevelName(WorldContextObject: UObject,bRemovePrefixString: boolean): string;
+	static GetCurrentReverbEffect(WorldContextObject: UObject): ReverbEffect;
+	static GetEnableWorldRendering(WorldContextObject: UObject): boolean;
+	static GetGameInstance(WorldContextObject: UObject): GameInstance;
+	static GetGameMode(WorldContextObject: UObject): GameModeBase;
+	static GetGameState(WorldContextObject: UObject): GameStateBase;
+	static GetGlobalTimeDilation(WorldContextObject: UObject): number;
+	static GetMaxAudioChannelCount(WorldContextObject: UObject): number;
+	static GetPlayerCameraManager(WorldContextObject: UObject,PlayerIndex: number): PlayerCameraManager;
+	static GetPlayerCharacter(WorldContextObject: UObject,PlayerIndex: number): Character;
+	static GetPlayerController(WorldContextObject: UObject,PlayerIndex: number): PlayerController;
+	static GetPlayerPawn(WorldContextObject: UObject,PlayerIndex: number): Pawn;
+	static GetRealTimeSeconds(WorldContextObject: UObject): number;
+	static GetStreamingLevel(WorldContextObject: UObject,PackageName: string): LevelStreaming;
+	static GetTimeSeconds(WorldContextObject: UObject): number;
+	static GetUnpausedTimeSeconds(WorldContextObject: UObject): number;
+	static GetWorldDeltaSeconds(WorldContextObject: UObject): number;
+	static GetWorldOriginLocation(WorldContextObject: UObject): IntVector;
+	static GrassOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	static IsGamePaused(WorldContextObject: UObject): boolean;
+	static LoadStreamLevel(WorldContextObject: UObject,LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
+	static OpenLevel(WorldContextObject: UObject,LevelName: string,bAbsolute: boolean,Options: string): void;
+	static PlayDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
+	static PlayDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
+	static PlaySound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	static PlaySoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	static PlayWorldCameraShake(WorldContextObject: UObject,Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
+	static PopSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
+	static PushSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
+	static RebaseLocalOriginOntoZero(WorldContextObject: UObject,WorldLocation: Vector): Vector;
+	static RebaseZeroOriginOntoLocal(WorldContextObject: UObject,WorldLocation: Vector): Vector;
+	static SetBaseSoundMix(WorldContextObject: UObject,InSoundMix: SoundMix): void;
+	static SetEnableWorldRendering(WorldContextObject: UObject,bEnable: boolean): void;
+	static SetGamePaused(WorldContextObject: UObject,bPaused: boolean): boolean;
+	static SetGlobalListenerFocusParameters(WorldContextObject: UObject,FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
+	static SetGlobalPitchModulation(WorldContextObject: UObject,PitchModulation: number,TimeSec: number): void;
+	static SetGlobalTimeDilation(WorldContextObject: UObject,TimeDilation: number): void;
+	static SetMaxAudioChannelsScaled(WorldContextObject: UObject,MaxChannelCountScale: number): void;
+	static SetSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
+	static SetWorldOriginLocation(WorldContextObject: UObject,NewLocation: IntVector): void;
+	static SpawnDecalAtLocation(WorldContextObject: UObject,DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
+	static SpawnDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
+	static SpawnDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
+	static SpawnEmitterAtLocation(WorldContextObject: UObject,EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
+	static SpawnForceFeedbackAtLocation(WorldContextObject: UObject,ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
+	static SpawnSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	static SpawnSoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
+	static SuggestProjectileVelocity_CustomArc(WorldContextObject: UObject,OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
+	static UnloadStreamLevel(WorldContextObject: UObject,LevelName: string,LatentInfo: LatentActionInfo,bShouldBlockOnUnload: boolean): void;
+	static FoliageOverlappingBoxCount(WorldContextObject: UObject,StaticMesh: StaticMesh,Box: Box): number;
+	static FoliageOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	static GetMousePositionOnViewport(WorldContextObject: UObject): Vector2D;
+	static GetViewportScale(WorldContextObject: UObject): number;
+	static GetViewportSize(WorldContextObject: UObject): Vector2D;
+	static GetViewportWidgetGeometry(WorldContextObject: UObject): Geometry;
+	static RemoveAllWidgets(WorldContextObject: UObject): void;
+	static Create(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
+	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	static GetAllWidgetsWithInterface(WorldContextObject: UObject,FoundWidgets?: UserWidget[],Interface?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	static GetSafeZonePadding(WorldContextObject: UObject,SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
+	static SetHardwareCursor(WorldContextObject: UObject,CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
+	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	static ScreenToViewport(WorldContextObject: UObject,ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
+	static ScreenToWidgetAbsolute(WorldContextObject: UObject,ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
+	static ScreenToWidgetLocal(WorldContextObject: UObject,Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
+	static AddMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	static AddSourceEffectToPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
+	static ClearMasterSubmixEffects(WorldContextObject: UObject): void;
+	static GetMagnitudeForFrequencies(WorldContextObject: UObject,Frequencies: number[],Magnitudes?: number[],SubmixToAnalyze?: SoundSubmix): {Magnitudes: number[]};
+	static GetNumberOfEntriesInSourceEffectChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain): number;
+	static GetPhaseForFrequencies(WorldContextObject: UObject,Frequencies: number[],Phases?: number[],SubmixToAnalyze?: SoundSubmix): {Phases: number[]};
+	static PauseRecordingOutput(WorldContextObject: UObject,SubmixToPause: SoundSubmix): void;
+	static RemoveMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	static RemoveSourceEffectFromPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
+	static ResumeRecordingOutput(WorldContextObject: UObject,SubmixToPause: SoundSubmix): void;
+	static SetBypassSourceEffectChainEntry(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
+	static StartAnalyzingOutput(WorldContextObject: UObject,SubmixToAnalyze: SoundSubmix,FFTSize: EFFTSize,InterpolationMethod: EFFTPeakInterpolationMethod,WindowType: EFFTWindowType,HopSize: number): void;
+	static StartRecordingOutput(WorldContextObject: UObject,ExpectedDuration: number,SubmixToRecord: SoundSubmix): void;
+	static StopAnalyzingOutput(WorldContextObject: UObject,SubmixToStopAnalyzing: SoundSubmix): void;
+	static StopRecordingOutput(WorldContextObject: UObject,ExportType: EAudioRecordingExportType,Name: string,Path: string,SubmixToRecord: SoundSubmix,ExistingSoundWaveToOverwrite: SoundWave): SoundWave;
+	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
+	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
+	static GetAllActorsOfClassMatchingTagQuery(WorldContextObject: UObject,ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetDeviceWorldPose(WorldContext: UObject,XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	static GetTrackingToWorldTransform(WorldContext: UObject): Transform;
+	static GetWorldToMetersScale(WorldContext: UObject): number;
+	static SetWorldToMetersScale(WorldContext: UObject,NewScale: number): void;
 }
 
-declare class StructProperty extends Property { 
-	static Load(ResourceName: string): StructProperty;
-	static Find(Outer: UObject, ResourceName: string): StructProperty;
-	static GetDefaultObject(): StructProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StructProperty;
-	static C(Other: UObject | any): StructProperty;
+declare class Package extends UObject { 
+	static Load(ResourceName: string): Package;
+	static Find(Outer: UObject, ResourceName: string): Package;
+	static GetDefaultObject(): Package;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Package;
+	static C(Other: UObject | any): Package;
+	DeletePackage(): boolean;
+	FindWorldInPackage(): World;
+	SavePackage(Filename: string): boolean;
+	GetLongPackagePath(): string;
+	HasAnyPackageFlags(Flags: number): boolean;
+	LoadPackage(PackageName: string): Package;
+	static DeletePackage(Package: Package): boolean;
+	static FindWorldInPackage(Package: Package): World;
+	static SavePackage(Package: Package,Filename: string): boolean;
+	static GetLongPackagePath(InPackage: Package): string;
+	static HasAnyPackageFlags(Package: Package,Flags: number): boolean;
+	static LoadPackage(InOuter: Package,PackageName: string): Package;
 }
 
-declare class UInt16Property extends NumericProperty { 
-	static Load(ResourceName: string): UInt16Property;
-	static Find(Outer: UObject, ResourceName: string): UInt16Property;
-	static GetDefaultObject(): UInt16Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt16Property;
-	static C(Other: UObject | any): UInt16Property;
+declare class DirectoryItem { 
+	Name: string;
+	bIsDirectory: boolean;
+	clone() : DirectoryItem;
+	static C(Other: UObject | any): DirectoryItem;
 }
 
-declare class UInt32Property extends NumericProperty { 
-	static Load(ResourceName: string): UInt32Property;
-	static Find(Outer: UObject, ResourceName: string): UInt32Property;
-	static GetDefaultObject(): UInt32Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt32Property;
-	static C(Other: UObject | any): UInt32Property;
+declare type EJavascriptEncodingOptions = 'AutoDetect' | 'ForceAnsi' | 'ForceUnicode' | 'ForceUTF8' | 'ForceUTF8WithoutBOM' | 'EJavascriptEncodingOptions_MAX';
+declare var EJavascriptEncodingOptions : { AutoDetect:'AutoDetect',ForceAnsi:'ForceAnsi',ForceUnicode:'ForceUnicode',ForceUTF8:'ForceUTF8',ForceUTF8WithoutBOM:'ForceUTF8WithoutBOM',EJavascriptEncodingOptions_MAX:'EJavascriptEncodingOptions_MAX', };
+declare class GameInstanceSubsystem extends Subsystem { 
+	static Load(ResourceName: string): GameInstanceSubsystem;
+	static Find(Outer: UObject, ResourceName: string): GameInstanceSubsystem;
+	static GetDefaultObject(): GameInstanceSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameInstanceSubsystem;
+	static C(Other: UObject | any): GameInstanceSubsystem;
 }
 
-declare class UInt64Property extends NumericProperty { 
-	static Load(ResourceName: string): UInt64Property;
-	static Find(Outer: UObject, ResourceName: string): UInt64Property;
-	static GetDefaultObject(): UInt64Property;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt64Property;
-	static C(Other: UObject | any): UInt64Property;
+declare class CollisionProfileName { 
+	Name: string;
+	clone() : CollisionProfileName;
+	static C(Other: UObject | any): CollisionProfileName;
 }
 
-declare class WeakObjectProperty extends ObjectPropertyBase { 
-	static Load(ResourceName: string): WeakObjectProperty;
-	static Find(Outer: UObject, ResourceName: string): WeakObjectProperty;
-	static GetDefaultObject(): WeakObjectProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WeakObjectProperty;
-	static C(Other: UObject | any): WeakObjectProperty;
+declare class GenericStruct { 
+	Data: number;
+	clone() : GenericStruct;
+	static C(Other: UObject | any): GenericStruct;
 }
 
-declare class TextProperty extends Property { 
-	static Load(ResourceName: string): TextProperty;
-	static Find(Outer: UObject, ResourceName: string): TextProperty;
-	static GetDefaultObject(): TextProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextProperty;
-	static C(Other: UObject | any): TextProperty;
+declare class UObject { 
+	constructor();
+	constructor(Outer: UObject);
+	static Load(ResourceName: string): UObject;
+	static Find(Outer: UObject, ResourceName: string): UObject;
+	static StaticClass: any;
+	static GetClassObject(): Class;
+	static GetDefaultObject(): UObject;
+	static GetDefaultSubobjectByName(Name: string): UObject;
+	static SetDefaultSubobjectClass(Name: string): void;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UObject;
+	ExecuteUbergraph(EntryPoint: number): void;
+	static C(Other: UObject | any): UObject;
+	RenameAsset(NewName: string): void;
+	AddWhitelistedObject(): void;
+	BroadcastAssetCreated(): void;
+	MarkPackageDirty(): boolean;
+	ModifyObject(bAlwaysMarkDirty: boolean): void;
+	OpenEditorForAsset(): boolean;
+	PostEditChange(): void;
+	DestroyUObject(): void;
+	ConvertRelativePathToFull(RelativePath: string): string;
+	CreateEnum(Name: string,DisplayNames: string[]): Enum;
+	CreatePackage(PackageName: string): Package;
+	Duplicate(Outer: UObject,Name: string): UObject;
+	FindObjectWithOuter(ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
+	FindPackage(PackageName: string): Package;
+	GetArchetypePathName(): string;
+	GetDir(WhichDir: string): string;
+	GetFields(bIncludeSuper: boolean): Field[];
+	GetFileSize(Filename: string): number;
+	GetName(): string;
+	GetObjectsWithOuter(Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
+	GetOuter(): UObject;
+	GetOutermost(): UObject;
+	HasAnyFlags(Flags: number): boolean;
+	ReadDirectory(Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
+	ReadFile(Filename: string): boolean;
+	ReadStringFromFile(Filename: string): string;
+	SetObjectFlags(Flags: number): void;
+	WriteFile(Filename: string): boolean;
+	WriteStringToFile(Filename: string,Data: string,EncodingOptions: EJavascriptEncodingOptions): boolean;
+	GetDatasmithUserData(): DatasmithAssetUserData;
+	GetDatasmithUserDataKeysAndValuesForValue(StringToMatch: string,OutKeys?: string[],OutValues?: string[]): {OutKeys: string[], OutValues: string[]};
+	GetDatasmithUserDataValueForKey(Key: string): string;
+	RedirectVislog(DestinationOwner: UObject): void;
+	GetGameInstanceSubsystem(Class: UnrealEngineClass): GameInstanceSubsystem;
+	GetLocalPlayerSubsystem(Class: UnrealEngineClass): LocalPlayerSubsystem;
+	Conv_ObjectToText(): string;
+	Conv_ObjectToSoftObjectReference(): UObject;
+	Conv_SoftObjectReferenceToObject(): UObject;
+	Conv_SoftObjectReferenceToString(): string;
+	CreateCopyForUndoBuffer(): void;
+	DoesImplementInterface(Interface: UnrealEngineClass): boolean;
+	EqualEqual_SoftObjectReference(B: UObject): boolean;
+	GetDisplayName(): string;
+	GetObjectName(): string;
+	GetOuterObject(): UObject;
+	GetPathName(): string;
+	GetPrimaryAssetIdFromObject(): PrimaryAssetId;
+	GetPrimaryAssetIdFromSoftObjectReference(): PrimaryAssetId;
+	IsValid(): boolean;
+	IsValidSoftObjectReference(): boolean;
+	K2_ClearTimer(FunctionName: string): void;
+	K2_GetTimerElapsedTime(FunctionName: string): number;
+	K2_GetTimerRemainingTime(FunctionName: string): number;
+	K2_IsTimerActive(FunctionName: string): boolean;
+	K2_IsTimerPaused(FunctionName: string): boolean;
+	K2_PauseTimer(FunctionName: string): void;
+	K2_SetTimer(FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
+	K2_TimerExists(FunctionName: string): boolean;
+	K2_UnPauseTimer(FunctionName: string): void;
+	LoadAsset_Blocking(): UObject;
+	NotEqual_SoftObjectReference(B: UObject): boolean;
+	SetBoolPropertyByName(PropertyName: string,Value: boolean): void;
+	SetBytePropertyByName(PropertyName: string,Value: number): void;
+	SetClassPropertyByName(PropertyName: string,Value: UnrealEngineClass): void;
+	SetCollisionProfileNameProperty(PropertyName: string,Value: CollisionProfileName): void;
+	SetFloatPropertyByName(PropertyName: string,Value: number): void;
+	SetInt64PropertyByName(PropertyName: string,Value: any): void;
+	SetInterfacePropertyByName(PropertyName: string,Value: any): void;
+	SetIntPropertyByName(PropertyName: string,Value: number): void;
+	SetLinearColorPropertyByName(PropertyName: string,Value: LinearColor): void;
+	SetNamePropertyByName(PropertyName: string,Value: string): void;
+	SetObjectPropertyByName(PropertyName: string,Value: UObject): void;
+	SetRotatorPropertyByName(PropertyName: string,Value: Rotator): void;
+	SetSoftClassPropertyByName(PropertyName: string,Value: Class): void;
+	SetSoftObjectPropertyByName(PropertyName: string,Value: UObject): void;
+	SetStringPropertyByName(PropertyName: string,Value: string): void;
+	SetStructurePropertyByName(PropertyName: string,Value: GenericStruct): void;
+	SetTextPropertyByName(PropertyName: string,Value: string): void;
+	SetTransformPropertyByName(PropertyName: string,Value: Transform): void;
+	SetVectorPropertyByName(PropertyName: string,Value: Vector): void;
+	TransactObject(): void;
+	Conv_ObjectToString(): string;
+	EqualEqual_ObjectObject(B: UObject): boolean;
+	NotEqual_ObjectObject(B: UObject): boolean;
+	SelectObject(B: UObject,bSelectA: boolean): UObject;
+	SetArrayPropertyByName(PropertyName: string,Value: number[]): void;
+	GetObjectClass(): UnrealEngineClass;
+	SetSetPropertyByName(PropertyName: string,Value: any): void;
+	SetMapPropertyByName(PropertyName: string,Value: any): void;
+	static RenameAsset(Asset: UObject,NewName: string): void;
+	static AddWhitelistedObject(InObject: UObject): void;
+	static BroadcastAssetCreated(NewAsset: UObject): void;
+	static MarkPackageDirty(InObject: UObject): boolean;
+	static ModifyObject(UObject: UObject,bAlwaysMarkDirty: boolean): void;
+	static OpenEditorForAsset(Asset: UObject): boolean;
+	static PostEditChange(InObject: UObject): void;
+	static DestroyUObject(UObject: UObject): void;
+	static ConvertRelativePathToFull(UObject: UObject,RelativePath: string): string;
+	static CreateEnum(Outer: UObject,Name: string,DisplayNames: string[]): Enum;
+	static CreatePackage(Outer: UObject,PackageName: string): Package;
+	static Duplicate(UObject: UObject,Outer: UObject,Name: string): UObject;
+	static FindObjectWithOuter(Outer: UObject,ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
+	static FindPackage(InOuter: UObject,PackageName: string): Package;
+	static GetArchetypePathName(UObject: UObject): string;
+	static GetDir(UObject: UObject,WhichDir: string): string;
+	static GetFields(UObject: UObject,bIncludeSuper: boolean): Field[];
+	static GetFileSize(UObject: UObject,Filename: string): number;
+	static GetName(UObject: UObject): string;
+	static GetObjectsWithOuter(Outer: UObject,Results?: UObject[],bIncludeNestedObjects?: boolean,ExclusionFlags?: number,ExclusionInternalFlags?: number): {Results: UObject[]};
+	static GetOuter(UObject: UObject): UObject;
+	static GetOutermost(UObject: UObject): UObject;
+	static HasAnyFlags(UObject: UObject,Flags: number): boolean;
+	static ReadDirectory(UObject: UObject,Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
+	static ReadFile(UObject: UObject,Filename: string): boolean;
+	static ReadStringFromFile(UObject: UObject,Filename: string): string;
+	static SetObjectFlags(Obj: UObject,Flags: number): void;
+	static WriteFile(UObject: UObject,Filename: string): boolean;
+	static WriteStringToFile(UObject: UObject,Filename: string,Data: string,EncodingOptions: EJavascriptEncodingOptions): boolean;
+	static GetDatasmithUserData(UObject: UObject): DatasmithAssetUserData;
+	static GetDatasmithUserDataKeysAndValuesForValue(UObject: UObject,StringToMatch: string,OutKeys?: string[],OutValues?: string[]): {OutKeys: string[], OutValues: string[]};
+	static GetDatasmithUserDataValueForKey(UObject: UObject,Key: string): string;
+	static RedirectVislog(SourceOwner: UObject,DestinationOwner: UObject): void;
+	static GetGameInstanceSubsystem(ContextObject: UObject,Class: UnrealEngineClass): GameInstanceSubsystem;
+	static GetLocalPlayerSubsystem(ContextObject: UObject,Class: UnrealEngineClass): LocalPlayerSubsystem;
+	static Conv_ObjectToText(InObj: UObject): string;
+	static Conv_ObjectToSoftObjectReference(UObject: UObject): UObject;
+	static Conv_SoftObjectReferenceToObject(softobject: UObject): UObject;
+	static Conv_SoftObjectReferenceToString(SoftObjectReference: UObject): string;
+	static CreateCopyForUndoBuffer(ObjectToModify: UObject): void;
+	static DoesImplementInterface(TestObject: UObject,Interface: UnrealEngineClass): boolean;
+	static EqualEqual_SoftObjectReference(A: UObject,B: UObject): boolean;
+	static GetDisplayName(UObject: UObject): string;
+	static GetObjectName(UObject: UObject): string;
+	static GetOuterObject(UObject: UObject): UObject;
+	static GetPathName(UObject: UObject): string;
+	static GetPrimaryAssetIdFromObject(UObject: UObject): PrimaryAssetId;
+	static GetPrimaryAssetIdFromSoftObjectReference(SoftObjectReference: UObject): PrimaryAssetId;
+	static IsValid(UObject: UObject): boolean;
+	static IsValidSoftObjectReference(SoftObjectReference: UObject): boolean;
+	static K2_ClearTimer(UObject: UObject,FunctionName: string): void;
+	static K2_GetTimerElapsedTime(UObject: UObject,FunctionName: string): number;
+	static K2_GetTimerRemainingTime(UObject: UObject,FunctionName: string): number;
+	static K2_IsTimerActive(UObject: UObject,FunctionName: string): boolean;
+	static K2_IsTimerPaused(UObject: UObject,FunctionName: string): boolean;
+	static K2_PauseTimer(UObject: UObject,FunctionName: string): void;
+	static K2_SetTimer(UObject: UObject,FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
+	static K2_TimerExists(UObject: UObject,FunctionName: string): boolean;
+	static K2_UnPauseTimer(UObject: UObject,FunctionName: string): void;
+	static LoadAsset_Blocking(Asset: UObject): UObject;
+	static NotEqual_SoftObjectReference(A: UObject,B: UObject): boolean;
+	static SetBoolPropertyByName(UObject: UObject,PropertyName: string,Value: boolean): void;
+	static SetBytePropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetClassPropertyByName(UObject: UObject,PropertyName: string,Value: UnrealEngineClass): void;
+	static SetCollisionProfileNameProperty(UObject: UObject,PropertyName: string,Value: CollisionProfileName): void;
+	static SetFloatPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetInt64PropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static SetInterfacePropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static SetIntPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetLinearColorPropertyByName(UObject: UObject,PropertyName: string,Value: LinearColor): void;
+	static SetNamePropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
+	static SetRotatorPropertyByName(UObject: UObject,PropertyName: string,Value: Rotator): void;
+	static SetSoftClassPropertyByName(UObject: UObject,PropertyName: string,Value: Class): void;
+	static SetSoftObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
+	static SetStringPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetStructurePropertyByName(UObject: UObject,PropertyName: string,Value: GenericStruct): void;
+	static SetTextPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetTransformPropertyByName(UObject: UObject,PropertyName: string,Value: Transform): void;
+	static SetVectorPropertyByName(UObject: UObject,PropertyName: string,Value: Vector): void;
+	static TransactObject(UObject: UObject): void;
+	static Conv_ObjectToString(InObj: UObject): string;
+	static EqualEqual_ObjectObject(A: UObject,B: UObject): boolean;
+	static NotEqual_ObjectObject(A: UObject,B: UObject): boolean;
+	static SelectObject(A: UObject,B: UObject,bSelectA: boolean): UObject;
+	static SetArrayPropertyByName(UObject: UObject,PropertyName: string,Value: number[]): void;
+	static GetObjectClass(UObject: UObject): UnrealEngineClass;
+	static SetSetPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static SetMapPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
 }
 
-declare class InputCoreTypes extends UObject { 
-	static Load(ResourceName: string): InputCoreTypes;
-	static Find(Outer: UObject, ResourceName: string): InputCoreTypes;
-	static GetDefaultObject(): InputCoreTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputCoreTypes;
-	static C(Other: UObject | any): InputCoreTypes;
+declare class GCObjectReferencer extends UObject { 
+	static Load(ResourceName: string): GCObjectReferencer;
+	static Find(Outer: UObject, ResourceName: string): GCObjectReferencer;
+	static GetDefaultObject(): GCObjectReferencer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GCObjectReferencer;
+	static C(Other: UObject | any): GCObjectReferencer;
 }
 
-declare class FontFaceInterface extends Interface { 
-	static Load(ResourceName: string): FontFaceInterface;
-	static Find(Outer: UObject, ResourceName: string): FontFaceInterface;
-	static GetDefaultObject(): FontFaceInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFaceInterface;
-	static C(Other: UObject | any): FontFaceInterface;
+declare class TextBuffer extends UObject { 
+	static Load(ResourceName: string): TextBuffer;
+	static Find(Outer: UObject, ResourceName: string): TextBuffer;
+	static GetDefaultObject(): TextBuffer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBuffer;
+	static C(Other: UObject | any): TextBuffer;
 }
 
-declare class FontProviderInterface extends Interface { 
-	static Load(ResourceName: string): FontProviderInterface;
-	static Find(Outer: UObject, ResourceName: string): FontProviderInterface;
-	static GetDefaultObject(): FontProviderInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontProviderInterface;
-	static C(Other: UObject | any): FontProviderInterface;
+declare class ScriptStruct extends Struct { 
+	static Load(ResourceName: string): ScriptStruct;
+	static Find(Outer: UObject, ResourceName: string): ScriptStruct;
+	static GetDefaultObject(): ScriptStruct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScriptStruct;
+	static C(Other: UObject | any): ScriptStruct;
 }
 
-declare class SlateTypes extends UObject { 
-	static Load(ResourceName: string): SlateTypes;
-	static Find(Outer: UObject, ResourceName: string): SlateTypes;
-	static GetDefaultObject(): SlateTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateTypes;
-	static C(Other: UObject | any): SlateTypes;
+declare class DelegateFunction extends UFunction { 
+	static Load(ResourceName: string): DelegateFunction;
+	static Find(Outer: UObject, ResourceName: string): DelegateFunction;
+	static GetDefaultObject(): DelegateFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateFunction;
+	static C(Other: UObject | any): DelegateFunction;
 }
 
-declare class SlateWidgetStyleContainerBase extends UObject { 
-	static Load(ResourceName: string): SlateWidgetStyleContainerBase;
-	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerBase;
-	static GetDefaultObject(): SlateWidgetStyleContainerBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerBase;
-	static C(Other: UObject | any): SlateWidgetStyleContainerBase;
+declare class DynamicClass extends Class { 
+	static Load(ResourceName: string): DynamicClass;
+	static Find(Outer: UObject, ResourceName: string): DynamicClass;
+	static GetDefaultObject(): DynamicClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicClass;
+	static C(Other: UObject | any): DynamicClass;
 }
 
-declare class SlateWidgetStyleAsset extends UObject { 
-	CustomStyle: SlateWidgetStyleContainerBase;
-	static Load(ResourceName: string): SlateWidgetStyleAsset;
-	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleAsset;
-	static GetDefaultObject(): SlateWidgetStyleAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleAsset;
-	static C(Other: UObject | any): SlateWidgetStyleAsset;
+declare class EnumProperty extends Property { 
+	static Load(ResourceName: string): EnumProperty;
+	static Find(Outer: UObject, ResourceName: string): EnumProperty;
+	static GetDefaultObject(): EnumProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnumProperty;
+	static C(Other: UObject | any): EnumProperty;
 }
 
-declare class SlateWidgetStyleContainerInterface extends Interface { 
-	static Load(ResourceName: string): SlateWidgetStyleContainerInterface;
-	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerInterface;
-	static GetDefaultObject(): SlateWidgetStyleContainerInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerInterface;
-	static C(Other: UObject | any): SlateWidgetStyleContainerInterface;
+declare class LinkerPlaceholderClass extends Class { 
+	static Load(ResourceName: string): LinkerPlaceholderClass;
+	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderClass;
+	static GetDefaultObject(): LinkerPlaceholderClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderClass;
+	static C(Other: UObject | any): LinkerPlaceholderClass;
 }
 
-declare class SlateWidgetStyle { 
-	clone() : SlateWidgetStyle;
-	static C(Other: UObject | any): SlateWidgetStyle;
+declare class LinkerPlaceholderExportObject extends UObject { 
+	static Load(ResourceName: string): LinkerPlaceholderExportObject;
+	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderExportObject;
+	static GetDefaultObject(): LinkerPlaceholderExportObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderExportObject;
+	static C(Other: UObject | any): LinkerPlaceholderExportObject;
 }
 
-declare class SlateSound { 
-	ResourceObject: UObject;
-	clone() : SlateSound;
-	static C(Other: UObject | any): SlateSound;
+declare class LinkerPlaceholderFunction extends UFunction { 
+	static Load(ResourceName: string): LinkerPlaceholderFunction;
+	static Find(Outer: UObject, ResourceName: string): LinkerPlaceholderFunction;
+	static GetDefaultObject(): LinkerPlaceholderFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinkerPlaceholderFunction;
+	static C(Other: UObject | any): LinkerPlaceholderFunction;
 }
 
-declare class ButtonStyle extends SlateWidgetStyle { 
-	Normal: SlateBrush;
-	Hovered: SlateBrush;
-	Pressed: SlateBrush;
-	Disabled: SlateBrush;
-	NormalPadding: Margin;
-	PressedPadding: Margin;
-	PressedSlateSound: SlateSound;
-	HoveredSlateSound: SlateSound;
-	PressedSound: string;
-	HoveredSound: string;
-	clone() : ButtonStyle;
-	static C(Other: UObject | any): ButtonStyle;
+declare class MetaData extends UObject { 
+	static Load(ResourceName: string): MetaData;
+	static Find(Outer: UObject, ResourceName: string): MetaData;
+	static GetDefaultObject(): MetaData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MetaData;
+	static C(Other: UObject | any): MetaData;
 }
 
-declare class ButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ButtonStyle: ButtonStyle;
-	static Load(ResourceName: string): ButtonWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ButtonWidgetStyle;
-	static GetDefaultObject(): ButtonWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonWidgetStyle;
-	static C(Other: UObject | any): ButtonWidgetStyle;
+declare class ObjectRedirector extends UObject { 
+	static Load(ResourceName: string): ObjectRedirector;
+	static Find(Outer: UObject, ResourceName: string): ObjectRedirector;
+	static GetDefaultObject(): ObjectRedirector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectRedirector;
+	static C(Other: UObject | any): ObjectRedirector;
 }
 
-declare type ESlateCheckBoxType = 'CheckBox' | 'ToggleButton' | 'ESlateCheckBoxType_MAX';
-declare var ESlateCheckBoxType : { CheckBox:'CheckBox',ToggleButton:'ToggleButton',ESlateCheckBoxType_MAX:'ESlateCheckBoxType_MAX', };
-declare class CheckBoxStyle extends SlateWidgetStyle { 
-	CheckBoxType: ESlateCheckBoxType;
-	UncheckedImage: SlateBrush;
-	UncheckedHoveredImage: SlateBrush;
-	UncheckedPressedImage: SlateBrush;
-	CheckedImage: SlateBrush;
-	CheckedHoveredImage: SlateBrush;
-	CheckedPressedImage: SlateBrush;
-	UndeterminedImage: SlateBrush;
-	UndeterminedHoveredImage: SlateBrush;
-	UndeterminedPressedImage: SlateBrush;
-	Padding: Margin;
-	ForegroundColor: SlateColor;
-	BorderBackgroundColor: SlateColor;
-	CheckedSlateSound: SlateSound;
-	UncheckedSlateSound: SlateSound;
-	HoveredSlateSound: SlateSound;
-	CheckedSound: string;
-	UncheckedSound: string;
-	HoveredSound: string;
-	clone() : CheckBoxStyle;
-	static C(Other: UObject | any): CheckBoxStyle;
+declare class ArrayProperty extends Property { 
+	static Load(ResourceName: string): ArrayProperty;
+	static Find(Outer: UObject, ResourceName: string): ArrayProperty;
+	static GetDefaultObject(): ArrayProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ArrayProperty;
+	static C(Other: UObject | any): ArrayProperty;
 }
 
-declare class CheckBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
-	CheckBoxStyle: CheckBoxStyle;
-	static Load(ResourceName: string): CheckBoxWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): CheckBoxWidgetStyle;
-	static GetDefaultObject(): CheckBoxWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBoxWidgetStyle;
-	static C(Other: UObject | any): CheckBoxWidgetStyle;
+declare class ObjectPropertyBase extends Property { 
+	static Load(ResourceName: string): ObjectPropertyBase;
+	static Find(Outer: UObject, ResourceName: string): ObjectPropertyBase;
+	static GetDefaultObject(): ObjectPropertyBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectPropertyBase;
+	static C(Other: UObject | any): ObjectPropertyBase;
 }
 
-declare class ComboButtonStyle extends SlateWidgetStyle { 
-	ButtonStyle: ButtonStyle;
-	DownArrowImage: SlateBrush;
-	MenuBorderBrush: SlateBrush;
-	MenuBorderPadding: Margin;
-	clone() : ComboButtonStyle;
-	static C(Other: UObject | any): ComboButtonStyle;
+declare class BoolProperty extends Property { 
+	static Load(ResourceName: string): BoolProperty;
+	static Find(Outer: UObject, ResourceName: string): BoolProperty;
+	static GetDefaultObject(): BoolProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolProperty;
+	static C(Other: UObject | any): BoolProperty;
 }
 
-declare class ComboBoxStyle extends SlateWidgetStyle { 
-	ComboButtonStyle: ComboButtonStyle;
-	PressedSlateSound: SlateSound;
-	SelectionChangeSlateSound: SlateSound;
-	PressedSound: string;
-	SelectionChangeSound: string;
-	clone() : ComboBoxStyle;
-	static C(Other: UObject | any): ComboBoxStyle;
+declare class NumericProperty extends Property { 
+	static Load(ResourceName: string): NumericProperty;
+	static Find(Outer: UObject, ResourceName: string): NumericProperty;
+	static GetDefaultObject(): NumericProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NumericProperty;
+	static C(Other: UObject | any): NumericProperty;
 }
 
-declare class ComboBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ComboBoxStyle: ComboBoxStyle;
-	static Load(ResourceName: string): ComboBoxWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ComboBoxWidgetStyle;
-	static GetDefaultObject(): ComboBoxWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxWidgetStyle;
-	static C(Other: UObject | any): ComboBoxWidgetStyle;
+declare class ByteProperty extends NumericProperty { 
+	static Load(ResourceName: string): ByteProperty;
+	static Find(Outer: UObject, ResourceName: string): ByteProperty;
+	static GetDefaultObject(): ByteProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ByteProperty;
+	static C(Other: UObject | any): ByteProperty;
 }
 
-declare class ComboButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ComboButtonStyle: ComboButtonStyle;
-	static Load(ResourceName: string): ComboButtonWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ComboButtonWidgetStyle;
-	static GetDefaultObject(): ComboButtonWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboButtonWidgetStyle;
-	static C(Other: UObject | any): ComboButtonWidgetStyle;
+declare class ObjectProperty extends ObjectPropertyBase { 
+	static Load(ResourceName: string): ObjectProperty;
+	static Find(Outer: UObject, ResourceName: string): ObjectProperty;
+	static GetDefaultObject(): ObjectProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectProperty;
+	static C(Other: UObject | any): ObjectProperty;
 }
 
-declare class FontOutlineSettings { 
-	OutlineSize: number;
-	OutlineMaterial: UObject;
-	OutlineColor: LinearColor;
-	bSeparateFillAlpha: boolean;
-	clone() : FontOutlineSettings;
-	static C(Other: UObject | any): FontOutlineSettings;
+declare class ClassProperty extends ObjectProperty { 
+	static Load(ResourceName: string): ClassProperty;
+	static Find(Outer: UObject, ResourceName: string): ClassProperty;
+	static GetDefaultObject(): ClassProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassProperty;
+	static C(Other: UObject | any): ClassProperty;
 }
 
-declare class SlateFontInfo { 
-	FontObject: UObject;
-	FontMaterial: UObject;
-	OutlineSettings: FontOutlineSettings;
-	TypefaceFontName: string;
-	Size: number;
-	FontName: string;
-	Hinting: EFontHinting;
-	clone() : SlateFontInfo;
-	static C(Other: UObject | any): SlateFontInfo;
+declare class DelegateProperty extends Property { 
+	static Load(ResourceName: string): DelegateProperty;
+	static Find(Outer: UObject, ResourceName: string): DelegateProperty;
+	static GetDefaultObject(): DelegateProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DelegateProperty;
+	static C(Other: UObject | any): DelegateProperty;
 }
 
-declare class ScrollBarStyle extends SlateWidgetStyle { 
-	HorizontalBackgroundImage: SlateBrush;
-	VerticalBackgroundImage: SlateBrush;
-	VerticalTopSlotImage: SlateBrush;
-	HorizontalTopSlotImage: SlateBrush;
-	VerticalBottomSlotImage: SlateBrush;
-	HorizontalBottomSlotImage: SlateBrush;
-	NormalThumbImage: SlateBrush;
-	HoveredThumbImage: SlateBrush;
-	DraggedThumbImage: SlateBrush;
-	clone() : ScrollBarStyle;
-	static C(Other: UObject | any): ScrollBarStyle;
+declare class DoubleProperty extends NumericProperty { 
+	static Load(ResourceName: string): DoubleProperty;
+	static Find(Outer: UObject, ResourceName: string): DoubleProperty;
+	static GetDefaultObject(): DoubleProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DoubleProperty;
+	static C(Other: UObject | any): DoubleProperty;
 }
 
-declare class EditableTextBoxStyle extends SlateWidgetStyle { 
-	BackgroundImageNormal: SlateBrush;
-	BackgroundImageHovered: SlateBrush;
-	BackgroundImageFocused: SlateBrush;
-	BackgroundImageReadOnly: SlateBrush;
-	Padding: Margin;
-	Font: SlateFontInfo;
-	ForegroundColor: SlateColor;
-	BackgroundColor: SlateColor;
-	ReadOnlyForegroundColor: SlateColor;
-	HScrollBarPadding: Margin;
-	VScrollBarPadding: Margin;
-	ScrollBarStyle: ScrollBarStyle;
-	clone() : EditableTextBoxStyle;
-	static C(Other: UObject | any): EditableTextBoxStyle;
+declare class FloatProperty extends NumericProperty { 
+	static Load(ResourceName: string): FloatProperty;
+	static Find(Outer: UObject, ResourceName: string): FloatProperty;
+	static GetDefaultObject(): FloatProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatProperty;
+	static C(Other: UObject | any): FloatProperty;
 }
 
-declare class EditableTextBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
-	EditableTextBoxStyle: EditableTextBoxStyle;
-	static Load(ResourceName: string): EditableTextBoxWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): EditableTextBoxWidgetStyle;
-	static GetDefaultObject(): EditableTextBoxWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBoxWidgetStyle;
-	static C(Other: UObject | any): EditableTextBoxWidgetStyle;
+declare class IntProperty extends NumericProperty { 
+	static Load(ResourceName: string): IntProperty;
+	static Find(Outer: UObject, ResourceName: string): IntProperty;
+	static GetDefaultObject(): IntProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IntProperty;
+	static C(Other: UObject | any): IntProperty;
 }
 
-declare class EditableTextStyle extends SlateWidgetStyle { 
-	Font: SlateFontInfo;
-	ColorAndOpacity: SlateColor;
-	BackgroundImageSelected: SlateBrush;
-	BackgroundImageComposing: SlateBrush;
-	CaretImage: SlateBrush;
-	clone() : EditableTextStyle;
-	static C(Other: UObject | any): EditableTextStyle;
+declare class Int16Property extends NumericProperty { 
+	static Load(ResourceName: string): Int16Property;
+	static Find(Outer: UObject, ResourceName: string): Int16Property;
+	static GetDefaultObject(): Int16Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int16Property;
+	static C(Other: UObject | any): Int16Property;
 }
 
-declare class EditableTextWidgetStyle extends SlateWidgetStyleContainerBase { 
-	EditableTextStyle: EditableTextStyle;
-	static Load(ResourceName: string): EditableTextWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): EditableTextWidgetStyle;
-	static GetDefaultObject(): EditableTextWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextWidgetStyle;
-	static C(Other: UObject | any): EditableTextWidgetStyle;
+declare class Int64Property extends NumericProperty { 
+	static Load(ResourceName: string): Int64Property;
+	static Find(Outer: UObject, ResourceName: string): Int64Property;
+	static GetDefaultObject(): Int64Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int64Property;
+	static C(Other: UObject | any): Int64Property;
 }
 
-declare class ProgressBarStyle extends SlateWidgetStyle { 
-	BackgroundImage: SlateBrush;
-	FillImage: SlateBrush;
-	MarqueeImage: SlateBrush;
-	clone() : ProgressBarStyle;
-	static C(Other: UObject | any): ProgressBarStyle;
+declare class Int8Property extends NumericProperty { 
+	static Load(ResourceName: string): Int8Property;
+	static Find(Outer: UObject, ResourceName: string): Int8Property;
+	static GetDefaultObject(): Int8Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int8Property;
+	static C(Other: UObject | any): Int8Property;
 }
 
-declare class ProgressWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ProgressBarStyle: ProgressBarStyle;
-	static Load(ResourceName: string): ProgressWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ProgressWidgetStyle;
-	static GetDefaultObject(): ProgressWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressWidgetStyle;
-	static C(Other: UObject | any): ProgressWidgetStyle;
+declare class InterfaceProperty extends Property { 
+	static Load(ResourceName: string): InterfaceProperty;
+	static Find(Outer: UObject, ResourceName: string): InterfaceProperty;
+	static GetDefaultObject(): InterfaceProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterfaceProperty;
+	static C(Other: UObject | any): InterfaceProperty;
 }
 
-declare class ScrollBarWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ScrollBarStyle: ScrollBarStyle;
-	static Load(ResourceName: string): ScrollBarWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ScrollBarWidgetStyle;
-	static GetDefaultObject(): ScrollBarWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBarWidgetStyle;
-	static C(Other: UObject | any): ScrollBarWidgetStyle;
+declare class LazyObjectProperty extends ObjectPropertyBase { 
+	static Load(ResourceName: string): LazyObjectProperty;
+	static Find(Outer: UObject, ResourceName: string): LazyObjectProperty;
+	static GetDefaultObject(): LazyObjectProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LazyObjectProperty;
+	static C(Other: UObject | any): LazyObjectProperty;
 }
 
-declare class ScrollBoxStyle extends SlateWidgetStyle { 
-	TopShadowBrush: SlateBrush;
-	BottomShadowBrush: SlateBrush;
-	LeftShadowBrush: SlateBrush;
-	RightShadowBrush: SlateBrush;
-	clone() : ScrollBoxStyle;
-	static C(Other: UObject | any): ScrollBoxStyle;
+declare class MapProperty extends Property { 
+	static Load(ResourceName: string): MapProperty;
+	static Find(Outer: UObject, ResourceName: string): MapProperty;
+	static GetDefaultObject(): MapProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MapProperty;
+	static C(Other: UObject | any): MapProperty;
 }
 
-declare class ScrollBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
-	ScrollBoxStyle: ScrollBoxStyle;
-	static Load(ResourceName: string): ScrollBoxWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): ScrollBoxWidgetStyle;
-	static GetDefaultObject(): ScrollBoxWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxWidgetStyle;
-	static C(Other: UObject | any): ScrollBoxWidgetStyle;
+declare class MulticastDelegateProperty extends Property { 
+	static Load(ResourceName: string): MulticastDelegateProperty;
+	static Find(Outer: UObject, ResourceName: string): MulticastDelegateProperty;
+	static GetDefaultObject(): MulticastDelegateProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MulticastDelegateProperty;
+	static C(Other: UObject | any): MulticastDelegateProperty;
 }
 
-declare class SlateSettings extends UObject { 
-	bExplicitCanvasChildZOrder: boolean;
-	static Load(ResourceName: string): SlateSettings;
-	static Find(Outer: UObject, ResourceName: string): SlateSettings;
-	static GetDefaultObject(): SlateSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateSettings;
-	static C(Other: UObject | any): SlateSettings;
+declare class NameProperty extends Property { 
+	static Load(ResourceName: string): NameProperty;
+	static Find(Outer: UObject, ResourceName: string): NameProperty;
+	static GetDefaultObject(): NameProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NameProperty;
+	static C(Other: UObject | any): NameProperty;
 }
 
-declare class SpinBoxStyle extends SlateWidgetStyle { 
-	BackgroundBrush: SlateBrush;
-	HoveredBackgroundBrush: SlateBrush;
-	ActiveFillBrush: SlateBrush;
-	InactiveFillBrush: SlateBrush;
-	ArrowsImage: SlateBrush;
-	ForegroundColor: SlateColor;
-	TextPadding: Margin;
-	clone() : SpinBoxStyle;
-	static C(Other: UObject | any): SpinBoxStyle;
+declare class SetProperty extends Property { 
+	static Load(ResourceName: string): SetProperty;
+	static Find(Outer: UObject, ResourceName: string): SetProperty;
+	static GetDefaultObject(): SetProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SetProperty;
+	static C(Other: UObject | any): SetProperty;
 }
 
-declare class SpinBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
-	SpinBoxStyle: SpinBoxStyle;
-	static Load(ResourceName: string): SpinBoxWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): SpinBoxWidgetStyle;
-	static GetDefaultObject(): SpinBoxWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBoxWidgetStyle;
-	static C(Other: UObject | any): SpinBoxWidgetStyle;
+declare class SoftObjectProperty extends ObjectPropertyBase { 
+	static Load(ResourceName: string): SoftObjectProperty;
+	static Find(Outer: UObject, ResourceName: string): SoftObjectProperty;
+	static GetDefaultObject(): SoftObjectProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoftObjectProperty;
+	static C(Other: UObject | any): SoftObjectProperty;
 }
 
-declare class TextBlockStyle extends SlateWidgetStyle { 
-	Font: SlateFontInfo;
-	ColorAndOpacity: SlateColor;
-	ShadowOffset: Vector2D;
-	ShadowColorAndOpacity: LinearColor;
-	SelectedBackgroundColor: SlateColor;
-	HighlightColor: LinearColor;
-	HighlightShape: SlateBrush;
-	UnderlineBrush: SlateBrush;
-	clone() : TextBlockStyle;
-	static C(Other: UObject | any): TextBlockStyle;
+declare class SoftClassProperty extends SoftObjectProperty { 
+	static Load(ResourceName: string): SoftClassProperty;
+	static Find(Outer: UObject, ResourceName: string): SoftClassProperty;
+	static GetDefaultObject(): SoftClassProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoftClassProperty;
+	static C(Other: UObject | any): SoftClassProperty;
 }
 
-declare class TextBlockWidgetStyle extends SlateWidgetStyleContainerBase { 
-	TextBlockStyle: TextBlockStyle;
-	static Load(ResourceName: string): TextBlockWidgetStyle;
-	static Find(Outer: UObject, ResourceName: string): TextBlockWidgetStyle;
-	static GetDefaultObject(): TextBlockWidgetStyle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlockWidgetStyle;
-	static C(Other: UObject | any): TextBlockWidgetStyle;
+declare class StrProperty extends Property { 
+	static Load(ResourceName: string): StrProperty;
+	static Find(Outer: UObject, ResourceName: string): StrProperty;
+	static GetDefaultObject(): StrProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StrProperty;
+	static C(Other: UObject | any): StrProperty;
 }
 
-declare type EColorVisionDeficiency = 'CVD_NormalVision' | 'CVD_Deuteranomly' | 'CVD_Deuteranopia' | 'CVD_Protanomly' | 'CVD_Protanopia' | 'CVD_Tritanomaly' | 'CVD_Tritanopia' | 'CVD_Achromatopsia' | 'CVD_MAX';
-declare var EColorVisionDeficiency : { CVD_NormalVision:'CVD_NormalVision',CVD_Deuteranomly:'CVD_Deuteranomly',CVD_Deuteranopia:'CVD_Deuteranopia',CVD_Protanomly:'CVD_Protanomly',CVD_Protanopia:'CVD_Protanopia',CVD_Tritanomaly:'CVD_Tritanomaly',CVD_Tritanopia:'CVD_Tritanopia',CVD_Achromatopsia:'CVD_Achromatopsia',CVD_MAX:'CVD_MAX', };
-declare type ELogTimes = 'None' | 'UTC' | 'SinceGStartTime' | 'Local' | 'ELogTimes_MAX';
-declare var ELogTimes : { None:'None',UTC:'UTC',SinceGStartTime:'SinceGStartTime',Local:'Local',ELogTimes_MAX:'ELogTimes_MAX', };
-declare type EAssetEditorOpenLocation = 'Default' | 'NewWindow' | 'MainWindow' | 'ContentBrowser' | 'LastDockedWindowOrNewWindow' | 'LastDockedWindowOrMainWindow' | 'LastDockedWindowOrContentBrowser' | 'EAssetEditorOpenLocation_MAX';
-declare var EAssetEditorOpenLocation : { Default:'Default',NewWindow:'NewWindow',MainWindow:'MainWindow',ContentBrowser:'ContentBrowser',LastDockedWindowOrNewWindow:'LastDockedWindowOrNewWindow',LastDockedWindowOrMainWindow:'LastDockedWindowOrMainWindow',LastDockedWindowOrContentBrowser:'LastDockedWindowOrContentBrowser',EAssetEditorOpenLocation_MAX:'EAssetEditorOpenLocation_MAX', };
-declare class EditorStyleSettings extends UObject { 
-	bEnableHighDPIAwareness: boolean;
-	SelectionColor: LinearColor;
-	PressedSelectionColor: LinearColor;
-	InactiveSelectionColor: LinearColor;
-	KeyboardFocusColor: LinearColor;
-	ColorVisionDeficiencyPreviewType: EColorVisionDeficiency;
-	EditorWindowBackgroundColor: LinearColor;
-	EditorMainWindowBackgroundOverride: SlateBrush;
-	EditorChildWindowBackgroundOverride: SlateBrush;
-	bResetEditorWindowBackgroundSettings: boolean;
-	bUseSmallToolBarIcons: boolean;
-	bUseGrid: boolean;
-	RegularColor: LinearColor;
-	RuleColor: LinearColor;
-	CenterColor: LinearColor;
-	GridSnapSize: any;
-	bEnableWindowAnimations: boolean;
-	bShowFriendlyNames: boolean;
-	bExpandConfigurationMenus: boolean;
-	bShowProjectMenus: boolean;
-	bShowLaunchMenus: boolean;
-	LogBackgroundColor: LinearColor;
-	LogSelectionBackgroundColor: LinearColor;
-	LogNormalColor: LinearColor;
-	LogCommandColor: LinearColor;
-	LogWarningColor: LinearColor;
-	LogErrorColor: LinearColor;
-	bShowAllAdvancedDetails: boolean;
-	bShowHiddenPropertiesWhilePlaying: boolean;
-	LogFontSize: number;
-	LogTimestampMode: ELogTimes;
-	bPromoteOutputLogWarningsDuringPIE: boolean;
-	AssetEditorOpenLocation: EAssetEditorOpenLocation;
-	bEnableColorizedEditorTabs: boolean;
-	static Load(ResourceName: string): EditorStyleSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorStyleSettings;
-	static GetDefaultObject(): EditorStyleSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorStyleSettings;
-	static C(Other: UObject | any): EditorStyleSettings;
+declare class StructProperty extends Property { 
+	static Load(ResourceName: string): StructProperty;
+	static Find(Outer: UObject, ResourceName: string): StructProperty;
+	static GetDefaultObject(): StructProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StructProperty;
+	static C(Other: UObject | any): StructProperty;
 }
 
-declare class MaterialShaderQualitySettings extends UObject { 
-	ForwardSettingMap: any;
-	static Load(ResourceName: string): MaterialShaderQualitySettings;
-	static Find(Outer: UObject, ResourceName: string): MaterialShaderQualitySettings;
-	static GetDefaultObject(): MaterialShaderQualitySettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialShaderQualitySettings;
-	static C(Other: UObject | any): MaterialShaderQualitySettings;
+declare class UInt16Property extends NumericProperty { 
+	static Load(ResourceName: string): UInt16Property;
+	static Find(Outer: UObject, ResourceName: string): UInt16Property;
+	static GetDefaultObject(): UInt16Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt16Property;
+	static C(Other: UObject | any): UInt16Property;
 }
 
-declare type EMobileCSMQuality = 'NoFiltering' | 'PCF_1x1' | 'PCF_2x2' | 'EMobileCSMQuality_MAX';
-declare var EMobileCSMQuality : { NoFiltering:'NoFiltering',PCF_1x1:'PCF_1x1',PCF_2x2:'PCF_2x2',EMobileCSMQuality_MAX:'EMobileCSMQuality_MAX', };
-declare class MaterialQualityOverrides { 
-	bEnableOverride: boolean;
-	bForceFullyRough: boolean;
-	bForceNonMetal: boolean;
-	bForceDisableLMDirectionality: boolean;
-	bForceLQReflections: boolean;
-	MobileCSMQuality: EMobileCSMQuality;
-	clone() : MaterialQualityOverrides;
-	static C(Other: UObject | any): MaterialQualityOverrides;
+declare class UInt32Property extends NumericProperty { 
+	static Load(ResourceName: string): UInt32Property;
+	static Find(Outer: UObject, ResourceName: string): UInt32Property;
+	static GetDefaultObject(): UInt32Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt32Property;
+	static C(Other: UObject | any): UInt32Property;
 }
 
-declare class ShaderPlatformQualitySettings extends UObject { 
-	QualityOverrides: MaterialQualityOverrides;
-	static Load(ResourceName: string): ShaderPlatformQualitySettings;
-	static Find(Outer: UObject, ResourceName: string): ShaderPlatformQualitySettings;
-	static GetDefaultObject(): ShaderPlatformQualitySettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShaderPlatformQualitySettings;
-	static C(Other: UObject | any): ShaderPlatformQualitySettings;
+declare class UInt64Property extends NumericProperty { 
+	static Load(ResourceName: string): UInt64Property;
+	static Find(Outer: UObject, ResourceName: string): UInt64Property;
+	static GetDefaultObject(): UInt64Property;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UInt64Property;
+	static C(Other: UObject | any): UInt64Property;
 }
 
-declare class ClothingAssetFactoryBase extends UObject { 
-	static Load(ResourceName: string): ClothingAssetFactoryBase;
-	static Find(Outer: UObject, ResourceName: string): ClothingAssetFactoryBase;
-	static GetDefaultObject(): ClothingAssetFactoryBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetFactoryBase;
-	static C(Other: UObject | any): ClothingAssetFactoryBase;
+declare class WeakObjectProperty extends ObjectPropertyBase { 
+	static Load(ResourceName: string): WeakObjectProperty;
+	static Find(Outer: UObject, ResourceName: string): WeakObjectProperty;
+	static GetDefaultObject(): WeakObjectProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WeakObjectProperty;
+	static C(Other: UObject | any): WeakObjectProperty;
 }
 
-declare class AssetRegistryImpl extends UObject { 
-	static Load(ResourceName: string): AssetRegistryImpl;
-	static Find(Outer: UObject, ResourceName: string): AssetRegistryImpl;
-	static GetDefaultObject(): AssetRegistryImpl;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistryImpl;
-	static C(Other: UObject | any): AssetRegistryImpl;
+declare class TextProperty extends Property { 
+	static Load(ResourceName: string): TextProperty;
+	static Find(Outer: UObject, ResourceName: string): TextProperty;
+	static GetDefaultObject(): TextProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextProperty;
+	static C(Other: UObject | any): TextProperty;
 }
 
-declare class AssetData { 
-	ObjectPath: string;
-	PackageName: string;
-	PackagePath: string;
-	AssetName: string;
-	AssetClass: string;
-	clone() : AssetData;
-	static C(Other: UObject | any): AssetData;
+declare class InputCoreTypes extends UObject { 
+	static Load(ResourceName: string): InputCoreTypes;
+	static Find(Outer: UObject, ResourceName: string): InputCoreTypes;
+	static GetDefaultObject(): InputCoreTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputCoreTypes;
+	static C(Other: UObject | any): InputCoreTypes;
 }
 
-declare class ARFilter { 
-	PackageNames: string[];
-	PackagePaths: string[];
-	ObjectPaths: string[];
-	ClassNames: string[];
-	RecursiveClassesExclusionSet: any;
-	bRecursivePaths: boolean;
-	bRecursiveClasses: boolean;
-	bIncludeOnlyOnDiskAssets: boolean;
-	clone() : ARFilter;
-	static C(Other: UObject | any): ARFilter;
+declare class FontFaceInterface extends Interface { 
+	static Load(ResourceName: string): FontFaceInterface;
+	static Find(Outer: UObject, ResourceName: string): FontFaceInterface;
+	static GetDefaultObject(): FontFaceInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFaceInterface;
+	static C(Other: UObject | any): FontFaceInterface;
 }
 
-declare class TagAndValue { 
-	Tag: string;
-	Value: string;
-	clone() : TagAndValue;
-	static C(Other: UObject | any): TagAndValue;
+declare class FontProviderInterface extends Interface { 
+	static Load(ResourceName: string): FontProviderInterface;
+	static Find(Outer: UObject, ResourceName: string): FontProviderInterface;
+	static GetDefaultObject(): FontProviderInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontProviderInterface;
+	static C(Other: UObject | any): FontProviderInterface;
 }
 
-declare class AssetRegistryHelpers extends UObject { 
-	static Load(ResourceName: string): AssetRegistryHelpers;
-	static Find(Outer: UObject, ResourceName: string): AssetRegistryHelpers;
-	static GetDefaultObject(): AssetRegistryHelpers;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistryHelpers;
-	static ToSoftObjectPath(InAssetData: AssetData): SoftObjectPath;
-	static SetFilterTagsAndValues(InFilter: ARFilter,InTagsAndValues: TagAndValue[]): ARFilter;
-	static IsValid(InAssetData: AssetData): boolean;
-	static IsUAsset(InAssetData: AssetData): boolean;
-	static IsRedirector(InAssetData: AssetData): boolean;
-	static IsAssetLoaded(InAssetData: AssetData): boolean;
-	static GetTagValue(InAssetData: AssetData,InTagName: string,OutTagValue?: string): {OutTagValue: string, $: boolean};
-	static GetFullName(InAssetData: AssetData): string;
-	static GetExportTextName(InAssetData: AssetData): string;
-	static GetClass(InAssetData: AssetData): UnrealEngineClass;
-	static GetAsset(InAssetData: AssetData): UObject;
-	static CreateAssetData(InAsset: UObject,bAllowBlueprintClass: boolean): AssetData;
-	static C(Other: UObject | any): AssetRegistryHelpers;
+declare class SlateTypes extends UObject { 
+	static Load(ResourceName: string): SlateTypes;
+	static Find(Outer: UObject, ResourceName: string): SlateTypes;
+	static GetDefaultObject(): SlateTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateTypes;
+	static C(Other: UObject | any): SlateTypes;
 }
 
-declare class AssetRegistry extends Interface { 
-	static Load(ResourceName: string): AssetRegistry;
-	static Find(Outer: UObject, ResourceName: string): AssetRegistry;
-	static GetDefaultObject(): AssetRegistry;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistry;
-	RunAssetsThroughFilter(AssetDataList?: AssetData[],Filter?: ARFilter): {AssetDataList: AssetData[]};
-	IsLoadingAssets(): boolean;
-	HasAssets(PackagePath: string,bRecursive: boolean): boolean;
-	GetSubPaths(InBasePath: string,OutPathList?: string[],bInRecurse?: boolean): {OutPathList: string[]};
-	GetAssetsByPath(PackagePath: string,OutAssetData?: AssetData[],bRecursive?: boolean,bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
-	GetAssetsByPackageName(PackageName: string,OutAssetData?: AssetData[],bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
-	GetAssetsByClass(ClassName: string,OutAssetData?: AssetData[],bSearchSubClasses?: boolean): {OutAssetData: AssetData[], $: boolean};
-	GetAssets(Filter: ARFilter,OutAssetData?: AssetData[]): {OutAssetData: AssetData[], $: boolean};
-	GetAssetByObjectPath(ObjectPath: string,bIncludeOnlyOnDiskAssets: boolean): AssetData;
-	GetAllCachedPaths(OutPathList?: string[]): {OutPathList: string[]};
-	GetAllAssets(OutAssetData?: AssetData[],bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
-	static C(Other: UObject | any): AssetRegistry;
+declare class SlateWidgetStyleContainerBase extends UObject { 
+	static Load(ResourceName: string): SlateWidgetStyleContainerBase;
+	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerBase;
+	static GetDefaultObject(): SlateWidgetStyleContainerBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerBase;
+	static C(Other: UObject | any): SlateWidgetStyleContainerBase;
 }
 
-declare class AutoCompleteCommand { 
-	Command: string;
-	Desc: string;
-	clone() : AutoCompleteCommand;
-	static C(Other: UObject | any): AutoCompleteCommand;
+declare class SlateWidgetStyleAsset extends UObject { 
+	CustomStyle: SlateWidgetStyleContainerBase;
+	static Load(ResourceName: string): SlateWidgetStyleAsset;
+	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleAsset;
+	static GetDefaultObject(): SlateWidgetStyleAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleAsset;
+	static C(Other: UObject | any): SlateWidgetStyleAsset;
 }
 
-declare class ConsoleSettings extends UObject { 
-	MaxScrollbackSize: number;
-	ManualAutoCompleteList: AutoCompleteCommand[];
-	AutoCompleteMapPaths: string[];
-	BackgroundOpacityPercentage: number;
-	bOrderTopToBottom: boolean;
-	InputColor: Color;
-	HistoryColor: Color;
-	AutoCompleteCommandColor: Color;
-	AutoCompleteCVarColor: Color;
-	AutoCompleteFadedColor: Color;
-	static Load(ResourceName: string): ConsoleSettings;
-	static Find(Outer: UObject, ResourceName: string): ConsoleSettings;
-	static GetDefaultObject(): ConsoleSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConsoleSettings;
-	static C(Other: UObject | any): ConsoleSettings;
+declare class SlateWidgetStyleContainerInterface extends Interface { 
+	static Load(ResourceName: string): SlateWidgetStyleContainerInterface;
+	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleContainerInterface;
+	static GetDefaultObject(): SlateWidgetStyleContainerInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleContainerInterface;
+	static C(Other: UObject | any): SlateWidgetStyleContainerInterface;
 }
 
-declare type ETwoPlayerSplitScreenType = 'Horizontal' | 'Vertical' | 'ETwoPlayerSplitScreenType_MAX';
-declare var ETwoPlayerSplitScreenType : { Horizontal:'Horizontal',Vertical:'Vertical',ETwoPlayerSplitScreenType_MAX:'ETwoPlayerSplitScreenType_MAX', };
-declare type EThreePlayerSplitScreenType = 'FavorTop' | 'FavorBottom' | 'EThreePlayerSplitScreenType_MAX';
-declare var EThreePlayerSplitScreenType : { FavorTop:'FavorTop',FavorBottom:'FavorBottom',EThreePlayerSplitScreenType_MAX:'EThreePlayerSplitScreenType_MAX', };
-declare class GameModeName { 
-	Name: string;
-	GameMode: SoftClassPath;
-	clone() : GameModeName;
-	static C(Other: UObject | any): GameModeName;
+declare class SlateWidgetStyle { 
+	clone() : SlateWidgetStyle;
+	static C(Other: UObject | any): SlateWidgetStyle;
 }
 
-declare class GameMapsSettings extends UObject { 
-	EditorStartupMap: SoftObjectPath;
-	LocalMapOptions: string;
-	TransitionMap: SoftObjectPath;
-	bUseSplitscreen: boolean;
-	TwoPlayerSplitscreenLayout: ETwoPlayerSplitScreenType;
-	ThreePlayerSplitscreenLayout: EThreePlayerSplitScreenType;
-	bOffsetPlayerGamepadIds: boolean;
-	GameInstanceClass: SoftClassPath;
-	GameDefaultMap: SoftObjectPath;
-	ServerDefaultMap: SoftObjectPath;
-	GlobalDefaultGameMode: SoftClassPath;
-	GlobalDefaultServerGameMode: SoftClassPath;
-	GameModeMapPrefixes: GameModeName[];
-	GameModeClassAliases: GameModeName[];
-	static Load(ResourceName: string): GameMapsSettings;
-	static Find(Outer: UObject, ResourceName: string): GameMapsSettings;
-	static GetDefaultObject(): GameMapsSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMapsSettings;
-	static C(Other: UObject | any): GameMapsSettings;
+declare class SlateSound { 
+	ResourceObject: UObject;
+	clone() : SlateSound;
+	static C(Other: UObject | any): SlateSound;
 }
 
-declare class GameNetworkManagerSettings extends UObject { 
-	MinDynamicBandwidth: number;
-	MaxDynamicBandwidth: number;
-	TotalNetBandwidth: number;
-	BadPingThreshold: number;
-	bIsStandbyCheckingEnabled: boolean;
-	StandbyRxCheatTime: number;
-	StandbyTxCheatTime: number;
-	PercentMissingForRxStandby: number;
-	PercentMissingForTxStandby: number;
-	PercentForBadPing: number;
-	JoinInProgressStandbyWaitTime: number;
-	static Load(ResourceName: string): GameNetworkManagerSettings;
-	static Find(Outer: UObject, ResourceName: string): GameNetworkManagerSettings;
-	static GetDefaultObject(): GameNetworkManagerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameNetworkManagerSettings;
-	static C(Other: UObject | any): GameNetworkManagerSettings;
+declare class ButtonStyle extends SlateWidgetStyle { 
+	Normal: SlateBrush;
+	Hovered: SlateBrush;
+	Pressed: SlateBrush;
+	Disabled: SlateBrush;
+	NormalPadding: Margin;
+	PressedPadding: Margin;
+	PressedSlateSound: SlateSound;
+	HoveredSlateSound: SlateSound;
+	PressedSound: string;
+	HoveredSound: string;
+	clone() : ButtonStyle;
+	static C(Other: UObject | any): ButtonStyle;
 }
 
-declare class GameSessionSettings extends UObject { 
-	MaxSpectators: number;
-	MaxPlayers: number;
-	bRequiresPushToTalk: boolean;
-	static Load(ResourceName: string): GameSessionSettings;
-	static Find(Outer: UObject, ResourceName: string): GameSessionSettings;
-	static GetDefaultObject(): GameSessionSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameSessionSettings;
-	static C(Other: UObject | any): GameSessionSettings;
+declare class ButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ButtonStyle: ButtonStyle;
+	static Load(ResourceName: string): ButtonWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ButtonWidgetStyle;
+	static GetDefaultObject(): ButtonWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonWidgetStyle;
+	static C(Other: UObject | any): ButtonWidgetStyle;
 }
 
-declare class GeneralEngineSettings extends UObject { 
-	static Load(ResourceName: string): GeneralEngineSettings;
-	static Find(Outer: UObject, ResourceName: string): GeneralEngineSettings;
-	static GetDefaultObject(): GeneralEngineSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralEngineSettings;
-	static C(Other: UObject | any): GeneralEngineSettings;
+declare type ESlateCheckBoxType = 'CheckBox' | 'ToggleButton' | 'ESlateCheckBoxType_MAX';
+declare var ESlateCheckBoxType : { CheckBox:'CheckBox',ToggleButton:'ToggleButton',ESlateCheckBoxType_MAX:'ESlateCheckBoxType_MAX', };
+declare class CheckBoxStyle extends SlateWidgetStyle { 
+	CheckBoxType: ESlateCheckBoxType;
+	UncheckedImage: SlateBrush;
+	UncheckedHoveredImage: SlateBrush;
+	UncheckedPressedImage: SlateBrush;
+	CheckedImage: SlateBrush;
+	CheckedHoveredImage: SlateBrush;
+	CheckedPressedImage: SlateBrush;
+	UndeterminedImage: SlateBrush;
+	UndeterminedHoveredImage: SlateBrush;
+	UndeterminedPressedImage: SlateBrush;
+	Padding: Margin;
+	ForegroundColor: SlateColor;
+	BorderBackgroundColor: SlateColor;
+	CheckedSlateSound: SlateSound;
+	UncheckedSlateSound: SlateSound;
+	HoveredSlateSound: SlateSound;
+	CheckedSound: string;
+	UncheckedSound: string;
+	HoveredSound: string;
+	clone() : CheckBoxStyle;
+	static C(Other: UObject | any): CheckBoxStyle;
 }
 
-declare class GeneralProjectSettings extends UObject { 
-	CompanyName: string;
-	CompanyDistinguishedName: string;
-	CopyrightNotice: string;
-	Description: string;
-	Homepage: string;
-	LicensingTerms: string;
-	PrivacyPolicy: string;
-	ProjectID: Guid;
-	ProjectName: string;
-	ProjectVersion: string;
-	SupportContact: string;
-	ProjectDisplayedTitle: string;
-	ProjectDebugTitleInfo: string;
-	bShouldWindowPreserveAspectRatio: boolean;
-	bUseBorderlessWindow: boolean;
-	bStartInVR: boolean;
-	bStartInAR: boolean;
-	bSupportAR: boolean;
-	bAllowWindowResize: boolean;
-	bAllowClose: boolean;
-	bAllowMaximize: boolean;
-	bAllowMinimize: boolean;
-	static Load(ResourceName: string): GeneralProjectSettings;
-	static Find(Outer: UObject, ResourceName: string): GeneralProjectSettings;
-	static GetDefaultObject(): GeneralProjectSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralProjectSettings;
-	static C(Other: UObject | any): GeneralProjectSettings;
+declare class CheckBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
+	CheckBoxStyle: CheckBoxStyle;
+	static Load(ResourceName: string): CheckBoxWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): CheckBoxWidgetStyle;
+	static GetDefaultObject(): CheckBoxWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBoxWidgetStyle;
+	static C(Other: UObject | any): CheckBoxWidgetStyle;
 }
 
-declare class HudSettings extends UObject { 
-	bShowHUD: boolean;
-	DebugDisplay: string[];
-	static Load(ResourceName: string): HudSettings;
-	static Find(Outer: UObject, ResourceName: string): HudSettings;
-	static GetDefaultObject(): HudSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HudSettings;
-	static C(Other: UObject | any): HudSettings;
+declare class ComboButtonStyle extends SlateWidgetStyle { 
+	ButtonStyle: ButtonStyle;
+	DownArrowImage: SlateBrush;
+	MenuBorderBrush: SlateBrush;
+	MenuBorderPadding: Margin;
+	clone() : ComboButtonStyle;
+	static C(Other: UObject | any): ComboButtonStyle;
 }
 
-declare class HandlerComponentFactory extends UObject { 
-	static Load(ResourceName: string): HandlerComponentFactory;
-	static Find(Outer: UObject, ResourceName: string): HandlerComponentFactory;
-	static GetDefaultObject(): HandlerComponentFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HandlerComponentFactory;
-	static C(Other: UObject | any): HandlerComponentFactory;
+declare class ComboBoxStyle extends SlateWidgetStyle { 
+	ComboButtonStyle: ComboButtonStyle;
+	PressedSlateSound: SlateSound;
+	SelectionChangeSlateSound: SlateSound;
+	PressedSound: string;
+	SelectionChangeSound: string;
+	clone() : ComboBoxStyle;
+	static C(Other: UObject | any): ComboBoxStyle;
 }
 
-declare class JsonUtilitiesDummyObject extends UObject { 
-	static Load(ResourceName: string): JsonUtilitiesDummyObject;
-	static Find(Outer: UObject, ResourceName: string): JsonUtilitiesDummyObject;
-	static GetDefaultObject(): JsonUtilitiesDummyObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JsonUtilitiesDummyObject;
-	static C(Other: UObject | any): JsonUtilitiesDummyObject;
+declare class ComboBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ComboBoxStyle: ComboBoxStyle;
+	static Load(ResourceName: string): ComboBoxWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ComboBoxWidgetStyle;
+	static GetDefaultObject(): ComboBoxWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxWidgetStyle;
+	static C(Other: UObject | any): ComboBoxWidgetStyle;
 }
 
-declare type EPIEPreviewDeviceType = 'Unset' | 'Android' | 'IOS' | 'TVOS' | 'MAX';
-declare var EPIEPreviewDeviceType : { Unset:'Unset',Android:'Android',IOS:'IOS',TVOS:'TVOS',MAX:'MAX', };
-declare class PIEPreviewDeviceSpecification extends UObject { 
-	PreviewDeviceType: EPIEPreviewDeviceType;
-	GPUFamily: string;
-	GLVersion: string;
-	VulkanVersion: string;
-	AndroidVersion: string;
-	DeviceMake: string;
-	DeviceModel: string;
-	UsingHoudini: boolean;
-	static Load(ResourceName: string): PIEPreviewDeviceSpecification;
-	static Find(Outer: UObject, ResourceName: string): PIEPreviewDeviceSpecification;
-	static GetDefaultObject(): PIEPreviewDeviceSpecification;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PIEPreviewDeviceSpecification;
-	static C(Other: UObject | any): PIEPreviewDeviceSpecification;
+declare class ComboButtonWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ComboButtonStyle: ComboButtonStyle;
+	static Load(ResourceName: string): ComboButtonWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ComboButtonWidgetStyle;
+	static GetDefaultObject(): ComboButtonWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboButtonWidgetStyle;
+	static C(Other: UObject | any): ComboButtonWidgetStyle;
 }
 
-declare class PropertyConfigFileDisplayRow extends UObject { 
-	ConfigFileName: string;
-	ExternalProperty: Property;
-	bIsFileWritable: boolean;
-	static Load(ResourceName: string): PropertyConfigFileDisplayRow;
-	static Find(Outer: UObject, ResourceName: string): PropertyConfigFileDisplayRow;
-	static GetDefaultObject(): PropertyConfigFileDisplayRow;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyConfigFileDisplayRow;
-	static C(Other: UObject | any): PropertyConfigFileDisplayRow;
+declare class FontOutlineSettings { 
+	OutlineSize: number;
+	bSeparateFillAlpha: boolean;
+	bApplyOutlineToDropShadows: boolean;
+	OutlineMaterial: UObject;
+	OutlineColor: LinearColor;
+	clone() : FontOutlineSettings;
+	static C(Other: UObject | any): FontOutlineSettings;
 }
 
-declare class ConfigHierarchyPropertyView extends UObject { 
-	EditProperty: any;
-	ConfigFilePropertyObjects: PropertyConfigFileDisplayRow[];
-	static Load(ResourceName: string): ConfigHierarchyPropertyView;
-	static Find(Outer: UObject, ResourceName: string): ConfigHierarchyPropertyView;
-	static GetDefaultObject(): ConfigHierarchyPropertyView;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConfigHierarchyPropertyView;
-	static C(Other: UObject | any): ConfigHierarchyPropertyView;
+declare class SlateFontInfo { 
+	FontObject: UObject;
+	FontMaterial: UObject;
+	OutlineSettings: FontOutlineSettings;
+	TypefaceFontName: string;
+	Size: number;
+	FontName: string;
+	Hinting: EFontHinting;
+	clone() : SlateFontInfo;
+	static C(Other: UObject | any): SlateFontInfo;
+}
+
+declare class ScrollBarStyle extends SlateWidgetStyle { 
+	HorizontalBackgroundImage: SlateBrush;
+	VerticalBackgroundImage: SlateBrush;
+	VerticalTopSlotImage: SlateBrush;
+	HorizontalTopSlotImage: SlateBrush;
+	VerticalBottomSlotImage: SlateBrush;
+	HorizontalBottomSlotImage: SlateBrush;
+	NormalThumbImage: SlateBrush;
+	HoveredThumbImage: SlateBrush;
+	DraggedThumbImage: SlateBrush;
+	clone() : ScrollBarStyle;
+	static C(Other: UObject | any): ScrollBarStyle;
 }
 
-declare class ClothingAssetCustomData extends UObject { 
-	static Load(ResourceName: string): ClothingAssetCustomData;
-	static Find(Outer: UObject, ResourceName: string): ClothingAssetCustomData;
-	static GetDefaultObject(): ClothingAssetCustomData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetCustomData;
-	static C(Other: UObject | any): ClothingAssetCustomData;
+declare class EditableTextBoxStyle extends SlateWidgetStyle { 
+	BackgroundImageNormal: SlateBrush;
+	BackgroundImageHovered: SlateBrush;
+	BackgroundImageFocused: SlateBrush;
+	BackgroundImageReadOnly: SlateBrush;
+	Padding: Margin;
+	Font: SlateFontInfo;
+	ForegroundColor: SlateColor;
+	BackgroundColor: SlateColor;
+	ReadOnlyForegroundColor: SlateColor;
+	HScrollBarPadding: Margin;
+	VScrollBarPadding: Margin;
+	ScrollBarStyle: ScrollBarStyle;
+	clone() : EditableTextBoxStyle;
+	static C(Other: UObject | any): EditableTextBoxStyle;
 }
 
-declare type EClothingWindMethod = 'Legacy' | 'Accurate' | 'EClothingWindMethod_MAX';
-declare var EClothingWindMethod : { Legacy:'Legacy',Accurate:'Accurate',EClothingWindMethod_MAX:'EClothingWindMethod_MAX', };
-declare class ClothConstraintSetup { 
-	Stiffness: number;
-	StiffnessMultiplier: number;
-	StretchLimit: number;
-	CompressionLimit: number;
-	clone() : ClothConstraintSetup;
-	static C(Other: UObject | any): ClothConstraintSetup;
+declare class EditableTextBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
+	EditableTextBoxStyle: EditableTextBoxStyle;
+	static Load(ResourceName: string): EditableTextBoxWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): EditableTextBoxWidgetStyle;
+	static GetDefaultObject(): EditableTextBoxWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBoxWidgetStyle;
+	static C(Other: UObject | any): EditableTextBoxWidgetStyle;
 }
 
-declare class ClothConfig { 
-	WindMethod: EClothingWindMethod;
-	VerticalConstraintConfig: ClothConstraintSetup;
-	HorizontalConstraintConfig: ClothConstraintSetup;
-	BendConstraintConfig: ClothConstraintSetup;
-	ShearConstraintConfig: ClothConstraintSetup;
-	SelfCollisionRadius: number;
-	SelfCollisionStiffness: number;
-	SelfCollisionCullScale: number;
-	Damping: Vector;
-	Friction: number;
-	WindDragCoefficient: number;
-	WindLiftCoefficient: number;
-	LinearDrag: Vector;
-	AngularDrag: Vector;
-	LinearInertiaScale: Vector;
-	AngularInertiaScale: Vector;
-	CentrifugalInertiaScale: Vector;
-	SolverFrequency: number;
-	StiffnessFrequency: number;
-	GravityScale: number;
-	TetherStiffness: number;
-	TetherLimit: number;
-	CollisionThickness: number;
-	AnimDriveSpringStiffness: number;
-	AnimDriveDamperStiffness: number;
-	clone() : ClothConfig;
-	static C(Other: UObject | any): ClothConfig;
+declare class EditableTextStyle extends SlateWidgetStyle { 
+	Font: SlateFontInfo;
+	ColorAndOpacity: SlateColor;
+	BackgroundImageSelected: SlateBrush;
+	BackgroundImageComposing: SlateBrush;
+	CaretImage: SlateBrush;
+	clone() : EditableTextStyle;
+	static C(Other: UObject | any): EditableTextStyle;
 }
 
-declare class ClothVertBoneData { 
-	NumInfluences: number;
-	BoneIndices: any;
-	BoneWeights: number;
-	clone() : ClothVertBoneData;
-	static C(Other: UObject | any): ClothVertBoneData;
+declare class EditableTextWidgetStyle extends SlateWidgetStyleContainerBase { 
+	EditableTextStyle: EditableTextStyle;
+	static Load(ResourceName: string): EditableTextWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): EditableTextWidgetStyle;
+	static GetDefaultObject(): EditableTextWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextWidgetStyle;
+	static C(Other: UObject | any): EditableTextWidgetStyle;
 }
 
-declare class ClothPhysicalMeshData { 
-	Vertices: Vector[];
-	Normals: Vector[];
-	Indices: any[];
-	MaxDistances: number[];
-	BackstopDistances: number[];
-	BackstopRadiuses: number[];
-	AnimDriveMultipliers: number[];
-	InverseMasses: number[];
-	BoneData: ClothVertBoneData[];
-	MaxBoneWeights: number;
-	NumFixedVerts: number;
-	SelfCollisionIndices: any[];
-	clone() : ClothPhysicalMeshData;
-	static C(Other: UObject | any): ClothPhysicalMeshData;
+declare class ProgressBarStyle extends SlateWidgetStyle { 
+	BackgroundImage: SlateBrush;
+	FillImage: SlateBrush;
+	MarqueeImage: SlateBrush;
+	clone() : ProgressBarStyle;
+	static C(Other: UObject | any): ProgressBarStyle;
 }
 
-declare class ClothCollisionPrim_Sphere { 
-	BoneIndex: number;
-	Radius: number;
-	LocalPosition: Vector;
-	clone() : ClothCollisionPrim_Sphere;
-	static C(Other: UObject | any): ClothCollisionPrim_Sphere;
+declare class ProgressWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ProgressBarStyle: ProgressBarStyle;
+	static Load(ResourceName: string): ProgressWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ProgressWidgetStyle;
+	static GetDefaultObject(): ProgressWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressWidgetStyle;
+	static C(Other: UObject | any): ProgressWidgetStyle;
 }
 
-declare class ClothCollisionPrim_SphereConnection { 
-	SphereIndices: number;
-	clone() : ClothCollisionPrim_SphereConnection;
-	static C(Other: UObject | any): ClothCollisionPrim_SphereConnection;
+declare class ScrollBarWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ScrollBarStyle: ScrollBarStyle;
+	static Load(ResourceName: string): ScrollBarWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ScrollBarWidgetStyle;
+	static GetDefaultObject(): ScrollBarWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBarWidgetStyle;
+	static C(Other: UObject | any): ScrollBarWidgetStyle;
 }
 
-declare class ClothCollisionPrim_Convex { 
-	planes: Plane[];
-	BoneIndex: number;
-	clone() : ClothCollisionPrim_Convex;
-	static C(Other: UObject | any): ClothCollisionPrim_Convex;
+declare class ScrollBoxStyle extends SlateWidgetStyle { 
+	TopShadowBrush: SlateBrush;
+	BottomShadowBrush: SlateBrush;
+	LeftShadowBrush: SlateBrush;
+	RightShadowBrush: SlateBrush;
+	clone() : ScrollBoxStyle;
+	static C(Other: UObject | any): ScrollBoxStyle;
 }
 
-declare class ClothCollisionData { 
-	Spheres: ClothCollisionPrim_Sphere[];
-	SphereConnections: ClothCollisionPrim_SphereConnection[];
-	Convexes: ClothCollisionPrim_Convex[];
-	clone() : ClothCollisionData;
-	static C(Other: UObject | any): ClothCollisionData;
+declare class ScrollBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
+	ScrollBoxStyle: ScrollBoxStyle;
+	static Load(ResourceName: string): ScrollBoxWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): ScrollBoxWidgetStyle;
+	static GetDefaultObject(): ScrollBoxWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxWidgetStyle;
+	static C(Other: UObject | any): ScrollBoxWidgetStyle;
 }
 
-declare type MaskTarget_PhysMesh = 'None' | 'MaxDistance' | 'BackstopDistance' | 'BackstopRadius' | 'AnimDriveMultiplier' | 'MaskTarget_MAX';
-declare var MaskTarget_PhysMesh : { None:'None',MaxDistance:'MaxDistance',BackstopDistance:'BackstopDistance',BackstopRadius:'BackstopRadius',AnimDriveMultiplier:'AnimDriveMultiplier',MaskTarget_MAX:'MaskTarget_MAX', };
-declare class ClothParameterMask_PhysMesh { 
-	MaskName: string;
-	CurrentTarget: MaskTarget_PhysMesh;
-	MaxValue: number;
-	MinValue: number;
-	Values: number[];
-	bEnabled: boolean;
-	clone() : ClothParameterMask_PhysMesh;
-	static C(Other: UObject | any): ClothParameterMask_PhysMesh;
+declare class SlateSettings extends UObject { 
+	bExplicitCanvasChildZOrder: boolean;
+	static Load(ResourceName: string): SlateSettings;
+	static Find(Outer: UObject, ResourceName: string): SlateSettings;
+	static GetDefaultObject(): SlateSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateSettings;
+	static C(Other: UObject | any): SlateSettings;
 }
 
-declare class ClothLODData { 
-	PhysicalMeshData: ClothPhysicalMeshData;
-	CollisionData: ClothCollisionData;
-	ParameterMasks: ClothParameterMask_PhysMesh[];
-	clone() : ClothLODData;
-	static C(Other: UObject | any): ClothLODData;
+declare class SpinBoxStyle extends SlateWidgetStyle { 
+	BackgroundBrush: SlateBrush;
+	HoveredBackgroundBrush: SlateBrush;
+	ActiveFillBrush: SlateBrush;
+	InactiveFillBrush: SlateBrush;
+	ArrowsImage: SlateBrush;
+	ForegroundColor: SlateColor;
+	TextPadding: Margin;
+	clone() : SpinBoxStyle;
+	static C(Other: UObject | any): SpinBoxStyle;
 }
 
-declare class ClothingAsset extends ClothingAssetBase { 
-	PhysicsAsset: PhysicsAsset;
-	ClothConfig: ClothConfig;
-	LodData: ClothLODData[];
-	LodMap: number[];
-	UsedBoneNames: string[];
-	UsedBoneIndices: number[];
-	ReferenceBoneIndex: number;
-	CustomData: ClothingAssetCustomData;
-	static Load(ResourceName: string): ClothingAsset;
-	static Find(Outer: UObject, ResourceName: string): ClothingAsset;
-	static GetDefaultObject(): ClothingAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAsset;
-	static C(Other: UObject | any): ClothingAsset;
+declare class SpinBoxWidgetStyle extends SlateWidgetStyleContainerBase { 
+	SpinBoxStyle: SpinBoxStyle;
+	static Load(ResourceName: string): SpinBoxWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): SpinBoxWidgetStyle;
+	static GetDefaultObject(): SpinBoxWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBoxWidgetStyle;
+	static C(Other: UObject | any): SpinBoxWidgetStyle;
 }
 
-declare class ClothingSimulationFactoryNv extends ClothingSimulationFactory { 
-	static Load(ResourceName: string): ClothingSimulationFactoryNv;
-	static Find(Outer: UObject, ResourceName: string): ClothingSimulationFactoryNv;
-	static GetDefaultObject(): ClothingSimulationFactoryNv;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingSimulationFactoryNv;
-	static C(Other: UObject | any): ClothingSimulationFactoryNv;
+declare class TextBlockStyle extends SlateWidgetStyle { 
+	Font: SlateFontInfo;
+	ColorAndOpacity: SlateColor;
+	ShadowOffset: Vector2D;
+	ShadowColorAndOpacity: LinearColor;
+	SelectedBackgroundColor: SlateColor;
+	HighlightColor: LinearColor;
+	HighlightShape: SlateBrush;
+	StrikeBrush: SlateBrush;
+	UnderlineBrush: SlateBrush;
+	clone() : TextBlockStyle;
+	static C(Other: UObject | any): TextBlockStyle;
 }
 
-declare class ClothingSimulationInteractorNv extends ClothingSimulationInteractor { 
-	static Load(ResourceName: string): ClothingSimulationInteractorNv;
-	static Find(Outer: UObject, ResourceName: string): ClothingSimulationInteractorNv;
-	static GetDefaultObject(): ClothingSimulationInteractorNv;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingSimulationInteractorNv;
-	SetAnimDriveSpringStiffness(InStiffness: number): void;
-	SetAnimDriveDamperStiffness(InStiffness: number): void;
-	EnableGravityOverride(InVector: Vector): void;
-	DisableGravityOverride(): void;
-	static C(Other: UObject | any): ClothingSimulationInteractorNv;
+declare class TextBlockWidgetStyle extends SlateWidgetStyleContainerBase { 
+	TextBlockStyle: TextBlockStyle;
+	static Load(ResourceName: string): TextBlockWidgetStyle;
+	static Find(Outer: UObject, ResourceName: string): TextBlockWidgetStyle;
+	static GetDefaultObject(): TextBlockWidgetStyle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlockWidgetStyle;
+	static C(Other: UObject | any): TextBlockWidgetStyle;
 }
 
-declare class ClothingAssetFactory extends ClothingAssetFactoryBase { 
-	static Load(ResourceName: string): ClothingAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): ClothingAssetFactory;
-	static GetDefaultObject(): ClothingAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetFactory;
-	static C(Other: UObject | any): ClothingAssetFactory;
+declare type EColorVisionDeficiency = 'NormalVision' | 'Deuteranope' | 'Protanope' | 'Tritanope' | 'EColorVisionDeficiency_MAX';
+declare var EColorVisionDeficiency : { NormalVision:'NormalVision',Deuteranope:'Deuteranope',Protanope:'Protanope',Tritanope:'Tritanope',EColorVisionDeficiency_MAX:'EColorVisionDeficiency_MAX', };
+declare type ELogTimes = 'None' | 'UTC' | 'SinceGStartTime' | 'Local' | 'ELogTimes_MAX';
+declare var ELogTimes : { None:'None',UTC:'UTC',SinceGStartTime:'SinceGStartTime',Local:'Local',ELogTimes_MAX:'ELogTimes_MAX', };
+declare type EAssetEditorOpenLocation = 'Default' | 'NewWindow' | 'MainWindow' | 'ContentBrowser' | 'LastDockedWindowOrNewWindow' | 'LastDockedWindowOrMainWindow' | 'LastDockedWindowOrContentBrowser' | 'EAssetEditorOpenLocation_MAX';
+declare var EAssetEditorOpenLocation : { Default:'Default',NewWindow:'NewWindow',MainWindow:'MainWindow',ContentBrowser:'ContentBrowser',LastDockedWindowOrNewWindow:'LastDockedWindowOrNewWindow',LastDockedWindowOrMainWindow:'LastDockedWindowOrMainWindow',LastDockedWindowOrContentBrowser:'LastDockedWindowOrContentBrowser',EAssetEditorOpenLocation_MAX:'EAssetEditorOpenLocation_MAX', };
+declare class EditorStyleSettings extends UObject { 
+	bEnableHighDPIAwareness: boolean;
+	ColorVisionDeficiencyPreviewType: EColorVisionDeficiency;
+	ColorVisionDeficiencySeverity: number;
+	bColorVisionDeficiencyCorrection: boolean;
+	bColorVisionDeficiencyCorrectionPreviewWithDeficiency: boolean;
+	SelectionColor: LinearColor;
+	PressedSelectionColor: LinearColor;
+	InactiveSelectionColor: LinearColor;
+	KeyboardFocusColor: LinearColor;
+	EditorWindowBackgroundColor: LinearColor;
+	EditorMainWindowBackgroundOverride: SlateBrush;
+	EditorChildWindowBackgroundOverride: SlateBrush;
+	bResetEditorWindowBackgroundSettings: boolean;
+	bUseSmallToolBarIcons: boolean;
+	bUseGrid: boolean;
+	RegularColor: LinearColor;
+	RuleColor: LinearColor;
+	CenterColor: LinearColor;
+	GridSnapSize: any;
+	bEnableWindowAnimations: boolean;
+	bShowFriendlyNames: boolean;
+	bExpandConfigurationMenus: boolean;
+	bShowProjectMenus: boolean;
+	bShowLaunchMenus: boolean;
+	LogBackgroundColor: LinearColor;
+	LogSelectionBackgroundColor: LinearColor;
+	LogNormalColor: LinearColor;
+	LogCommandColor: LinearColor;
+	LogWarningColor: LinearColor;
+	LogErrorColor: LinearColor;
+	bShowAllAdvancedDetails: boolean;
+	bShowHiddenPropertiesWhilePlaying: boolean;
+	LogFontSize: number;
+	LogTimestampMode: ELogTimes;
+	bPromoteOutputLogWarningsDuringPIE: boolean;
+	AssetEditorOpenLocation: EAssetEditorOpenLocation;
+	bEnableColorizedEditorTabs: boolean;
+	static Load(ResourceName: string): EditorStyleSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorStyleSettings;
+	static GetDefaultObject(): EditorStyleSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorStyleSettings;
+	static C(Other: UObject | any): EditorStyleSettings;
 }
 
-declare type ELocalizationTargetConflictStatus = 'Unknown' | 'ConflictsPresent' | 'Clear' | 'ELocalizationTargetConflictStatus_MAX';
-declare var ELocalizationTargetConflictStatus : { Unknown:'Unknown',ConflictsPresent:'ConflictsPresent',Clear:'Clear',ELocalizationTargetConflictStatus_MAX:'ELocalizationTargetConflictStatus_MAX', };
-declare class FilePath { 
-	FilePath: string;
-	clone() : FilePath;
-	static C(Other: UObject | any): FilePath;
+declare class MaterialShaderQualitySettings extends UObject { 
+	ForwardSettingMap: any;
+	static Load(ResourceName: string): MaterialShaderQualitySettings;
+	static Find(Outer: UObject, ResourceName: string): MaterialShaderQualitySettings;
+	static GetDefaultObject(): MaterialShaderQualitySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialShaderQualitySettings;
+	static C(Other: UObject | any): MaterialShaderQualitySettings;
 }
 
-declare class GatherTextSearchDirectory { 
-	Path: string;
-	clone() : GatherTextSearchDirectory;
-	static C(Other: UObject | any): GatherTextSearchDirectory;
+declare type EMobileCSMQuality = 'NoFiltering' | 'PCF_1x1' | 'PCF_2x2' | 'EMobileCSMQuality_MAX';
+declare var EMobileCSMQuality : { NoFiltering:'NoFiltering',PCF_1x1:'PCF_1x1',PCF_2x2:'PCF_2x2',EMobileCSMQuality_MAX:'EMobileCSMQuality_MAX', };
+declare class MaterialQualityOverrides { 
+	bDiscardQualityDuringCook: boolean;
+	bEnableOverride: boolean;
+	bForceFullyRough: boolean;
+	bForceNonMetal: boolean;
+	bForceDisableLMDirectionality: boolean;
+	bForceLQReflections: boolean;
+	bDisableMaterialNormalCalculation: boolean;
+	MobileCSMQuality: EMobileCSMQuality;
+	clone() : MaterialQualityOverrides;
+	static C(Other: UObject | any): MaterialQualityOverrides;
 }
 
-declare class GatherTextExcludePath { 
-	Pattern: string;
-	clone() : GatherTextExcludePath;
-	static C(Other: UObject | any): GatherTextExcludePath;
+declare class ShaderPlatformQualitySettings extends UObject { 
+	QualityOverrides: MaterialQualityOverrides;
+	static Load(ResourceName: string): ShaderPlatformQualitySettings;
+	static Find(Outer: UObject, ResourceName: string): ShaderPlatformQualitySettings;
+	static GetDefaultObject(): ShaderPlatformQualitySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShaderPlatformQualitySettings;
+	static C(Other: UObject | any): ShaderPlatformQualitySettings;
 }
 
-declare class GatherTextFileExtension { 
-	Pattern: string;
-	clone() : GatherTextFileExtension;
-	static C(Other: UObject | any): GatherTextFileExtension;
+declare class MeshDescription extends UObject { 
+	static Load(ResourceName: string): MeshDescription;
+	static Find(Outer: UObject, ResourceName: string): MeshDescription;
+	static GetDefaultObject(): MeshDescription;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshDescription;
+	static C(Other: UObject | any): MeshDescription;
 }
 
-declare class GatherTextFromTextFilesConfiguration { 
-	IsEnabled: boolean;
-	SearchDirectories: GatherTextSearchDirectory[];
-	ExcludePathWildcards: GatherTextExcludePath[];
-	FileExtensions: GatherTextFileExtension[];
-	ShouldGatherFromEditorOnlyData: boolean;
-	clone() : GatherTextFromTextFilesConfiguration;
-	static C(Other: UObject | any): GatherTextFromTextFilesConfiguration;
+declare class ClothingAssetFactoryBase extends UObject { 
+	static Load(ResourceName: string): ClothingAssetFactoryBase;
+	static Find(Outer: UObject, ResourceName: string): ClothingAssetFactoryBase;
+	static GetDefaultObject(): ClothingAssetFactoryBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetFactoryBase;
+	static C(Other: UObject | any): ClothingAssetFactoryBase;
 }
 
-declare class GatherTextIncludePath { 
-	Pattern: string;
-	clone() : GatherTextIncludePath;
-	static C(Other: UObject | any): GatherTextIncludePath;
+declare class AssetRegistryImpl extends UObject { 
+	static Load(ResourceName: string): AssetRegistryImpl;
+	static Find(Outer: UObject, ResourceName: string): AssetRegistryImpl;
+	static GetDefaultObject(): AssetRegistryImpl;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistryImpl;
+	static C(Other: UObject | any): AssetRegistryImpl;
 }
 
-declare class GatherTextFromPackagesConfiguration { 
-	IsEnabled: boolean;
-	IncludePathWildcards: GatherTextIncludePath[];
-	ExcludePathWildcards: GatherTextExcludePath[];
-	FileExtensions: GatherTextFileExtension[];
-	Collections: string[];
-	ShouldGatherFromEditorOnlyData: boolean;
-	SkipGatherCache: boolean;
-	clone() : GatherTextFromPackagesConfiguration;
-	static C(Other: UObject | any): GatherTextFromPackagesConfiguration;
+declare class AssetData { 
+	ObjectPath: string;
+	PackageName: string;
+	PackagePath: string;
+	AssetName: string;
+	AssetClass: string;
+	clone() : AssetData;
+	static C(Other: UObject | any): AssetData;
 }
 
-declare class MetaDataKeyName { 
-	Name: string;
-	clone() : MetaDataKeyName;
-	static C(Other: UObject | any): MetaDataKeyName;
+declare class ARFilter { 
+	PackageNames: string[];
+	PackagePaths: string[];
+	ObjectPaths: string[];
+	ClassNames: string[];
+	RecursiveClassesExclusionSet: any;
+	bRecursivePaths: boolean;
+	bRecursiveClasses: boolean;
+	bIncludeOnlyOnDiskAssets: boolean;
+	clone() : ARFilter;
+	static C(Other: UObject | any): ARFilter;
 }
 
-declare class MetaDataTextKeyPattern { 
-	Pattern: string;
-	clone() : MetaDataTextKeyPattern;
-	static C(Other: UObject | any): MetaDataTextKeyPattern;
+declare class TagAndValue { 
+	Tag: string;
+	Value: string;
+	clone() : TagAndValue;
+	static C(Other: UObject | any): TagAndValue;
 }
 
-declare class MetaDataKeyGatherSpecification { 
-	MetaDataKey: MetaDataKeyName;
-	TextNamespace: string;
-	TextKeyPattern: MetaDataTextKeyPattern;
-	clone() : MetaDataKeyGatherSpecification;
-	static C(Other: UObject | any): MetaDataKeyGatherSpecification;
+declare class AssetRegistryHelpers extends UObject { 
+	static Load(ResourceName: string): AssetRegistryHelpers;
+	static Find(Outer: UObject, ResourceName: string): AssetRegistryHelpers;
+	static GetDefaultObject(): AssetRegistryHelpers;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistryHelpers;
+	static ToSoftObjectPath(InAssetData: AssetData): SoftObjectPath;
+	static SetFilterTagsAndValues(InFilter: ARFilter,InTagsAndValues: TagAndValue[]): ARFilter;
+	static IsValid(InAssetData: AssetData): boolean;
+	static IsUAsset(InAssetData: AssetData): boolean;
+	static IsRedirector(InAssetData: AssetData): boolean;
+	static IsAssetLoaded(InAssetData: AssetData): boolean;
+	static GetTagValue(InAssetData: AssetData,InTagName: string,OutTagValue?: string): {OutTagValue: string, $: boolean};
+	static GetFullName(InAssetData: AssetData): string;
+	static GetExportTextName(InAssetData: AssetData): string;
+	static GetClass(InAssetData: AssetData): UnrealEngineClass;
+	static GetAsset(InAssetData: AssetData): UObject;
+	static CreateAssetData(InAsset: UObject,bAllowBlueprintClass: boolean): AssetData;
+	static C(Other: UObject | any): AssetRegistryHelpers;
 }
 
-declare class GatherTextFromMetaDataConfiguration { 
-	IsEnabled: boolean;
-	IncludePathWildcards: GatherTextIncludePath[];
-	ExcludePathWildcards: GatherTextExcludePath[];
-	KeySpecifications: MetaDataKeyGatherSpecification[];
-	ShouldGatherFromEditorOnlyData: boolean;
-	clone() : GatherTextFromMetaDataConfiguration;
-	static C(Other: UObject | any): GatherTextFromMetaDataConfiguration;
+declare class AssetRegistry extends Interface { 
+	static Load(ResourceName: string): AssetRegistry;
+	static Find(Outer: UObject, ResourceName: string): AssetRegistry;
+	static GetDefaultObject(): AssetRegistry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegistry;
+	UseFilterToExcludeAssets(AssetDataList?: AssetData[],Filter?: ARFilter): {AssetDataList: AssetData[]};
+	SearchAllAssets(bSynchronousSearch: boolean): void;
+	ScanPathsSynchronous(InPaths: string[],bForceRescan: boolean): void;
+	ScanModifiedAssetFiles(InFilePaths: string[]): void;
+	ScanFilesSynchronous(InFilePaths: string[],bForceRescan: boolean): void;
+	RunAssetsThroughFilter(AssetDataList?: AssetData[],Filter?: ARFilter): {AssetDataList: AssetData[]};
+	PrioritizeSearchPath(PathToPrioritize: string): void;
+	IsLoadingAssets(): boolean;
+	HasAssets(PackagePath: string,bRecursive: boolean): boolean;
+	GetSubPaths(InBasePath: string,OutPathList?: string[],bInRecurse?: boolean): {OutPathList: string[]};
+	GetAssetsByPath(PackagePath: string,OutAssetData?: AssetData[],bRecursive?: boolean,bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
+	GetAssetsByPackageName(PackageName: string,OutAssetData?: AssetData[],bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
+	GetAssetsByClass(ClassName: string,OutAssetData?: AssetData[],bSearchSubClasses?: boolean): {OutAssetData: AssetData[], $: boolean};
+	GetAssets(Filter: ARFilter,OutAssetData?: AssetData[]): {OutAssetData: AssetData[], $: boolean};
+	GetAssetByObjectPath(ObjectPath: string,bIncludeOnlyOnDiskAssets: boolean): AssetData;
+	GetAllCachedPaths(OutPathList?: string[]): {OutPathList: string[]};
+	GetAllAssets(OutAssetData?: AssetData[],bIncludeOnlyOnDiskAssets?: boolean): {OutAssetData: AssetData[], $: boolean};
+	static C(Other: UObject | any): AssetRegistry;
 }
 
-declare type ELocalizedTextCollapseMode = 'IdenticalTextIdAndSource' | 'IdenticalPackageIdTextIdAndSource' | 'IdenticalNamespaceAndSource' | 'ELocalizedTextCollapseMode_MAX';
-declare var ELocalizedTextCollapseMode : { IdenticalTextIdAndSource:'IdenticalTextIdAndSource',IdenticalPackageIdTextIdAndSource:'IdenticalPackageIdTextIdAndSource',IdenticalNamespaceAndSource:'IdenticalNamespaceAndSource',ELocalizedTextCollapseMode_MAX:'ELocalizedTextCollapseMode_MAX', };
-declare class LocalizationExportingSettings { 
-	CollapseMode: ELocalizedTextCollapseMode;
-	ShouldPersistCommentsOnExport: boolean;
-	ShouldAddSourceLocationsAsComments: boolean;
-	clone() : LocalizationExportingSettings;
-	static C(Other: UObject | any): LocalizationExportingSettings;
+declare class AutoCompleteCommand { 
+	Command: string;
+	Desc: string;
+	clone() : AutoCompleteCommand;
+	static C(Other: UObject | any): AutoCompleteCommand;
 }
 
-declare class LocalizationCompilationSettings { 
-	SkipSourceCheck: boolean;
-	clone() : LocalizationCompilationSettings;
-	static C(Other: UObject | any): LocalizationCompilationSettings;
+declare class ConsoleSettings extends UObject { 
+	MaxScrollbackSize: number;
+	ManualAutoCompleteList: AutoCompleteCommand[];
+	AutoCompleteMapPaths: string[];
+	BackgroundOpacityPercentage: number;
+	bOrderTopToBottom: boolean;
+	InputColor: Color;
+	HistoryColor: Color;
+	AutoCompleteCommandColor: Color;
+	AutoCompleteCVarColor: Color;
+	AutoCompleteFadedColor: Color;
+	static Load(ResourceName: string): ConsoleSettings;
+	static Find(Outer: UObject, ResourceName: string): ConsoleSettings;
+	static GetDefaultObject(): ConsoleSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConsoleSettings;
+	static C(Other: UObject | any): ConsoleSettings;
 }
 
-declare class DirectoryPath { 
-	Path: string;
-	clone() : DirectoryPath;
-	static C(Other: UObject | any): DirectoryPath;
+declare type ETwoPlayerSplitScreenType = 'Horizontal' | 'Vertical' | 'ETwoPlayerSplitScreenType_MAX';
+declare var ETwoPlayerSplitScreenType : { Horizontal:'Horizontal',Vertical:'Vertical',ETwoPlayerSplitScreenType_MAX:'ETwoPlayerSplitScreenType_MAX', };
+declare type EThreePlayerSplitScreenType = 'FavorTop' | 'FavorBottom' | 'Vertical' | 'Horizontal' | 'EThreePlayerSplitScreenType_MAX';
+declare var EThreePlayerSplitScreenType : { FavorTop:'FavorTop',FavorBottom:'FavorBottom',Vertical:'Vertical',Horizontal:'Horizontal',EThreePlayerSplitScreenType_MAX:'EThreePlayerSplitScreenType_MAX', };
+declare type EFourPlayerSplitScreenType = 'Grid' | 'Vertical' | 'Horizontal' | 'EFourPlayerSplitScreenType_MAX';
+declare var EFourPlayerSplitScreenType : { Grid:'Grid',Vertical:'Vertical',Horizontal:'Horizontal',EFourPlayerSplitScreenType_MAX:'EFourPlayerSplitScreenType_MAX', };
+declare class GameModeName { 
+	Name: string;
+	GameMode: SoftClassPath;
+	clone() : GameModeName;
+	static C(Other: UObject | any): GameModeName;
 }
 
-declare class LocalizationImportDialogueSettings { 
-	RawAudioPath: DirectoryPath;
-	ImportedDialogueFolder: string;
-	bImportNativeAsSource: boolean;
-	clone() : LocalizationImportDialogueSettings;
-	static C(Other: UObject | any): LocalizationImportDialogueSettings;
+declare class GameMapsSettings extends UObject { 
+	EditorStartupMap: SoftObjectPath;
+	LocalMapOptions: string;
+	TransitionMap: SoftObjectPath;
+	bUseSplitscreen: boolean;
+	TwoPlayerSplitscreenLayout: ETwoPlayerSplitScreenType;
+	ThreePlayerSplitscreenLayout: EThreePlayerSplitScreenType;
+	FourPlayerSplitscreenLayout: EFourPlayerSplitScreenType;
+	bOffsetPlayerGamepadIds: boolean;
+	GameInstanceClass: SoftClassPath;
+	GameDefaultMap: SoftObjectPath;
+	ServerDefaultMap: SoftObjectPath;
+	GlobalDefaultGameMode: SoftClassPath;
+	GlobalDefaultServerGameMode: SoftClassPath;
+	GameModeMapPrefixes: GameModeName[];
+	GameModeClassAliases: GameModeName[];
+	static Load(ResourceName: string): GameMapsSettings;
+	static Find(Outer: UObject, ResourceName: string): GameMapsSettings;
+	static GetDefaultObject(): GameMapsSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMapsSettings;
+	static C(Other: UObject | any): GameMapsSettings;
 }
 
-declare class CultureStatistics { 
-	CultureName: string;
-	WordCount: any;
-	clone() : CultureStatistics;
-	static C(Other: UObject | any): CultureStatistics;
+declare class GameNetworkManagerSettings extends UObject { 
+	MinDynamicBandwidth: number;
+	MaxDynamicBandwidth: number;
+	TotalNetBandwidth: number;
+	BadPingThreshold: number;
+	bIsStandbyCheckingEnabled: boolean;
+	StandbyRxCheatTime: number;
+	StandbyTxCheatTime: number;
+	PercentMissingForRxStandby: number;
+	PercentMissingForTxStandby: number;
+	PercentForBadPing: number;
+	JoinInProgressStandbyWaitTime: number;
+	static Load(ResourceName: string): GameNetworkManagerSettings;
+	static Find(Outer: UObject, ResourceName: string): GameNetworkManagerSettings;
+	static GetDefaultObject(): GameNetworkManagerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameNetworkManagerSettings;
+	static C(Other: UObject | any): GameNetworkManagerSettings;
 }
 
-declare class LocalizationTargetSettings { 
-	Name: string;
-	Guid: Guid;
-	ConflictStatus: ELocalizationTargetConflictStatus;
-	TargetDependencies: Guid[];
-	AdditionalManifestDependencies: FilePath[];
-	RequiredModuleNames: string[];
-	GatherFromTextFiles: GatherTextFromTextFilesConfiguration;
-	GatherFromPackages: GatherTextFromPackagesConfiguration;
-	GatherFromMetaData: GatherTextFromMetaDataConfiguration;
-	ExportSettings: LocalizationExportingSettings;
-	CompileSettings: LocalizationCompilationSettings;
-	ImportDialogueSettings: LocalizationImportDialogueSettings;
-	NativeCultureIndex: number;
-	SupportedCulturesStatistics: CultureStatistics[];
-	clone() : LocalizationTargetSettings;
-	static C(Other: UObject | any): LocalizationTargetSettings;
+declare class GameSessionSettings extends UObject { 
+	MaxSpectators: number;
+	MaxPlayers: number;
+	bRequiresPushToTalk: boolean;
+	static Load(ResourceName: string): GameSessionSettings;
+	static Find(Outer: UObject, ResourceName: string): GameSessionSettings;
+	static GetDefaultObject(): GameSessionSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameSessionSettings;
+	static C(Other: UObject | any): GameSessionSettings;
 }
 
-declare class LocalizationTarget extends UObject { 
-	Settings: LocalizationTargetSettings;
-	static Load(ResourceName: string): LocalizationTarget;
-	static Find(Outer: UObject, ResourceName: string): LocalizationTarget;
-	static GetDefaultObject(): LocalizationTarget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationTarget;
-	static C(Other: UObject | any): LocalizationTarget;
+declare class GeneralEngineSettings extends UObject { 
+	static Load(ResourceName: string): GeneralEngineSettings;
+	static Find(Outer: UObject, ResourceName: string): GeneralEngineSettings;
+	static GetDefaultObject(): GeneralEngineSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralEngineSettings;
+	static C(Other: UObject | any): GeneralEngineSettings;
 }
 
-declare class LocalizationTargetSet extends UObject { 
-	TargetObjects: LocalizationTarget[];
-	static Load(ResourceName: string): LocalizationTargetSet;
-	static Find(Outer: UObject, ResourceName: string): LocalizationTargetSet;
-	static GetDefaultObject(): LocalizationTargetSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationTargetSet;
-	static C(Other: UObject | any): LocalizationTargetSet;
+declare class GeneralProjectSettings extends UObject { 
+	CompanyName: string;
+	CompanyDistinguishedName: string;
+	CopyrightNotice: string;
+	Description: string;
+	Homepage: string;
+	LicensingTerms: string;
+	PrivacyPolicy: string;
+	ProjectID: Guid;
+	ProjectName: string;
+	ProjectVersion: string;
+	SupportContact: string;
+	ProjectDisplayedTitle: string;
+	ProjectDebugTitleInfo: string;
+	bShouldWindowPreserveAspectRatio: boolean;
+	bUseBorderlessWindow: boolean;
+	bStartInVR: boolean;
+	bStartInAR: boolean;
+	bSupportAR: boolean;
+	bAllowWindowResize: boolean;
+	bAllowClose: boolean;
+	bAllowMaximize: boolean;
+	bAllowMinimize: boolean;
+	static Load(ResourceName: string): GeneralProjectSettings;
+	static Find(Outer: UObject, ResourceName: string): GeneralProjectSettings;
+	static GetDefaultObject(): GeneralProjectSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneralProjectSettings;
+	static C(Other: UObject | any): GeneralProjectSettings;
 }
 
-declare class LocalizationSettings extends UObject { 
-	EngineTargetSet: LocalizationTargetSet;
-	EngineTargetsSettings: LocalizationTargetSettings[];
-	GameTargetSet: LocalizationTargetSet;
-	GameTargetsSettings: LocalizationTargetSettings[];
-	static Load(ResourceName: string): LocalizationSettings;
-	static Find(Outer: UObject, ResourceName: string): LocalizationSettings;
-	static GetDefaultObject(): LocalizationSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationSettings;
-	static C(Other: UObject | any): LocalizationSettings;
+declare class HudSettings extends UObject { 
+	bShowHUD: boolean;
+	DebugDisplay: string[];
+	static Load(ResourceName: string): HudSettings;
+	static Find(Outer: UObject, ResourceName: string): HudSettings;
+	static GetDefaultObject(): HudSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HudSettings;
+	static C(Other: UObject | any): HudSettings;
 }
 
-declare class CookerStats extends UObject { 
-	Assets: any[];
-	SizeBefore: number;
-	SizeAfter: number;
-	Path: string;
-	static Load(ResourceName: string): CookerStats;
-	static Find(Outer: UObject, ResourceName: string): CookerStats;
-	static GetDefaultObject(): CookerStats;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookerStats;
-	static C(Other: UObject | any): CookerStats;
+declare class HandlerComponentFactory extends UObject { 
+	static Load(ResourceName: string): HandlerComponentFactory;
+	static Find(Outer: UObject, ResourceName: string): HandlerComponentFactory;
+	static GetDefaultObject(): HandlerComponentFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HandlerComponentFactory;
+	static C(Other: UObject | any): HandlerComponentFactory;
 }
 
-declare class LightingBuildInfo extends UObject { 
-	UObject: any;
-	LightingTime: number;
-	UnmappedTexelsPercentage: number;
-	UnmappedTexelsMemory: number;
-	TotalTexelMemory: number;
-	LevelName: string;
-	static Load(ResourceName: string): LightingBuildInfo;
-	static Find(Outer: UObject, ResourceName: string): LightingBuildInfo;
-	static GetDefaultObject(): LightingBuildInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightingBuildInfo;
-	static C(Other: UObject | any): LightingBuildInfo;
+declare class NetAnalyticsDataConfig { 
+	DataName: string;
+	bEnabled: boolean;
+	clone() : NetAnalyticsDataConfig;
+	static C(Other: UObject | any): NetAnalyticsDataConfig;
 }
 
-declare class PrimitiveStats extends UObject { 
-	UObject: any;
-	Actors: any[];
-	Type: string;
-	Count: number;
-	Sections: number;
-	HWInstances: number;
-	InstSections: number;
-	Triangles: number;
-	InstTriangles: number;
-	ResourceSize: number;
-	VertexColorMem: number;
-	InstVertexColorMem: number;
-	LightsLM: number;
-	LightsOther: number;
-	LightsTotal: number;
-	ObjLightCost: number;
-	LightMapData: number;
-	LMSMResolution: number;
-	RadiusMin: number;
-	RadiusMax: number;
-	RadiusAvg: number;
-	static Load(ResourceName: string): PrimitiveStats;
-	static Find(Outer: UObject, ResourceName: string): PrimitiveStats;
-	static GetDefaultObject(): PrimitiveStats;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimitiveStats;
-	static C(Other: UObject | any): PrimitiveStats;
+declare class NetAnalyticsAggregatorConfig extends UObject { 
+	NetAnalyticsData: NetAnalyticsDataConfig[];
+	static Load(ResourceName: string): NetAnalyticsAggregatorConfig;
+	static Find(Outer: UObject, ResourceName: string): NetAnalyticsAggregatorConfig;
+	static GetDefaultObject(): NetAnalyticsAggregatorConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetAnalyticsAggregatorConfig;
+	static C(Other: UObject | any): NetAnalyticsAggregatorConfig;
 }
 
-declare class StaticMeshLightingInfo extends UObject { 
-	StaticMeshActor: any;
-	StaticMesh: any;
-	LevelName: string;
-	TextureMapping: string;
-	bTextureMapping: boolean;
-	bHasLightmapTexCoords: boolean;
-	StaticLightingResolution: number;
-	TextureLightMapMemoryUsage: number;
-	VertexLightMapMemoryUsage: number;
-	LightMapLightCount: number;
-	TextureShadowMapMemoryUsage: number;
-	VertexShadowMapMemoryUsage: number;
-	ShadowMapLightCount: number;
-	static Load(ResourceName: string): StaticMeshLightingInfo;
-	static Find(Outer: UObject, ResourceName: string): StaticMeshLightingInfo;
-	static GetDefaultObject(): StaticMeshLightingInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshLightingInfo;
-	static C(Other: UObject | any): StaticMeshLightingInfo;
+declare class PacketHandlerProfileConfig extends UObject { 
+	Components: string[];
+	static Load(ResourceName: string): PacketHandlerProfileConfig;
+	static Find(Outer: UObject, ResourceName: string): PacketHandlerProfileConfig;
+	static GetDefaultObject(): PacketHandlerProfileConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PacketHandlerProfileConfig;
+	static C(Other: UObject | any): PacketHandlerProfileConfig;
 }
 
-declare class TextureStats extends UObject { 
-	Texture: any;
-	Actors: any[];
-	Type: string;
-	MaxDim: Vector2D;
-	CurrentDim: Vector2D;
-	Format: EPixelFormat;
-	Group: TextureGroup;
-	LODBias: number;
-	CurrentKB: number;
-	FullyLoadedKB: number;
-	NumUses: number;
-	LastTimeRendered: number;
-	Path: string;
-	static Load(ResourceName: string): TextureStats;
-	static Find(Outer: UObject, ResourceName: string): TextureStats;
-	static GetDefaultObject(): TextureStats;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureStats;
-	static C(Other: UObject | any): TextureStats;
+declare class JsonUtilitiesDummyObject extends UObject { 
+	static Load(ResourceName: string): JsonUtilitiesDummyObject;
+	static Find(Outer: UObject, ResourceName: string): JsonUtilitiesDummyObject;
+	static GetDefaultObject(): JsonUtilitiesDummyObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JsonUtilitiesDummyObject;
+	static C(Other: UObject | any): JsonUtilitiesDummyObject;
 }
 
-declare class MaterialInstanceConstant extends MaterialInstance { 
-	ParameterStateId: Guid;
-	static Load(ResourceName: string): MaterialInstanceConstant;
-	static Find(Outer: UObject, ResourceName: string): MaterialInstanceConstant;
-	static GetDefaultObject(): MaterialInstanceConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceConstant;
-	K2_GetVectorParameterValue(ParameterName: string): LinearColor;
-	K2_GetTextureParameterValue(ParameterName: string): Texture;
-	K2_GetScalarParameterValue(ParameterName: string): number;
-	static C(Other: UObject | any): MaterialInstanceConstant;
-	ClearAllMaterialInstanceParameters(): void;
-	GetMaterialInstanceScalarParameterValue(ParameterName: string): number;
-	GetMaterialInstanceTextureParameterValue(ParameterName: string): Texture;
-	GetMaterialInstanceVectorParameterValue(ParameterName: string): LinearColor;
-	SetMaterialInstanceParent(NewParent: MaterialInterface): void;
-	SetMaterialInstanceScalarParameterValue(ParameterName: string,Value: number): boolean;
-	SetMaterialInstanceTextureParameterValue(ParameterName: string,Value: Texture): boolean;
-	SetMaterialInstanceVectorParameterValue(ParameterName: string,Value: LinearColor): boolean;
-	UpdateMaterialInstance(): void;
-	static ClearAllMaterialInstanceParameters(Instance: MaterialInstanceConstant): void;
-	static GetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): number;
-	static GetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): Texture;
-	static GetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): LinearColor;
-	static SetMaterialInstanceParent(Instance: MaterialInstanceConstant,NewParent: MaterialInterface): void;
-	static SetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: number): boolean;
-	static SetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: Texture): boolean;
-	static SetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: LinearColor): boolean;
-	static UpdateMaterialInstance(Instance: MaterialInstanceConstant): void;
+declare class PropertyConfigFileDisplayRow extends UObject { 
+	ConfigFileName: string;
+	ExternalProperty: Property;
+	bIsFileWritable: boolean;
+	static Load(ResourceName: string): PropertyConfigFileDisplayRow;
+	static Find(Outer: UObject, ResourceName: string): PropertyConfigFileDisplayRow;
+	static GetDefaultObject(): PropertyConfigFileDisplayRow;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyConfigFileDisplayRow;
+	static C(Other: UObject | any): PropertyConfigFileDisplayRow;
 }
 
-declare class MaterialEditingLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): MaterialEditingLibrary;
-	static Find(Outer: UObject, ResourceName: string): MaterialEditingLibrary;
-	static GetDefaultObject(): MaterialEditingLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditingLibrary;
-	static UpdateMaterialInstance(Instance: MaterialInstanceConstant): void;
-	static UpdateMaterialFunction(MaterialFunction: MaterialFunctionInterface,PreviewMaterial: Material): void;
-	static SetMaterialUsage(Material: Material,Usage: EMaterialUsage,bNeedsRecompile?: boolean): {bNeedsRecompile: boolean, $: boolean};
-	static SetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: LinearColor): boolean;
-	static SetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: Texture): boolean;
-	static SetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: number): boolean;
-	static SetMaterialInstanceParent(Instance: MaterialInstanceConstant,NewParent: MaterialInterface): void;
-	static RecompileMaterial(Material: Material): void;
-	static GetNumMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): number;
-	static GetNumMaterialExpressions(Material: Material): number;
-	static GetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): LinearColor;
-	static GetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): Texture;
-	static GetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): number;
-	static DeleteMaterialExpressionInFunction(MaterialFunction: MaterialFunction,Expression: MaterialExpression): void;
-	static DeleteMaterialExpression(Material: Material,Expression: MaterialExpression): void;
-	static DeleteAllMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): void;
-	static DeleteAllMaterialExpressions(Material: Material): void;
-	static CreateMaterialExpressionInFunction(MaterialFunction: MaterialFunction,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
-	static CreateMaterialExpression(Material: Material,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
-	static ConnectMaterialProperty(FromExpression: MaterialExpression,FromOutputName: string,Property: EMaterialProperty): boolean;
-	static ConnectMaterialExpressions(FromExpression: MaterialExpression,FromOutputName: string,ToExpression: MaterialExpression,ToInputName: string): boolean;
-	static ClearAllMaterialInstanceParameters(Instance: MaterialInstanceConstant): void;
-	static C(Other: UObject | any): MaterialEditingLibrary;
+declare class ConfigHierarchyPropertyView extends UObject { 
+	EditProperty: any;
+	ConfigFilePropertyObjects: PropertyConfigFileDisplayRow[];
+	static Load(ResourceName: string): ConfigHierarchyPropertyView;
+	static Find(Outer: UObject, ResourceName: string): ConfigHierarchyPropertyView;
+	static GetDefaultObject(): ConfigHierarchyPropertyView;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConfigHierarchyPropertyView;
+	static C(Other: UObject | any): ConfigHierarchyPropertyView;
 }
 
-declare type EHMDTrackingOrigin = 'Floor' | 'Eye' | 'EHMDTrackingOrigin_MAX';
-declare var EHMDTrackingOrigin : { Floor:'Floor',Eye:'Eye',EHMDTrackingOrigin_MAX:'EHMDTrackingOrigin_MAX', };
-declare type ESpectatorScreenMode = 'Disabled' | 'SingleEyeLetterboxed' | 'Undistorted' | 'Distorted' | 'SingleEye' | 'SingleEyeCroppedToFill' | 'Texture' | 'TexturePlusEye' | 'ESpectatorScreenMode_MAX';
-declare var ESpectatorScreenMode : { Disabled:'Disabled',SingleEyeLetterboxed:'SingleEyeLetterboxed',Undistorted:'Undistorted',Distorted:'Distorted',SingleEye:'SingleEye',SingleEyeCroppedToFill:'SingleEyeCroppedToFill',Texture:'Texture',TexturePlusEye:'TexturePlusEye',ESpectatorScreenMode_MAX:'ESpectatorScreenMode_MAX', };
-declare type EHMDWornState = 'Unknown' | 'Worn' | 'NotWorn' | 'EHMDWornState_MAX';
-declare var EHMDWornState : { Unknown:'Unknown',Worn:'Worn',NotWorn:'NotWorn',EHMDWornState_MAX:'EHMDWornState_MAX', };
-declare type EXRTrackedDeviceType = 'HeadMountedDisplay' | 'Controller' | 'TrackingReference' | 'Other' | 'Invalid' | 'Any' | 'EXRTrackedDeviceType_MAX';
-declare var EXRTrackedDeviceType : { HeadMountedDisplay:'HeadMountedDisplay',Controller:'Controller',TrackingReference:'TrackingReference',Other:'Other',Invalid:'Invalid',Any:'Any',EXRTrackedDeviceType_MAX:'EXRTrackedDeviceType_MAX', };
-declare class HeadMountedDisplayFunctionLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): HeadMountedDisplayFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): HeadMountedDisplayFunctionLibrary;
-	static GetDefaultObject(): HeadMountedDisplayFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HeadMountedDisplayFunctionLibrary;
-	static SetWorldToMetersScale(WorldContext: UObject,NewScale: number): void;
-	static SetTrackingOrigin(Origin: EHMDTrackingOrigin): void;
-	static SetSpectatorScreenTexture(InTexture: Texture): void;
-	static SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMin: Vector2D,EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean): void;
-	static SetSpectatorScreenMode(Mode: ESpectatorScreenMode): void;
-	static SetClippingPlanes(Near: number,Far: number): void;
-	static ResetOrientationAndPosition(Yaw: number,Options: EOrientPositionSelector): void;
-	static IsSpectatorScreenModeControllable(): boolean;
-	static IsInLowPersistenceMode(): boolean;
-	static IsHeadMountedDisplayEnabled(): boolean;
-	static IsHeadMountedDisplayConnected(): boolean;
-	static HasValidTrackingPosition(): boolean;
-	static GetWorldToMetersScale(WorldContext: UObject): number;
-	static GetVRFocusState(bUseFocus?: boolean,bHasFocus?: boolean): {bUseFocus: boolean, bHasFocus: boolean};
-	static GetTrackingToWorldTransform(WorldContext: UObject): Transform;
-	static GetTrackingSensorParameters(Origin?: Vector,Rotation?: Rotator,LeftFOV?: number,RightFOV?: number,TopFOV?: number,BottomFOV?: number,Distance?: number,NearPlane?: number,FarPlane?: number,IsActive?: boolean,index?: number): {Origin: Vector, Rotation: Rotator, LeftFOV: number, RightFOV: number, TopFOV: number, BottomFOV: number, Distance: number, NearPlane: number, FarPlane: number, IsActive: boolean};
-	static GetTrackingOrigin(): EHMDTrackingOrigin;
-	static GetScreenPercentage(): number;
-	static GetPositionalTrackingCameraParameters(CameraOrigin?: Vector,CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
-	static GetPixelDensity(): number;
-	static GetOrientationAndPosition(DeviceRotation?: Rotator,DevicePosition?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector};
-	static GetNumOfTrackingSensors(): number;
-	static GetHMDWornState(): EHMDWornState;
-	static GetHMDDeviceName(): string;
-	static GetDeviceWorldPose(WorldContext: UObject,XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
-	static GetDevicePose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
-	static EnumerateTrackedDevices(SystemId: string,DeviceType: EXRTrackedDeviceType): XRDeviceId[];
-	static EnableLowPersistenceMode(bEnable: boolean): void;
-	static EnableHMD(bEnable: boolean): boolean;
-	static AddDeviceVisualizationComponent(Target: Actor,XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
-	static C(Other: UObject | any): HeadMountedDisplayFunctionLibrary;
+declare type EPIEPreviewDeviceType = 'Unset' | 'Android' | 'IOS' | 'TVOS' | 'Switch' | 'MAX';
+declare var EPIEPreviewDeviceType : { Unset:'Unset',Android:'Android',IOS:'IOS',TVOS:'TVOS',Switch:'Switch',MAX:'MAX', };
+declare class PIEPreviewDeviceSpecification extends UObject { 
+	PreviewDeviceType: EPIEPreviewDeviceType;
+	GPUFamily: string;
+	GLVersion: string;
+	VulkanVersion: string;
+	AndroidVersion: string;
+	DeviceMake: string;
+	DeviceModel: string;
+	DeviceBuildNumber: string;
+	UsingHoudini: boolean;
+	static Load(ResourceName: string): PIEPreviewDeviceSpecification;
+	static Find(Outer: UObject, ResourceName: string): PIEPreviewDeviceSpecification;
+	static GetDefaultObject(): PIEPreviewDeviceSpecification;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PIEPreviewDeviceSpecification;
+	static C(Other: UObject | any): PIEPreviewDeviceSpecification;
 }
 
-declare type ETrackingStatus = 'NotTracked' | 'InertialOnly' | 'Tracked' | 'ETrackingStatus_MAX';
-declare var ETrackingStatus : { NotTracked:'NotTracked',InertialOnly:'InertialOnly',Tracked:'Tracked',ETrackingStatus_MAX:'ETrackingStatus_MAX', };
-declare class MotionControllerComponent extends PrimitiveComponent { 
-	PlayerIndex: number;
-	Hand: EControllerHand;
-	MotionSource: string;
-	bDisableLowLatencyUpdate: boolean;
-	CurrentTrackingStatus: ETrackingStatus;
-	bDisplayDeviceModel: boolean;
-	DisplayModelSource: string;
-	CustomDisplayMesh: StaticMesh;
-	DisplayMeshMaterialOverrides: MaterialInterface[];
-	DisplayComponent: PrimitiveComponent;
-	static Load(ResourceName: string): MotionControllerComponent;
-	static Find(Outer: UObject, ResourceName: string): MotionControllerComponent;
-	static GetDefaultObject(): MotionControllerComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MotionControllerComponent;
-	SetTrackingSource(NewSource: EControllerHand): void;
-	SetTrackingMotionSource(NewSource: string): void;
-	SetShowDeviceModel(bShowControllerModel: boolean): void;
-	SetDisplayModelSource(NewDisplayModelSource: string): void;
-	SetCustomDisplayMesh(NewDisplayMesh: StaticMesh): void;
-	SetAssociatedPlayerIndex(NewPlayer: number): void;
-	OnMotionControllerUpdated(): void;
-	IsTracked(): boolean;
-	GetTrackingSource(): EControllerHand;
-	GetParameterValue(InName: string,bValueFound?: boolean): {bValueFound: boolean, $: number};
-	static C(Other: UObject | any): MotionControllerComponent;
-	DisableMotionTrackingForComponent(): void;
-	EnableMotionTrackingForComponent(): boolean;
-	IsMotionTrackingEnabledForComponent(): boolean;
-	static DisableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): void;
-	static EnableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
-	static IsMotionTrackingEnabledForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
+declare class PIEPreviewSettings extends UObject { 
+	WindowPosX: number;
+	WindowPosY: number;
+	WindowScalingFactor: number;
+	static Load(ResourceName: string): PIEPreviewSettings;
+	static Find(Outer: UObject, ResourceName: string): PIEPreviewSettings;
+	static GetDefaultObject(): PIEPreviewSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PIEPreviewSettings;
+	static C(Other: UObject | any): PIEPreviewSettings;
 }
 
-declare class MotionTrackedDeviceFunctionLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): MotionTrackedDeviceFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): MotionTrackedDeviceFunctionLibrary;
-	static GetDefaultObject(): MotionTrackedDeviceFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MotionTrackedDeviceFunctionLibrary;
-	static SetIsControllerMotionTrackingEnabledByDefault(Enable: boolean): void;
-	static IsMotionTrackingEnabledForSource(PlayerIndex: number,SourceName: string): boolean;
-	static IsMotionTrackingEnabledForDevice(PlayerIndex: number,Hand: EControllerHand): boolean;
-	static IsMotionTrackingEnabledForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
-	static IsMotionTrackedDeviceCountManagementNecessary(): boolean;
-	static GetMotionTrackingEnabledControllerCount(): number;
-	static GetMaximumMotionTrackedControllerCount(): number;
-	static EnumerateMotionSources(): string[];
-	static EnableMotionTrackingOfSource(PlayerIndex: number,SourceName: string): boolean;
-	static EnableMotionTrackingOfDevice(PlayerIndex: number,Hand: EControllerHand): boolean;
-	static EnableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
-	static DisableMotionTrackingOfSource(PlayerIndex: number,SourceName: string): void;
-	static DisableMotionTrackingOfDevice(PlayerIndex: number,Hand: EControllerHand): void;
-	static DisableMotionTrackingOfControllersForPlayer(PlayerIndex: number): void;
-	static DisableMotionTrackingOfAllControllers(): void;
-	static DisableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): void;
-	static C(Other: UObject | any): MotionTrackedDeviceFunctionLibrary;
+declare class ClothingAssetCustomData extends UObject { 
+	static Load(ResourceName: string): ClothingAssetCustomData;
+	static Find(Outer: UObject, ResourceName: string): ClothingAssetCustomData;
+	static GetDefaultObject(): ClothingAssetCustomData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetCustomData;
+	static C(Other: UObject | any): ClothingAssetCustomData;
 }
 
-declare class VRNotificationsComponent extends ActorComponent { 
-	HMDTrackingInitializingAndNeedsHMDToBeTrackedDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDTrackingInitializedDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDRecenteredDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDLostDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDReconnectedDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDConnectCanceledDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDPutOnHeadDelegate: UnrealEngineMulticastDelegate<() => void>;
-	HMDRemovedFromHeadDelegate: UnrealEngineMulticastDelegate<() => void>;
-	VRControllerRecenteredDelegate: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): VRNotificationsComponent;
-	static Find(Outer: UObject, ResourceName: string): VRNotificationsComponent;
-	static GetDefaultObject(): VRNotificationsComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRNotificationsComponent;
-	static C(Other: UObject | any): VRNotificationsComponent;
+declare type EClothingWindMethod = 'Legacy' | 'Accurate' | 'EClothingWindMethod_MAX';
+declare var EClothingWindMethod : { Legacy:'Legacy',Accurate:'Accurate',EClothingWindMethod_MAX:'EClothingWindMethod_MAX', };
+declare class ClothConstraintSetup { 
+	Stiffness: number;
+	StiffnessMultiplier: number;
+	StretchLimit: number;
+	CompressionLimit: number;
+	clone() : ClothConstraintSetup;
+	static C(Other: UObject | any): ClothConstraintSetup;
 }
 
-declare class PreviewSceneProfile { 
-	ProfileName: string;
-	bSharedProfile: boolean;
-	DirectionalLightIntensity: number;
-	DirectionalLightColor: LinearColor;
-	SkyLightIntensity: number;
-	bRotateLightingRig: boolean;
-	bShowEnvironment: boolean;
-	bShowFloor: boolean;
-	EnvironmentColor: LinearColor;
-	EnvironmentIntensity: number;
-	EnvironmentCubeMap: any;
-	EnvironmentCubeMapPath: string;
-	PostProcessingSettings: PostProcessSettings;
-	bPostProcessingEnabled: boolean;
-	LightingRigRotation: number;
-	RotationSpeed: number;
-	DirectionalLightRotation: Rotator;
-	clone() : PreviewSceneProfile;
-	static C(Other: UObject | any): PreviewSceneProfile;
+declare class ClothConfig { 
+	WindMethod: EClothingWindMethod;
+	VerticalConstraintConfig: ClothConstraintSetup;
+	HorizontalConstraintConfig: ClothConstraintSetup;
+	BendConstraintConfig: ClothConstraintSetup;
+	ShearConstraintConfig: ClothConstraintSetup;
+	SelfCollisionRadius: number;
+	SelfCollisionStiffness: number;
+	SelfCollisionCullScale: number;
+	Damping: Vector;
+	Friction: number;
+	WindDragCoefficient: number;
+	WindLiftCoefficient: number;
+	LinearDrag: Vector;
+	AngularDrag: Vector;
+	LinearInertiaScale: Vector;
+	AngularInertiaScale: Vector;
+	CentrifugalInertiaScale: Vector;
+	SolverFrequency: number;
+	StiffnessFrequency: number;
+	GravityScale: number;
+	GravityOverride: Vector;
+	bUseGravityOverride: boolean;
+	TetherStiffness: number;
+	TetherLimit: number;
+	CollisionThickness: number;
+	AnimDriveSpringStiffness: number;
+	AnimDriveDamperStiffness: number;
+	clone() : ClothConfig;
+	static C(Other: UObject | any): ClothConfig;
+}
+
+declare class ClothVertBoneData { 
+	NumInfluences: number;
+	BoneIndices: any;
+	BoneWeights: number;
+	clone() : ClothVertBoneData;
+	static C(Other: UObject | any): ClothVertBoneData;
+}
+
+declare class ClothPhysicalMeshData { 
+	Vertices: Vector[];
+	Normals: Vector[];
+	VertexColors: Color[];
+	Indices: any[];
+	MaxDistances: number[];
+	BackstopDistances: number[];
+	BackstopRadiuses: number[];
+	AnimDriveMultipliers: number[];
+	InverseMasses: number[];
+	BoneData: ClothVertBoneData[];
+	MaxBoneWeights: number;
+	NumFixedVerts: number;
+	SelfCollisionIndices: any[];
+	clone() : ClothPhysicalMeshData;
+	static C(Other: UObject | any): ClothPhysicalMeshData;
 }
 
-declare class LocalProfiles extends UObject { 
-	Profiles: PreviewSceneProfile[];
-	static Load(ResourceName: string): LocalProfiles;
-	static Find(Outer: UObject, ResourceName: string): LocalProfiles;
-	static GetDefaultObject(): LocalProfiles;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalProfiles;
-	static C(Other: UObject | any): LocalProfiles;
+declare class ClothCollisionPrim_Sphere { 
+	BoneIndex: number;
+	Radius: number;
+	LocalPosition: Vector;
+	clone() : ClothCollisionPrim_Sphere;
+	static C(Other: UObject | any): ClothCollisionPrim_Sphere;
 }
 
-declare class SharedProfiles extends UObject { 
-	Profiles: PreviewSceneProfile[];
-	static Load(ResourceName: string): SharedProfiles;
-	static Find(Outer: UObject, ResourceName: string): SharedProfiles;
-	static GetDefaultObject(): SharedProfiles;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SharedProfiles;
-	static C(Other: UObject | any): SharedProfiles;
+declare class ClothCollisionPrim_SphereConnection { 
+	SphereIndices: number;
+	clone() : ClothCollisionPrim_SphereConnection;
+	static C(Other: UObject | any): ClothCollisionPrim_SphereConnection;
 }
 
-declare class AssetViewerSettings extends UObject { 
-	Profiles: PreviewSceneProfile[];
-	static Load(ResourceName: string): AssetViewerSettings;
-	static Find(Outer: UObject, ResourceName: string): AssetViewerSettings;
-	static GetDefaultObject(): AssetViewerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetViewerSettings;
-	static C(Other: UObject | any): AssetViewerSettings;
+declare class ClothCollisionPrim_Convex { 
+	planes: Plane[];
+	BoneIndex: number;
+	clone() : ClothCollisionPrim_Convex;
+	static C(Other: UObject | any): ClothCollisionPrim_Convex;
 }
 
-declare class Manipulator extends Actor { 
-	AssociatedComponent: SceneComponent;
-	StaticMeshComponent: StaticMeshComponent;
-	static GetDefaultObject(): Manipulator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Manipulator;
-	static C(Other: UObject | any): Manipulator;
+declare class ClothCollisionData { 
+	Spheres: ClothCollisionPrim_Sphere[];
+	SphereConnections: ClothCollisionPrim_SphereConnection[];
+	Convexes: ClothCollisionPrim_Convex[];
+	clone() : ClothCollisionData;
+	static C(Other: UObject | any): ClothCollisionData;
 }
 
-declare class GameplayTask_ClaimResource extends GameplayTask { 
-	static Load(ResourceName: string): GameplayTask_ClaimResource;
-	static Find(Outer: UObject, ResourceName: string): GameplayTask_ClaimResource;
-	static GetDefaultObject(): GameplayTask_ClaimResource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_ClaimResource;
-	static C(Other: UObject | any): GameplayTask_ClaimResource;
+declare type MaskTarget_PhysMesh = 'None' | 'MaxDistance' | 'BackstopDistance' | 'BackstopRadius' | 'AnimDriveMultiplier' | 'MaskTarget_MAX';
+declare var MaskTarget_PhysMesh : { None:'None',MaxDistance:'MaxDistance',BackstopDistance:'BackstopDistance',BackstopRadius:'BackstopRadius',AnimDriveMultiplier:'AnimDriveMultiplier',MaskTarget_MAX:'MaskTarget_MAX', };
+declare class ClothParameterMask_PhysMesh { 
+	MaskName: string;
+	CurrentTarget: MaskTarget_PhysMesh;
+	MaxValue: number;
+	MinValue: number;
+	Values: number[];
+	bEnabled: boolean;
+	clone() : ClothParameterMask_PhysMesh;
+	static C(Other: UObject | any): ClothParameterMask_PhysMesh;
 }
 
-declare class GameplayTask_SpawnActor extends GameplayTask { 
-	Success: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
-	DidNotSpawn: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
-	ClassToSpawn: UnrealEngineClass;
-	static Load(ResourceName: string): GameplayTask_SpawnActor;
-	static Find(Outer: UObject, ResourceName: string): GameplayTask_SpawnActor;
-	static GetDefaultObject(): GameplayTask_SpawnActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_SpawnActor;
-	FinishSpawningActor(WorldContextObject: UObject,SpawnedActor: Actor): void;
-	BeginSpawningActor(WorldContextObject: UObject,SpawnedActor?: Actor): {SpawnedActor: Actor, $: boolean};
-	static C(Other: UObject | any): GameplayTask_SpawnActor;
+declare class ClothLODData { 
+	PhysicalMeshData: ClothPhysicalMeshData;
+	CollisionData: ClothCollisionData;
+	ParameterMasks: ClothParameterMask_PhysMesh[];
+	clone() : ClothLODData;
+	static C(Other: UObject | any): ClothLODData;
 }
 
-declare class GameplayTask_TimeLimitedExecution extends GameplayTask { 
-	OnFinished: UnrealEngineMulticastDelegate<() => void>;
-	OnTimeExpired: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): GameplayTask_TimeLimitedExecution;
-	static Find(Outer: UObject, ResourceName: string): GameplayTask_TimeLimitedExecution;
-	static GetDefaultObject(): GameplayTask_TimeLimitedExecution;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_TimeLimitedExecution;
-	static C(Other: UObject | any): GameplayTask_TimeLimitedExecution;
+declare class ClothingAsset extends ClothingAssetBase { 
+	PhysicsAsset: PhysicsAsset;
+	ClothConfig: ClothConfig;
+	LodData: ClothLODData[];
+	LodMap: number[];
+	UsedBoneNames: string[];
+	UsedBoneIndices: number[];
+	ReferenceBoneIndex: number;
+	CustomData: ClothingAssetCustomData;
+	static Load(ResourceName: string): ClothingAsset;
+	static Find(Outer: UObject, ResourceName: string): ClothingAsset;
+	static GetDefaultObject(): ClothingAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAsset;
+	static C(Other: UObject | any): ClothingAsset;
 }
 
-declare class GameplayTask_WaitDelay extends GameplayTask { 
-	OnFinish: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): GameplayTask_WaitDelay;
-	static Find(Outer: UObject, ResourceName: string): GameplayTask_WaitDelay;
-	static GetDefaultObject(): GameplayTask_WaitDelay;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_WaitDelay;
-	static C(Other: UObject | any): GameplayTask_WaitDelay;
+declare class ClothingSimulationFactoryNv extends ClothingSimulationFactory { 
+	static Load(ResourceName: string): ClothingSimulationFactoryNv;
+	static Find(Outer: UObject, ResourceName: string): ClothingSimulationFactoryNv;
+	static GetDefaultObject(): ClothingSimulationFactoryNv;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingSimulationFactoryNv;
+	static C(Other: UObject | any): ClothingSimulationFactoryNv;
 }
 
-declare class GameplayTaskOwnerInterface extends Interface { 
-	static Load(ResourceName: string): GameplayTaskOwnerInterface;
-	static Find(Outer: UObject, ResourceName: string): GameplayTaskOwnerInterface;
-	static GetDefaultObject(): GameplayTaskOwnerInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskOwnerInterface;
-	static C(Other: UObject | any): GameplayTaskOwnerInterface;
+declare class ClothingSimulationInteractorNv extends ClothingSimulationInteractor { 
+	static Load(ResourceName: string): ClothingSimulationInteractorNv;
+	static Find(Outer: UObject, ResourceName: string): ClothingSimulationInteractorNv;
+	static GetDefaultObject(): ClothingSimulationInteractorNv;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingSimulationInteractorNv;
+	SetAnimDriveSpringStiffness(InStiffness: number): void;
+	SetAnimDriveDamperStiffness(InStiffness: number): void;
+	EnableGravityOverride(InVector: Vector): void;
+	DisableGravityOverride(): void;
+	static C(Other: UObject | any): ClothingSimulationInteractorNv;
 }
 
-declare class BlueprintGameplayTagLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): BlueprintGameplayTagLibrary;
-	static Find(Outer: UObject, ResourceName: string): BlueprintGameplayTagLibrary;
-	static GetDefaultObject(): BlueprintGameplayTagLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGameplayTagLibrary;
-	static RemoveGameplayTag(TagContainer?: GameplayTagContainer,Tag?: GameplayTag): {TagContainer: GameplayTagContainer, $: boolean};
-	static NotEqual_TagTag(A: GameplayTag,B: string): boolean;
-	static NotEqual_TagContainerTagContainer(A: GameplayTagContainer,B: string): boolean;
-	static NotEqual_GameplayTagContainer(A: GameplayTagContainer,B: GameplayTagContainer): boolean;
-	static NotEqual_GameplayTag(A: GameplayTag,B: GameplayTag): boolean;
-	static MatchesTag(TagOne: GameplayTag,TagTwo: GameplayTag,bExactMatch: boolean): boolean;
-	static MatchesAnyTags(TagOne: GameplayTag,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
-	static MakeLiteralGameplayTagContainer(Value: GameplayTagContainer): GameplayTagContainer;
-	static MakeLiteralGameplayTag(Value: GameplayTag): GameplayTag;
-	static MakeGameplayTagQuery(TagQuery: GameplayTagQuery): GameplayTagQuery;
-	static MakeGameplayTagContainerFromTag(SingleTag: GameplayTag): GameplayTagContainer;
-	static MakeGameplayTagContainerFromArray(GameplayTags: GameplayTag[]): GameplayTagContainer;
-	static IsGameplayTagValid(GameplayTag: GameplayTag): boolean;
-	static HasTag(TagContainer: GameplayTagContainer,Tag: GameplayTag,bExactMatch: boolean): boolean;
-	static HasAnyTags(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
-	static HasAllTags(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
-	static GetTagName(GameplayTag: GameplayTag): string;
-	static GetNumGameplayTagsInContainer(TagContainer: GameplayTagContainer): number;
-	static GetDebugStringFromGameplayTagContainer(TagContainer: GameplayTagContainer): string;
-	static GetDebugStringFromGameplayTag(GameplayTag: GameplayTag): string;
-	static GetAllActorsOfClassMatchingTagQuery(WorldContextObject: UObject,ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
-	static EqualEqual_GameplayTagContainer(A: GameplayTagContainer,B: GameplayTagContainer): boolean;
-	static EqualEqual_GameplayTag(A: GameplayTag,B: GameplayTag): boolean;
-	static DoesContainerMatchTagQuery(TagContainer: GameplayTagContainer,TagQuery: GameplayTagQuery): boolean;
-	static BreakGameplayTagContainer(GameplayTagContainer: GameplayTagContainer,GameplayTags?: GameplayTag[]): {GameplayTags: GameplayTag[]};
-	static AppendGameplayTagContainers(InOutTagContainer?: GameplayTagContainer,InTagContainer?: GameplayTagContainer): {InOutTagContainer: GameplayTagContainer};
-	static AddGameplayTag(TagContainer?: GameplayTagContainer,Tag?: GameplayTag): {TagContainer: GameplayTagContainer};
-	static C(Other: UObject | any): BlueprintGameplayTagLibrary;
+declare class ClothingAssetFactory extends ClothingAssetFactoryBase { 
+	static Load(ResourceName: string): ClothingAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): ClothingAssetFactory;
+	static GetDefaultObject(): ClothingAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothingAssetFactory;
+	static C(Other: UObject | any): ClothingAssetFactory;
 }
 
-declare class GameplayTagAssetInterface extends Interface { 
-	static Load(ResourceName: string): GameplayTagAssetInterface;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagAssetInterface;
-	static GetDefaultObject(): GameplayTagAssetInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagAssetInterface;
-	HasMatchingGameplayTag(TagToCheck: GameplayTag): boolean;
-	HasAnyMatchingGameplayTags(TagContainer: GameplayTagContainer): boolean;
-	HasAllMatchingGameplayTags(TagContainer: GameplayTagContainer): boolean;
-	GetOwnedGameplayTags(TagContainer?: GameplayTagContainer): {TagContainer: GameplayTagContainer};
-	static C(Other: UObject | any): GameplayTagAssetInterface;
+declare class SoundNode extends UObject { 
+	ChildNodes: SoundNode[];
+	GraphNode: EdGraphNode;
+	static Load(ResourceName: string): SoundNode;
+	static Find(Outer: UObject, ResourceName: string): SoundNode;
+	static GetDefaultObject(): SoundNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNode;
+	static C(Other: UObject | any): SoundNode;
 }
 
-declare class EditableGameplayTagQueryExpression extends UObject { 
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression;
+declare class SoundCue extends SoundBase { 
+	bOverrideAttenuation: boolean;
+	bExcludeFromRandomNodeBranchCulling: boolean;
+	FirstNode: SoundNode;
+	VolumeMultiplier: number;
+	PitchMultiplier: number;
+	AttenuationOverrides: SoundAttenuationSettings;
+	AllNodes: SoundNode[];
+	SoundCueGraph: EdGraph;
+	SubtitlePriority: number;
+	static Load(ResourceName: string): SoundCue;
+	static Find(Outer: UObject, ResourceName: string): SoundCue;
+	static GetDefaultObject(): SoundCue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCue;
+	static C(Other: UObject | any): SoundCue;
 }
 
-declare class EditableGameplayTagQuery extends UObject { 
-	UserDescription: string;
-	RootExpression: EditableGameplayTagQueryExpression;
-	TagQueryExportText_Helper: GameplayTagQuery;
-	static Load(ResourceName: string): EditableGameplayTagQuery;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQuery;
-	static GetDefaultObject(): EditableGameplayTagQuery;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQuery;
-	static C(Other: UObject | any): EditableGameplayTagQuery;
+declare class VREditorAssetContainer extends DataAsset { 
+	DockableWindowCloseSound: SoundBase;
+	DockableWindowOpenSound: SoundBase;
+	DockableWindowDropSound: SoundBase;
+	DockableWindowDragSound: SoundBase;
+	DropFromContentBrowserSound: SoundBase;
+	RadialMenuOpenSound: SoundBase;
+	RadialMenuCloseSound: SoundBase;
+	TeleportSound: SoundBase;
+	ButtonPressSound: SoundCue;
+	AutoScaleSound: SoundBase;
+	GenericHMDMesh: StaticMesh;
+	PlaneMesh: StaticMesh;
+	CylinderMesh: StaticMesh;
+	LaserPointerStartMesh: StaticMesh;
+	LaserPointerMesh: StaticMesh;
+	LaserPointerEndMesh: StaticMesh;
+	LaserPointerHoverMesh: StaticMesh;
+	VivePreControllerMesh: StaticMesh;
+	OculusControllerMesh: StaticMesh;
+	GenericControllerMesh: StaticMesh;
+	TeleportRootMesh: StaticMesh;
+	WindowMesh: StaticMesh;
+	WindowSelectionBarMesh: StaticMesh;
+	WindowCloseButtonMesh: StaticMesh;
+	RadialMenuMainMesh: StaticMesh;
+	RadialMenuPointerMesh: StaticMesh;
+	PointerCursorMesh: StaticMesh;
+	LineSegmentCylinderMesh: StaticMesh;
+	JointSphereMesh: StaticMesh;
+	DockingButtonMesh: StaticMesh;
+	GridMaterial: MaterialInterface;
+	LaserPointerMaterial: MaterialInterface;
+	LaserPointerTranslucentMaterial: MaterialInterface;
+	WorldMovementPostProcessMaterial: Material;
+	TextMaterial: MaterialInterface;
+	VivePreControllerMaterial: MaterialInterface;
+	OculusControllerMaterial: MaterialInterface;
+	TeleportMaterial: MaterialInterface;
+	WindowMaterial: MaterialInterface;
+	WindowTranslucentMaterial: MaterialInterface;
+	LineMaterial: Material;
+	TranslucentTextMaterial: MaterialInterface;
+	TextFont: Font;
+	static Load(ResourceName: string): VREditorAssetContainer;
+	static Find(Outer: UObject, ResourceName: string): VREditorAssetContainer;
+	static GetDefaultObject(): VREditorAssetContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAssetContainer;
+	static C(Other: UObject | any): VREditorAssetContainer;
+}
+
+declare class EditorWorldExtensionActorData { 
+	Actor: Actor;
+	bValidForPIE: boolean;
+	clone() : EditorWorldExtensionActorData;
+	static C(Other: UObject | any): EditorWorldExtensionActorData;
 }
 
-declare class EditableGameplayTagQueryExpression_AnyTagsMatch extends EditableGameplayTagQueryExpression { 
-	Tags: GameplayTagContainer;
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyTagsMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyTagsMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AnyTagsMatch;
+declare class EditorWorldExtension extends UObject { 
+	ExtensionActors: EditorWorldExtensionActorData[];
+	static Load(ResourceName: string): EditorWorldExtension;
+	static Find(Outer: UObject, ResourceName: string): EditorWorldExtension;
+	static GetDefaultObject(): EditorWorldExtension;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtension;
+	static C(Other: UObject | any): EditorWorldExtension;
 }
 
-declare class EditableGameplayTagQueryExpression_AllTagsMatch extends EditableGameplayTagQueryExpression { 
-	Tags: GameplayTagContainer;
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllTagsMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllTagsMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AllTagsMatch;
+declare type EHorizTextAligment = 'EHTA_Left' | 'EHTA_Center' | 'EHTA_Right' | 'EHTA_MAX';
+declare var EHorizTextAligment : { EHTA_Left:'EHTA_Left',EHTA_Center:'EHTA_Center',EHTA_Right:'EHTA_Right',EHTA_MAX:'EHTA_MAX', };
+declare type EVerticalTextAligment = 'EVRTA_TextTop' | 'EVRTA_TextCenter' | 'EVRTA_TextBottom' | 'EVRTA_QuadTop' | 'EVRTA_MAX';
+declare var EVerticalTextAligment : { EVRTA_TextTop:'EVRTA_TextTop',EVRTA_TextCenter:'EVRTA_TextCenter',EVRTA_TextBottom:'EVRTA_TextBottom',EVRTA_QuadTop:'EVRTA_QuadTop',EVRTA_MAX:'EVRTA_MAX', };
+declare class TextRenderComponent extends PrimitiveComponent { 
+	text: string;
+	TextMaterial: MaterialInterface;
+	Font: Font;
+	HorizontalAlignment: EHorizTextAligment;
+	VerticalAlignment: EVerticalTextAligment;
+	TextRenderColor: Color;
+	XScale: number;
+	YScale: number;
+	WorldSize: number;
+	InvDefaultSize: number;
+	HorizSpacingAdjust: number;
+	VertSpacingAdjust: number;
+	bAlwaysRenderAsText: boolean;
+	static Load(ResourceName: string): TextRenderComponent;
+	static Find(Outer: UObject, ResourceName: string): TextRenderComponent;
+	static GetDefaultObject(): TextRenderComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextRenderComponent;
+	SetYScale(Value: number): void;
+	SetXScale(Value: number): void;
+	SetWorldSize(Value: number): void;
+	SetVertSpacingAdjust(Value: number): void;
+	SetVerticalAlignment(Value: EVerticalTextAligment): void;
+	SetTextRenderColor(Value: Color): void;
+	SetTextMaterial(Material: MaterialInterface): void;
+	SetText(Value: string): void;
+	SetHorizSpacingAdjust(Value: number): void;
+	SetHorizontalAlignment(Value: EHorizTextAligment): void;
+	SetFont(Value: Font): void;
+	K2_SetText(Value: string): void;
+	GetTextWorldSize(): Vector;
+	GetTextLocalSize(): Vector;
+	static C(Other: UObject | any): TextRenderComponent;
+}
+
+declare class PostProcessComponent extends SceneComponent { 
+	Settings: PostProcessSettings;
+	Priority: number;
+	BlendRadius: number;
+	BlendWeight: number;
+	bEnabled: boolean;
+	bUnbound: boolean;
+	static Load(ResourceName: string): PostProcessComponent;
+	static Find(Outer: UObject, ResourceName: string): PostProcessComponent;
+	static GetDefaultObject(): PostProcessComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PostProcessComponent;
+	static C(Other: UObject | any): PostProcessComponent;
+}
+
+declare class VREditorAvatarActor extends Actor { 
+	HeadMeshComponent: StaticMeshComponent;
+	WorldMovementGridMeshComponent: StaticMeshComponent;
+	WorldMovementGridMID: MaterialInstanceDynamic;
+	WorldMovementGridOpacity: number;
+	bIsDrawingWorldMovementPostProcess: boolean;
+	WorldMovementPostProcessMaterial: MaterialInstanceDynamic;
+	ScaleProgressMeshComponent: StaticMeshComponent;
+	CurrentScaleProgressMeshComponent: StaticMeshComponent;
+	UserScaleIndicatorText: TextRenderComponent;
+	FixedUserScaleMID: MaterialInstanceDynamic;
+	TranslucentFixedUserScaleMID: MaterialInstanceDynamic;
+	CurrentUserScaleMID: MaterialInstanceDynamic;
+	TranslucentCurrentUserScaleMID: MaterialInstanceDynamic;
+	PostProcessComponent: PostProcessComponent;
+	VRMode: VREditorMode;
+	static GetDefaultObject(): VREditorAvatarActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAvatarActor;
+	static C(Other: UObject | any): VREditorAvatarActor;
+}
+
+declare class VREditorBaseActor extends Actor { 
+	VRMode: VREditorMode;
+	static GetDefaultObject(): VREditorBaseActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorBaseActor;
+	static C(Other: UObject | any): VREditorBaseActor;
+}
+
+declare type EWidgetSpace = 'World' | 'Screen' | 'EWidgetSpace_MAX';
+declare var EWidgetSpace : { World:'World',Screen:'Screen',EWidgetSpace_MAX:'EWidgetSpace_MAX', };
+declare type EWidgetTimingPolicy = 'RealTime' | 'GameTime' | 'EWidgetTimingPolicy_MAX';
+declare var EWidgetTimingPolicy : { RealTime:'RealTime',GameTime:'GameTime',EWidgetTimingPolicy_MAX:'EWidgetTimingPolicy_MAX', };
+declare type EWidgetBlendMode = 'Opaque' | 'Masked' | 'Transparent' | 'EWidgetBlendMode_MAX';
+declare var EWidgetBlendMode : { Opaque:'Opaque',Masked:'Masked',Transparent:'Transparent',EWidgetBlendMode_MAX:'EWidgetBlendMode_MAX', };
+declare type EWidgetGeometryMode = 'Plane' | 'Cylinder' | 'EWidgetGeometryMode_MAX';
+declare var EWidgetGeometryMode : { Plane:'Plane',Cylinder:'Cylinder',EWidgetGeometryMode_MAX:'EWidgetGeometryMode_MAX', };
+declare class WidgetComponent extends MeshComponent { 
+	Space: EWidgetSpace;
+	TimingPolicy: EWidgetTimingPolicy;
+	WidgetClass: UnrealEngineClass;
+	DrawSize: IntPoint;
+	bManuallyRedraw: boolean;
+	bRedrawRequested: boolean;
+	RedrawTime: number;
+	CurrentDrawSize: IntPoint;
+	bDrawAtDesiredSize: boolean;
+	Pivot: Vector2D;
+	bReceiveHardwareInput: boolean;
+	bWindowFocusable: boolean;
+	bApplyGammaCorrection: boolean;
+	OwnerPlayer: LocalPlayer;
+	BackgroundColor: LinearColor;
+	TintColorAndOpacity: LinearColor;
+	OpacityFromTexture: number;
+	BlendMode: EWidgetBlendMode;
+	bIsTwoSided: boolean;
+	TickWhenOffscreen: boolean;
+	Widget: UserWidget;
+	BodySetup: BodySetup;
+	TranslucentMaterial: MaterialInterface;
+	TranslucentMaterial_OneSided: MaterialInterface;
+	OpaqueMaterial: MaterialInterface;
+	OpaqueMaterial_OneSided: MaterialInterface;
+	MaskedMaterial: MaterialInterface;
+	MaskedMaterial_OneSided: MaterialInterface;
+	RenderTarget: TextureRenderTarget2D;
+	MaterialInstance: MaterialInstanceDynamic;
+	bAddedToScreen: boolean;
+	bEditTimeUsable: boolean;
+	SharedLayerName: string;
+	LayerZOrder: number;
+	GeometryMode: EWidgetGeometryMode;
+	CylinderArcAngle: number;
+	static Load(ResourceName: string): WidgetComponent;
+	static Find(Outer: UObject, ResourceName: string): WidgetComponent;
+	static GetDefaultObject(): WidgetComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetComponent;
+	SetWindowFocusable(bInWindowFocusable: boolean): void;
+	SetWidgetSpace(NewSpace: EWidgetSpace): void;
+	SetWidget(Widget: UserWidget): void;
+	SetTwoSided(bWantTwoSided: boolean): void;
+	SetTintColorAndOpacity(NewTintColorAndOpacity: LinearColor): void;
+	SetTickWhenOffscreen(bWantTickWhenOffscreen: boolean): void;
+	SetRedrawTime(bInRedrawTime: number): void;
+	SetPivot(InPivot: Vector2D): void;
+	SetOwnerPlayer(LocalPlayer: LocalPlayer): void;
+	SetManuallyRedraw(bUseManualRedraw: boolean): void;
+	SetGeometryMode(InGeometryMode: EWidgetGeometryMode): void;
+	SetDrawSize(Size: Vector2D): void;
+	SetDrawAtDesiredSize(InbDrawAtDesiredSize: boolean): void;
+	SetCylinderArcAngle(InCylinderArcAngle: number): void;
+	SetBackgroundColor(NewBackgroundColor: LinearColor): void;
+	RequestRedraw(): void;
+	GetWindowFocusable(): boolean;
+	GetWidgetSpace(): EWidgetSpace;
+	GetUserWidgetObject(): UserWidget;
+	GetTwoSided(): boolean;
+	GetTickWhenOffscreen(): boolean;
+	GetRenderTarget(): TextureRenderTarget2D;
+	GetRedrawTime(): number;
+	GetPivot(): Vector2D;
+	GetOwnerPlayer(): LocalPlayer;
+	GetMaterialInstance(): MaterialInstanceDynamic;
+	GetManuallyRedraw(): boolean;
+	GetGeometryMode(): EWidgetGeometryMode;
+	GetDrawSize(): Vector2D;
+	GetDrawAtDesiredSize(): boolean;
+	GetCylinderArcAngle(): number;
+	GetCurrentDrawSize(): Vector2D;
+	static C(Other: UObject | any): WidgetComponent;
+}
+
+declare type EVREditorWidgetDrawingPolicy = 'Always' | 'Hovering' | 'EVREditorWidgetDrawingPolicy_MAX';
+declare var EVREditorWidgetDrawingPolicy : { Always:'Always',Hovering:'Hovering',EVREditorWidgetDrawingPolicy_MAX:'EVREditorWidgetDrawingPolicy_MAX', };
+declare class VREditorWidgetComponent extends WidgetComponent { 
+	DrawingPolicy: EVREditorWidgetDrawingPolicy;
+	bIsHovering: boolean;
+	bHasEverDrawn: boolean;
+	static Load(ResourceName: string): VREditorWidgetComponent;
+	static Find(Outer: UObject, ResourceName: string): VREditorWidgetComponent;
+	static GetDefaultObject(): VREditorWidgetComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorWidgetComponent;
+	static C(Other: UObject | any): VREditorWidgetComponent;
+}
+
+declare class VREditorFloatingUI extends VREditorBaseActor { 
+	UserWidget: UserWidget;
+	WidgetComponent: VREditorWidgetComponent;
+	WindowMeshComponent: StaticMeshComponent;
+	UserWidgetClass: UnrealEngineClass;
+	static GetDefaultObject(): VREditorFloatingUI;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorFloatingUI;
+	static C(Other: UObject | any): VREditorFloatingUI;
+}
+
+declare class VREditorRadialFloatingUI extends VREditorBaseActor { 
+	WidgetComponents: VREditorWidgetComponent[];
+	WindowMeshComponent: StaticMeshComponent;
+	ArrowMeshComponent: StaticMeshComponent;
+	CentralWidgetComponent: VREditorWidgetComponent;
+	static GetDefaultObject(): VREditorRadialFloatingUI;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorRadialFloatingUI;
+	static C(Other: UObject | any): VREditorRadialFloatingUI;
+}
+
+declare class ViewportDragOperation extends UObject { 
+	static Load(ResourceName: string): ViewportDragOperation;
+	static Find(Outer: UObject, ResourceName: string): ViewportDragOperation;
+	static GetDefaultObject(): ViewportDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportDragOperation;
+	static C(Other: UObject | any): ViewportDragOperation;
 }
 
-declare class EditableGameplayTagQueryExpression_NoTagsMatch extends EditableGameplayTagQueryExpression { 
-	Tags: GameplayTagContainer;
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoTagsMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoTagsMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_NoTagsMatch;
+declare class ViewportDragOperationComponent extends ActorComponent { 
+	DragOperation: ViewportDragOperation;
+	DragOperationSubclass: UnrealEngineClass;
+	static Load(ResourceName: string): ViewportDragOperationComponent;
+	static Find(Outer: UObject, ResourceName: string): ViewportDragOperationComponent;
+	static GetDefaultObject(): ViewportDragOperationComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportDragOperationComponent;
+	static C(Other: UObject | any): ViewportDragOperationComponent;
 }
 
-declare class EditableGameplayTagQueryExpression_AnyExprMatch extends EditableGameplayTagQueryExpression { 
-	Expressions: EditableGameplayTagQueryExpression[];
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyExprMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyExprMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AnyExprMatch;
+declare class VREditorDockableWindow extends VREditorFloatingUI { 
+	DockButtonMeshComponent: StaticMeshComponent;
+	SelectionBarMeshComponent: StaticMeshComponent;
+	CloseButtonMeshComponent: StaticMeshComponent;
+	DockButtonMID: MaterialInstanceDynamic;
+	SelectionBarMID: MaterialInstanceDynamic;
+	SelectionBarTranslucentMID: MaterialInstanceDynamic;
+	CloseButtonMID: MaterialInstanceDynamic;
+	CloseButtonTranslucentMID: MaterialInstanceDynamic;
+	DragOperationComponent: ViewportDragOperationComponent;
+	static GetDefaultObject(): VREditorDockableWindow;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorDockableWindow;
+	static C(Other: UObject | any): VREditorDockableWindow;
 }
 
-declare class EditableGameplayTagQueryExpression_AllExprMatch extends EditableGameplayTagQueryExpression { 
-	Expressions: EditableGameplayTagQueryExpression[];
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllExprMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllExprMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AllExprMatch;
+declare class ViewportTransformer extends UObject { 
+	ViewportWorldInteraction: ViewportWorldInteraction;
+	static Load(ResourceName: string): ViewportTransformer;
+	static Find(Outer: UObject, ResourceName: string): ViewportTransformer;
+	static GetDefaultObject(): ViewportTransformer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportTransformer;
+	Shutdown(): void;
+	ShouldCenterTransformGizmoPivot(): boolean;
+	OnStopDragging(Interactor: ViewportInteractor): void;
+	OnStartDragging(Interactor: ViewportInteractor): void;
+	Init(InitViewportWorldInteraction: ViewportWorldInteraction): void;
+	CanAlignToActors(): boolean;
+	static C(Other: UObject | any): ViewportTransformer;
 }
 
-declare class EditableGameplayTagQueryExpression_NoExprMatch extends EditableGameplayTagQueryExpression { 
-	Expressions: EditableGameplayTagQueryExpression[];
-	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
-	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
-	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoExprMatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoExprMatch;
-	static C(Other: UObject | any): EditableGameplayTagQueryExpression_NoExprMatch;
+declare class GizmoHandle { 
+	clone() : GizmoHandle;
+	static C(Other: UObject | any): GizmoHandle;
 }
 
-declare type EGameplayTagSourceType = 'Native' | 'DefaultTagList' | 'TagList' | 'DataTable' | 'Invalid' | 'EGameplayTagSourceType_MAX';
-declare var EGameplayTagSourceType : { Native:'Native',DefaultTagList:'DefaultTagList',TagList:'TagList',DataTable:'DataTable',Invalid:'Invalid',EGameplayTagSourceType_MAX:'EGameplayTagSourceType_MAX', };
-declare class TableRowBase { 
-	clone() : TableRowBase;
-	static C(Other: UObject | any): TableRowBase;
+declare class GizmoHandleGroup extends SceneComponent { 
+	GizmoMaterial: MaterialInterface;
+	TranslucentGizmoMaterial: MaterialInterface;
+	Handles: GizmoHandle[];
+	OwningTransformGizmoActor: BaseTransformGizmo;
+	DragOperationComponent: ViewportDragOperationComponent;
+	static Load(ResourceName: string): GizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): GizmoHandleGroup;
+	static GetDefaultObject(): GizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GizmoHandleGroup;
+	static C(Other: UObject | any): GizmoHandleGroup;
 }
 
-declare class GameplayTagTableRow extends TableRowBase { 
-	Tag: string;
-	DevComment: string;
-	clone() : GameplayTagTableRow;
-	static C(Other: UObject | any): GameplayTagTableRow;
+declare class BaseTransformGizmo extends Actor { 
+	SceneComponent: SceneComponent;
+	AllHandleGroups: GizmoHandleGroup[];
+	WorldInteraction: ViewportWorldInteraction;
+	static GetDefaultObject(): BaseTransformGizmo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BaseTransformGizmo;
+	static C(Other: UObject | any): BaseTransformGizmo;
 }
 
-declare class GameplayTagsList extends UObject { 
-	ConfigFileName: string;
-	GameplayTagList: GameplayTagTableRow[];
-	static Load(ResourceName: string): GameplayTagsList;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagsList;
-	static GetDefaultObject(): GameplayTagsList;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsList;
-	static C(Other: UObject | any): GameplayTagsList;
+declare class MouseCursorInteractor extends ViewportInteractor { 
+	static Load(ResourceName: string): MouseCursorInteractor;
+	static Find(Outer: UObject, ResourceName: string): MouseCursorInteractor;
+	static GetDefaultObject(): MouseCursorInteractor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MouseCursorInteractor;
+	static C(Other: UObject | any): MouseCursorInteractor;
 }
 
-declare class GameplayTagSource { 
-	SourceName: string;
-	SourceType: EGameplayTagSourceType;
-	SourceTagList: GameplayTagsList;
-	clone() : GameplayTagSource;
-	static C(Other: UObject | any): GameplayTagSource;
+declare class ViewportInteractionAssetContainer extends DataAsset { 
+	GizmoHandleSelectedSound: SoundBase;
+	GizmoHandleDropSound: SoundBase;
+	SelectionChangeSound: SoundBase;
+	SelectionDropSound: SoundBase;
+	SelectionStartDragSound: SoundBase;
+	GridSnapSound: SoundBase;
+	ActorSnapSound: SoundBase;
+	UndoSound: SoundBase;
+	RedoSound: SoundBase;
+	GridMesh: StaticMesh;
+	TranslationHandleMesh: StaticMesh;
+	UniformScaleHandleMesh: StaticMesh;
+	ScaleHandleMesh: StaticMesh;
+	PlaneTranslationHandleMesh: StaticMesh;
+	RotationHandleMesh: StaticMesh;
+	RotationHandleSelectedMesh: StaticMesh;
+	StartRotationIndicatorMesh: StaticMesh;
+	CurrentRotationIndicatorMesh: StaticMesh;
+	FreeRotationHandleMesh: StaticMesh;
+	GridMaterial: MaterialInterface;
+	TransformGizmoMaterial: MaterialInterface;
+	TranslucentTransformGizmoMaterial: MaterialInterface;
+	static Load(ResourceName: string): ViewportInteractionAssetContainer;
+	static Find(Outer: UObject, ResourceName: string): ViewportInteractionAssetContainer;
+	static GetDefaultObject(): ViewportInteractionAssetContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractionAssetContainer;
+	static C(Other: UObject | any): ViewportInteractionAssetContainer;
 }
 
-declare class DataTable extends UObject { 
-	RowStruct: ScriptStruct;
-	bStripFromClientBuilds: boolean;
-	AssetImportData: AssetImportData;
-	ImportPath: string;
-	RowStructName: string;
-	RowsSerializedWithTags: number[];
-	TemporarilyReferencedObjects: any;
-	static Load(ResourceName: string): DataTable;
-	static Find(Outer: UObject, ResourceName: string): DataTable;
-	static GetDefaultObject(): DataTable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTable;
-	static C(Other: UObject | any): DataTable;
-	GetDataTableColumnAsString(PropertyName: string): string[];
-	GetDataTableRowFromName(RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
-	GetDataTableRowNames(OutRowNames?: string[]): {OutRowNames: string[]};
-	static GetDataTableColumnAsString(DataTable: DataTable,PropertyName: string): string[];
-	static GetDataTableRowFromName(Table: DataTable,RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
-	static GetDataTableRowNames(Table: DataTable,OutRowNames?: string[]): {OutRowNames: string[]};
+declare class ViewportWorldInteraction extends EditorWorldExtension { 
+	Interactors: ViewportInteractor[];
+	ViewportTransformer: ViewportTransformer;
+	TransformGizmoActor: BaseTransformGizmo;
+	SnapGridActor: Actor;
+	SnapGridMeshComponent: StaticMeshComponent;
+	SnapGridMID: MaterialInstanceDynamic;
+	DefaultMouseCursorInteractor: MouseCursorInteractor;
+	ActorsToExcludeFromHitTest: any[];
+	AssetContainer: ViewportInteractionAssetContainer;
+	static Load(ResourceName: string): ViewportWorldInteraction;
+	static Find(Outer: UObject, ResourceName: string): ViewportWorldInteraction;
+	static GetDefaultObject(): ViewportWorldInteraction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportWorldInteraction;
+	SetRoomTransformForNextFrame(NewRoomTransform: Transform): void;
+	SetHeadTransform(NewHeadTransform: Transform): void;
+	RemoveInteractor(Interactor: ViewportInteractor): void;
+	GetWorldScaleFactor(): number;
+	GetTransformGizmoActor(): BaseTransformGizmo;
+	GetRoomTransform(): Transform;
+	GetRoomSpaceHeadTransform(): Transform;
+	GetInteractors(): ViewportInteractor[];
+	GetHeadTransform(): Transform;
+	AddInteractor(Interactor: ViewportInteractor): void;
+	AddActorToExcludeFromHitTests(ActorToExcludeFromHitTests: Actor): void;
+	static C(Other: UObject | any): ViewportWorldInteraction;
 }
 
-declare class GameplayTagsManager extends UObject { 
-	TagSources: GameplayTagSource[];
-	GameplayTagTables: DataTable[];
-	static Load(ResourceName: string): GameplayTagsManager;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagsManager;
-	static GetDefaultObject(): GameplayTagsManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsManager;
-	static C(Other: UObject | any): GameplayTagsManager;
+declare type EViewportInteractionDraggingMode = 'Nothing' | 'TransformablesWithGizmo' | 'TransformablesAtLaserImpact' | 'AssistingDrag' | 'TransformablesFreely' | 'World' | 'Interactable' | 'Material' | 'EViewportInteractionDraggingMode_MAX';
+declare var EViewportInteractionDraggingMode : { Nothing:'Nothing',TransformablesWithGizmo:'TransformablesWithGizmo',TransformablesAtLaserImpact:'TransformablesAtLaserImpact',AssistingDrag:'AssistingDrag',TransformablesFreely:'TransformablesFreely',World:'World',Interactable:'Interactable',Material:'Material',EViewportInteractionDraggingMode_MAX:'EViewportInteractionDraggingMode_MAX', };
+declare class ViewportActionKeyInput { 
+	ActionType: string;
+	Event: EInputEvent;
+	bIsInputCaptured: boolean;
+	clone() : ViewportActionKeyInput;
+	static C(Other: UObject | any): ViewportActionKeyInput;
 }
 
-declare class GameplayTagCategoryRemap { 
-	BaseCategory: string;
-	RemapCategories: string[];
-	clone() : GameplayTagCategoryRemap;
-	static C(Other: UObject | any): GameplayTagCategoryRemap;
+declare class ViewportInteractor extends UObject { 
+	KeyToActionMap: any;
+	WorldInteraction: ViewportWorldInteraction;
+	OtherInteractor: ViewportInteractor;
+	static Load(ResourceName: string): ViewportInteractor;
+	static Find(Outer: UObject, ResourceName: string): ViewportInteractor;
+	static GetDefaultObject(): ViewportInteractor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractor;
+	Tick(DeltaTime: number): void;
+	Shutdown(): void;
+	SetDraggingMode(NewDraggingMode: EViewportInteractionDraggingMode): void;
+	IsHoveringOverGizmo(): boolean;
+	HandleInputKey_BP(Action: ViewportActionKeyInput,Key: Key,Event: EInputEvent,bOutWasHandled?: boolean): {bOutWasHandled: boolean};
+	HandleInputAxis_BP(Action: ViewportActionKeyInput,Key: Key,Delta: number,DeltaTime: number,bOutWasHandled?: boolean): {bOutWasHandled: boolean};
+	GetWorldInteraction(): ViewportWorldInteraction;
+	GetTransformAndForwardVector(OutHandTransform?: Transform,OutForwardVector?: Vector): {OutHandTransform: Transform, OutForwardVector: Vector, $: boolean};
+	GetTransform(): Transform;
+	GetOtherInteractor(): ViewportInteractor;
+	GetLaserPointer(LaserPointerStart?: Vector,LaserPointerEnd?: Vector,bEvenIfBlocked?: boolean,LaserLengthOverride?: number): {LaserPointerStart: Vector, LaserPointerEnd: Vector, $: boolean};
+	GetHoverLocation(): Vector;
+	GetDraggingMode(): EViewportInteractionDraggingMode;
+	static C(Other: UObject | any): ViewportInteractor;
 }
 
-declare class GameplayTagRedirect { 
-	OldTagName: string;
-	NewTagName: string;
-	clone() : GameplayTagRedirect;
-	static C(Other: UObject | any): GameplayTagRedirect;
+declare type ETrackingStatus = 'NotTracked' | 'InertialOnly' | 'Tracked' | 'ETrackingStatus_MAX';
+declare var ETrackingStatus : { NotTracked:'NotTracked',InertialOnly:'InertialOnly',Tracked:'Tracked',ETrackingStatus_MAX:'ETrackingStatus_MAX', };
+declare class MotionControllerComponent extends PrimitiveComponent { 
+	PlayerIndex: number;
+	Hand: EControllerHand;
+	MotionSource: string;
+	bDisableLowLatencyUpdate: boolean;
+	CurrentTrackingStatus: ETrackingStatus;
+	bDisplayDeviceModel: boolean;
+	DisplayModelSource: string;
+	CustomDisplayMesh: StaticMesh;
+	DisplayMeshMaterialOverrides: MaterialInterface[];
+	DisplayComponent: PrimitiveComponent;
+	static Load(ResourceName: string): MotionControllerComponent;
+	static Find(Outer: UObject, ResourceName: string): MotionControllerComponent;
+	static GetDefaultObject(): MotionControllerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MotionControllerComponent;
+	SetTrackingSource(NewSource: EControllerHand): void;
+	SetTrackingMotionSource(NewSource: string): void;
+	SetShowDeviceModel(bShowControllerModel: boolean): void;
+	SetDisplayModelSource(NewDisplayModelSource: string): void;
+	SetCustomDisplayMesh(NewDisplayMesh: StaticMesh): void;
+	SetAssociatedPlayerIndex(NewPlayer: number): void;
+	OnMotionControllerUpdated(): void;
+	IsTracked(): boolean;
+	GetTrackingSource(): EControllerHand;
+	GetParameterValue(InName: string,bValueFound?: boolean): {bValueFound: boolean, $: number};
+	static C(Other: UObject | any): MotionControllerComponent;
+	DisableMotionTrackingForComponent(): void;
+	EnableMotionTrackingForComponent(): boolean;
+	IsMotionTrackingEnabledForComponent(): boolean;
+	static DisableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): void;
+	static EnableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
+	static IsMotionTrackingEnabledForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
 }
 
-declare class GameplayTagsSettings extends GameplayTagsList { 
-	ImportTagsFromConfig: boolean;
-	WarnOnInvalidTags: boolean;
-	CategoryRemapping: GameplayTagCategoryRemap[];
-	FastReplication: boolean;
-	GameplayTagTableList: SoftObjectPath[];
-	GameplayTagRedirects: GameplayTagRedirect[];
-	CommonlyReplicatedTags: string[];
-	NumBitsForContainerSize: number;
-	NetIndexFirstBitSegment: number;
-	static Load(ResourceName: string): GameplayTagsSettings;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagsSettings;
-	static GetDefaultObject(): GameplayTagsSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsSettings;
-	static C(Other: UObject | any): GameplayTagsSettings;
+declare class InterpCurvePointQuat { 
+	InVal: number;
+	OutVal: Quat;
+	ArriveTangent: Quat;
+	LeaveTangent: Quat;
+	InterpMode: EInterpCurveMode;
+	clone() : InterpCurvePointQuat;
+	static C(Other: UObject | any): InterpCurvePointQuat;
 }
 
-declare class GameplayTagsDeveloperSettings extends UObject { 
-	DeveloperConfigName: string;
-	static Load(ResourceName: string): GameplayTagsDeveloperSettings;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagsDeveloperSettings;
-	static GetDefaultObject(): GameplayTagsDeveloperSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsDeveloperSettings;
-	static C(Other: UObject | any): GameplayTagsDeveloperSettings;
+declare class InterpCurveQuat { 
+	Points: InterpCurvePointQuat[];
+	bIsLooped: boolean;
+	LoopKeyOffset: number;
+	clone() : InterpCurveQuat;
+	static C(Other: UObject | any): InterpCurveQuat;
 }
 
-declare class GameplayDebuggerNetPack { 
-	clone() : GameplayDebuggerNetPack;
-	static C(Other: UObject | any): GameplayDebuggerNetPack;
+declare class InterpCurvePointFloat { 
+	InVal: number;
+	OutVal: number;
+	ArriveTangent: number;
+	LeaveTangent: number;
+	InterpMode: EInterpCurveMode;
+	clone() : InterpCurvePointFloat;
+	static C(Other: UObject | any): InterpCurvePointFloat;
 }
 
-declare class GameplayDebuggerDebugActor { 
-	Actor: Actor;
-	ActorName: string;
-	SyncCounter: number;
-	clone() : GameplayDebuggerDebugActor;
-	static C(Other: UObject | any): GameplayDebuggerDebugActor;
+declare class InterpCurveFloat { 
+	Points: InterpCurvePointFloat[];
+	bIsLooped: boolean;
+	LoopKeyOffset: number;
+	clone() : InterpCurveFloat;
+	static C(Other: UObject | any): InterpCurveFloat;
 }
 
-declare class GameplayDebuggerRenderingComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): GameplayDebuggerRenderingComponent;
-	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerRenderingComponent;
-	static GetDefaultObject(): GameplayDebuggerRenderingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerRenderingComponent;
-	static C(Other: UObject | any): GameplayDebuggerRenderingComponent;
+declare class SplineCurves { 
+	Position: InterpCurveVector;
+	Rotation: InterpCurveQuat;
+	Scale: InterpCurveVector;
+	ReparamTable: InterpCurveFloat;
+	clone() : SplineCurves;
+	static C(Other: UObject | any): SplineCurves;
 }
 
-declare class GameplayDebuggerCategoryReplicator extends Actor { 
-	OwnerPC: PlayerController;
-	bIsEnabled: boolean;
-	ReplicatedData: GameplayDebuggerNetPack;
-	DebugActor: GameplayDebuggerDebugActor;
-	RenderingComp: GameplayDebuggerRenderingComponent;
-	static GetDefaultObject(): GameplayDebuggerCategoryReplicator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerCategoryReplicator;
-	ServerSetEnabled(bEnable: boolean): void;
-	ServerSetDebugActor(Actor: Actor): void;
-	ServerSetCategoryEnabled(CategoryId: number,bEnable: boolean): void;
-	ServerSendExtensionInputEvent(ExtensionId: number,HandlerId: number): void;
-	ServerSendCategoryInputEvent(CategoryId: number,HandlerId: number): void;
-	static C(Other: UObject | any): GameplayDebuggerCategoryReplicator;
+declare type ESplineCoordinateSpace = 'Local' | 'World' | 'ESplineCoordinateSpace_MAX';
+declare var ESplineCoordinateSpace : { Local:'Local',World:'World',ESplineCoordinateSpace_MAX:'ESplineCoordinateSpace_MAX', };
+declare type ESplinePointType = 'Linear' | 'Curve' | 'Constant' | 'CurveClamped' | 'CurveCustomTangent' | 'ESplinePointType_MAX';
+declare var ESplinePointType : { Linear:'Linear',Curve:'Curve',Constant:'Constant',CurveClamped:'CurveClamped',CurveCustomTangent:'CurveCustomTangent',ESplinePointType_MAX:'ESplinePointType_MAX', };
+declare class SplinePoint { 
+	InputKey: number;
+	Position: Vector;
+	ArriveTangent: Vector;
+	LeaveTangent: Vector;
+	Rotation: Rotator;
+	Scale: Vector;
+	Type: ESplinePointType;
+	clone() : SplinePoint;
+	static C(Other: UObject | any): SplinePoint;
 }
 
-declare type EGameplayDebuggerOverrideMode = 'Enable' | 'Disable' | 'UseDefault' | 'EGameplayDebuggerOverrideMode_MAX';
-declare var EGameplayDebuggerOverrideMode : { Enable:'Enable',Disable:'Disable',UseDefault:'UseDefault',EGameplayDebuggerOverrideMode_MAX:'EGameplayDebuggerOverrideMode_MAX', };
-declare class GameplayDebuggerInputConfig { 
-	ConfigName: string;
-	Key: Key;
-	bModShift: boolean;
-	bModCtrl: boolean;
-	bModAlt: boolean;
-	bModCmd: boolean;
-	clone() : GameplayDebuggerInputConfig;
-	static C(Other: UObject | any): GameplayDebuggerInputConfig;
+declare class SplineComponent extends PrimitiveComponent { 
+	SplineCurves: SplineCurves;
+	SplineInfo: InterpCurveVector;
+	SplineRotInfo: InterpCurveQuat;
+	SplineScaleInfo: InterpCurveVector;
+	SplineReparamTable: InterpCurveFloat;
+	bAllowSplineEditingPerInstance: boolean;
+	ReparamStepsPerSegment: number;
+	Duration: number;
+	bStationaryEndpoints: boolean;
+	bSplineHasBeenEdited: boolean;
+	bModifiedByConstructionScript: boolean;
+	bInputSplinePointsToConstructionScript: boolean;
+	bDrawDebug: boolean;
+	bClosedLoop: boolean;
+	bLoopPositionOverride: boolean;
+	LoopPosition: number;
+	DefaultUpVector: Vector;
+	EditorUnselectedSplineSegmentColor: LinearColor;
+	EditorSelectedSplineSegmentColor: LinearColor;
+	bAllowDiscontinuousSpline: boolean;
+	bShouldVisualizeScale: boolean;
+	ScaleVisualizationWidth: number;
+	static Load(ResourceName: string): SplineComponent;
+	static Find(Outer: UObject, ResourceName: string): SplineComponent;
+	static GetDefaultObject(): SplineComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineComponent;
+	UpdateSpline(): void;
+	SetWorldLocationAtSplinePoint(PointIndex: number,InLocation: Vector): void;
+	SetUpVectorAtSplinePoint(PointIndex: number,InUpVector: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	SetUnselectedSplineSegmentColor(SegmentColor: LinearColor): void;
+	SetTangentsAtSplinePoint(PointIndex: number,InArriveTangent: Vector,InLeaveTangent: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	SetTangentAtSplinePoint(PointIndex: number,InTangent: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	SetSplineWorldPoints(Points: Vector[]): void;
+	SetSplinePointType(PointIndex: number,Type: ESplinePointType,bUpdateSpline: boolean): void;
+	SetSplinePoints(Points: Vector[],CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	SetSplineLocalPoints(Points: Vector[]): void;
+	SetSelectedSplineSegmentColor(SegmentColor: LinearColor): void;
+	SetLocationAtSplinePoint(PointIndex: number,InLocation: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	SetDrawDebug(bShow: boolean): void;
+	SetDefaultUpVector(UpVector: Vector,CoordinateSpace: ESplineCoordinateSpace): void;
+	SetClosedLoopAtPosition(bInClosedLoop: boolean,Key: number,bUpdateSpline: boolean): void;
+	SetClosedLoop(bInClosedLoop: boolean,bUpdateSpline: boolean): void;
+	RemoveSplinePoint(index: number,bUpdateSpline: boolean): void;
+	IsClosedLoop(): boolean;
+	GetWorldTangentAtDistanceAlongSpline(Distance: number): Vector;
+	GetWorldRotationAtTime(Time: number,bUseConstantVelocity: boolean): Rotator;
+	GetWorldRotationAtDistanceAlongSpline(Distance: number): Rotator;
+	GetWorldLocationAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
+	GetWorldLocationAtSplinePoint(PointIndex: number): Vector;
+	GetWorldLocationAtDistanceAlongSpline(Distance: number): Vector;
+	GetWorldDirectionAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
+	GetWorldDirectionAtDistanceAlongSpline(Distance: number): Vector;
+	GetUpVectorAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
+	GetUpVectorAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetUpVectorAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetTransformAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean,bUseScale: boolean): Transform;
+	GetTransformAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
+	GetTransformAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
+	GetTangentAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
+	GetTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetTangentAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetSplinePointType(PointIndex: number): ESplinePointType;
+	GetSplineLength(): number;
+	GetScaleAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
+	GetScaleAtSplinePoint(PointIndex: number): Vector;
+	GetScaleAtDistanceAlongSpline(Distance: number): Vector;
+	GetRotationAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Rotator;
+	GetRotationAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Rotator;
+	GetRotationAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Rotator;
+	GetRollAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): number;
+	GetRollAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): number;
+	GetRollAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): number;
+	GetRightVectorAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
+	GetRightVectorAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetRightVectorAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetNumberOfSplinePoints(): number;
+	GetLocationAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
+	GetLocationAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetLocationAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetLocationAndTangentAtSplinePoint(PointIndex: number,Location?: Vector,Tangent?: Vector,CoordinateSpace?: ESplineCoordinateSpace): {Location: Vector, Tangent: Vector};
+	GetLocalLocationAndTangentAtSplinePoint(PointIndex: number,LocalLocation?: Vector,LocalTangent?: Vector): {LocalLocation: Vector, LocalTangent: Vector};
+	GetLeaveTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetInputKeyAtDistanceAlongSpline(Distance: number): number;
+	GetDistanceAlongSplineAtSplinePoint(PointIndex: number): number;
+	GetDirectionAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
+	GetDirectionAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetDirectionAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetDefaultUpVector(CoordinateSpace: ESplineCoordinateSpace): Vector;
+	GetArriveTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	FindUpVectorClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	FindTransformClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
+	FindTangentClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	FindScaleClosestToWorldLocation(WorldLocation: Vector): Vector;
+	FindRotationClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Rotator;
+	FindRollClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): number;
+	FindRightVectorClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	FindLocationClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	FindInputKeyClosestToWorldLocation(WorldLocation: Vector): number;
+	FindDirectionClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
+	ClearSplinePoints(bUpdateSpline: boolean): void;
+	AddSplineWorldPoint(Position: Vector): void;
+	AddSplinePointAtIndex(Position: Vector,index: number,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	AddSplinePoint(Position: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
+	AddSplineLocalPoint(Position: Vector): void;
+	AddPoints(Points: SplinePoint[],bUpdateSpline: boolean): void;
+	AddPoint(Point: SplinePoint,bUpdateSpline: boolean): void;
+	static C(Other: UObject | any): SplineComponent;
 }
 
-declare class GameplayDebuggerCategoryConfig { 
-	CategoryName: string;
-	SlotIdx: number;
-	ActiveInGame: EGameplayDebuggerOverrideMode;
-	ActiveInSimulate: EGameplayDebuggerOverrideMode;
-	Hidden: EGameplayDebuggerOverrideMode;
-	bOverrideSlotIdx: boolean;
-	InputHandlers: GameplayDebuggerInputConfig[];
-	clone() : GameplayDebuggerCategoryConfig;
-	static C(Other: UObject | any): GameplayDebuggerCategoryConfig;
+declare class SplineMeshParams { 
+	StartPos: Vector;
+	StartTangent: Vector;
+	StartScale: Vector2D;
+	StartRoll: number;
+	StartOffset: Vector2D;
+	EndPos: Vector;
+	EndTangent: Vector;
+	EndScale: Vector2D;
+	EndRoll: number;
+	EndOffset: Vector2D;
+	clone() : SplineMeshParams;
+	static C(Other: UObject | any): SplineMeshParams;
 }
 
-declare class GameplayDebuggerExtensionConfig { 
-	ExtensionName: string;
-	UseExtension: EGameplayDebuggerOverrideMode;
-	InputHandlers: GameplayDebuggerInputConfig[];
-	clone() : GameplayDebuggerExtensionConfig;
-	static C(Other: UObject | any): GameplayDebuggerExtensionConfig;
+declare type ESplineMeshAxis = 'X' | 'Y' | 'Z' | 'ESplineMeshAxis_MAX';
+declare var ESplineMeshAxis : { X:'X',Y:'Y',Z:'Z',ESplineMeshAxis_MAX:'ESplineMeshAxis_MAX', };
+declare class SplineMeshComponent extends StaticMeshComponent { 
+	SplineParams: SplineMeshParams;
+	SplineUpDir: Vector;
+	bAllowSplineEditingPerInstance: boolean;
+	bSmoothInterpRollScale: boolean;
+	ForwardAxis: ESplineMeshAxis;
+	SplineBoundaryMin: number;
+	SplineBoundaryMax: number;
+	BodySetup: BodySetup;
+	CachedMeshBodySetupGuid: Guid;
+	bSelected: boolean;
+	bMeshDirty: boolean;
+	static Load(ResourceName: string): SplineMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): SplineMeshComponent;
+	static GetDefaultObject(): SplineMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineMeshComponent;
+	UpdateMesh(): void;
+	SetStartTangent(StartTangent: Vector,bUpdateMesh: boolean): void;
+	SetStartScale(StartScale: Vector2D,bUpdateMesh: boolean): void;
+	SetStartRoll(StartRoll: number,bUpdateMesh: boolean): void;
+	SetStartPosition(StartPos: Vector,bUpdateMesh: boolean): void;
+	SetStartOffset(StartOffset: Vector2D,bUpdateMesh: boolean): void;
+	SetStartAndEnd(StartPos: Vector,StartTangent: Vector,EndPos: Vector,EndTangent: Vector,bUpdateMesh: boolean): void;
+	SetSplineUpDir(InSplineUpDir: Vector,bUpdateMesh: boolean): void;
+	SetForwardAxis(InForwardAxis: ESplineMeshAxis,bUpdateMesh: boolean): void;
+	SetEndTangent(EndTangent: Vector,bUpdateMesh: boolean): void;
+	SetEndScale(EndScale: Vector2D,bUpdateMesh: boolean): void;
+	SetEndRoll(EndRoll: number,bUpdateMesh: boolean): void;
+	SetEndPosition(EndPos: Vector,bUpdateMesh: boolean): void;
+	SetEndOffset(EndOffset: Vector2D,bUpdateMesh: boolean): void;
+	SetBoundaryMin(InBoundaryMin: number,bUpdateMesh: boolean): void;
+	SetBoundaryMax(InBoundaryMax: number,bUpdateMesh: boolean): void;
+	GetStartTangent(): Vector;
+	GetStartScale(): Vector2D;
+	GetStartRoll(): number;
+	GetStartPosition(): Vector;
+	GetStartOffset(): Vector2D;
+	GetSplineUpDir(): Vector;
+	GetForwardAxis(): ESplineMeshAxis;
+	GetEndTangent(): Vector;
+	GetEndScale(): Vector2D;
+	GetEndRoll(): number;
+	GetEndPosition(): Vector;
+	GetEndOffset(): Vector2D;
+	GetBoundaryMin(): number;
+	GetBoundaryMax(): number;
+	static C(Other: UObject | any): SplineMeshComponent;
 }
 
-declare class GameplayDebuggerConfig extends UObject { 
-	ActivationKey: Key;
-	CategoryRowNextKey: Key;
-	CategoryRowPrevKey: Key;
-	CategorySlot0: Key;
-	CategorySlot1: Key;
-	CategorySlot2: Key;
-	CategorySlot3: Key;
-	CategorySlot4: Key;
-	CategorySlot5: Key;
-	CategorySlot6: Key;
-	CategorySlot7: Key;
-	CategorySlot8: Key;
-	CategorySlot9: Key;
-	DebugCanvasPaddingLeft: number;
-	DebugCanvasPaddingRight: number;
-	DebugCanvasPaddingTop: number;
-	DebugCanvasPaddingBottom: number;
-	Categories: GameplayDebuggerCategoryConfig[];
-	Extensions: GameplayDebuggerExtensionConfig[];
-	static Load(ResourceName: string): GameplayDebuggerConfig;
-	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerConfig;
-	static GetDefaultObject(): GameplayDebuggerConfig;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerConfig;
-	static C(Other: UObject | any): GameplayDebuggerConfig;
+declare class LightComponentBase extends SceneComponent { 
+	LightGuid: Guid;
+	Brightness: number;
+	Intensity: number;
+	LightColor: Color;
+	bAffectsWorld: boolean;
+	CastShadows: boolean;
+	CastStaticShadows: boolean;
+	CastDynamicShadows: boolean;
+	bAffectTranslucentLighting: boolean;
+	bTransmission: boolean;
+	bCastVolumetricShadow: boolean;
+	bCastRaytracedShadow: boolean;
+	bAffectReflection: boolean;
+	IndirectLightingIntensity: number;
+	VolumetricScatteringIntensity: number;
+	SamplesPerPixel: number;
+	StaticEditorTexture: Texture2D;
+	StaticEditorTextureScale: number;
+	DynamicEditorTexture: Texture2D;
+	DynamicEditorTextureScale: number;
+	static Load(ResourceName: string): LightComponentBase;
+	static Find(Outer: UObject, ResourceName: string): LightComponentBase;
+	static GetDefaultObject(): LightComponentBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightComponentBase;
+	SetSamplesPerPixel(NewValue: number): void;
+	SetCastVolumetricShadow(bNewValue: boolean): void;
+	SetCastShadows(bNewValue: boolean): void;
+	SetCastRaytracedShadow(bNewValue: boolean): void;
+	SetAffectReflection(bNewValue: boolean): void;
+	GetLightColor(): LinearColor;
+	static C(Other: UObject | any): LightComponentBase;
+}
+
+declare class TextureLightProfile extends Texture2D { 
+	Brightness: number;
+	TextureMultiplier: number;
+	static Load(ResourceName: string): TextureLightProfile;
+	static Find(Outer: UObject, ResourceName: string): TextureLightProfile;
+	static GetDefaultObject(): TextureLightProfile;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureLightProfile;
+	static C(Other: UObject | any): TextureLightProfile;
+}
+
+declare class LightComponent extends LightComponentBase { 
+	Temperature: number;
+	MaxDrawDistance: number;
+	MaxDistanceFadeRange: number;
+	bUseTemperature: boolean;
+	ShadowMapChannel: number;
+	MinRoughness: number;
+	SpecularScale: number;
+	ShadowResolutionScale: number;
+	ShadowBias: number;
+	ShadowSharpen: number;
+	ContactShadowLength: number;
+	ContactShadowLengthInWS: boolean;
+	InverseSquaredFalloff: boolean;
+	CastTranslucentShadows: boolean;
+	bCastShadowsFromCinematicObjectsOnly: boolean;
+	bAffectDynamicIndirectLighting: boolean;
+	bForceCachedShadowsForMovablePrimitives: boolean;
+	LightingChannels: LightingChannels;
+	LightFunctionMaterial: MaterialInterface;
+	LightFunctionScale: Vector;
+	IESTexture: TextureLightProfile;
+	bUseIESBrightness: boolean;
+	IESBrightnessScale: number;
+	LightFunctionFadeDistance: number;
+	DisabledBrightness: number;
+	bEnableLightShaftBloom: boolean;
+	BloomScale: number;
+	BloomThreshold: number;
+	BloomTint: Color;
+	bUseRayTracedDistanceFieldShadows: boolean;
+	RayStartOffsetDepthScale: number;
+	static Load(ResourceName: string): LightComponent;
+	static Find(Outer: UObject, ResourceName: string): LightComponent;
+	static GetDefaultObject(): LightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightComponent;
+	SetVolumetricScatteringIntensity(NewIntensity: number): void;
+	SetUseIESBrightness(bNewValue: boolean): void;
+	SetTransmission(bNewValue: boolean): void;
+	SetTemperature(NewTemperature: number): void;
+	SetSpecularScale(NewValue: number): void;
+	SetShadowBias(NewValue: number): void;
+	SetLightFunctionScale(NewLightFunctionScale: Vector): void;
+	SetLightFunctionMaterial(NewLightFunctionMaterial: MaterialInterface): void;
+	SetLightFunctionFadeDistance(NewLightFunctionFadeDistance: number): void;
+	SetLightFunctionDisabledBrightness(NewValue: number): void;
+	SetLightColor(NewLightColor: LinearColor,bSRGB: boolean): void;
+	SetIntensity(NewIntensity: number): void;
+	SetIndirectLightingIntensity(NewIntensity: number): void;
+	SetIESTexture(NewValue: TextureLightProfile): void;
+	SetIESBrightnessScale(NewValue: number): void;
+	SetForceCachedShadowsForMovablePrimitives(bNewValue: boolean): void;
+	SetEnableLightShaftBloom(bNewValue: boolean): void;
+	SetBloomTint(NewValue: Color): void;
+	SetBloomThreshold(NewValue: number): void;
+	SetBloomScale(NewValue: number): void;
+	SetAffectTranslucentLighting(bNewValue: boolean): void;
+	SetAffectDynamicIndirectLighting(bNewValue: boolean): void;
+	static C(Other: UObject | any): LightComponent;
+}
+
+declare type ELightUnits = 'Unitless' | 'Candelas' | 'Lumens' | 'ELightUnits_MAX';
+declare var ELightUnits : { Unitless:'Unitless',Candelas:'Candelas',Lumens:'Lumens',ELightUnits_MAX:'ELightUnits_MAX', };
+declare class LightmassLightSettings { 
+	IndirectLightingSaturation: number;
+	ShadowExponent: number;
+	bUseAreaShadowsForStationaryLight: boolean;
+	clone() : LightmassLightSettings;
+	static C(Other: UObject | any): LightmassLightSettings;
+}
+
+declare class LightmassPointLightSettings extends LightmassLightSettings { 
+	clone() : LightmassPointLightSettings;
+	static C(Other: UObject | any): LightmassPointLightSettings;
+}
+
+declare class LocalLightComponent extends LightComponent { 
+	IntensityUnits: ELightUnits;
+	Radius: number;
+	AttenuationRadius: number;
+	LightmassSettings: LightmassPointLightSettings;
+	static Load(ResourceName: string): LocalLightComponent;
+	static Find(Outer: UObject, ResourceName: string): LocalLightComponent;
+	static GetDefaultObject(): LocalLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalLightComponent;
+	SetIntensityUnits(NewIntensityUnits: ELightUnits): void;
+	SetAttenuationRadius(NewRadius: number): void;
+	static GetUnitsConversionFactor(SrcUnits: ELightUnits,TargetUnits: ELightUnits,CosHalfConeAngle: number): number;
+	static C(Other: UObject | any): LocalLightComponent;
+}
+
+declare class PointLightComponent extends LocalLightComponent { 
+	bUseInverseSquaredFalloff: boolean;
+	LightFalloffExponent: number;
+	SourceRadius: number;
+	SoftSourceRadius: number;
+	SourceLength: number;
+	static Load(ResourceName: string): PointLightComponent;
+	static Find(Outer: UObject, ResourceName: string): PointLightComponent;
+	static GetDefaultObject(): PointLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PointLightComponent;
+	SetSourceRadius(bNewValue: number): void;
+	SetSourceLength(NewValue: number): void;
+	SetSoftSourceRadius(bNewValue: number): void;
+	SetLightFalloffExponent(NewLightFalloffExponent: number): void;
+	static C(Other: UObject | any): PointLightComponent;
+}
+
+declare type EControllerType = 'Laser' | 'AssistingLaser' | 'UI' | 'Navigation' | 'Unknown' | 'EControllerType_MAX';
+declare var EControllerType : { Laser:'Laser',AssistingLaser:'AssistingLaser',UI:'UI',Navigation:'Navigation',Unknown:'Unknown',EControllerType_MAX:'EControllerType_MAX', };
+declare class VREditorTeleporter extends Actor { 
+	VRMode: VREditorMode;
+	TeleportDirectionMeshComponent: StaticMeshComponent;
+	HMDMeshComponent: StaticMeshComponent;
+	LeftMotionControllerMeshComponent: StaticMeshComponent;
+	RightMotionControllerMeshComponent: StaticMeshComponent;
+	TeleportMID: MaterialInstanceDynamic;
+	InteractorTryingTeleport: ViewportInteractor;
+	static GetDefaultObject(): VREditorTeleporter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorTeleporter;
+	TeleportDone(): void;
+	StopAiming(): void;
+	StartTeleport(): void;
+	StartAiming(Interactor: ViewportInteractor): void;
+	Shutdown(): void;
+	SetVisibility(bVisible: boolean): void;
+	SetColor(Color: LinearColor): void;
+	IsTeleporting(): boolean;
+	IsAiming(): boolean;
+	Init(InMode: VREditorMode): void;
+	GetVRMode(): VREditorMode;
+	GetSlideDelta(Interactor: VREditorInteractor,Axis: boolean): number;
+	GetInteractorTryingTeleport(): ViewportInteractor;
+	DoTeleport(): void;
+	static C(Other: UObject | any): VREditorTeleporter;
+}
+
+declare class VREditorInteractor extends ViewportInteractor { 
+	MotionControllerComponent: MotionControllerComponent;
+	HandMeshComponent: StaticMeshComponent;
+	LaserSplineComponent: SplineComponent;
+	LaserSplineMeshComponents: SplineMeshComponent[];
+	LaserPointerMID: MaterialInstanceDynamic;
+	TranslucentLaserPointerMID: MaterialInstanceDynamic;
+	HoverMeshComponent: StaticMeshComponent;
+	HoverPointLightComponent: PointLightComponent;
+	HandMeshMID: MaterialInstanceDynamic;
+	ControllerType: EControllerType;
+	OverrideControllerType: EControllerType;
+	ControllerMotionSource: string;
+	VRMode: VREditorMode;
+	static Load(ResourceName: string): VREditorInteractor;
+	static Find(Outer: UObject, ResourceName: string): VREditorInteractor;
+	static GetDefaultObject(): VREditorInteractor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorInteractor;
+	TryOverrideControllerType(InControllerType: EControllerType): boolean;
+	SetupComponent(OwningActor: Actor): void;
+	SetForceShowLaser(bInForceShow: boolean): void;
+	SetForceLaserColor(InColor: LinearColor): void;
+	SetControllerType(InControllerType: EControllerType): void;
+	SetControllerHandSide(InControllerHandSide: string): void;
+	IsTouchingTrackpad(): boolean;
+	IsHoveringOverUI(): boolean;
+	IsClickingOnUI(): boolean;
+	Init(InVRMode: VREditorMode): void;
+	GetTrackpadPosition(): Vector2D;
+	GetTeleportActor(): VREditorTeleporter;
+	GetSlideDelta(): number;
+	GetSelectAndMoveTriggerValue(): number;
+	GetMotionControllerComponent(): MotionControllerComponent;
+	GetLastTrackpadPosition(): Vector2D;
+	GetLaserStart(): Vector;
+	GetLaserEnd(): Vector;
+	GetHMDDeviceType(): string;
+	GetControllerType(): EControllerType;
+	GetControllerSide(): EControllerHand;
+	static C(Other: UObject | any): VREditorInteractor;
+}
+
+declare class VRButton { 
+	ButtonWidget: VREditorWidgetComponent;
+	clone() : VRButton;
+	static C(Other: UObject | any): VRButton;
+}
+
+declare class VRRadialMenuHandler extends UObject { 
+	static Load(ResourceName: string): VRRadialMenuHandler;
+	static Find(Outer: UObject, ResourceName: string): VRRadialMenuHandler;
+	static GetDefaultObject(): VRRadialMenuHandler;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRRadialMenuHandler;
+	static C(Other: UObject | any): VRRadialMenuHandler;
+}
+
+declare class VREditorUISystem extends UObject { 
+	VRMode: VREditorMode;
+	FloatingUIs: any;
+	PreviewWindowInfo: any;
+	InfoDisplayPanel: VREditorFloatingUI;
+	QuickRadialMenu: VREditorRadialFloatingUI;
+	DraggingUI: VREditorDockableWindow;
+	ColorPickerUI: VREditorDockableWindow;
+	LaserInteractor: VREditorInteractor;
+	UIInteractor: VREditorInteractor;
+	VRButtons: VRButton[];
+	RadialMenuHandler: VRRadialMenuHandler;
+	static Load(ResourceName: string): VREditorUISystem;
+	static Find(Outer: UObject, ResourceName: string): VREditorUISystem;
+	static GetDefaultObject(): VREditorUISystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorUISystem;
+	static C(Other: UObject | any): VREditorUISystem;
+}
+
+declare class VREditorPlacement extends UObject { 
+	VRMode: VREditorMode;
+	ViewportWorldInteraction: ViewportWorldInteraction;
+	FloatingUIAssetDraggedFrom: WidgetComponent;
+	PlacingMaterialOrTextureAsset: UObject;
+	static Load(ResourceName: string): VREditorPlacement;
+	static Find(Outer: UObject, ResourceName: string): VREditorPlacement;
+	static GetDefaultObject(): VREditorPlacement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorPlacement;
+	static C(Other: UObject | any): VREditorPlacement;
+}
+
+declare class VREditorMode extends EditorWorldExtension { 
+	AvatarActor: VREditorAvatarActor;
+	UISystem: VREditorUISystem;
+	TeleportActor: VREditorTeleporter;
+	AutoScalerSystem: VREditorAutoScaler;
+	WorldInteraction: ViewportWorldInteraction;
+	PlacementSystem: VREditorPlacement;
+	Interactors: VREditorInteractor[];
+	AssetContainer: VREditorAssetContainer;
+	static Load(ResourceName: string): VREditorMode;
+	static Find(Outer: UObject, ResourceName: string): VREditorMode;
+	static GetDefaultObject(): VREditorMode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorMode;
+	GetWorldScaleFactor(): number;
+	static C(Other: UObject | any): VREditorMode;
+}
+
+declare class VREditorAutoScaler extends UObject { 
+	VRMode: VREditorMode;
+	static Load(ResourceName: string): VREditorAutoScaler;
+	static Find(Outer: UObject, ResourceName: string): VREditorAutoScaler;
+	static GetDefaultObject(): VREditorAutoScaler;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAutoScaler;
+	static C(Other: UObject | any): VREditorAutoScaler;
+}
+
+declare class VREditorBaseUserWidget extends UserWidget { 
+	Owner: any;
+	static Load(ResourceName: string): VREditorBaseUserWidget;
+	static Find(Outer: UObject, ResourceName: string): VREditorBaseUserWidget;
+	static GetDefaultObject(): VREditorBaseUserWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorBaseUserWidget;
+	static C(Other: UObject | any): VREditorBaseUserWidget;
+}
+
+declare class DockableWindowDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): DockableWindowDragOperation;
+	static Find(Outer: UObject, ResourceName: string): DockableWindowDragOperation;
+	static GetDefaultObject(): DockableWindowDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DockableWindowDragOperation;
+	static C(Other: UObject | any): DockableWindowDragOperation;
+}
+
+declare class VREditorFloatingCameraUI extends VREditorFloatingUI { 
+	LinkedActor: any;
+	static GetDefaultObject(): VREditorFloatingCameraUI;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorFloatingCameraUI;
+	static C(Other: UObject | any): VREditorFloatingCameraUI;
+}
+
+declare class FloatingText extends Actor { 
+	SceneComponent: SceneComponent;
+	FirstLineComponent: StaticMeshComponent;
+	JointSphereComponent: StaticMeshComponent;
+	SecondLineComponent: StaticMeshComponent;
+	TextComponent: TextRenderComponent;
+	MaskedTextMaterial: MaterialInterface;
+	TranslucentTextMaterial: MaterialInterface;
+	LineMaterial: MaterialInterface;
+	LineMaterialMID: MaterialInstanceDynamic;
+	static GetDefaultObject(): FloatingText;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatingText;
+	static C(Other: UObject | any): FloatingText;
+}
+
+declare class VISettings extends UObject { 
+	bScaleWorldFromFloor: boolean;
+	bScaleWorldWithDynamicPivot: boolean;
+	bAllowSimultaneousWorldScalingAndRotation: boolean;
+	static Load(ResourceName: string): VISettings;
+	static Find(Outer: UObject, ResourceName: string): VISettings;
+	static GetDefaultObject(): VISettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VISettings;
+	static C(Other: UObject | any): VISettings;
+}
+
+declare type EInteractorHand = 'Right' | 'Left' | 'EInteractorHand_MAX';
+declare var EInteractorHand : { Right:'Right',Left:'Left',EInteractorHand_MAX:'EInteractorHand_MAX', };
+declare class VRModeSettings extends VISettings { 
+	bEnableAutoVREditMode: boolean;
+	bAutokeySequences: boolean;
+	InteractorHand: EInteractorHand;
+	bShowWorldMovementGrid: boolean;
+	bShowWorldMovementPostProcess: boolean;
+	bShowWorldScaleProgressBar: boolean;
+	UIBrightness: number;
+	GizmoScale: number;
+	DoubleClickTime: number;
+	TriggerPressedThreshold_Vive: number;
+	TriggerPressedThreshold_Rift: number;
+	InteractorClass: UnrealEngineClass;
+	TeleporterClass: UnrealEngineClass;
+	static Load(ResourceName: string): VRModeSettings;
+	static Find(Outer: UObject, ResourceName: string): VRModeSettings;
+	static GetDefaultObject(): VRModeSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRModeSettings;
+	static C(Other: UObject | any): VRModeSettings;
+}
+
+declare class VRScoutingInteractor extends VREditorInteractor { 
+	FlyingIndicatorComponent: StaticMeshComponent;
+	static Load(ResourceName: string): VRScoutingInteractor;
+	static Find(Outer: UObject, ResourceName: string): VRScoutingInteractor;
+	static GetDefaultObject(): VRScoutingInteractor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRScoutingInteractor;
+	static GetSelectedActors(): Actor[];
+	static C(Other: UObject | any): VRScoutingInteractor;
 }
 
-declare class GameplayDebuggerPlayerData { 
-	Controller: GameplayDebuggerLocalController;
-	InputComponent: InputComponent;
-	Replicator: GameplayDebuggerCategoryReplicator;
-	clone() : GameplayDebuggerPlayerData;
-	static C(Other: UObject | any): GameplayDebuggerPlayerData;
+declare type ELocalizationTargetConflictStatus = 'Unknown' | 'ConflictsPresent' | 'Clear' | 'ELocalizationTargetConflictStatus_MAX';
+declare var ELocalizationTargetConflictStatus : { Unknown:'Unknown',ConflictsPresent:'ConflictsPresent',Clear:'Clear',ELocalizationTargetConflictStatus_MAX:'ELocalizationTargetConflictStatus_MAX', };
+declare class FilePath { 
+	FilePath: string;
+	clone() : FilePath;
+	static C(Other: UObject | any): FilePath;
 }
 
-declare class GameplayDebuggerPlayerManager extends Actor { 
-	PlayerData: GameplayDebuggerPlayerData[];
-	PendingRegistrations: GameplayDebuggerCategoryReplicator[];
-	static GetDefaultObject(): GameplayDebuggerPlayerManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerPlayerManager;
-	static C(Other: UObject | any): GameplayDebuggerPlayerManager;
+declare type ELocalizationGatherPathRoot = 'Auto' | 'Engine' | 'Project' | 'ELocalizationGatherPathRoot_MAX';
+declare var ELocalizationGatherPathRoot : { Auto:'Auto',Engine:'Engine',Project:'Project',ELocalizationGatherPathRoot_MAX:'ELocalizationGatherPathRoot_MAX', };
+declare class GatherTextSearchDirectory { 
+	PathRoot: ELocalizationGatherPathRoot;
+	Path: string;
+	clone() : GatherTextSearchDirectory;
+	static C(Other: UObject | any): GatherTextSearchDirectory;
 }
 
-declare class GameplayDebuggerLocalController extends UObject { 
-	CachedReplicator: GameplayDebuggerCategoryReplicator;
-	CachedPlayerManager: GameplayDebuggerPlayerManager;
-	DebugActorCandidate: Actor;
-	static Load(ResourceName: string): GameplayDebuggerLocalController;
-	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerLocalController;
-	static GetDefaultObject(): GameplayDebuggerLocalController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerLocalController;
-	static C(Other: UObject | any): GameplayDebuggerLocalController;
+declare class GatherTextExcludePath { 
+	PathRoot: ELocalizationGatherPathRoot;
+	Pattern: string;
+	clone() : GatherTextExcludePath;
+	static C(Other: UObject | any): GatherTextExcludePath;
 }
 
-declare class AIBlueprintHelperLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): AIBlueprintHelperLibrary;
-	static Find(Outer: UObject, ResourceName: string): AIBlueprintHelperLibrary;
-	static GetDefaultObject(): AIBlueprintHelperLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIBlueprintHelperLibrary;
-	static UnlockAIResourcesWithAnimation(AnimInstance: AnimInstance,bUnlockMovement: boolean,UnlockAILogic: boolean): void;
-	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
-	static SendAIMessage(Target: Pawn,Message: string,MessageSource: UObject,bSuccess: boolean): void;
-	static LockAIResourcesWithAnimation(AnimInstance: AnimInstance,bLockMovement: boolean,LockAILogic: boolean): void;
-	static IsValidAIRotation(Rotation: Rotator): boolean;
-	static IsValidAILocation(Location: Vector): boolean;
-	static IsValidAIDirection(DirectionVector: Vector): boolean;
-	static GetCurrentPath(Controller: Controller): NavigationPath;
-	static GetBlackboard(Target: Actor): BlackboardComponent;
-	static GetAIController(ControlledActor: Actor): AIController;
-	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
-	static C(Other: UObject | any): AIBlueprintHelperLibrary;
+declare class GatherTextFileExtension { 
+	Pattern: string;
+	clone() : GatherTextFileExtension;
+	static C(Other: UObject | any): GatherTextFileExtension;
 }
 
-declare class AIDataProvider extends UObject { 
-	static Load(ResourceName: string): AIDataProvider;
-	static Find(Outer: UObject, ResourceName: string): AIDataProvider;
-	static GetDefaultObject(): AIDataProvider;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider;
-	static C(Other: UObject | any): AIDataProvider;
+declare class GatherTextFromTextFilesConfiguration { 
+	IsEnabled: boolean;
+	SearchDirectories: GatherTextSearchDirectory[];
+	ExcludePathWildcards: GatherTextExcludePath[];
+	FileExtensions: GatherTextFileExtension[];
+	ShouldGatherFromEditorOnlyData: boolean;
+	clone() : GatherTextFromTextFilesConfiguration;
+	static C(Other: UObject | any): GatherTextFromTextFilesConfiguration;
 }
 
-declare class AIDataProvider_QueryParams extends AIDataProvider { 
-	ParamName: string;
-	FloatValue: number;
-	IntValue: number;
-	BoolValue: boolean;
-	static Load(ResourceName: string): AIDataProvider_QueryParams;
-	static Find(Outer: UObject, ResourceName: string): AIDataProvider_QueryParams;
-	static GetDefaultObject(): AIDataProvider_QueryParams;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider_QueryParams;
-	static C(Other: UObject | any): AIDataProvider_QueryParams;
+declare class GatherTextIncludePath { 
+	PathRoot: ELocalizationGatherPathRoot;
+	Pattern: string;
+	clone() : GatherTextIncludePath;
+	static C(Other: UObject | any): GatherTextIncludePath;
 }
 
-declare class AIDataProvider_Random extends AIDataProvider_QueryParams { 
-	Min: number;
-	Max: number;
-	bInteger: boolean;
-	static Load(ResourceName: string): AIDataProvider_Random;
-	static Find(Outer: UObject, ResourceName: string): AIDataProvider_Random;
-	static GetDefaultObject(): AIDataProvider_Random;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider_Random;
-	static C(Other: UObject | any): AIDataProvider_Random;
+declare class GatherTextFromPackagesConfiguration { 
+	IsEnabled: boolean;
+	IncludePathWildcards: GatherTextIncludePath[];
+	ExcludePathWildcards: GatherTextExcludePath[];
+	FileExtensions: GatherTextFileExtension[];
+	Collections: string[];
+	ShouldGatherFromEditorOnlyData: boolean;
+	SkipGatherCache: boolean;
+	clone() : GatherTextFromPackagesConfiguration;
+	static C(Other: UObject | any): GatherTextFromPackagesConfiguration;
 }
 
-declare class AIHotSpotManager extends UObject { 
-	static Load(ResourceName: string): AIHotSpotManager;
-	static Find(Outer: UObject, ResourceName: string): AIHotSpotManager;
-	static GetDefaultObject(): AIHotSpotManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIHotSpotManager;
-	static C(Other: UObject | any): AIHotSpotManager;
+declare class MetaDataKeyName { 
+	Name: string;
+	clone() : MetaDataKeyName;
+	static C(Other: UObject | any): MetaDataKeyName;
 }
 
-declare class AIPerceptionListenerInterface extends Interface { 
-	static Load(ResourceName: string): AIPerceptionListenerInterface;
-	static Find(Outer: UObject, ResourceName: string): AIPerceptionListenerInterface;
-	static GetDefaultObject(): AIPerceptionListenerInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionListenerInterface;
-	static C(Other: UObject | any): AIPerceptionListenerInterface;
+declare class MetaDataTextKeyPattern { 
+	Pattern: string;
+	clone() : MetaDataTextKeyPattern;
+	static C(Other: UObject | any): MetaDataTextKeyPattern;
 }
 
-declare class AIPerceptionStimuliSourceComponent extends ActorComponent { 
-	bAutoRegisterAsSource: boolean;
-	RegisterAsSourceForSenses: UnrealEngineClass[];
-	static Load(ResourceName: string): AIPerceptionStimuliSourceComponent;
-	static Find(Outer: UObject, ResourceName: string): AIPerceptionStimuliSourceComponent;
-	static GetDefaultObject(): AIPerceptionStimuliSourceComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionStimuliSourceComponent;
-	UnregisterFromSense(SenseClass: UnrealEngineClass): void;
-	UnregisterFromPerceptionSystem(): void;
-	RegisterWithPerceptionSystem(): void;
-	RegisterForSense(SenseClass: UnrealEngineClass): void;
-	static C(Other: UObject | any): AIPerceptionStimuliSourceComponent;
+declare class MetaDataKeyGatherSpecification { 
+	MetaDataKey: MetaDataKeyName;
+	TextNamespace: string;
+	TextKeyPattern: MetaDataTextKeyPattern;
+	clone() : MetaDataKeyGatherSpecification;
+	static C(Other: UObject | any): MetaDataKeyGatherSpecification;
 }
 
-declare class AIResourceInterface extends Interface { 
-	static Load(ResourceName: string): AIResourceInterface;
-	static Find(Outer: UObject, ResourceName: string): AIResourceInterface;
-	static GetDefaultObject(): AIResourceInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResourceInterface;
-	static C(Other: UObject | any): AIResourceInterface;
+declare class GatherTextFromMetaDataConfiguration { 
+	IsEnabled: boolean;
+	IncludePathWildcards: GatherTextIncludePath[];
+	ExcludePathWildcards: GatherTextExcludePath[];
+	KeySpecifications: MetaDataKeyGatherSpecification[];
+	ShouldGatherFromEditorOnlyData: boolean;
+	clone() : GatherTextFromMetaDataConfiguration;
+	static C(Other: UObject | any): GatherTextFromMetaDataConfiguration;
 }
 
-declare class AIResource_Movement extends GameplayTaskResource { 
-	static Load(ResourceName: string): AIResource_Movement;
-	static Find(Outer: UObject, ResourceName: string): AIResource_Movement;
-	static GetDefaultObject(): AIResource_Movement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Movement;
-	static C(Other: UObject | any): AIResource_Movement;
+declare type ELocalizedTextCollapseMode = 'IdenticalTextIdAndSource' | 'IdenticalPackageIdTextIdAndSource' | 'IdenticalNamespaceAndSource' | 'ELocalizedTextCollapseMode_MAX';
+declare var ELocalizedTextCollapseMode : { IdenticalTextIdAndSource:'IdenticalTextIdAndSource',IdenticalPackageIdTextIdAndSource:'IdenticalPackageIdTextIdAndSource',IdenticalNamespaceAndSource:'IdenticalNamespaceAndSource',ELocalizedTextCollapseMode_MAX:'ELocalizedTextCollapseMode_MAX', };
+declare class LocalizationExportingSettings { 
+	CollapseMode: ELocalizedTextCollapseMode;
+	ShouldPersistCommentsOnExport: boolean;
+	ShouldAddSourceLocationsAsComments: boolean;
+	clone() : LocalizationExportingSettings;
+	static C(Other: UObject | any): LocalizationExportingSettings;
 }
 
-declare class AIResource_Logic extends GameplayTaskResource { 
-	static Load(ResourceName: string): AIResource_Logic;
-	static Find(Outer: UObject, ResourceName: string): AIResource_Logic;
-	static GetDefaultObject(): AIResource_Logic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Logic;
-	static C(Other: UObject | any): AIResource_Logic;
+declare class LocalizationCompilationSettings { 
+	SkipSourceCheck: boolean;
+	clone() : LocalizationCompilationSettings;
+	static C(Other: UObject | any): LocalizationCompilationSettings;
 }
 
-declare type EUserDefinedStructureStatus = 'UDSS_UpToDate' | 'UDSS_Dirty' | 'UDSS_Error' | 'UDSS_Duplicate' | 'UDSS_MAX';
-declare var EUserDefinedStructureStatus : { UDSS_UpToDate:'UDSS_UpToDate',UDSS_Dirty:'UDSS_Dirty',UDSS_Error:'UDSS_Error',UDSS_Duplicate:'UDSS_Duplicate',UDSS_MAX:'UDSS_MAX', };
-declare class UserDefinedStruct extends ScriptStruct { 
-	PrimaryStruct: any;
-	ErrorMessage: string;
-	EditorData: UObject;
-	Status: EUserDefinedStructureStatus;
-	Guid: Guid;
-	static Load(ResourceName: string): UserDefinedStruct;
-	static Find(Outer: UObject, ResourceName: string): UserDefinedStruct;
-	static GetDefaultObject(): UserDefinedStruct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedStruct;
-	static C(Other: UObject | any): UserDefinedStruct;
+declare class DirectoryPath { 
+	Path: string;
+	clone() : DirectoryPath;
+	static C(Other: UObject | any): DirectoryPath;
 }
 
-declare class AISense_Blueprint extends AISense { 
-	ListenerDataType: UnrealEngineClass;
-	ListenerContainer: AIPerceptionComponent[];
-	UnprocessedEvents: AISenseEvent[];
-	static Load(ResourceName: string): AISense_Blueprint;
-	static Find(Outer: UObject, ResourceName: string): AISense_Blueprint;
-	static GetDefaultObject(): AISense_Blueprint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Blueprint;
-	OnUpdate(EventsToProcess: AISenseEvent[]): number;
-	OnListenerUpdated(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
-	OnListenerUnregistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
-	OnListenerRegistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
-	K2_OnNewPawn(NewPawn: Pawn): void;
-	GetAllListenerComponents(ListenerComponents?: AIPerceptionComponent[]): {ListenerComponents: AIPerceptionComponent[]};
-	GetAllListenerActors(ListenerActors?: Actor[]): {ListenerActors: Actor[]};
-	static C(Other: UObject | any): AISense_Blueprint;
+declare class LocalizationImportDialogueSettings { 
+	RawAudioPath: DirectoryPath;
+	ImportedDialogueFolder: string;
+	bImportNativeAsSource: boolean;
+	clone() : LocalizationImportDialogueSettings;
+	static C(Other: UObject | any): LocalizationImportDialogueSettings;
 }
 
-declare class AIDamageEvent { 
-	Amount: number;
-	Location: Vector;
-	HitLocation: Vector;
-	DamagedActor: Actor;
-	Instigator: Actor;
-	clone() : AIDamageEvent;
-	static C(Other: UObject | any): AIDamageEvent;
+declare class CultureStatistics { 
+	CultureName: string;
+	WordCount: any;
+	clone() : CultureStatistics;
+	static C(Other: UObject | any): CultureStatistics;
 }
 
-declare class AISense_Damage extends AISense { 
-	RegisteredEvents: AIDamageEvent[];
-	static Load(ResourceName: string): AISense_Damage;
-	static Find(Outer: UObject, ResourceName: string): AISense_Damage;
-	static GetDefaultObject(): AISense_Damage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Damage;
-	static ReportDamageEvent(WorldContextObject: UObject,DamagedActor: Actor,Instigator: Actor,DamageAmount: number,EventLocation: Vector,HitLocation: Vector): void;
-	static C(Other: UObject | any): AISense_Damage;
+declare class LocalizationTargetSettings { 
+	Name: string;
+	Guid: Guid;
+	ConflictStatus: ELocalizationTargetConflictStatus;
+	TargetDependencies: Guid[];
+	AdditionalManifestDependencies: FilePath[];
+	RequiredModuleNames: string[];
+	GatherFromTextFiles: GatherTextFromTextFilesConfiguration;
+	GatherFromPackages: GatherTextFromPackagesConfiguration;
+	GatherFromMetaData: GatherTextFromMetaDataConfiguration;
+	ExportSettings: LocalizationExportingSettings;
+	CompileSettings: LocalizationCompilationSettings;
+	ImportDialogueSettings: LocalizationImportDialogueSettings;
+	NativeCultureIndex: number;
+	SupportedCulturesStatistics: CultureStatistics[];
+	clone() : LocalizationTargetSettings;
+	static C(Other: UObject | any): LocalizationTargetSettings;
 }
 
-declare class AINoiseEvent { 
-	NoiseLocation: Vector;
-	Loudness: number;
-	MaxRange: number;
-	Instigator: Actor;
-	Tag: string;
-	clone() : AINoiseEvent;
-	static C(Other: UObject | any): AINoiseEvent;
+declare class LocalizationTarget extends UObject { 
+	Settings: LocalizationTargetSettings;
+	static Load(ResourceName: string): LocalizationTarget;
+	static Find(Outer: UObject, ResourceName: string): LocalizationTarget;
+	static GetDefaultObject(): LocalizationTarget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationTarget;
+	static C(Other: UObject | any): LocalizationTarget;
 }
 
-declare class AISense_Hearing extends AISense { 
-	NoiseEvents: AINoiseEvent[];
-	SpeedOfSoundSq: number;
-	static Load(ResourceName: string): AISense_Hearing;
-	static Find(Outer: UObject, ResourceName: string): AISense_Hearing;
-	static GetDefaultObject(): AISense_Hearing;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Hearing;
-	static ReportNoiseEvent(WorldContextObject: UObject,NoiseLocation: Vector,Loudness: number,Instigator: Actor,MaxRange: number,Tag: string): void;
-	static C(Other: UObject | any): AISense_Hearing;
+declare class LocalizationTargetSet extends UObject { 
+	TargetObjects: LocalizationTarget[];
+	static Load(ResourceName: string): LocalizationTargetSet;
+	static Find(Outer: UObject, ResourceName: string): LocalizationTargetSet;
+	static GetDefaultObject(): LocalizationTargetSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationTargetSet;
+	static C(Other: UObject | any): LocalizationTargetSet;
 }
 
-declare class AIPredictionEvent { 
-	Requestor: Actor;
-	PredictedActor: Actor;
-	clone() : AIPredictionEvent;
-	static C(Other: UObject | any): AIPredictionEvent;
+declare class LocalizationSettings extends UObject { 
+	EngineTargetSet: LocalizationTargetSet;
+	EngineTargetsSettings: LocalizationTargetSettings[];
+	GameTargetSet: LocalizationTargetSet;
+	GameTargetsSettings: LocalizationTargetSettings[];
+	static Load(ResourceName: string): LocalizationSettings;
+	static Find(Outer: UObject, ResourceName: string): LocalizationSettings;
+	static GetDefaultObject(): LocalizationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationSettings;
+	static C(Other: UObject | any): LocalizationSettings;
 }
 
-declare class AISense_Prediction extends AISense { 
-	RegisteredEvents: AIPredictionEvent[];
-	static Load(ResourceName: string): AISense_Prediction;
-	static Find(Outer: UObject, ResourceName: string): AISense_Prediction;
-	static GetDefaultObject(): AISense_Prediction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Prediction;
-	static RequestPawnPredictionEvent(Requestor: Pawn,PredictedActor: Actor,PredictionTime: number): void;
-	static RequestControllerPredictionEvent(Requestor: AIController,PredictedActor: Actor,PredictionTime: number): void;
-	static C(Other: UObject | any): AISense_Prediction;
+declare class CookerStats extends UObject { 
+	Assets: any[];
+	SizeBefore: number;
+	SizeAfter: number;
+	Path: string;
+	static Load(ResourceName: string): CookerStats;
+	static Find(Outer: UObject, ResourceName: string): CookerStats;
+	static GetDefaultObject(): CookerStats;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookerStats;
+	static C(Other: UObject | any): CookerStats;
 }
 
-declare class AISense_Sight extends AISense { 
-	MaxTracesPerTick: number;
-	MinQueriesPerTimeSliceCheck: number;
-	MaxTimeSlicePerTick: any;
-	HighImportanceQueryDistanceThreshold: number;
-	MaxQueryImportance: number;
-	SightLimitQueryImportance: number;
-	static Load(ResourceName: string): AISense_Sight;
-	static Find(Outer: UObject, ResourceName: string): AISense_Sight;
-	static GetDefaultObject(): AISense_Sight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Sight;
-	static C(Other: UObject | any): AISense_Sight;
+declare class LightingBuildInfo extends UObject { 
+	UObject: any;
+	LightingTime: number;
+	UnmappedTexelsPercentage: number;
+	UnmappedTexelsMemory: number;
+	TotalTexelMemory: number;
+	LevelName: string;
+	static Load(ResourceName: string): LightingBuildInfo;
+	static Find(Outer: UObject, ResourceName: string): LightingBuildInfo;
+	static GetDefaultObject(): LightingBuildInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightingBuildInfo;
+	static C(Other: UObject | any): LightingBuildInfo;
 }
 
-declare class AITeamStimulusEvent { 
-	Broadcaster: Actor;
-	Enemy: Actor;
-	clone() : AITeamStimulusEvent;
-	static C(Other: UObject | any): AITeamStimulusEvent;
+declare class PrimitiveStats extends UObject { 
+	UObject: any;
+	Actors: any[];
+	Type: string;
+	Count: number;
+	Sections: number;
+	HWInstances: number;
+	InstSections: number;
+	Triangles: number;
+	InstTriangles: number;
+	ResourceSize: number;
+	VertexColorMem: number;
+	InstVertexColorMem: number;
+	LightsLM: number;
+	LightsOther: number;
+	LightsTotal: number;
+	ObjLightCost: number;
+	LightMapData: number;
+	LMSMResolution: number;
+	RadiusMin: number;
+	RadiusMax: number;
+	RadiusAvg: number;
+	static Load(ResourceName: string): PrimitiveStats;
+	static Find(Outer: UObject, ResourceName: string): PrimitiveStats;
+	static GetDefaultObject(): PrimitiveStats;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimitiveStats;
+	static C(Other: UObject | any): PrimitiveStats;
 }
 
-declare class AISense_Team extends AISense { 
-	RegisteredEvents: AITeamStimulusEvent[];
-	static Load(ResourceName: string): AISense_Team;
-	static Find(Outer: UObject, ResourceName: string): AISense_Team;
-	static GetDefaultObject(): AISense_Team;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Team;
-	static C(Other: UObject | any): AISense_Team;
+declare class StaticMeshLightingInfo extends UObject { 
+	StaticMeshActor: any;
+	StaticMesh: any;
+	LevelName: string;
+	TextureMapping: string;
+	bTextureMapping: boolean;
+	bHasLightmapTexCoords: boolean;
+	StaticLightingResolution: number;
+	TextureLightMapMemoryUsage: number;
+	VertexLightMapMemoryUsage: number;
+	LightMapLightCount: number;
+	TextureShadowMapMemoryUsage: number;
+	VertexShadowMapMemoryUsage: number;
+	ShadowMapLightCount: number;
+	static Load(ResourceName: string): StaticMeshLightingInfo;
+	static Find(Outer: UObject, ResourceName: string): StaticMeshLightingInfo;
+	static GetDefaultObject(): StaticMeshLightingInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshLightingInfo;
+	static C(Other: UObject | any): StaticMeshLightingInfo;
 }
 
-declare class AITouchEvent { 
-	TouchReceiver: Actor;
-	OtherActor: Actor;
-	clone() : AITouchEvent;
-	static C(Other: UObject | any): AITouchEvent;
+declare class TextureStats extends UObject { 
+	Texture: any;
+	Actors: any[];
+	Type: string;
+	MaxDim: Vector2D;
+	CurrentDim: Vector2D;
+	Format: EPixelFormat;
+	Group: TextureGroup;
+	LODBias: number;
+	CurrentKB: number;
+	FullyLoadedKB: number;
+	NumUses: number;
+	LastTimeRendered: number;
+	Path: string;
+	static Load(ResourceName: string): TextureStats;
+	static Find(Outer: UObject, ResourceName: string): TextureStats;
+	static GetDefaultObject(): TextureStats;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureStats;
+	static C(Other: UObject | any): TextureStats;
 }
 
-declare class AISense_Touch extends AISense { 
-	RegisteredEvents: AITouchEvent[];
-	static Load(ResourceName: string): AISense_Touch;
-	static Find(Outer: UObject, ResourceName: string): AISense_Touch;
-	static GetDefaultObject(): AISense_Touch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Touch;
-	static C(Other: UObject | any): AISense_Touch;
+declare class PropertyEntry { 
+	Property: EMaterialProperty;
+	bUseCustomSize: boolean;
+	CustomSize: IntPoint;
+	bUseConstantValue: boolean;
+	ConstantValue: number;
+	clone() : PropertyEntry;
+	static C(Other: UObject | any): PropertyEntry;
 }
 
-declare class AISenseBlueprintListener extends UserDefinedStruct { 
-	static Load(ResourceName: string): AISenseBlueprintListener;
-	static Find(Outer: UObject, ResourceName: string): AISenseBlueprintListener;
-	static GetDefaultObject(): AISenseBlueprintListener;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseBlueprintListener;
-	static C(Other: UObject | any): AISenseBlueprintListener;
+declare class MaterialOptions extends UObject { 
+	Properties: PropertyEntry[];
+	TextureSize: IntPoint;
+	LODIndices: number[];
+	bUseMeshData: boolean;
+	bUseSpecificUVIndex: boolean;
+	TextureCoordinateIndex: number;
+	static Load(ResourceName: string): MaterialOptions;
+	static Find(Outer: UObject, ResourceName: string): MaterialOptions;
+	static GetDefaultObject(): MaterialOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialOptions;
+	static C(Other: UObject | any): MaterialOptions;
+}
+
+declare class AssetBakeOptions extends UObject { 
+	static Load(ResourceName: string): AssetBakeOptions;
+	static Find(Outer: UObject, ResourceName: string): AssetBakeOptions;
+	static GetDefaultObject(): AssetBakeOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetBakeOptions;
+	static C(Other: UObject | any): AssetBakeOptions;
+}
+
+declare type EMaterialBakeMethod = 'IndividualMaterial' | 'AtlasMaterial' | 'BinnedMaterial' | 'EMaterialBakeMethod_MAX';
+declare var EMaterialBakeMethod : { IndividualMaterial:'IndividualMaterial',AtlasMaterial:'AtlasMaterial',BinnedMaterial:'BinnedMaterial',EMaterialBakeMethod_MAX:'EMaterialBakeMethod_MAX', };
+declare class MaterialMergeOptions extends UObject { 
+	Method: EMaterialBakeMethod;
+	BlendMode: EBlendMode;
+	static Load(ResourceName: string): MaterialMergeOptions;
+	static Find(Outer: UObject, ResourceName: string): MaterialMergeOptions;
+	static GetDefaultObject(): MaterialMergeOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialMergeOptions;
+	static C(Other: UObject | any): MaterialMergeOptions;
 }
 
-declare class AISenseConfig_Blueprint extends AISenseConfig { 
-	Implementation: UnrealEngineClass;
-	static Load(ResourceName: string): AISenseConfig_Blueprint;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Blueprint;
-	static GetDefaultObject(): AISenseConfig_Blueprint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Blueprint;
-	static C(Other: UObject | any): AISenseConfig_Blueprint;
+declare class BlueprintFunctionLibrary extends UObject { 
+	static Load(ResourceName: string): BlueprintFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionLibrary;
+	static GetDefaultObject(): BlueprintFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionLibrary;
+	static C(Other: UObject | any): BlueprintFunctionLibrary;
 }
 
-declare class AISenseConfig_Damage extends AISenseConfig { 
-	Implementation: UnrealEngineClass;
-	static Load(ResourceName: string): AISenseConfig_Damage;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Damage;
-	static GetDefaultObject(): AISenseConfig_Damage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Damage;
-	static C(Other: UObject | any): AISenseConfig_Damage;
+declare class MaterialInstanceConstant extends MaterialInstance { 
+	ParameterStateId: Guid;
+	static Load(ResourceName: string): MaterialInstanceConstant;
+	static Find(Outer: UObject, ResourceName: string): MaterialInstanceConstant;
+	static GetDefaultObject(): MaterialInstanceConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceConstant;
+	K2_GetVectorParameterValue(ParameterName: string): LinearColor;
+	K2_GetTextureParameterValue(ParameterName: string): Texture;
+	K2_GetScalarParameterValue(ParameterName: string): number;
+	static C(Other: UObject | any): MaterialInstanceConstant;
+	ClearAllMaterialInstanceParameters(): void;
+	GetMaterialInstanceScalarParameterValue(ParameterName: string): number;
+	GetMaterialInstanceTextureParameterValue(ParameterName: string): Texture;
+	GetMaterialInstanceVectorParameterValue(ParameterName: string): LinearColor;
+	SetMaterialInstanceParent(NewParent: MaterialInterface): void;
+	SetMaterialInstanceScalarParameterValue(ParameterName: string,Value: number): boolean;
+	SetMaterialInstanceTextureParameterValue(ParameterName: string,Value: Texture): boolean;
+	SetMaterialInstanceVectorParameterValue(ParameterName: string,Value: LinearColor): boolean;
+	UpdateMaterialInstance(): void;
+	static ClearAllMaterialInstanceParameters(Instance: MaterialInstanceConstant): void;
+	static GetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): number;
+	static GetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): Texture;
+	static GetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): LinearColor;
+	static SetMaterialInstanceParent(Instance: MaterialInstanceConstant,NewParent: MaterialInterface): void;
+	static SetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: number): boolean;
+	static SetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: Texture): boolean;
+	static SetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: LinearColor): boolean;
+	static UpdateMaterialInstance(Instance: MaterialInstanceConstant): void;
 }
 
-declare class AISenseAffiliationFilter { 
-	bDetectEnemies: boolean;
-	bDetectNeutrals: boolean;
-	bDetectFriendlies: boolean;
-	clone() : AISenseAffiliationFilter;
-	static C(Other: UObject | any): AISenseAffiliationFilter;
+declare class MaterialEditingLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MaterialEditingLibrary;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditingLibrary;
+	static GetDefaultObject(): MaterialEditingLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditingLibrary;
+	static UpdateMaterialInstance(Instance: MaterialInstanceConstant): void;
+	static UpdateMaterialFunction(MaterialFunction: MaterialFunctionInterface,PreviewMaterial: Material): void;
+	static SetMaterialUsage(Material: Material,Usage: EMaterialUsage,bNeedsRecompile?: boolean): {bNeedsRecompile: boolean, $: boolean};
+	static SetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: LinearColor): boolean;
+	static SetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: Texture): boolean;
+	static SetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string,Value: number): boolean;
+	static SetMaterialInstanceParent(Instance: MaterialInstanceConstant,NewParent: MaterialInterface): void;
+	static RecompileMaterial(Material: Material): void;
+	static LayoutMaterialFunctionExpressions(MaterialFunction: MaterialFunction): void;
+	static LayoutMaterialExpressions(Material: Material): void;
+	static GetNumMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): number;
+	static GetNumMaterialExpressions(Material: Material): number;
+	static GetMaterialInstanceVectorParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): LinearColor;
+	static GetMaterialInstanceTextureParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): Texture;
+	static GetMaterialInstanceScalarParameterValue(Instance: MaterialInstanceConstant,ParameterName: string): number;
+	static DeleteMaterialExpressionInFunction(MaterialFunction: MaterialFunction,Expression: MaterialExpression): void;
+	static DeleteMaterialExpression(Material: Material,Expression: MaterialExpression): void;
+	static DeleteAllMaterialExpressionsInFunction(MaterialFunction: MaterialFunction): void;
+	static DeleteAllMaterialExpressions(Material: Material): void;
+	static CreateMaterialExpressionInFunction(MaterialFunction: MaterialFunction,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
+	static CreateMaterialExpression(Material: Material,ExpressionClass: UnrealEngineClass,NodePosX: number,NodePosY: number): MaterialExpression;
+	static ConnectMaterialProperty(FromExpression: MaterialExpression,FromOutputName: string,Property: EMaterialProperty): boolean;
+	static ConnectMaterialExpressions(FromExpression: MaterialExpression,FromOutputName: string,ToExpression: MaterialExpression,ToInputName: string): boolean;
+	static ClearAllMaterialInstanceParameters(Instance: MaterialInstanceConstant): void;
+	static C(Other: UObject | any): MaterialEditingLibrary;
 }
 
-declare class AISenseConfig_Hearing extends AISenseConfig { 
-	Implementation: UnrealEngineClass;
-	HearingRange: number;
-	LoSHearingRange: number;
-	bUseLoSHearing: boolean;
-	DetectionByAffiliation: AISenseAffiliationFilter;
-	static Load(ResourceName: string): AISenseConfig_Hearing;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Hearing;
-	static GetDefaultObject(): AISenseConfig_Hearing;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Hearing;
-	static C(Other: UObject | any): AISenseConfig_Hearing;
+declare class MaterialEditorSettings extends UObject { 
+	MaliOfflineCompilerPath: FilePath;
+	static Load(ResourceName: string): MaterialEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditorSettings;
+	static GetDefaultObject(): MaterialEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorSettings;
+	static C(Other: UObject | any): MaterialEditorSettings;
 }
 
-declare class AISenseConfig_Prediction extends AISenseConfig { 
-	static Load(ResourceName: string): AISenseConfig_Prediction;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Prediction;
-	static GetDefaultObject(): AISenseConfig_Prediction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Prediction;
-	static C(Other: UObject | any): AISenseConfig_Prediction;
+declare type EARWorldMappingState = 'NotAvailable' | 'StillMappingNotRelocalizable' | 'StillMappingRelocalizable' | 'Mapped' | 'EARWorldMappingState_MAX';
+declare var EARWorldMappingState : { NotAvailable:'NotAvailable',StillMappingNotRelocalizable:'StillMappingNotRelocalizable',StillMappingRelocalizable:'StillMappingRelocalizable',Mapped:'Mapped',EARWorldMappingState_MAX:'EARWorldMappingState_MAX', };
+declare type EARTrackingQuality = 'NotTracking' | 'OrientationOnly' | 'OrientationAndPosition' | 'EARTrackingQuality_MAX';
+declare var EARTrackingQuality : { NotTracking:'NotTracking',OrientationOnly:'OrientationOnly',OrientationAndPosition:'OrientationAndPosition',EARTrackingQuality_MAX:'EARTrackingQuality_MAX', };
+declare class ARLightEstimate extends UObject { 
+	static Load(ResourceName: string): ARLightEstimate;
+	static Find(Outer: UObject, ResourceName: string): ARLightEstimate;
+	static GetDefaultObject(): ARLightEstimate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARLightEstimate;
+	static C(Other: UObject | any): ARLightEstimate;
 }
 
-declare class AISenseConfig_Sight extends AISenseConfig { 
-	Implementation: UnrealEngineClass;
-	SightRadius: number;
-	LoseSightRadius: number;
-	PeripheralVisionAngleDegrees: number;
-	DetectionByAffiliation: AISenseAffiliationFilter;
-	AutoSuccessRangeFromLastSeenLocation: number;
-	static Load(ResourceName: string): AISenseConfig_Sight;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Sight;
-	static GetDefaultObject(): AISenseConfig_Sight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Sight;
-	static C(Other: UObject | any): AISenseConfig_Sight;
+declare type EARTextureType = 'CameraImage' | 'CameraDepth' | 'EnvironmentCapture' | 'EARTextureType_MAX';
+declare var EARTextureType : { CameraImage:'CameraImage',CameraDepth:'CameraDepth',EnvironmentCapture:'EnvironmentCapture',EARTextureType_MAX:'EARTextureType_MAX', };
+declare class ARTexture extends Texture { 
+	TextureType: EARTextureType;
+	Timestamp: number;
+	ExternalTextureGuid: Guid;
+	Size: Vector2D;
+	static Load(ResourceName: string): ARTexture;
+	static Find(Outer: UObject, ResourceName: string): ARTexture;
+	static GetDefaultObject(): ARTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTexture;
+	static C(Other: UObject | any): ARTexture;
+}
+
+declare class ARTextureCameraImage extends ARTexture { 
+	static Load(ResourceName: string): ARTextureCameraImage;
+	static Find(Outer: UObject, ResourceName: string): ARTextureCameraImage;
+	static GetDefaultObject(): ARTextureCameraImage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTextureCameraImage;
+	static C(Other: UObject | any): ARTextureCameraImage;
+}
+
+declare type EARDepthQuality = 'Unkown' | 'Low' | 'High' | 'EARDepthQuality_MAX';
+declare var EARDepthQuality : { Unkown:'Unkown',Low:'Low',High:'High',EARDepthQuality_MAX:'EARDepthQuality_MAX', };
+declare type EARDepthAccuracy = 'Unkown' | 'Approximate' | 'Accurate' | 'EARDepthAccuracy_MAX';
+declare var EARDepthAccuracy : { Unkown:'Unkown',Approximate:'Approximate',Accurate:'Accurate',EARDepthAccuracy_MAX:'EARDepthAccuracy_MAX', };
+declare class ARTextureCameraDepth extends ARTexture { 
+	DepthQuality: EARDepthQuality;
+	DepthAccuracy: EARDepthAccuracy;
+	bIsTemporallySmoothed: boolean;
+	static Load(ResourceName: string): ARTextureCameraDepth;
+	static Find(Outer: UObject, ResourceName: string): ARTextureCameraDepth;
+	static GetDefaultObject(): ARTextureCameraDepth;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTextureCameraDepth;
+	static C(Other: UObject | any): ARTextureCameraDepth;
+}
+
+declare type EARSessionStatus = 'NotStarted' | 'Running' | 'NotSupported' | 'FatalError' | 'PermissionNotGranted' | 'UnsupportedConfiguration' | 'Other' | 'EARSessionStatus_MAX';
+declare var EARSessionStatus : { NotStarted:'NotStarted',Running:'Running',NotSupported:'NotSupported',FatalError:'FatalError',PermissionNotGranted:'PermissionNotGranted',UnsupportedConfiguration:'UnsupportedConfiguration',Other:'Other',EARSessionStatus_MAX:'EARSessionStatus_MAX', };
+declare class ARSessionStatus { 
+	AdditionalInfo: string;
+	Status: EARSessionStatus;
+	clone() : ARSessionStatus;
+	static C(Other: UObject | any): ARSessionStatus;
+	static GetARSessionStatus(): ARSessionStatus;
+}
+
+declare class ARTrackedPoint extends ARTrackedGeometry { 
+	static Load(ResourceName: string): ARTrackedPoint;
+	static Find(Outer: UObject, ResourceName: string): ARTrackedPoint;
+	static GetDefaultObject(): ARTrackedPoint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTrackedPoint;
+	static C(Other: UObject | any): ARTrackedPoint;
+}
+
+declare class ARPlaneGeometry extends ARTrackedGeometry { 
+	Center: Vector;
+	Extent: Vector;
+	SubsumedBy: ARPlaneGeometry;
+	static Load(ResourceName: string): ARPlaneGeometry;
+	static Find(Outer: UObject, ResourceName: string): ARPlaneGeometry;
+	static GetDefaultObject(): ARPlaneGeometry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARPlaneGeometry;
+	GetSubsumedBy(): ARPlaneGeometry;
+	GetExtent(): Vector;
+	GetCenter(): Vector;
+	GetBoundaryPolygonInLocalSpace(): Vector[];
+	static C(Other: UObject | any): ARPlaneGeometry;
+}
+
+declare class ARTrackedImage extends ARTrackedGeometry { 
+	bIsTracked: boolean;
+	DetectedImage: ARCandidateImage;
+	EstimatedSize: Vector2D;
+	static Load(ResourceName: string): ARTrackedImage;
+	static Find(Outer: UObject, ResourceName: string): ARTrackedImage;
+	static GetDefaultObject(): ARTrackedImage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTrackedImage;
+	GetEstimateSize(): Vector2D;
+	GetDetectedImage(): ARCandidateImage;
+	static C(Other: UObject | any): ARTrackedImage;
+}
+
+declare class AREnvironmentCaptureProbeTexture extends TextureCube { 
+	TextureType: EARTextureType;
+	Timestamp: number;
+	ExternalTextureGuid: Guid;
+	Size: Vector2D;
+	static Load(ResourceName: string): AREnvironmentCaptureProbeTexture;
+	static Find(Outer: UObject, ResourceName: string): AREnvironmentCaptureProbeTexture;
+	static GetDefaultObject(): AREnvironmentCaptureProbeTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AREnvironmentCaptureProbeTexture;
+	static C(Other: UObject | any): AREnvironmentCaptureProbeTexture;
+}
+
+declare class AREnvironmentCaptureProbe extends ARTrackedGeometry { 
+	EnvironmentCaptureTexture: AREnvironmentCaptureProbeTexture;
+	static Load(ResourceName: string): AREnvironmentCaptureProbe;
+	static Find(Outer: UObject, ResourceName: string): AREnvironmentCaptureProbe;
+	static GetDefaultObject(): AREnvironmentCaptureProbe;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AREnvironmentCaptureProbe;
+	GetExtent(): Vector;
+	GetEnvironmentCaptureTexture(): AREnvironmentCaptureProbeTexture;
+	static C(Other: UObject | any): AREnvironmentCaptureProbe;
+}
+
+declare class ARBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): ARBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): ARBlueprintLibrary;
+	static GetDefaultObject(): ARBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARBlueprintLibrary;
+	static UnpinComponent(ComponentToUnpin: SceneComponent): void;
+	static StopARSession(): void;
+	static StartARSession(SessionConfig: ARSessionConfig): void;
+	static SetAlignmentTransform(InAlignmentTransform: Transform): void;
+	static RemovePin(PinToRemove: ARPin): void;
+	static PinComponentToTraceResult(ComponentToPin: SceneComponent,TraceResult: ARTraceResult,DebugName: string): ARPin;
+	static PinComponent(ComponentToPin: SceneComponent,PinToWorldTransform: Transform,TrackedGeometry: ARTrackedGeometry,DebugName: string): ARPin;
+	static PauseARSession(): void;
+	static LineTraceTrackedObjects3D(Start: Vector,End: Vector,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
+	static LineTraceTrackedObjects(ScreenCoord: Vector2D,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
+	static IsSessionTypeSupported(SessionType: EARSessionType): boolean;
+	static GetWorldMappingStatus(): EARWorldMappingState;
+	static GetTrackingQuality(): EARTrackingQuality;
+	static GetSupportedVideoFormats(SessionType: EARSessionType): ARVideoFormat[];
+	static GetSessionConfig(): ARSessionConfig;
+	static GetPointCloud(): Vector[];
+	static GetCurrentLightEstimate(): ARLightEstimate;
+	static GetCameraImage(): ARTextureCameraImage;
+	static GetCameraDepth(): ARTextureCameraDepth;
+	static GetARSessionStatus(): ARSessionStatus;
+	static GetAllTrackedPoints(): ARTrackedPoint[];
+	static GetAllTrackedPlanes(): ARPlaneGeometry[];
+	static GetAllTrackedImages(): ARTrackedImage[];
+	static GetAllTrackedEnvironmentCaptureProbes(): AREnvironmentCaptureProbe[];
+	static GetAllPins(): ARPin[];
+	static GetAllGeometries(): ARTrackedGeometry[];
+	static DebugDrawTrackedGeometry(TrackedGeometry: ARTrackedGeometry,WorldContextObject: UObject,Color: LinearColor,OutlineThickness: number,PersistForSeconds: number): void;
+	static DebugDrawPin(ARPin: ARPin,WorldContextObject: UObject,Color: LinearColor,Scale: number,PersistForSeconds: number): void;
+	static AddRuntimeCandidateImage(SessionConfig: ARSessionConfig,CandidateTexture: Texture2D,FriendlyName: string,PhysicalWidth: number): ARCandidateImage;
+	static AddManualEnvironmentCaptureProbe(Location: Vector,Extent: Vector): boolean;
+	static C(Other: UObject | any): ARBlueprintLibrary;
 }
 
-declare class AISenseConfig_Team extends AISenseConfig { 
-	static Load(ResourceName: string): AISenseConfig_Team;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Team;
-	static GetDefaultObject(): AISenseConfig_Team;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Team;
-	static C(Other: UObject | any): AISenseConfig_Team;
+declare class ARTraceResultLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): ARTraceResultLibrary;
+	static Find(Outer: UObject, ResourceName: string): ARTraceResultLibrary;
+	static GetDefaultObject(): ARTraceResultLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTraceResultLibrary;
+	static GetTrackedGeometry(TraceResult: ARTraceResult): ARTrackedGeometry;
+	static GetTraceChannel(TraceResult: ARTraceResult): EARLineTraceChannels;
+	static GetLocalToWorldTransform(TraceResult: ARTraceResult): Transform;
+	static GetLocalToTrackingTransform(TraceResult: ARTraceResult): Transform;
+	static GetDistanceFromCamera(TraceResult: ARTraceResult): number;
+	static C(Other: UObject | any): ARTraceResultLibrary;
 }
 
-declare class AISenseConfig_Touch extends AISenseConfig { 
-	static Load(ResourceName: string): AISenseConfig_Touch;
-	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Touch;
-	static GetDefaultObject(): AISenseConfig_Touch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Touch;
-	static C(Other: UObject | any): AISenseConfig_Touch;
+declare class BlueprintAsyncActionBase extends UObject { 
+	static Load(ResourceName: string): BlueprintAsyncActionBase;
+	static Find(Outer: UObject, ResourceName: string): BlueprintAsyncActionBase;
+	static GetDefaultObject(): BlueprintAsyncActionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintAsyncActionBase;
+	Activate(): void;
+	static C(Other: UObject | any): BlueprintAsyncActionBase;
+}
+
+declare class ARBaseAsyncTaskBlueprintProxy extends BlueprintAsyncActionBase { 
+	static Load(ResourceName: string): ARBaseAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): ARBaseAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): ARBaseAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARBaseAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): ARBaseAsyncTaskBlueprintProxy;
+}
+
+declare class ARSaveWorldAsyncTaskBlueprintProxy extends ARBaseAsyncTaskBlueprintProxy { 
+	OnSuccess: UnrealEngineMulticastDelegate<(SavedWorld: number[]) => void>;
+	OnFailed: UnrealEngineMulticastDelegate<(SavedWorld: number[]) => void>;
+	static Load(ResourceName: string): ARSaveWorldAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): ARSaveWorldAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): ARSaveWorldAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSaveWorldAsyncTaskBlueprintProxy;
+	static ARSaveWorld(WorldContextObject: UObject): ARSaveWorldAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): ARSaveWorldAsyncTaskBlueprintProxy;
+}
+
+declare class ARGetCandidateObjectAsyncTaskBlueprintProxy extends ARBaseAsyncTaskBlueprintProxy { 
+	OnSuccess: UnrealEngineMulticastDelegate<(SavedObject: ARCandidateObject) => void>;
+	OnFailed: UnrealEngineMulticastDelegate<(SavedObject: ARCandidateObject) => void>;
+	static Load(ResourceName: string): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+	static ARGetCandidateObject(WorldContextObject: UObject,Location: Vector,Extent: Vector): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): ARGetCandidateObjectAsyncTaskBlueprintProxy;
+}
+
+declare class ARBasicLightEstimate extends ARLightEstimate { 
+	AmbientIntensityLumens: number;
+	AmbientColorTemperatureKelvin: number;
+	AmbientColor: LinearColor;
+	static Load(ResourceName: string): ARBasicLightEstimate;
+	static Find(Outer: UObject, ResourceName: string): ARBasicLightEstimate;
+	static GetDefaultObject(): ARBasicLightEstimate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARBasicLightEstimate;
+	GetAmbientIntensityLumens(): number;
+	GetAmbientColorTemperatureKelvin(): number;
+	GetAmbientColor(): LinearColor;
+	static C(Other: UObject | any): ARBasicLightEstimate;
+}
+
+declare class GameMode extends GameModeBase { 
+	MatchState: string;
+	bDelayedStart: boolean;
+	NumSpectators: number;
+	NumPlayers: number;
+	NumBots: number;
+	MinRespawnDelay: number;
+	NumTravellingPlayers: number;
+	EngineMessageClass: UnrealEngineClass;
+	InactivePlayerArray: PlayerState[];
+	InactivePlayerStateLifeSpan: number;
+	MaxInactivePlayers: number;
+	bHandleDedicatedServerReplays: boolean;
+	static GetDefaultObject(): GameMode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMode;
+	StartMatch(): void;
+	SetBandwidthLimit(AsyncIOBandwidthLimit: number): void;
+	Say(Msg: string): void;
+	RestartGame(): void;
+	ReadyToStartMatch(): boolean;
+	ReadyToEndMatch(): boolean;
+	K2_OnSetMatchState(NewState: string): void;
+	IsMatchInProgress(): boolean;
+	HasMatchEnded(): boolean;
+	GetMatchState(): string;
+	EndMatch(): void;
+	AbortMatch(): void;
+	static C(Other: UObject | any): GameMode;
+}
+
+declare class GameState extends GameStateBase { 
+	MatchState: string;
+	PreviousMatchState: string;
+	ElapsedTime: number;
+	static GetDefaultObject(): GameState;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameState;
+	OnRep_MatchState(): void;
+	OnRep_ElapsedTime(): void;
+	static C(Other: UObject | any): GameState;
+}
+
+declare class ARSharedWorldGameState extends GameState { 
+	PreviewImageData: number[];
+	ARWorldData: number[];
+	PreviewImageBytesTotal: number;
+	ARWorldBytesTotal: number;
+	PreviewImageBytesDelivered: number;
+	ARWorldBytesDelivered: number;
+	static GetDefaultObject(): ARSharedWorldGameState;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSharedWorldGameState;
+	K2_OnARWorldMapIsReady(): void;
+	static C(Other: UObject | any): ARSharedWorldGameState;
+}
+
+declare class ARSharedWorldGameMode extends GameMode { 
+	BufferSizePerChunk: number;
+	static GetDefaultObject(): ARSharedWorldGameMode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSharedWorldGameMode;
+	SetPreviewImageData(ImageData: number[]): void;
+	SetARWorldSharingIsReady(): void;
+	SetARSharedWorldData(ARWorldData: number[]): void;
+	GetARSharedWorldGameState(): ARSharedWorldGameState;
+	static C(Other: UObject | any): ARSharedWorldGameMode;
+}
+
+declare class ARSharedWorldPlayerController extends PlayerController { 
+	static GetDefaultObject(): ARSharedWorldPlayerController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSharedWorldPlayerController;
+	ServerMarkReadyForReceiving(): void;
+	ClientUpdatePreviewImageData(Offset: number,Buffer: number[]): void;
+	ClientUpdateARWorldData(Offset: number,Buffer: number[]): void;
+	ClientInitSharedWorld(PreviewImageSize: number,ARWorldDataSize: number): void;
+	static C(Other: UObject | any): ARSharedWorldPlayerController;
+}
+
+declare type ESkyLightSourceType = 'SLS_CapturedScene' | 'SLS_SpecifiedCubemap' | 'SLS_MAX';
+declare var ESkyLightSourceType : { SLS_CapturedScene:'SLS_CapturedScene',SLS_SpecifiedCubemap:'SLS_SpecifiedCubemap',SLS_MAX:'SLS_MAX', };
+declare type EOcclusionCombineMode = 'OCM_Minimum' | 'OCM_Multiply' | 'OCM_MAX';
+declare var EOcclusionCombineMode : { OCM_Minimum:'OCM_Minimum',OCM_Multiply:'OCM_Multiply',OCM_MAX:'OCM_MAX', };
+declare class SkyLightComponent extends LightComponentBase { 
+	SourceType: ESkyLightSourceType;
+	Cubemap: TextureCube;
+	SourceCubemapAngle: number;
+	CubemapResolution: number;
+	SkyDistanceThreshold: number;
+	bCaptureEmissiveOnly: boolean;
+	bLowerHemisphereIsBlack: boolean;
+	LowerHemisphereColor: LinearColor;
+	OcclusionMaxDistance: number;
+	Contrast: number;
+	OcclusionExponent: number;
+	MinOcclusion: number;
+	OcclusionTint: Color;
+	OcclusionCombineMode: EOcclusionCombineMode;
+	BlendDestinationCubemap: TextureCube;
+	static Load(ResourceName: string): SkyLightComponent;
+	static Find(Outer: UObject, ResourceName: string): SkyLightComponent;
+	static GetDefaultObject(): SkyLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkyLightComponent;
+	SetVolumetricScatteringIntensity(NewIntensity: number): void;
+	SetOcclusionTint(InTint: Color): void;
+	SetOcclusionExponent(InOcclusionExponent: number): void;
+	SetOcclusionContrast(InOcclusionContrast: number): void;
+	SetMinOcclusion(InMinOcclusion: number): void;
+	SetLowerHemisphereColor(InLowerHemisphereColor: LinearColor): void;
+	SetLightColor(NewLightColor: LinearColor): void;
+	SetIntensity(NewIntensity: number): void;
+	SetIndirectLightingIntensity(NewIntensity: number): void;
+	SetCubemapBlend(SourceCubemap: TextureCube,DestinationCubemap: TextureCube,InBlendFraction: number): void;
+	SetCubemap(NewCubemap: TextureCube): void;
+	RecaptureSky(): void;
+	static C(Other: UObject | any): SkyLightComponent;
+}
+
+declare class SkyLight extends Info { 
+	LightComponent: SkyLightComponent;
+	bEnabled: boolean;
+	static GetDefaultObject(): SkyLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkyLight;
+	OnRep_bEnabled(): void;
+	static C(Other: UObject | any): SkyLight;
+}
+
+declare class ARSkyLight extends SkyLight { 
+	CaptureProbe: AREnvironmentCaptureProbe;
+	static GetDefaultObject(): ARSkyLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSkyLight;
+	SetEnvironmentCaptureProbe(InCaptureProbe: AREnvironmentCaptureProbe): void;
+	static C(Other: UObject | any): ARSkyLight;
+}
+
+declare class ARTraceResultDummy extends UObject { 
+	static Load(ResourceName: string): ARTraceResultDummy;
+	static Find(Outer: UObject, ResourceName: string): ARTraceResultDummy;
+	static GetDefaultObject(): ARTraceResultDummy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTraceResultDummy;
+	static C(Other: UObject | any): ARTraceResultDummy;
+}
+
+declare type EAREye = 'LeftEye' | 'RightEye' | 'EAREye_MAX';
+declare var EAREye : { LeftEye:'LeftEye',RightEye:'RightEye',EAREye_MAX:'EAREye_MAX', };
+declare type EARFaceBlendShape = 'EyeBlinkLeft' | 'EyeLookDownLeft' | 'EyeLookInLeft' | 'EyeLookOutLeft' | 'EyeLookUpLeft' | 'EyeSquintLeft' | 'EyeWideLeft' | 'EyeBlinkRight' | 'EyeLookDownRight' | 'EyeLookInRight' | 'EyeLookOutRight' | 'EyeLookUpRight' | 'EyeSquintRight' | 'EyeWideRight' | 'JawForward' | 'JawLeft' | 'JawRight' | 'JawOpen' | 'MouthClose' | 'MouthFunnel' | 'MouthPucker' | 'MouthLeft' | 'MouthRight' | 'MouthSmileLeft' | 'MouthSmileRight' | 'MouthFrownLeft' | 'MouthFrownRight' | 'MouthDimpleLeft' | 'MouthDimpleRight' | 'MouthStretchLeft' | 'MouthStretchRight' | 'MouthRollLower' | 'MouthRollUpper' | 'MouthShrugLower' | 'MouthShrugUpper' | 'MouthPressLeft' | 'MouthPressRight' | 'MouthLowerDownLeft' | 'MouthLowerDownRight' | 'MouthUpperUpLeft' | 'MouthUpperUpRight' | 'BrowDownLeft' | 'BrowDownRight' | 'BrowInnerUp' | 'BrowOuterUpLeft' | 'BrowOuterUpRight' | 'CheekPuff' | 'CheekSquintLeft' | 'CheekSquintRight' | 'NoseSneerLeft' | 'NoseSneerRight' | 'TongueOut' | 'HeadYaw' | 'HeadPitch' | 'HeadRoll' | 'LeftEyeYaw' | 'LeftEyePitch' | 'LeftEyeRoll' | 'RightEyeYaw' | 'RightEyePitch' | 'RightEyeRoll' | 'MAX';
+declare var EARFaceBlendShape : { EyeBlinkLeft:'EyeBlinkLeft',EyeLookDownLeft:'EyeLookDownLeft',EyeLookInLeft:'EyeLookInLeft',EyeLookOutLeft:'EyeLookOutLeft',EyeLookUpLeft:'EyeLookUpLeft',EyeSquintLeft:'EyeSquintLeft',EyeWideLeft:'EyeWideLeft',EyeBlinkRight:'EyeBlinkRight',EyeLookDownRight:'EyeLookDownRight',EyeLookInRight:'EyeLookInRight',EyeLookOutRight:'EyeLookOutRight',EyeLookUpRight:'EyeLookUpRight',EyeSquintRight:'EyeSquintRight',EyeWideRight:'EyeWideRight',JawForward:'JawForward',JawLeft:'JawLeft',JawRight:'JawRight',JawOpen:'JawOpen',MouthClose:'MouthClose',MouthFunnel:'MouthFunnel',MouthPucker:'MouthPucker',MouthLeft:'MouthLeft',MouthRight:'MouthRight',MouthSmileLeft:'MouthSmileLeft',MouthSmileRight:'MouthSmileRight',MouthFrownLeft:'MouthFrownLeft',MouthFrownRight:'MouthFrownRight',MouthDimpleLeft:'MouthDimpleLeft',MouthDimpleRight:'MouthDimpleRight',MouthStretchLeft:'MouthStretchLeft',MouthStretchRight:'MouthStretchRight',MouthRollLower:'MouthRollLower',MouthRollUpper:'MouthRollUpper',MouthShrugLower:'MouthShrugLower',MouthShrugUpper:'MouthShrugUpper',MouthPressLeft:'MouthPressLeft',MouthPressRight:'MouthPressRight',MouthLowerDownLeft:'MouthLowerDownLeft',MouthLowerDownRight:'MouthLowerDownRight',MouthUpperUpLeft:'MouthUpperUpLeft',MouthUpperUpRight:'MouthUpperUpRight',BrowDownLeft:'BrowDownLeft',BrowDownRight:'BrowDownRight',BrowInnerUp:'BrowInnerUp',BrowOuterUpLeft:'BrowOuterUpLeft',BrowOuterUpRight:'BrowOuterUpRight',CheekPuff:'CheekPuff',CheekSquintLeft:'CheekSquintLeft',CheekSquintRight:'CheekSquintRight',NoseSneerLeft:'NoseSneerLeft',NoseSneerRight:'NoseSneerRight',TongueOut:'TongueOut',HeadYaw:'HeadYaw',HeadPitch:'HeadPitch',HeadRoll:'HeadRoll',LeftEyeYaw:'LeftEyeYaw',LeftEyePitch:'LeftEyePitch',LeftEyeRoll:'LeftEyeRoll',RightEyeYaw:'RightEyeYaw',RightEyePitch:'RightEyePitch',RightEyeRoll:'RightEyeRoll',MAX:'MAX', };
+declare class ARFaceGeometry extends ARTrackedGeometry { 
+	LookAtTarget: Vector;
+	bIsTracked: boolean;
+	BlendShapes: any;
+	static Load(ResourceName: string): ARFaceGeometry;
+	static Find(Outer: UObject, ResourceName: string): ARFaceGeometry;
+	static GetDefaultObject(): ARFaceGeometry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARFaceGeometry;
+	GetWorldSpaceEyeTransform(Eye: EAREye): Transform;
+	GetLocalSpaceEyeTransform(Eye: EAREye): Transform;
+	GetBlendShapeValue(BlendShape: EARFaceBlendShape): number;
+	GetBlendShapes(): any;
+	static C(Other: UObject | any): ARFaceGeometry;
+}
+
+declare class ARTrackedObject extends ARTrackedGeometry { 
+	DetectedObject: ARCandidateObject;
+	static Load(ResourceName: string): ARTrackedObject;
+	static Find(Outer: UObject, ResourceName: string): ARTrackedObject;
+	static GetDefaultObject(): ARTrackedObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTrackedObject;
+	GetDetectedObject(): ARCandidateObject;
+	static C(Other: UObject | any): ARTrackedObject;
+}
+
+declare class ARTypesDummyClass extends UObject { 
+	static Load(ResourceName: string): ARTypesDummyClass;
+	static Find(Outer: UObject, ResourceName: string): ARTypesDummyClass;
+	static GetDefaultObject(): ARTypesDummyClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTypesDummyClass;
+	static C(Other: UObject | any): ARTypesDummyClass;
 }
 
-declare class AISenseEvent_Damage extends AISenseEvent { 
-	Event: AIDamageEvent;
-	static Load(ResourceName: string): AISenseEvent_Damage;
-	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Damage;
-	static GetDefaultObject(): AISenseEvent_Damage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Damage;
-	static C(Other: UObject | any): AISenseEvent_Damage;
+declare type EHMDTrackingOrigin = 'Floor' | 'Eye' | 'EHMDTrackingOrigin_MAX';
+declare var EHMDTrackingOrigin : { Floor:'Floor',Eye:'Eye',EHMDTrackingOrigin_MAX:'EHMDTrackingOrigin_MAX', };
+declare type ESpectatorScreenMode = 'Disabled' | 'SingleEyeLetterboxed' | 'Undistorted' | 'Distorted' | 'SingleEye' | 'SingleEyeCroppedToFill' | 'Texture' | 'TexturePlusEye' | 'ESpectatorScreenMode_MAX';
+declare var ESpectatorScreenMode : { Disabled:'Disabled',SingleEyeLetterboxed:'SingleEyeLetterboxed',Undistorted:'Undistorted',Distorted:'Distorted',SingleEye:'SingleEye',SingleEyeCroppedToFill:'SingleEyeCroppedToFill',Texture:'Texture',TexturePlusEye:'TexturePlusEye',ESpectatorScreenMode_MAX:'ESpectatorScreenMode_MAX', };
+declare type EHMDWornState = 'Unknown' | 'Worn' | 'NotWorn' | 'EHMDWornState_MAX';
+declare var EHMDWornState : { Unknown:'Unknown',Worn:'Worn',NotWorn:'NotWorn',EHMDWornState_MAX:'EHMDWornState_MAX', };
+declare type EXRTrackedDeviceType = 'HeadMountedDisplay' | 'Controller' | 'TrackingReference' | 'Other' | 'Invalid' | 'Any' | 'EXRTrackedDeviceType_MAX';
+declare var EXRTrackedDeviceType : { HeadMountedDisplay:'HeadMountedDisplay',Controller:'Controller',TrackingReference:'TrackingReference',Other:'Other',Invalid:'Invalid',Any:'Any',EXRTrackedDeviceType_MAX:'EXRTrackedDeviceType_MAX', };
+declare class HeadMountedDisplayFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): HeadMountedDisplayFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): HeadMountedDisplayFunctionLibrary;
+	static GetDefaultObject(): HeadMountedDisplayFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HeadMountedDisplayFunctionLibrary;
+	static UpdateExternalTrackingHMDPosition(ExternalTrackingTransform: Transform): void;
+	static SetWorldToMetersScale(WorldContext: UObject,NewScale: number): void;
+	static SetTrackingOrigin(Origin: EHMDTrackingOrigin): void;
+	static SetSpectatorScreenTexture(InTexture: Texture): void;
+	static SetSpectatorScreenModeTexturePlusEyeLayout(EyeRectMin: Vector2D,EyeRectMax: Vector2D,TextureRectMin: Vector2D,TextureRectMax: Vector2D,bDrawEyeFirst: boolean,bClearBlack: boolean,bUseAlpha: boolean): void;
+	static SetSpectatorScreenMode(Mode: ESpectatorScreenMode): void;
+	static SetClippingPlanes(Near: number,Far: number): void;
+	static ResetOrientationAndPosition(Yaw: number,Options: EOrientPositionSelector): void;
+	static IsSpectatorScreenModeControllable(): boolean;
+	static IsInLowPersistenceMode(): boolean;
+	static IsHeadMountedDisplayEnabled(): boolean;
+	static IsHeadMountedDisplayConnected(): boolean;
+	static IsDeviceTracking(XRDeviceId: XRDeviceId): boolean;
+	static HasValidTrackingPosition(): boolean;
+	static GetWorldToMetersScale(WorldContext: UObject): number;
+	static GetVRFocusState(bUseFocus?: boolean,bHasFocus?: boolean): {bUseFocus: boolean, bHasFocus: boolean};
+	static GetTrackingToWorldTransform(WorldContext: UObject): Transform;
+	static GetTrackingSensorParameters(Origin?: Vector,Rotation?: Rotator,LeftFOV?: number,RightFOV?: number,TopFOV?: number,BottomFOV?: number,Distance?: number,NearPlane?: number,FarPlane?: number,IsActive?: boolean,index?: number): {Origin: Vector, Rotation: Rotator, LeftFOV: number, RightFOV: number, TopFOV: number, BottomFOV: number, Distance: number, NearPlane: number, FarPlane: number, IsActive: boolean};
+	static GetTrackingOrigin(): EHMDTrackingOrigin;
+	static GetScreenPercentage(): number;
+	static GetPositionalTrackingCameraParameters(CameraOrigin?: Vector,CameraRotation?: Rotator,HFOV?: number,VFOV?: number,CameraDistance?: number,NearPlane?: number,FarPlane?: number): {CameraOrigin: Vector, CameraRotation: Rotator, HFOV: number, VFOV: number, CameraDistance: number, NearPlane: number, FarPlane: number};
+	static GetPixelDensity(): number;
+	static GetOrientationAndPosition(DeviceRotation?: Rotator,DevicePosition?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector};
+	static GetNumOfTrackingSensors(): number;
+	static GetHMDWornState(): EHMDWornState;
+	static GetHMDDeviceName(): string;
+	static GetDeviceWorldPose(WorldContext: UObject,XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	static GetDevicePose(XRDeviceId: XRDeviceId,bIsTracked?: boolean,Orientation?: Rotator,bHasPositionalTracking?: boolean,Position?: Vector): {bIsTracked: boolean, Orientation: Rotator, bHasPositionalTracking: boolean, Position: Vector};
+	static EnumerateTrackedDevices(SystemId: string,DeviceType: EXRTrackedDeviceType): XRDeviceId[];
+	static EnableLowPersistenceMode(bEnable: boolean): void;
+	static EnableHMD(bEnable: boolean): boolean;
+	static CalibrateExternalTrackingToHMD(ExternalTrackingTransform: Transform): void;
+	static C(Other: UObject | any): HeadMountedDisplayFunctionLibrary;
 }
 
-declare class AISenseEvent_Hearing extends AISenseEvent { 
-	Event: AINoiseEvent;
-	static Load(ResourceName: string): AISenseEvent_Hearing;
-	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Hearing;
-	static GetDefaultObject(): AISenseEvent_Hearing;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Hearing;
-	static C(Other: UObject | any): AISenseEvent_Hearing;
+declare class MotionTrackedDeviceFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MotionTrackedDeviceFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MotionTrackedDeviceFunctionLibrary;
+	static GetDefaultObject(): MotionTrackedDeviceFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MotionTrackedDeviceFunctionLibrary;
+	static SetIsControllerMotionTrackingEnabledByDefault(Enable: boolean): void;
+	static IsMotionTrackingEnabledForSource(PlayerIndex: number,SourceName: string): boolean;
+	static IsMotionTrackingEnabledForDevice(PlayerIndex: number,Hand: EControllerHand): boolean;
+	static IsMotionTrackingEnabledForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
+	static IsMotionTrackedDeviceCountManagementNecessary(): boolean;
+	static IsMotionSourceTracking(PlayerIndex: number,SourceName: string): boolean;
+	static GetMotionTrackingEnabledControllerCount(): number;
+	static GetMaximumMotionTrackedControllerCount(): number;
+	static GetActiveTrackingSystemName(): string;
+	static EnumerateMotionSources(): string[];
+	static EnableMotionTrackingOfSource(PlayerIndex: number,SourceName: string): boolean;
+	static EnableMotionTrackingOfDevice(PlayerIndex: number,Hand: EControllerHand): boolean;
+	static EnableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): boolean;
+	static DisableMotionTrackingOfSource(PlayerIndex: number,SourceName: string): void;
+	static DisableMotionTrackingOfDevice(PlayerIndex: number,Hand: EControllerHand): void;
+	static DisableMotionTrackingOfControllersForPlayer(PlayerIndex: number): void;
+	static DisableMotionTrackingOfAllControllers(): void;
+	static DisableMotionTrackingForComponent(MotionControllerComponent: MotionControllerComponent): void;
+	static C(Other: UObject | any): MotionTrackedDeviceFunctionLibrary;
 }
 
-declare class AISightTargetInterface extends Interface { 
-	static Load(ResourceName: string): AISightTargetInterface;
-	static Find(Outer: UObject, ResourceName: string): AISightTargetInterface;
-	static GetDefaultObject(): AISightTargetInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISightTargetInterface;
-	static C(Other: UObject | any): AISightTargetInterface;
+declare class VRNotificationsComponent extends ActorComponent { 
+	HMDTrackingInitializingAndNeedsHMDToBeTrackedDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDTrackingInitializedDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDRecenteredDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDLostDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDReconnectedDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDConnectCanceledDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDPutOnHeadDelegate: UnrealEngineMulticastDelegate<() => void>;
+	HMDRemovedFromHeadDelegate: UnrealEngineMulticastDelegate<() => void>;
+	VRControllerRecenteredDelegate: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): VRNotificationsComponent;
+	static Find(Outer: UObject, ResourceName: string): VRNotificationsComponent;
+	static GetDefaultObject(): VRNotificationsComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRNotificationsComponent;
+	static C(Other: UObject | any): VRNotificationsComponent;
 }
 
-declare class BehaviorTreeTemplateInfo { 
-	Asset: BehaviorTree;
-	Template: BTCompositeNode;
-	clone() : BehaviorTreeTemplateInfo;
-	static C(Other: UObject | any): BehaviorTreeTemplateInfo;
+declare class XRAssetFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): XRAssetFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): XRAssetFunctionLibrary;
+	static GetDefaultObject(): XRAssetFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): XRAssetFunctionLibrary;
+	static AddNamedDeviceVisualizationComponentBlocking(Target: Actor,SystemName: string,DeviceName: string,bManualAttachment: boolean,RelativeTransform: Transform,XRDeviceId?: XRDeviceId): {XRDeviceId: XRDeviceId, $: PrimitiveComponent};
+	static AddDeviceVisualizationComponentBlocking(Target: Actor,XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform): PrimitiveComponent;
+	static C(Other: UObject | any): XRAssetFunctionLibrary;
 }
 
-declare class BehaviorTreeManager extends UObject { 
-	MaxDebuggerSteps: number;
-	LoadedTemplates: BehaviorTreeTemplateInfo[];
-	ActiveComponents: BehaviorTreeComponent[];
-	static Load(ResourceName: string): BehaviorTreeManager;
-	static Find(Outer: UObject, ResourceName: string): BehaviorTreeManager;
-	static GetDefaultObject(): BehaviorTreeManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeManager;
-	static C(Other: UObject | any): BehaviorTreeManager;
+declare class AsyncTask_LoadXRDeviceVisComponent extends BlueprintAsyncActionBase { 
+	OnModelLoaded: UnrealEngineMulticastDelegate<(LoadedComponent: PrimitiveComponent) => void>;
+	OnLoadFailure: UnrealEngineMulticastDelegate<(LoadedComponent: PrimitiveComponent) => void>;
+	SpawnedComponent: PrimitiveComponent;
+	static Load(ResourceName: string): AsyncTask_LoadXRDeviceVisComponent;
+	static Find(Outer: UObject, ResourceName: string): AsyncTask_LoadXRDeviceVisComponent;
+	static GetDefaultObject(): AsyncTask_LoadXRDeviceVisComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncTask_LoadXRDeviceVisComponent;
+	static AddNamedDeviceVisualizationComponentAsync(Target: Actor,SystemName: string,DeviceName: string,bManualAttachment: boolean,RelativeTransform: Transform,XRDeviceId?: XRDeviceId,NewComponent?: PrimitiveComponent): {XRDeviceId: XRDeviceId, NewComponent: PrimitiveComponent, $: AsyncTask_LoadXRDeviceVisComponent};
+	static AddDeviceVisualizationComponentAsync(Target: Actor,XRDeviceId: XRDeviceId,bManualAttachment: boolean,RelativeTransform: Transform,NewComponent?: PrimitiveComponent): {NewComponent: PrimitiveComponent, $: AsyncTask_LoadXRDeviceVisComponent};
+	static C(Other: UObject | any): AsyncTask_LoadXRDeviceVisComponent;
 }
 
-declare class EnvQueryNode extends UObject { 
-	VerNum: number;
-	static Load(ResourceName: string): EnvQueryNode;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryNode;
-	static GetDefaultObject(): EnvQueryNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryNode;
-	static C(Other: UObject | any): EnvQueryNode;
+declare class PreviewSceneProfile { 
+	ProfileName: string;
+	bSharedProfile: boolean;
+	bUseSkyLighting: boolean;
+	DirectionalLightIntensity: number;
+	DirectionalLightColor: LinearColor;
+	SkyLightIntensity: number;
+	bRotateLightingRig: boolean;
+	bShowEnvironment: boolean;
+	bShowFloor: boolean;
+	EnvironmentColor: LinearColor;
+	EnvironmentIntensity: number;
+	EnvironmentCubeMap: TextureCube;
+	EnvironmentCubeMapPath: string;
+	bPostProcessingEnabled: boolean;
+	PostProcessingSettings: PostProcessSettings;
+	LightingRigRotation: number;
+	RotationSpeed: number;
+	DirectionalLightRotation: Rotator;
+	clone() : PreviewSceneProfile;
+	static C(Other: UObject | any): PreviewSceneProfile;
 }
 
-declare class EnvQueryItemType extends UObject { 
-	static Load(ResourceName: string): EnvQueryItemType;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType;
-	static GetDefaultObject(): EnvQueryItemType;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType;
-	static C(Other: UObject | any): EnvQueryItemType;
+declare class LocalProfiles extends UObject { 
+	Profiles: PreviewSceneProfile[];
+	static Load(ResourceName: string): LocalProfiles;
+	static Find(Outer: UObject, ResourceName: string): LocalProfiles;
+	static GetDefaultObject(): LocalProfiles;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalProfiles;
+	static C(Other: UObject | any): LocalProfiles;
 }
 
-declare class EnvQueryGenerator extends EnvQueryNode { 
-	OptionName: string;
-	ItemType: UnrealEngineClass;
-	bAutoSortTests: boolean;
-	static Load(ResourceName: string): EnvQueryGenerator;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator;
-	static GetDefaultObject(): EnvQueryGenerator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator;
-	static C(Other: UObject | any): EnvQueryGenerator;
+declare class SharedProfiles extends UObject { 
+	Profiles: PreviewSceneProfile[];
+	static Load(ResourceName: string): SharedProfiles;
+	static Find(Outer: UObject, ResourceName: string): SharedProfiles;
+	static GetDefaultObject(): SharedProfiles;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SharedProfiles;
+	static C(Other: UObject | any): SharedProfiles;
 }
 
-declare type EEnvTestPurpose = 'Filter' | 'Score' | 'FilterAndScore' | 'EEnvTestPurpose_MAX';
-declare var EEnvTestPurpose : { Filter:'Filter',Score:'Score',FilterAndScore:'FilterAndScore',EEnvTestPurpose_MAX:'EEnvTestPurpose_MAX', };
-declare type EEnvTestFilterOperator = 'AllPass' | 'AnyPass' | 'EEnvTestFilterOperator_MAX';
-declare var EEnvTestFilterOperator : { AllPass:'AllPass',AnyPass:'AnyPass',EEnvTestFilterOperator_MAX:'EEnvTestFilterOperator_MAX', };
-declare type EEnvTestScoreOperator = 'AverageScore' | 'MinScore' | 'MaxScore' | 'EEnvTestScoreOperator_MAX';
-declare var EEnvTestScoreOperator : { AverageScore:'AverageScore',MinScore:'MinScore',MaxScore:'MaxScore',EEnvTestScoreOperator_MAX:'EEnvTestScoreOperator_MAX', };
-declare type EEnvTestFilterType = 'Minimum' | 'Maximum' | 'Range' | 'Match' | 'EEnvTestFilterType_MAX';
-declare var EEnvTestFilterType : { Minimum:'Minimum',Maximum:'Maximum',Range:'Range',Match:'Match',EEnvTestFilterType_MAX:'EEnvTestFilterType_MAX', };
-declare class AIDataProviderValue { 
-	CachedProperty: Property;
-	DataBinding: AIDataProvider;
-	DataField: string;
-	clone() : AIDataProviderValue;
-	static C(Other: UObject | any): AIDataProviderValue;
+declare class AssetViewerSettings extends UObject { 
+	Profiles: PreviewSceneProfile[];
+	static Load(ResourceName: string): AssetViewerSettings;
+	static Find(Outer: UObject, ResourceName: string): AssetViewerSettings;
+	static GetDefaultObject(): AssetViewerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetViewerSettings;
+	static C(Other: UObject | any): AssetViewerSettings;
 }
 
-declare class AIDataProviderTypedValue extends AIDataProviderValue { 
-	PropertyType: UnrealEngineClass;
-	clone() : AIDataProviderTypedValue;
-	static C(Other: UObject | any): AIDataProviderTypedValue;
+declare class Manipulator extends Actor { 
+	AssociatedComponent: SceneComponent;
+	StaticMeshComponent: StaticMeshComponent;
+	static GetDefaultObject(): Manipulator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Manipulator;
+	static C(Other: UObject | any): Manipulator;
 }
 
-declare class AIDataProviderBoolValue extends AIDataProviderTypedValue { 
-	DefaultValue: boolean;
-	clone() : AIDataProviderBoolValue;
-	static C(Other: UObject | any): AIDataProviderBoolValue;
+declare class GameplayTask_ClaimResource extends GameplayTask { 
+	static Load(ResourceName: string): GameplayTask_ClaimResource;
+	static Find(Outer: UObject, ResourceName: string): GameplayTask_ClaimResource;
+	static GetDefaultObject(): GameplayTask_ClaimResource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_ClaimResource;
+	static C(Other: UObject | any): GameplayTask_ClaimResource;
 }
 
-declare class AIDataProviderFloatValue extends AIDataProviderTypedValue { 
-	DefaultValue: number;
-	clone() : AIDataProviderFloatValue;
-	static C(Other: UObject | any): AIDataProviderFloatValue;
+declare class GameplayTask_SpawnActor extends GameplayTask { 
+	Success: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
+	DidNotSpawn: UnrealEngineMulticastDelegate<(SpawnedActor: Actor) => void>;
+	ClassToSpawn: UnrealEngineClass;
+	static Load(ResourceName: string): GameplayTask_SpawnActor;
+	static Find(Outer: UObject, ResourceName: string): GameplayTask_SpawnActor;
+	static GetDefaultObject(): GameplayTask_SpawnActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_SpawnActor;
+	FinishSpawningActor(WorldContextObject: UObject,SpawnedActor: Actor): void;
+	BeginSpawningActor(WorldContextObject: UObject,SpawnedActor?: Actor): {SpawnedActor: Actor, $: boolean};
+	static C(Other: UObject | any): GameplayTask_SpawnActor;
 }
 
-declare type EEnvTestScoreEquation = 'Linear' | 'Square' | 'InverseLinear' | 'SquareRoot' | 'Constant' | 'EEnvTestScoreEquation_MAX';
-declare var EEnvTestScoreEquation : { Linear:'Linear',Square:'Square',InverseLinear:'InverseLinear',SquareRoot:'SquareRoot',Constant:'Constant',EEnvTestScoreEquation_MAX:'EEnvTestScoreEquation_MAX', };
-declare type EEnvQueryTestClamping = 'None' | 'SpecifiedValue' | 'FilterThreshold' | 'EEnvQueryTestClamping_MAX';
-declare var EEnvQueryTestClamping : { None:'None',SpecifiedValue:'SpecifiedValue',FilterThreshold:'FilterThreshold',EEnvQueryTestClamping_MAX:'EEnvQueryTestClamping_MAX', };
-declare type EEQSNormalizationType = 'Absolute' | 'RelativeToScores' | 'EEQSNormalizationType_MAX';
-declare var EEQSNormalizationType : { Absolute:'Absolute',RelativeToScores:'RelativeToScores',EEQSNormalizationType_MAX:'EEQSNormalizationType_MAX', };
-declare class EnvQueryTest extends EnvQueryNode { 
-	TestOrder: number;
-	TestPurpose: EEnvTestPurpose;
-	TestComment: string;
-	MultipleContextFilterOp: EEnvTestFilterOperator;
-	MultipleContextScoreOp: EEnvTestScoreOperator;
-	FilterType: EEnvTestFilterType;
-	BoolValue: AIDataProviderBoolValue;
-	FloatValueMin: AIDataProviderFloatValue;
-	FloatValueMax: AIDataProviderFloatValue;
-	ScoringEquation: EEnvTestScoreEquation;
-	ClampMinType: EEnvQueryTestClamping;
-	ClampMaxType: EEnvQueryTestClamping;
-	NormalizationType: EEQSNormalizationType;
-	ScoreClampMin: AIDataProviderFloatValue;
-	ScoreClampMax: AIDataProviderFloatValue;
-	ScoringFactor: AIDataProviderFloatValue;
-	ReferenceValue: AIDataProviderFloatValue;
-	bDefineReferenceValue: boolean;
-	bWorkOnFloatValues: boolean;
-	static Load(ResourceName: string): EnvQueryTest;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest;
-	static GetDefaultObject(): EnvQueryTest;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest;
-	static C(Other: UObject | any): EnvQueryTest;
+declare class GameplayTask_TimeLimitedExecution extends GameplayTask { 
+	OnFinished: UnrealEngineMulticastDelegate<() => void>;
+	OnTimeExpired: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): GameplayTask_TimeLimitedExecution;
+	static Find(Outer: UObject, ResourceName: string): GameplayTask_TimeLimitedExecution;
+	static GetDefaultObject(): GameplayTask_TimeLimitedExecution;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_TimeLimitedExecution;
+	static C(Other: UObject | any): GameplayTask_TimeLimitedExecution;
 }
 
-declare class EnvQueryOption extends UObject { 
-	Generator: EnvQueryGenerator;
-	Tests: EnvQueryTest[];
-	static Load(ResourceName: string): EnvQueryOption;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryOption;
-	static GetDefaultObject(): EnvQueryOption;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryOption;
-	static C(Other: UObject | any): EnvQueryOption;
+declare class GameplayTask_WaitDelay extends GameplayTask { 
+	OnFinish: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): GameplayTask_WaitDelay;
+	static Find(Outer: UObject, ResourceName: string): GameplayTask_WaitDelay;
+	static GetDefaultObject(): GameplayTask_WaitDelay;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTask_WaitDelay;
+	static C(Other: UObject | any): GameplayTask_WaitDelay;
 }
 
-declare class EnvQuery extends DataAsset { 
-	EdGraph: EdGraph;
-	QueryName: string;
-	Options: EnvQueryOption[];
-	static Load(ResourceName: string): EnvQuery;
-	static Find(Outer: UObject, ResourceName: string): EnvQuery;
-	static GetDefaultObject(): EnvQuery;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQuery;
-	static C(Other: UObject | any): EnvQuery;
+declare class GameplayTaskOwnerInterface extends Interface { 
+	static Load(ResourceName: string): GameplayTaskOwnerInterface;
+	static Find(Outer: UObject, ResourceName: string): GameplayTaskOwnerInterface;
+	static GetDefaultObject(): GameplayTaskOwnerInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTaskOwnerInterface;
+	static C(Other: UObject | any): GameplayTaskOwnerInterface;
 }
 
-declare class EnvQueryInstanceCache { 
-	Template: EnvQuery;
-	clone() : EnvQueryInstanceCache;
-	static C(Other: UObject | any): EnvQueryInstanceCache;
+declare class BlueprintGameplayTagLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BlueprintGameplayTagLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintGameplayTagLibrary;
+	static GetDefaultObject(): BlueprintGameplayTagLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGameplayTagLibrary;
+	static RemoveGameplayTag(TagContainer?: GameplayTagContainer,Tag?: GameplayTag): {TagContainer: GameplayTagContainer, $: boolean};
+	static NotEqual_TagTag(A: GameplayTag,B: string): boolean;
+	static NotEqual_TagContainerTagContainer(A: GameplayTagContainer,B: string): boolean;
+	static NotEqual_GameplayTagContainer(A: GameplayTagContainer,B: GameplayTagContainer): boolean;
+	static NotEqual_GameplayTag(A: GameplayTag,B: GameplayTag): boolean;
+	static MatchesTag(TagOne: GameplayTag,TagTwo: GameplayTag,bExactMatch: boolean): boolean;
+	static MatchesAnyTags(TagOne: GameplayTag,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
+	static MakeLiteralGameplayTagContainer(Value: GameplayTagContainer): GameplayTagContainer;
+	static MakeLiteralGameplayTag(Value: GameplayTag): GameplayTag;
+	static MakeGameplayTagQuery(TagQuery: GameplayTagQuery): GameplayTagQuery;
+	static MakeGameplayTagContainerFromTag(SingleTag: GameplayTag): GameplayTagContainer;
+	static MakeGameplayTagContainerFromArray(GameplayTags: GameplayTag[]): GameplayTagContainer;
+	static IsGameplayTagValid(GameplayTag: GameplayTag): boolean;
+	static HasTag(TagContainer: GameplayTagContainer,Tag: GameplayTag,bExactMatch: boolean): boolean;
+	static HasAnyTags(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
+	static HasAllTags(TagContainer: GameplayTagContainer,OtherContainer: GameplayTagContainer,bExactMatch: boolean): boolean;
+	static GetTagName(GameplayTag: GameplayTag): string;
+	static GetNumGameplayTagsInContainer(TagContainer: GameplayTagContainer): number;
+	static GetDebugStringFromGameplayTagContainer(TagContainer: GameplayTagContainer): string;
+	static GetDebugStringFromGameplayTag(GameplayTag: GameplayTag): string;
+	static GetAllActorsOfClassMatchingTagQuery(WorldContextObject: UObject,ActorClass: UnrealEngineClass,GameplayTagQuery: GameplayTagQuery,OutActors?: Actor[]): {OutActors: Actor[]};
+	static EqualEqual_GameplayTagContainer(A: GameplayTagContainer,B: GameplayTagContainer): boolean;
+	static EqualEqual_GameplayTag(A: GameplayTag,B: GameplayTag): boolean;
+	static DoesContainerMatchTagQuery(TagContainer: GameplayTagContainer,TagQuery: GameplayTagQuery): boolean;
+	static BreakGameplayTagContainer(GameplayTagContainer: GameplayTagContainer,GameplayTags?: GameplayTag[]): {GameplayTags: GameplayTag[]};
+	static AppendGameplayTagContainers(InOutTagContainer?: GameplayTagContainer,InTagContainer?: GameplayTagContainer): {InOutTagContainer: GameplayTagContainer};
+	static AddGameplayTag(TagContainer?: GameplayTagContainer,Tag?: GameplayTag): {TagContainer: GameplayTagContainer};
+	static C(Other: UObject | any): BlueprintGameplayTagLibrary;
 }
 
-declare class EnvQueryContext extends UObject { 
-	static Load(ResourceName: string): EnvQueryContext;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryContext;
-	static GetDefaultObject(): EnvQueryContext;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext;
-	static C(Other: UObject | any): EnvQueryContext;
+declare class GameplayTagAssetInterface extends Interface { 
+	static Load(ResourceName: string): GameplayTagAssetInterface;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagAssetInterface;
+	static GetDefaultObject(): GameplayTagAssetInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagAssetInterface;
+	HasMatchingGameplayTag(TagToCheck: GameplayTag): boolean;
+	HasAnyMatchingGameplayTags(TagContainer: GameplayTagContainer): boolean;
+	HasAllMatchingGameplayTags(TagContainer: GameplayTagContainer): boolean;
+	GetOwnedGameplayTags(TagContainer?: GameplayTagContainer): {TagContainer: GameplayTagContainer};
+	static C(Other: UObject | any): GameplayTagAssetInterface;
 }
 
-declare type EEnvQueryStatus = 'Processing' | 'Success' | 'Failed' | 'Aborted' | 'OwnerLost' | 'MissingParam' | 'EEnvQueryStatus_MAX';
-declare var EEnvQueryStatus : { Processing:'Processing',Success:'Success',Failed:'Failed',Aborted:'Aborted',OwnerLost:'OwnerLost',MissingParam:'MissingParam',EEnvQueryStatus_MAX:'EEnvQueryStatus_MAX', };
-declare class EnvQueryInstanceBlueprintWrapper extends UObject { 
-	QueryID: number;
-	ItemType: UnrealEngineClass;
-	OptionIndex: number;
-	OnQueryFinishedEvent: UnrealEngineMulticastDelegate<(QueryInstance: EnvQueryInstanceBlueprintWrapper, QueryStatus: EEnvQueryStatus) => void>;
-	static Load(ResourceName: string): EnvQueryInstanceBlueprintWrapper;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryInstanceBlueprintWrapper;
-	static GetDefaultObject(): EnvQueryInstanceBlueprintWrapper;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryInstanceBlueprintWrapper;
-	SetNamedParam(ParamName: string,Value: number): void;
-	GetResultsAsLocations(): Vector[];
-	GetResultsAsActors(): Actor[];
-	GetItemScore(ItemIndex: number): number;
-	static C(Other: UObject | any): EnvQueryInstanceBlueprintWrapper;
+declare class EditableGameplayTagQueryExpression extends UObject { 
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression;
 }
 
-declare type EEnvQueryRunMode = 'SingleResult' | 'RandomBest5Pct' | 'RandomBest25Pct' | 'AllMatching' | 'EEnvQueryRunMode_MAX';
-declare var EEnvQueryRunMode : { SingleResult:'SingleResult',RandomBest5Pct:'RandomBest5Pct',RandomBest25Pct:'RandomBest25Pct',AllMatching:'AllMatching',EEnvQueryRunMode_MAX:'EEnvQueryRunMode_MAX', };
-declare class EnvQueryManager extends UObject { 
-	InstanceCache: EnvQueryInstanceCache[];
-	LocalContexts: EnvQueryContext[];
-	GCShieldedWrappers: EnvQueryInstanceBlueprintWrapper[];
-	MaxAllowedTestingTime: number;
-	bTestQueriesUsingBreadth: boolean;
-	QueryCountWarningThreshold: number;
-	QueryCountWarningInterval: any;
-	static Load(ResourceName: string): EnvQueryManager;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryManager;
-	static GetDefaultObject(): EnvQueryManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryManager;
-	static RunEQSQuery(WorldContextObject: UObject,QueryTemplate: EnvQuery,Querier: UObject,RunMode: EEnvQueryRunMode,WrapperClass: UnrealEngineClass): EnvQueryInstanceBlueprintWrapper;
-	static C(Other: UObject | any): EnvQueryManager;
+declare class EditableGameplayTagQuery extends UObject { 
+	UserDescription: string;
+	RootExpression: EditableGameplayTagQueryExpression;
+	TagQueryExportText_Helper: GameplayTagQuery;
+	static Load(ResourceName: string): EditableGameplayTagQuery;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQuery;
+	static GetDefaultObject(): EditableGameplayTagQuery;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQuery;
+	static C(Other: UObject | any): EditableGameplayTagQuery;
+}
+
+declare class EditableGameplayTagQueryExpression_AnyTagsMatch extends EditableGameplayTagQueryExpression { 
+	Tags: GameplayTagContainer;
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyTagsMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyTagsMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyTagsMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AnyTagsMatch;
 }
 
-declare class NavLocalGridManager extends UObject { 
-	static Load(ResourceName: string): NavLocalGridManager;
-	static Find(Outer: UObject, ResourceName: string): NavLocalGridManager;
-	static GetDefaultObject(): NavLocalGridManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLocalGridManager;
-	static SetLocalNavigationGridDensity(WorldContextObject: UObject,CellSize: number): boolean;
-	static RemoveLocalNavigationGrid(WorldContextObject: UObject,GridId: number,bRebuildGrids: boolean): void;
-	static FindLocalNavigationGridPath(WorldContextObject: UObject,Start: Vector,End: Vector,PathPoints?: Vector[]): {PathPoints: Vector[], $: boolean};
-	static AddLocalNavigationGridForPoints(WorldContextObject: UObject,Locations: Vector[],Radius2D: number,Height: number,bRebuildGrids: boolean): number;
-	static AddLocalNavigationGridForPoint(WorldContextObject: UObject,Location: Vector,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
-	static AddLocalNavigationGridForCapsule(WorldContextObject: UObject,Location: Vector,CapsuleRadius: number,CapsuleHalfHeight: number,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
-	static AddLocalNavigationGridForBox(WorldContextObject: UObject,Location: Vector,Extent: Vector,Rotation: Rotator,Radius2D: number,Height: number,bRebuildGrids: boolean): number;
-	static C(Other: UObject | any): NavLocalGridManager;
+declare class EditableGameplayTagQueryExpression_AllTagsMatch extends EditableGameplayTagQueryExpression { 
+	Tags: GameplayTagContainer;
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllTagsMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllTagsMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllTagsMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AllTagsMatch;
 }
 
-declare class AISystem extends AISystemBase { 
-	PerceptionSystemClassName: SoftClassPath;
-	HotSpotManagerClassName: SoftClassPath;
-	AcceptanceRadius: number;
-	PathfollowingRegularPathPointAcceptanceRadius: number;
-	PathfollowingNavLinkAcceptanceRadius: number;
-	bFinishMoveOnGoalOverlap: boolean;
-	bAcceptPartialPaths: boolean;
-	bAllowStrafing: boolean;
-	bEnableBTAITasks: boolean;
-	bAllowControllersAsEQSQuerier: boolean;
-	bEnableDebuggerPlugin: boolean;
-	DefaultSightCollisionChannel: ECollisionChannel;
-	BehaviorTreeManager: BehaviorTreeManager;
-	EnvironmentQueryManager: EnvQueryManager;
-	PerceptionSystem: AIPerceptionSystem;
-	AllProxyObjects: AIAsyncTaskBlueprintProxy[];
-	HotSpotManager: AIHotSpotManager;
-	NavLocalGrids: NavLocalGridManager;
-	static Load(ResourceName: string): AISystem;
-	static Find(Outer: UObject, ResourceName: string): AISystem;
-	static GetDefaultObject(): AISystem;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISystem;
-	AILoggingVerbose(): void;
-	AIIgnorePlayers(): void;
-	static C(Other: UObject | any): AISystem;
+declare class EditableGameplayTagQueryExpression_NoTagsMatch extends EditableGameplayTagQueryExpression { 
+	Tags: GameplayTagContainer;
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoTagsMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoTagsMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoTagsMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_NoTagsMatch;
 }
 
-declare class AITask extends GameplayTask { 
-	OwnerController: AIController;
-	static Load(ResourceName: string): AITask;
-	static Find(Outer: UObject, ResourceName: string): AITask;
-	static GetDefaultObject(): AITask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask;
-	static C(Other: UObject | any): AITask;
+declare class EditableGameplayTagQueryExpression_AnyExprMatch extends EditableGameplayTagQueryExpression { 
+	Expressions: EditableGameplayTagQueryExpression[];
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AnyExprMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_AnyExprMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AnyExprMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AnyExprMatch;
 }
 
-declare class AITask_LockLogic extends AITask { 
-	static Load(ResourceName: string): AITask_LockLogic;
-	static Find(Outer: UObject, ResourceName: string): AITask_LockLogic;
-	static GetDefaultObject(): AITask_LockLogic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_LockLogic;
-	static C(Other: UObject | any): AITask_LockLogic;
+declare class EditableGameplayTagQueryExpression_AllExprMatch extends EditableGameplayTagQueryExpression { 
+	Expressions: EditableGameplayTagQueryExpression[];
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_AllExprMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_AllExprMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_AllExprMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_AllExprMatch;
 }
 
-declare class AIMoveRequest { 
-	GoalActor: Actor;
-	clone() : AIMoveRequest;
-	static C(Other: UObject | any): AIMoveRequest;
+declare class EditableGameplayTagQueryExpression_NoExprMatch extends EditableGameplayTagQueryExpression { 
+	Expressions: EditableGameplayTagQueryExpression[];
+	static Load(ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
+	static Find(Outer: UObject, ResourceName: string): EditableGameplayTagQueryExpression_NoExprMatch;
+	static GetDefaultObject(): EditableGameplayTagQueryExpression_NoExprMatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGameplayTagQueryExpression_NoExprMatch;
+	static C(Other: UObject | any): EditableGameplayTagQueryExpression_NoExprMatch;
 }
 
-declare type EAIOptionFlag = 'Default' | 'Enable' | 'Disable' | 'MAX';
-declare var EAIOptionFlag : { Default:'Default',Enable:'Enable',Disable:'Disable',MAX:'MAX', };
-declare class AITask_MoveTo extends AITask { 
-	OnRequestFailed: UnrealEngineMulticastDelegate<() => void>;
-	OnMoveFinished: UnrealEngineMulticastDelegate<(Result: EPathFollowingResult, AIController: AIController) => void>;
-	MoveRequest: AIMoveRequest;
-	static Load(ResourceName: string): AITask_MoveTo;
-	static Find(Outer: UObject, ResourceName: string): AITask_MoveTo;
-	static GetDefaultObject(): AITask_MoveTo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_MoveTo;
-	static AIMoveTo(Controller: AIController,GoalLocation: Vector,GoalActor: Actor,AcceptanceRadius: number,StopOnOverlap: EAIOptionFlag,AcceptPartialPath: EAIOptionFlag,bUsePathfinding: boolean,bLockAILogic: boolean,bUseContinuosGoalTracking: boolean): AITask_MoveTo;
-	static C(Other: UObject | any): AITask_MoveTo;
+declare type EGameplayTagSourceType = 'Native' | 'DefaultTagList' | 'TagList' | 'RestrictedTagList' | 'DataTable' | 'Invalid' | 'EGameplayTagSourceType_MAX';
+declare var EGameplayTagSourceType : { Native:'Native',DefaultTagList:'DefaultTagList',TagList:'TagList',RestrictedTagList:'RestrictedTagList',DataTable:'DataTable',Invalid:'Invalid',EGameplayTagSourceType_MAX:'EGameplayTagSourceType_MAX', };
+declare class TableRowBase { 
+	clone() : TableRowBase;
+	static C(Other: UObject | any): TableRowBase;
 }
 
-declare class AITask_RunEQS extends AITask { 
-	static Load(ResourceName: string): AITask_RunEQS;
-	static Find(Outer: UObject, ResourceName: string): AITask_RunEQS;
-	static GetDefaultObject(): AITask_RunEQS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_RunEQS;
-	static RunEQS(Controller: AIController,QueryTemplate: EnvQuery): AITask_RunEQS;
-	static C(Other: UObject | any): AITask_RunEQS;
+declare class GameplayTagTableRow extends TableRowBase { 
+	Tag: string;
+	DevComment: string;
+	clone() : GameplayTagTableRow;
+	static C(Other: UObject | any): GameplayTagTableRow;
 }
 
-declare class BehaviorTreeTypes extends UObject { 
-	static Load(ResourceName: string): BehaviorTreeTypes;
-	static Find(Outer: UObject, ResourceName: string): BehaviorTreeTypes;
-	static GetDefaultObject(): BehaviorTreeTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeTypes;
-	static C(Other: UObject | any): BehaviorTreeTypes;
+declare class GameplayTagsList extends UObject { 
+	ConfigFileName: string;
+	GameplayTagList: GameplayTagTableRow[];
+	static Load(ResourceName: string): GameplayTagsList;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagsList;
+	static GetDefaultObject(): GameplayTagsList;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsList;
+	static C(Other: UObject | any): GameplayTagsList;
 }
 
-declare class BlackboardKeyType_Bool extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Bool;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Bool;
-	static GetDefaultObject(): BlackboardKeyType_Bool;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Bool;
-	static C(Other: UObject | any): BlackboardKeyType_Bool;
+declare class RestrictedGameplayTagTableRow extends GameplayTagTableRow { 
+	bAllowNonRestrictedChildren: boolean;
+	clone() : RestrictedGameplayTagTableRow;
+	static C(Other: UObject | any): RestrictedGameplayTagTableRow;
 }
 
-declare class BlackboardKeyType_Class extends BlackboardKeyType { 
-	BaseClass: UnrealEngineClass;
-	static Load(ResourceName: string): BlackboardKeyType_Class;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Class;
-	static GetDefaultObject(): BlackboardKeyType_Class;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Class;
-	static C(Other: UObject | any): BlackboardKeyType_Class;
+declare class RestrictedGameplayTagsList extends UObject { 
+	ConfigFileName: string;
+	RestrictedGameplayTagList: RestrictedGameplayTagTableRow[];
+	static Load(ResourceName: string): RestrictedGameplayTagsList;
+	static Find(Outer: UObject, ResourceName: string): RestrictedGameplayTagsList;
+	static GetDefaultObject(): RestrictedGameplayTagsList;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RestrictedGameplayTagsList;
+	static C(Other: UObject | any): RestrictedGameplayTagsList;
 }
 
-declare class BlackboardKeyType_Enum extends BlackboardKeyType { 
-	EnumType: Enum;
-	EnumName: string;
-	bIsEnumNameValid: boolean;
-	static Load(ResourceName: string): BlackboardKeyType_Enum;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Enum;
-	static GetDefaultObject(): BlackboardKeyType_Enum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Enum;
-	static C(Other: UObject | any): BlackboardKeyType_Enum;
+declare class GameplayTagSource { 
+	SourceName: string;
+	SourceType: EGameplayTagSourceType;
+	SourceTagList: GameplayTagsList;
+	SourceRestrictedTagList: RestrictedGameplayTagsList;
+	clone() : GameplayTagSource;
+	static C(Other: UObject | any): GameplayTagSource;
 }
 
-declare class BlackboardKeyType_Float extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Float;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Float;
-	static GetDefaultObject(): BlackboardKeyType_Float;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Float;
-	static C(Other: UObject | any): BlackboardKeyType_Float;
+declare class DataTable extends UObject { 
+	RowStruct: ScriptStruct;
+	bStripFromClientBuilds: boolean;
+	AssetImportData: AssetImportData;
+	ImportPath: string;
+	RowStructName: string;
+	RowsSerializedWithTags: number[];
+	TemporarilyReferencedObjects: any;
+	static Load(ResourceName: string): DataTable;
+	static Find(Outer: UObject, ResourceName: string): DataTable;
+	static GetDefaultObject(): DataTable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTable;
+	static C(Other: UObject | any): DataTable;
+	GetDataTableAsJSON(InDTExportFlags: number): string;
+	DoesDataTableRowExist(RowName: string): boolean;
+	FillDataTableFromCSVFile(CSVFilePath: string): boolean;
+	FillDataTableFromCSVString(CSVString: string): boolean;
+	FillDataTableFromJSONFile(JSONFilePath: string): boolean;
+	FillDataTableFromJSONString(JsonString: string): boolean;
+	GetDataTableColumnAsString(PropertyName: string): string[];
+	GetDataTableRowFromName(RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
+	GetDataTableRowNames(OutRowNames?: string[]): {OutRowNames: string[]};
+	static GetDataTableAsJSON(InDataTable: DataTable,InDTExportFlags: number): string;
+	static DoesDataTableRowExist(Table: DataTable,RowName: string): boolean;
+	static FillDataTableFromCSVFile(DataTable: DataTable,CSVFilePath: string): boolean;
+	static FillDataTableFromCSVString(DataTable: DataTable,CSVString: string): boolean;
+	static FillDataTableFromJSONFile(DataTable: DataTable,JSONFilePath: string): boolean;
+	static FillDataTableFromJSONString(DataTable: DataTable,JsonString: string): boolean;
+	static GetDataTableColumnAsString(DataTable: DataTable,PropertyName: string): string[];
+	static GetDataTableRowFromName(Table: DataTable,RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
+	static GetDataTableRowNames(Table: DataTable,OutRowNames?: string[]): {OutRowNames: string[]};
 }
 
-declare class BlackboardKeyType_Int extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Int;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Int;
-	static GetDefaultObject(): BlackboardKeyType_Int;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Int;
-	static C(Other: UObject | any): BlackboardKeyType_Int;
+declare class GameplayTagsManager extends UObject { 
+	TagSources: GameplayTagSource[];
+	GameplayTagTables: DataTable[];
+	static Load(ResourceName: string): GameplayTagsManager;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagsManager;
+	static GetDefaultObject(): GameplayTagsManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsManager;
+	static C(Other: UObject | any): GameplayTagsManager;
 }
 
-declare class BlackboardKeyType_Name extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Name;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Name;
-	static GetDefaultObject(): BlackboardKeyType_Name;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Name;
-	static C(Other: UObject | any): BlackboardKeyType_Name;
+declare class GameplayTagCategoryRemap { 
+	BaseCategory: string;
+	RemapCategories: string[];
+	clone() : GameplayTagCategoryRemap;
+	static C(Other: UObject | any): GameplayTagCategoryRemap;
 }
 
-declare class BlackboardKeyType_NativeEnum extends BlackboardKeyType { 
-	EnumName: string;
-	EnumType: Enum;
-	static Load(ResourceName: string): BlackboardKeyType_NativeEnum;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_NativeEnum;
-	static GetDefaultObject(): BlackboardKeyType_NativeEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_NativeEnum;
-	static C(Other: UObject | any): BlackboardKeyType_NativeEnum;
+declare class GameplayTagRedirect { 
+	OldTagName: string;
+	NewTagName: string;
+	clone() : GameplayTagRedirect;
+	static C(Other: UObject | any): GameplayTagRedirect;
 }
 
-declare class BlackboardKeyType_Object extends BlackboardKeyType { 
-	BaseClass: UnrealEngineClass;
-	static Load(ResourceName: string): BlackboardKeyType_Object;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Object;
-	static GetDefaultObject(): BlackboardKeyType_Object;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Object;
-	static C(Other: UObject | any): BlackboardKeyType_Object;
+declare class RestrictedConfigInfo { 
+	RestrictedConfigName: string;
+	Owners: string[];
+	clone() : RestrictedConfigInfo;
+	static C(Other: UObject | any): RestrictedConfigInfo;
 }
 
-declare class BlackboardKeyType_Rotator extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Rotator;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Rotator;
-	static GetDefaultObject(): BlackboardKeyType_Rotator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Rotator;
-	static C(Other: UObject | any): BlackboardKeyType_Rotator;
+declare class GameplayTagsSettings extends GameplayTagsList { 
+	ImportTagsFromConfig: boolean;
+	WarnOnInvalidTags: boolean;
+	FastReplication: boolean;
+	InvalidTagCharacters: string;
+	CategoryRemapping: GameplayTagCategoryRemap[];
+	GameplayTagTableList: SoftObjectPath[];
+	GameplayTagRedirects: GameplayTagRedirect[];
+	CommonlyReplicatedTags: string[];
+	NumBitsForContainerSize: number;
+	NetIndexFirstBitSegment: number;
+	RestrictedConfigFiles: RestrictedConfigInfo[];
+	RestrictedTagList: string;
+	static Load(ResourceName: string): GameplayTagsSettings;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagsSettings;
+	static GetDefaultObject(): GameplayTagsSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsSettings;
+	static C(Other: UObject | any): GameplayTagsSettings;
 }
 
-declare class BlackboardKeyType_String extends BlackboardKeyType { 
-	StringValue: string;
-	static Load(ResourceName: string): BlackboardKeyType_String;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_String;
-	static GetDefaultObject(): BlackboardKeyType_String;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_String;
-	static C(Other: UObject | any): BlackboardKeyType_String;
+declare class GameplayTagsDeveloperSettings extends UObject { 
+	DeveloperConfigName: string;
+	static Load(ResourceName: string): GameplayTagsDeveloperSettings;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagsDeveloperSettings;
+	static GetDefaultObject(): GameplayTagsDeveloperSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsDeveloperSettings;
+	static C(Other: UObject | any): GameplayTagsDeveloperSettings;
 }
 
-declare class BlackboardKeyType_Vector extends BlackboardKeyType { 
-	static Load(ResourceName: string): BlackboardKeyType_Vector;
-	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Vector;
-	static GetDefaultObject(): BlackboardKeyType_Vector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Vector;
-	static C(Other: UObject | any): BlackboardKeyType_Vector;
+declare class GameplayDebuggerNetPack { 
+	clone() : GameplayDebuggerNetPack;
+	static C(Other: UObject | any): GameplayDebuggerNetPack;
 }
 
-declare class BTComposite_Selector extends BTCompositeNode { 
-	static Load(ResourceName: string): BTComposite_Selector;
-	static Find(Outer: UObject, ResourceName: string): BTComposite_Selector;
-	static GetDefaultObject(): BTComposite_Selector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Selector;
-	static C(Other: UObject | any): BTComposite_Selector;
+declare class GameplayDebuggerDebugActor { 
+	Actor: Actor;
+	ActorName: string;
+	SyncCounter: number;
+	clone() : GameplayDebuggerDebugActor;
+	static C(Other: UObject | any): GameplayDebuggerDebugActor;
 }
 
-declare class BTComposite_Sequence extends BTCompositeNode { 
-	static Load(ResourceName: string): BTComposite_Sequence;
-	static Find(Outer: UObject, ResourceName: string): BTComposite_Sequence;
-	static GetDefaultObject(): BTComposite_Sequence;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Sequence;
-	static C(Other: UObject | any): BTComposite_Sequence;
+declare class GameplayDebuggerRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): GameplayDebuggerRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerRenderingComponent;
+	static GetDefaultObject(): GameplayDebuggerRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerRenderingComponent;
+	static C(Other: UObject | any): GameplayDebuggerRenderingComponent;
 }
 
-declare type EBTParallelMode = 'AbortBackground' | 'WaitForBackground' | 'EBTParallelMode_MAX';
-declare var EBTParallelMode : { AbortBackground:'AbortBackground',WaitForBackground:'WaitForBackground',EBTParallelMode_MAX:'EBTParallelMode_MAX', };
-declare class BTComposite_SimpleParallel extends BTCompositeNode { 
-	FinishMode: EBTParallelMode;
-	static Load(ResourceName: string): BTComposite_SimpleParallel;
-	static Find(Outer: UObject, ResourceName: string): BTComposite_SimpleParallel;
-	static GetDefaultObject(): BTComposite_SimpleParallel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_SimpleParallel;
-	static C(Other: UObject | any): BTComposite_SimpleParallel;
+declare class GameplayDebuggerCategoryReplicator extends Actor { 
+	OwnerPC: PlayerController;
+	bIsEnabled: boolean;
+	ReplicatedData: GameplayDebuggerNetPack;
+	DebugActor: GameplayDebuggerDebugActor;
+	RenderingComp: GameplayDebuggerRenderingComponent;
+	static GetDefaultObject(): GameplayDebuggerCategoryReplicator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerCategoryReplicator;
+	ServerSetEnabled(bEnable: boolean): void;
+	ServerSetDebugActor(Actor: Actor): void;
+	ServerSetCategoryEnabled(CategoryId: number,bEnable: boolean): void;
+	ServerSendExtensionInputEvent(ExtensionId: number,HandlerId: number): void;
+	ServerSendCategoryInputEvent(CategoryId: number,HandlerId: number): void;
+	static C(Other: UObject | any): GameplayDebuggerCategoryReplicator;
 }
 
-declare class BTDecorator_BlackboardBase extends BTDecorator { 
-	BlackboardKey: BlackboardKeySelector;
-	static Load(ResourceName: string): BTDecorator_BlackboardBase;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlackboardBase;
-	static GetDefaultObject(): BTDecorator_BlackboardBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlackboardBase;
-	static C(Other: UObject | any): BTDecorator_BlackboardBase;
+declare type EGameplayDebuggerOverrideMode = 'Enable' | 'Disable' | 'UseDefault' | 'EGameplayDebuggerOverrideMode_MAX';
+declare var EGameplayDebuggerOverrideMode : { Enable:'Enable',Disable:'Disable',UseDefault:'UseDefault',EGameplayDebuggerOverrideMode_MAX:'EGameplayDebuggerOverrideMode_MAX', };
+declare class GameplayDebuggerInputConfig { 
+	ConfigName: string;
+	Key: Key;
+	bModShift: boolean;
+	bModCtrl: boolean;
+	bModAlt: boolean;
+	bModCmd: boolean;
+	clone() : GameplayDebuggerInputConfig;
+	static C(Other: UObject | any): GameplayDebuggerInputConfig;
 }
 
-declare type EBTBlackboardRestart = 'ValueChange' | 'ResultChange' | 'EBTBlackboardRestart_MAX';
-declare var EBTBlackboardRestart : { ValueChange:'ValueChange',ResultChange:'ResultChange',EBTBlackboardRestart_MAX:'EBTBlackboardRestart_MAX', };
-declare type EBasicKeyOperation = 'Set' | 'NotSet' | 'EBasicKeyOperation_MAX';
-declare var EBasicKeyOperation : { Set:'Set',NotSet:'NotSet',EBasicKeyOperation_MAX:'EBasicKeyOperation_MAX', };
-declare type EArithmeticKeyOperation = 'Equal' | 'NotEqual' | 'Less' | 'LessOrEqual' | 'Greater' | 'GreaterOrEqual' | 'EArithmeticKeyOperation_MAX';
-declare var EArithmeticKeyOperation : { Equal:'Equal',NotEqual:'NotEqual',Less:'Less',LessOrEqual:'LessOrEqual',Greater:'Greater',GreaterOrEqual:'GreaterOrEqual',EArithmeticKeyOperation_MAX:'EArithmeticKeyOperation_MAX', };
-declare type ETextKeyOperation = 'Equal' | 'NotEqual' | 'Contain' | 'NotContain' | 'ETextKeyOperation_MAX';
-declare var ETextKeyOperation : { Equal:'Equal',NotEqual:'NotEqual',Contain:'Contain',NotContain:'NotContain',ETextKeyOperation_MAX:'ETextKeyOperation_MAX', };
-declare class BTDecorator_Blackboard extends BTDecorator_BlackboardBase { 
-	IntValue: number;
-	FloatValue: number;
-	StringValue: string;
-	CachedDescription: string;
-	OperationType: number;
-	NotifyObserver: EBTBlackboardRestart;
-	BasicOperation: EBasicKeyOperation;
-	ArithmeticOperation: EArithmeticKeyOperation;
-	TextOperation: ETextKeyOperation;
-	static Load(ResourceName: string): BTDecorator_Blackboard;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_Blackboard;
-	static GetDefaultObject(): BTDecorator_Blackboard;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Blackboard;
-	static C(Other: UObject | any): BTDecorator_Blackboard;
+declare class GameplayDebuggerCategoryConfig { 
+	CategoryName: string;
+	SlotIdx: number;
+	ActiveInGame: EGameplayDebuggerOverrideMode;
+	ActiveInSimulate: EGameplayDebuggerOverrideMode;
+	Hidden: EGameplayDebuggerOverrideMode;
+	bOverrideSlotIdx: boolean;
+	InputHandlers: GameplayDebuggerInputConfig[];
+	clone() : GameplayDebuggerCategoryConfig;
+	static C(Other: UObject | any): GameplayDebuggerCategoryConfig;
 }
 
-declare type EBTNodeResult = 'Succeeded' | 'Failed' | 'Aborted' | 'InProgress' | 'EBTNodeResult_MAX';
-declare var EBTNodeResult : { Succeeded:'Succeeded',Failed:'Failed',Aborted:'Aborted',InProgress:'InProgress',EBTNodeResult_MAX:'EBTNodeResult_MAX', };
-declare class BTDecorator_BlueprintBase extends BTDecorator { 
-	AIOwner: AIController;
-	ActorOwner: Actor;
-	ObservedKeyNames: string[];
-	bShowPropertyDetails: boolean;
-	bCheckConditionOnlyBlackBoardChanges: boolean;
-	bIsObservingBB: boolean;
-	static Load(ResourceName: string): BTDecorator_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlueprintBase;
-	static GetDefaultObject(): BTDecorator_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlueprintBase;
-	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
-	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
-	ReceiveObserverDeactivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveObserverDeactivated(OwnerActor: Actor): void;
-	ReceiveObserverActivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveObserverActivated(OwnerActor: Actor): void;
-	ReceiveExecutionStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveExecutionStart(OwnerActor: Actor): void;
-	ReceiveExecutionFinishAI(OwnerController: AIController,ControlledPawn: Pawn,NodeResult: EBTNodeResult): void;
-	ReceiveExecutionFinish(OwnerActor: Actor,NodeResult: EBTNodeResult): void;
-	PerformConditionCheckAI(OwnerController: AIController,ControlledPawn: Pawn): boolean;
-	PerformConditionCheck(OwnerActor: Actor): boolean;
-	IsDecoratorObserverActive(): boolean;
-	IsDecoratorExecutionActive(): boolean;
-	static C(Other: UObject | any): BTDecorator_BlueprintBase;
+declare class GameplayDebuggerExtensionConfig { 
+	ExtensionName: string;
+	UseExtension: EGameplayDebuggerOverrideMode;
+	InputHandlers: GameplayDebuggerInputConfig[];
+	clone() : GameplayDebuggerExtensionConfig;
+	static C(Other: UObject | any): GameplayDebuggerExtensionConfig;
 }
 
-declare type EGameplayContainerMatchType = 'Any' | 'All' | 'EGameplayContainerMatchType_MAX';
-declare var EGameplayContainerMatchType : { Any:'Any',All:'All',EGameplayContainerMatchType_MAX:'EGameplayContainerMatchType_MAX', };
-declare class BTDecorator_CheckGameplayTagsOnActor extends BTDecorator { 
-	ActorToCheck: BlackboardKeySelector;
-	TagsToMatch: EGameplayContainerMatchType;
-	GameplayTags: GameplayTagContainer;
-	CachedDescription: string;
-	static Load(ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
-	static GetDefaultObject(): BTDecorator_CheckGameplayTagsOnActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CheckGameplayTagsOnActor;
-	static C(Other: UObject | any): BTDecorator_CheckGameplayTagsOnActor;
+declare class GameplayDebuggerConfig extends UObject { 
+	ActivationKey: Key;
+	CategoryRowNextKey: Key;
+	CategoryRowPrevKey: Key;
+	CategorySlot0: Key;
+	CategorySlot1: Key;
+	CategorySlot2: Key;
+	CategorySlot3: Key;
+	CategorySlot4: Key;
+	CategorySlot5: Key;
+	CategorySlot6: Key;
+	CategorySlot7: Key;
+	CategorySlot8: Key;
+	CategorySlot9: Key;
+	DebugCanvasPaddingLeft: number;
+	DebugCanvasPaddingRight: number;
+	DebugCanvasPaddingTop: number;
+	DebugCanvasPaddingBottom: number;
+	Categories: GameplayDebuggerCategoryConfig[];
+	Extensions: GameplayDebuggerExtensionConfig[];
+	static Load(ResourceName: string): GameplayDebuggerConfig;
+	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerConfig;
+	static GetDefaultObject(): GameplayDebuggerConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerConfig;
+	static C(Other: UObject | any): GameplayDebuggerConfig;
 }
 
-declare type EBlackBoardEntryComparison = 'Equal' | 'NotEqual' | 'EBlackBoardEntryComparison_MAX';
-declare var EBlackBoardEntryComparison : { Equal:'Equal',NotEqual:'NotEqual',EBlackBoardEntryComparison_MAX:'EBlackBoardEntryComparison_MAX', };
-declare class BTDecorator_CompareBBEntries extends BTDecorator { 
-	Operator: EBlackBoardEntryComparison;
-	BlackboardKeyA: BlackboardKeySelector;
-	BlackboardKeyB: BlackboardKeySelector;
-	static Load(ResourceName: string): BTDecorator_CompareBBEntries;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_CompareBBEntries;
-	static GetDefaultObject(): BTDecorator_CompareBBEntries;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CompareBBEntries;
-	static C(Other: UObject | any): BTDecorator_CompareBBEntries;
+declare class GameplayDebuggerPlayerData { 
+	Controller: GameplayDebuggerLocalController;
+	InputComponent: InputComponent;
+	Replicator: GameplayDebuggerCategoryReplicator;
+	clone() : GameplayDebuggerPlayerData;
+	static C(Other: UObject | any): GameplayDebuggerPlayerData;
 }
 
-declare class BTDecorator_ConditionalLoop extends BTDecorator_Blackboard { 
-	static Load(ResourceName: string): BTDecorator_ConditionalLoop;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConditionalLoop;
-	static GetDefaultObject(): BTDecorator_ConditionalLoop;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConditionalLoop;
-	static C(Other: UObject | any): BTDecorator_ConditionalLoop;
+declare class GameplayDebuggerPlayerManager extends Actor { 
+	PlayerData: GameplayDebuggerPlayerData[];
+	PendingRegistrations: GameplayDebuggerCategoryReplicator[];
+	static GetDefaultObject(): GameplayDebuggerPlayerManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerPlayerManager;
+	static C(Other: UObject | any): GameplayDebuggerPlayerManager;
 }
 
-declare class BTDecorator_ConeCheck extends BTDecorator { 
-	ConeHalfAngle: number;
-	ConeOrigin: BlackboardKeySelector;
-	ConeDirection: BlackboardKeySelector;
-	Observed: BlackboardKeySelector;
-	static Load(ResourceName: string): BTDecorator_ConeCheck;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConeCheck;
-	static GetDefaultObject(): BTDecorator_ConeCheck;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConeCheck;
-	static C(Other: UObject | any): BTDecorator_ConeCheck;
+declare class GameplayDebuggerLocalController extends UObject { 
+	CachedReplicator: GameplayDebuggerCategoryReplicator;
+	CachedPlayerManager: GameplayDebuggerPlayerManager;
+	DebugActorCandidate: Actor;
+	static Load(ResourceName: string): GameplayDebuggerLocalController;
+	static Find(Outer: UObject, ResourceName: string): GameplayDebuggerLocalController;
+	static GetDefaultObject(): GameplayDebuggerLocalController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayDebuggerLocalController;
+	static C(Other: UObject | any): GameplayDebuggerLocalController;
+}
+
+declare class AIBlueprintHelperLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): AIBlueprintHelperLibrary;
+	static Find(Outer: UObject, ResourceName: string): AIBlueprintHelperLibrary;
+	static GetDefaultObject(): AIBlueprintHelperLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIBlueprintHelperLibrary;
+	static UnlockAIResourcesWithAnimation(AnimInstance: AnimInstance,bUnlockMovement: boolean,UnlockAILogic: boolean): void;
+	static SpawnAIFromClass(WorldContextObject: UObject,PawnClass: UnrealEngineClass,BehaviorTree: BehaviorTree,Location: Vector,Rotation: Rotator,bNoCollisionFail: boolean): Pawn;
+	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
+	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
+	static SendAIMessage(Target: Pawn,Message: string,MessageSource: UObject,bSuccess: boolean): void;
+	static LockAIResourcesWithAnimation(AnimInstance: AnimInstance,bLockMovement: boolean,LockAILogic: boolean): void;
+	static IsValidAIRotation(Rotation: Rotator): boolean;
+	static IsValidAILocation(Location: Vector): boolean;
+	static IsValidAIDirection(DirectionVector: Vector): boolean;
+	static GetCurrentPath(Controller: Controller): NavigationPath;
+	static GetBlackboard(Target: Actor): BlackboardComponent;
+	static GetAIController(ControlledActor: Actor): AIController;
+	static CreateMoveToProxyObject(WorldContextObject: UObject,Pawn: Pawn,Destination: Vector,TargetActor: Actor,AcceptanceRadius: number,bStopOnOverlap: boolean): AIAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): AIBlueprintHelperLibrary;
 }
 
-declare class BTDecorator_Cooldown extends BTDecorator { 
-	CoolDownTime: number;
-	static Load(ResourceName: string): BTDecorator_Cooldown;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_Cooldown;
-	static GetDefaultObject(): BTDecorator_Cooldown;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Cooldown;
-	static C(Other: UObject | any): BTDecorator_Cooldown;
+declare class AIDataProvider_QueryParams extends AIDataProvider { 
+	ParamName: string;
+	FloatValue: number;
+	IntValue: number;
+	BoolValue: boolean;
+	static Load(ResourceName: string): AIDataProvider_QueryParams;
+	static Find(Outer: UObject, ResourceName: string): AIDataProvider_QueryParams;
+	static GetDefaultObject(): AIDataProvider_QueryParams;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider_QueryParams;
+	static C(Other: UObject | any): AIDataProvider_QueryParams;
 }
 
-declare type EPathExistanceQueryType = 'NavmeshRaycast2D' | 'HierarchicalQuery' | 'RegularPathFinding' | 'EPathExistanceQueryType_MAX';
-declare var EPathExistanceQueryType : { NavmeshRaycast2D:'NavmeshRaycast2D',HierarchicalQuery:'HierarchicalQuery',RegularPathFinding:'RegularPathFinding',EPathExistanceQueryType_MAX:'EPathExistanceQueryType_MAX', };
-declare class BTDecorator_DoesPathExist extends BTDecorator { 
-	BlackboardKeyA: BlackboardKeySelector;
-	BlackboardKeyB: BlackboardKeySelector;
-	bUseSelf: boolean;
-	PathQueryType: EPathExistanceQueryType;
-	FilterClass: UnrealEngineClass;
-	static Load(ResourceName: string): BTDecorator_DoesPathExist;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_DoesPathExist;
-	static GetDefaultObject(): BTDecorator_DoesPathExist;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_DoesPathExist;
-	static C(Other: UObject | any): BTDecorator_DoesPathExist;
+declare class AIDataProvider_Random extends AIDataProvider_QueryParams { 
+	Min: number;
+	Max: number;
+	bInteger: boolean;
+	static Load(ResourceName: string): AIDataProvider_Random;
+	static Find(Outer: UObject, ResourceName: string): AIDataProvider_Random;
+	static GetDefaultObject(): AIDataProvider_Random;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIDataProvider_Random;
+	static C(Other: UObject | any): AIDataProvider_Random;
 }
 
-declare class BTDecorator_ForceSuccess extends BTDecorator { 
-	static Load(ResourceName: string): BTDecorator_ForceSuccess;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_ForceSuccess;
-	static GetDefaultObject(): BTDecorator_ForceSuccess;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ForceSuccess;
-	static C(Other: UObject | any): BTDecorator_ForceSuccess;
+declare class AIPerceptionListenerInterface extends Interface { 
+	static Load(ResourceName: string): AIPerceptionListenerInterface;
+	static Find(Outer: UObject, ResourceName: string): AIPerceptionListenerInterface;
+	static GetDefaultObject(): AIPerceptionListenerInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionListenerInterface;
+	static C(Other: UObject | any): AIPerceptionListenerInterface;
 }
 
-declare type FAIDistanceType = 'Distance3D' | 'Distance2D' | 'DistanceZ' | 'MAX';
-declare var FAIDistanceType : { Distance3D:'Distance3D',Distance2D:'Distance2D',DistanceZ:'DistanceZ',MAX:'MAX', };
-declare class BTDecorator_IsAtLocation extends BTDecorator_BlackboardBase { 
-	AcceptableRadius: number;
-	ParametrizedAcceptableRadius: AIDataProviderFloatValue;
-	GeometricDistanceType: FAIDistanceType;
-	bUseParametrizedRadius: boolean;
-	bUseNavAgentGoalLocation: boolean;
-	bPathFindingBasedTest: boolean;
-	static Load(ResourceName: string): BTDecorator_IsAtLocation;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsAtLocation;
-	static GetDefaultObject(): BTDecorator_IsAtLocation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsAtLocation;
-	static C(Other: UObject | any): BTDecorator_IsAtLocation;
+declare class AIPerceptionStimuliSourceComponent extends ActorComponent { 
+	bAutoRegisterAsSource: boolean;
+	RegisterAsSourceForSenses: UnrealEngineClass[];
+	static Load(ResourceName: string): AIPerceptionStimuliSourceComponent;
+	static Find(Outer: UObject, ResourceName: string): AIPerceptionStimuliSourceComponent;
+	static GetDefaultObject(): AIPerceptionStimuliSourceComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIPerceptionStimuliSourceComponent;
+	UnregisterFromSense(SenseClass: UnrealEngineClass): void;
+	UnregisterFromPerceptionSystem(): void;
+	RegisterWithPerceptionSystem(): void;
+	RegisterForSense(SenseClass: UnrealEngineClass): void;
+	static C(Other: UObject | any): AIPerceptionStimuliSourceComponent;
 }
 
-declare class BTDecorator_IsBBEntryOfClass extends BTDecorator_BlackboardBase { 
-	TestClass: UnrealEngineClass;
-	static Load(ResourceName: string): BTDecorator_IsBBEntryOfClass;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsBBEntryOfClass;
-	static GetDefaultObject(): BTDecorator_IsBBEntryOfClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsBBEntryOfClass;
-	static C(Other: UObject | any): BTDecorator_IsBBEntryOfClass;
+declare class AIResourceInterface extends Interface { 
+	static Load(ResourceName: string): AIResourceInterface;
+	static Find(Outer: UObject, ResourceName: string): AIResourceInterface;
+	static GetDefaultObject(): AIResourceInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResourceInterface;
+	static C(Other: UObject | any): AIResourceInterface;
 }
 
-declare class BTDecorator_KeepInCone extends BTDecorator { 
-	ConeHalfAngle: number;
-	ConeOrigin: BlackboardKeySelector;
-	Observed: BlackboardKeySelector;
-	bUseSelfAsOrigin: boolean;
-	bUseSelfAsObserved: boolean;
-	static Load(ResourceName: string): BTDecorator_KeepInCone;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_KeepInCone;
-	static GetDefaultObject(): BTDecorator_KeepInCone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_KeepInCone;
-	static C(Other: UObject | any): BTDecorator_KeepInCone;
+declare class AIResource_Movement extends GameplayTaskResource { 
+	static Load(ResourceName: string): AIResource_Movement;
+	static Find(Outer: UObject, ResourceName: string): AIResource_Movement;
+	static GetDefaultObject(): AIResource_Movement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Movement;
+	static C(Other: UObject | any): AIResource_Movement;
 }
 
-declare class BTDecorator_Loop extends BTDecorator { 
-	NumLoops: number;
-	bInfiniteLoop: boolean;
-	InfiniteLoopTimeoutTime: number;
-	static Load(ResourceName: string): BTDecorator_Loop;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_Loop;
-	static GetDefaultObject(): BTDecorator_Loop;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Loop;
-	static C(Other: UObject | any): BTDecorator_Loop;
+declare class AIResource_Logic extends GameplayTaskResource { 
+	static Load(ResourceName: string): AIResource_Logic;
+	static Find(Outer: UObject, ResourceName: string): AIResource_Logic;
+	static GetDefaultObject(): AIResource_Logic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AIResource_Logic;
+	static C(Other: UObject | any): AIResource_Logic;
 }
 
-declare class BTDecorator_ReachedMoveGoal extends BTDecorator { 
-	static Load(ResourceName: string): BTDecorator_ReachedMoveGoal;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_ReachedMoveGoal;
-	static GetDefaultObject(): BTDecorator_ReachedMoveGoal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ReachedMoveGoal;
-	static C(Other: UObject | any): BTDecorator_ReachedMoveGoal;
+declare type EUserDefinedStructureStatus = 'UDSS_UpToDate' | 'UDSS_Dirty' | 'UDSS_Error' | 'UDSS_Duplicate' | 'UDSS_MAX';
+declare var EUserDefinedStructureStatus : { UDSS_UpToDate:'UDSS_UpToDate',UDSS_Dirty:'UDSS_Dirty',UDSS_Error:'UDSS_Error',UDSS_Duplicate:'UDSS_Duplicate',UDSS_MAX:'UDSS_MAX', };
+declare class UserDefinedStruct extends ScriptStruct { 
+	PrimaryStruct: any;
+	ErrorMessage: string;
+	EditorData: UObject;
+	Status: EUserDefinedStructureStatus;
+	Guid: Guid;
+	static Load(ResourceName: string): UserDefinedStruct;
+	static Find(Outer: UObject, ResourceName: string): UserDefinedStruct;
+	static GetDefaultObject(): UserDefinedStruct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedStruct;
+	static C(Other: UObject | any): UserDefinedStruct;
 }
 
-declare class BTDecorator_SetTagCooldown extends BTDecorator { 
-	CooldownTag: GameplayTag;
-	CooldownDuration: number;
-	bAddToExistingDuration: boolean;
-	static Load(ResourceName: string): BTDecorator_SetTagCooldown;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_SetTagCooldown;
-	static GetDefaultObject(): BTDecorator_SetTagCooldown;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_SetTagCooldown;
-	static C(Other: UObject | any): BTDecorator_SetTagCooldown;
+declare class AISense_Blueprint extends AISense { 
+	ListenerDataType: UnrealEngineClass;
+	ListenerContainer: AIPerceptionComponent[];
+	UnprocessedEvents: AISenseEvent[];
+	static Load(ResourceName: string): AISense_Blueprint;
+	static Find(Outer: UObject, ResourceName: string): AISense_Blueprint;
+	static GetDefaultObject(): AISense_Blueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Blueprint;
+	OnUpdate(EventsToProcess: AISenseEvent[]): number;
+	OnListenerUpdated(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
+	OnListenerUnregistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
+	OnListenerRegistered(ActorListener: Actor,PerceptionComponent: AIPerceptionComponent): void;
+	K2_OnNewPawn(NewPawn: Pawn): void;
+	GetAllListenerComponents(ListenerComponents?: AIPerceptionComponent[]): {ListenerComponents: AIPerceptionComponent[]};
+	GetAllListenerActors(ListenerActors?: Actor[]): {ListenerActors: Actor[]};
+	static C(Other: UObject | any): AISense_Blueprint;
 }
 
-declare class BTDecorator_TagCooldown extends BTDecorator { 
-	CooldownTag: GameplayTag;
-	CooldownDuration: number;
-	bAddToExistingDuration: boolean;
-	bActivatesCooldown: boolean;
-	static Load(ResourceName: string): BTDecorator_TagCooldown;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_TagCooldown;
-	static GetDefaultObject(): BTDecorator_TagCooldown;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TagCooldown;
-	static C(Other: UObject | any): BTDecorator_TagCooldown;
+declare class AIDamageEvent { 
+	Amount: number;
+	Location: Vector;
+	HitLocation: Vector;
+	DamagedActor: Actor;
+	Instigator: Actor;
+	clone() : AIDamageEvent;
+	static C(Other: UObject | any): AIDamageEvent;
 }
 
-declare class BTDecorator_TimeLimit extends BTDecorator { 
-	TimeLimit: number;
-	static Load(ResourceName: string): BTDecorator_TimeLimit;
-	static Find(Outer: UObject, ResourceName: string): BTDecorator_TimeLimit;
-	static GetDefaultObject(): BTDecorator_TimeLimit;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TimeLimit;
-	static C(Other: UObject | any): BTDecorator_TimeLimit;
+declare class AISense_Damage extends AISense { 
+	RegisteredEvents: AIDamageEvent[];
+	static Load(ResourceName: string): AISense_Damage;
+	static Find(Outer: UObject, ResourceName: string): AISense_Damage;
+	static GetDefaultObject(): AISense_Damage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Damage;
+	static ReportDamageEvent(WorldContextObject: UObject,DamagedActor: Actor,Instigator: Actor,DamageAmount: number,EventLocation: Vector,HitLocation: Vector): void;
+	static C(Other: UObject | any): AISense_Damage;
 }
 
-declare class BTFunctionLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): BTFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): BTFunctionLibrary;
-	static GetDefaultObject(): BTFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTFunctionLibrary;
-	static StopUsingExternalEvent(NodeOwner: BTNode): void;
-	static StartUsingExternalEvent(NodeOwner: BTNode,OwningActor: Actor): void;
-	static SetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Vector): void;
-	static SetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
-	static SetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Rotator): void;
-	static SetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UObject): void;
-	static SetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
-	static SetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
-	static SetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
-	static SetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
-	static SetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UnrealEngineClass): void;
-	static SetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: boolean): void;
-	static GetOwnersBlackboard(NodeOwner: BTNode): BlackboardComponent;
-	static GetOwnerComponent(NodeOwner: BTNode): BehaviorTreeComponent;
-	static GetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): Vector;
-	static GetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
-	static GetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector): Rotator;
-	static GetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector): UObject;
-	static GetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
-	static GetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
-	static GetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
-	static GetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
-	static GetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector): UnrealEngineClass;
-	static GetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector): boolean;
-	static GetBlackboardValueAsActor(NodeOwner: BTNode,Key: BlackboardKeySelector): Actor;
-	static ClearBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
-	static ClearBlackboardValue(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
-	static C(Other: UObject | any): BTFunctionLibrary;
+declare class AINoiseEvent { 
+	NoiseLocation: Vector;
+	Loudness: number;
+	MaxRange: number;
+	Instigator: Actor;
+	Tag: string;
+	clone() : AINoiseEvent;
+	static C(Other: UObject | any): AINoiseEvent;
 }
 
-declare class BTService_BlackboardBase extends BTService { 
-	BlackboardKey: BlackboardKeySelector;
-	static Load(ResourceName: string): BTService_BlackboardBase;
-	static Find(Outer: UObject, ResourceName: string): BTService_BlackboardBase;
-	static GetDefaultObject(): BTService_BlackboardBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlackboardBase;
-	static C(Other: UObject | any): BTService_BlackboardBase;
+declare class AISense_Hearing extends AISense { 
+	NoiseEvents: AINoiseEvent[];
+	SpeedOfSoundSq: number;
+	static Load(ResourceName: string): AISense_Hearing;
+	static Find(Outer: UObject, ResourceName: string): AISense_Hearing;
+	static GetDefaultObject(): AISense_Hearing;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Hearing;
+	static ReportNoiseEvent(WorldContextObject: UObject,NoiseLocation: Vector,Loudness: number,Instigator: Actor,MaxRange: number,Tag: string): void;
+	static C(Other: UObject | any): AISense_Hearing;
 }
 
-declare class BTService_BlueprintBase extends BTService { 
-	AIOwner: AIController;
-	ActorOwner: Actor;
-	bShowPropertyDetails: boolean;
-	bShowEventDetails: boolean;
-	static Load(ResourceName: string): BTService_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): BTService_BlueprintBase;
-	static GetDefaultObject(): BTService_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlueprintBase;
-	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
-	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
-	ReceiveSearchStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveSearchStart(OwnerActor: Actor): void;
-	ReceiveDeactivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveDeactivation(OwnerActor: Actor): void;
-	ReceiveActivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveActivation(OwnerActor: Actor): void;
-	IsServiceActive(): boolean;
-	static C(Other: UObject | any): BTService_BlueprintBase;
+declare class AIPredictionEvent { 
+	Requestor: Actor;
+	PredictedActor: Actor;
+	clone() : AIPredictionEvent;
+	static C(Other: UObject | any): AIPredictionEvent;
 }
 
-declare class BTService_DefaultFocus extends BTService_BlackboardBase { 
-	FocusPriority: number;
-	static Load(ResourceName: string): BTService_DefaultFocus;
-	static Find(Outer: UObject, ResourceName: string): BTService_DefaultFocus;
-	static GetDefaultObject(): BTService_DefaultFocus;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_DefaultFocus;
-	static C(Other: UObject | any): BTService_DefaultFocus;
+declare class AISense_Prediction extends AISense { 
+	RegisteredEvents: AIPredictionEvent[];
+	static Load(ResourceName: string): AISense_Prediction;
+	static Find(Outer: UObject, ResourceName: string): AISense_Prediction;
+	static GetDefaultObject(): AISense_Prediction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Prediction;
+	static RequestPawnPredictionEvent(Requestor: Pawn,PredictedActor: Actor,PredictionTime: number): void;
+	static RequestControllerPredictionEvent(Requestor: AIController,PredictedActor: Actor,PredictionTime: number): void;
+	static C(Other: UObject | any): AISense_Prediction;
 }
 
-declare type EAIParamType = 'Float' | 'Int' | 'Bool' | 'MAX';
-declare var EAIParamType : { Float:'Float',Int:'Int',Bool:'Bool',MAX:'MAX', };
-declare class AIDynamicParam { 
-	ParamName: string;
-	ParamType: EAIParamType;
-	Value: number;
-	BBKey: BlackboardKeySelector;
-	clone() : AIDynamicParam;
-	static C(Other: UObject | any): AIDynamicParam;
+declare class AISense_Sight extends AISense { 
+	MaxTracesPerTick: number;
+	MinQueriesPerTimeSliceCheck: number;
+	MaxTimeSlicePerTick: any;
+	HighImportanceQueryDistanceThreshold: number;
+	MaxQueryImportance: number;
+	SightLimitQueryImportance: number;
+	static Load(ResourceName: string): AISense_Sight;
+	static Find(Outer: UObject, ResourceName: string): AISense_Sight;
+	static GetDefaultObject(): AISense_Sight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Sight;
+	static C(Other: UObject | any): AISense_Sight;
 }
 
-declare class EQSParametrizedQueryExecutionRequest { 
-	QueryTemplate: EnvQuery;
-	QueryConfig: AIDynamicParam[];
-	EQSQueryBlackboardKey: BlackboardKeySelector;
-	RunMode: EEnvQueryRunMode;
-	bUseBBKeyForQueryTemplate: boolean;
-	clone() : EQSParametrizedQueryExecutionRequest;
-	static C(Other: UObject | any): EQSParametrizedQueryExecutionRequest;
+declare class AITeamStimulusEvent { 
+	Broadcaster: Actor;
+	Enemy: Actor;
+	clone() : AITeamStimulusEvent;
+	static C(Other: UObject | any): AITeamStimulusEvent;
 }
 
-declare class BTService_RunEQS extends BTService_BlackboardBase { 
-	EQSRequest: EQSParametrizedQueryExecutionRequest;
-	static Load(ResourceName: string): BTService_RunEQS;
-	static Find(Outer: UObject, ResourceName: string): BTService_RunEQS;
-	static GetDefaultObject(): BTService_RunEQS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_RunEQS;
-	static C(Other: UObject | any): BTService_RunEQS;
+declare class AISense_Team extends AISense { 
+	RegisteredEvents: AITeamStimulusEvent[];
+	static Load(ResourceName: string): AISense_Team;
+	static Find(Outer: UObject, ResourceName: string): AISense_Team;
+	static GetDefaultObject(): AISense_Team;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Team;
+	static C(Other: UObject | any): AISense_Team;
 }
 
-declare class BTTask_BlackboardBase extends BTTaskNode { 
-	BlackboardKey: BlackboardKeySelector;
-	static Load(ResourceName: string): BTTask_BlackboardBase;
-	static Find(Outer: UObject, ResourceName: string): BTTask_BlackboardBase;
-	static GetDefaultObject(): BTTask_BlackboardBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlackboardBase;
-	static C(Other: UObject | any): BTTask_BlackboardBase;
+declare class AITouchEvent { 
+	TouchReceiver: Actor;
+	OtherActor: Actor;
+	clone() : AITouchEvent;
+	static C(Other: UObject | any): AITouchEvent;
 }
 
-declare class BTTask_BlueprintBase extends BTTaskNode { 
-	AIOwner: AIController;
-	ActorOwner: Actor;
-	bShowPropertyDetails: boolean;
-	static Load(ResourceName: string): BTTask_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): BTTask_BlueprintBase;
-	static GetDefaultObject(): BTTask_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlueprintBase;
-	SetFinishOnMessageWithId(MessageName: string,RequestID: number): void;
-	SetFinishOnMessage(MessageName: string): void;
-	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
-	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
-	ReceiveExecuteAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveExecute(OwnerActor: Actor): void;
-	ReceiveAbortAI(OwnerController: AIController,ControlledPawn: Pawn): void;
-	ReceiveAbort(OwnerActor: Actor): void;
-	IsTaskExecuting(): boolean;
-	IsTaskAborting(): boolean;
-	FinishExecute(bSuccess: boolean): void;
-	FinishAbort(): void;
-	static C(Other: UObject | any): BTTask_BlueprintBase;
+declare class AISense_Touch extends AISense { 
+	RegisteredEvents: AITouchEvent[];
+	static Load(ResourceName: string): AISense_Touch;
+	static Find(Outer: UObject, ResourceName: string): AISense_Touch;
+	static GetDefaultObject(): AISense_Touch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISense_Touch;
+	static C(Other: UObject | any): AISense_Touch;
 }
 
-declare class BTTask_GameplayTaskBase extends BTTaskNode { 
-	bWaitForGameplayTask: boolean;
-	static Load(ResourceName: string): BTTask_GameplayTaskBase;
-	static Find(Outer: UObject, ResourceName: string): BTTask_GameplayTaskBase;
-	static GetDefaultObject(): BTTask_GameplayTaskBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_GameplayTaskBase;
-	static C(Other: UObject | any): BTTask_GameplayTaskBase;
+declare class AISenseBlueprintListener extends UserDefinedStruct { 
+	static Load(ResourceName: string): AISenseBlueprintListener;
+	static Find(Outer: UObject, ResourceName: string): AISenseBlueprintListener;
+	static GetDefaultObject(): AISenseBlueprintListener;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseBlueprintListener;
+	static C(Other: UObject | any): AISenseBlueprintListener;
 }
 
-declare class BTTask_MakeNoise extends BTTaskNode { 
-	Loudnes: number;
-	static Load(ResourceName: string): BTTask_MakeNoise;
-	static Find(Outer: UObject, ResourceName: string): BTTask_MakeNoise;
-	static GetDefaultObject(): BTTask_MakeNoise;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MakeNoise;
-	static C(Other: UObject | any): BTTask_MakeNoise;
+declare class AISenseConfig_Blueprint extends AISenseConfig { 
+	Implementation: UnrealEngineClass;
+	static Load(ResourceName: string): AISenseConfig_Blueprint;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Blueprint;
+	static GetDefaultObject(): AISenseConfig_Blueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Blueprint;
+	static C(Other: UObject | any): AISenseConfig_Blueprint;
 }
 
-declare class BTTask_MoveTo extends BTTask_BlackboardBase { 
-	AcceptableRadius: number;
-	FilterClass: UnrealEngineClass;
-	ObservedBlackboardValueTolerance: number;
-	bObserveBlackboardValue: boolean;
-	bAllowStrafe: boolean;
-	bAllowPartialPath: boolean;
-	bTrackMovingGoal: boolean;
-	bProjectGoalLocation: boolean;
-	bReachTestIncludesAgentRadius: boolean;
-	bReachTestIncludesGoalRadius: boolean;
-	bStopOnOverlap: boolean;
-	bStopOnOverlapNeedsUpdate: boolean;
-	static Load(ResourceName: string): BTTask_MoveTo;
-	static Find(Outer: UObject, ResourceName: string): BTTask_MoveTo;
-	static GetDefaultObject(): BTTask_MoveTo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveTo;
-	static C(Other: UObject | any): BTTask_MoveTo;
+declare class AISenseConfig_Damage extends AISenseConfig { 
+	Implementation: UnrealEngineClass;
+	static Load(ResourceName: string): AISenseConfig_Damage;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Damage;
+	static GetDefaultObject(): AISenseConfig_Damage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Damage;
+	static C(Other: UObject | any): AISenseConfig_Damage;
 }
 
-declare class BTTask_MoveDirectlyToward extends BTTask_MoveTo { 
-	bDisablePathUpdateOnGoalLocationChange: boolean;
-	bProjectVectorGoalToNavigation: boolean;
-	bUpdatedDeprecatedProperties: boolean;
-	static Load(ResourceName: string): BTTask_MoveDirectlyToward;
-	static Find(Outer: UObject, ResourceName: string): BTTask_MoveDirectlyToward;
-	static GetDefaultObject(): BTTask_MoveDirectlyToward;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveDirectlyToward;
-	static C(Other: UObject | any): BTTask_MoveDirectlyToward;
+declare class AISenseAffiliationFilter { 
+	bDetectEnemies: boolean;
+	bDetectNeutrals: boolean;
+	bDetectFriendlies: boolean;
+	clone() : AISenseAffiliationFilter;
+	static C(Other: UObject | any): AISenseAffiliationFilter;
 }
 
-declare class BTTask_PawnActionBase extends BTTaskNode { 
-	static Load(ResourceName: string): BTTask_PawnActionBase;
-	static Find(Outer: UObject, ResourceName: string): BTTask_PawnActionBase;
-	static GetDefaultObject(): BTTask_PawnActionBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PawnActionBase;
-	static C(Other: UObject | any): BTTask_PawnActionBase;
+declare class AISenseConfig_Hearing extends AISenseConfig { 
+	Implementation: UnrealEngineClass;
+	HearingRange: number;
+	LoSHearingRange: number;
+	bUseLoSHearing: boolean;
+	DetectionByAffiliation: AISenseAffiliationFilter;
+	static Load(ResourceName: string): AISenseConfig_Hearing;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Hearing;
+	static GetDefaultObject(): AISenseConfig_Hearing;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Hearing;
+	static C(Other: UObject | any): AISenseConfig_Hearing;
 }
 
-declare class BTTask_PlayAnimation extends BTTaskNode { 
-	AnimationToPlay: AnimationAsset;
-	bLooping: boolean;
-	bNonBlocking: boolean;
-	MyOwnerComp: BehaviorTreeComponent;
-	CachedSkelMesh: SkeletalMeshComponent;
-	static Load(ResourceName: string): BTTask_PlayAnimation;
-	static Find(Outer: UObject, ResourceName: string): BTTask_PlayAnimation;
-	static GetDefaultObject(): BTTask_PlayAnimation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlayAnimation;
-	static C(Other: UObject | any): BTTask_PlayAnimation;
+declare class AISenseConfig_Prediction extends AISenseConfig { 
+	static Load(ResourceName: string): AISenseConfig_Prediction;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Prediction;
+	static GetDefaultObject(): AISenseConfig_Prediction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Prediction;
+	static C(Other: UObject | any): AISenseConfig_Prediction;
 }
 
-declare class SoundNode extends UObject { 
-	ChildNodes: SoundNode[];
-	GraphNode: EdGraphNode;
-	static Load(ResourceName: string): SoundNode;
-	static Find(Outer: UObject, ResourceName: string): SoundNode;
-	static GetDefaultObject(): SoundNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNode;
-	static C(Other: UObject | any): SoundNode;
+declare class AISenseConfig_Sight extends AISenseConfig { 
+	Implementation: UnrealEngineClass;
+	SightRadius: number;
+	LoseSightRadius: number;
+	PeripheralVisionAngleDegrees: number;
+	DetectionByAffiliation: AISenseAffiliationFilter;
+	AutoSuccessRangeFromLastSeenLocation: number;
+	static Load(ResourceName: string): AISenseConfig_Sight;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Sight;
+	static GetDefaultObject(): AISenseConfig_Sight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Sight;
+	static C(Other: UObject | any): AISenseConfig_Sight;
 }
 
-declare class SoundCue extends SoundBase { 
-	bOverrideAttenuation: boolean;
-	FirstNode: SoundNode;
-	VolumeMultiplier: number;
-	PitchMultiplier: number;
-	AttenuationOverrides: SoundAttenuationSettings;
-	AllNodes: SoundNode[];
-	SoundCueGraph: EdGraph;
-	SubtitlePriority: number;
-	static Load(ResourceName: string): SoundCue;
-	static Find(Outer: UObject, ResourceName: string): SoundCue;
-	static GetDefaultObject(): SoundCue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCue;
-	static C(Other: UObject | any): SoundCue;
+declare class AISenseConfig_Team extends AISenseConfig { 
+	static Load(ResourceName: string): AISenseConfig_Team;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Team;
+	static GetDefaultObject(): AISenseConfig_Team;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Team;
+	static C(Other: UObject | any): AISenseConfig_Team;
 }
 
-declare class BTTask_PlaySound extends BTTaskNode { 
-	SoundToPlay: SoundCue;
-	static Load(ResourceName: string): BTTask_PlaySound;
-	static Find(Outer: UObject, ResourceName: string): BTTask_PlaySound;
-	static GetDefaultObject(): BTTask_PlaySound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlaySound;
-	static C(Other: UObject | any): BTTask_PlaySound;
+declare class AISenseConfig_Touch extends AISenseConfig { 
+	static Load(ResourceName: string): AISenseConfig_Touch;
+	static Find(Outer: UObject, ResourceName: string): AISenseConfig_Touch;
+	static GetDefaultObject(): AISenseConfig_Touch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseConfig_Touch;
+	static C(Other: UObject | any): AISenseConfig_Touch;
 }
 
-declare class BTTask_PushPawnAction extends BTTask_PawnActionBase { 
-	Action: PawnAction;
-	static Load(ResourceName: string): BTTask_PushPawnAction;
-	static Find(Outer: UObject, ResourceName: string): BTTask_PushPawnAction;
-	static GetDefaultObject(): BTTask_PushPawnAction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PushPawnAction;
-	static C(Other: UObject | any): BTTask_PushPawnAction;
+declare class AISenseEvent_Damage extends AISenseEvent { 
+	Event: AIDamageEvent;
+	static Load(ResourceName: string): AISenseEvent_Damage;
+	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Damage;
+	static GetDefaultObject(): AISenseEvent_Damage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Damage;
+	static C(Other: UObject | any): AISenseEvent_Damage;
 }
 
-declare class BTTask_RotateToFaceBBEntry extends BTTask_BlackboardBase { 
-	Precision: number;
-	static Load(ResourceName: string): BTTask_RotateToFaceBBEntry;
-	static Find(Outer: UObject, ResourceName: string): BTTask_RotateToFaceBBEntry;
-	static GetDefaultObject(): BTTask_RotateToFaceBBEntry;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RotateToFaceBBEntry;
-	static C(Other: UObject | any): BTTask_RotateToFaceBBEntry;
+declare class AISenseEvent_Hearing extends AISenseEvent { 
+	Event: AINoiseEvent;
+	static Load(ResourceName: string): AISenseEvent_Hearing;
+	static Find(Outer: UObject, ResourceName: string): AISenseEvent_Hearing;
+	static GetDefaultObject(): AISenseEvent_Hearing;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISenseEvent_Hearing;
+	static C(Other: UObject | any): AISenseEvent_Hearing;
 }
 
-declare class BTTask_RunBehavior extends BTTaskNode { 
-	BehaviorAsset: BehaviorTree;
-	static Load(ResourceName: string): BTTask_RunBehavior;
-	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehavior;
-	static GetDefaultObject(): BTTask_RunBehavior;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehavior;
-	static C(Other: UObject | any): BTTask_RunBehavior;
+declare class AISightTargetInterface extends Interface { 
+	static Load(ResourceName: string): AISightTargetInterface;
+	static Find(Outer: UObject, ResourceName: string): AISightTargetInterface;
+	static GetDefaultObject(): AISightTargetInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AISightTargetInterface;
+	static C(Other: UObject | any): AISightTargetInterface;
 }
 
-declare class BTTask_RunBehaviorDynamic extends BTTaskNode { 
-	InjectionTag: GameplayTag;
-	DefaultBehaviorAsset: BehaviorTree;
-	BehaviorAsset: BehaviorTree;
-	static Load(ResourceName: string): BTTask_RunBehaviorDynamic;
-	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehaviorDynamic;
-	static GetDefaultObject(): BTTask_RunBehaviorDynamic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehaviorDynamic;
-	static C(Other: UObject | any): BTTask_RunBehaviorDynamic;
+declare class AITask extends GameplayTask { 
+	OwnerController: AIController;
+	static Load(ResourceName: string): AITask;
+	static Find(Outer: UObject, ResourceName: string): AITask;
+	static GetDefaultObject(): AITask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask;
+	static C(Other: UObject | any): AITask;
 }
 
-declare class EnvNamedValue { 
-	ParamName: string;
-	ParamType: EAIParamType;
-	Value: number;
-	clone() : EnvNamedValue;
-	static C(Other: UObject | any): EnvNamedValue;
+declare class AITask_LockLogic extends AITask { 
+	static Load(ResourceName: string): AITask_LockLogic;
+	static Find(Outer: UObject, ResourceName: string): AITask_LockLogic;
+	static GetDefaultObject(): AITask_LockLogic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_LockLogic;
+	static C(Other: UObject | any): AITask_LockLogic;
 }
 
-declare class BTTask_RunEQSQuery extends BTTask_BlackboardBase { 
-	QueryTemplate: EnvQuery;
-	QueryParams: EnvNamedValue[];
-	QueryConfig: AIDynamicParam[];
-	RunMode: EEnvQueryRunMode;
-	EQSQueryBlackboardKey: BlackboardKeySelector;
-	bUseBBKey: boolean;
-	EQSRequest: EQSParametrizedQueryExecutionRequest;
-	static Load(ResourceName: string): BTTask_RunEQSQuery;
-	static Find(Outer: UObject, ResourceName: string): BTTask_RunEQSQuery;
-	static GetDefaultObject(): BTTask_RunEQSQuery;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunEQSQuery;
-	static C(Other: UObject | any): BTTask_RunEQSQuery;
+declare class AIMoveRequest { 
+	GoalActor: Actor;
+	clone() : AIMoveRequest;
+	static C(Other: UObject | any): AIMoveRequest;
 }
 
-declare class BTTask_SetTagCooldown extends BTTaskNode { 
-	CooldownTag: GameplayTag;
-	bAddToExistingDuration: boolean;
-	CooldownDuration: number;
-	static Load(ResourceName: string): BTTask_SetTagCooldown;
-	static Find(Outer: UObject, ResourceName: string): BTTask_SetTagCooldown;
-	static GetDefaultObject(): BTTask_SetTagCooldown;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_SetTagCooldown;
-	static C(Other: UObject | any): BTTask_SetTagCooldown;
+declare type EAIOptionFlag = 'Default' | 'Enable' | 'Disable' | 'MAX';
+declare var EAIOptionFlag : { Default:'Default',Enable:'Enable',Disable:'Disable',MAX:'MAX', };
+declare class AITask_MoveTo extends AITask { 
+	OnRequestFailed: UnrealEngineMulticastDelegate<() => void>;
+	OnMoveFinished: UnrealEngineMulticastDelegate<(Result: EPathFollowingResult, AIController: AIController) => void>;
+	MoveRequest: AIMoveRequest;
+	static Load(ResourceName: string): AITask_MoveTo;
+	static Find(Outer: UObject, ResourceName: string): AITask_MoveTo;
+	static GetDefaultObject(): AITask_MoveTo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_MoveTo;
+	static AIMoveTo(Controller: AIController,GoalLocation: Vector,GoalActor: Actor,AcceptanceRadius: number,StopOnOverlap: EAIOptionFlag,AcceptPartialPath: EAIOptionFlag,bUsePathfinding: boolean,bLockAILogic: boolean,bUseContinuosGoalTracking: boolean): AITask_MoveTo;
+	static C(Other: UObject | any): AITask_MoveTo;
 }
 
-declare class BTTask_Wait extends BTTaskNode { 
-	WaitTime: number;
-	RandomDeviation: number;
-	static Load(ResourceName: string): BTTask_Wait;
-	static Find(Outer: UObject, ResourceName: string): BTTask_Wait;
-	static GetDefaultObject(): BTTask_Wait;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_Wait;
-	static C(Other: UObject | any): BTTask_Wait;
+declare class AITask_RunEQS extends AITask { 
+	static Load(ResourceName: string): AITask_RunEQS;
+	static Find(Outer: UObject, ResourceName: string): AITask_RunEQS;
+	static GetDefaultObject(): AITask_RunEQS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AITask_RunEQS;
+	static RunEQS(Controller: AIController,QueryTemplate: EnvQuery): AITask_RunEQS;
+	static C(Other: UObject | any): AITask_RunEQS;
 }
 
-declare class BTTask_WaitBlackboardTime extends BTTask_Wait { 
-	BlackboardKey: BlackboardKeySelector;
-	static Load(ResourceName: string): BTTask_WaitBlackboardTime;
-	static Find(Outer: UObject, ResourceName: string): BTTask_WaitBlackboardTime;
-	static GetDefaultObject(): BTTask_WaitBlackboardTime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_WaitBlackboardTime;
-	static C(Other: UObject | any): BTTask_WaitBlackboardTime;
+declare class BehaviorTreeTypes extends UObject { 
+	static Load(ResourceName: string): BehaviorTreeTypes;
+	static Find(Outer: UObject, ResourceName: string): BehaviorTreeTypes;
+	static GetDefaultObject(): BehaviorTreeTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BehaviorTreeTypes;
+	static C(Other: UObject | any): BehaviorTreeTypes;
 }
 
-declare class CrowdAgentInterface extends Interface { 
-	static Load(ResourceName: string): CrowdAgentInterface;
-	static Find(Outer: UObject, ResourceName: string): CrowdAgentInterface;
-	static GetDefaultObject(): CrowdAgentInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdAgentInterface;
-	static C(Other: UObject | any): CrowdAgentInterface;
+declare class BlackboardKeyType_Bool extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Bool;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Bool;
+	static GetDefaultObject(): BlackboardKeyType_Bool;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Bool;
+	static C(Other: UObject | any): BlackboardKeyType_Bool;
 }
 
-declare class CrowdFollowingComponent extends PathFollowingComponent { 
-	CrowdAgentMoveDirection: Vector;
-	CharacterMovement: CharacterMovementComponent;
-	AvoidanceGroup: NavAvoidanceMask;
-	GroupsToAvoid: NavAvoidanceMask;
-	GroupsToIgnore: NavAvoidanceMask;
-	static Load(ResourceName: string): CrowdFollowingComponent;
-	static Find(Outer: UObject, ResourceName: string): CrowdFollowingComponent;
-	static GetDefaultObject(): CrowdFollowingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdFollowingComponent;
-	SuspendCrowdSteering(bSuspend: boolean): void;
-	static C(Other: UObject | any): CrowdFollowingComponent;
+declare class BlackboardKeyType_Class extends BlackboardKeyType { 
+	BaseClass: UnrealEngineClass;
+	static Load(ResourceName: string): BlackboardKeyType_Class;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Class;
+	static GetDefaultObject(): BlackboardKeyType_Class;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Class;
+	static C(Other: UObject | any): BlackboardKeyType_Class;
 }
 
-declare class CrowdAvoidanceConfig { 
-	VelocityBias: number;
-	DesiredVelocityWeight: number;
-	CurrentVelocityWeight: number;
-	SideBiasWeight: number;
-	ImpactTimeWeight: number;
-	ImpactTimeRange: number;
-	CustomPatternIdx: number;
-	AdaptiveDivisions: number;
-	AdaptiveRings: number;
-	AdaptiveDepth: number;
-	clone() : CrowdAvoidanceConfig;
-	static C(Other: UObject | any): CrowdAvoidanceConfig;
+declare class BlackboardKeyType_Enum extends BlackboardKeyType { 
+	EnumType: Enum;
+	EnumName: string;
+	bIsEnumNameValid: boolean;
+	static Load(ResourceName: string): BlackboardKeyType_Enum;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Enum;
+	static GetDefaultObject(): BlackboardKeyType_Enum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Enum;
+	static C(Other: UObject | any): BlackboardKeyType_Enum;
 }
 
-declare class CrowdAvoidanceSamplingPattern { 
-	Angles: number[];
-	Radii: number[];
-	clone() : CrowdAvoidanceSamplingPattern;
-	static C(Other: UObject | any): CrowdAvoidanceSamplingPattern;
+declare class BlackboardKeyType_Float extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Float;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Float;
+	static GetDefaultObject(): BlackboardKeyType_Float;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Float;
+	static C(Other: UObject | any): BlackboardKeyType_Float;
 }
 
-declare class CrowdManager extends CrowdManagerBase { 
-	MyNavData: NavigationData;
-	AvoidanceConfig: CrowdAvoidanceConfig[];
-	SamplingPatterns: CrowdAvoidanceSamplingPattern[];
-	MaxAgents: number;
-	MaxAgentRadius: number;
-	MaxAvoidedAgents: number;
-	MaxAvoidedWalls: number;
-	NavmeshCheckInterval: number;
-	PathOptimizationInterval: number;
-	SeparationDirClamp: number;
-	PathOffsetRadiusMultiplier: number;
-	bResolveCollisions: boolean;
-	static Load(ResourceName: string): CrowdManager;
-	static Find(Outer: UObject, ResourceName: string): CrowdManager;
-	static GetDefaultObject(): CrowdManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdManager;
-	static C(Other: UObject | any): CrowdManager;
+declare class BlackboardKeyType_Int extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Int;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Int;
+	static GetDefaultObject(): BlackboardKeyType_Int;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Int;
+	static C(Other: UObject | any): BlackboardKeyType_Int;
 }
 
-declare class DetourCrowdAIController extends AIController { 
-	static GetDefaultObject(): DetourCrowdAIController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DetourCrowdAIController;
-	static C(Other: UObject | any): DetourCrowdAIController;
+declare class BlackboardKeyType_Name extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Name;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Name;
+	static GetDefaultObject(): BlackboardKeyType_Name;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Name;
+	static C(Other: UObject | any): BlackboardKeyType_Name;
 }
 
-declare class EnvQueryContext_BlueprintBase extends EnvQueryContext { 
-	static Load(ResourceName: string): EnvQueryContext_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_BlueprintBase;
-	static GetDefaultObject(): EnvQueryContext_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_BlueprintBase;
-	ProvideSingleLocation(QuerierObject: UObject,QuerierActor: Actor,ResultingLocation?: Vector): {ResultingLocation: Vector};
-	ProvideSingleActor(QuerierObject: UObject,QuerierActor: Actor,ResultingActor?: Actor): {ResultingActor: Actor};
-	ProvideLocationsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingLocationSet?: Vector[]): {ResultingLocationSet: Vector[]};
-	ProvideActorsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingActorsSet?: Actor[]): {ResultingActorsSet: Actor[]};
-	static C(Other: UObject | any): EnvQueryContext_BlueprintBase;
+declare class BlackboardKeyType_NativeEnum extends BlackboardKeyType { 
+	EnumName: string;
+	EnumType: Enum;
+	static Load(ResourceName: string): BlackboardKeyType_NativeEnum;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_NativeEnum;
+	static GetDefaultObject(): BlackboardKeyType_NativeEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_NativeEnum;
+	static C(Other: UObject | any): BlackboardKeyType_NativeEnum;
 }
 
-declare class EnvQueryContext_Item extends EnvQueryContext { 
-	static Load(ResourceName: string): EnvQueryContext_Item;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Item;
-	static GetDefaultObject(): EnvQueryContext_Item;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Item;
-	static C(Other: UObject | any): EnvQueryContext_Item;
+declare class BlackboardKeyType_Object extends BlackboardKeyType { 
+	BaseClass: UnrealEngineClass;
+	static Load(ResourceName: string): BlackboardKeyType_Object;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Object;
+	static GetDefaultObject(): BlackboardKeyType_Object;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Object;
+	static C(Other: UObject | any): BlackboardKeyType_Object;
 }
 
-declare class EnvQueryContext_Querier extends EnvQueryContext { 
-	static Load(ResourceName: string): EnvQueryContext_Querier;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Querier;
-	static GetDefaultObject(): EnvQueryContext_Querier;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Querier;
-	static C(Other: UObject | any): EnvQueryContext_Querier;
+declare class BlackboardKeyType_Rotator extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Rotator;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Rotator;
+	static GetDefaultObject(): BlackboardKeyType_Rotator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Rotator;
+	static C(Other: UObject | any): BlackboardKeyType_Rotator;
 }
 
-declare class EnvQueryDebugHelpers extends UObject { 
-	static Load(ResourceName: string): EnvQueryDebugHelpers;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryDebugHelpers;
-	static GetDefaultObject(): EnvQueryDebugHelpers;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryDebugHelpers;
-	static C(Other: UObject | any): EnvQueryDebugHelpers;
+declare class BlackboardKeyType_String extends BlackboardKeyType { 
+	StringValue: string;
+	static Load(ResourceName: string): BlackboardKeyType_String;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_String;
+	static GetDefaultObject(): BlackboardKeyType_String;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_String;
+	static C(Other: UObject | any): BlackboardKeyType_String;
 }
 
-declare class EnvQueryGenerator_ActorsOfClass extends EnvQueryGenerator { 
-	SearchedActorClass: UnrealEngineClass;
-	GenerateOnlyActorsInRadius: AIDataProviderBoolValue;
-	SearchRadius: AIDataProviderFloatValue;
-	SearchCenter: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryGenerator_ActorsOfClass;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ActorsOfClass;
-	static GetDefaultObject(): EnvQueryGenerator_ActorsOfClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ActorsOfClass;
-	static C(Other: UObject | any): EnvQueryGenerator_ActorsOfClass;
+declare class BlackboardKeyType_Vector extends BlackboardKeyType { 
+	static Load(ResourceName: string): BlackboardKeyType_Vector;
+	static Find(Outer: UObject, ResourceName: string): BlackboardKeyType_Vector;
+	static GetDefaultObject(): BlackboardKeyType_Vector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlackboardKeyType_Vector;
+	static C(Other: UObject | any): BlackboardKeyType_Vector;
 }
 
-declare class EnvQueryGenerator_BlueprintBase extends EnvQueryGenerator { 
-	GeneratorsActionDescription: string;
-	Context: UnrealEngineClass;
-	GeneratedItemType: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryGenerator_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_BlueprintBase;
-	static GetDefaultObject(): EnvQueryGenerator_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_BlueprintBase;
-	GetQuerier(): UObject;
-	DoItemGeneration(ContextLocations: Vector[]): void;
-	AddGeneratedVector(GeneratedVector: Vector): void;
-	AddGeneratedActor(GeneratedActor: Actor): void;
-	static C(Other: UObject | any): EnvQueryGenerator_BlueprintBase;
+declare class BTComposite_Selector extends BTCompositeNode { 
+	static Load(ResourceName: string): BTComposite_Selector;
+	static Find(Outer: UObject, ResourceName: string): BTComposite_Selector;
+	static GetDefaultObject(): BTComposite_Selector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Selector;
+	static C(Other: UObject | any): BTComposite_Selector;
 }
 
-declare class EnvQueryGenerator_Composite extends EnvQueryGenerator { 
-	Generators: EnvQueryGenerator[];
-	bAllowDifferentItemTypes: boolean;
-	bHasMatchingItemType: boolean;
-	ForcedItemType: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryGenerator_Composite;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Composite;
-	static GetDefaultObject(): EnvQueryGenerator_Composite;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Composite;
-	static C(Other: UObject | any): EnvQueryGenerator_Composite;
+declare class BTComposite_Sequence extends BTCompositeNode { 
+	static Load(ResourceName: string): BTComposite_Sequence;
+	static Find(Outer: UObject, ResourceName: string): BTComposite_Sequence;
+	static GetDefaultObject(): BTComposite_Sequence;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_Sequence;
+	static C(Other: UObject | any): BTComposite_Sequence;
 }
 
-declare type EEnvTraceShape = 'Line' | 'Box' | 'Sphere' | 'Capsule' | 'EEnvTraceShape_MAX';
-declare var EEnvTraceShape : { Line:'Line',Box:'Box',Sphere:'Sphere',Capsule:'Capsule',EEnvTraceShape_MAX:'EEnvTraceShape_MAX', };
-declare type EEnvQueryTrace = 'None' | 'Navigation' | 'Geometry' | 'NavigationOverLedges' | 'EEnvQueryTrace_MAX';
-declare var EEnvQueryTrace : { None:'None',Navigation:'Navigation',Geometry:'Geometry',NavigationOverLedges:'NavigationOverLedges',EEnvQueryTrace_MAX:'EEnvQueryTrace_MAX', };
-declare class EnvTraceData { 
-	VersionNum: number;
-	NavigationFilter: UnrealEngineClass;
-	ProjectDown: number;
-	ProjectUp: number;
-	ExtentX: number;
-	ExtentY: number;
-	ExtentZ: number;
-	PostProjectionVerticalOffset: number;
-	TraceChannel: ETraceTypeQuery;
-	SerializedChannel: ECollisionChannel;
-	TraceShape: EEnvTraceShape;
-	TraceMode: EEnvQueryTrace;
-	bTraceComplex: boolean;
-	bOnlyBlockingHits: boolean;
-	bCanTraceOnNavMesh: boolean;
-	bCanTraceOnGeometry: boolean;
-	bCanDisableTrace: boolean;
-	bCanProjectDown: boolean;
-	clone() : EnvTraceData;
-	static C(Other: UObject | any): EnvTraceData;
+declare type EBTParallelMode = 'AbortBackground' | 'WaitForBackground' | 'EBTParallelMode_MAX';
+declare var EBTParallelMode : { AbortBackground:'AbortBackground',WaitForBackground:'WaitForBackground',EBTParallelMode_MAX:'EBTParallelMode_MAX', };
+declare class BTComposite_SimpleParallel extends BTCompositeNode { 
+	FinishMode: EBTParallelMode;
+	static Load(ResourceName: string): BTComposite_SimpleParallel;
+	static Find(Outer: UObject, ResourceName: string): BTComposite_SimpleParallel;
+	static GetDefaultObject(): BTComposite_SimpleParallel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTComposite_SimpleParallel;
+	static C(Other: UObject | any): BTComposite_SimpleParallel;
 }
 
-declare class EnvQueryGenerator_ProjectedPoints extends EnvQueryGenerator { 
-	ProjectionData: EnvTraceData;
-	static Load(ResourceName: string): EnvQueryGenerator_ProjectedPoints;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ProjectedPoints;
-	static GetDefaultObject(): EnvQueryGenerator_ProjectedPoints;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ProjectedPoints;
-	static C(Other: UObject | any): EnvQueryGenerator_ProjectedPoints;
+declare class BTDecorator_BlackboardBase extends BTDecorator { 
+	BlackboardKey: BlackboardKeySelector;
+	static Load(ResourceName: string): BTDecorator_BlackboardBase;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlackboardBase;
+	static GetDefaultObject(): BTDecorator_BlackboardBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlackboardBase;
+	static C(Other: UObject | any): BTDecorator_BlackboardBase;
 }
 
-declare class EnvQueryGenerator_Cone extends EnvQueryGenerator_ProjectedPoints { 
-	AlignedPointsDistance: AIDataProviderFloatValue;
-	ConeDegrees: AIDataProviderFloatValue;
-	AngleStep: AIDataProviderFloatValue;
-	Range: AIDataProviderFloatValue;
-	CenterActor: UnrealEngineClass;
-	bIncludeContextLocation: boolean;
-	static Load(ResourceName: string): EnvQueryGenerator_Cone;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Cone;
-	static GetDefaultObject(): EnvQueryGenerator_Cone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Cone;
-	static C(Other: UObject | any): EnvQueryGenerator_Cone;
+declare type EBTBlackboardRestart = 'ValueChange' | 'ResultChange' | 'EBTBlackboardRestart_MAX';
+declare var EBTBlackboardRestart : { ValueChange:'ValueChange',ResultChange:'ResultChange',EBTBlackboardRestart_MAX:'EBTBlackboardRestart_MAX', };
+declare type EBasicKeyOperation = 'Set' | 'NotSet' | 'EBasicKeyOperation_MAX';
+declare var EBasicKeyOperation : { Set:'Set',NotSet:'NotSet',EBasicKeyOperation_MAX:'EBasicKeyOperation_MAX', };
+declare type EArithmeticKeyOperation = 'Equal' | 'NotEqual' | 'Less' | 'LessOrEqual' | 'Greater' | 'GreaterOrEqual' | 'EArithmeticKeyOperation_MAX';
+declare var EArithmeticKeyOperation : { Equal:'Equal',NotEqual:'NotEqual',Less:'Less',LessOrEqual:'LessOrEqual',Greater:'Greater',GreaterOrEqual:'GreaterOrEqual',EArithmeticKeyOperation_MAX:'EArithmeticKeyOperation_MAX', };
+declare type ETextKeyOperation = 'Equal' | 'NotEqual' | 'Contain' | 'NotContain' | 'ETextKeyOperation_MAX';
+declare var ETextKeyOperation : { Equal:'Equal',NotEqual:'NotEqual',Contain:'Contain',NotContain:'NotContain',ETextKeyOperation_MAX:'ETextKeyOperation_MAX', };
+declare class BTDecorator_Blackboard extends BTDecorator_BlackboardBase { 
+	IntValue: number;
+	FloatValue: number;
+	StringValue: string;
+	CachedDescription: string;
+	OperationType: number;
+	NotifyObserver: EBTBlackboardRestart;
+	BasicOperation: EBasicKeyOperation;
+	ArithmeticOperation: EArithmeticKeyOperation;
+	TextOperation: ETextKeyOperation;
+	static Load(ResourceName: string): BTDecorator_Blackboard;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_Blackboard;
+	static GetDefaultObject(): BTDecorator_Blackboard;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Blackboard;
+	static C(Other: UObject | any): BTDecorator_Blackboard;
 }
 
-declare class EnvQueryGenerator_CurrentLocation extends EnvQueryGenerator { 
-	QueryContext: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryGenerator_CurrentLocation;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_CurrentLocation;
-	static GetDefaultObject(): EnvQueryGenerator_CurrentLocation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_CurrentLocation;
-	static C(Other: UObject | any): EnvQueryGenerator_CurrentLocation;
+declare type EBTNodeResult = 'Succeeded' | 'Failed' | 'Aborted' | 'InProgress' | 'EBTNodeResult_MAX';
+declare var EBTNodeResult : { Succeeded:'Succeeded',Failed:'Failed',Aborted:'Aborted',InProgress:'InProgress',EBTNodeResult_MAX:'EBTNodeResult_MAX', };
+declare class BTDecorator_BlueprintBase extends BTDecorator { 
+	AIOwner: AIController;
+	ActorOwner: Actor;
+	ObservedKeyNames: string[];
+	bShowPropertyDetails: boolean;
+	bCheckConditionOnlyBlackBoardChanges: boolean;
+	bIsObservingBB: boolean;
+	static Load(ResourceName: string): BTDecorator_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_BlueprintBase;
+	static GetDefaultObject(): BTDecorator_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_BlueprintBase;
+	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
+	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
+	ReceiveObserverDeactivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveObserverDeactivated(OwnerActor: Actor): void;
+	ReceiveObserverActivatedAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveObserverActivated(OwnerActor: Actor): void;
+	ReceiveExecutionStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveExecutionStart(OwnerActor: Actor): void;
+	ReceiveExecutionFinishAI(OwnerController: AIController,ControlledPawn: Pawn,NodeResult: EBTNodeResult): void;
+	ReceiveExecutionFinish(OwnerActor: Actor,NodeResult: EBTNodeResult): void;
+	PerformConditionCheckAI(OwnerController: AIController,ControlledPawn: Pawn): boolean;
+	PerformConditionCheck(OwnerActor: Actor): boolean;
+	IsDecoratorObserverActive(): boolean;
+	IsDecoratorExecutionActive(): boolean;
+	static C(Other: UObject | any): BTDecorator_BlueprintBase;
+}
+
+declare type EGameplayContainerMatchType = 'Any' | 'All' | 'EGameplayContainerMatchType_MAX';
+declare var EGameplayContainerMatchType : { Any:'Any',All:'All',EGameplayContainerMatchType_MAX:'EGameplayContainerMatchType_MAX', };
+declare class BTDecorator_CheckGameplayTagsOnActor extends BTDecorator { 
+	ActorToCheck: BlackboardKeySelector;
+	TagsToMatch: EGameplayContainerMatchType;
+	GameplayTags: GameplayTagContainer;
+	CachedDescription: string;
+	static Load(ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_CheckGameplayTagsOnActor;
+	static GetDefaultObject(): BTDecorator_CheckGameplayTagsOnActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CheckGameplayTagsOnActor;
+	static C(Other: UObject | any): BTDecorator_CheckGameplayTagsOnActor;
+}
+
+declare type EBlackBoardEntryComparison = 'Equal' | 'NotEqual' | 'EBlackBoardEntryComparison_MAX';
+declare var EBlackBoardEntryComparison : { Equal:'Equal',NotEqual:'NotEqual',EBlackBoardEntryComparison_MAX:'EBlackBoardEntryComparison_MAX', };
+declare class BTDecorator_CompareBBEntries extends BTDecorator { 
+	Operator: EBlackBoardEntryComparison;
+	BlackboardKeyA: BlackboardKeySelector;
+	BlackboardKeyB: BlackboardKeySelector;
+	static Load(ResourceName: string): BTDecorator_CompareBBEntries;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_CompareBBEntries;
+	static GetDefaultObject(): BTDecorator_CompareBBEntries;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_CompareBBEntries;
+	static C(Other: UObject | any): BTDecorator_CompareBBEntries;
 }
 
-declare class AIDataProviderIntValue extends AIDataProviderTypedValue { 
-	DefaultValue: number;
-	clone() : AIDataProviderIntValue;
-	static C(Other: UObject | any): AIDataProviderIntValue;
+declare class BTDecorator_ConditionalLoop extends BTDecorator_Blackboard { 
+	static Load(ResourceName: string): BTDecorator_ConditionalLoop;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConditionalLoop;
+	static GetDefaultObject(): BTDecorator_ConditionalLoop;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConditionalLoop;
+	static C(Other: UObject | any): BTDecorator_ConditionalLoop;
 }
 
-declare type EEnvDirection = 'TwoPoints' | 'Rotation' | 'EEnvDirection_MAX';
-declare var EEnvDirection : { TwoPoints:'TwoPoints',Rotation:'Rotation',EEnvDirection_MAX:'EEnvDirection_MAX', };
-declare class EnvDirection { 
-	LineFrom: UnrealEngineClass;
-	LineTo: UnrealEngineClass;
-	Rotation: UnrealEngineClass;
-	DirMode: EEnvDirection;
-	clone() : EnvDirection;
-	static C(Other: UObject | any): EnvDirection;
+declare class BTDecorator_ConeCheck extends BTDecorator { 
+	ConeHalfAngle: number;
+	ConeOrigin: BlackboardKeySelector;
+	ConeDirection: BlackboardKeySelector;
+	Observed: BlackboardKeySelector;
+	static Load(ResourceName: string): BTDecorator_ConeCheck;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_ConeCheck;
+	static GetDefaultObject(): BTDecorator_ConeCheck;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ConeCheck;
+	static C(Other: UObject | any): BTDecorator_ConeCheck;
 }
 
-declare class EnvQueryGenerator_Donut extends EnvQueryGenerator_ProjectedPoints { 
-	InnerRadius: AIDataProviderFloatValue;
-	OuterRadius: AIDataProviderFloatValue;
-	NumberOfRings: AIDataProviderIntValue;
-	PointsPerRing: AIDataProviderIntValue;
-	ArcDirection: EnvDirection;
-	ArcAngle: AIDataProviderFloatValue;
-	bUseSpiralPattern: boolean;
-	Center: UnrealEngineClass;
-	bDefineArc: boolean;
-	static Load(ResourceName: string): EnvQueryGenerator_Donut;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Donut;
-	static GetDefaultObject(): EnvQueryGenerator_Donut;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Donut;
-	static C(Other: UObject | any): EnvQueryGenerator_Donut;
+declare class BTDecorator_Cooldown extends BTDecorator { 
+	CoolDownTime: number;
+	static Load(ResourceName: string): BTDecorator_Cooldown;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_Cooldown;
+	static GetDefaultObject(): BTDecorator_Cooldown;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Cooldown;
+	static C(Other: UObject | any): BTDecorator_Cooldown;
 }
 
-declare type EPointOnCircleSpacingMethod = 'BySpaceBetween' | 'ByNumberOfPoints' | 'EPointOnCircleSpacingMethod_MAX';
-declare var EPointOnCircleSpacingMethod : { BySpaceBetween:'BySpaceBetween',ByNumberOfPoints:'ByNumberOfPoints',EPointOnCircleSpacingMethod_MAX:'EPointOnCircleSpacingMethod_MAX', };
-declare class EnvQueryGenerator_OnCircle extends EnvQueryGenerator_ProjectedPoints { 
-	CircleRadius: AIDataProviderFloatValue;
-	SpaceBetween: AIDataProviderFloatValue;
-	NumberOfPoints: AIDataProviderIntValue;
-	PointOnCircleSpacingMethod: EPointOnCircleSpacingMethod;
-	ArcDirection: EnvDirection;
-	ArcAngle: AIDataProviderFloatValue;
-	AngleRadians: number;
-	CircleCenter: UnrealEngineClass;
-	bIgnoreAnyContextActorsWhenGeneratingCircle: boolean;
-	CircleCenterZOffset: AIDataProviderFloatValue;
-	TraceData: EnvTraceData;
-	bDefineArc: boolean;
-	static Load(ResourceName: string): EnvQueryGenerator_OnCircle;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_OnCircle;
-	static GetDefaultObject(): EnvQueryGenerator_OnCircle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_OnCircle;
-	static C(Other: UObject | any): EnvQueryGenerator_OnCircle;
+declare type EPathExistanceQueryType = 'NavmeshRaycast2D' | 'HierarchicalQuery' | 'RegularPathFinding' | 'EPathExistanceQueryType_MAX';
+declare var EPathExistanceQueryType : { NavmeshRaycast2D:'NavmeshRaycast2D',HierarchicalQuery:'HierarchicalQuery',RegularPathFinding:'RegularPathFinding',EPathExistanceQueryType_MAX:'EPathExistanceQueryType_MAX', };
+declare class BTDecorator_DoesPathExist extends BTDecorator { 
+	BlackboardKeyA: BlackboardKeySelector;
+	BlackboardKeyB: BlackboardKeySelector;
+	bUseSelf: boolean;
+	PathQueryType: EPathExistanceQueryType;
+	FilterClass: UnrealEngineClass;
+	static Load(ResourceName: string): BTDecorator_DoesPathExist;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_DoesPathExist;
+	static GetDefaultObject(): BTDecorator_DoesPathExist;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_DoesPathExist;
+	static C(Other: UObject | any): BTDecorator_DoesPathExist;
 }
 
-declare class EnvQueryGenerator_SimpleGrid extends EnvQueryGenerator_ProjectedPoints { 
-	GridSize: AIDataProviderFloatValue;
-	SpaceBetween: AIDataProviderFloatValue;
-	GenerateAround: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryGenerator_SimpleGrid;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_SimpleGrid;
-	static GetDefaultObject(): EnvQueryGenerator_SimpleGrid;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_SimpleGrid;
-	static C(Other: UObject | any): EnvQueryGenerator_SimpleGrid;
+declare class BTDecorator_ForceSuccess extends BTDecorator { 
+	static Load(ResourceName: string): BTDecorator_ForceSuccess;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_ForceSuccess;
+	static GetDefaultObject(): BTDecorator_ForceSuccess;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ForceSuccess;
+	static C(Other: UObject | any): BTDecorator_ForceSuccess;
 }
 
-declare class EnvQueryGenerator_PathingGrid extends EnvQueryGenerator_SimpleGrid { 
-	PathToItem: AIDataProviderBoolValue;
-	NavigationFilter: UnrealEngineClass;
-	ScanRangeMultiplier: AIDataProviderFloatValue;
-	static Load(ResourceName: string): EnvQueryGenerator_PathingGrid;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_PathingGrid;
-	static GetDefaultObject(): EnvQueryGenerator_PathingGrid;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_PathingGrid;
-	static C(Other: UObject | any): EnvQueryGenerator_PathingGrid;
+declare type FAIDistanceType = 'Distance3D' | 'Distance2D' | 'DistanceZ' | 'MAX';
+declare var FAIDistanceType : { Distance3D:'Distance3D',Distance2D:'Distance2D',DistanceZ:'DistanceZ',MAX:'MAX', };
+declare class BTDecorator_IsAtLocation extends BTDecorator_BlackboardBase { 
+	AcceptableRadius: number;
+	ParametrizedAcceptableRadius: AIDataProviderFloatValue;
+	GeometricDistanceType: FAIDistanceType;
+	bUseParametrizedRadius: boolean;
+	bUseNavAgentGoalLocation: boolean;
+	bPathFindingBasedTest: boolean;
+	static Load(ResourceName: string): BTDecorator_IsAtLocation;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsAtLocation;
+	static GetDefaultObject(): BTDecorator_IsAtLocation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsAtLocation;
+	static C(Other: UObject | any): BTDecorator_IsAtLocation;
 }
 
-declare class EnvQueryItemType_VectorBase extends EnvQueryItemType { 
-	static Load(ResourceName: string): EnvQueryItemType_VectorBase;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_VectorBase;
-	static GetDefaultObject(): EnvQueryItemType_VectorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_VectorBase;
-	static C(Other: UObject | any): EnvQueryItemType_VectorBase;
+declare class BTDecorator_IsBBEntryOfClass extends BTDecorator_BlackboardBase { 
+	TestClass: UnrealEngineClass;
+	static Load(ResourceName: string): BTDecorator_IsBBEntryOfClass;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_IsBBEntryOfClass;
+	static GetDefaultObject(): BTDecorator_IsBBEntryOfClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_IsBBEntryOfClass;
+	static C(Other: UObject | any): BTDecorator_IsBBEntryOfClass;
 }
 
-declare class EnvQueryItemType_ActorBase extends EnvQueryItemType_VectorBase { 
-	static Load(ResourceName: string): EnvQueryItemType_ActorBase;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_ActorBase;
-	static GetDefaultObject(): EnvQueryItemType_ActorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_ActorBase;
-	static C(Other: UObject | any): EnvQueryItemType_ActorBase;
+declare class BTDecorator_KeepInCone extends BTDecorator { 
+	ConeHalfAngle: number;
+	ConeOrigin: BlackboardKeySelector;
+	Observed: BlackboardKeySelector;
+	bUseSelfAsOrigin: boolean;
+	bUseSelfAsObserved: boolean;
+	static Load(ResourceName: string): BTDecorator_KeepInCone;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_KeepInCone;
+	static GetDefaultObject(): BTDecorator_KeepInCone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_KeepInCone;
+	static C(Other: UObject | any): BTDecorator_KeepInCone;
 }
 
-declare class EnvQueryItemType_Actor extends EnvQueryItemType_ActorBase { 
-	static Load(ResourceName: string): EnvQueryItemType_Actor;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Actor;
-	static GetDefaultObject(): EnvQueryItemType_Actor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Actor;
-	static C(Other: UObject | any): EnvQueryItemType_Actor;
+declare class BTDecorator_Loop extends BTDecorator { 
+	NumLoops: number;
+	bInfiniteLoop: boolean;
+	InfiniteLoopTimeoutTime: number;
+	static Load(ResourceName: string): BTDecorator_Loop;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_Loop;
+	static GetDefaultObject(): BTDecorator_Loop;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_Loop;
+	static C(Other: UObject | any): BTDecorator_Loop;
 }
 
-declare class EnvQueryItemType_Direction extends EnvQueryItemType_VectorBase { 
-	static Load(ResourceName: string): EnvQueryItemType_Direction;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Direction;
-	static GetDefaultObject(): EnvQueryItemType_Direction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Direction;
-	static C(Other: UObject | any): EnvQueryItemType_Direction;
+declare class BTDecorator_ReachedMoveGoal extends BTDecorator { 
+	static Load(ResourceName: string): BTDecorator_ReachedMoveGoal;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_ReachedMoveGoal;
+	static GetDefaultObject(): BTDecorator_ReachedMoveGoal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_ReachedMoveGoal;
+	static C(Other: UObject | any): BTDecorator_ReachedMoveGoal;
 }
 
-declare class EnvQueryItemType_Point extends EnvQueryItemType_VectorBase { 
-	static Load(ResourceName: string): EnvQueryItemType_Point;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Point;
-	static GetDefaultObject(): EnvQueryItemType_Point;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Point;
-	static C(Other: UObject | any): EnvQueryItemType_Point;
+declare class BTDecorator_SetTagCooldown extends BTDecorator { 
+	CooldownTag: GameplayTag;
+	CooldownDuration: number;
+	bAddToExistingDuration: boolean;
+	static Load(ResourceName: string): BTDecorator_SetTagCooldown;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_SetTagCooldown;
+	static GetDefaultObject(): BTDecorator_SetTagCooldown;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_SetTagCooldown;
+	static C(Other: UObject | any): BTDecorator_SetTagCooldown;
 }
 
-declare type EEnvTestDistance = 'Distance3D' | 'Distance2D' | 'DistanceZ' | 'DistanceAbsoluteZ' | 'EEnvTestDistance_MAX';
-declare var EEnvTestDistance : { Distance3D:'Distance3D',Distance2D:'Distance2D',DistanceZ:'DistanceZ',DistanceAbsoluteZ:'DistanceAbsoluteZ',EEnvTestDistance_MAX:'EEnvTestDistance_MAX', };
-declare class EnvQueryTest_Distance extends EnvQueryTest { 
-	TestMode: EEnvTestDistance;
-	DistanceTo: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryTest_Distance;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Distance;
-	static GetDefaultObject(): EnvQueryTest_Distance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Distance;
-	static C(Other: UObject | any): EnvQueryTest_Distance;
+declare class BTDecorator_TagCooldown extends BTDecorator { 
+	CooldownTag: GameplayTag;
+	CooldownDuration: number;
+	bAddToExistingDuration: boolean;
+	bActivatesCooldown: boolean;
+	static Load(ResourceName: string): BTDecorator_TagCooldown;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_TagCooldown;
+	static GetDefaultObject(): BTDecorator_TagCooldown;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TagCooldown;
+	static C(Other: UObject | any): BTDecorator_TagCooldown;
 }
 
-declare type EEnvTestDot = 'Dot3D' | 'Dot2D' | 'EEnvTestDot_MAX';
-declare var EEnvTestDot : { Dot3D:'Dot3D',Dot2D:'Dot2D',EEnvTestDot_MAX:'EEnvTestDot_MAX', };
-declare class EnvQueryTest_Dot extends EnvQueryTest { 
-	LineA: EnvDirection;
-	LineB: EnvDirection;
-	TestMode: EEnvTestDot;
-	bAbsoluteValue: boolean;
-	static Load(ResourceName: string): EnvQueryTest_Dot;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Dot;
-	static GetDefaultObject(): EnvQueryTest_Dot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Dot;
-	static C(Other: UObject | any): EnvQueryTest_Dot;
+declare class BTDecorator_TimeLimit extends BTDecorator { 
+	TimeLimit: number;
+	static Load(ResourceName: string): BTDecorator_TimeLimit;
+	static Find(Outer: UObject, ResourceName: string): BTDecorator_TimeLimit;
+	static GetDefaultObject(): BTDecorator_TimeLimit;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTDecorator_TimeLimit;
+	static C(Other: UObject | any): BTDecorator_TimeLimit;
 }
 
-declare class EnvQueryTest_GameplayTags extends EnvQueryTest { 
-	TagQueryToMatch: GameplayTagQuery;
-	bUpdatedToUseQuery: boolean;
-	TagsToMatch: EGameplayContainerMatchType;
-	GameplayTags: GameplayTagContainer;
-	static Load(ResourceName: string): EnvQueryTest_GameplayTags;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_GameplayTags;
-	static GetDefaultObject(): EnvQueryTest_GameplayTags;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_GameplayTags;
-	static C(Other: UObject | any): EnvQueryTest_GameplayTags;
+declare class BTFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BTFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): BTFunctionLibrary;
+	static GetDefaultObject(): BTFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTFunctionLibrary;
+	static StopUsingExternalEvent(NodeOwner: BTNode): void;
+	static StartUsingExternalEvent(NodeOwner: BTNode,OwningActor: Actor): void;
+	static SetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Vector): void;
+	static SetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
+	static SetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: Rotator): void;
+	static SetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UObject): void;
+	static SetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: string): void;
+	static SetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
+	static SetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
+	static SetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: number): void;
+	static SetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: UnrealEngineClass): void;
+	static SetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector,Value: boolean): void;
+	static GetOwnersBlackboard(NodeOwner: BTNode): BlackboardComponent;
+	static GetOwnerComponent(NodeOwner: BTNode): BehaviorTreeComponent;
+	static GetBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): Vector;
+	static GetBlackboardValueAsString(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
+	static GetBlackboardValueAsRotator(NodeOwner: BTNode,Key: BlackboardKeySelector): Rotator;
+	static GetBlackboardValueAsObject(NodeOwner: BTNode,Key: BlackboardKeySelector): UObject;
+	static GetBlackboardValueAsName(NodeOwner: BTNode,Key: BlackboardKeySelector): string;
+	static GetBlackboardValueAsInt(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
+	static GetBlackboardValueAsFloat(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
+	static GetBlackboardValueAsEnum(NodeOwner: BTNode,Key: BlackboardKeySelector): number;
+	static GetBlackboardValueAsClass(NodeOwner: BTNode,Key: BlackboardKeySelector): UnrealEngineClass;
+	static GetBlackboardValueAsBool(NodeOwner: BTNode,Key: BlackboardKeySelector): boolean;
+	static GetBlackboardValueAsActor(NodeOwner: BTNode,Key: BlackboardKeySelector): Actor;
+	static ClearBlackboardValueAsVector(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
+	static ClearBlackboardValue(NodeOwner: BTNode,Key: BlackboardKeySelector): void;
+	static C(Other: UObject | any): BTFunctionLibrary;
 }
 
-declare type EEnvOverlapShape = 'Box' | 'Sphere' | 'Capsule' | 'EEnvOverlapShape_MAX';
-declare var EEnvOverlapShape : { Box:'Box',Sphere:'Sphere',Capsule:'Capsule',EEnvOverlapShape_MAX:'EEnvOverlapShape_MAX', };
-declare class EnvOverlapData { 
-	ExtentX: number;
-	ExtentY: number;
-	ExtentZ: number;
-	ShapeOffset: Vector;
-	OverlapChannel: ECollisionChannel;
-	OverlapShape: EEnvOverlapShape;
-	bOnlyBlockingHits: boolean;
-	bOverlapComplex: boolean;
-	clone() : EnvOverlapData;
-	static C(Other: UObject | any): EnvOverlapData;
+declare class BTService_BlackboardBase extends BTService { 
+	BlackboardKey: BlackboardKeySelector;
+	static Load(ResourceName: string): BTService_BlackboardBase;
+	static Find(Outer: UObject, ResourceName: string): BTService_BlackboardBase;
+	static GetDefaultObject(): BTService_BlackboardBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlackboardBase;
+	static C(Other: UObject | any): BTService_BlackboardBase;
 }
 
-declare class EnvQueryTest_Overlap extends EnvQueryTest { 
-	OverlapData: EnvOverlapData;
-	static Load(ResourceName: string): EnvQueryTest_Overlap;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Overlap;
-	static GetDefaultObject(): EnvQueryTest_Overlap;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Overlap;
-	static C(Other: UObject | any): EnvQueryTest_Overlap;
+declare class BTService_BlueprintBase extends BTService { 
+	AIOwner: AIController;
+	ActorOwner: Actor;
+	bShowPropertyDetails: boolean;
+	bShowEventDetails: boolean;
+	static Load(ResourceName: string): BTService_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): BTService_BlueprintBase;
+	static GetDefaultObject(): BTService_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_BlueprintBase;
+	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
+	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
+	ReceiveSearchStartAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveSearchStart(OwnerActor: Actor): void;
+	ReceiveDeactivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveDeactivation(OwnerActor: Actor): void;
+	ReceiveActivationAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveActivation(OwnerActor: Actor): void;
+	IsServiceActive(): boolean;
+	static C(Other: UObject | any): BTService_BlueprintBase;
 }
 
-declare type EEnvTestPathfinding = 'PathExist' | 'PathCost' | 'PathLength' | 'EEnvTestPathfinding_MAX';
-declare var EEnvTestPathfinding : { PathExist:'PathExist',PathCost:'PathCost',PathLength:'PathLength',EEnvTestPathfinding_MAX:'EEnvTestPathfinding_MAX', };
-declare class EnvQueryTest_Pathfinding extends EnvQueryTest { 
-	TestMode: EEnvTestPathfinding;
-	Context: UnrealEngineClass;
-	PathFromContext: AIDataProviderBoolValue;
-	SkipUnreachable: AIDataProviderBoolValue;
-	FilterClass: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryTest_Pathfinding;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Pathfinding;
-	static GetDefaultObject(): EnvQueryTest_Pathfinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Pathfinding;
-	static C(Other: UObject | any): EnvQueryTest_Pathfinding;
+declare class BTService_DefaultFocus extends BTService_BlackboardBase { 
+	FocusPriority: number;
+	static Load(ResourceName: string): BTService_DefaultFocus;
+	static Find(Outer: UObject, ResourceName: string): BTService_DefaultFocus;
+	static GetDefaultObject(): BTService_DefaultFocus;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_DefaultFocus;
+	static C(Other: UObject | any): BTService_DefaultFocus;
 }
 
-declare class EnvQueryTest_PathfindingBatch extends EnvQueryTest_Pathfinding { 
-	ScanRangeMultiplier: AIDataProviderFloatValue;
-	static Load(ResourceName: string): EnvQueryTest_PathfindingBatch;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_PathfindingBatch;
-	static GetDefaultObject(): EnvQueryTest_PathfindingBatch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_PathfindingBatch;
-	static C(Other: UObject | any): EnvQueryTest_PathfindingBatch;
+declare type EAIParamType = 'Float' | 'Int' | 'Bool' | 'MAX';
+declare var EAIParamType : { Float:'Float',Int:'Int',Bool:'Bool',MAX:'MAX', };
+declare class AIDynamicParam { 
+	ParamName: string;
+	ParamType: EAIParamType;
+	Value: number;
+	BBKey: BlackboardKeySelector;
+	clone() : AIDynamicParam;
+	static C(Other: UObject | any): AIDynamicParam;
 }
 
-declare class EnvQueryTest_Project extends EnvQueryTest { 
-	ProjectionData: EnvTraceData;
-	static Load(ResourceName: string): EnvQueryTest_Project;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Project;
-	static GetDefaultObject(): EnvQueryTest_Project;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Project;
-	static C(Other: UObject | any): EnvQueryTest_Project;
+declare class EQSParametrizedQueryExecutionRequest { 
+	QueryTemplate: EnvQuery;
+	QueryConfig: AIDynamicParam[];
+	EQSQueryBlackboardKey: BlackboardKeySelector;
+	RunMode: EEnvQueryRunMode;
+	bUseBBKeyForQueryTemplate: boolean;
+	clone() : EQSParametrizedQueryExecutionRequest;
+	static C(Other: UObject | any): EQSParametrizedQueryExecutionRequest;
 }
 
-declare class EnvQueryTest_Random extends EnvQueryTest { 
-	static Load(ResourceName: string): EnvQueryTest_Random;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Random;
-	static GetDefaultObject(): EnvQueryTest_Random;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Random;
-	static C(Other: UObject | any): EnvQueryTest_Random;
+declare class BTService_RunEQS extends BTService_BlackboardBase { 
+	EQSRequest: EQSParametrizedQueryExecutionRequest;
+	static Load(ResourceName: string): BTService_RunEQS;
+	static Find(Outer: UObject, ResourceName: string): BTService_RunEQS;
+	static GetDefaultObject(): BTService_RunEQS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTService_RunEQS;
+	static C(Other: UObject | any): BTService_RunEQS;
 }
 
-declare class EnvQueryTest_Trace extends EnvQueryTest { 
-	TraceData: EnvTraceData;
-	TraceFromContext: AIDataProviderBoolValue;
-	ItemHeightOffset: AIDataProviderFloatValue;
-	ContextHeightOffset: AIDataProviderFloatValue;
-	Context: UnrealEngineClass;
-	static Load(ResourceName: string): EnvQueryTest_Trace;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Trace;
-	static GetDefaultObject(): EnvQueryTest_Trace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Trace;
-	static C(Other: UObject | any): EnvQueryTest_Trace;
+declare class BTTask_BlackboardBase extends BTTaskNode { 
+	BlackboardKey: BlackboardKeySelector;
+	static Load(ResourceName: string): BTTask_BlackboardBase;
+	static Find(Outer: UObject, ResourceName: string): BTTask_BlackboardBase;
+	static GetDefaultObject(): BTTask_BlackboardBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlackboardBase;
+	static C(Other: UObject | any): BTTask_BlackboardBase;
 }
 
-declare class EnvQueryTypes extends UObject { 
-	static Load(ResourceName: string): EnvQueryTypes;
-	static Find(Outer: UObject, ResourceName: string): EnvQueryTypes;
-	static GetDefaultObject(): EnvQueryTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTypes;
-	static C(Other: UObject | any): EnvQueryTypes;
+declare class BTTask_BlueprintBase extends BTTaskNode { 
+	AIOwner: AIController;
+	ActorOwner: Actor;
+	bShowPropertyDetails: boolean;
+	static Load(ResourceName: string): BTTask_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): BTTask_BlueprintBase;
+	static GetDefaultObject(): BTTask_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_BlueprintBase;
+	SetFinishOnMessageWithId(MessageName: string,RequestID: number): void;
+	SetFinishOnMessage(MessageName: string): void;
+	ReceiveTickAI(OwnerController: AIController,ControlledPawn: Pawn,DeltaSeconds: number): void;
+	ReceiveTick(OwnerActor: Actor,DeltaSeconds: number): void;
+	ReceiveExecuteAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveExecute(OwnerActor: Actor): void;
+	ReceiveAbortAI(OwnerController: AIController,ControlledPawn: Pawn): void;
+	ReceiveAbort(OwnerActor: Actor): void;
+	IsTaskExecuting(): boolean;
+	IsTaskAborting(): boolean;
+	FinishExecute(bSuccess: boolean): void;
+	FinishAbort(): void;
+	static C(Other: UObject | any): BTTask_BlueprintBase;
 }
 
-declare class EQSQueryResultSourceInterface extends Interface { 
-	static Load(ResourceName: string): EQSQueryResultSourceInterface;
-	static Find(Outer: UObject, ResourceName: string): EQSQueryResultSourceInterface;
-	static GetDefaultObject(): EQSQueryResultSourceInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSQueryResultSourceInterface;
-	static C(Other: UObject | any): EQSQueryResultSourceInterface;
+declare class BTTask_FinishWithResult extends BTTaskNode { 
+	Result: EBTNodeResult;
+	static Load(ResourceName: string): BTTask_FinishWithResult;
+	static Find(Outer: UObject, ResourceName: string): BTTask_FinishWithResult;
+	static GetDefaultObject(): BTTask_FinishWithResult;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_FinishWithResult;
+	static C(Other: UObject | any): BTTask_FinishWithResult;
 }
 
-declare class EQSRenderingComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): EQSRenderingComponent;
-	static Find(Outer: UObject, ResourceName: string): EQSRenderingComponent;
-	static GetDefaultObject(): EQSRenderingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSRenderingComponent;
-	static C(Other: UObject | any): EQSRenderingComponent;
+declare class BTTask_GameplayTaskBase extends BTTaskNode { 
+	bWaitForGameplayTask: boolean;
+	static Load(ResourceName: string): BTTask_GameplayTaskBase;
+	static Find(Outer: UObject, ResourceName: string): BTTask_GameplayTaskBase;
+	static GetDefaultObject(): BTTask_GameplayTaskBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_GameplayTaskBase;
+	static C(Other: UObject | any): BTTask_GameplayTaskBase;
 }
 
-declare type EEnvQueryHightlightMode = 'All' | 'Best5Pct' | 'Best25Pct' | 'EEnvQueryHightlightMode_MAX';
-declare var EEnvQueryHightlightMode : { All:'All',Best5Pct:'Best5Pct',Best25Pct:'Best25Pct',EEnvQueryHightlightMode_MAX:'EEnvQueryHightlightMode_MAX', };
-declare class EQSTestingPawn extends Character { 
-	QueryTemplate: EnvQuery;
-	QueryParams: EnvNamedValue[];
-	QueryConfig: AIDynamicParam[];
-	TimeLimitPerStep: number;
-	StepToDebugDraw: number;
-	HighlightMode: EEnvQueryHightlightMode;
-	bDrawLabels: boolean;
-	bDrawFailedItems: boolean;
-	bReRunQueryOnlyOnFinishedMove: boolean;
-	bShouldBeVisibleInGame: boolean;
-	bTickDuringGame: boolean;
-	QueryingMode: EEnvQueryRunMode;
-	NavAgentProperties: NavAgentProperties;
-	EdRenderComp: EQSRenderingComponent;
-	static GetDefaultObject(): EQSTestingPawn;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSTestingPawn;
-	static C(Other: UObject | any): EQSTestingPawn;
+declare class BTTask_MakeNoise extends BTTaskNode { 
+	Loudnes: number;
+	static Load(ResourceName: string): BTTask_MakeNoise;
+	static Find(Outer: UObject, ResourceName: string): BTTask_MakeNoise;
+	static GetDefaultObject(): BTTask_MakeNoise;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MakeNoise;
+	static C(Other: UObject | any): BTTask_MakeNoise;
 }
 
-declare class GenericTeamAgentInterface extends Interface { 
-	static Load(ResourceName: string): GenericTeamAgentInterface;
-	static Find(Outer: UObject, ResourceName: string): GenericTeamAgentInterface;
-	static GetDefaultObject(): GenericTeamAgentInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenericTeamAgentInterface;
-	static C(Other: UObject | any): GenericTeamAgentInterface;
+declare class BTTask_MoveTo extends BTTask_BlackboardBase { 
+	AcceptableRadius: number;
+	FilterClass: UnrealEngineClass;
+	ObservedBlackboardValueTolerance: number;
+	bObserveBlackboardValue: boolean;
+	bAllowStrafe: boolean;
+	bAllowPartialPath: boolean;
+	bTrackMovingGoal: boolean;
+	bProjectGoalLocation: boolean;
+	bReachTestIncludesAgentRadius: boolean;
+	bReachTestIncludesGoalRadius: boolean;
+	bStopOnOverlap: boolean;
+	bStopOnOverlapNeedsUpdate: boolean;
+	static Load(ResourceName: string): BTTask_MoveTo;
+	static Find(Outer: UObject, ResourceName: string): BTTask_MoveTo;
+	static GetDefaultObject(): BTTask_MoveTo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveTo;
+	static C(Other: UObject | any): BTTask_MoveTo;
 }
-
-declare class GridPathAIController extends AIController { 
-	static GetDefaultObject(): GridPathAIController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPathAIController;
-	static C(Other: UObject | any): GridPathAIController;
+
+declare class BTTask_MoveDirectlyToward extends BTTask_MoveTo { 
+	bDisablePathUpdateOnGoalLocationChange: boolean;
+	bProjectVectorGoalToNavigation: boolean;
+	bUpdatedDeprecatedProperties: boolean;
+	static Load(ResourceName: string): BTTask_MoveDirectlyToward;
+	static Find(Outer: UObject, ResourceName: string): BTTask_MoveDirectlyToward;
+	static GetDefaultObject(): BTTask_MoveDirectlyToward;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_MoveDirectlyToward;
+	static C(Other: UObject | any): BTTask_MoveDirectlyToward;
 }
 
-declare class GridPathFollowingComponent extends PathFollowingComponent { 
-	GridManager: NavLocalGridManager;
-	static Load(ResourceName: string): GridPathFollowingComponent;
-	static Find(Outer: UObject, ResourceName: string): GridPathFollowingComponent;
-	static GetDefaultObject(): GridPathFollowingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPathFollowingComponent;
-	static C(Other: UObject | any): GridPathFollowingComponent;
+declare class BTTask_PawnActionBase extends BTTaskNode { 
+	static Load(ResourceName: string): BTTask_PawnActionBase;
+	static Find(Outer: UObject, ResourceName: string): BTTask_PawnActionBase;
+	static GetDefaultObject(): BTTask_PawnActionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PawnActionBase;
+	static C(Other: UObject | any): BTTask_PawnActionBase;
 }
 
-declare class NavFilter_AIControllerDefault extends NavigationQueryFilter { 
-	static Load(ResourceName: string): NavFilter_AIControllerDefault;
-	static Find(Outer: UObject, ResourceName: string): NavFilter_AIControllerDefault;
-	static GetDefaultObject(): NavFilter_AIControllerDefault;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavFilter_AIControllerDefault;
-	static C(Other: UObject | any): NavFilter_AIControllerDefault;
+declare class BTTask_PlayAnimation extends BTTaskNode { 
+	AnimationToPlay: AnimationAsset;
+	bLooping: boolean;
+	bNonBlocking: boolean;
+	MyOwnerComp: BehaviorTreeComponent;
+	CachedSkelMesh: SkeletalMeshComponent;
+	static Load(ResourceName: string): BTTask_PlayAnimation;
+	static Find(Outer: UObject, ResourceName: string): BTTask_PlayAnimation;
+	static GetDefaultObject(): BTTask_PlayAnimation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlayAnimation;
+	static C(Other: UObject | any): BTTask_PlayAnimation;
 }
 
-declare class PawnAction_BlueprintBase extends PawnAction { 
-	static Load(ResourceName: string): PawnAction_BlueprintBase;
-	static Find(Outer: UObject, ResourceName: string): PawnAction_BlueprintBase;
-	static GetDefaultObject(): PawnAction_BlueprintBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_BlueprintBase;
-	ActionTick(ControlledPawn: Pawn,DeltaSeconds: number): void;
-	ActionStart(ControlledPawn: Pawn): void;
-	ActionResume(ControlledPawn: Pawn): void;
-	ActionPause(ControlledPawn: Pawn): void;
-	ActionFinished(ControlledPawn: Pawn,WithResult: EPawnActionResult): void;
-	static C(Other: UObject | any): PawnAction_BlueprintBase;
+declare class BTTask_PlaySound extends BTTaskNode { 
+	SoundToPlay: SoundCue;
+	static Load(ResourceName: string): BTTask_PlaySound;
+	static Find(Outer: UObject, ResourceName: string): BTTask_PlaySound;
+	static GetDefaultObject(): BTTask_PlaySound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PlaySound;
+	static C(Other: UObject | any): BTTask_PlaySound;
 }
 
-declare class PawnAction_Move extends PawnAction { 
-	GoalActor: Actor;
-	GoalLocation: Vector;
-	AcceptableRadius: number;
-	FilterClass: UnrealEngineClass;
-	bAllowStrafe: boolean;
-	bFinishOnOverlap: boolean;
-	bUsePathfinding: boolean;
-	bAllowPartialPath: boolean;
-	bProjectGoalToNavigation: boolean;
-	bUpdatePathToGoal: boolean;
-	bAbortChildActionOnPathChange: boolean;
-	static Load(ResourceName: string): PawnAction_Move;
-	static Find(Outer: UObject, ResourceName: string): PawnAction_Move;
-	static GetDefaultObject(): PawnAction_Move;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Move;
-	static C(Other: UObject | any): PawnAction_Move;
-}
-
-declare type EPawnActionFailHandling = 'RequireSuccess' | 'IgnoreFailure' | 'EPawnActionFailHandling_MAX';
-declare var EPawnActionFailHandling : { RequireSuccess:'RequireSuccess',IgnoreFailure:'IgnoreFailure',EPawnActionFailHandling_MAX:'EPawnActionFailHandling_MAX', };
-declare class PawnAction_Repeat extends PawnAction { 
-	ActionToRepeat: PawnAction;
-	RecentActionCopy: PawnAction;
-	ChildFailureHandlingMode: EPawnActionFailHandling;
-	static Load(ResourceName: string): PawnAction_Repeat;
-	static Find(Outer: UObject, ResourceName: string): PawnAction_Repeat;
-	static GetDefaultObject(): PawnAction_Repeat;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Repeat;
-	static C(Other: UObject | any): PawnAction_Repeat;
-}
-
-declare class PawnAction_Sequence extends PawnAction { 
-	ActionSequence: PawnAction[];
-	ChildFailureHandlingMode: EPawnActionFailHandling;
-	RecentActionCopy: PawnAction;
-	static Load(ResourceName: string): PawnAction_Sequence;
-	static Find(Outer: UObject, ResourceName: string): PawnAction_Sequence;
-	static GetDefaultObject(): PawnAction_Sequence;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Sequence;
-	static C(Other: UObject | any): PawnAction_Sequence;
-}
-
-declare class PawnAction_Wait extends PawnAction { 
-	TimeToWait: number;
-	static Load(ResourceName: string): PawnAction_Wait;
-	static Find(Outer: UObject, ResourceName: string): PawnAction_Wait;
-	static GetDefaultObject(): PawnAction_Wait;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Wait;
-	static C(Other: UObject | any): PawnAction_Wait;
-}
-
-declare class PawnSensingComponent extends ActorComponent { 
-	HearingThreshold: number;
-	LOSHearingThreshold: number;
-	SightRadius: number;
-	SensingInterval: number;
-	HearingMaxSoundAge: number;
-	bEnableSensingUpdates: boolean;
-	bOnlySensePlayers: boolean;
-	bSeePawns: boolean;
-	bHearNoises: boolean;
-	OnSeePawn: UnrealEngineMulticastDelegate<(Pawn: Pawn) => void>;
-	OnHearNoise: UnrealEngineMulticastDelegate<(Instigator: Pawn, Location: Vector, Volume: number) => void>;
-	PeripheralVisionAngle: number;
-	PeripheralVisionCosine: number;
-	static Load(ResourceName: string): PawnSensingComponent;
-	static Find(Outer: UObject, ResourceName: string): PawnSensingComponent;
-	static GetDefaultObject(): PawnSensingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnSensingComponent;
-	SetSensingUpdatesEnabled(bEnabled: boolean): void;
-	SetSensingInterval(NewSensingInterval: number): void;
-	SetPeripheralVisionAngle(NewPeripheralVisionAngle: number): void;
-	GetPeripheralVisionCosine(): number;
-	GetPeripheralVisionAngle(): number;
-	static C(Other: UObject | any): PawnSensingComponent;
-}
-
-declare class VisualLoggerExtension extends UObject { 
-	static Load(ResourceName: string): VisualLoggerExtension;
-	static Find(Outer: UObject, ResourceName: string): VisualLoggerExtension;
-	static GetDefaultObject(): VisualLoggerExtension;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerExtension;
-	static C(Other: UObject | any): VisualLoggerExtension;
-}
-
-declare type ETimezoneSetting = 'InternationalDateLineWest' | 'CoordinatedUniversalTimeNeg11' | 'Samoa' | 'Hawaii' | 'Alaska' | 'PacificTime_USCAN' | 'BajaCalifornia' | 'MountainTime_USCAN' | 'Chihuahua_LaPaz_Mazatlan' | 'Arizona' | 'Saskatchewan' | 'CentralAmerica' | 'CentralTime_USCAN' | 'Guadalajara_MexicoCity_Monterrey' | 'EasternTime_USCAN' | 'Bogota_Lima_Quito' | 'Indiana_US' | 'Caracas' | 'AtlanticTime_Canada' | 'Cuiaba' | 'Santiago' | 'Georgetown_LaPaz_Manaus_SanJuan' | 'Asuncion' | 'Newfoundland' | 'Brasilia' | 'Greenland' | 'Montevideo' | 'Cayenne_Fortaleza' | 'BuenosAires' | 'MidAtlantic' | 'CoordinatedUniversalTimeNeg02' | 'Azores' | 'CaboVerdeIs' | 'Dublin_Edinburgh_Lisbon_London' | 'Monrovia_Reykjavik' | 'Casablanca' | 'UTC' | 'Belgrade_Bratislava_Budapest_Ljubljana_Prague' | 'Sarajevo_Skopje_Warsaw_Zagreb' | 'Brussels_Copenhagen_Madrid_Paris' | 'WestCentralAfrica' | 'Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna' | 'Windhoek' | 'Minsk' | 'Cairo' | 'Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius' | 'Athens_Bucharest' | 'Jerusalem' | 'Amman' | 'Beirut' | 'Harare_Pretoria' | 'Damascus' | 'Istanbul' | 'Kuwait_Riyadh' | 'Baghdad' | 'Nairobi' | 'Kaliningrad' | 'Tehran' | 'Moscow_StPetersburg_Volgograd' | 'AbuDhabi_Muscat' | 'Baku' | 'Yerevan' | 'Tbilisi' | 'PortLouis' | 'Kabul' | 'Tashkent' | 'Islamabad_Karachi' | 'Chennai_Kolkata_Mumbai_NewDelhi' | 'SriJayawardenepura' | 'Kathmandu' | 'Ekaterinburg' | 'Astana' | 'Dhaka' | 'Yangon_Rangoon' | 'Novosibirsk' | 'Bangkok_Hanoi_Jakarta' | 'Krasnoyarsk' | 'Beijing_Chongqing_HongKong_Urumqi' | 'KualaLumpur_Singapore' | 'Taipei' | 'Perth' | 'Ulaanbaatar' | 'Irkutsk' | 'Seoul' | 'Osaka_Sapporo_Tokyo' | 'Darwin' | 'Adelaide' | 'Yakutsk' | 'Canberra_Melbourne_Sydney' | 'Brisbane' | 'Hobart' | 'Guam_PortMoresby' | 'Vladivostok' | 'SolomonIs_NewCaledonia' | 'Magadan' | 'Fiji' | 'Auckland_Wellington' | 'CoordinatedUniversalTime12' | 'Nukualofa' | 'LocalTime' | 'ETimezoneSetting_MAX';
-declare var ETimezoneSetting : { InternationalDateLineWest:'InternationalDateLineWest',CoordinatedUniversalTimeNeg11:'CoordinatedUniversalTimeNeg11',Samoa:'Samoa',Hawaii:'Hawaii',Alaska:'Alaska',PacificTime_USCAN:'PacificTime_USCAN',BajaCalifornia:'BajaCalifornia',MountainTime_USCAN:'MountainTime_USCAN',Chihuahua_LaPaz_Mazatlan:'Chihuahua_LaPaz_Mazatlan',Arizona:'Arizona',Saskatchewan:'Saskatchewan',CentralAmerica:'CentralAmerica',CentralTime_USCAN:'CentralTime_USCAN',Guadalajara_MexicoCity_Monterrey:'Guadalajara_MexicoCity_Monterrey',EasternTime_USCAN:'EasternTime_USCAN',Bogota_Lima_Quito:'Bogota_Lima_Quito',Indiana_US:'Indiana_US',Caracas:'Caracas',AtlanticTime_Canada:'AtlanticTime_Canada',Cuiaba:'Cuiaba',Santiago:'Santiago',Georgetown_LaPaz_Manaus_SanJuan:'Georgetown_LaPaz_Manaus_SanJuan',Asuncion:'Asuncion',Newfoundland:'Newfoundland',Brasilia:'Brasilia',Greenland:'Greenland',Montevideo:'Montevideo',Cayenne_Fortaleza:'Cayenne_Fortaleza',BuenosAires:'BuenosAires',MidAtlantic:'MidAtlantic',CoordinatedUniversalTimeNeg02:'CoordinatedUniversalTimeNeg02',Azores:'Azores',CaboVerdeIs:'CaboVerdeIs',Dublin_Edinburgh_Lisbon_London:'Dublin_Edinburgh_Lisbon_London',Monrovia_Reykjavik:'Monrovia_Reykjavik',Casablanca:'Casablanca',UTC:'UTC',Belgrade_Bratislava_Budapest_Ljubljana_Prague:'Belgrade_Bratislava_Budapest_Ljubljana_Prague',Sarajevo_Skopje_Warsaw_Zagreb:'Sarajevo_Skopje_Warsaw_Zagreb',Brussels_Copenhagen_Madrid_Paris:'Brussels_Copenhagen_Madrid_Paris',WestCentralAfrica:'WestCentralAfrica',Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna:'Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna',Windhoek:'Windhoek',Minsk:'Minsk',Cairo:'Cairo',Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius:'Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius',Athens_Bucharest:'Athens_Bucharest',Jerusalem:'Jerusalem',Amman:'Amman',Beirut:'Beirut',Harare_Pretoria:'Harare_Pretoria',Damascus:'Damascus',Istanbul:'Istanbul',Kuwait_Riyadh:'Kuwait_Riyadh',Baghdad:'Baghdad',Nairobi:'Nairobi',Kaliningrad:'Kaliningrad',Tehran:'Tehran',Moscow_StPetersburg_Volgograd:'Moscow_StPetersburg_Volgograd',AbuDhabi_Muscat:'AbuDhabi_Muscat',Baku:'Baku',Yerevan:'Yerevan',Tbilisi:'Tbilisi',PortLouis:'PortLouis',Kabul:'Kabul',Tashkent:'Tashkent',Islamabad_Karachi:'Islamabad_Karachi',Chennai_Kolkata_Mumbai_NewDelhi:'Chennai_Kolkata_Mumbai_NewDelhi',SriJayawardenepura:'SriJayawardenepura',Kathmandu:'Kathmandu',Ekaterinburg:'Ekaterinburg',Astana:'Astana',Dhaka:'Dhaka',Yangon_Rangoon:'Yangon_Rangoon',Novosibirsk:'Novosibirsk',Bangkok_Hanoi_Jakarta:'Bangkok_Hanoi_Jakarta',Krasnoyarsk:'Krasnoyarsk',Beijing_Chongqing_HongKong_Urumqi:'Beijing_Chongqing_HongKong_Urumqi',KualaLumpur_Singapore:'KualaLumpur_Singapore',Taipei:'Taipei',Perth:'Perth',Ulaanbaatar:'Ulaanbaatar',Irkutsk:'Irkutsk',Seoul:'Seoul',Osaka_Sapporo_Tokyo:'Osaka_Sapporo_Tokyo',Darwin:'Darwin',Adelaide:'Adelaide',Yakutsk:'Yakutsk',Canberra_Melbourne_Sydney:'Canberra_Melbourne_Sydney',Brisbane:'Brisbane',Hobart:'Hobart',Guam_PortMoresby:'Guam_PortMoresby',Vladivostok:'Vladivostok',SolomonIs_NewCaledonia:'SolomonIs_NewCaledonia',Magadan:'Magadan',Fiji:'Fiji',Auckland_Wellington:'Auckland_Wellington',CoordinatedUniversalTime12:'CoordinatedUniversalTime12',Nukualofa:'Nukualofa',LocalTime:'LocalTime',ETimezoneSetting_MAX:'ETimezoneSetting_MAX', };
-declare class InternationalizationSettingsModel extends UObject { 
-	DisplayTimezone: ETimezoneSetting;
-	static Load(ResourceName: string): InternationalizationSettingsModel;
-	static Find(Outer: UObject, ResourceName: string): InternationalizationSettingsModel;
-	static GetDefaultObject(): InternationalizationSettingsModel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationSettingsModel;
-	static C(Other: UObject | any): InternationalizationSettingsModel;
+declare class BTTask_PushPawnAction extends BTTask_PawnActionBase { 
+	Action: PawnAction;
+	static Load(ResourceName: string): BTTask_PushPawnAction;
+	static Find(Outer: UObject, ResourceName: string): BTTask_PushPawnAction;
+	static GetDefaultObject(): BTTask_PushPawnAction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_PushPawnAction;
+	static C(Other: UObject | any): BTTask_PushPawnAction;
 }
 
-declare class EditorWorldExtension extends UObject { 
-	ExtensionActors: Actor[];
-	static Load(ResourceName: string): EditorWorldExtension;
-	static Find(Outer: UObject, ResourceName: string): EditorWorldExtension;
-	static GetDefaultObject(): EditorWorldExtension;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtension;
-	static C(Other: UObject | any): EditorWorldExtension;
+declare class BTTask_RotateToFaceBBEntry extends BTTask_BlackboardBase { 
+	Precision: number;
+	static Load(ResourceName: string): BTTask_RotateToFaceBBEntry;
+	static Find(Outer: UObject, ResourceName: string): BTTask_RotateToFaceBBEntry;
+	static GetDefaultObject(): BTTask_RotateToFaceBBEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RotateToFaceBBEntry;
+	static C(Other: UObject | any): BTTask_RotateToFaceBBEntry;
 }
 
-declare class ViewportInteractor extends UObject { 
-	WorldInteraction: ViewportWorldInteraction;
-	OtherInteractor: ViewportInteractor;
-	static Load(ResourceName: string): ViewportInteractor;
-	static Find(Outer: UObject, ResourceName: string): ViewportInteractor;
-	static GetDefaultObject(): ViewportInteractor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractor;
-	static C(Other: UObject | any): ViewportInteractor;
+declare class BTTask_RunBehavior extends BTTaskNode { 
+	BehaviorAsset: BehaviorTree;
+	static Load(ResourceName: string): BTTask_RunBehavior;
+	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehavior;
+	static GetDefaultObject(): BTTask_RunBehavior;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehavior;
+	static C(Other: UObject | any): BTTask_RunBehavior;
 }
 
-declare class GizmoHandle { 
-	clone() : GizmoHandle;
-	static C(Other: UObject | any): GizmoHandle;
+declare class BTTask_RunBehaviorDynamic extends BTTaskNode { 
+	InjectionTag: GameplayTag;
+	DefaultBehaviorAsset: BehaviorTree;
+	BehaviorAsset: BehaviorTree;
+	static Load(ResourceName: string): BTTask_RunBehaviorDynamic;
+	static Find(Outer: UObject, ResourceName: string): BTTask_RunBehaviorDynamic;
+	static GetDefaultObject(): BTTask_RunBehaviorDynamic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunBehaviorDynamic;
+	static C(Other: UObject | any): BTTask_RunBehaviorDynamic;
 }
 
-declare class ViewportDragOperation extends UObject { 
-	static Load(ResourceName: string): ViewportDragOperation;
-	static Find(Outer: UObject, ResourceName: string): ViewportDragOperation;
-	static GetDefaultObject(): ViewportDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportDragOperation;
-	static C(Other: UObject | any): ViewportDragOperation;
+declare class EnvNamedValue { 
+	ParamName: string;
+	ParamType: EAIParamType;
+	Value: number;
+	clone() : EnvNamedValue;
+	static C(Other: UObject | any): EnvNamedValue;
 }
 
-declare class ViewportDragOperationComponent extends ActorComponent { 
-	DragOperation: ViewportDragOperation;
-	DragOperationSubclass: UnrealEngineClass;
-	static Load(ResourceName: string): ViewportDragOperationComponent;
-	static Find(Outer: UObject, ResourceName: string): ViewportDragOperationComponent;
-	static GetDefaultObject(): ViewportDragOperationComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportDragOperationComponent;
-	static C(Other: UObject | any): ViewportDragOperationComponent;
+declare class BTTask_RunEQSQuery extends BTTask_BlackboardBase { 
+	QueryTemplate: EnvQuery;
+	QueryParams: EnvNamedValue[];
+	QueryConfig: AIDynamicParam[];
+	RunMode: EEnvQueryRunMode;
+	EQSQueryBlackboardKey: BlackboardKeySelector;
+	bUseBBKey: boolean;
+	EQSRequest: EQSParametrizedQueryExecutionRequest;
+	static Load(ResourceName: string): BTTask_RunEQSQuery;
+	static Find(Outer: UObject, ResourceName: string): BTTask_RunEQSQuery;
+	static GetDefaultObject(): BTTask_RunEQSQuery;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_RunEQSQuery;
+	static C(Other: UObject | any): BTTask_RunEQSQuery;
 }
 
-declare class GizmoHandleGroup extends SceneComponent { 
-	GizmoMaterial: MaterialInterface;
-	TranslucentGizmoMaterial: MaterialInterface;
-	Handles: GizmoHandle[];
-	OwningTransformGizmoActor: BaseTransformGizmo;
-	DragOperationComponent: ViewportDragOperationComponent;
-	static Load(ResourceName: string): GizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): GizmoHandleGroup;
-	static GetDefaultObject(): GizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GizmoHandleGroup;
-	static C(Other: UObject | any): GizmoHandleGroup;
+declare class BTTask_SetTagCooldown extends BTTaskNode { 
+	CooldownTag: GameplayTag;
+	bAddToExistingDuration: boolean;
+	CooldownDuration: number;
+	static Load(ResourceName: string): BTTask_SetTagCooldown;
+	static Find(Outer: UObject, ResourceName: string): BTTask_SetTagCooldown;
+	static GetDefaultObject(): BTTask_SetTagCooldown;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_SetTagCooldown;
+	static C(Other: UObject | any): BTTask_SetTagCooldown;
 }
 
-declare class BaseTransformGizmo extends Actor { 
-	SceneComponent: SceneComponent;
-	AllHandleGroups: GizmoHandleGroup[];
-	WorldInteraction: ViewportWorldInteraction;
-	static GetDefaultObject(): BaseTransformGizmo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BaseTransformGizmo;
-	static C(Other: UObject | any): BaseTransformGizmo;
+declare class BTTask_Wait extends BTTaskNode { 
+	WaitTime: number;
+	RandomDeviation: number;
+	static Load(ResourceName: string): BTTask_Wait;
+	static Find(Outer: UObject, ResourceName: string): BTTask_Wait;
+	static GetDefaultObject(): BTTask_Wait;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_Wait;
+	static C(Other: UObject | any): BTTask_Wait;
 }
 
-declare class MouseCursorInteractor extends ViewportInteractor { 
-	static Load(ResourceName: string): MouseCursorInteractor;
-	static Find(Outer: UObject, ResourceName: string): MouseCursorInteractor;
-	static GetDefaultObject(): MouseCursorInteractor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MouseCursorInteractor;
-	static C(Other: UObject | any): MouseCursorInteractor;
+declare class BTTask_WaitBlackboardTime extends BTTask_Wait { 
+	BlackboardKey: BlackboardKeySelector;
+	static Load(ResourceName: string): BTTask_WaitBlackboardTime;
+	static Find(Outer: UObject, ResourceName: string): BTTask_WaitBlackboardTime;
+	static GetDefaultObject(): BTTask_WaitBlackboardTime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BTTask_WaitBlackboardTime;
+	static C(Other: UObject | any): BTTask_WaitBlackboardTime;
 }
 
-declare class ViewportInteractionAssetContainer extends DataAsset { 
-	GizmoHandleSelectedSound: SoundBase;
-	GizmoHandleDropSound: SoundBase;
-	SelectionChangeSound: SoundBase;
-	SelectionDropSound: SoundBase;
-	SelectionStartDragSound: SoundBase;
-	GridSnapSound: SoundBase;
-	ActorSnapSound: SoundBase;
-	UndoSound: SoundBase;
-	RedoSound: SoundBase;
-	GridMesh: StaticMesh;
-	TranslationHandleMesh: StaticMesh;
-	UniformScaleHandleMesh: StaticMesh;
-	ScaleHandleMesh: StaticMesh;
-	PlaneTranslationHandleMesh: StaticMesh;
-	RotationHandleMesh: StaticMesh;
-	RotationHandleSelectedMesh: StaticMesh;
-	StartRotationIndicatorMesh: StaticMesh;
-	CurrentRotationIndicatorMesh: StaticMesh;
-	FreeRotationHandleMesh: StaticMesh;
-	GridMaterial: MaterialInterface;
-	TransformGizmoMaterial: MaterialInterface;
-	TranslucentTransformGizmoMaterial: MaterialInterface;
-	static Load(ResourceName: string): ViewportInteractionAssetContainer;
-	static Find(Outer: UObject, ResourceName: string): ViewportInteractionAssetContainer;
-	static GetDefaultObject(): ViewportInteractionAssetContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractionAssetContainer;
-	static C(Other: UObject | any): ViewportInteractionAssetContainer;
+declare class CrowdAgentInterface extends Interface { 
+	static Load(ResourceName: string): CrowdAgentInterface;
+	static Find(Outer: UObject, ResourceName: string): CrowdAgentInterface;
+	static GetDefaultObject(): CrowdAgentInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdAgentInterface;
+	static C(Other: UObject | any): CrowdAgentInterface;
 }
 
-declare class ViewportWorldInteraction extends EditorWorldExtension { 
-	Interactors: ViewportInteractor[];
-	ViewportTransformer: ViewportTransformer;
-	TransformGizmoActor: BaseTransformGizmo;
-	SnapGridActor: Actor;
-	SnapGridMeshComponent: StaticMeshComponent;
-	SnapGridMID: MaterialInstanceDynamic;
-	DefaultMouseCursorInteractor: MouseCursorInteractor;
-	ActorsToExcludeFromHitTest: any[];
-	AssetContainer: ViewportInteractionAssetContainer;
-	static Load(ResourceName: string): ViewportWorldInteraction;
-	static Find(Outer: UObject, ResourceName: string): ViewportWorldInteraction;
-	static GetDefaultObject(): ViewportWorldInteraction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportWorldInteraction;
-	static C(Other: UObject | any): ViewportWorldInteraction;
+declare class CrowdFollowingComponent extends PathFollowingComponent { 
+	CharacterMovement: CharacterMovementComponent;
+	CrowdAgentMoveDirection: Vector;
+	AvoidanceGroup: NavAvoidanceMask;
+	GroupsToAvoid: NavAvoidanceMask;
+	GroupsToIgnore: NavAvoidanceMask;
+	static Load(ResourceName: string): CrowdFollowingComponent;
+	static Find(Outer: UObject, ResourceName: string): CrowdFollowingComponent;
+	static GetDefaultObject(): CrowdFollowingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdFollowingComponent;
+	SuspendCrowdSteering(bSuspend: boolean): void;
+	static C(Other: UObject | any): CrowdFollowingComponent;
 }
 
-declare class ViewportTransformer extends UObject { 
-	ViewportWorldInteraction: ViewportWorldInteraction;
-	static Load(ResourceName: string): ViewportTransformer;
-	static Find(Outer: UObject, ResourceName: string): ViewportTransformer;
-	static GetDefaultObject(): ViewportTransformer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportTransformer;
-	Shutdown(): void;
-	ShouldCenterTransformGizmoPivot(): boolean;
-	OnStopDragging(Interactor: ViewportInteractor): void;
-	OnStartDragging(Interactor: ViewportInteractor): void;
-	Init(InitViewportWorldInteraction: ViewportWorldInteraction): void;
-	CanAlignToActors(): boolean;
-	static C(Other: UObject | any): ViewportTransformer;
+declare class CrowdManagerBase extends UObject { 
+	static Load(ResourceName: string): CrowdManagerBase;
+	static Find(Outer: UObject, ResourceName: string): CrowdManagerBase;
+	static GetDefaultObject(): CrowdManagerBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdManagerBase;
+	static C(Other: UObject | any): CrowdManagerBase;
 }
 
-declare class ActorTransformer extends ViewportTransformer { 
-	static Load(ResourceName: string): ActorTransformer;
-	static Find(Outer: UObject, ResourceName: string): ActorTransformer;
-	static GetDefaultObject(): ActorTransformer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorTransformer;
-	static C(Other: UObject | any): ActorTransformer;
+declare class CrowdAvoidanceConfig { 
+	VelocityBias: number;
+	DesiredVelocityWeight: number;
+	CurrentVelocityWeight: number;
+	SideBiasWeight: number;
+	ImpactTimeWeight: number;
+	ImpactTimeRange: number;
+	CustomPatternIdx: number;
+	AdaptiveDivisions: number;
+	AdaptiveRings: number;
+	AdaptiveDepth: number;
+	clone() : CrowdAvoidanceConfig;
+	static C(Other: UObject | any): CrowdAvoidanceConfig;
 }
 
-declare class ViewportInteractableInterface extends Interface { 
-	static Load(ResourceName: string): ViewportInteractableInterface;
-	static Find(Outer: UObject, ResourceName: string): ViewportInteractableInterface;
-	static GetDefaultObject(): ViewportInteractableInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractableInterface;
-	static C(Other: UObject | any): ViewportInteractableInterface;
-}
-
-declare class TranslationDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): TranslationDragOperation;
-	static Find(Outer: UObject, ResourceName: string): TranslationDragOperation;
-	static GetDefaultObject(): TranslationDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TranslationDragOperation;
-	static C(Other: UObject | any): TranslationDragOperation;
-}
-
-declare class PlaneTranslationDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): PlaneTranslationDragOperation;
-	static Find(Outer: UObject, ResourceName: string): PlaneTranslationDragOperation;
-	static GetDefaultObject(): PlaneTranslationDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneTranslationDragOperation;
-	static C(Other: UObject | any): PlaneTranslationDragOperation;
-}
-
-declare class RotateOnAngleDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): RotateOnAngleDragOperation;
-	static Find(Outer: UObject, ResourceName: string): RotateOnAngleDragOperation;
-	static GetDefaultObject(): RotateOnAngleDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RotateOnAngleDragOperation;
-	static C(Other: UObject | any): RotateOnAngleDragOperation;
-}
-
-declare class ScaleDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): ScaleDragOperation;
-	static Find(Outer: UObject, ResourceName: string): ScaleDragOperation;
-	static GetDefaultObject(): ScaleDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleDragOperation;
-	static C(Other: UObject | any): ScaleDragOperation;
-}
-
-declare class UniformScaleDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): UniformScaleDragOperation;
-	static Find(Outer: UObject, ResourceName: string): UniformScaleDragOperation;
-	static GetDefaultObject(): UniformScaleDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformScaleDragOperation;
-	static C(Other: UObject | any): UniformScaleDragOperation;
-}
-
-declare class AxisGizmoHandleGroup extends GizmoHandleGroup { 
-	static Load(ResourceName: string): AxisGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): AxisGizmoHandleGroup;
-	static GetDefaultObject(): AxisGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AxisGizmoHandleGroup;
-	static C(Other: UObject | any): AxisGizmoHandleGroup;
-}
-
-declare class GizmoHandleMeshComponent extends StaticMeshComponent { 
-	static Load(ResourceName: string): GizmoHandleMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): GizmoHandleMeshComponent;
-	static GetDefaultObject(): GizmoHandleMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GizmoHandleMeshComponent;
-	static C(Other: UObject | any): GizmoHandleMeshComponent;
-}
-
-declare class UniformScaleGizmoHandleGroup extends GizmoHandleGroup { 
-	static Load(ResourceName: string): UniformScaleGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): UniformScaleGizmoHandleGroup;
-	static GetDefaultObject(): UniformScaleGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformScaleGizmoHandleGroup;
-	static C(Other: UObject | any): UniformScaleGizmoHandleGroup;
-}
-
-declare class PivotTranslationGizmoHandleGroup extends AxisGizmoHandleGroup { 
-	static Load(ResourceName: string): PivotTranslationGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): PivotTranslationGizmoHandleGroup;
-	static GetDefaultObject(): PivotTranslationGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotTranslationGizmoHandleGroup;
-	static C(Other: UObject | any): PivotTranslationGizmoHandleGroup;
-}
-
-declare class PivotScaleGizmoHandleGroup extends AxisGizmoHandleGroup { 
-	static Load(ResourceName: string): PivotScaleGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): PivotScaleGizmoHandleGroup;
-	static GetDefaultObject(): PivotScaleGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotScaleGizmoHandleGroup;
-	static C(Other: UObject | any): PivotScaleGizmoHandleGroup;
-}
-
-declare class PivotPlaneTranslationGizmoHandleGroup extends AxisGizmoHandleGroup { 
-	static Load(ResourceName: string): PivotPlaneTranslationGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): PivotPlaneTranslationGizmoHandleGroup;
-	static GetDefaultObject(): PivotPlaneTranslationGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotPlaneTranslationGizmoHandleGroup;
-	static C(Other: UObject | any): PivotPlaneTranslationGizmoHandleGroup;
-}
-
-declare class PivotRotationGizmoHandleGroup extends AxisGizmoHandleGroup { 
-	RootFullRotationHandleComponent: SceneComponent;
-	FullRotationHandleMeshComponent: GizmoHandleMeshComponent;
-	StartRotationIndicatorMeshComponent: GizmoHandleMeshComponent;
-	RootStartRotationIdicatorComponent: SceneComponent;
-	DeltaRotationIndicatorMeshComponent: GizmoHandleMeshComponent;
-	RootDeltaRotationIndicatorComponent: SceneComponent;
-	static Load(ResourceName: string): PivotRotationGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): PivotRotationGizmoHandleGroup;
-	static GetDefaultObject(): PivotRotationGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotRotationGizmoHandleGroup;
-	static C(Other: UObject | any): PivotRotationGizmoHandleGroup;
-}
-
-declare class StretchGizmoHandleGroup extends GizmoHandleGroup { 
-	static Load(ResourceName: string): StretchGizmoHandleGroup;
-	static Find(Outer: UObject, ResourceName: string): StretchGizmoHandleGroup;
-	static GetDefaultObject(): StretchGizmoHandleGroup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StretchGizmoHandleGroup;
-	static C(Other: UObject | any): StretchGizmoHandleGroup;
-}
-
-declare class PivotTransformGizmo extends BaseTransformGizmo { 
-	UniformScaleGizmoHandleGroup: UniformScaleGizmoHandleGroup;
-	TranslationGizmoHandleGroup: PivotTranslationGizmoHandleGroup;
-	ScaleGizmoHandleGroup: PivotScaleGizmoHandleGroup;
-	PlaneTranslationGizmoHandleGroup: PivotPlaneTranslationGizmoHandleGroup;
-	RotationGizmoHandleGroup: PivotRotationGizmoHandleGroup;
-	StretchGizmoHandleGroup: StretchGizmoHandleGroup;
-	LastDraggingHandle: ActorComponent;
-	static GetDefaultObject(): PivotTransformGizmo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotTransformGizmo;
-	static C(Other: UObject | any): PivotTransformGizmo;
-}
-
-declare class StretchGizmoHandleDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): StretchGizmoHandleDragOperation;
-	static Find(Outer: UObject, ResourceName: string): StretchGizmoHandleDragOperation;
-	static GetDefaultObject(): StretchGizmoHandleDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StretchGizmoHandleDragOperation;
-	static C(Other: UObject | any): StretchGizmoHandleDragOperation;
-}
-
-declare class MovieSceneCopyableBinding extends UObject { 
-	SpawnableObjectTemplate: UObject;
-	Tracks: MovieSceneTrack[];
-	Binding: MovieSceneBinding;
-	Spawnable: MovieSceneSpawnable;
-	Possessable: MovieScenePossessable;
-	static Load(ResourceName: string): MovieSceneCopyableBinding;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCopyableBinding;
-	static GetDefaultObject(): MovieSceneCopyableBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCopyableBinding;
-	static C(Other: UObject | any): MovieSceneCopyableBinding;
-}
-
-declare class MovieSceneSectionEvalOptions { 
-	bCanEditCompletionMode: boolean;
-	CompletionMode: EMovieSceneCompletionMode;
-	clone() : MovieSceneSectionEvalOptions;
-	static C(Other: UObject | any): MovieSceneSectionEvalOptions;
-}
-
-declare class MovieSceneEasingSettings { 
-	AutoEaseInTime: number;
-	AutoEaseOutTime: number;
-	EaseIn: any;
-	bManualEaseIn: boolean;
-	ManualEaseInTime: number;
-	EaseOut: any;
-	bManualEaseOut: boolean;
-	ManualEaseOutTime: number;
-	clone() : MovieSceneEasingSettings;
-	static C(Other: UObject | any): MovieSceneEasingSettings;
-}
-
-declare type EMovieSceneBlendType = 'Absolute' | 'Additive' | 'Relative' | 'EMovieSceneBlendType_MAX';
-declare var EMovieSceneBlendType : { Absolute:'Absolute',Additive:'Additive',Relative:'Relative',EMovieSceneBlendType_MAX:'EMovieSceneBlendType_MAX', };
-declare class OptionalMovieSceneBlendType { 
-	BlendType: EMovieSceneBlendType;
-	bIsValid: boolean;
-	clone() : OptionalMovieSceneBlendType;
-	static C(Other: UObject | any): OptionalMovieSceneBlendType;
+declare class CrowdAvoidanceSamplingPattern { 
+	Angles: number[];
+	Radii: number[];
+	clone() : CrowdAvoidanceSamplingPattern;
+	static C(Other: UObject | any): CrowdAvoidanceSamplingPattern;
 }
 
-declare class MovieSceneSection extends MovieSceneSignedObject { 
-	EvalOptions: MovieSceneSectionEvalOptions;
-	Easing: MovieSceneEasingSettings;
-	StartTime: number;
-	EndTime: number;
-	RowIndex: number;
-	OverlapPriority: number;
-	bIsActive: boolean;
-	bIsLocked: boolean;
-	bIsInfinite: boolean;
-	PrerollTime: number;
-	PostrollTime: number;
-	BlendType: OptionalMovieSceneBlendType;
-	static Load(ResourceName: string): MovieSceneSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSection;
-	static GetDefaultObject(): MovieSceneSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSection;
-	static C(Other: UObject | any): MovieSceneSection;
-}
-
-declare class MovieSceneTransformMask { 
-	mask: any;
-	clone() : MovieSceneTransformMask;
-	static C(Other: UObject | any): MovieSceneTransformMask;
-}
-
-declare type EShow3DTrajectory = 'EST_OnlyWhenSelected' | 'EST_Always' | 'EST_Never' | 'EST_MAX';
-declare var EShow3DTrajectory : { EST_OnlyWhenSelected:'EST_OnlyWhenSelected',EST_Always:'EST_Always',EST_Never:'EST_Never',EST_MAX:'EST_MAX', };
-declare class MovieScene3DTransformSection extends MovieSceneSection { 
-	TransformMask: MovieSceneTransformMask;
-	Translation: RichCurve;
-	Rotation: RichCurve;
-	Scale: RichCurve;
-	ManualWeight: RichCurve;
-	Show3DTrajectory: EShow3DTrajectory;
-	static Load(ResourceName: string): MovieScene3DTransformSection;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DTransformSection;
-	static GetDefaultObject(): MovieScene3DTransformSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DTransformSection;
-	static C(Other: UObject | any): MovieScene3DTransformSection;
-}
-
-declare class SequencerKeyActor extends Actor { 
-	KeyMeshComponent: StaticMeshComponent;
-	AssociatedActor: Actor;
-	TrackSection: MovieScene3DTransformSection;
-	KeyTime: number;
-	static GetDefaultObject(): SequencerKeyActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerKeyActor;
-	static C(Other: UObject | any): SequencerKeyActor;
-}
-
-declare class SequencerMeshTrail extends Actor { 
-	static GetDefaultObject(): SequencerMeshTrail;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerMeshTrail;
-	static C(Other: UObject | any): SequencerMeshTrail;
-}
-
-declare class SequencerSettingsContainer extends UObject { 
-	static Load(ResourceName: string): SequencerSettingsContainer;
-	static Find(Outer: UObject, ResourceName: string): SequencerSettingsContainer;
-	static GetDefaultObject(): SequencerSettingsContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerSettingsContainer;
-	static C(Other: UObject | any): SequencerSettingsContainer;
-}
-
-declare type EAutoChangeMode = 'AutoKey' | 'AutoTrack' | 'All' | 'None' | 'EAutoChangeMode_MAX';
-declare var EAutoChangeMode : { AutoKey:'AutoKey',AutoTrack:'AutoTrack',All:'All',None:'None',EAutoChangeMode_MAX:'EAutoChangeMode_MAX', };
-declare type EAllowEditsMode = 'AllEdits' | 'AllowSequencerEditsOnly' | 'AllowLevelEditsOnly' | 'EAllowEditsMode_MAX';
-declare var EAllowEditsMode : { AllEdits:'AllEdits',AllowSequencerEditsOnly:'AllowSequencerEditsOnly',AllowLevelEditsOnly:'AllowLevelEditsOnly',EAllowEditsMode_MAX:'EAllowEditsMode_MAX', };
-declare type EMovieSceneKeyInterpolation = 'Auto' | 'User' | 'Break' | 'Linear' | 'Constant' | 'EMovieSceneKeyInterpolation_MAX';
-declare var EMovieSceneKeyInterpolation : { Auto:'Auto',User:'User',Break:'Break',Linear:'Linear',Constant:'Constant',EMovieSceneKeyInterpolation_MAX:'EMovieSceneKeyInterpolation_MAX', };
-declare type ESequencerSpawnPosition = 'SSP_Origin' | 'SSP_PlaceInFrontOfCamera' | 'SSP_MAX';
-declare var ESequencerSpawnPosition : { SSP_Origin:'SSP_Origin',SSP_PlaceInFrontOfCamera:'SSP_PlaceInFrontOfCamera',SSP_MAX:'SSP_MAX', };
-declare type ESequencerTimeSnapInterval = 'STSI_0_001' | 'STSI_0_01' | 'STSI_0_1' | 'STSI_1' | 'STSI_10' | 'STSI_100' | 'STSI_15Fps' | 'STSI_24Fps' | 'STSI_25Fps' | 'STSI_29_97Fps' | 'STSI_30Fps' | 'STSI_48Fps' | 'STSI_50Fps' | 'STSI_59_94Fps' | 'STSI_60Fps' | 'STSI_120Fps' | 'STSI_Custom' | 'STSI_MAX';
-declare var ESequencerTimeSnapInterval : { STSI_0_001:'STSI_0_001',STSI_0_01:'STSI_0_01',STSI_0_1:'STSI_0_1',STSI_1:'STSI_1',STSI_10:'STSI_10',STSI_100:'STSI_100',STSI_15Fps:'STSI_15Fps',STSI_24Fps:'STSI_24Fps',STSI_25Fps:'STSI_25Fps',STSI_29_97Fps:'STSI_29_97Fps',STSI_30Fps:'STSI_30Fps',STSI_48Fps:'STSI_48Fps',STSI_50Fps:'STSI_50Fps',STSI_59_94Fps:'STSI_59_94Fps',STSI_60Fps:'STSI_60Fps',STSI_120Fps:'STSI_120Fps',STSI_Custom:'STSI_Custom',STSI_MAX:'STSI_MAX', };
-declare type ESequencerZoomPosition = 'SZP_CurrentTime' | 'SZP_MousePosition' | 'SZP_MAX';
-declare var ESequencerZoomPosition : { SZP_CurrentTime:'SZP_CurrentTime',SZP_MousePosition:'SZP_MousePosition',SZP_MAX:'SZP_MAX', };
-declare type ESequencerLoopMode = 'SLM_NoLoop' | 'SLM_Loop' | 'SLM_LoopSelectionRange' | 'SLM_MAX';
-declare var ESequencerLoopMode : { SLM_NoLoop:'SLM_NoLoop',SLM_Loop:'SLM_Loop',SLM_LoopSelectionRange:'SLM_LoopSelectionRange',SLM_MAX:'SLM_MAX', };
-declare class SequencerSettings extends UObject { 
-	AutoChangeMode: EAutoChangeMode;
-	AllowEditsMode: EAllowEditsMode;
-	bKeyAllEnabled: boolean;
-	bKeyInterpPropertiesOnly: boolean;
-	KeyInterpolation: EMovieSceneKeyInterpolation;
-	bAutoSetTrackDefaults: boolean;
-	SpawnPosition: ESequencerSpawnPosition;
-	bCreateSpawnableCameras: boolean;
-	bShowFrameNumbers: boolean;
-	bShowRangeSlider: boolean;
-	bIsSnapEnabled: boolean;
-	TimeSnapIntervalMode: ESequencerTimeSnapInterval;
-	CustomTimeSnapInterval: number;
-	bSnapKeyTimesToInterval: boolean;
-	bSnapKeyTimesToKeys: boolean;
-	bSnapSectionTimesToInterval: boolean;
-	bSnapSectionTimesToSections: boolean;
-	bSnapPlayTimeToKeys: boolean;
-	bSnapPlayTimeToInterval: boolean;
-	bSnapPlayTimeToPressedKey: boolean;
-	bSnapPlayTimeToDraggedKey: boolean;
-	bSnapCurveValueToInterval: boolean;
-	bLabelBrowserVisible: boolean;
-	bShowSelectedNodesOnly: boolean;
-	bRewindOnRecord: boolean;
-	ZoomPosition: ESequencerZoomPosition;
-	bAutoScrollEnabled: boolean;
-	bShowCurveEditorCurveToolTips: boolean;
-	bLinkCurveEditorTimeRange: boolean;
-	LoopMode: ESequencerLoopMode;
-	bKeepCursorInPlayRangeWhileScrubbing: boolean;
-	bKeepCursorInPlayRange: boolean;
-	bKeepPlayRangeInSectionBounds: boolean;
-	ZeroPadFrames: number;
-	bShowCombinedKeyframes: boolean;
-	bInfiniteKeyAreas: boolean;
-	bShowChannelColors: boolean;
-	bShowViewportTransportControls: boolean;
-	bLockPlaybackToAudioClock: boolean;
-	bAllowPossessionOfPIEViewports: boolean;
-	bActivateRealtimeViewports: boolean;
-	bEvaluateSubSequencesInIsolation: boolean;
-	bRerunConstructionScripts: boolean;
-	bShowDebugVisualization: boolean;
-	bVisualizePreAndPostRoll: boolean;
-	TrajectoryPathCap: any;
-	static Load(ResourceName: string): SequencerSettings;
-	static Find(Outer: UObject, ResourceName: string): SequencerSettings;
-	static GetDefaultObject(): SequencerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerSettings;
-	static C(Other: UObject | any): SequencerSettings;
-}
-
-declare class ActorRecordingSettings { 
-	Settings: UObject[];
-	clone() : ActorRecordingSettings;
-	static C(Other: UObject | any): ActorRecordingSettings;
-}
-
-declare class AnimationRecordingSettings { 
-	bRecordInWorldSpace: boolean;
-	bRemoveRootAnimation: boolean;
-	bAutoSaveAsset: boolean;
-	SampleRate: number;
-	Length: number;
-	InterpMode: ERichCurveInterpMode;
-	TangentMode: ERichCurveTangentMode;
-	clone() : AnimationRecordingSettings;
-	static C(Other: UObject | any): AnimationRecordingSettings;
-}
-
-declare class ActorRecording extends UObject { 
-	ActorSettings: ActorRecordingSettings;
-	bActive: boolean;
-	bSpecifyTargetAnimation: boolean;
-	TargetAnimation: any;
-	AnimationSettings: AnimationRecordingSettings;
-	bRecordToPossessable: boolean;
-	ActorToRecord: any;
-	static Load(ResourceName: string): ActorRecording;
-	static Find(Outer: UObject, ResourceName: string): ActorRecording;
-	static GetDefaultObject(): ActorRecording;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorRecording;
-	static C(Other: UObject | any): ActorRecording;
-}
-
-declare class MovieScene3DTransformSectionRecorderSettings extends UObject { 
-	bRecordTransforms: boolean;
-	static Load(ResourceName: string): MovieScene3DTransformSectionRecorderSettings;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DTransformSectionRecorderSettings;
-	static GetDefaultObject(): MovieScene3DTransformSectionRecorderSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DTransformSectionRecorderSettings;
-	static C(Other: UObject | any): MovieScene3DTransformSectionRecorderSettings;
-}
-
-declare class SequenceRecorderBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): SequenceRecorderBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): SequenceRecorderBlueprintLibrary;
-	static GetDefaultObject(): SequenceRecorderBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequenceRecorderBlueprintLibrary;
-	static StopRecordingSequence(): void;
-	static StartRecordingSequence(ActorsToRecord: Actor[]): void;
-	static IsRecordingSequence(): boolean;
-	static C(Other: UObject | any): SequenceRecorderBlueprintLibrary;
-}
-
-declare type EAudioRecordingMode = 'None' | 'AudioTrack' | 'EAudioRecordingMode_MAX';
-declare var EAudioRecordingMode : { None:'None',AudioTrack:'AudioTrack',EAudioRecordingMode_MAX:'EAudioRecordingMode_MAX', };
-declare class SequenceRecorderActorFilter { 
-	ActorClassesToRecord: UnrealEngineClass[];
-	clone() : SequenceRecorderActorFilter;
-	static C(Other: UObject | any): SequenceRecorderActorFilter;
-}
-
-declare class PropertiesToRecordForClass { 
-	Class: UnrealEngineClass;
-	Properties: string[];
-	clone() : PropertiesToRecordForClass;
-	static C(Other: UObject | any): PropertiesToRecordForClass;
-}
-
-declare class SettingsForActorClass { 
-	Class: UnrealEngineClass;
-	bRecordToPossessable: boolean;
-	clone() : SettingsForActorClass;
-	static C(Other: UObject | any): SettingsForActorClass;
-}
-
-declare class SequenceRecorderSettings extends UObject { 
-	bCreateLevelSequence: boolean;
-	bImmersiveMode: boolean;
-	SequenceLength: number;
-	RecordingDelay: number;
-	SequenceName: string;
-	SequenceRecordingBasePath: DirectoryPath;
-	AnimationSubDirectory: string;
-	AudioSubDirectory: string;
-	RecordAudio: EAudioRecordingMode;
-	AudioGain: number;
-	bSplitAudioChannelsIntoSeparateTracks: boolean;
-	bRecordNearbySpawnedActors: boolean;
-	NearbyActorRecordingProximity: number;
-	bRecordWorldSettingsActor: boolean;
-	bReduceKeys: boolean;
-	ActorFilter: SequenceRecorderActorFilter;
-	LevelSequenceActorsToTrigger: any[];
-	DefaultAnimationSettings: AnimationRecordingSettings;
-	bRecordSequencerSpawnedActors: boolean;
-	ClassesAndPropertiesToRecord: PropertiesToRecordForClass[];
-	PerActorSettings: SettingsForActorClass[];
-	static Load(ResourceName: string): SequenceRecorderSettings;
-	static Find(Outer: UObject, ResourceName: string): SequenceRecorderSettings;
-	static GetDefaultObject(): SequenceRecorderSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequenceRecorderSettings;
-	static C(Other: UObject | any): SequenceRecorderSettings;
-}
-
-declare class CaptureProtocolID { 
-	Identifier: string;
-	clone() : CaptureProtocolID;
-	static C(Other: UObject | any): CaptureProtocolID;
-}
-
-declare class MovieSceneCaptureProtocolSettings extends UObject { 
-	static Load(ResourceName: string): MovieSceneCaptureProtocolSettings;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureProtocolSettings;
-	static GetDefaultObject(): MovieSceneCaptureProtocolSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureProtocolSettings;
-	static C(Other: UObject | any): MovieSceneCaptureProtocolSettings;
-}
-
-declare class CaptureResolution { 
-	ResX: any;
-	ResY: any;
-	clone() : CaptureResolution;
-	static C(Other: UObject | any): CaptureResolution;
-}
-
-declare class MovieSceneCaptureSettings { 
-	OutputDirectory: DirectoryPath;
-	GameModeOverride: UnrealEngineClass;
-	OutputFormat: string;
-	bOverwriteExisting: boolean;
-	bUseRelativeFrameNumbers: boolean;
-	HandleFrames: number;
-	ZeroPadFrameNumbers: number;
-	FrameRate: number;
-	Resolution: CaptureResolution;
-	bEnableTextureStreaming: boolean;
-	bCinematicEngineScalability: boolean;
-	bCinematicMode: boolean;
-	bAllowMovement: boolean;
-	bAllowTurning: boolean;
-	bShowPlayer: boolean;
-	bShowHUD: boolean;
-	clone() : MovieSceneCaptureSettings;
-	static C(Other: UObject | any): MovieSceneCaptureSettings;
-}
-
-declare class MovieSceneCapture extends UObject { 
-	CaptureType: CaptureProtocolID;
-	ProtocolSettings: MovieSceneCaptureProtocolSettings;
-	Settings: MovieSceneCaptureSettings;
-	bUseSeparateProcess: boolean;
-	bCloseEditorWhenCaptureStarts: boolean;
-	AdditionalCommandLineArguments: string;
-	InheritedCommandLineArguments: string;
-	static Load(ResourceName: string): MovieSceneCapture;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCapture;
-	static GetDefaultObject(): MovieSceneCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCapture;
-	static C(Other: UObject | any): MovieSceneCapture;
-}
-
-declare class LevelSequenceBurnInInitSettings extends UObject { 
-	static Load(ResourceName: string): LevelSequenceBurnInInitSettings;
-	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnInInitSettings;
-	static GetDefaultObject(): LevelSequenceBurnInInitSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnInInitSettings;
-	static C(Other: UObject | any): LevelSequenceBurnInInitSettings;
-}
-
-declare class LevelSequenceBurnInOptions extends UObject { 
-	bUseBurnIn: boolean;
-	BurnInClass: SoftClassPath;
-	Settings: LevelSequenceBurnInInitSettings;
-	static Load(ResourceName: string): LevelSequenceBurnInOptions;
-	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnInOptions;
-	static GetDefaultObject(): LevelSequenceBurnInOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnInOptions;
-	static C(Other: UObject | any): LevelSequenceBurnInOptions;
-}
-
-declare class AutomatedLevelSequenceCapture extends MovieSceneCapture { 
-	bUseCustomStartFrame: boolean;
-	StartFrame: number;
-	bUseCustomEndFrame: boolean;
-	EndFrame: number;
-	WarmUpFrameCount: number;
-	DelayBeforeWarmUp: number;
-	BurnInOptions: LevelSequenceBurnInOptions;
-	bWriteEditDecisionList: boolean;
-	LevelSequenceAsset: SoftObjectPath;
-	LevelSequenceActor: any;
-	static Load(ResourceName: string): AutomatedLevelSequenceCapture;
-	static Find(Outer: UObject, ResourceName: string): AutomatedLevelSequenceCapture;
-	static GetDefaultObject(): AutomatedLevelSequenceCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomatedLevelSequenceCapture;
-	static C(Other: UObject | any): AutomatedLevelSequenceCapture;
-}
-
-declare class CompositionGraphCapturePasses { 
-	Value: string[];
-	clone() : CompositionGraphCapturePasses;
-	static C(Other: UObject | any): CompositionGraphCapturePasses;
-}
-
-declare type EHDRCaptureGamut = 'HCGM_Rec709' | 'HCGM_P3DCI' | 'HCGM_Rec2020' | 'HCGM_ACES' | 'HCGM_ACEScg' | 'HCGM_Linear' | 'HCGM_MAX';
-declare var EHDRCaptureGamut : { HCGM_Rec709:'HCGM_Rec709',HCGM_P3DCI:'HCGM_P3DCI',HCGM_Rec2020:'HCGM_Rec2020',HCGM_ACES:'HCGM_ACES',HCGM_ACEScg:'HCGM_ACEScg',HCGM_Linear:'HCGM_Linear',HCGM_MAX:'HCGM_MAX', };
-declare class CompositionGraphCaptureSettings extends MovieSceneCaptureProtocolSettings { 
-	IncludeRenderPasses: CompositionGraphCapturePasses;
-	bCaptureFramesInHDR: boolean;
-	HDRCompressionQuality: number;
-	CaptureGamut: EHDRCaptureGamut;
-	PostProcessingMaterial: SoftObjectPath;
-	static Load(ResourceName: string): CompositionGraphCaptureSettings;
-	static Find(Outer: UObject, ResourceName: string): CompositionGraphCaptureSettings;
-	static GetDefaultObject(): CompositionGraphCaptureSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositionGraphCaptureSettings;
-	static C(Other: UObject | any): CompositionGraphCaptureSettings;
-}
-
-declare class FrameGrabberProtocolSettings extends MovieSceneCaptureProtocolSettings { 
-	static Load(ResourceName: string): FrameGrabberProtocolSettings;
-	static Find(Outer: UObject, ResourceName: string): FrameGrabberProtocolSettings;
-	static GetDefaultObject(): FrameGrabberProtocolSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FrameGrabberProtocolSettings;
-	static C(Other: UObject | any): FrameGrabberProtocolSettings;
-}
-
-declare class BmpImageCaptureSettings extends MovieSceneCaptureProtocolSettings { 
-	static Load(ResourceName: string): BmpImageCaptureSettings;
-	static Find(Outer: UObject, ResourceName: string): BmpImageCaptureSettings;
-	static GetDefaultObject(): BmpImageCaptureSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BmpImageCaptureSettings;
-	static C(Other: UObject | any): BmpImageCaptureSettings;
-}
-
-declare class ImageCaptureSettings extends FrameGrabberProtocolSettings { 
-	CompressionQuality: number;
-	static Load(ResourceName: string): ImageCaptureSettings;
-	static Find(Outer: UObject, ResourceName: string): ImageCaptureSettings;
-	static GetDefaultObject(): ImageCaptureSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageCaptureSettings;
-	static C(Other: UObject | any): ImageCaptureSettings;
-}
-
-declare class MovieSceneCaptureInterface extends Interface { 
-	static Load(ResourceName: string): MovieSceneCaptureInterface;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureInterface;
-	static GetDefaultObject(): MovieSceneCaptureInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureInterface;
-	static C(Other: UObject | any): MovieSceneCaptureInterface;
-}
-
-declare class LevelCapture extends MovieSceneCapture { 
-	bAutoStartCapture: boolean;
-	PrerequisiteActorId: Guid;
-	static Load(ResourceName: string): LevelCapture;
-	static Find(Outer: UObject, ResourceName: string): LevelCapture;
-	static GetDefaultObject(): LevelCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelCapture;
-	static C(Other: UObject | any): LevelCapture;
-}
-
-declare class MovieSceneCaptureEnvironment extends UObject { 
-	static Load(ResourceName: string): MovieSceneCaptureEnvironment;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureEnvironment;
-	static GetDefaultObject(): MovieSceneCaptureEnvironment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureEnvironment;
-	static GetCaptureFrameNumber(): number;
-	static GetCaptureElapsedTime(): number;
-	static C(Other: UObject | any): MovieSceneCaptureEnvironment;
-}
-
-declare class VideoCaptureSettings extends FrameGrabberProtocolSettings { 
-	bUseCompression: boolean;
-	CompressionQuality: number;
-	VideoCodec: string;
-	static Load(ResourceName: string): VideoCaptureSettings;
-	static Find(Outer: UObject, ResourceName: string): VideoCaptureSettings;
-	static GetDefaultObject(): VideoCaptureSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VideoCaptureSettings;
-	static C(Other: UObject | any): VideoCaptureSettings;
-}
-
-declare class CameraRig_Crane extends Actor { 
-	CranePitch: number;
-	CraneYaw: number;
-	CraneArmLength: number;
-	bLockMountPitch: boolean;
-	bLockMountYaw: boolean;
-	TransformComponent: SceneComponent;
-	CraneYawControl: SceneComponent;
-	CranePitchControl: SceneComponent;
-	CraneCameraMount: SceneComponent;
-	PreviewMesh_CraneArm: StaticMeshComponent;
-	PreviewMesh_CraneBase: StaticMeshComponent;
-	PreviewMesh_CraneMount: StaticMeshComponent;
-	PreviewMesh_CraneCounterWeight: StaticMeshComponent;
-	static GetDefaultObject(): CameraRig_Crane;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraRig_Crane;
-	static C(Other: UObject | any): CameraRig_Crane;
+declare class CrowdManager extends CrowdManagerBase { 
+	MyNavData: NavigationData;
+	AvoidanceConfig: CrowdAvoidanceConfig[];
+	SamplingPatterns: CrowdAvoidanceSamplingPattern[];
+	MaxAgents: number;
+	MaxAgentRadius: number;
+	MaxAvoidedAgents: number;
+	MaxAvoidedWalls: number;
+	NavmeshCheckInterval: number;
+	PathOptimizationInterval: number;
+	SeparationDirClamp: number;
+	PathOffsetRadiusMultiplier: number;
+	bResolveCollisions: boolean;
+	static Load(ResourceName: string): CrowdManager;
+	static Find(Outer: UObject, ResourceName: string): CrowdManager;
+	static GetDefaultObject(): CrowdManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrowdManager;
+	static C(Other: UObject | any): CrowdManager;
 }
 
-declare class InterpCurvePointQuat { 
-	InVal: number;
-	OutVal: Quat;
-	ArriveTangent: Quat;
-	LeaveTangent: Quat;
-	InterpMode: EInterpCurveMode;
-	clone() : InterpCurvePointQuat;
-	static C(Other: UObject | any): InterpCurvePointQuat;
+declare class DetourCrowdAIController extends AIController { 
+	static GetDefaultObject(): DetourCrowdAIController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DetourCrowdAIController;
+	static C(Other: UObject | any): DetourCrowdAIController;
 }
 
-declare class InterpCurveQuat { 
-	Points: InterpCurvePointQuat[];
-	bIsLooped: boolean;
-	LoopKeyOffset: number;
-	clone() : InterpCurveQuat;
-	static C(Other: UObject | any): InterpCurveQuat;
+declare class EnvQueryContext_BlueprintBase extends EnvQueryContext { 
+	static Load(ResourceName: string): EnvQueryContext_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_BlueprintBase;
+	static GetDefaultObject(): EnvQueryContext_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_BlueprintBase;
+	ProvideSingleLocation(QuerierObject: UObject,QuerierActor: Actor,ResultingLocation?: Vector): {ResultingLocation: Vector};
+	ProvideSingleActor(QuerierObject: UObject,QuerierActor: Actor,ResultingActor?: Actor): {ResultingActor: Actor};
+	ProvideLocationsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingLocationSet?: Vector[]): {ResultingLocationSet: Vector[]};
+	ProvideActorsSet(QuerierObject: UObject,QuerierActor: Actor,ResultingActorsSet?: Actor[]): {ResultingActorsSet: Actor[]};
+	static C(Other: UObject | any): EnvQueryContext_BlueprintBase;
 }
 
-declare class InterpCurvePointFloat { 
-	InVal: number;
-	OutVal: number;
-	ArriveTangent: number;
-	LeaveTangent: number;
-	InterpMode: EInterpCurveMode;
-	clone() : InterpCurvePointFloat;
-	static C(Other: UObject | any): InterpCurvePointFloat;
+declare class EnvQueryContext_Item extends EnvQueryContext { 
+	static Load(ResourceName: string): EnvQueryContext_Item;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Item;
+	static GetDefaultObject(): EnvQueryContext_Item;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Item;
+	static C(Other: UObject | any): EnvQueryContext_Item;
 }
 
-declare class InterpCurveFloat { 
-	Points: InterpCurvePointFloat[];
-	bIsLooped: boolean;
-	LoopKeyOffset: number;
-	clone() : InterpCurveFloat;
-	static C(Other: UObject | any): InterpCurveFloat;
+declare class EnvQueryContext_Querier extends EnvQueryContext { 
+	static Load(ResourceName: string): EnvQueryContext_Querier;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryContext_Querier;
+	static GetDefaultObject(): EnvQueryContext_Querier;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryContext_Querier;
+	static C(Other: UObject | any): EnvQueryContext_Querier;
 }
 
-declare class SplineCurves { 
-	Position: InterpCurveVector;
-	Rotation: InterpCurveQuat;
-	Scale: InterpCurveVector;
-	ReparamTable: InterpCurveFloat;
-	clone() : SplineCurves;
-	static C(Other: UObject | any): SplineCurves;
+declare class EnvQueryDebugHelpers extends UObject { 
+	static Load(ResourceName: string): EnvQueryDebugHelpers;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryDebugHelpers;
+	static GetDefaultObject(): EnvQueryDebugHelpers;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryDebugHelpers;
+	static C(Other: UObject | any): EnvQueryDebugHelpers;
 }
 
-declare type ESplineCoordinateSpace = 'Local' | 'World' | 'ESplineCoordinateSpace_MAX';
-declare var ESplineCoordinateSpace : { Local:'Local',World:'World',ESplineCoordinateSpace_MAX:'ESplineCoordinateSpace_MAX', };
-declare type ESplinePointType = 'Linear' | 'Curve' | 'Constant' | 'CurveClamped' | 'CurveCustomTangent' | 'ESplinePointType_MAX';
-declare var ESplinePointType : { Linear:'Linear',Curve:'Curve',Constant:'Constant',CurveClamped:'CurveClamped',CurveCustomTangent:'CurveCustomTangent',ESplinePointType_MAX:'ESplinePointType_MAX', };
-declare class SplinePoint { 
-	InputKey: number;
-	Position: Vector;
-	ArriveTangent: Vector;
-	LeaveTangent: Vector;
-	Rotation: Rotator;
-	Scale: Vector;
-	Type: ESplinePointType;
-	clone() : SplinePoint;
-	static C(Other: UObject | any): SplinePoint;
+declare class EnvQueryGenerator_ActorsOfClass extends EnvQueryGenerator { 
+	SearchedActorClass: UnrealEngineClass;
+	GenerateOnlyActorsInRadius: AIDataProviderBoolValue;
+	SearchRadius: AIDataProviderFloatValue;
+	SearchCenter: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryGenerator_ActorsOfClass;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ActorsOfClass;
+	static GetDefaultObject(): EnvQueryGenerator_ActorsOfClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ActorsOfClass;
+	static C(Other: UObject | any): EnvQueryGenerator_ActorsOfClass;
 }
 
-declare class SplineComponent extends PrimitiveComponent { 
-	SplineCurves: SplineCurves;
-	SplineInfo: InterpCurveVector;
-	SplineRotInfo: InterpCurveQuat;
-	SplineScaleInfo: InterpCurveVector;
-	SplineReparamTable: InterpCurveFloat;
-	bAllowSplineEditingPerInstance: boolean;
-	ReparamStepsPerSegment: number;
-	Duration: number;
-	bStationaryEndpoints: boolean;
-	bSplineHasBeenEdited: boolean;
-	bModifiedByConstructionScript: boolean;
-	bInputSplinePointsToConstructionScript: boolean;
-	bDrawDebug: boolean;
-	bClosedLoop: boolean;
-	bLoopPositionOverride: boolean;
-	LoopPosition: number;
-	DefaultUpVector: Vector;
-	EditorUnselectedSplineSegmentColor: LinearColor;
-	EditorSelectedSplineSegmentColor: LinearColor;
-	bAllowDiscontinuousSpline: boolean;
-	bShouldVisualizeScale: boolean;
-	ScaleVisualizationWidth: number;
-	static Load(ResourceName: string): SplineComponent;
-	static Find(Outer: UObject, ResourceName: string): SplineComponent;
-	static GetDefaultObject(): SplineComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineComponent;
-	UpdateSpline(): void;
-	SetWorldLocationAtSplinePoint(PointIndex: number,InLocation: Vector): void;
-	SetUpVectorAtSplinePoint(PointIndex: number,InUpVector: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	SetUnselectedSplineSegmentColor(SegmentColor: LinearColor): void;
-	SetTangentsAtSplinePoint(PointIndex: number,InArriveTangent: Vector,InLeaveTangent: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	SetTangentAtSplinePoint(PointIndex: number,InTangent: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	SetSplineWorldPoints(Points: Vector[]): void;
-	SetSplinePointType(PointIndex: number,Type: ESplinePointType,bUpdateSpline: boolean): void;
-	SetSplinePoints(Points: Vector[],CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	SetSplineLocalPoints(Points: Vector[]): void;
-	SetSelectedSplineSegmentColor(SegmentColor: LinearColor): void;
-	SetLocationAtSplinePoint(PointIndex: number,InLocation: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	SetDrawDebug(bShow: boolean): void;
-	SetDefaultUpVector(UpVector: Vector,CoordinateSpace: ESplineCoordinateSpace): void;
-	SetClosedLoopAtPosition(bInClosedLoop: boolean,Key: number,bUpdateSpline: boolean): void;
-	SetClosedLoop(bInClosedLoop: boolean,bUpdateSpline: boolean): void;
-	RemoveSplinePoint(index: number,bUpdateSpline: boolean): void;
-	IsClosedLoop(): boolean;
-	GetWorldTangentAtDistanceAlongSpline(Distance: number): Vector;
-	GetWorldRotationAtTime(Time: number,bUseConstantVelocity: boolean): Rotator;
-	GetWorldRotationAtDistanceAlongSpline(Distance: number): Rotator;
-	GetWorldLocationAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
-	GetWorldLocationAtSplinePoint(PointIndex: number): Vector;
-	GetWorldLocationAtDistanceAlongSpline(Distance: number): Vector;
-	GetWorldDirectionAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
-	GetWorldDirectionAtDistanceAlongSpline(Distance: number): Vector;
-	GetUpVectorAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
-	GetUpVectorAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetUpVectorAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetTransformAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean,bUseScale: boolean): Transform;
-	GetTransformAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
-	GetTransformAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
-	GetTangentAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
-	GetTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetTangentAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetSplinePointType(PointIndex: number): ESplinePointType;
-	GetSplineLength(): number;
-	GetScaleAtTime(Time: number,bUseConstantVelocity: boolean): Vector;
-	GetScaleAtSplinePoint(PointIndex: number): Vector;
-	GetScaleAtDistanceAlongSpline(Distance: number): Vector;
-	GetRotationAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Rotator;
-	GetRotationAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Rotator;
-	GetRotationAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Rotator;
-	GetRollAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): number;
-	GetRollAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): number;
-	GetRollAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): number;
-	GetRightVectorAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
-	GetRightVectorAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetRightVectorAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetNumberOfSplinePoints(): number;
-	GetLocationAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
-	GetLocationAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetLocationAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetLocationAndTangentAtSplinePoint(PointIndex: number,Location?: Vector,Tangent?: Vector,CoordinateSpace?: ESplineCoordinateSpace): {Location: Vector, Tangent: Vector};
-	GetLocalLocationAndTangentAtSplinePoint(PointIndex: number,LocalLocation?: Vector,LocalTangent?: Vector): {LocalLocation: Vector, LocalTangent: Vector};
-	GetLeaveTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetInputKeyAtDistanceAlongSpline(Distance: number): number;
-	GetDistanceAlongSplineAtSplinePoint(PointIndex: number): number;
-	GetDirectionAtTime(Time: number,CoordinateSpace: ESplineCoordinateSpace,bUseConstantVelocity: boolean): Vector;
-	GetDirectionAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetDirectionAtDistanceAlongSpline(Distance: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetDefaultUpVector(CoordinateSpace: ESplineCoordinateSpace): Vector;
-	GetArriveTangentAtSplinePoint(PointIndex: number,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	FindUpVectorClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	FindTransformClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace,bUseScale: boolean): Transform;
-	FindTangentClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	FindScaleClosestToWorldLocation(WorldLocation: Vector): Vector;
-	FindRotationClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Rotator;
-	FindRollClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): number;
-	FindRightVectorClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	FindLocationClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	FindInputKeyClosestToWorldLocation(WorldLocation: Vector): number;
-	FindDirectionClosestToWorldLocation(WorldLocation: Vector,CoordinateSpace: ESplineCoordinateSpace): Vector;
-	ClearSplinePoints(bUpdateSpline: boolean): void;
-	AddSplineWorldPoint(Position: Vector): void;
-	AddSplinePointAtIndex(Position: Vector,index: number,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	AddSplinePoint(Position: Vector,CoordinateSpace: ESplineCoordinateSpace,bUpdateSpline: boolean): void;
-	AddSplineLocalPoint(Position: Vector): void;
-	AddPoints(Points: SplinePoint[],bUpdateSpline: boolean): void;
-	AddPoint(Point: SplinePoint,bUpdateSpline: boolean): void;
-	static C(Other: UObject | any): SplineComponent;
+declare class EnvQueryGenerator_BlueprintBase extends EnvQueryGenerator { 
+	GeneratorsActionDescription: string;
+	Context: UnrealEngineClass;
+	GeneratedItemType: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryGenerator_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_BlueprintBase;
+	static GetDefaultObject(): EnvQueryGenerator_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_BlueprintBase;
+	GetQuerier(): UObject;
+	DoItemGeneration(ContextLocations: Vector[]): void;
+	AddGeneratedVector(GeneratedVector: Vector): void;
+	AddGeneratedActor(GeneratedActor: Actor): void;
+	static C(Other: UObject | any): EnvQueryGenerator_BlueprintBase;
 }
 
-declare class SplineMeshParams { 
-	StartPos: Vector;
-	StartTangent: Vector;
-	StartScale: Vector2D;
-	StartRoll: number;
-	StartOffset: Vector2D;
-	EndPos: Vector;
-	EndTangent: Vector;
-	EndScale: Vector2D;
-	EndRoll: number;
-	EndOffset: Vector2D;
-	clone() : SplineMeshParams;
-	static C(Other: UObject | any): SplineMeshParams;
+declare class EnvQueryGenerator_Composite extends EnvQueryGenerator { 
+	Generators: EnvQueryGenerator[];
+	bAllowDifferentItemTypes: boolean;
+	bHasMatchingItemType: boolean;
+	ForcedItemType: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryGenerator_Composite;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Composite;
+	static GetDefaultObject(): EnvQueryGenerator_Composite;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Composite;
+	static C(Other: UObject | any): EnvQueryGenerator_Composite;
 }
 
-declare type ESplineMeshAxis = 'X' | 'Y' | 'Z' | 'ESplineMeshAxis_MAX';
-declare var ESplineMeshAxis : { X:'X',Y:'Y',Z:'Z',ESplineMeshAxis_MAX:'ESplineMeshAxis_MAX', };
-declare class SplineMeshComponent extends StaticMeshComponent { 
-	SplineParams: SplineMeshParams;
-	SplineUpDir: Vector;
-	bAllowSplineEditingPerInstance: boolean;
-	bSmoothInterpRollScale: boolean;
-	ForwardAxis: ESplineMeshAxis;
-	SplineBoundaryMin: number;
-	SplineBoundaryMax: number;
-	BodySetup: BodySetup;
-	CachedMeshBodySetupGuid: Guid;
-	bSelected: boolean;
-	bMeshDirty: boolean;
-	static Load(ResourceName: string): SplineMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): SplineMeshComponent;
-	static GetDefaultObject(): SplineMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineMeshComponent;
-	UpdateMesh(): void;
-	SetStartTangent(StartTangent: Vector,bUpdateMesh: boolean): void;
-	SetStartScale(StartScale: Vector2D,bUpdateMesh: boolean): void;
-	SetStartRoll(StartRoll: number,bUpdateMesh: boolean): void;
-	SetStartPosition(StartPos: Vector,bUpdateMesh: boolean): void;
-	SetStartOffset(StartOffset: Vector2D,bUpdateMesh: boolean): void;
-	SetStartAndEnd(StartPos: Vector,StartTangent: Vector,EndPos: Vector,EndTangent: Vector,bUpdateMesh: boolean): void;
-	SetSplineUpDir(InSplineUpDir: Vector,bUpdateMesh: boolean): void;
-	SetForwardAxis(InForwardAxis: ESplineMeshAxis,bUpdateMesh: boolean): void;
-	SetEndTangent(EndTangent: Vector,bUpdateMesh: boolean): void;
-	SetEndScale(EndScale: Vector2D,bUpdateMesh: boolean): void;
-	SetEndRoll(EndRoll: number,bUpdateMesh: boolean): void;
-	SetEndPosition(EndPos: Vector,bUpdateMesh: boolean): void;
-	SetEndOffset(EndOffset: Vector2D,bUpdateMesh: boolean): void;
-	SetBoundaryMin(InBoundaryMin: number,bUpdateMesh: boolean): void;
-	SetBoundaryMax(InBoundaryMax: number,bUpdateMesh: boolean): void;
-	GetStartTangent(): Vector;
-	GetStartScale(): Vector2D;
-	GetStartRoll(): number;
-	GetStartPosition(): Vector;
-	GetStartOffset(): Vector2D;
-	GetSplineUpDir(): Vector;
-	GetForwardAxis(): ESplineMeshAxis;
-	GetEndTangent(): Vector;
-	GetEndScale(): Vector2D;
-	GetEndRoll(): number;
-	GetEndPosition(): Vector;
-	GetEndOffset(): Vector2D;
-	GetBoundaryMin(): number;
-	GetBoundaryMax(): number;
-	static C(Other: UObject | any): SplineMeshComponent;
+declare type EEnvTraceShape = 'Line' | 'Box' | 'Sphere' | 'Capsule' | 'EEnvTraceShape_MAX';
+declare var EEnvTraceShape : { Line:'Line',Box:'Box',Sphere:'Sphere',Capsule:'Capsule',EEnvTraceShape_MAX:'EEnvTraceShape_MAX', };
+declare type EEnvQueryTrace = 'None' | 'Navigation' | 'Geometry' | 'NavigationOverLedges' | 'EEnvQueryTrace_MAX';
+declare var EEnvQueryTrace : { None:'None',Navigation:'Navigation',Geometry:'Geometry',NavigationOverLedges:'NavigationOverLedges',EEnvQueryTrace_MAX:'EEnvQueryTrace_MAX', };
+declare class EnvTraceData { 
+	VersionNum: number;
+	NavigationFilter: UnrealEngineClass;
+	ProjectDown: number;
+	ProjectUp: number;
+	ExtentX: number;
+	ExtentY: number;
+	ExtentZ: number;
+	PostProjectionVerticalOffset: number;
+	TraceChannel: ETraceTypeQuery;
+	SerializedChannel: ECollisionChannel;
+	TraceShape: EEnvTraceShape;
+	TraceMode: EEnvQueryTrace;
+	bTraceComplex: boolean;
+	bOnlyBlockingHits: boolean;
+	bCanTraceOnNavMesh: boolean;
+	bCanTraceOnGeometry: boolean;
+	bCanDisableTrace: boolean;
+	bCanProjectDown: boolean;
+	clone() : EnvTraceData;
+	static C(Other: UObject | any): EnvTraceData;
 }
 
-declare class CameraRig_Rail extends Actor { 
-	CurrentPositionOnRail: number;
-	TransformComponent: SceneComponent;
-	RailSplineComponent: SplineComponent;
-	RailCameraMount: SceneComponent;
-	PreviewMesh_Rail: SplineMeshComponent;
-	PreviewRailMeshSegments: SplineMeshComponent[];
-	PreviewRailStaticMesh: StaticMesh;
-	PreviewMesh_Mount: StaticMeshComponent;
-	static GetDefaultObject(): CameraRig_Rail;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraRig_Rail;
-	static C(Other: UObject | any): CameraRig_Rail;
-}
-
-declare class CameraLookatTrackingSettings { 
-	bEnableLookAtTracking: boolean;
-	bDrawDebugLookAtTrackingPosition: boolean;
-	LookAtTrackingInterpSpeed: number;
-	ActorToTrack: Actor;
-	RelativeOffset: Vector;
-	bAllowRoll: boolean;
-	clone() : CameraLookatTrackingSettings;
-	static C(Other: UObject | any): CameraLookatTrackingSettings;
-}
-
-declare class CameraFilmbackSettings { 
-	SensorWidth: number;
-	SensorHeight: number;
-	SensorAspectRatio: number;
-	clone() : CameraFilmbackSettings;
-	static C(Other: UObject | any): CameraFilmbackSettings;
-}
-
-declare class CameraLensSettings { 
-	MinFocalLength: number;
-	MaxFocalLength: number;
-	MinFStop: number;
-	MaxFStop: number;
-	MinimumFocusDistance: number;
-	clone() : CameraLensSettings;
-	static C(Other: UObject | any): CameraLensSettings;
-}
-
-declare type ECameraFocusMethod = 'None' | 'Manual' | 'Tracking' | 'ECameraFocusMethod_MAX';
-declare var ECameraFocusMethod : { None:'None',Manual:'Manual',Tracking:'Tracking',ECameraFocusMethod_MAX:'ECameraFocusMethod_MAX', };
-declare class CameraTrackingFocusSettings { 
-	ActorToTrack: Actor;
-	RelativeOffset: Vector;
-	bDrawDebugTrackingFocusPoint: boolean;
-	clone() : CameraTrackingFocusSettings;
-	static C(Other: UObject | any): CameraTrackingFocusSettings;
-}
-
-declare class CameraFocusSettings { 
-	FocusMethod: ECameraFocusMethod;
-	ManualFocusDistance: number;
-	TrackingFocusSettings: CameraTrackingFocusSettings;
-	bDrawDebugFocusPlane: boolean;
-	DebugFocusPlaneColor: Color;
-	bSmoothFocusChanges: boolean;
-	FocusSmoothingInterpSpeed: number;
-	FocusOffset: number;
-	clone() : CameraFocusSettings;
-	static C(Other: UObject | any): CameraFocusSettings;
-}
-
-declare class NamedFilmbackPreset { 
-	Name: string;
-	FilmbackSettings: CameraFilmbackSettings;
-	clone() : NamedFilmbackPreset;
-	static C(Other: UObject | any): NamedFilmbackPreset;
+declare class EnvQueryGenerator_ProjectedPoints extends EnvQueryGenerator { 
+	ProjectionData: EnvTraceData;
+	static Load(ResourceName: string): EnvQueryGenerator_ProjectedPoints;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_ProjectedPoints;
+	static GetDefaultObject(): EnvQueryGenerator_ProjectedPoints;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_ProjectedPoints;
+	static C(Other: UObject | any): EnvQueryGenerator_ProjectedPoints;
 }
 
-declare class NamedLensPreset { 
-	Name: string;
-	LensSettings: CameraLensSettings;
-	clone() : NamedLensPreset;
-	static C(Other: UObject | any): NamedLensPreset;
-}
-
-declare class CineCameraComponent extends CameraComponent { 
-	FilmbackSettings: CameraFilmbackSettings;
-	LensSettings: CameraLensSettings;
-	FocusSettings: CameraFocusSettings;
-	CurrentFocalLength: number;
-	CurrentAperture: number;
-	CurrentFocusDistance: number;
-	CurrentHorizontalFOV: number;
-	DebugFocusPlaneMesh: StaticMesh;
-	DebugFocusPlaneMaterial: Material;
-	DebugFocusPlaneComponent: StaticMeshComponent;
-	DebugFocusPlaneMID: MaterialInstanceDynamic;
-	FilmbackPresets: NamedFilmbackPreset[];
-	LensPresets: NamedLensPreset[];
-	DefaultFilmbackPresetName: string;
-	DefaultLensPresetName: string;
-	DefaultLensFocalLength: number;
-	DefaultLensFStop: number;
-	static Load(ResourceName: string): CineCameraComponent;
-	static Find(Outer: UObject, ResourceName: string): CineCameraComponent;
-	static GetDefaultObject(): CineCameraComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CineCameraComponent;
-	SetLensPresetByName(InPresetName: string): void;
-	SetFilmbackPresetByName(InPresetName: string): void;
-	GetVerticalFieldOfView(): number;
-	GetLensPresetName(): string;
-	GetHorizontalFieldOfView(): number;
-	GetFilmbackPresetName(): string;
-	static C(Other: UObject | any): CineCameraComponent;
-}
-
-declare class CineCameraActor extends CameraActor { 
-	LookatTrackingSettings: CameraLookatTrackingSettings;
-	static GetDefaultObject(): CineCameraActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CineCameraActor;
-	GetCineCameraComponent(): CineCameraComponent;
-	static C(Other: UObject | any): CineCameraActor;
-}
-
-declare class K2Node extends EdGraphNode { 
-	static Load(ResourceName: string): K2Node;
-	static Find(Outer: UObject, ResourceName: string): K2Node;
-	static GetDefaultObject(): K2Node;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node;
-	static C(Other: UObject | any): K2Node;
-}
-
-declare type EMovieSceneObjectBindingSpace = 'Local' | 'Root' | 'EMovieSceneObjectBindingSpace_MAX';
-declare var EMovieSceneObjectBindingSpace : { Local:'Local',Root:'Root',EMovieSceneObjectBindingSpace_MAX:'EMovieSceneObjectBindingSpace_MAX', };
-declare class MovieSceneObjectBindingID { 
-	SequenceID: number;
-	Space: EMovieSceneObjectBindingSpace;
-	Guid: Guid;
-	clone() : MovieSceneObjectBindingID;
-	static C(Other: UObject | any): MovieSceneObjectBindingID;
+declare class EnvQueryGenerator_Cone extends EnvQueryGenerator_ProjectedPoints { 
+	AlignedPointsDistance: AIDataProviderFloatValue;
+	ConeDegrees: AIDataProviderFloatValue;
+	AngleStep: AIDataProviderFloatValue;
+	Range: AIDataProviderFloatValue;
+	CenterActor: UnrealEngineClass;
+	bIncludeContextLocation: boolean;
+	static Load(ResourceName: string): EnvQueryGenerator_Cone;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Cone;
+	static GetDefaultObject(): EnvQueryGenerator_Cone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Cone;
+	static C(Other: UObject | any): EnvQueryGenerator_Cone;
 }
 
-declare class K2Node_GetSequenceBinding extends K2Node { 
-	SourceSequence: SoftObjectPath;
-	Binding: MovieSceneObjectBindingID;
-	static Load(ResourceName: string): K2Node_GetSequenceBinding;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetSequenceBinding;
-	static GetDefaultObject(): K2Node_GetSequenceBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSequenceBinding;
-	static C(Other: UObject | any): K2Node_GetSequenceBinding;
+declare class EnvQueryGenerator_CurrentLocation extends EnvQueryGenerator { 
+	QueryContext: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryGenerator_CurrentLocation;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_CurrentLocation;
+	static GetDefaultObject(): EnvQueryGenerator_CurrentLocation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_CurrentLocation;
+	static C(Other: UObject | any): EnvQueryGenerator_CurrentLocation;
 }
 
-declare class GetSequenceBindingGuidMapping { 
-	PinName: string;
-	Guid: Guid;
-	clone() : GetSequenceBindingGuidMapping;
-	static C(Other: UObject | any): GetSequenceBindingGuidMapping;
+declare class AIDataProviderIntValue extends AIDataProviderTypedValue { 
+	DefaultValue: number;
+	clone() : AIDataProviderIntValue;
+	static C(Other: UObject | any): AIDataProviderIntValue;
 }
 
-declare class K2Node_GetSequenceBindings extends K2Node { 
-	BindingGuids: GetSequenceBindingGuidMapping[];
-	Sequence: MovieSceneSequence;
-	static Load(ResourceName: string): K2Node_GetSequenceBindings;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetSequenceBindings;
-	static GetDefaultObject(): K2Node_GetSequenceBindings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSequenceBindings;
-	static C(Other: UObject | any): K2Node_GetSequenceBindings;
+declare type EEnvDirection = 'TwoPoints' | 'Rotation' | 'EEnvDirection_MAX';
+declare var EEnvDirection : { TwoPoints:'TwoPoints',Rotation:'Rotation',EEnvDirection_MAX:'EEnvDirection_MAX', };
+declare class EnvDirection { 
+	LineFrom: UnrealEngineClass;
+	LineTo: UnrealEngineClass;
+	Rotation: UnrealEngineClass;
+	DirMode: EEnvDirection;
+	clone() : EnvDirection;
+	static C(Other: UObject | any): EnvDirection;
 }
 
-declare class MovieSceneToolsPropertyTrackSettings { 
-	ComponentName: string;
-	PropertyName: string;
-	clone() : MovieSceneToolsPropertyTrackSettings;
-	static C(Other: UObject | any): MovieSceneToolsPropertyTrackSettings;
-}
-
-declare class MovieSceneToolsFbxSettings { 
-	FbxPropertyName: string;
-	PropertyPath: MovieSceneToolsPropertyTrackSettings;
-	clone() : MovieSceneToolsFbxSettings;
-	static C(Other: UObject | any): MovieSceneToolsFbxSettings;
-}
-
-declare class MovieSceneToolsProjectSettings extends UObject { 
-	DefaultStartTime: number;
-	DefaultDuration: number;
-	ShotDirectory: string;
-	ShotPrefix: string;
-	FirstShotNumber: any;
-	ShotIncrement: any;
-	ShotNumDigits: any;
-	TakeNumDigits: any;
-	FirstTakeNumber: any;
-	TakeSeparator: string;
-	SubSequenceSeparator: string;
-	FbxSettings: MovieSceneToolsFbxSettings[];
-	static Load(ResourceName: string): MovieSceneToolsProjectSettings;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneToolsProjectSettings;
-	static GetDefaultObject(): MovieSceneToolsProjectSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneToolsProjectSettings;
-	static C(Other: UObject | any): MovieSceneToolsProjectSettings;
-}
-
-declare type EThumbnailQuality = 'Draft' | 'Normal' | 'Best' | 'EThumbnailQuality_MAX';
-declare var EThumbnailQuality : { Draft:'Draft',Normal:'Normal',Best:'Best',EThumbnailQuality_MAX:'EThumbnailQuality_MAX', };
-declare class MovieSceneUserThumbnailSettings extends UObject { 
-	bDrawThumbnails: boolean;
-	bDrawSingleThumbnails: boolean;
-	ThumbnailSize: IntPoint;
-	Quality: EThumbnailQuality;
-	static Load(ResourceName: string): MovieSceneUserThumbnailSettings;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneUserThumbnailSettings;
-	static GetDefaultObject(): MovieSceneUserThumbnailSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneUserThumbnailSettings;
-	static C(Other: UObject | any): MovieSceneUserThumbnailSettings;
-}
-
-declare class MovieSceneUserImportFBXSettings extends UObject { 
-	bForceFrontXAxis: boolean;
-	bCreateCameras: boolean;
-	bReduceKeys: boolean;
-	ReduceKeysTolerance: number;
-	static Load(ResourceName: string): MovieSceneUserImportFBXSettings;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneUserImportFBXSettings;
-	static GetDefaultObject(): MovieSceneUserImportFBXSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneUserImportFBXSettings;
-	static C(Other: UObject | any): MovieSceneUserImportFBXSettings;
-}
-
-declare class K2Node_ConstructObjectFromClass extends K2Node { 
-	static Load(ResourceName: string): K2Node_ConstructObjectFromClass;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ConstructObjectFromClass;
-	static GetDefaultObject(): K2Node_ConstructObjectFromClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConstructObjectFromClass;
-	static C(Other: UObject | any): K2Node_ConstructObjectFromClass;
-}
-
-declare class K2Node_CreateDragDropOperation extends K2Node_ConstructObjectFromClass { 
-	static Load(ResourceName: string): K2Node_CreateDragDropOperation;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CreateDragDropOperation;
-	static GetDefaultObject(): K2Node_CreateDragDropOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateDragDropOperation;
-	static C(Other: UObject | any): K2Node_CreateDragDropOperation;
-}
-
-declare class K2Node_CreateWidget extends K2Node_ConstructObjectFromClass { 
-	static Load(ResourceName: string): K2Node_CreateWidget;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CreateWidget;
-	static GetDefaultObject(): K2Node_CreateWidget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateWidget;
-	static C(Other: UObject | any): K2Node_CreateWidget;
-}
-
-declare class AutomatedAssetImportData extends UObject { 
-	GroupName: string;
-	Filenames: string[];
-	DestinationPath: string;
-	FactoryName: string;
-	bReplaceExisting: boolean;
-	bSkipReadOnly: boolean;
-	Factory: Factory;
-	LevelToLoad: string;
-	static Load(ResourceName: string): AutomatedAssetImportData;
-	static Find(Outer: UObject, ResourceName: string): AutomatedAssetImportData;
-	static GetDefaultObject(): AutomatedAssetImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomatedAssetImportData;
-	static C(Other: UObject | any): AutomatedAssetImportData;
-}
-
-declare class Factory extends UObject { 
-	bCreateNew: boolean;
-	SupportedClass: UnrealEngineClass;
-	ContextClass: UnrealEngineClass;
-	Formats: string[];
-	bEditAfterNew: boolean;
-	bEditorImport: boolean;
-	bText: boolean;
-	ImportPriority: number;
-	AutomatedImportData: AutomatedAssetImportData;
-	OverwriteYesOrNoToAllState: number;
-	static Load(ResourceName: string): Factory;
-	static Find(Outer: UObject, ResourceName: string): Factory;
-	static GetDefaultObject(): Factory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Factory;
-	static C(Other: UObject | any): Factory;
-}
-
-declare class SlateVectorArtDataFactory extends Factory { 
-	static Load(ResourceName: string): SlateVectorArtDataFactory;
-	static Find(Outer: UObject, ResourceName: string): SlateVectorArtDataFactory;
-	static GetDefaultObject(): SlateVectorArtDataFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateVectorArtDataFactory;
-	static C(Other: UObject | any): SlateVectorArtDataFactory;
-}
-
-declare class DeveloperSettings extends UObject { 
-	static Load(ResourceName: string): DeveloperSettings;
-	static Find(Outer: UObject, ResourceName: string): DeveloperSettings;
-	static GetDefaultObject(): DeveloperSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeveloperSettings;
-	static C(Other: UObject | any): DeveloperSettings;
-}
-
-declare class DebugResolution { 
-	Width: number;
-	Height: number;
-	Description: string;
-	Color: LinearColor;
-	clone() : DebugResolution;
-	static C(Other: UObject | any): DebugResolution;
+declare class EnvQueryGenerator_Donut extends EnvQueryGenerator_ProjectedPoints { 
+	InnerRadius: AIDataProviderFloatValue;
+	OuterRadius: AIDataProviderFloatValue;
+	NumberOfRings: AIDataProviderIntValue;
+	PointsPerRing: AIDataProviderIntValue;
+	ArcDirection: EnvDirection;
+	ArcAngle: AIDataProviderFloatValue;
+	bUseSpiralPattern: boolean;
+	Center: UnrealEngineClass;
+	bDefineArc: boolean;
+	static Load(ResourceName: string): EnvQueryGenerator_Donut;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_Donut;
+	static GetDefaultObject(): EnvQueryGenerator_Donut;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_Donut;
+	static C(Other: UObject | any): EnvQueryGenerator_Donut;
+}
+
+declare type EPointOnCircleSpacingMethod = 'BySpaceBetween' | 'ByNumberOfPoints' | 'EPointOnCircleSpacingMethod_MAX';
+declare var EPointOnCircleSpacingMethod : { BySpaceBetween:'BySpaceBetween',ByNumberOfPoints:'ByNumberOfPoints',EPointOnCircleSpacingMethod_MAX:'EPointOnCircleSpacingMethod_MAX', };
+declare class EnvQueryGenerator_OnCircle extends EnvQueryGenerator_ProjectedPoints { 
+	CircleRadius: AIDataProviderFloatValue;
+	SpaceBetween: AIDataProviderFloatValue;
+	NumberOfPoints: AIDataProviderIntValue;
+	PointOnCircleSpacingMethod: EPointOnCircleSpacingMethod;
+	ArcDirection: EnvDirection;
+	ArcAngle: AIDataProviderFloatValue;
+	AngleRadians: number;
+	CircleCenter: UnrealEngineClass;
+	bIgnoreAnyContextActorsWhenGeneratingCircle: boolean;
+	CircleCenterZOffset: AIDataProviderFloatValue;
+	TraceData: EnvTraceData;
+	bDefineArc: boolean;
+	static Load(ResourceName: string): EnvQueryGenerator_OnCircle;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_OnCircle;
+	static GetDefaultObject(): EnvQueryGenerator_OnCircle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_OnCircle;
+	static C(Other: UObject | any): EnvQueryGenerator_OnCircle;
+}
+
+declare class EnvQueryGenerator_SimpleGrid extends EnvQueryGenerator_ProjectedPoints { 
+	GridSize: AIDataProviderFloatValue;
+	SpaceBetween: AIDataProviderFloatValue;
+	GenerateAround: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryGenerator_SimpleGrid;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_SimpleGrid;
+	static GetDefaultObject(): EnvQueryGenerator_SimpleGrid;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_SimpleGrid;
+	static C(Other: UObject | any): EnvQueryGenerator_SimpleGrid;
+}
+
+declare class EnvQueryGenerator_PathingGrid extends EnvQueryGenerator_SimpleGrid { 
+	PathToItem: AIDataProviderBoolValue;
+	NavigationFilter: UnrealEngineClass;
+	ScanRangeMultiplier: AIDataProviderFloatValue;
+	static Load(ResourceName: string): EnvQueryGenerator_PathingGrid;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryGenerator_PathingGrid;
+	static GetDefaultObject(): EnvQueryGenerator_PathingGrid;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryGenerator_PathingGrid;
+	static C(Other: UObject | any): EnvQueryGenerator_PathingGrid;
+}
+
+declare class EnvQueryItemType_VectorBase extends EnvQueryItemType { 
+	static Load(ResourceName: string): EnvQueryItemType_VectorBase;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_VectorBase;
+	static GetDefaultObject(): EnvQueryItemType_VectorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_VectorBase;
+	static C(Other: UObject | any): EnvQueryItemType_VectorBase;
+}
+
+declare class EnvQueryItemType_ActorBase extends EnvQueryItemType_VectorBase { 
+	static Load(ResourceName: string): EnvQueryItemType_ActorBase;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_ActorBase;
+	static GetDefaultObject(): EnvQueryItemType_ActorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_ActorBase;
+	static C(Other: UObject | any): EnvQueryItemType_ActorBase;
+}
+
+declare class EnvQueryItemType_Actor extends EnvQueryItemType_ActorBase { 
+	static Load(ResourceName: string): EnvQueryItemType_Actor;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Actor;
+	static GetDefaultObject(): EnvQueryItemType_Actor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Actor;
+	static C(Other: UObject | any): EnvQueryItemType_Actor;
+}
+
+declare class EnvQueryItemType_Direction extends EnvQueryItemType_VectorBase { 
+	static Load(ResourceName: string): EnvQueryItemType_Direction;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Direction;
+	static GetDefaultObject(): EnvQueryItemType_Direction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Direction;
+	static C(Other: UObject | any): EnvQueryItemType_Direction;
 }
 
-declare class UMGEditorProjectSettings extends DeveloperSettings { 
-	bCookSlowConstructionWidgetTree: boolean;
-	DebugResolutions: DebugResolution[];
-	bShowWidgetsFromEngineContent: boolean;
-	bShowWidgetsFromDeveloperContent: boolean;
-	CategoriesToHide: string[];
-	WidgetClassesToHide: SoftClassPath[];
-	static Load(ResourceName: string): UMGEditorProjectSettings;
-	static Find(Outer: UObject, ResourceName: string): UMGEditorProjectSettings;
-	static GetDefaultObject(): UMGEditorProjectSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UMGEditorProjectSettings;
-	static C(Other: UObject | any): UMGEditorProjectSettings;
+declare class EnvQueryItemType_Point extends EnvQueryItemType_VectorBase { 
+	static Load(ResourceName: string): EnvQueryItemType_Point;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryItemType_Point;
+	static GetDefaultObject(): EnvQueryItemType_Point;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryItemType_Point;
+	static C(Other: UObject | any): EnvQueryItemType_Point;
 }
 
-declare class EditorPropertyPathSegment { 
-	struct: Struct;
-	MemberName: string;
-	MemberGuid: Guid;
-	IsProperty: boolean;
-	clone() : EditorPropertyPathSegment;
-	static C(Other: UObject | any): EditorPropertyPathSegment;
+declare type EEnvTestDistance = 'Distance3D' | 'Distance2D' | 'DistanceZ' | 'DistanceAbsoluteZ' | 'EEnvTestDistance_MAX';
+declare var EEnvTestDistance : { Distance3D:'Distance3D',Distance2D:'Distance2D',DistanceZ:'DistanceZ',DistanceAbsoluteZ:'DistanceAbsoluteZ',EEnvTestDistance_MAX:'EEnvTestDistance_MAX', };
+declare class EnvQueryTest_Distance extends EnvQueryTest { 
+	TestMode: EEnvTestDistance;
+	DistanceTo: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryTest_Distance;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Distance;
+	static GetDefaultObject(): EnvQueryTest_Distance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Distance;
+	static C(Other: UObject | any): EnvQueryTest_Distance;
 }
 
-declare class EditorPropertyPath { 
-	Segments: EditorPropertyPathSegment[];
-	clone() : EditorPropertyPath;
-	static C(Other: UObject | any): EditorPropertyPath;
+declare type EEnvTestDot = 'Dot3D' | 'Dot2D' | 'EEnvTestDot_MAX';
+declare var EEnvTestDot : { Dot3D:'Dot3D',Dot2D:'Dot2D',EEnvTestDot_MAX:'EEnvTestDot_MAX', };
+declare class EnvQueryTest_Dot extends EnvQueryTest { 
+	LineA: EnvDirection;
+	LineB: EnvDirection;
+	TestMode: EEnvTestDot;
+	bAbsoluteValue: boolean;
+	static Load(ResourceName: string): EnvQueryTest_Dot;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Dot;
+	static GetDefaultObject(): EnvQueryTest_Dot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Dot;
+	static C(Other: UObject | any): EnvQueryTest_Dot;
 }
 
-declare type EBindingKind = 'Function' | 'Property' | 'EBindingKind_MAX';
-declare var EBindingKind : { Function:'Function',Property:'Property',EBindingKind_MAX:'EBindingKind_MAX', };
-declare class DelegateEditorBinding { 
-	ObjectName: string;
-	PropertyName: string;
-	FunctionName: string;
-	SourceProperty: string;
-	SourcePath: EditorPropertyPath;
-	MemberGuid: Guid;
-	Kind: EBindingKind;
-	clone() : DelegateEditorBinding;
-	static C(Other: UObject | any): DelegateEditorBinding;
+declare class EnvQueryTest_GameplayTags extends EnvQueryTest { 
+	TagQueryToMatch: GameplayTagQuery;
+	bUpdatedToUseQuery: boolean;
+	TagsToMatch: EGameplayContainerMatchType;
+	GameplayTags: GameplayTagContainer;
+	static Load(ResourceName: string): EnvQueryTest_GameplayTags;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_GameplayTags;
+	static GetDefaultObject(): EnvQueryTest_GameplayTags;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_GameplayTags;
+	static C(Other: UObject | any): EnvQueryTest_GameplayTags;
 }
 
-declare class WidgetAnimation_DEPRECATED { 
-	MovieScene: MovieScene;
-	AnimationBindings: WidgetAnimationBinding[];
-	clone() : WidgetAnimation_DEPRECATED;
-	static C(Other: UObject | any): WidgetAnimation_DEPRECATED;
+declare type EEnvOverlapShape = 'Box' | 'Sphere' | 'Capsule' | 'EEnvOverlapShape_MAX';
+declare var EEnvOverlapShape : { Box:'Box',Sphere:'Sphere',Capsule:'Capsule',EEnvOverlapShape_MAX:'EEnvOverlapShape_MAX', };
+declare class EnvOverlapData { 
+	ExtentX: number;
+	ExtentY: number;
+	ExtentZ: number;
+	ShapeOffset: Vector;
+	OverlapChannel: ECollisionChannel;
+	OverlapShape: EEnvOverlapShape;
+	bOnlyBlockingHits: boolean;
+	bOverlapComplex: boolean;
+	clone() : EnvOverlapData;
+	static C(Other: UObject | any): EnvOverlapData;
 }
 
-declare class WidgetBlueprint extends Blueprint { 
-	WidgetTree: WidgetTree;
-	Bindings: DelegateEditorBinding[];
-	AnimationData: WidgetAnimation_DEPRECATED[];
-	Animations: WidgetAnimation[];
-	PaletteCategory: string;
-	bForceSlowConstructionPath: boolean;
-	static Load(ResourceName: string): WidgetBlueprint;
-	static Find(Outer: UObject, ResourceName: string): WidgetBlueprint;
-	static GetDefaultObject(): WidgetBlueprint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprint;
-	static C(Other: UObject | any): WidgetBlueprint;
+declare class EnvQueryTest_Overlap extends EnvQueryTest { 
+	OverlapData: EnvOverlapData;
+	static Load(ResourceName: string): EnvQueryTest_Overlap;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Overlap;
+	static GetDefaultObject(): EnvQueryTest_Overlap;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Overlap;
+	static C(Other: UObject | any): EnvQueryTest_Overlap;
 }
 
-declare class WidgetBlueprintFactory extends Factory { 
-	BlueprintType: EBlueprintType;
-	ParentClass: UnrealEngineClass;
-	static Load(ResourceName: string): WidgetBlueprintFactory;
-	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintFactory;
-	static GetDefaultObject(): WidgetBlueprintFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintFactory;
-	static C(Other: UObject | any): WidgetBlueprintFactory;
-}
-
-declare class WidgetDesignerSettings extends DeveloperSettings { 
-	GridSnapEnabled: boolean;
-	GridSnapSize: number;
-	bLockToPanelOnDragByDefault: boolean;
-	bShowOutlines: boolean;
-	bExecutePreConstructEvent: boolean;
-	bRespectLocks: boolean;
-	static Load(ResourceName: string): WidgetDesignerSettings;
-	static Find(Outer: UObject, ResourceName: string): WidgetDesignerSettings;
-	static GetDefaultObject(): WidgetDesignerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetDesignerSettings;
-	static C(Other: UObject | any): WidgetDesignerSettings;
-}
-
-declare class BlueprintCallableFunctionRedirect { 
-	ClassName: string;
-	OldFunctionName: string;
-	NewFunctionName: string;
-	BlueprintParamName: string;
-	ClassParamName: string;
-	clone() : BlueprintCallableFunctionRedirect;
-	static C(Other: UObject | any): BlueprintCallableFunctionRedirect;
+declare type EEnvTestPathfinding = 'PathExist' | 'PathCost' | 'PathLength' | 'EEnvTestPathfinding_MAX';
+declare var EEnvTestPathfinding : { PathExist:'PathExist',PathCost:'PathCost',PathLength:'PathLength',EEnvTestPathfinding_MAX:'EEnvTestPathfinding_MAX', };
+declare class EnvQueryTest_Pathfinding extends EnvQueryTest { 
+	TestMode: EEnvTestPathfinding;
+	Context: UnrealEngineClass;
+	PathFromContext: AIDataProviderBoolValue;
+	SkipUnreachable: AIDataProviderBoolValue;
+	FilterClass: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryTest_Pathfinding;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Pathfinding;
+	static GetDefaultObject(): EnvQueryTest_Pathfinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Pathfinding;
+	static C(Other: UObject | any): EnvQueryTest_Pathfinding;
 }
 
-declare class EdGraphSchema_K2 extends EdGraphSchema { 
-	EditoronlyBPFunctionRedirects: BlueprintCallableFunctionRedirect[];
-	static Load(ResourceName: string): EdGraphSchema_K2;
-	static Find(Outer: UObject, ResourceName: string): EdGraphSchema_K2;
-	static GetDefaultObject(): EdGraphSchema_K2;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphSchema_K2;
-	static C(Other: UObject | any): EdGraphSchema_K2;
+declare class EnvQueryTest_PathfindingBatch extends EnvQueryTest_Pathfinding { 
+	ScanRangeMultiplier: AIDataProviderFloatValue;
+	static Load(ResourceName: string): EnvQueryTest_PathfindingBatch;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_PathfindingBatch;
+	static GetDefaultObject(): EnvQueryTest_PathfindingBatch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_PathfindingBatch;
+	static C(Other: UObject | any): EnvQueryTest_PathfindingBatch;
 }
 
-declare class WidgetGraphSchema extends EdGraphSchema_K2 { 
-	static Load(ResourceName: string): WidgetGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): WidgetGraphSchema;
-	static GetDefaultObject(): WidgetGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetGraphSchema;
-	static C(Other: UObject | any): WidgetGraphSchema;
+declare class EnvQueryTest_Project extends EnvQueryTest { 
+	ProjectionData: EnvTraceData;
+	static Load(ResourceName: string): EnvQueryTest_Project;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Project;
+	static GetDefaultObject(): EnvQueryTest_Project;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Project;
+	static C(Other: UObject | any): EnvQueryTest_Project;
 }
 
-declare class WidgetSlotPair extends UObject { 
-	WidgetName: string;
-	SlotPropertyNames: string[];
-	SlotPropertyValues: string[];
-	static Load(ResourceName: string): WidgetSlotPair;
-	static Find(Outer: UObject, ResourceName: string): WidgetSlotPair;
-	static GetDefaultObject(): WidgetSlotPair;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSlotPair;
-	static C(Other: UObject | any): WidgetSlotPair;
-}
-
-declare class AudioMixerBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): AudioMixerBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): AudioMixerBlueprintLibrary;
-	static GetDefaultObject(): AudioMixerBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioMixerBlueprintLibrary;
-	static SetBypassSourceEffectChainEntry(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
-	static RemoveSourceEffectFromPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
-	static RemoveMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	static GetNumberOfEntriesInSourceEffectChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain): number;
-	static ClearMasterSubmixEffects(WorldContextObject: UObject): void;
-	static AddSourceEffectToPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
-	static AddMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
-	static C(Other: UObject | any): AudioMixerBlueprintLibrary;
-}
-
-declare type ESubmixEffectDynamicsProcessorType = 'Compressor' | 'Limiter' | 'Expander' | 'Gate' | 'Count' | 'ESubmixEffectDynamicsProcessorType_MAX';
-declare var ESubmixEffectDynamicsProcessorType : { Compressor:'Compressor',Limiter:'Limiter',Expander:'Expander',Gate:'Gate',Count:'Count',ESubmixEffectDynamicsProcessorType_MAX:'ESubmixEffectDynamicsProcessorType_MAX', };
-declare type ESubmixEffectDynamicsPeakMode = 'MeanSquared' | 'RootMeanSquared' | 'Peak' | 'Count' | 'ESubmixEffectDynamicsPeakMode_MAX';
-declare var ESubmixEffectDynamicsPeakMode : { MeanSquared:'MeanSquared',RootMeanSquared:'RootMeanSquared',Peak:'Peak',Count:'Count',ESubmixEffectDynamicsPeakMode_MAX:'ESubmixEffectDynamicsPeakMode_MAX', };
-declare class SubmixEffectDynamicsProcessorSettings { 
-	DynamicsProcessorType: ESubmixEffectDynamicsProcessorType;
-	PeakMode: ESubmixEffectDynamicsPeakMode;
-	LookAheadMsec: number;
-	AttackTimeMsec: number;
-	ReleaseTimeMsec: number;
-	ThresholdDb: number;
-	Ratio: number;
-	KneeBandwidthDb: number;
-	InputGainDb: number;
-	OutputGainDb: number;
-	bChannelLinked: boolean;
-	bAnalogMode: boolean;
-	clone() : SubmixEffectDynamicsProcessorSettings;
-	static C(Other: UObject | any): SubmixEffectDynamicsProcessorSettings;
-}
-
-declare class SubmixEffectDynamicsProcessorPreset extends SoundEffectSubmixPreset { 
-	Settings: SubmixEffectDynamicsProcessorSettings;
-	static Load(ResourceName: string): SubmixEffectDynamicsProcessorPreset;
-	static Find(Outer: UObject, ResourceName: string): SubmixEffectDynamicsProcessorPreset;
-	static GetDefaultObject(): SubmixEffectDynamicsProcessorPreset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectDynamicsProcessorPreset;
-	SetSettings(InSettings: SubmixEffectDynamicsProcessorSettings): void;
-	static C(Other: UObject | any): SubmixEffectDynamicsProcessorPreset;
-}
-
-declare class SubmixEffectEQBand { 
-	Frequency: number;
-	Bandwidth: number;
-	GainDb: number;
-	bEnabled: boolean;
-	clone() : SubmixEffectEQBand;
-	static C(Other: UObject | any): SubmixEffectEQBand;
+declare class EnvQueryTest_Random extends EnvQueryTest { 
+	static Load(ResourceName: string): EnvQueryTest_Random;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Random;
+	static GetDefaultObject(): EnvQueryTest_Random;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Random;
+	static C(Other: UObject | any): EnvQueryTest_Random;
 }
 
-declare class SubmixEffectSubmixEQSettings { 
-	EQBands: SubmixEffectEQBand[];
-	clone() : SubmixEffectSubmixEQSettings;
-	static C(Other: UObject | any): SubmixEffectSubmixEQSettings;
+declare class EnvQueryTest_Trace extends EnvQueryTest { 
+	TraceData: EnvTraceData;
+	TraceFromContext: AIDataProviderBoolValue;
+	ItemHeightOffset: AIDataProviderFloatValue;
+	ContextHeightOffset: AIDataProviderFloatValue;
+	Context: UnrealEngineClass;
+	static Load(ResourceName: string): EnvQueryTest_Trace;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTest_Trace;
+	static GetDefaultObject(): EnvQueryTest_Trace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTest_Trace;
+	static C(Other: UObject | any): EnvQueryTest_Trace;
 }
 
-declare class SubmixEffectSubmixEQPreset extends SoundEffectSubmixPreset { 
-	Settings: SubmixEffectSubmixEQSettings;
-	static Load(ResourceName: string): SubmixEffectSubmixEQPreset;
-	static Find(Outer: UObject, ResourceName: string): SubmixEffectSubmixEQPreset;
-	static GetDefaultObject(): SubmixEffectSubmixEQPreset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectSubmixEQPreset;
-	SetSettings(InSettings: SubmixEffectSubmixEQSettings): void;
-	static C(Other: UObject | any): SubmixEffectSubmixEQPreset;
+declare class EnvQueryTypes extends UObject { 
+	static Load(ResourceName: string): EnvQueryTypes;
+	static Find(Outer: UObject, ResourceName: string): EnvQueryTypes;
+	static GetDefaultObject(): EnvQueryTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnvQueryTypes;
+	static C(Other: UObject | any): EnvQueryTypes;
 }
 
-declare class SubmixEffectReverbSettings { 
-	Density: number;
-	Diffusion: number;
-	Gain: number;
-	GainHF: number;
-	DecayTime: number;
-	DecayHFRatio: number;
-	ReflectionsGain: number;
-	ReflectionsDelay: number;
-	LateGain: number;
-	LateDelay: number;
-	AirAbsorptionGainHF: number;
-	WetLevel: number;
-	clone() : SubmixEffectReverbSettings;
-	static C(Other: UObject | any): SubmixEffectReverbSettings;
+declare class EQSQueryResultSourceInterface extends Interface { 
+	static Load(ResourceName: string): EQSQueryResultSourceInterface;
+	static Find(Outer: UObject, ResourceName: string): EQSQueryResultSourceInterface;
+	static GetDefaultObject(): EQSQueryResultSourceInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSQueryResultSourceInterface;
+	static C(Other: UObject | any): EQSQueryResultSourceInterface;
 }
 
-declare class SubmixEffectReverbPreset extends SoundEffectSubmixPreset { 
-	Settings: SubmixEffectReverbSettings;
-	static Load(ResourceName: string): SubmixEffectReverbPreset;
-	static Find(Outer: UObject, ResourceName: string): SubmixEffectReverbPreset;
-	static GetDefaultObject(): SubmixEffectReverbPreset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectReverbPreset;
-	SetSettingsWithReverbEffect(InReverbEffect: ReverbEffect,WetLevel: number): void;
-	SetSettings(InSettings: SubmixEffectReverbSettings): void;
-	static C(Other: UObject | any): SubmixEffectReverbPreset;
+declare class EQSRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): EQSRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): EQSRenderingComponent;
+	static GetDefaultObject(): EQSRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSRenderingComponent;
+	static C(Other: UObject | any): EQSRenderingComponent;
 }
 
-declare class SoundWaveProcedural extends SoundWave { 
-	static Load(ResourceName: string): SoundWaveProcedural;
-	static Find(Outer: UObject, ResourceName: string): SoundWaveProcedural;
-	static GetDefaultObject(): SoundWaveProcedural;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundWaveProcedural;
-	static C(Other: UObject | any): SoundWaveProcedural;
+declare type EEnvQueryHightlightMode = 'All' | 'Best5Pct' | 'Best25Pct' | 'EEnvQueryHightlightMode_MAX';
+declare var EEnvQueryHightlightMode : { All:'All',Best5Pct:'Best5Pct',Best25Pct:'Best25Pct',EEnvQueryHightlightMode_MAX:'EEnvQueryHightlightMode_MAX', };
+declare class EQSTestingPawn extends Character { 
+	QueryTemplate: EnvQuery;
+	QueryParams: EnvNamedValue[];
+	QueryConfig: AIDynamicParam[];
+	TimeLimitPerStep: number;
+	StepToDebugDraw: number;
+	HighlightMode: EEnvQueryHightlightMode;
+	bDrawLabels: boolean;
+	bDrawFailedItems: boolean;
+	bReRunQueryOnlyOnFinishedMove: boolean;
+	bShouldBeVisibleInGame: boolean;
+	bTickDuringGame: boolean;
+	QueryingMode: EEnvQueryRunMode;
+	NavAgentProperties: NavAgentProperties;
+	EdRenderComp: EQSRenderingComponent;
+	static GetDefaultObject(): EQSTestingPawn;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EQSTestingPawn;
+	static C(Other: UObject | any): EQSTestingPawn;
 }
 
-declare class SynthSound extends SoundWaveProcedural { 
-	static Load(ResourceName: string): SynthSound;
-	static Find(Outer: UObject, ResourceName: string): SynthSound;
-	static GetDefaultObject(): SynthSound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SynthSound;
-	static C(Other: UObject | any): SynthSound;
+declare class GenericTeamAgentInterface extends Interface { 
+	static Load(ResourceName: string): GenericTeamAgentInterface;
+	static Find(Outer: UObject, ResourceName: string): GenericTeamAgentInterface;
+	static GetDefaultObject(): GenericTeamAgentInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenericTeamAgentInterface;
+	static C(Other: UObject | any): GenericTeamAgentInterface;
 }
 
-declare class SynthComponent extends SceneComponent { 
-	bAutoDestroy: boolean;
-	bStopWhenOwnerDestroyed: boolean;
-	bAllowSpatialization: boolean;
-	bOverrideAttenuation: boolean;
-	bOutputToBusOnly: boolean;
-	AttenuationSettings: SoundAttenuation;
-	AttenuationOverrides: SoundAttenuationSettings;
-	ConcurrencySettings: SoundConcurrency;
-	SoundClass: SoundClass;
-	SourceEffectChain: SoundEffectSourcePresetChain;
-	SoundSubmix: SoundSubmix;
-	SoundSubmixSends: SoundSubmixSendInfo[];
-	BusSends: SoundSourceBusSendInfo[];
-	PreEffectBusSends: SoundSourceBusSendInfo[];
-	bIsUISound: boolean;
-	EnvelopeFollowerAttackTime: number;
-	EnvelopeFollowerReleaseTime: number;
-	OnAudioEnvelopeValue: UnrealEngineMulticastDelegate<(EnvelopeValue: number) => void>;
-	Synth: SynthSound;
-	AudioComponent: AudioComponent;
-	static Load(ResourceName: string): SynthComponent;
-	static Find(Outer: UObject, ResourceName: string): SynthComponent;
-	static GetDefaultObject(): SynthComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SynthComponent;
-	Stop(): void;
-	Start(): void;
-	SetVolumeMultiplier(VolumeMultiplier: number): void;
-	SetSubmixSend(Submix: SoundSubmix,SendLevel: number): void;
-	IsPlaying(): boolean;
-	static C(Other: UObject | any): SynthComponent;
-}
-
-declare type EHardwareClass = 'Unspecified' | 'Desktop' | 'Mobile' | 'EHardwareClass_MAX';
-declare var EHardwareClass : { Unspecified:'Unspecified',Desktop:'Desktop',Mobile:'Mobile',EHardwareClass_MAX:'EHardwareClass_MAX', };
-declare type EGraphicsPreset = 'Unspecified' | 'Maximum' | 'Scalable' | 'EGraphicsPreset_MAX';
-declare var EGraphicsPreset : { Unspecified:'Unspecified',Maximum:'Maximum',Scalable:'Scalable',EGraphicsPreset_MAX:'EGraphicsPreset_MAX', };
-declare class HardwareTargetingSettings extends UObject { 
-	TargetedHardwareClass: EHardwareClass;
-	AppliedTargetedHardwareClass: EHardwareClass;
-	DefaultGraphicsPerformance: EGraphicsPreset;
-	AppliedDefaultGraphicsPerformance: EGraphicsPreset;
-	static Load(ResourceName: string): HardwareTargetingSettings;
-	static Find(Outer: UObject, ResourceName: string): HardwareTargetingSettings;
-	static GetDefaultObject(): HardwareTargetingSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HardwareTargetingSettings;
-	static C(Other: UObject | any): HardwareTargetingSettings;
-}
-
-declare class ClassViewerProjectSettings extends UObject { 
-	InternalOnlyPaths: DirectoryPath[];
-	InternalOnlyClasses: SoftClassPath[];
-	static Load(ResourceName: string): ClassViewerProjectSettings;
-	static Find(Outer: UObject, ResourceName: string): ClassViewerProjectSettings;
-	static GetDefaultObject(): ClassViewerProjectSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassViewerProjectSettings;
-	static C(Other: UObject | any): ClassViewerProjectSettings;
-}
-
-declare class LocalizedTemplateString { 
-	Language: string;
-	text: string;
-	clone() : LocalizedTemplateString;
-	static C(Other: UObject | any): LocalizedTemplateString;
-}
-
-declare class TemplateFolderRename { 
-	From: string;
-	To: string;
-	clone() : TemplateFolderRename;
-	static C(Other: UObject | any): TemplateFolderRename;
-}
-
-declare class TemplateReplacement { 
-	Extensions: string[];
-	From: string;
-	To: string;
-	bCaseSensitive: boolean;
-	clone() : TemplateReplacement;
-	static C(Other: UObject | any): TemplateReplacement;
-}
-
-declare type EFeaturePackDetailLevel = 'Standard' | 'High' | 'EFeaturePackDetailLevel_MAX';
-declare var EFeaturePackDetailLevel : { Standard:'Standard',High:'High',EFeaturePackDetailLevel_MAX:'EFeaturePackDetailLevel_MAX', };
-declare class FeaturePackLevelSet { 
-	DetailLevels: EFeaturePackDetailLevel[];
-	MountName: string;
-	clone() : FeaturePackLevelSet;
-	static C(Other: UObject | any): FeaturePackLevelSet;
-}
-
-declare class TemplateProjectDefs extends UObject { 
-	LocalizedDisplayNames: LocalizedTemplateString[];
-	LocalizedDescriptions: LocalizedTemplateString[];
-	FoldersToIgnore: string[];
-	FilesToIgnore: string[];
-	FolderRenames: TemplateFolderRename[];
-	FilenameReplacements: TemplateReplacement[];
-	ReplacementsInFiles: TemplateReplacement[];
-	SortKey: string;
-	Category: string;
-	ClassTypes: string;
-	AssetTypes: string;
-	bAllowProjectCreation: boolean;
-	PacksToInclude: string[];
-	EditDetailLevelPreference: EFeaturePackDetailLevel;
-	SharedContentPacks: FeaturePackLevelSet[];
-	static Load(ResourceName: string): TemplateProjectDefs;
-	static Find(Outer: UObject, ResourceName: string): TemplateProjectDefs;
-	static GetDefaultObject(): TemplateProjectDefs;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TemplateProjectDefs;
-	static C(Other: UObject | any): TemplateProjectDefs;
-}
-
-declare class DefaultTemplateProjectDefs extends TemplateProjectDefs { 
-	static Load(ResourceName: string): DefaultTemplateProjectDefs;
-	static Find(Outer: UObject, ResourceName: string): DefaultTemplateProjectDefs;
-	static GetDefaultObject(): DefaultTemplateProjectDefs;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultTemplateProjectDefs;
-	static C(Other: UObject | any): DefaultTemplateProjectDefs;
-}
-
-declare class SourceControlHelpers extends UObject { 
-	static Load(ResourceName: string): SourceControlHelpers;
-	static Find(Outer: UObject, ResourceName: string): SourceControlHelpers;
-	static GetDefaultObject(): SourceControlHelpers;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SourceControlHelpers;
-	static PackageFilenames(InPackageNames: string[]): string[];
-	static PackageFilename(InPackageName: string): string;
-	static MarkFileForAdd(InFile: string): boolean;
-	static CopyFileUnderSourceControl(InDestFile: string,InSourceFile: string,InFileDescription: string,OutFailReason?: string): {OutFailReason: string, $: boolean};
-	static CheckOutFile(InFile: string): boolean;
-	static AbsoluteFilenames(InFileNames: string[]): string[];
-	static C(Other: UObject | any): SourceControlHelpers;
-}
-
-declare class FavoritedBlueprintPaletteItem { 
-	clone() : FavoritedBlueprintPaletteItem;
-	static C(Other: UObject | any): FavoritedBlueprintPaletteItem;
-}
-
-declare class BlueprintPaletteFavorites extends UObject { 
-	CustomFavorites: string[];
-	CurrentFavorites: FavoritedBlueprintPaletteItem[];
-	CurrentProfile: string;
-	static Load(ResourceName: string): BlueprintPaletteFavorites;
-	static Find(Outer: UObject, ResourceName: string): BlueprintPaletteFavorites;
-	static GetDefaultObject(): BlueprintPaletteFavorites;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPaletteFavorites;
-	static C(Other: UObject | any): BlueprintPaletteFavorites;
-}
-
-declare class K2Node_BaseAsyncTask extends K2Node { 
-	ProxyFactoryFunctionName: string;
-	ProxyFactoryClass: UnrealEngineClass;
-	ProxyClass: UnrealEngineClass;
-	ProxyActivateFunctionName: string;
-	static Load(ResourceName: string): K2Node_BaseAsyncTask;
-	static Find(Outer: UObject, ResourceName: string): K2Node_BaseAsyncTask;
-	static GetDefaultObject(): K2Node_BaseAsyncTask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseAsyncTask;
-	static C(Other: UObject | any): K2Node_BaseAsyncTask;
-}
-
-declare class K2Node_AsyncAction extends K2Node_BaseAsyncTask { 
-	static Load(ResourceName: string): K2Node_AsyncAction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AsyncAction;
-	static GetDefaultObject(): K2Node_AsyncAction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AsyncAction;
-	static C(Other: UObject | any): K2Node_AsyncAction;
-}
-
-declare class BlueprintNodeSpawner extends UObject { 
-	NodeClass: UnrealEngineClass;
-	static Load(ResourceName: string): BlueprintNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintNodeSpawner;
-	static GetDefaultObject(): BlueprintNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintNodeSpawner;
-	static C(Other: UObject | any): BlueprintNodeSpawner;
-}
-
-declare class BlueprintEventNodeSpawner extends BlueprintNodeSpawner { 
-	EventFunc: UFunction;
-	CustomEventName: string;
-	static Load(ResourceName: string): BlueprintEventNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintEventNodeSpawner;
-	static GetDefaultObject(): BlueprintEventNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEventNodeSpawner;
-	static C(Other: UObject | any): BlueprintEventNodeSpawner;
-}
-
-declare class BlueprintBoundEventNodeSpawner extends BlueprintEventNodeSpawner { 
-	EventDelegate: MulticastDelegateProperty;
-	static Load(ResourceName: string): BlueprintBoundEventNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintBoundEventNodeSpawner;
-	static GetDefaultObject(): BlueprintBoundEventNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundEventNodeSpawner;
-	static C(Other: UObject | any): BlueprintBoundEventNodeSpawner;
-}
-
-declare class BlueprintBoundNodeSpawner extends BlueprintNodeSpawner { 
-	static Load(ResourceName: string): BlueprintBoundNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintBoundNodeSpawner;
-	static GetDefaultObject(): BlueprintBoundNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundNodeSpawner;
-	static C(Other: UObject | any): BlueprintBoundNodeSpawner;
-}
-
-declare class BlueprintComponentNodeSpawner extends BlueprintNodeSpawner { 
-	ComponentClass: UnrealEngineClass;
-	ComponentName: string;
-	ComponentAssetName: string;
-	static Load(ResourceName: string): BlueprintComponentNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintComponentNodeSpawner;
-	static GetDefaultObject(): BlueprintComponentNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintComponentNodeSpawner;
-	static C(Other: UObject | any): BlueprintComponentNodeSpawner;
+declare class GridPathAIController extends AIController { 
+	static GetDefaultObject(): GridPathAIController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPathAIController;
+	static C(Other: UObject | any): GridPathAIController;
 }
 
-declare class BlueprintFieldNodeSpawner extends BlueprintNodeSpawner { 
-	Field: Field;
-	static Load(ResourceName: string): BlueprintFieldNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintFieldNodeSpawner;
-	static GetDefaultObject(): BlueprintFieldNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFieldNodeSpawner;
-	static C(Other: UObject | any): BlueprintFieldNodeSpawner;
-}
-
-declare class BlueprintDelegateNodeSpawner extends BlueprintFieldNodeSpawner { 
-	static Load(ResourceName: string): BlueprintDelegateNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintDelegateNodeSpawner;
-	static GetDefaultObject(): BlueprintDelegateNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintDelegateNodeSpawner;
-	static C(Other: UObject | any): BlueprintDelegateNodeSpawner;
-}
-
-declare type ESaveOnCompile = 'SoC_Never' | 'SoC_SuccessOnly' | 'SoC_Always' | 'SoC_MAX';
-declare var ESaveOnCompile : { SoC_Never:'SoC_Never',SoC_SuccessOnly:'SoC_SuccessOnly',SoC_Always:'SoC_Always',SoC_MAX:'SoC_MAX', };
-declare class BlueprintEditorSettings extends UObject { 
-	bDrawMidpointArrowsInBlueprints: boolean;
-	bShowGraphInstructionText: boolean;
-	bSplitContextTargetSettings: boolean;
-	bExposeAllMemberComponentFunctions: boolean;
-	bShowContextualFavorites: boolean;
-	bCompactCallOnMemberNodes: boolean;
-	bFlattenFavoritesMenus: boolean;
-	bFavorPureCastNodes: boolean;
-	bAutoCastObjectConnections: boolean;
-	bShowViewportOnSimulate: boolean;
-	bShowInheritedVariables: boolean;
-	bShowEmptySections: boolean;
-	bSpawnDefaultBlueprintNodes: boolean;
-	bHideConstructionScriptComponentsInDetailsView: boolean;
-	bHostFindInBlueprintsInGlobalTab: boolean;
-	bNavigateToNativeFunctionsFromCallNodes: boolean;
-	SaveOnCompile: ESaveOnCompile;
-	bJumpToNodeErrors: boolean;
-	bAllowExplicitImpureNodeDisabling: boolean;
-	bShowActionMenuItemSignatures: boolean;
-	bBlueprintNodeUniqueNames: boolean;
-	bShowDetailedCompileResults: boolean;
-	CompileEventDisplayThresholdMs: number;
-	NodeTemplateCacheCapMB: number;
-	static Load(ResourceName: string): BlueprintEditorSettings;
-	static Find(Outer: UObject, ResourceName: string): BlueprintEditorSettings;
-	static GetDefaultObject(): BlueprintEditorSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEditorSettings;
-	static C(Other: UObject | any): BlueprintEditorSettings;
-}
-
-declare class BlueprintFunctionNodeSpawner extends BlueprintFieldNodeSpawner { 
-	static Load(ResourceName: string): BlueprintFunctionNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionNodeSpawner;
-	static GetDefaultObject(): BlueprintFunctionNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionNodeSpawner;
-	static C(Other: UObject | any): BlueprintFunctionNodeSpawner;
-}
-
-declare class BlueprintVariableNodeSpawner extends BlueprintFieldNodeSpawner { 
-	LocalVarOuter: EdGraph;
-	LocalVarDesc: BPVariableDescription;
-	static Load(ResourceName: string): BlueprintVariableNodeSpawner;
-	static Find(Outer: UObject, ResourceName: string): BlueprintVariableNodeSpawner;
-	static GetDefaultObject(): BlueprintVariableNodeSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintVariableNodeSpawner;
-	static C(Other: UObject | any): BlueprintVariableNodeSpawner;
-}
-
-declare class K2Node_EditablePinBase extends K2Node { 
-	bIsEditable: boolean;
-	static Load(ResourceName: string): K2Node_EditablePinBase;
-	static Find(Outer: UObject, ResourceName: string): K2Node_EditablePinBase;
-	static GetDefaultObject(): K2Node_EditablePinBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EditablePinBase;
-	static C(Other: UObject | any): K2Node_EditablePinBase;
-}
-
-declare class MemberReference { 
-	MemberParent: UObject;
-	MemberScope: string;
-	MemberName: string;
-	MemberGuid: Guid;
-	bSelfContext: boolean;
-	bWasDeprecated: boolean;
-	clone() : MemberReference;
-	static C(Other: UObject | any): MemberReference;
-}
-
-declare class K2Node_Event extends K2Node_EditablePinBase { 
-	EventSignatureName: string;
-	EventSignatureClass: UnrealEngineClass;
-	EventReference: MemberReference;
-	bOverrideFunction: boolean;
-	bInternalEvent: boolean;
-	CustomFunctionName: string;
-	FunctionFlags: any;
-	static Load(ResourceName: string): K2Node_Event;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Event;
-	static GetDefaultObject(): K2Node_Event;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Event;
-	static C(Other: UObject | any): K2Node_Event;
-}
-
-declare class K2Node_ActorBoundEvent extends K2Node_Event { 
-	DelegatePropertyName: string;
-	DelegateOwnerClass: UnrealEngineClass;
-	EventOwner: Actor;
-	static Load(ResourceName: string): K2Node_ActorBoundEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ActorBoundEvent;
-	static GetDefaultObject(): K2Node_ActorBoundEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ActorBoundEvent;
-	static C(Other: UObject | any): K2Node_ActorBoundEvent;
-}
-
-declare class K2Node_CallFunction extends K2Node { 
-	bIsPureFunc: boolean;
-	bIsConstFunc: boolean;
-	bWantsEnumToExecExpansion: boolean;
-	bIsInterfaceCall: boolean;
-	bIsFinalFunction: boolean;
-	bIsBeadFunction: boolean;
-	FunctionReference: MemberReference;
-	CallFunctionName: string;
-	CallFunctionClass: UnrealEngineClass;
-	static Load(ResourceName: string): K2Node_CallFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunction;
-	static GetDefaultObject(): K2Node_CallFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunction;
-	static C(Other: UObject | any): K2Node_CallFunction;
-}
-
-declare class K2Node_AddComponent extends K2Node_CallFunction { 
-	bHasExposedVariable: boolean;
-	TemplateBlueprint: string;
-	TemplateType: UnrealEngineClass;
-	static Load(ResourceName: string): K2Node_AddComponent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AddComponent;
-	static GetDefaultObject(): K2Node_AddComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddComponent;
-	static C(Other: UObject | any): K2Node_AddComponent;
-}
-
-declare class K2Node_BaseMCDelegate extends K2Node { 
-	DelegateReference: MemberReference;
-	static Load(ResourceName: string): K2Node_BaseMCDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_BaseMCDelegate;
-	static GetDefaultObject(): K2Node_BaseMCDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseMCDelegate;
-	static C(Other: UObject | any): K2Node_BaseMCDelegate;
-}
-
-declare class K2Node_AddDelegate extends K2Node_BaseMCDelegate { 
-	static Load(ResourceName: string): K2Node_AddDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AddDelegate;
-	static GetDefaultObject(): K2Node_AddDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddDelegate;
-	static C(Other: UObject | any): K2Node_AddDelegate;
-}
-
-declare class K2Node_AddPinInterface extends Interface { 
-	static Load(ResourceName: string): K2Node_AddPinInterface;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AddPinInterface;
-	static GetDefaultObject(): K2Node_AddPinInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddPinInterface;
-	static C(Other: UObject | any): K2Node_AddPinInterface;
-}
-
-declare class K2Node_AssignDelegate extends K2Node_AddDelegate { 
-	static Load(ResourceName: string): K2Node_AssignDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AssignDelegate;
-	static GetDefaultObject(): K2Node_AssignDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignDelegate;
-	static C(Other: UObject | any): K2Node_AssignDelegate;
-}
-
-declare class K2Node_AssignmentStatement extends K2Node { 
-	static Load(ResourceName: string): K2Node_AssignmentStatement;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AssignmentStatement;
-	static GetDefaultObject(): K2Node_AssignmentStatement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignmentStatement;
-	static C(Other: UObject | any): K2Node_AssignmentStatement;
-}
-
-declare class K2Node_BitmaskLiteral extends K2Node { 
-	BitflagsEnum: Enum;
-	static Load(ResourceName: string): K2Node_BitmaskLiteral;
-	static Find(Outer: UObject, ResourceName: string): K2Node_BitmaskLiteral;
-	static GetDefaultObject(): K2Node_BitmaskLiteral;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BitmaskLiteral;
-	static C(Other: UObject | any): K2Node_BitmaskLiteral;
-}
-
-declare type ESelfContextInfo = 'Unspecified' | 'NotSelfContext' | 'ESelfContextInfo_MAX';
-declare var ESelfContextInfo : { Unspecified:'Unspecified',NotSelfContext:'NotSelfContext',ESelfContextInfo_MAX:'ESelfContextInfo_MAX', };
-declare class K2Node_Variable extends K2Node { 
-	VariableReference: MemberReference;
-	SelfContextInfo: ESelfContextInfo;
-	VariableSourceClass: UnrealEngineClass;
-	VariableName: string;
-	bSelfContext: boolean;
-	static Load(ResourceName: string): K2Node_Variable;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Variable;
-	static GetDefaultObject(): K2Node_Variable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Variable;
-	static C(Other: UObject | any): K2Node_Variable;
+declare class GridPathFollowingComponent extends PathFollowingComponent { 
+	GridManager: NavLocalGridManager;
+	static Load(ResourceName: string): GridPathFollowingComponent;
+	static Find(Outer: UObject, ResourceName: string): GridPathFollowingComponent;
+	static GetDefaultObject(): GridPathFollowingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPathFollowingComponent;
+	static C(Other: UObject | any): GridPathFollowingComponent;
 }
 
-declare class K2Node_StructOperation extends K2Node_Variable { 
-	StructType: ScriptStruct;
-	static Load(ResourceName: string): K2Node_StructOperation;
-	static Find(Outer: UObject, ResourceName: string): K2Node_StructOperation;
-	static GetDefaultObject(): K2Node_StructOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructOperation;
-	static C(Other: UObject | any): K2Node_StructOperation;
-}
-
-declare class OptionalPinFromProperty { 
-	PropertyName: string;
-	PropertyFriendlyName: string;
-	PropertyTooltip: string;
-	CategoryName: string;
-	bShowPin: boolean;
-	bCanToggleVisibility: boolean;
-	bPropertyIsCustomized: boolean;
-	bHasOverridePin: boolean;
-	bIsMarkedForAdvancedDisplay: boolean;
-	bIsOverrideEnabled: boolean;
-	bIsSetValuePinVisible: boolean;
-	bIsOverridePinVisible: boolean;
-	clone() : OptionalPinFromProperty;
-	static C(Other: UObject | any): OptionalPinFromProperty;
-}
-
-declare class K2Node_StructMemberGet extends K2Node_StructOperation { 
-	ShowPinForProperties: OptionalPinFromProperty[];
-	static Load(ResourceName: string): K2Node_StructMemberGet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberGet;
-	static GetDefaultObject(): K2Node_StructMemberGet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberGet;
-	static C(Other: UObject | any): K2Node_StructMemberGet;
-}
-
-declare class K2Node_BreakStruct extends K2Node_StructMemberGet { 
-	bMadeAfterOverridePinRemoval: boolean;
-	static Load(ResourceName: string): K2Node_BreakStruct;
-	static Find(Outer: UObject, ResourceName: string): K2Node_BreakStruct;
-	static GetDefaultObject(): K2Node_BreakStruct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BreakStruct;
-	static C(Other: UObject | any): K2Node_BreakStruct;
-}
-
-declare class K2Node_CallArrayFunction extends K2Node_CallFunction { 
-	static Load(ResourceName: string): K2Node_CallArrayFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallArrayFunction;
-	static GetDefaultObject(): K2Node_CallArrayFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallArrayFunction;
-	static C(Other: UObject | any): K2Node_CallArrayFunction;
-}
-
-declare class K2Node_CallDataTableFunction extends K2Node_CallFunction { 
-	static Load(ResourceName: string): K2Node_CallDataTableFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallDataTableFunction;
-	static GetDefaultObject(): K2Node_CallDataTableFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDataTableFunction;
-	static C(Other: UObject | any): K2Node_CallDataTableFunction;
-}
-
-declare class K2Node_CallDelegate extends K2Node_BaseMCDelegate { 
-	static Load(ResourceName: string): K2Node_CallDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallDelegate;
-	static GetDefaultObject(): K2Node_CallDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDelegate;
-	static C(Other: UObject | any): K2Node_CallDelegate;
-}
-
-declare class K2Node_CallFunctionOnMember extends K2Node_CallFunction { 
-	MemberVariableToCallOn: MemberReference;
-	static Load(ResourceName: string): K2Node_CallFunctionOnMember;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunctionOnMember;
-	static GetDefaultObject(): K2Node_CallFunctionOnMember;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunctionOnMember;
-	static C(Other: UObject | any): K2Node_CallFunctionOnMember;
-}
-
-declare class K2Node_CallMaterialParameterCollectionFunction extends K2Node_CallFunction { 
-	static Load(ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
-	static GetDefaultObject(): K2Node_CallMaterialParameterCollectionFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallMaterialParameterCollectionFunction;
-	static C(Other: UObject | any): K2Node_CallMaterialParameterCollectionFunction;
-}
-
-declare class K2Node_CallParentFunction extends K2Node_CallFunction { 
-	static Load(ResourceName: string): K2Node_CallParentFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CallParentFunction;
-	static GetDefaultObject(): K2Node_CallParentFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallParentFunction;
-	static C(Other: UObject | any): K2Node_CallParentFunction;
-}
-
-declare class K2Node_CastByteToEnum extends K2Node { 
-	Enum: Enum;
-	bSafe: boolean;
-	static Load(ResourceName: string): K2Node_CastByteToEnum;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CastByteToEnum;
-	static GetDefaultObject(): K2Node_CastByteToEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CastByteToEnum;
-	static C(Other: UObject | any): K2Node_CastByteToEnum;
-}
-
-declare class K2Node_DynamicCast extends K2Node { 
-	TargetType: UnrealEngineClass;
-	bIsPureCast: boolean;
-	static Load(ResourceName: string): K2Node_DynamicCast;
-	static Find(Outer: UObject, ResourceName: string): K2Node_DynamicCast;
-	static GetDefaultObject(): K2Node_DynamicCast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DynamicCast;
-	static C(Other: UObject | any): K2Node_DynamicCast;
-}
-
-declare class K2Node_ClassDynamicCast extends K2Node_DynamicCast { 
-	static Load(ResourceName: string): K2Node_ClassDynamicCast;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ClassDynamicCast;
-	static GetDefaultObject(): K2Node_ClassDynamicCast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClassDynamicCast;
-	static C(Other: UObject | any): K2Node_ClassDynamicCast;
-}
-
-declare class K2Node_ClearDelegate extends K2Node_BaseMCDelegate { 
-	static Load(ResourceName: string): K2Node_ClearDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ClearDelegate;
-	static GetDefaultObject(): K2Node_ClearDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClearDelegate;
-	static C(Other: UObject | any): K2Node_ClearDelegate;
-}
-
-declare class K2Node_CommutativeAssociativeBinaryOperator extends K2Node_CallFunction { 
-	NumAdditionalInputs: number;
-	static Load(ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
-	static GetDefaultObject(): K2Node_CommutativeAssociativeBinaryOperator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CommutativeAssociativeBinaryOperator;
-	static C(Other: UObject | any): K2Node_CommutativeAssociativeBinaryOperator;
-}
-
-declare class K2Node_ComponentBoundEvent extends K2Node_Event { 
-	DelegatePropertyName: string;
-	DelegateOwnerClass: UnrealEngineClass;
-	ComponentPropertyName: string;
-	DelegatePropertyDisplayName: string;
-	static Load(ResourceName: string): K2Node_ComponentBoundEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ComponentBoundEvent;
-	static GetDefaultObject(): K2Node_ComponentBoundEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ComponentBoundEvent;
-	static C(Other: UObject | any): K2Node_ComponentBoundEvent;
-}
-
-declare class KismetUserDeclaredFunctionMetadata { 
-	Tooltip: string;
-	Category: string;
-	Keywords: string;
-	CompactNodeTitle: string;
-	InstanceTitleColor: LinearColor;
-	bCallInEditor: boolean;
-	HasLatentFunctions: any;
-	clone() : KismetUserDeclaredFunctionMetadata;
-	static C(Other: UObject | any): KismetUserDeclaredFunctionMetadata;
-}
-
-declare class K2Node_Tunnel extends K2Node_EditablePinBase { 
-	OutputSourceNode: K2Node_Tunnel;
-	InputSinkNode: K2Node_Tunnel;
-	bCanHaveInputs: boolean;
-	bCanHaveOutputs: boolean;
-	MetaData: KismetUserDeclaredFunctionMetadata;
-	static Load(ResourceName: string): K2Node_Tunnel;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Tunnel;
-	static GetDefaultObject(): K2Node_Tunnel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Tunnel;
-	static C(Other: UObject | any): K2Node_Tunnel;
-}
-
-declare class K2Node_Composite extends K2Node_Tunnel { 
-	BoundGraph: EdGraph;
-	static Load(ResourceName: string): K2Node_Composite;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Composite;
-	static GetDefaultObject(): K2Node_Composite;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Composite;
-	static C(Other: UObject | any): K2Node_Composite;
-}
-
-declare class K2Node_ConvertAsset extends K2Node { 
-	static Load(ResourceName: string): K2Node_ConvertAsset;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertAsset;
-	static GetDefaultObject(): K2Node_ConvertAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertAsset;
-	static C(Other: UObject | any): K2Node_ConvertAsset;
-}
-
-declare class K2Node_Copy extends K2Node { 
-	static Load(ResourceName: string): K2Node_Copy;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Copy;
-	static GetDefaultObject(): K2Node_Copy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Copy;
-	static C(Other: UObject | any): K2Node_Copy;
-}
-
-declare class K2Node_CreateDelegate extends K2Node { 
-	SelectedFunctionName: string;
-	SelectedFunctionGuid: Guid;
-	static Load(ResourceName: string): K2Node_CreateDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CreateDelegate;
-	static GetDefaultObject(): K2Node_CreateDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateDelegate;
-	static C(Other: UObject | any): K2Node_CreateDelegate;
-}
-
-declare class K2Node_CustomEvent extends K2Node_Event { 
-	bCallInEditor: boolean;
-	static Load(ResourceName: string): K2Node_CustomEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_CustomEvent;
-	static GetDefaultObject(): K2Node_CustomEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CustomEvent;
-	static C(Other: UObject | any): K2Node_CustomEvent;
-}
-
-declare class K2Node_DeadClass extends K2Node { 
-	static Load(ResourceName: string): K2Node_DeadClass;
-	static Find(Outer: UObject, ResourceName: string): K2Node_DeadClass;
-	static GetDefaultObject(): K2Node_DeadClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DeadClass;
-	static C(Other: UObject | any): K2Node_DeadClass;
-}
-
-declare class K2Node_DelegateSet extends K2Node { 
-	DelegatePropertyName: string;
-	DelegatePropertyClass: UnrealEngineClass;
-	static Load(ResourceName: string): K2Node_DelegateSet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_DelegateSet;
-	static GetDefaultObject(): K2Node_DelegateSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DelegateSet;
-	static C(Other: UObject | any): K2Node_DelegateSet;
-}
-
-declare class K2Node_TemporaryVariable extends K2Node { 
-	VariableType: EdGraphPinType;
-	bIsPersistent: boolean;
-	static Load(ResourceName: string): K2Node_TemporaryVariable;
-	static Find(Outer: UObject, ResourceName: string): K2Node_TemporaryVariable;
-	static GetDefaultObject(): K2Node_TemporaryVariable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TemporaryVariable;
-	static C(Other: UObject | any): K2Node_TemporaryVariable;
-}
-
-declare class K2Node_DoOnceMultiInput extends K2Node { 
-	NumAdditionalInputs: number;
-	DataNode: K2Node_TemporaryVariable;
-	static Load(ResourceName: string): K2Node_DoOnceMultiInput;
-	static Find(Outer: UObject, ResourceName: string): K2Node_DoOnceMultiInput;
-	static GetDefaultObject(): K2Node_DoOnceMultiInput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DoOnceMultiInput;
-	static C(Other: UObject | any): K2Node_DoOnceMultiInput;
-}
-
-declare class K2Node_EaseFunction extends K2Node { 
-	EaseFunctionName: string;
-	static Load(ResourceName: string): K2Node_EaseFunction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_EaseFunction;
-	static GetDefaultObject(): K2Node_EaseFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EaseFunction;
-	static C(Other: UObject | any): K2Node_EaseFunction;
-}
-
-declare class K2Node_EnumEquality extends K2Node { 
-	static Load(ResourceName: string): K2Node_EnumEquality;
-	static Find(Outer: UObject, ResourceName: string): K2Node_EnumEquality;
-	static GetDefaultObject(): K2Node_EnumEquality;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumEquality;
-	static C(Other: UObject | any): K2Node_EnumEquality;
-}
-
-declare class K2Node_EnumInequality extends K2Node_EnumEquality { 
-	static Load(ResourceName: string): K2Node_EnumInequality;
-	static Find(Outer: UObject, ResourceName: string): K2Node_EnumInequality;
-	static GetDefaultObject(): K2Node_EnumInequality;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumInequality;
-	static C(Other: UObject | any): K2Node_EnumInequality;
-}
-
-declare class K2Node_EnumLiteral extends K2Node { 
-	Enum: Enum;
-	static Load(ResourceName: string): K2Node_EnumLiteral;
-	static Find(Outer: UObject, ResourceName: string): K2Node_EnumLiteral;
-	static GetDefaultObject(): K2Node_EnumLiteral;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumLiteral;
-	static C(Other: UObject | any): K2Node_EnumLiteral;
-}
-
-declare class K2Node_ExecutionSequence extends K2Node { 
-	static Load(ResourceName: string): K2Node_ExecutionSequence;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ExecutionSequence;
-	static GetDefaultObject(): K2Node_ExecutionSequence;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ExecutionSequence;
-	static C(Other: UObject | any): K2Node_ExecutionSequence;
-}
-
-declare class K2Node_ForEachElementInEnum extends K2Node { 
-	Enum: Enum;
-	static Load(ResourceName: string): K2Node_ForEachElementInEnum;
-	static Find(Outer: UObject, ResourceName: string): K2Node_ForEachElementInEnum;
-	static GetDefaultObject(): K2Node_ForEachElementInEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ForEachElementInEnum;
-	static C(Other: UObject | any): K2Node_ForEachElementInEnum;
-}
-
-declare class K2Node_FormatText extends K2Node { 
-	PinNames: string[];
-	static Load(ResourceName: string): K2Node_FormatText;
-	static Find(Outer: UObject, ResourceName: string): K2Node_FormatText;
-	static GetDefaultObject(): K2Node_FormatText;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FormatText;
-	static C(Other: UObject | any): K2Node_FormatText;
-}
-
-declare class K2Node_FunctionTerminator extends K2Node_EditablePinBase { 
-	FunctionReference: MemberReference;
-	SignatureClass: UnrealEngineClass;
-	SignatureName: string;
-	static Load(ResourceName: string): K2Node_FunctionTerminator;
-	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionTerminator;
-	static GetDefaultObject(): K2Node_FunctionTerminator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionTerminator;
-	static C(Other: UObject | any): K2Node_FunctionTerminator;
-}
-
-declare class K2Node_FunctionEntry extends K2Node_FunctionTerminator { 
-	CustomGeneratedFunctionName: string;
-	MetaData: KismetUserDeclaredFunctionMetadata;
-	LocalVariables: BPVariableDescription[];
-	bEnforceConstCorrectness: boolean;
-	ExtraFlags: number;
-	static Load(ResourceName: string): K2Node_FunctionEntry;
-	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionEntry;
-	static GetDefaultObject(): K2Node_FunctionEntry;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionEntry;
-	static C(Other: UObject | any): K2Node_FunctionEntry;
-}
-
-declare class K2Node_FunctionResult extends K2Node_FunctionTerminator { 
-	static Load(ResourceName: string): K2Node_FunctionResult;
-	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionResult;
-	static GetDefaultObject(): K2Node_FunctionResult;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionResult;
-	static C(Other: UObject | any): K2Node_FunctionResult;
-}
-
-declare class K2Node_GenericCreateObject extends K2Node_ConstructObjectFromClass { 
-	static Load(ResourceName: string): K2Node_GenericCreateObject;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GenericCreateObject;
-	static GetDefaultObject(): K2Node_GenericCreateObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GenericCreateObject;
-	static C(Other: UObject | any): K2Node_GenericCreateObject;
-}
-
-declare class K2Node_GetArrayItem extends K2Node { 
-	bReturnByRefDesired: boolean;
-	static Load(ResourceName: string): K2Node_GetArrayItem;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetArrayItem;
-	static GetDefaultObject(): K2Node_GetArrayItem;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetArrayItem;
-	static C(Other: UObject | any): K2Node_GetArrayItem;
-}
-
-declare class K2Node_GetClassDefaults extends K2Node { 
-	BlueprintSubscribedTo: Blueprint;
-	ShowPinForProperties: OptionalPinFromProperty[];
-	bExcludeObjectContainers: boolean;
-	bExcludeObjectArrays: boolean;
-	static Load(ResourceName: string): K2Node_GetClassDefaults;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetClassDefaults;
-	static GetDefaultObject(): K2Node_GetClassDefaults;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetClassDefaults;
-	static C(Other: UObject | any): K2Node_GetClassDefaults;
-}
-
-declare class K2Node_GetDataTableRow extends K2Node { 
-	static Load(ResourceName: string): K2Node_GetDataTableRow;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetDataTableRow;
-	static GetDefaultObject(): K2Node_GetDataTableRow;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetDataTableRow;
-	static C(Other: UObject | any): K2Node_GetDataTableRow;
-}
-
-declare class K2Node_GetEnumeratorName extends K2Node { 
-	static Load(ResourceName: string): K2Node_GetEnumeratorName;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorName;
-	static GetDefaultObject(): K2Node_GetEnumeratorName;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorName;
-	static C(Other: UObject | any): K2Node_GetEnumeratorName;
-}
-
-declare class K2Node_GetEnumeratorNameAsString extends K2Node_GetEnumeratorName { 
-	static Load(ResourceName: string): K2Node_GetEnumeratorNameAsString;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorNameAsString;
-	static GetDefaultObject(): K2Node_GetEnumeratorNameAsString;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorNameAsString;
-	static C(Other: UObject | any): K2Node_GetEnumeratorNameAsString;
-}
-
-declare class K2Node_GetInputAxisKeyValue extends K2Node_CallFunction { 
-	InputAxisKey: Key;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	static Load(ResourceName: string): K2Node_GetInputAxisKeyValue;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisKeyValue;
-	static GetDefaultObject(): K2Node_GetInputAxisKeyValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisKeyValue;
-	static C(Other: UObject | any): K2Node_GetInputAxisKeyValue;
-}
-
-declare class K2Node_GetInputAxisValue extends K2Node_CallFunction { 
-	InputAxisName: string;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	static Load(ResourceName: string): K2Node_GetInputAxisValue;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisValue;
-	static GetDefaultObject(): K2Node_GetInputAxisValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisValue;
-	static C(Other: UObject | any): K2Node_GetInputAxisValue;
-}
-
-declare class K2Node_GetInputVectorAxisValue extends K2Node_GetInputAxisKeyValue { 
-	static Load(ResourceName: string): K2Node_GetInputVectorAxisValue;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputVectorAxisValue;
-	static GetDefaultObject(): K2Node_GetInputVectorAxisValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputVectorAxisValue;
-	static C(Other: UObject | any): K2Node_GetInputVectorAxisValue;
-}
-
-declare class K2Node_GetNumEnumEntries extends K2Node { 
-	Enum: Enum;
-	static Load(ResourceName: string): K2Node_GetNumEnumEntries;
-	static Find(Outer: UObject, ResourceName: string): K2Node_GetNumEnumEntries;
-	static GetDefaultObject(): K2Node_GetNumEnumEntries;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetNumEnumEntries;
-	static C(Other: UObject | any): K2Node_GetNumEnumEntries;
-}
-
-declare class K2Node_IfThenElse extends K2Node { 
-	static Load(ResourceName: string): K2Node_IfThenElse;
-	static Find(Outer: UObject, ResourceName: string): K2Node_IfThenElse;
-	static GetDefaultObject(): K2Node_IfThenElse;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_IfThenElse;
-	static C(Other: UObject | any): K2Node_IfThenElse;
-}
-
-declare class K2Node_InputAction extends K2Node { 
-	InputActionName: string;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputAction;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputAction;
-	static GetDefaultObject(): K2Node_InputAction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAction;
-	static C(Other: UObject | any): K2Node_InputAction;
-}
-
-declare class K2Node_InputActionEvent extends K2Node_Event { 
-	InputActionName: string;
-	InputKeyEvent: EInputEvent;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputActionEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputActionEvent;
-	static GetDefaultObject(): K2Node_InputActionEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputActionEvent;
-	static C(Other: UObject | any): K2Node_InputActionEvent;
-}
-
-declare class K2Node_InputAxisEvent extends K2Node_Event { 
-	InputAxisName: string;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputAxisEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisEvent;
-	static GetDefaultObject(): K2Node_InputAxisEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisEvent;
-	static C(Other: UObject | any): K2Node_InputAxisEvent;
-}
-
-declare class K2Node_InputAxisKeyEvent extends K2Node_Event { 
-	AxisKey: Key;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputAxisKeyEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisKeyEvent;
-	static GetDefaultObject(): K2Node_InputAxisKeyEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisKeyEvent;
-	static C(Other: UObject | any): K2Node_InputAxisKeyEvent;
-}
-
-declare class K2Node_InputKey extends K2Node { 
-	InputKey: Key;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	bControl: boolean;
-	bAlt: boolean;
-	bShift: boolean;
-	bCommand: boolean;
-	static Load(ResourceName: string): K2Node_InputKey;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputKey;
-	static GetDefaultObject(): K2Node_InputKey;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKey;
-	static C(Other: UObject | any): K2Node_InputKey;
-}
-
-declare class InputChord { 
-	Key: Key;
-	bShift: boolean;
-	bCtrl: boolean;
-	bAlt: boolean;
-	bCmd: boolean;
-	clone() : InputChord;
-	static C(Other: UObject | any): InputChord;
-	EqualEqual_InputChordInputChord(B: InputChord): boolean;
-	static EqualEqual_InputChordInputChord(A: InputChord,B: InputChord): boolean;
-}
-
-declare class K2Node_InputKeyEvent extends K2Node_Event { 
-	InputChord: InputChord;
-	InputKeyEvent: EInputEvent;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputKeyEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputKeyEvent;
-	static GetDefaultObject(): K2Node_InputKeyEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKeyEvent;
-	static C(Other: UObject | any): K2Node_InputKeyEvent;
-}
-
-declare class K2Node_InputTouch extends K2Node { 
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputTouch;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouch;
-	static GetDefaultObject(): K2Node_InputTouch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouch;
-	static C(Other: UObject | any): K2Node_InputTouch;
-}
-
-declare class K2Node_InputTouchEvent extends K2Node_Event { 
-	InputKeyEvent: EInputEvent;
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	static Load(ResourceName: string): K2Node_InputTouchEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouchEvent;
-	static GetDefaultObject(): K2Node_InputTouchEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouchEvent;
-	static C(Other: UObject | any): K2Node_InputTouchEvent;
-}
-
-declare class K2Node_InputVectorAxisEvent extends K2Node_InputAxisKeyEvent { 
-	static Load(ResourceName: string): K2Node_InputVectorAxisEvent;
-	static Find(Outer: UObject, ResourceName: string): K2Node_InputVectorAxisEvent;
-	static GetDefaultObject(): K2Node_InputVectorAxisEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputVectorAxisEvent;
-	static C(Other: UObject | any): K2Node_InputVectorAxisEvent;
-}
-
-declare class K2Node_Knot extends K2Node { 
-	static Load(ResourceName: string): K2Node_Knot;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Knot;
-	static GetDefaultObject(): K2Node_Knot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Knot;
-	static C(Other: UObject | any): K2Node_Knot;
-}
-
-declare class K2Node_Literal extends K2Node { 
-	ObjectRef: UObject;
-	static Load(ResourceName: string): K2Node_Literal;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Literal;
-	static GetDefaultObject(): K2Node_Literal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Literal;
-	static C(Other: UObject | any): K2Node_Literal;
-}
-
-declare class K2Node_LoadAsset extends K2Node { 
-	static Load(ResourceName: string): K2Node_LoadAsset;
-	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAsset;
-	static GetDefaultObject(): K2Node_LoadAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAsset;
-	static C(Other: UObject | any): K2Node_LoadAsset;
-}
-
-declare class K2Node_LoadAssetClass extends K2Node_LoadAsset { 
-	static Load(ResourceName: string): K2Node_LoadAssetClass;
-	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAssetClass;
-	static GetDefaultObject(): K2Node_LoadAssetClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAssetClass;
-	static C(Other: UObject | any): K2Node_LoadAssetClass;
-}
-
-declare class K2Node_LocalVariable extends K2Node_TemporaryVariable { 
-	CustomVariableName: string;
-	VariableTooltip: string;
-	static Load(ResourceName: string): K2Node_LocalVariable;
-	static Find(Outer: UObject, ResourceName: string): K2Node_LocalVariable;
-	static GetDefaultObject(): K2Node_LocalVariable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LocalVariable;
-	static C(Other: UObject | any): K2Node_LocalVariable;
-}
-
-declare class GraphReference { 
-	MacroGraph: EdGraph;
-	GraphBlueprint: Blueprint;
-	GraphGuid: Guid;
-	clone() : GraphReference;
-	static C(Other: UObject | any): GraphReference;
-}
-
-declare class K2Node_MacroInstance extends K2Node_Tunnel { 
-	MacroGraph: EdGraph;
-	MacroGraphReference: GraphReference;
-	ResolvedWildcardType: EdGraphPinType;
-	static Load(ResourceName: string): K2Node_MacroInstance;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MacroInstance;
-	static GetDefaultObject(): K2Node_MacroInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MacroInstance;
-	static C(Other: UObject | any): K2Node_MacroInstance;
-}
-
-declare class K2Node_MakeContainer extends K2Node { 
-	NumInputs: number;
-	static Load(ResourceName: string): K2Node_MakeContainer;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeContainer;
-	static GetDefaultObject(): K2Node_MakeContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeContainer;
-	static C(Other: UObject | any): K2Node_MakeContainer;
-}
-
-declare class K2Node_MakeArray extends K2Node_MakeContainer { 
-	static Load(ResourceName: string): K2Node_MakeArray;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeArray;
-	static GetDefaultObject(): K2Node_MakeArray;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeArray;
-	static C(Other: UObject | any): K2Node_MakeArray;
-}
-
-declare class K2Node_MakeMap extends K2Node_MakeContainer { 
-	static Load(ResourceName: string): K2Node_MakeMap;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeMap;
-	static GetDefaultObject(): K2Node_MakeMap;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeMap;
-	static C(Other: UObject | any): K2Node_MakeMap;
-}
-
-declare class K2Node_MakeSet extends K2Node_MakeContainer { 
-	static Load(ResourceName: string): K2Node_MakeSet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeSet;
-	static GetDefaultObject(): K2Node_MakeSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeSet;
-	static C(Other: UObject | any): K2Node_MakeSet;
-}
-
-declare class K2Node_StructMemberSet extends K2Node_StructOperation { 
-	ShowPinForProperties: OptionalPinFromProperty[];
-	static Load(ResourceName: string): K2Node_StructMemberSet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberSet;
-	static GetDefaultObject(): K2Node_StructMemberSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberSet;
-	static C(Other: UObject | any): K2Node_StructMemberSet;
-}
-
-declare class K2Node_MakeStruct extends K2Node_StructMemberSet { 
-	bMadeAfterOverridePinRemoval: boolean;
-	static Load(ResourceName: string): K2Node_MakeStruct;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeStruct;
-	static GetDefaultObject(): K2Node_MakeStruct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeStruct;
-	static C(Other: UObject | any): K2Node_MakeStruct;
-}
-
-declare class K2Node_MakeVariable extends K2Node { 
-	VariableType: BPVariableDescription;
-	static Load(ResourceName: string): K2Node_MakeVariable;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MakeVariable;
-	static GetDefaultObject(): K2Node_MakeVariable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeVariable;
-	static C(Other: UObject | any): K2Node_MakeVariable;
-}
-
-declare class K2Node_MathExpression extends K2Node_Composite { 
-	Expression: string;
-	bMadeAfterRotChange: boolean;
-	static Load(ResourceName: string): K2Node_MathExpression;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MathExpression;
-	static GetDefaultObject(): K2Node_MathExpression;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MathExpression;
-	static C(Other: UObject | any): K2Node_MathExpression;
-}
-
-declare class K2Node_MatineeController extends K2Node { 
-	MatineeActor: MatineeActor;
-	static Load(ResourceName: string): K2Node_MatineeController;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MatineeController;
-	static GetDefaultObject(): K2Node_MatineeController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MatineeController;
-	static C(Other: UObject | any): K2Node_MatineeController;
-}
-
-declare class K2Node_Message extends K2Node_CallFunction { 
-	static Load(ResourceName: string): K2Node_Message;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Message;
-	static GetDefaultObject(): K2Node_Message;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Message;
-	static C(Other: UObject | any): K2Node_Message;
-}
-
-declare class K2Node_MultiGate extends K2Node_ExecutionSequence { 
-	DataNode: K2Node_TemporaryVariable;
-	static Load(ResourceName: string): K2Node_MultiGate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_MultiGate;
-	static GetDefaultObject(): K2Node_MultiGate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MultiGate;
-	static C(Other: UObject | any): K2Node_MultiGate;
-}
-
-declare class K2Node_PureAssignmentStatement extends K2Node { 
-	static Load(ResourceName: string): K2Node_PureAssignmentStatement;
-	static Find(Outer: UObject, ResourceName: string): K2Node_PureAssignmentStatement;
-	static GetDefaultObject(): K2Node_PureAssignmentStatement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_PureAssignmentStatement;
-	static C(Other: UObject | any): K2Node_PureAssignmentStatement;
-}
-
-declare class K2Node_RemoveDelegate extends K2Node_BaseMCDelegate { 
-	static Load(ResourceName: string): K2Node_RemoveDelegate;
-	static Find(Outer: UObject, ResourceName: string): K2Node_RemoveDelegate;
-	static GetDefaultObject(): K2Node_RemoveDelegate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_RemoveDelegate;
-	static C(Other: UObject | any): K2Node_RemoveDelegate;
-}
-
-declare class K2Node_Select extends K2Node { 
-	NumOptionPins: number;
-	IndexPinType: EdGraphPinType;
-	Enum: Enum;
-	EnumEntries: string[];
-	EnumEntryFriendlyNames: string[];
-	bReconstructNode: boolean;
-	static Load(ResourceName: string): K2Node_Select;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Select;
-	static GetDefaultObject(): K2Node_Select;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Select;
-	static C(Other: UObject | any): K2Node_Select;
-}
-
-declare class K2Node_Self extends K2Node { 
-	static Load(ResourceName: string): K2Node_Self;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Self;
-	static GetDefaultObject(): K2Node_Self;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Self;
-	static C(Other: UObject | any): K2Node_Self;
-}
-
-declare class K2Node_SetFieldsInStruct extends K2Node_MakeStruct { 
-	static Load(ResourceName: string): K2Node_SetFieldsInStruct;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SetFieldsInStruct;
-	static GetDefaultObject(): K2Node_SetFieldsInStruct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetFieldsInStruct;
-	static C(Other: UObject | any): K2Node_SetFieldsInStruct;
-}
-
-declare class K2Node_SetVariableOnPersistentFrame extends K2Node { 
-	static Load(ResourceName: string): K2Node_SetVariableOnPersistentFrame;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SetVariableOnPersistentFrame;
-	static GetDefaultObject(): K2Node_SetVariableOnPersistentFrame;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetVariableOnPersistentFrame;
-	static C(Other: UObject | any): K2Node_SetVariableOnPersistentFrame;
-}
-
-declare class K2Node_SpawnActor extends K2Node { 
-	static Load(ResourceName: string): K2Node_SpawnActor;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActor;
-	static GetDefaultObject(): K2Node_SpawnActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActor;
-	static C(Other: UObject | any): K2Node_SpawnActor;
-}
-
-declare class K2Node_SpawnActorFromClass extends K2Node_ConstructObjectFromClass { 
-	static Load(ResourceName: string): K2Node_SpawnActorFromClass;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActorFromClass;
-	static GetDefaultObject(): K2Node_SpawnActorFromClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActorFromClass;
-	static C(Other: UObject | any): K2Node_SpawnActorFromClass;
-}
-
-declare class K2Node_Switch extends K2Node { 
-	bHasDefaultPin: boolean;
-	FunctionName: string;
-	FunctionClass: UnrealEngineClass;
-	static Load(ResourceName: string): K2Node_Switch;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Switch;
-	static GetDefaultObject(): K2Node_Switch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Switch;
-	static C(Other: UObject | any): K2Node_Switch;
-}
-
-declare class K2Node_SwitchEnum extends K2Node_Switch { 
-	Enum: Enum;
-	EnumEntries: string[];
-	EnumFriendlyNames: string[];
-	static Load(ResourceName: string): K2Node_SwitchEnum;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchEnum;
-	static GetDefaultObject(): K2Node_SwitchEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchEnum;
-	static C(Other: UObject | any): K2Node_SwitchEnum;
-}
-
-declare class K2Node_SwitchInteger extends K2Node_Switch { 
-	StartIndex: number;
-	static Load(ResourceName: string): K2Node_SwitchInteger;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchInteger;
-	static GetDefaultObject(): K2Node_SwitchInteger;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchInteger;
-	static C(Other: UObject | any): K2Node_SwitchInteger;
-}
-
-declare class K2Node_SwitchName extends K2Node_Switch { 
-	PinNames: string[];
-	static Load(ResourceName: string): K2Node_SwitchName;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchName;
-	static GetDefaultObject(): K2Node_SwitchName;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchName;
-	static C(Other: UObject | any): K2Node_SwitchName;
-}
-
-declare class K2Node_SwitchString extends K2Node_Switch { 
-	PinNames: string[];
-	bIsCaseSensitive: boolean;
-	static Load(ResourceName: string): K2Node_SwitchString;
-	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchString;
-	static GetDefaultObject(): K2Node_SwitchString;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchString;
-	static C(Other: UObject | any): K2Node_SwitchString;
-}
-
-declare class K2Node_Timeline extends K2Node { 
-	TimelineName: string;
-	bAutoPlay: boolean;
-	TimelineGuid: Guid;
-	bLoop: boolean;
-	bReplicated: boolean;
-	bIgnoreTimeDilation: boolean;
-	static Load(ResourceName: string): K2Node_Timeline;
-	static Find(Outer: UObject, ResourceName: string): K2Node_Timeline;
-	static GetDefaultObject(): K2Node_Timeline;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Timeline;
-	static C(Other: UObject | any): K2Node_Timeline;
-}
-
-declare type ETunnelBoundaryType = 'Unknown' | 'EntrySite' | 'InputSite' | 'OutputSite' | 'ETunnelBoundaryType_MAX';
-declare var ETunnelBoundaryType : { Unknown:'Unknown',EntrySite:'EntrySite',InputSite:'InputSite',OutputSite:'OutputSite',ETunnelBoundaryType_MAX:'ETunnelBoundaryType_MAX', };
-declare class K2Node_TunnelBoundary extends K2Node { 
-	BaseName: string;
-	TunnelBoundaryType: ETunnelBoundaryType;
-	static Load(ResourceName: string): K2Node_TunnelBoundary;
-	static Find(Outer: UObject, ResourceName: string): K2Node_TunnelBoundary;
-	static GetDefaultObject(): K2Node_TunnelBoundary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TunnelBoundary;
-	static C(Other: UObject | any): K2Node_TunnelBoundary;
-}
-
-declare class K2Node_VariableGet extends K2Node_Variable { 
-	bIsPureGet: boolean;
-	static Load(ResourceName: string): K2Node_VariableGet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_VariableGet;
-	static GetDefaultObject(): K2Node_VariableGet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableGet;
-	static C(Other: UObject | any): K2Node_VariableGet;
-}
-
-declare class K2Node_VariableSet extends K2Node_Variable { 
-	static Load(ResourceName: string): K2Node_VariableSet;
-	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSet;
-	static GetDefaultObject(): K2Node_VariableSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSet;
-	static C(Other: UObject | any): K2Node_VariableSet;
-}
-
-declare class K2Node_VariableSetRef extends K2Node { 
-	static Load(ResourceName: string): K2Node_VariableSetRef;
-	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSetRef;
-	static GetDefaultObject(): K2Node_VariableSetRef;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSetRef;
-	static C(Other: UObject | any): K2Node_VariableSetRef;
-}
-
-declare class NodeDependingOnEnumInterface extends Interface { 
-	static Load(ResourceName: string): NodeDependingOnEnumInterface;
-	static Find(Outer: UObject, ResourceName: string): NodeDependingOnEnumInterface;
-	static GetDefaultObject(): NodeDependingOnEnumInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NodeDependingOnEnumInterface;
-	static C(Other: UObject | any): NodeDependingOnEnumInterface;
-}
-
-declare type EBlueprintPinStyleType = 'BPST_Original' | 'BPST_VariantA' | 'BPST_MAX';
-declare var EBlueprintPinStyleType : { BPST_Original:'BPST_Original',BPST_VariantA:'BPST_VariantA',BPST_MAX:'BPST_MAX', };
-declare type EGraphPanningMouseButton = 'Right' | 'Middle' | 'Both' | 'EGraphPanningMouseButton_MAX';
-declare var EGraphPanningMouseButton : { Right:'Right',Middle:'Middle',Both:'Both',EGraphPanningMouseButton_MAX:'EGraphPanningMouseButton_MAX', };
-declare class GraphEditorSettings extends UObject { 
-	DataPinStyle: EBlueprintPinStyleType;
-	PanningMouseButton: EGraphPanningMouseButton;
-	PaddingAbovePin: number;
-	PaddingBelowPin: number;
-	PaddingRightOfInput: number;
-	PaddingLeftOfOutput: number;
-	PaddingTowardsNodeEdge: number;
-	bTreatSplinesLikePins: boolean;
-	SplineHoverTolerance: number;
-	ForwardSplineHorizontalDeltaRange: number;
-	ForwardSplineVerticalDeltaRange: number;
-	ForwardSplineTangentFromHorizontalDelta: Vector2D;
-	ForwardSplineTangentFromVerticalDelta: Vector2D;
-	BackwardSplineHorizontalDeltaRange: number;
-	BackwardSplineVerticalDeltaRange: number;
-	BackwardSplineTangentFromHorizontalDelta: Vector2D;
-	BackwardSplineTangentFromVerticalDelta: Vector2D;
-	DefaultPinTypeColor: LinearColor;
-	ExecutionPinTypeColor: LinearColor;
-	BooleanPinTypeColor: LinearColor;
-	BytePinTypeColor: LinearColor;
-	ClassPinTypeColor: LinearColor;
-	IntPinTypeColor: LinearColor;
-	FloatPinTypeColor: LinearColor;
-	NamePinTypeColor: LinearColor;
-	SoftObjectPinTypeColor: LinearColor;
-	SoftClassPinTypeColor: LinearColor;
-	DelegatePinTypeColor: LinearColor;
-	ObjectPinTypeColor: LinearColor;
-	InterfacePinTypeColor: LinearColor;
-	StringPinTypeColor: LinearColor;
-	TextPinTypeColor: LinearColor;
-	StructPinTypeColor: LinearColor;
-	WildcardPinTypeColor: LinearColor;
-	VectorPinTypeColor: LinearColor;
-	RotatorPinTypeColor: LinearColor;
-	TransformPinTypeColor: LinearColor;
-	IndexPinTypeColor: LinearColor;
-	EventNodeTitleColor: LinearColor;
-	FunctionCallNodeTitleColor: LinearColor;
-	PureFunctionCallNodeTitleColor: LinearColor;
-	ParentFunctionCallNodeTitleColor: LinearColor;
-	FunctionTerminatorNodeTitleColor: LinearColor;
-	ExecBranchNodeTitleColor: LinearColor;
-	ExecSequenceNodeTitleColor: LinearColor;
-	ResultNodeTitleColor: LinearColor;
-	DefaultCommentNodeTitleColor: LinearColor;
-	PreviewNodeTitleColor: LinearColor;
-	DefaultDataWireThickness: number;
-	DefaultExecutionWireThickness: number;
-	TraceAttackColor: LinearColor;
-	TraceAttackWireThickness: number;
-	TraceAttackHoldPeriod: number;
-	TraceDecayPeriod: number;
-	TraceDecayExponent: number;
-	TraceSustainColor: LinearColor;
-	TraceSustainWireThickness: number;
-	TraceSustainHoldPeriod: number;
-	TraceReleaseColor: LinearColor;
-	TraceReleaseWireThickness: number;
-	TraceReleasePeriod: number;
-	TraceReleaseExponent: number;
-	TracePositionBonusPeriod: number;
-	TracePositionExponent: number;
-	static Load(ResourceName: string): GraphEditorSettings;
-	static Find(Outer: UObject, ResourceName: string): GraphEditorSettings;
-	static GetDefaultObject(): GraphEditorSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GraphEditorSettings;
-	static C(Other: UObject | any): GraphEditorSettings;
-}
-
-declare class AnimationConduitGraphSchema extends EdGraphSchema_K2 { 
-	static Load(ResourceName: string): AnimationConduitGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationConduitGraphSchema;
-	static GetDefaultObject(): AnimationConduitGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationConduitGraphSchema;
-	static C(Other: UObject | any): AnimationConduitGraphSchema;
-}
-
-declare class AnimationGraph extends EdGraph { 
-	static Load(ResourceName: string): AnimationGraph;
-	static Find(Outer: UObject, ResourceName: string): AnimationGraph;
-	static GetDefaultObject(): AnimationGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraph;
-	static C(Other: UObject | any): AnimationGraph;
-}
-
-declare type EBlueprintUsage = 'NoProperties' | 'DoesNotUseBlueprint' | 'UsesBlueprint' | 'EBlueprintUsage_MAX';
-declare var EBlueprintUsage : { NoProperties:'NoProperties',DoesNotUseBlueprint:'DoesNotUseBlueprint',UsesBlueprint:'UsesBlueprint',EBlueprintUsage_MAX:'EBlueprintUsage_MAX', };
-declare class AnimGraphNode_Base extends K2Node { 
-	ShowPinForProperties: OptionalPinFromProperty[];
-	BlueprintUsage: EBlueprintUsage;
-	static Load(ResourceName: string): AnimGraphNode_Base;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Base;
-	static GetDefaultObject(): AnimGraphNode_Base;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Base;
-	static C(Other: UObject | any): AnimGraphNode_Base;
-}
-
-declare type EPostCopyOperation = 'None' | 'LogicalNegateBool' | 'EPostCopyOperation_MAX';
-declare var EPostCopyOperation : { None:'None',LogicalNegateBool:'LogicalNegateBool',EPostCopyOperation_MAX:'EPostCopyOperation_MAX', };
-declare type ECopyType = 'MemCopy' | 'BoolProperty' | 'StructProperty' | 'ObjectProperty' | 'ECopyType_MAX';
-declare var ECopyType : { MemCopy:'MemCopy',BoolProperty:'BoolProperty',StructProperty:'StructProperty',ObjectProperty:'ObjectProperty',ECopyType_MAX:'ECopyType_MAX', };
-declare class ExposedValueCopyRecord { 
-	SourceProperty: Property;
-	SourcePropertyName: string;
-	SourceSubPropertyName: string;
-	SourceArrayIndex: number;
-	DestProperty: Property;
-	DestArrayIndex: number;
-	Size: number;
-	bInstanceIsTarget: boolean;
-	PostCopyOperation: EPostCopyOperation;
-	CopyType: ECopyType;
-	CachedSourceProperty: Property;
-	CachedSourceStructSubProperty: Property;
-	clone() : ExposedValueCopyRecord;
-	static C(Other: UObject | any): ExposedValueCopyRecord;
-}
-
-declare class ExposedValueHandler { 
-	BoundFunction: string;
-	CopyRecords: ExposedValueCopyRecord[];
-	UFunction: UFunction;
-	clone() : ExposedValueHandler;
-	static C(Other: UObject | any): ExposedValueHandler;
-}
-
-declare class AnimNode_Base { 
-	EvaluateGraphExposedInputs: ExposedValueHandler;
-	clone() : AnimNode_Base;
-	static C(Other: UObject | any): AnimNode_Base;
-}
-
-declare class PoseLinkBase { 
-	LinkID: number;
-	SourceLinkID: number;
-	clone() : PoseLinkBase;
-	static C(Other: UObject | any): PoseLinkBase;
-}
-
-declare class PoseLink extends PoseLinkBase { 
-	clone() : PoseLink;
-	static C(Other: UObject | any): PoseLink;
-}
-
-declare class AnimNode_Root extends AnimNode_Base { 
-	Result: PoseLink;
-	clone() : AnimNode_Root;
-	static C(Other: UObject | any): AnimNode_Root;
-}
-
-declare class AnimGraphNode_Root extends AnimGraphNode_Base { 
-	UNode: AnimNode_Root;
-	static Load(ResourceName: string): AnimGraphNode_Root;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Root;
-	static GetDefaultObject(): AnimGraphNode_Root;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Root;
-	static C(Other: UObject | any): AnimGraphNode_Root;
-}
-
-declare class AnimGraphNode_CustomTransitionResult extends AnimGraphNode_Root { 
-	static Load(ResourceName: string): AnimGraphNode_CustomTransitionResult;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CustomTransitionResult;
-	static GetDefaultObject(): AnimGraphNode_CustomTransitionResult;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CustomTransitionResult;
-	static C(Other: UObject | any): AnimGraphNode_CustomTransitionResult;
-}
-
-declare class AnimationCustomTransitionGraph extends AnimationGraph { 
-	MyResultNode: AnimGraphNode_CustomTransitionResult;
-	static Load(ResourceName: string): AnimationCustomTransitionGraph;
-	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionGraph;
-	static GetDefaultObject(): AnimationCustomTransitionGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionGraph;
-	static C(Other: UObject | any): AnimationCustomTransitionGraph;
-}
-
-declare class AnimationGraphSchema extends EdGraphSchema_K2 { 
-	PN_SequenceName: string;
-	NAME_NeverAsPin: string;
-	NAME_PinHiddenByDefault: string;
-	NAME_PinShownByDefault: string;
-	NAME_AlwaysAsPin: string;
-	NAME_CustomizeProperty: string;
-	NAME_OnEvaluate: string;
-	DefaultEvaluationHandlerName: string;
-	static Load(ResourceName: string): AnimationGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationGraphSchema;
-	static GetDefaultObject(): AnimationGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraphSchema;
-	static C(Other: UObject | any): AnimationGraphSchema;
-}
-
-declare class AnimationCustomTransitionSchema extends AnimationGraphSchema { 
-	static Load(ResourceName: string): AnimationCustomTransitionSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionSchema;
-	static GetDefaultObject(): AnimationCustomTransitionSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionSchema;
-	static C(Other: UObject | any): AnimationCustomTransitionSchema;
-}
-
-declare class AnimGraphNode_StateResult extends AnimGraphNode_Root { 
-	static Load(ResourceName: string): AnimGraphNode_StateResult;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateResult;
-	static GetDefaultObject(): AnimGraphNode_StateResult;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateResult;
-	static C(Other: UObject | any): AnimGraphNode_StateResult;
-}
-
-declare class AnimationStateGraph extends AnimationGraph { 
-	MyResultNode: AnimGraphNode_StateResult;
-	static Load(ResourceName: string): AnimationStateGraph;
-	static Find(Outer: UObject, ResourceName: string): AnimationStateGraph;
-	static GetDefaultObject(): AnimationStateGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraph;
-	static C(Other: UObject | any): AnimationStateGraph;
+declare class NavFilter_AIControllerDefault extends NavigationQueryFilter { 
+	static Load(ResourceName: string): NavFilter_AIControllerDefault;
+	static Find(Outer: UObject, ResourceName: string): NavFilter_AIControllerDefault;
+	static GetDefaultObject(): NavFilter_AIControllerDefault;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavFilter_AIControllerDefault;
+	static C(Other: UObject | any): NavFilter_AIControllerDefault;
 }
 
-declare class AnimationStateGraphSchema extends AnimationGraphSchema { 
-	static Load(ResourceName: string): AnimationStateGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationStateGraphSchema;
-	static GetDefaultObject(): AnimationStateGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraphSchema;
-	static C(Other: UObject | any): AnimationStateGraphSchema;
-}
-
-declare class AnimStateEntryNode extends EdGraphNode { 
-	static Load(ResourceName: string): AnimStateEntryNode;
-	static Find(Outer: UObject, ResourceName: string): AnimStateEntryNode;
-	static GetDefaultObject(): AnimStateEntryNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateEntryNode;
-	static C(Other: UObject | any): AnimStateEntryNode;
+declare type ENavLinkDirection = 'BothWays' | 'LeftToRight' | 'RightToLeft' | 'ENavLinkDirection_MAX';
+declare var ENavLinkDirection : { BothWays:'BothWays',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',ENavLinkDirection_MAX:'ENavLinkDirection_MAX', };
+declare class NavigationLinkBase { 
+	LeftProjectHeight: number;
+	MaxFallDownLength: number;
+	Direction: ENavLinkDirection;
+	SnapRadius: number;
+	SnapHeight: number;
+	SupportedAgents: NavAgentSelector;
+	bSupportsAgent0: boolean;
+	bSupportsAgent1: boolean;
+	bSupportsAgent2: boolean;
+	bSupportsAgent3: boolean;
+	bSupportsAgent4: boolean;
+	bSupportsAgent5: boolean;
+	bSupportsAgent6: boolean;
+	bSupportsAgent7: boolean;
+	bSupportsAgent8: boolean;
+	bSupportsAgent9: boolean;
+	bSupportsAgent10: boolean;
+	bSupportsAgent11: boolean;
+	bSupportsAgent12: boolean;
+	bSupportsAgent13: boolean;
+	bSupportsAgent14: boolean;
+	bSupportsAgent15: boolean;
+	Description: string;
+	bUseSnapHeight: boolean;
+	bSnapToCheapestArea: boolean;
+	bCustomFlag0: boolean;
+	bCustomFlag1: boolean;
+	bCustomFlag2: boolean;
+	bCustomFlag3: boolean;
+	bCustomFlag4: boolean;
+	bCustomFlag5: boolean;
+	bCustomFlag6: boolean;
+	bCustomFlag7: boolean;
+	AreaClass: UnrealEngineClass;
+	clone() : NavigationLinkBase;
+	static C(Other: UObject | any): NavigationLinkBase;
+}
+
+declare class NavigationLink extends NavigationLinkBase { 
+	Left: Vector;
+	Right: Vector;
+	clone() : NavigationLink;
+	static C(Other: UObject | any): NavigationLink;
+}
+
+declare class NavigationSegmentLink extends NavigationLinkBase { 
+	LeftStart: Vector;
+	LeftEnd: Vector;
+	RightStart: Vector;
+	RightEnd: Vector;
+	clone() : NavigationSegmentLink;
+	static C(Other: UObject | any): NavigationSegmentLink;
+}
+
+declare class NavRelevantComponent extends ActorComponent { 
+	bAttachToOwnersRoot: boolean;
+	CachedNavParent: UObject;
+	static Load(ResourceName: string): NavRelevantComponent;
+	static Find(Outer: UObject, ResourceName: string): NavRelevantComponent;
+	static GetDefaultObject(): NavRelevantComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavRelevantComponent;
+	SetNavigationRelevancy(bRelevant: boolean): void;
+	static C(Other: UObject | any): NavRelevantComponent;
+}
+
+declare class NavLinkCustomComponent extends NavRelevantComponent { 
+	NavLinkUserId: any;
+	EnabledAreaClass: UnrealEngineClass;
+	DisabledAreaClass: UnrealEngineClass;
+	LinkRelativeStart: Vector;
+	LinkRelativeEnd: Vector;
+	LinkDirection: ENavLinkDirection;
+	bLinkEnabled: boolean;
+	bNotifyWhenEnabled: boolean;
+	bNotifyWhenDisabled: boolean;
+	bCreateBoxObstacle: boolean;
+	ObstacleOffset: Vector;
+	ObstacleExtent: Vector;
+	ObstacleAreaClass: UnrealEngineClass;
+	BroadcastRadius: number;
+	BroadcastInterval: number;
+	BroadcastChannel: ECollisionChannel;
+	static Load(ResourceName: string): NavLinkCustomComponent;
+	static Find(Outer: UObject, ResourceName: string): NavLinkCustomComponent;
+	static GetDefaultObject(): NavLinkCustomComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkCustomComponent;
+	static C(Other: UObject | any): NavLinkCustomComponent;
 }
 
diff --git a/Content/Scripts/typings/_part_1_ue.d.ts b/Content/Scripts/typings/_part_1_ue.d.ts
index 5310d45..c8d18c3 100644
--- a/Content/Scripts/typings/_part_1_ue.d.ts
+++ b/Content/Scripts/typings/_part_1_ue.d.ts
@@ -1,20152 +1,20243 @@
-declare class AnimGraphNode_StateMachineBase extends AnimGraphNode_Base { 
-	EditorStateMachineGraph: AnimationStateMachineGraph;
-	static Load(ResourceName: string): AnimGraphNode_StateMachineBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachineBase;
-	static GetDefaultObject(): AnimGraphNode_StateMachineBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachineBase;
-	static C(Other: UObject | any): AnimGraphNode_StateMachineBase;
+declare class NavLinkRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): NavLinkRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): NavLinkRenderingComponent;
+	static GetDefaultObject(): NavLinkRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkRenderingComponent;
+	static C(Other: UObject | any): NavLinkRenderingComponent;
 }
 
-declare class AnimationStateMachineGraph extends EdGraph { 
-	EntryNode: AnimStateEntryNode;
-	OwnerAnimGraphNode: AnimGraphNode_StateMachineBase;
-	static Load(ResourceName: string): AnimationStateMachineGraph;
-	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineGraph;
-	static GetDefaultObject(): AnimationStateMachineGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineGraph;
-	static C(Other: UObject | any): AnimationStateMachineGraph;
+declare class NavLinkProxy extends Actor { 
+	PointLinks: NavigationLink[];
+	SegmentLinks: NavigationSegmentLink[];
+	SmartLinkComp: NavLinkCustomComponent;
+	bSmartLinkIsRelevant: boolean;
+	EdRenderComp: NavLinkRenderingComponent;
+	SpriteComponent: BillboardComponent;
+	OnSmartLinkReached: UnrealEngineMulticastDelegate<(MovingActor: Actor, DestinationPoint: Vector) => void>;
+	static GetDefaultObject(): NavLinkProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkProxy;
+	SetSmartLinkEnabled(bEnabled: boolean): void;
+	ResumePathFollowing(Agent: Actor): void;
+	ReceiveSmartLinkReached(Agent: Actor,Destination: Vector): void;
+	IsSmartLinkEnabled(): boolean;
+	HasMovingAgents(): boolean;
+	static C(Other: UObject | any): NavLinkProxy;
 }
 
-declare class AnimationStateMachineSchema extends EdGraphSchema { 
-	static Load(ResourceName: string): AnimationStateMachineSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineSchema;
-	static GetDefaultObject(): AnimationStateMachineSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineSchema;
-	static C(Other: UObject | any): AnimationStateMachineSchema;
+declare class PathFollowingManager extends UObject { 
+	static Load(ResourceName: string): PathFollowingManager;
+	static Find(Outer: UObject, ResourceName: string): PathFollowingManager;
+	static GetDefaultObject(): PathFollowingManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PathFollowingManager;
+	static C(Other: UObject | any): PathFollowingManager;
 }
 
-declare class AnimNode_TransitionResult extends AnimNode_Base { 
-	bCanEnterTransition: boolean;
-	clone() : AnimNode_TransitionResult;
-	static C(Other: UObject | any): AnimNode_TransitionResult;
+declare class PawnAction_BlueprintBase extends PawnAction { 
+	static Load(ResourceName: string): PawnAction_BlueprintBase;
+	static Find(Outer: UObject, ResourceName: string): PawnAction_BlueprintBase;
+	static GetDefaultObject(): PawnAction_BlueprintBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_BlueprintBase;
+	ActionTick(ControlledPawn: Pawn,DeltaSeconds: number): void;
+	ActionStart(ControlledPawn: Pawn): void;
+	ActionResume(ControlledPawn: Pawn): void;
+	ActionPause(ControlledPawn: Pawn): void;
+	ActionFinished(ControlledPawn: Pawn,WithResult: EPawnActionResult): void;
+	static C(Other: UObject | any): PawnAction_BlueprintBase;
 }
 
-declare class AnimGraphNode_TransitionResult extends AnimGraphNode_Base { 
-	UNode: AnimNode_TransitionResult;
-	static Load(ResourceName: string): AnimGraphNode_TransitionResult;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionResult;
-	static GetDefaultObject(): AnimGraphNode_TransitionResult;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionResult;
-	static C(Other: UObject | any): AnimGraphNode_TransitionResult;
+declare class PawnAction_Move extends PawnAction { 
+	GoalActor: Actor;
+	GoalLocation: Vector;
+	AcceptableRadius: number;
+	FilterClass: UnrealEngineClass;
+	bAllowStrafe: boolean;
+	bFinishOnOverlap: boolean;
+	bUsePathfinding: boolean;
+	bAllowPartialPath: boolean;
+	bProjectGoalToNavigation: boolean;
+	bUpdatePathToGoal: boolean;
+	bAbortChildActionOnPathChange: boolean;
+	static Load(ResourceName: string): PawnAction_Move;
+	static Find(Outer: UObject, ResourceName: string): PawnAction_Move;
+	static GetDefaultObject(): PawnAction_Move;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Move;
+	static C(Other: UObject | any): PawnAction_Move;
+}
+
+declare type EPawnActionFailHandling = 'RequireSuccess' | 'IgnoreFailure' | 'EPawnActionFailHandling_MAX';
+declare var EPawnActionFailHandling : { RequireSuccess:'RequireSuccess',IgnoreFailure:'IgnoreFailure',EPawnActionFailHandling_MAX:'EPawnActionFailHandling_MAX', };
+declare class PawnAction_Repeat extends PawnAction { 
+	ActionToRepeat: PawnAction;
+	RecentActionCopy: PawnAction;
+	ChildFailureHandlingMode: EPawnActionFailHandling;
+	static Load(ResourceName: string): PawnAction_Repeat;
+	static Find(Outer: UObject, ResourceName: string): PawnAction_Repeat;
+	static GetDefaultObject(): PawnAction_Repeat;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Repeat;
+	static C(Other: UObject | any): PawnAction_Repeat;
+}
+
+declare class PawnAction_Sequence extends PawnAction { 
+	ActionSequence: PawnAction[];
+	ChildFailureHandlingMode: EPawnActionFailHandling;
+	RecentActionCopy: PawnAction;
+	static Load(ResourceName: string): PawnAction_Sequence;
+	static Find(Outer: UObject, ResourceName: string): PawnAction_Sequence;
+	static GetDefaultObject(): PawnAction_Sequence;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Sequence;
+	static C(Other: UObject | any): PawnAction_Sequence;
+}
+
+declare class PawnAction_Wait extends PawnAction { 
+	TimeToWait: number;
+	static Load(ResourceName: string): PawnAction_Wait;
+	static Find(Outer: UObject, ResourceName: string): PawnAction_Wait;
+	static GetDefaultObject(): PawnAction_Wait;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnAction_Wait;
+	static C(Other: UObject | any): PawnAction_Wait;
+}
+
+declare class PawnSensingComponent extends ActorComponent { 
+	HearingThreshold: number;
+	LOSHearingThreshold: number;
+	SightRadius: number;
+	SensingInterval: number;
+	HearingMaxSoundAge: number;
+	bEnableSensingUpdates: boolean;
+	bOnlySensePlayers: boolean;
+	bSeePawns: boolean;
+	bHearNoises: boolean;
+	OnSeePawn: UnrealEngineMulticastDelegate<(Pawn: Pawn) => void>;
+	OnHearNoise: UnrealEngineMulticastDelegate<(Instigator: Pawn, Location: Vector, Volume: number) => void>;
+	PeripheralVisionAngle: number;
+	PeripheralVisionCosine: number;
+	static Load(ResourceName: string): PawnSensingComponent;
+	static Find(Outer: UObject, ResourceName: string): PawnSensingComponent;
+	static GetDefaultObject(): PawnSensingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnSensingComponent;
+	SetSensingUpdatesEnabled(bEnabled: boolean): void;
+	SetSensingInterval(NewSensingInterval: number): void;
+	SetPeripheralVisionAngle(NewPeripheralVisionAngle: number): void;
+	GetPeripheralVisionCosine(): number;
+	GetPeripheralVisionAngle(): number;
+	static C(Other: UObject | any): PawnSensingComponent;
+}
+
+declare class VisualLoggerExtension extends UObject { 
+	static Load(ResourceName: string): VisualLoggerExtension;
+	static Find(Outer: UObject, ResourceName: string): VisualLoggerExtension;
+	static GetDefaultObject(): VisualLoggerExtension;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerExtension;
+	static C(Other: UObject | any): VisualLoggerExtension;
 }
 
-declare class AnimationTransitionGraph extends AnimationGraph { 
-	MyResultNode: AnimGraphNode_TransitionResult;
-	static Load(ResourceName: string): AnimationTransitionGraph;
-	static Find(Outer: UObject, ResourceName: string): AnimationTransitionGraph;
-	static GetDefaultObject(): AnimationTransitionGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionGraph;
-	static C(Other: UObject | any): AnimationTransitionGraph;
+declare class AbstractNavData extends NavigationData { 
+	static GetDefaultObject(): AbstractNavData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AbstractNavData;
+	static C(Other: UObject | any): AbstractNavData;
 }
 
-declare class AnimationTransitionSchema extends EdGraphSchema_K2 { 
-	static Load(ResourceName: string): AnimationTransitionSchema;
-	static Find(Outer: UObject, ResourceName: string): AnimationTransitionSchema;
-	static GetDefaultObject(): AnimationTransitionSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionSchema;
-	static C(Other: UObject | any): AnimationTransitionSchema;
+declare class NavArea_Default extends NavArea { 
+	static Load(ResourceName: string): NavArea_Default;
+	static Find(Outer: UObject, ResourceName: string): NavArea_Default;
+	static GetDefaultObject(): NavArea_Default;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Default;
+	static C(Other: UObject | any): NavArea_Default;
 }
 
-declare class AnimBlueprintPostCompileValidation extends UObject { 
-	static Load(ResourceName: string): AnimBlueprintPostCompileValidation;
-	static Find(Outer: UObject, ResourceName: string): AnimBlueprintPostCompileValidation;
-	static GetDefaultObject(): AnimBlueprintPostCompileValidation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintPostCompileValidation;
-	static C(Other: UObject | any): AnimBlueprintPostCompileValidation;
+declare class NavArea_LowHeight extends NavArea { 
+	static Load(ResourceName: string): NavArea_LowHeight;
+	static Find(Outer: UObject, ResourceName: string): NavArea_LowHeight;
+	static GetDefaultObject(): NavArea_LowHeight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_LowHeight;
+	static C(Other: UObject | any): NavArea_LowHeight;
 }
 
-declare type EAnimGroupRole = 'CanBeLeader' | 'AlwaysFollower' | 'AlwaysLeader' | 'TransitionLeader' | 'TransitionFollower' | 'EAnimGroupRole_MAX';
-declare var EAnimGroupRole : { CanBeLeader:'CanBeLeader',AlwaysFollower:'AlwaysFollower',AlwaysLeader:'AlwaysLeader',TransitionLeader:'TransitionLeader',TransitionFollower:'TransitionFollower',EAnimGroupRole_MAX:'EAnimGroupRole_MAX', };
-declare class AnimationGroupReference { 
-	GroupName: string;
-	GroupRole: EAnimGroupRole;
-	clone() : AnimationGroupReference;
-	static C(Other: UObject | any): AnimationGroupReference;
+declare class NavArea_Null extends NavArea { 
+	static Load(ResourceName: string): NavArea_Null;
+	static Find(Outer: UObject, ResourceName: string): NavArea_Null;
+	static GetDefaultObject(): NavArea_Null;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Null;
+	static C(Other: UObject | any): NavArea_Null;
 }
 
-declare class AnimGraphNode_AssetPlayerBase extends AnimGraphNode_Base { 
-	SyncGroup: AnimationGroupReference;
-	static Load(ResourceName: string): AnimGraphNode_AssetPlayerBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AssetPlayerBase;
-	static GetDefaultObject(): AnimGraphNode_AssetPlayerBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AssetPlayerBase;
-	static C(Other: UObject | any): AnimGraphNode_AssetPlayerBase;
+declare class NavArea_Obstacle extends NavArea { 
+	static Load(ResourceName: string): NavArea_Obstacle;
+	static Find(Outer: UObject, ResourceName: string): NavArea_Obstacle;
+	static GetDefaultObject(): NavArea_Obstacle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Obstacle;
+	static C(Other: UObject | any): NavArea_Obstacle;
 }
 
-declare class AnimGraphNode_BlendSpaceBase extends AnimGraphNode_AssetPlayerBase { 
-	static Load(ResourceName: string): AnimGraphNode_BlendSpaceBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceBase;
-	static GetDefaultObject(): AnimGraphNode_BlendSpaceBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceBase;
-	static C(Other: UObject | any): AnimGraphNode_BlendSpaceBase;
+declare class NavAreaMeta extends NavArea { 
+	static Load(ResourceName: string): NavAreaMeta;
+	static Find(Outer: UObject, ResourceName: string): NavAreaMeta;
+	static GetDefaultObject(): NavAreaMeta;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAreaMeta;
+	static C(Other: UObject | any): NavAreaMeta;
 }
 
-declare class AnimNode_AssetPlayerBase extends AnimNode_Base { 
-	bIgnoreForRelevancyTest: boolean;
-	GroupIndex: number;
-	GroupRole: EAnimGroupRole;
-	BlendWeight: number;
-	InternalTimeAccumulator: number;
-	clone() : AnimNode_AssetPlayerBase;
-	static C(Other: UObject | any): AnimNode_AssetPlayerBase;
+declare class NavAreaMeta_SwitchByAgent extends NavAreaMeta { 
+	Agent0Area: UnrealEngineClass;
+	Agent1Area: UnrealEngineClass;
+	Agent2Area: UnrealEngineClass;
+	Agent3Area: UnrealEngineClass;
+	Agent4Area: UnrealEngineClass;
+	Agent5Area: UnrealEngineClass;
+	Agent6Area: UnrealEngineClass;
+	Agent7Area: UnrealEngineClass;
+	Agent8Area: UnrealEngineClass;
+	Agent9Area: UnrealEngineClass;
+	Agent10Area: UnrealEngineClass;
+	Agent11Area: UnrealEngineClass;
+	Agent12Area: UnrealEngineClass;
+	Agent13Area: UnrealEngineClass;
+	Agent14Area: UnrealEngineClass;
+	Agent15Area: UnrealEngineClass;
+	static Load(ResourceName: string): NavAreaMeta_SwitchByAgent;
+	static Find(Outer: UObject, ResourceName: string): NavAreaMeta_SwitchByAgent;
+	static GetDefaultObject(): NavAreaMeta_SwitchByAgent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAreaMeta_SwitchByAgent;
+	static C(Other: UObject | any): NavAreaMeta_SwitchByAgent;
 }
 
-declare type EFilterInterpolationType = 'BSIT_Average' | 'BSIT_Linear' | 'BSIT_Cubic' | 'BSIT_MAX';
-declare var EFilterInterpolationType : { BSIT_Average:'BSIT_Average',BSIT_Linear:'BSIT_Linear',BSIT_Cubic:'BSIT_Cubic',BSIT_MAX:'BSIT_MAX', };
-declare class InterpolationParameter { 
-	InterpolationTime: number;
-	InterpolationType: EFilterInterpolationType;
-	clone() : InterpolationParameter;
-	static C(Other: UObject | any): InterpolationParameter;
+declare class NavCollisionCylinder { 
+	Offset: Vector;
+	Radius: number;
+	Height: number;
+	clone() : NavCollisionCylinder;
+	static C(Other: UObject | any): NavCollisionCylinder;
 }
 
-declare type ENotifyTriggerMode = 'AllAnimations' | 'HighestWeightedAnimation' | 'None' | 'ENotifyTriggerMode_MAX';
-declare var ENotifyTriggerMode : { AllAnimations:'AllAnimations',HighestWeightedAnimation:'HighestWeightedAnimation',None:'None',ENotifyTriggerMode_MAX:'ENotifyTriggerMode_MAX', };
-declare class PerBoneInterpolation { 
-	BoneReference: BoneReference;
-	InterpolationSpeedPerSec: number;
-	clone() : PerBoneInterpolation;
-	static C(Other: UObject | any): PerBoneInterpolation;
+declare class NavCollisionBox { 
+	Offset: Vector;
+	Extent: Vector;
+	clone() : NavCollisionBox;
+	static C(Other: UObject | any): NavCollisionBox;
 }
 
-declare class BlendSample { 
-	Animation: AnimSequence;
-	SampleValue: Vector;
-	RateScale: number;
-	bIsValid: boolean;
-	clone() : BlendSample;
-	static C(Other: UObject | any): BlendSample;
+declare class NavCollision extends NavCollisionBase { 
+	CylinderCollision: NavCollisionCylinder[];
+	BoxCollision: NavCollisionBox[];
+	AreaClass: UnrealEngineClass;
+	bGatherConvexGeometry: boolean;
+	bCreateOnClient: boolean;
+	static Load(ResourceName: string): NavCollision;
+	static Find(Outer: UObject, ResourceName: string): NavCollision;
+	static GetDefaultObject(): NavCollision;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavCollision;
+	static C(Other: UObject | any): NavCollision;
 }
 
-declare class EditorElement { 
-	Indices: number;
-	Weights: number;
-	clone() : EditorElement;
-	static C(Other: UObject | any): EditorElement;
+declare class NavigationGraph extends NavigationData { 
+	static GetDefaultObject(): NavigationGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraph;
+	static C(Other: UObject | any): NavigationGraph;
 }
 
-declare class BlendParameter { 
-	DisplayName: string;
-	Min: number;
-	Max: number;
-	GridNum: number;
-	clone() : BlendParameter;
-	static C(Other: UObject | any): BlendParameter;
+declare class NavigationGraphNode extends Actor { 
+	static GetDefaultObject(): NavigationGraphNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraphNode;
+	static C(Other: UObject | any): NavigationGraphNode;
 }
 
-declare class BlendSpaceBase extends AnimationAsset { 
-	bRotationBlendInMeshSpace: boolean;
-	PreviewBasePose: AnimSequence;
-	AnimLength: number;
-	InterpolationParam: InterpolationParameter;
-	TargetWeightInterpolationSpeedPerSec: number;
-	NotifyTriggerMode: ENotifyTriggerMode;
-	PerBoneBlend: PerBoneInterpolation[];
-	SampleIndexWithMarkers: number;
-	SampleData: BlendSample[];
-	GridSamples: EditorElement[];
-	BlendParameters: BlendParameter;
-	static Load(ResourceName: string): BlendSpaceBase;
-	static Find(Outer: UObject, ResourceName: string): BlendSpaceBase;
-	static GetDefaultObject(): BlendSpaceBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceBase;
-	static C(Other: UObject | any): BlendSpaceBase;
+declare class NavGraphNode { 
+	Owner: UObject;
+	clone() : NavGraphNode;
+	static C(Other: UObject | any): NavGraphNode;
 }
 
-declare class BlendFilter { 
-	clone() : BlendFilter;
-	static C(Other: UObject | any): BlendFilter;
+declare class NavigationGraphNodeComponent extends SceneComponent { 
+	UNode: NavGraphNode;
+	NextNodeComponent: NavigationGraphNodeComponent;
+	PrevNodeComponent: NavigationGraphNodeComponent;
+	static Load(ResourceName: string): NavigationGraphNodeComponent;
+	static Find(Outer: UObject, ResourceName: string): NavigationGraphNodeComponent;
+	static GetDefaultObject(): NavigationGraphNodeComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraphNodeComponent;
+	static C(Other: UObject | any): NavigationGraphNodeComponent;
 }
 
-declare class BlendSampleData { 
-	SampleDataIndex: number;
-	Animation: AnimSequence;
-	TotalWeight: number;
-	Time: number;
-	PreviousTime: number;
-	SamplePlayRate: number;
-	clone() : BlendSampleData;
-	static C(Other: UObject | any): BlendSampleData;
+declare class NavigationInvokerComponent extends ActorComponent { 
+	TileGenerationRadius: number;
+	TileRemovalRadius: number;
+	static Load(ResourceName: string): NavigationInvokerComponent;
+	static Find(Outer: UObject, ResourceName: string): NavigationInvokerComponent;
+	static GetDefaultObject(): NavigationInvokerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationInvokerComponent;
+	static C(Other: UObject | any): NavigationInvokerComponent;
 }
 
-declare class AnimNode_BlendSpacePlayer extends AnimNode_AssetPlayerBase { 
-	X: number;
-	Y: number;
-	Z: number;
-	PlayRate: number;
-	bLoop: boolean;
-	StartPosition: number;
-	BlendSpace: BlendSpaceBase;
-	bResetPlayTimeWhenBlendSpaceChanges: boolean;
-	BlendFilter: BlendFilter;
-	BlendSampleDataCache: BlendSampleData[];
-	PreviousBlendSpace: BlendSpaceBase;
-	clone() : AnimNode_BlendSpacePlayer;
-	static C(Other: UObject | any): AnimNode_BlendSpacePlayer;
+declare class NavigationPathGenerator extends Interface { 
+	static Load(ResourceName: string): NavigationPathGenerator;
+	static Find(Outer: UObject, ResourceName: string): NavigationPathGenerator;
+	static GetDefaultObject(): NavigationPathGenerator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationPathGenerator;
+	static C(Other: UObject | any): NavigationPathGenerator;
 }
 
-declare class AnimNode_AimOffsetLookAt extends AnimNode_BlendSpacePlayer { 
-	BasePose: PoseLink;
-	LODThreshold: number;
-	bIsLODEnabled: boolean;
-	LookAtLocation: Vector;
-	SourceSocketName: string;
-	PivotSocketName: string;
-	SocketAxis: Vector;
-	Alpha: number;
-	SocketBoneReference: BoneReference;
-	SocketLocalTransform: Transform;
-	PivotSocketBoneReference: BoneReference;
-	PivotSocketLocalTransform: Transform;
-	clone() : AnimNode_AimOffsetLookAt;
-	static C(Other: UObject | any): AnimNode_AimOffsetLookAt;
+declare type ENavDataGatheringModeConfig = 'Invalid' | 'Instant' | 'Lazy' | 'ENavDataGatheringModeConfig_MAX';
+declare var ENavDataGatheringModeConfig : { Invalid:'Invalid',Instant:'Instant',Lazy:'Lazy',ENavDataGatheringModeConfig_MAX:'ENavDataGatheringModeConfig_MAX', };
+declare type FNavigationSystemRunMode = 'InvalidMode' | 'GameMode' | 'EditorMode' | 'SimulationMode' | 'PIEMode' | 'FNavigationSystemRunMode_MAX';
+declare var FNavigationSystemRunMode : { InvalidMode:'InvalidMode',GameMode:'GameMode',EditorMode:'EditorMode',SimulationMode:'SimulationMode',PIEMode:'PIEMode',FNavigationSystemRunMode_MAX:'FNavigationSystemRunMode_MAX', };
+declare class NavMeshBoundsVolume extends Volume { 
+	SupportedAgents: NavAgentSelector;
+	static GetDefaultObject(): NavMeshBoundsVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMeshBoundsVolume;
+	static C(Other: UObject | any): NavMeshBoundsVolume;
+}
+
+declare type ENavigationQueryResult = 'Invalid' | 'Error' | 'Fail' | 'Success' | 'ENavigationQueryResult_MAX';
+declare var ENavigationQueryResult : { Invalid:'Invalid',Error:'Error',Fail:'Fail',Success:'Success',ENavigationQueryResult_MAX:'ENavigationQueryResult_MAX', };
+declare class NavigationSystemV1 extends NavigationSystemBase { 
+	MainNavData: NavigationData;
+	AbstractNavData: NavigationData;
+	CrowdManagerClass: Class;
+	bAutoCreateNavigationData: boolean;
+	bSpawnNavDataInNavBoundsLevel: boolean;
+	bAllowClientSideNavigation: boolean;
+	bShouldDiscardSubLevelNavData: boolean;
+	bTickWhilePaused: boolean;
+	bSupportRebuilding: boolean;
+	bInitialBuildingLocked: boolean;
+	bSkipAgentHeightCheckWhenPickingNavData: boolean;
+	DataGatheringMode: ENavDataGatheringModeConfig;
+	bGenerateNavigationOnlyAroundNavigationInvokers: boolean;
+	ActiveTilesUpdateInterval: number;
+	SupportedAgents: NavDataConfig[];
+	DirtyAreasUpdateFreq: number;
+	NavDataSet: NavigationData[];
+	NavDataRegistrationQueue: NavigationData[];
+	OnNavDataRegisteredEvent: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
+	OnNavigationGenerationFinishedDelegate: UnrealEngineMulticastDelegate<(NavData: NavigationData) => void>;
+	OperationMode: FNavigationSystemRunMode;
+	static Load(ResourceName: string): NavigationSystemV1;
+	static Find(Outer: UObject, ResourceName: string): NavigationSystemV1;
+	static GetDefaultObject(): NavigationSystemV1;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystemV1;
+	UnregisterNavigationInvoker(Invoker: Actor): void;
+	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
+	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
+	SetMaxSimultaneousTileGenerationJobsCount(MaxNumberOfJobs: number): void;
+	SetGeometryGatheringMode(NewMode: ENavDataGatheringModeConfig): void;
+	ResetMaxSimultaneousTileGenerationJobsCount(): void;
+	RegisterNavigationInvoker(Invoker: Actor,TileGenerationRadius: number,TileRemovalRadius: number): void;
+	static ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,NavData: NavigationData,FilterClass: UnrealEngineClass,QueryExtent: Vector): Vector;
+	OnNavigationBoundsUpdated(NavVolume: NavMeshBoundsVolume): void;
+	static NavigationRaycast(WorldContextObject: UObject,RayStart: Vector,RayEnd: Vector,HitLocation?: Vector,FilterClass?: UnrealEngineClass,Querier?: Controller): {HitLocation: Vector, $: boolean};
+	static K2_ProjectPointToNavigation(WorldContextObject: UObject,Point: Vector,ProjectedLocation?: Vector,NavData?: NavigationData,FilterClass?: UnrealEngineClass,QueryExtent?: Vector): {ProjectedLocation: Vector, $: boolean};
+	static K2_GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
+	static K2_GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,RandomLocation?: Vector,Radius?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {RandomLocation: Vector, $: boolean};
+	static IsNavigationBeingBuiltOrLocked(WorldContextObject: UObject): boolean;
+	static IsNavigationBeingBuilt(WorldContextObject: UObject): boolean;
+	static GetRandomReachablePointInRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
+	static GetRandomPointInNavigableRadius(WorldContextObject: UObject,Origin: Vector,Radius: number,NavData: NavigationData,FilterClass: UnrealEngineClass): Vector;
+	static GetPathLength(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathLength?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathLength: number, $: ENavigationQueryResult};
+	static GetPathCost(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathCost?: number,NavData?: NavigationData,FilterClass?: UnrealEngineClass): {PathCost: number, $: ENavigationQueryResult};
+	static GetNavigationSystem(WorldContextObject: UObject): NavigationSystemV1;
+	static FindPathToLocationSynchronously(WorldContextObject: UObject,PathStart: Vector,PathEnd: Vector,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
+	static FindPathToActorSynchronously(WorldContextObject: UObject,PathStart: Vector,GoalActor: Actor,TetherDistance: number,PathfindingContext: Actor,FilterClass: UnrealEngineClass): NavigationPath;
+	static C(Other: UObject | any): NavigationSystemV1;
+}
+
+declare class NavigationSystemModuleConfig extends NavigationSystemConfig { 
+	bStrictlyStatic: boolean;
+	bCreateOnClient: boolean;
+	bAutoSpawnMissingNavData: boolean;
+	bSpawnNavDataInNavBoundsLevel: boolean;
+	static Load(ResourceName: string): NavigationSystemModuleConfig;
+	static Find(Outer: UObject, ResourceName: string): NavigationSystemModuleConfig;
+	static GetDefaultObject(): NavigationSystemModuleConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystemModuleConfig;
+	static C(Other: UObject | any): NavigationSystemModuleConfig;
 }
 
-declare class AnimGraphNode_AimOffsetLookAt extends AnimGraphNode_BlendSpaceBase { 
-	UNode: AnimNode_AimOffsetLookAt;
-	static Load(ResourceName: string): AnimGraphNode_AimOffsetLookAt;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AimOffsetLookAt;
-	static GetDefaultObject(): AnimGraphNode_AimOffsetLookAt;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AimOffsetLookAt;
-	static C(Other: UObject | any): AnimGraphNode_AimOffsetLookAt;
+declare class NavTestRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): NavTestRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): NavTestRenderingComponent;
+	static GetDefaultObject(): NavTestRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavTestRenderingComponent;
+	static C(Other: UObject | any): NavTestRenderingComponent;
 }
 
-declare class AnimGraphNode_SkeletalControlBase extends AnimGraphNode_Base { 
-	static Load(ResourceName: string): AnimGraphNode_SkeletalControlBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SkeletalControlBase;
-	static GetDefaultObject(): AnimGraphNode_SkeletalControlBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SkeletalControlBase;
-	static C(Other: UObject | any): AnimGraphNode_SkeletalControlBase;
+declare type ENavCostDisplay = 'TotalCost' | 'HeuristicOnly' | 'RealCostOnly' | 'ENavCostDisplay_MAX';
+declare var ENavCostDisplay : { TotalCost:'TotalCost',HeuristicOnly:'HeuristicOnly',RealCostOnly:'RealCostOnly',ENavCostDisplay_MAX:'ENavCostDisplay_MAX', };
+declare class NavigationTestingActor extends Actor { 
+	CapsuleComponent: CapsuleComponent;
+	EdRenderComp: NavTestRenderingComponent;
+	InvokerComponent: NavigationInvokerComponent;
+	bActAsNavigationInvoker: boolean;
+	NavAgentProps: NavAgentProperties;
+	QueryingExtent: Vector;
+	MyNavData: NavigationData;
+	ProjectedLocation: Vector;
+	bProjectedLocationValid: boolean;
+	bSearchStart: boolean;
+	bBacktracking: boolean;
+	bUseHierarchicalPathfinding: boolean;
+	bGatherDetailedInfo: boolean;
+	bDrawDistanceToWall: boolean;
+	bShowNodePool: boolean;
+	bShowBestPath: boolean;
+	bShowDiffWithPreviousStep: boolean;
+	bShouldBeVisibleInGame: boolean;
+	CostDisplayMode: ENavCostDisplay;
+	TextCanvasOffset: Vector2D;
+	bPathExist: boolean;
+	bPathIsPartial: boolean;
+	bPathSearchOutOfNodes: boolean;
+	PathfindingTime: number;
+	PathCost: number;
+	PathfindingSteps: number;
+	OtherActor: NavigationTestingActor;
+	FilterClass: UnrealEngineClass;
+	ShowStepIndex: number;
+	OffsetFromCornersDistance: number;
+	static GetDefaultObject(): NavigationTestingActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationTestingActor;
+	static C(Other: UObject | any): NavigationTestingActor;
 }
 
-declare class ComponentSpacePoseLink extends PoseLinkBase { 
-	clone() : ComponentSpacePoseLink;
-	static C(Other: UObject | any): ComponentSpacePoseLink;
+declare class NavLinkComponent extends PrimitiveComponent { 
+	Links: NavigationLink[];
+	static Load(ResourceName: string): NavLinkComponent;
+	static Find(Outer: UObject, ResourceName: string): NavLinkComponent;
+	static GetDefaultObject(): NavLinkComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkComponent;
+	static C(Other: UObject | any): NavLinkComponent;
 }
 
-declare class InputScaleBias { 
-	Scale: number;
-	Bias: number;
-	clone() : InputScaleBias;
-	static C(Other: UObject | any): InputScaleBias;
+declare class NavLinkCustomInterface extends Interface { 
+	static Load(ResourceName: string): NavLinkCustomInterface;
+	static Find(Outer: UObject, ResourceName: string): NavLinkCustomInterface;
+	static GetDefaultObject(): NavLinkCustomInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkCustomInterface;
+	static C(Other: UObject | any): NavLinkCustomInterface;
 }
 
-declare class AnimNode_SkeletalControlBase extends AnimNode_Base { 
-	ComponentPose: ComponentSpacePoseLink;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	LODThreshold: number;
-	ActualAlpha: number;
-	clone() : AnimNode_SkeletalControlBase;
-	static C(Other: UObject | any): AnimNode_SkeletalControlBase;
+declare class NavLinkHostInterface extends Interface { 
+	static Load(ResourceName: string): NavLinkHostInterface;
+	static Find(Outer: UObject, ResourceName: string): NavLinkHostInterface;
+	static GetDefaultObject(): NavLinkHostInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkHostInterface;
+	static C(Other: UObject | any): NavLinkHostInterface;
 }
 
-declare type AnimPhysSimSpaceType = 'Component' | 'Actor' | 'World' | 'RootRelative' | 'BoneRelative' | 'AnimPhysSimSpaceType_MAX';
-declare var AnimPhysSimSpaceType : { Component:'Component',Actor:'Actor',World:'World',RootRelative:'RootRelative',BoneRelative:'BoneRelative',AnimPhysSimSpaceType_MAX:'AnimPhysSimSpaceType_MAX', };
-declare type AnimPhysLinearConstraintType = 'Free' | 'Limited' | 'AnimPhysLinearConstraintType_MAX';
-declare var AnimPhysLinearConstraintType : { Free:'Free',Limited:'Limited',AnimPhysLinearConstraintType_MAX:'AnimPhysLinearConstraintType_MAX', };
-declare type AnimPhysAngularConstraintType = 'Angular' | 'Cone' | 'AnimPhysAngularConstraintType_MAX';
-declare var AnimPhysAngularConstraintType : { Angular:'Angular',Cone:'Cone',AnimPhysAngularConstraintType_MAX:'AnimPhysAngularConstraintType_MAX', };
-declare type AnimPhysTwistAxis = 'AxisX' | 'AxisY' | 'AxisZ' | 'AnimPhysTwistAxis_MAX';
-declare var AnimPhysTwistAxis : { AxisX:'AxisX',AxisY:'AxisY',AxisZ:'AxisZ',AnimPhysTwistAxis_MAX:'AnimPhysTwistAxis_MAX', };
-declare class AnimPhysConstraintSetup { 
-	LinearXLimitType: AnimPhysLinearConstraintType;
-	LinearYLimitType: AnimPhysLinearConstraintType;
-	LinearZLimitType: AnimPhysLinearConstraintType;
-	LinearAxesMin: Vector;
-	LinearAxesMax: Vector;
-	AngularConstraintType: AnimPhysAngularConstraintType;
-	TwistAxis: AnimPhysTwistAxis;
-	ConeAngle: number;
-	AngularXAngle: number;
-	AngularYAngle: number;
-	AngularZAngle: number;
-	AngularLimitsMin: Vector;
-	AngularLimitsMax: Vector;
-	AngularTargetAxis: AnimPhysTwistAxis;
-	AngularTarget: Vector;
-	bLinearFullyLocked: boolean;
-	clone() : AnimPhysConstraintSetup;
-	static C(Other: UObject | any): AnimPhysConstraintSetup;
+declare class NavLinkDefinition extends UObject { 
+	Links: NavigationLink[];
+	SegmentLinks: NavigationSegmentLink[];
+	static Load(ResourceName: string): NavLinkDefinition;
+	static Find(Outer: UObject, ResourceName: string): NavLinkDefinition;
+	static GetDefaultObject(): NavLinkDefinition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkDefinition;
+	static C(Other: UObject | any): NavLinkDefinition;
 }
 
-declare class AnimPhysPlanarLimit { 
-	DrivingBone: BoneReference;
-	PlaneTransform: Transform;
-	clone() : AnimPhysPlanarLimit;
-	static C(Other: UObject | any): AnimPhysPlanarLimit;
+declare class NavLinkTrivial extends NavLinkDefinition { 
+	static Load(ResourceName: string): NavLinkTrivial;
+	static Find(Outer: UObject, ResourceName: string): NavLinkTrivial;
+	static GetDefaultObject(): NavLinkTrivial;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkTrivial;
+	static C(Other: UObject | any): NavLinkTrivial;
 }
 
-declare type ESphericalLimitType = 'Inner' | 'Outer' | 'ESphericalLimitType_MAX';
-declare var ESphericalLimitType : { Inner:'Inner',Outer:'Outer',ESphericalLimitType_MAX:'ESphericalLimitType_MAX', };
-declare class AnimPhysSphericalLimit { 
-	DrivingBone: BoneReference;
-	SphereLocalOffset: Vector;
-	LimitRadius: number;
-	LimitType: ESphericalLimitType;
-	clone() : AnimPhysSphericalLimit;
-	static C(Other: UObject | any): AnimPhysSphericalLimit;
+declare class NavMeshRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): NavMeshRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): NavMeshRenderingComponent;
+	static GetDefaultObject(): NavMeshRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMeshRenderingComponent;
+	static C(Other: UObject | any): NavMeshRenderingComponent;
 }
 
-declare type AnimPhysCollisionType = 'CoM' | 'CustomSphere' | 'InnerSphere' | 'OuterSphere' | 'AnimPhysCollisionType_MAX';
-declare var AnimPhysCollisionType : { CoM:'CoM',CustomSphere:'CustomSphere',InnerSphere:'InnerSphere',OuterSphere:'OuterSphere',AnimPhysCollisionType_MAX:'AnimPhysCollisionType_MAX', };
-declare class AnimNode_AnimDynamics extends AnimNode_SkeletalControlBase { 
-	SimulationSpace: AnimPhysSimSpaceType;
-	RelativeSpaceBone: BoneReference;
-	bChain: boolean;
-	BoundBone: BoneReference;
-	ChainEnd: BoneReference;
-	BoxExtents: Vector;
-	LocalJointOffset: Vector;
-	GravityScale: number;
-	bLinearSpring: boolean;
-	bAngularSpring: boolean;
-	LinearSpringConstant: number;
-	AngularSpringConstant: number;
-	bEnableWind: boolean;
-	bWindWasEnabled: boolean;
-	WindScale: number;
-	bOverrideLinearDamping: boolean;
-	LinearDampingOverride: number;
-	bOverrideAngularDamping: boolean;
-	AngularDampingOverride: number;
-	bOverrideAngularBias: boolean;
-	AngularBiasOverride: number;
-	bDoUpdate: boolean;
-	bDoEval: boolean;
-	NumSolverIterationsPreUpdate: number;
-	NumSolverIterationsPostUpdate: number;
-	ConstraintSetup: AnimPhysConstraintSetup;
-	bUsePlanarLimit: boolean;
-	PlanarLimits: AnimPhysPlanarLimit[];
-	bUseSphericalLimits: boolean;
-	SphericalLimits: AnimPhysSphericalLimit[];
-	CollisionType: AnimPhysCollisionType;
-	SphereCollisionRadius: number;
-	ExternalForce: Vector;
-	clone() : AnimNode_AnimDynamics;
-	static C(Other: UObject | any): AnimNode_AnimDynamics;
+declare class NavModifierComponent extends NavRelevantComponent { 
+	AreaClass: UnrealEngineClass;
+	FailsafeExtent: Vector;
+	bIncludeAgentHeight: boolean;
+	static Load(ResourceName: string): NavModifierComponent;
+	static Find(Outer: UObject, ResourceName: string): NavModifierComponent;
+	static GetDefaultObject(): NavModifierComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavModifierComponent;
+	SetAreaClass(NewAreaClass: UnrealEngineClass): void;
+	static C(Other: UObject | any): NavModifierComponent;
 }
 
-declare class AnimGraphNode_AnimDynamics extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_AnimDynamics;
-	bPreviewLive: boolean;
-	bShowLinearLimits: boolean;
-	bShowAngularLimits: boolean;
-	bShowPlanarLimit: boolean;
-	bShowSphericalLimit: boolean;
-	bShowCollisionSpheres: boolean;
-	LastPreviewComponent: SkeletalMeshComponent;
-	static Load(ResourceName: string): AnimGraphNode_AnimDynamics;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AnimDynamics;
-	static GetDefaultObject(): AnimGraphNode_AnimDynamics;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AnimDynamics;
-	static C(Other: UObject | any): AnimGraphNode_AnimDynamics;
+declare class NavModifierVolume extends Volume { 
+	AreaClass: UnrealEngineClass;
+	static GetDefaultObject(): NavModifierVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavModifierVolume;
+	SetAreaClass(NewAreaClass: UnrealEngineClass): void;
+	static C(Other: UObject | any): NavModifierVolume;
 }
 
-declare class AnimNode_ApplyAdditive extends AnimNode_Base { 
-	Base: PoseLink;
-	Additive: PoseLink;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	LODThreshold: number;
-	ActualAlpha: number;
-	clone() : AnimNode_ApplyAdditive;
-	static C(Other: UObject | any): AnimNode_ApplyAdditive;
+declare class NavNodeInterface extends Interface { 
+	static Load(ResourceName: string): NavNodeInterface;
+	static Find(Outer: UObject, ResourceName: string): NavNodeInterface;
+	static GetDefaultObject(): NavNodeInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavNodeInterface;
+	static C(Other: UObject | any): NavNodeInterface;
 }
 
-declare class AnimGraphNode_ApplyAdditive extends AnimGraphNode_Base { 
-	UNode: AnimNode_ApplyAdditive;
-	static Load(ResourceName: string): AnimGraphNode_ApplyAdditive;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyAdditive;
-	static GetDefaultObject(): AnimGraphNode_ApplyAdditive;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyAdditive;
-	static C(Other: UObject | any): AnimGraphNode_ApplyAdditive;
+declare class NavSystemConfigOverride extends Actor { 
+	SpriteComponent: BillboardComponent;
+	NavigationSystemConfig: NavigationSystemConfig;
+	bLoadOnClient: boolean;
+	static GetDefaultObject(): NavSystemConfigOverride;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavSystemConfigOverride;
+	ApplyChanges(): void;
+	static C(Other: UObject | any): NavSystemConfigOverride;
 }
 
-declare class AnimNode_ApplyMeshSpaceAdditive extends AnimNode_Base { 
-	Base: PoseLink;
-	Additive: PoseLink;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	LODThreshold: number;
-	ActualAlpha: number;
-	clone() : AnimNode_ApplyMeshSpaceAdditive;
-	static C(Other: UObject | any): AnimNode_ApplyMeshSpaceAdditive;
+declare class RecastFilter_UseDefaultArea extends NavigationQueryFilter { 
+	static Load(ResourceName: string): RecastFilter_UseDefaultArea;
+	static Find(Outer: UObject, ResourceName: string): RecastFilter_UseDefaultArea;
+	static GetDefaultObject(): RecastFilter_UseDefaultArea;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastFilter_UseDefaultArea;
+	static C(Other: UObject | any): RecastFilter_UseDefaultArea;
 }
 
-declare class AnimGraphNode_ApplyMeshSpaceAdditive extends AnimGraphNode_Base { 
-	UNode: AnimNode_ApplyMeshSpaceAdditive;
-	static Load(ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
-	static GetDefaultObject(): AnimGraphNode_ApplyMeshSpaceAdditive;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyMeshSpaceAdditive;
-	static C(Other: UObject | any): AnimGraphNode_ApplyMeshSpaceAdditive;
+declare class RecastNavMeshDataChunk extends NavigationDataChunk { 
+	static Load(ResourceName: string): RecastNavMeshDataChunk;
+	static Find(Outer: UObject, ResourceName: string): RecastNavMeshDataChunk;
+	static GetDefaultObject(): RecastNavMeshDataChunk;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastNavMeshDataChunk;
+	static C(Other: UObject | any): RecastNavMeshDataChunk;
 }
 
-declare class BlendBoneByChannelEntry { 
-	SourceBone: BoneReference;
-	TargetBone: BoneReference;
-	bBlendTranslation: boolean;
-	bBlendRotation: boolean;
-	bBlendScale: boolean;
-	clone() : BlendBoneByChannelEntry;
-	static C(Other: UObject | any): BlendBoneByChannelEntry;
+declare type ETimezoneSetting = 'InternationalDateLineWest' | 'CoordinatedUniversalTimeNeg11' | 'Samoa' | 'Hawaii' | 'Alaska' | 'PacificTime_USCAN' | 'BajaCalifornia' | 'MountainTime_USCAN' | 'Chihuahua_LaPaz_Mazatlan' | 'Arizona' | 'Saskatchewan' | 'CentralAmerica' | 'CentralTime_USCAN' | 'Guadalajara_MexicoCity_Monterrey' | 'EasternTime_USCAN' | 'Bogota_Lima_Quito' | 'Indiana_US' | 'Caracas' | 'AtlanticTime_Canada' | 'Cuiaba' | 'Santiago' | 'Georgetown_LaPaz_Manaus_SanJuan' | 'Asuncion' | 'Newfoundland' | 'Brasilia' | 'Greenland' | 'Montevideo' | 'Cayenne_Fortaleza' | 'BuenosAires' | 'MidAtlantic' | 'CoordinatedUniversalTimeNeg02' | 'Azores' | 'CaboVerdeIs' | 'Dublin_Edinburgh_Lisbon_London' | 'Monrovia_Reykjavik' | 'Casablanca' | 'UTC' | 'Belgrade_Bratislava_Budapest_Ljubljana_Prague' | 'Sarajevo_Skopje_Warsaw_Zagreb' | 'Brussels_Copenhagen_Madrid_Paris' | 'WestCentralAfrica' | 'Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna' | 'Windhoek' | 'Minsk' | 'Cairo' | 'Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius' | 'Athens_Bucharest' | 'Jerusalem' | 'Amman' | 'Beirut' | 'Harare_Pretoria' | 'Damascus' | 'Istanbul' | 'Kuwait_Riyadh' | 'Baghdad' | 'Nairobi' | 'Kaliningrad' | 'Tehran' | 'Moscow_StPetersburg_Volgograd' | 'AbuDhabi_Muscat' | 'Baku' | 'Yerevan' | 'Tbilisi' | 'PortLouis' | 'Kabul' | 'Tashkent' | 'Islamabad_Karachi' | 'Chennai_Kolkata_Mumbai_NewDelhi' | 'SriJayawardenepura' | 'Kathmandu' | 'Ekaterinburg' | 'Astana' | 'Dhaka' | 'Yangon_Rangoon' | 'Novosibirsk' | 'Bangkok_Hanoi_Jakarta' | 'Krasnoyarsk' | 'Beijing_Chongqing_HongKong_Urumqi' | 'KualaLumpur_Singapore' | 'Taipei' | 'Perth' | 'Ulaanbaatar' | 'Irkutsk' | 'Seoul' | 'Osaka_Sapporo_Tokyo' | 'Darwin' | 'Adelaide' | 'Yakutsk' | 'Canberra_Melbourne_Sydney' | 'Brisbane' | 'Hobart' | 'Guam_PortMoresby' | 'Vladivostok' | 'SolomonIs_NewCaledonia' | 'Magadan' | 'Fiji' | 'Auckland_Wellington' | 'CoordinatedUniversalTime12' | 'Nukualofa' | 'LocalTime' | 'ETimezoneSetting_MAX';
+declare var ETimezoneSetting : { InternationalDateLineWest:'InternationalDateLineWest',CoordinatedUniversalTimeNeg11:'CoordinatedUniversalTimeNeg11',Samoa:'Samoa',Hawaii:'Hawaii',Alaska:'Alaska',PacificTime_USCAN:'PacificTime_USCAN',BajaCalifornia:'BajaCalifornia',MountainTime_USCAN:'MountainTime_USCAN',Chihuahua_LaPaz_Mazatlan:'Chihuahua_LaPaz_Mazatlan',Arizona:'Arizona',Saskatchewan:'Saskatchewan',CentralAmerica:'CentralAmerica',CentralTime_USCAN:'CentralTime_USCAN',Guadalajara_MexicoCity_Monterrey:'Guadalajara_MexicoCity_Monterrey',EasternTime_USCAN:'EasternTime_USCAN',Bogota_Lima_Quito:'Bogota_Lima_Quito',Indiana_US:'Indiana_US',Caracas:'Caracas',AtlanticTime_Canada:'AtlanticTime_Canada',Cuiaba:'Cuiaba',Santiago:'Santiago',Georgetown_LaPaz_Manaus_SanJuan:'Georgetown_LaPaz_Manaus_SanJuan',Asuncion:'Asuncion',Newfoundland:'Newfoundland',Brasilia:'Brasilia',Greenland:'Greenland',Montevideo:'Montevideo',Cayenne_Fortaleza:'Cayenne_Fortaleza',BuenosAires:'BuenosAires',MidAtlantic:'MidAtlantic',CoordinatedUniversalTimeNeg02:'CoordinatedUniversalTimeNeg02',Azores:'Azores',CaboVerdeIs:'CaboVerdeIs',Dublin_Edinburgh_Lisbon_London:'Dublin_Edinburgh_Lisbon_London',Monrovia_Reykjavik:'Monrovia_Reykjavik',Casablanca:'Casablanca',UTC:'UTC',Belgrade_Bratislava_Budapest_Ljubljana_Prague:'Belgrade_Bratislava_Budapest_Ljubljana_Prague',Sarajevo_Skopje_Warsaw_Zagreb:'Sarajevo_Skopje_Warsaw_Zagreb',Brussels_Copenhagen_Madrid_Paris:'Brussels_Copenhagen_Madrid_Paris',WestCentralAfrica:'WestCentralAfrica',Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna:'Amsterdam_Berlin_Bern_Rome_Stockholm_Vienna',Windhoek:'Windhoek',Minsk:'Minsk',Cairo:'Cairo',Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius:'Helsinki_Kyiv_Riga_Sofia_Tallinn_Vilnius',Athens_Bucharest:'Athens_Bucharest',Jerusalem:'Jerusalem',Amman:'Amman',Beirut:'Beirut',Harare_Pretoria:'Harare_Pretoria',Damascus:'Damascus',Istanbul:'Istanbul',Kuwait_Riyadh:'Kuwait_Riyadh',Baghdad:'Baghdad',Nairobi:'Nairobi',Kaliningrad:'Kaliningrad',Tehran:'Tehran',Moscow_StPetersburg_Volgograd:'Moscow_StPetersburg_Volgograd',AbuDhabi_Muscat:'AbuDhabi_Muscat',Baku:'Baku',Yerevan:'Yerevan',Tbilisi:'Tbilisi',PortLouis:'PortLouis',Kabul:'Kabul',Tashkent:'Tashkent',Islamabad_Karachi:'Islamabad_Karachi',Chennai_Kolkata_Mumbai_NewDelhi:'Chennai_Kolkata_Mumbai_NewDelhi',SriJayawardenepura:'SriJayawardenepura',Kathmandu:'Kathmandu',Ekaterinburg:'Ekaterinburg',Astana:'Astana',Dhaka:'Dhaka',Yangon_Rangoon:'Yangon_Rangoon',Novosibirsk:'Novosibirsk',Bangkok_Hanoi_Jakarta:'Bangkok_Hanoi_Jakarta',Krasnoyarsk:'Krasnoyarsk',Beijing_Chongqing_HongKong_Urumqi:'Beijing_Chongqing_HongKong_Urumqi',KualaLumpur_Singapore:'KualaLumpur_Singapore',Taipei:'Taipei',Perth:'Perth',Ulaanbaatar:'Ulaanbaatar',Irkutsk:'Irkutsk',Seoul:'Seoul',Osaka_Sapporo_Tokyo:'Osaka_Sapporo_Tokyo',Darwin:'Darwin',Adelaide:'Adelaide',Yakutsk:'Yakutsk',Canberra_Melbourne_Sydney:'Canberra_Melbourne_Sydney',Brisbane:'Brisbane',Hobart:'Hobart',Guam_PortMoresby:'Guam_PortMoresby',Vladivostok:'Vladivostok',SolomonIs_NewCaledonia:'SolomonIs_NewCaledonia',Magadan:'Magadan',Fiji:'Fiji',Auckland_Wellington:'Auckland_Wellington',CoordinatedUniversalTime12:'CoordinatedUniversalTime12',Nukualofa:'Nukualofa',LocalTime:'LocalTime',ETimezoneSetting_MAX:'ETimezoneSetting_MAX', };
+declare class InternationalizationSettingsModel extends UObject { 
+	DisplayTimezone: ETimezoneSetting;
+	static Load(ResourceName: string): InternationalizationSettingsModel;
+	static Find(Outer: UObject, ResourceName: string): InternationalizationSettingsModel;
+	static GetDefaultObject(): InternationalizationSettingsModel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationSettingsModel;
+	static C(Other: UObject | any): InternationalizationSettingsModel;
 }
 
-declare type EBoneControlSpace = 'BCS_WorldSpace' | 'BCS_ComponentSpace' | 'BCS_ParentBoneSpace' | 'BCS_BoneSpace' | 'BCS_MAX';
-declare var EBoneControlSpace : { BCS_WorldSpace:'BCS_WorldSpace',BCS_ComponentSpace:'BCS_ComponentSpace',BCS_ParentBoneSpace:'BCS_ParentBoneSpace',BCS_BoneSpace:'BCS_BoneSpace',BCS_MAX:'BCS_MAX', };
-declare class AnimNode_BlendBoneByChannel extends AnimNode_Base { 
-	A: PoseLink;
-	B: PoseLink;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	BoneDefinitions: BlendBoneByChannelEntry[];
-	TransformsSpace: EBoneControlSpace;
-	InternalBlendAlpha: number;
-	bBIsRelevant: boolean;
-	ValidBoneEntries: BlendBoneByChannelEntry[];
-	clone() : AnimNode_BlendBoneByChannel;
-	static C(Other: UObject | any): AnimNode_BlendBoneByChannel;
+declare class ActorTransformer extends ViewportTransformer { 
+	static Load(ResourceName: string): ActorTransformer;
+	static Find(Outer: UObject, ResourceName: string): ActorTransformer;
+	static GetDefaultObject(): ActorTransformer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorTransformer;
+	static C(Other: UObject | any): ActorTransformer;
 }
 
-declare class AnimGraphNode_BlendBoneByChannel extends AnimGraphNode_Base { 
-	BlendNode: AnimNode_BlendBoneByChannel;
-	static Load(ResourceName: string): AnimGraphNode_BlendBoneByChannel;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendBoneByChannel;
-	static GetDefaultObject(): AnimGraphNode_BlendBoneByChannel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendBoneByChannel;
-	static C(Other: UObject | any): AnimGraphNode_BlendBoneByChannel;
+declare class ViewportInteractableInterface extends Interface { 
+	static Load(ResourceName: string): ViewportInteractableInterface;
+	static Find(Outer: UObject, ResourceName: string): ViewportInteractableInterface;
+	static GetDefaultObject(): ViewportInteractableInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ViewportInteractableInterface;
+	static C(Other: UObject | any): ViewportInteractableInterface;
+}
+
+declare class TranslationDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): TranslationDragOperation;
+	static Find(Outer: UObject, ResourceName: string): TranslationDragOperation;
+	static GetDefaultObject(): TranslationDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TranslationDragOperation;
+	static C(Other: UObject | any): TranslationDragOperation;
+}
+
+declare class PlaneTranslationDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): PlaneTranslationDragOperation;
+	static Find(Outer: UObject, ResourceName: string): PlaneTranslationDragOperation;
+	static GetDefaultObject(): PlaneTranslationDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneTranslationDragOperation;
+	static C(Other: UObject | any): PlaneTranslationDragOperation;
+}
+
+declare class RotateOnAngleDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): RotateOnAngleDragOperation;
+	static Find(Outer: UObject, ResourceName: string): RotateOnAngleDragOperation;
+	static GetDefaultObject(): RotateOnAngleDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RotateOnAngleDragOperation;
+	static C(Other: UObject | any): RotateOnAngleDragOperation;
+}
+
+declare class ScaleDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): ScaleDragOperation;
+	static Find(Outer: UObject, ResourceName: string): ScaleDragOperation;
+	static GetDefaultObject(): ScaleDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleDragOperation;
+	static C(Other: UObject | any): ScaleDragOperation;
+}
+
+declare class UniformScaleDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): UniformScaleDragOperation;
+	static Find(Outer: UObject, ResourceName: string): UniformScaleDragOperation;
+	static GetDefaultObject(): UniformScaleDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformScaleDragOperation;
+	static C(Other: UObject | any): UniformScaleDragOperation;
+}
+
+declare class AxisGizmoHandleGroup extends GizmoHandleGroup { 
+	static Load(ResourceName: string): AxisGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): AxisGizmoHandleGroup;
+	static GetDefaultObject(): AxisGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AxisGizmoHandleGroup;
+	static C(Other: UObject | any): AxisGizmoHandleGroup;
+}
+
+declare class GizmoHandleMeshComponent extends StaticMeshComponent { 
+	static Load(ResourceName: string): GizmoHandleMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): GizmoHandleMeshComponent;
+	static GetDefaultObject(): GizmoHandleMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GizmoHandleMeshComponent;
+	static C(Other: UObject | any): GizmoHandleMeshComponent;
+}
+
+declare class UniformScaleGizmoHandleGroup extends GizmoHandleGroup { 
+	static Load(ResourceName: string): UniformScaleGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): UniformScaleGizmoHandleGroup;
+	static GetDefaultObject(): UniformScaleGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformScaleGizmoHandleGroup;
+	static C(Other: UObject | any): UniformScaleGizmoHandleGroup;
+}
+
+declare class PivotTranslationGizmoHandleGroup extends AxisGizmoHandleGroup { 
+	static Load(ResourceName: string): PivotTranslationGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): PivotTranslationGizmoHandleGroup;
+	static GetDefaultObject(): PivotTranslationGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotTranslationGizmoHandleGroup;
+	static C(Other: UObject | any): PivotTranslationGizmoHandleGroup;
+}
+
+declare class PivotScaleGizmoHandleGroup extends AxisGizmoHandleGroup { 
+	static Load(ResourceName: string): PivotScaleGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): PivotScaleGizmoHandleGroup;
+	static GetDefaultObject(): PivotScaleGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotScaleGizmoHandleGroup;
+	static C(Other: UObject | any): PivotScaleGizmoHandleGroup;
+}
+
+declare class PivotPlaneTranslationGizmoHandleGroup extends AxisGizmoHandleGroup { 
+	static Load(ResourceName: string): PivotPlaneTranslationGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): PivotPlaneTranslationGizmoHandleGroup;
+	static GetDefaultObject(): PivotPlaneTranslationGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotPlaneTranslationGizmoHandleGroup;
+	static C(Other: UObject | any): PivotPlaneTranslationGizmoHandleGroup;
+}
+
+declare class PivotRotationGizmoHandleGroup extends AxisGizmoHandleGroup { 
+	RootFullRotationHandleComponent: SceneComponent;
+	FullRotationHandleMeshComponent: GizmoHandleMeshComponent;
+	StartRotationIndicatorMeshComponent: GizmoHandleMeshComponent;
+	RootStartRotationIdicatorComponent: SceneComponent;
+	DeltaRotationIndicatorMeshComponent: GizmoHandleMeshComponent;
+	RootDeltaRotationIndicatorComponent: SceneComponent;
+	static Load(ResourceName: string): PivotRotationGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): PivotRotationGizmoHandleGroup;
+	static GetDefaultObject(): PivotRotationGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotRotationGizmoHandleGroup;
+	static C(Other: UObject | any): PivotRotationGizmoHandleGroup;
+}
+
+declare class StretchGizmoHandleGroup extends GizmoHandleGroup { 
+	static Load(ResourceName: string): StretchGizmoHandleGroup;
+	static Find(Outer: UObject, ResourceName: string): StretchGizmoHandleGroup;
+	static GetDefaultObject(): StretchGizmoHandleGroup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StretchGizmoHandleGroup;
+	static C(Other: UObject | any): StretchGizmoHandleGroup;
+}
+
+declare class PivotTransformGizmo extends BaseTransformGizmo { 
+	UniformScaleGizmoHandleGroup: UniformScaleGizmoHandleGroup;
+	TranslationGizmoHandleGroup: PivotTranslationGizmoHandleGroup;
+	ScaleGizmoHandleGroup: PivotScaleGizmoHandleGroup;
+	PlaneTranslationGizmoHandleGroup: PivotPlaneTranslationGizmoHandleGroup;
+	RotationGizmoHandleGroup: PivotRotationGizmoHandleGroup;
+	StretchGizmoHandleGroup: StretchGizmoHandleGroup;
+	LastDraggingHandle: ActorComponent;
+	static GetDefaultObject(): PivotTransformGizmo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PivotTransformGizmo;
+	static C(Other: UObject | any): PivotTransformGizmo;
+}
+
+declare class StretchGizmoHandleDragOperation extends ViewportDragOperation { 
+	static Load(ResourceName: string): StretchGizmoHandleDragOperation;
+	static Find(Outer: UObject, ResourceName: string): StretchGizmoHandleDragOperation;
+	static GetDefaultObject(): StretchGizmoHandleDragOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StretchGizmoHandleDragOperation;
+	static C(Other: UObject | any): StretchGizmoHandleDragOperation;
+}
+
+declare class MovieSceneCopyableBinding extends UObject { 
+	SpawnableObjectTemplate: UObject;
+	Tracks: MovieSceneTrack[];
+	Binding: MovieSceneBinding;
+	Spawnable: MovieSceneSpawnable;
+	Possessable: MovieScenePossessable;
+	static Load(ResourceName: string): MovieSceneCopyableBinding;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCopyableBinding;
+	static GetDefaultObject(): MovieSceneCopyableBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCopyableBinding;
+	static C(Other: UObject | any): MovieSceneCopyableBinding;
+}
+
+declare class MovieSceneCopyableTrack extends UObject { 
+	Track: MovieSceneTrack;
+	bIsAMasterTrack: boolean;
+	static Load(ResourceName: string): MovieSceneCopyableTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCopyableTrack;
+	static GetDefaultObject(): MovieSceneCopyableTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCopyableTrack;
+	static C(Other: UObject | any): MovieSceneCopyableTrack;
 }
 
-declare class AnimGraphNode_BlendListBase extends AnimGraphNode_Base { 
-	static Load(ResourceName: string): AnimGraphNode_BlendListBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListBase;
-	static GetDefaultObject(): AnimGraphNode_BlendListBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListBase;
-	static C(Other: UObject | any): AnimGraphNode_BlendListBase;
+declare class Exporter extends UObject { 
+	SupportedClass: UnrealEngineClass;
+	ExportRootScope: UObject;
+	FormatExtension: string[];
+	FormatDescription: string[];
+	PreferredFormatIndex: number;
+	TextIndent: number;
+	bText: boolean;
+	bSelectedOnly: boolean;
+	bForceFileOperations: boolean;
+	ExportTask: AssetExportTask;
+	static Load(ResourceName: string): Exporter;
+	static Find(Outer: UObject, ResourceName: string): Exporter;
+	static GetDefaultObject(): Exporter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Exporter;
+	ScriptRunAssetExportTask(Task: AssetExportTask): boolean;
+	static RunAssetExportTasks(ExportTasks: AssetExportTask[]): boolean;
+	static RunAssetExportTask(Task: AssetExportTask): boolean;
+	static C(Other: UObject | any): Exporter;
 }
 
-declare class AnimNode_BlendListBase extends AnimNode_Base { 
-	BlendPose: PoseLink[];
-	BlendTime: number[];
-	BlendType: EAlphaBlendOption;
-	CustomBlendCurve: CurveFloat;
-	BlendProfile: BlendProfile;
-	Blends: AlphaBlend[];
-	BlendWeights: number[];
-	RemainingBlendTimes: number[];
-	LastActiveChildIndex: number;
-	PerBoneSampleData: BlendSampleData[];
-	bResetChildOnActivation: boolean;
-	clone() : AnimNode_BlendListBase;
-	static C(Other: UObject | any): AnimNode_BlendListBase;
+declare class AssetExportTask extends UObject { 
+	UObject: UObject;
+	Exporter: Exporter;
+	Filename: string;
+	bSelected: boolean;
+	bReplaceIdentical: boolean;
+	bPrompt: boolean;
+	bAutomated: boolean;
+	bUseFileArchive: boolean;
+	bWriteEmptyFiles: boolean;
+	IgnoreObjectList: UObject[];
+	Options: UObject;
+	Errors: string[];
+	static Load(ResourceName: string): AssetExportTask;
+	static Find(Outer: UObject, ResourceName: string): AssetExportTask;
+	static GetDefaultObject(): AssetExportTask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetExportTask;
+	static C(Other: UObject | any): AssetExportTask;
+}
+
+declare class SequencerExportTask extends AssetExportTask { 
+	SequencerContext: UObject;
+	static Load(ResourceName: string): SequencerExportTask;
+	static Find(Outer: UObject, ResourceName: string): SequencerExportTask;
+	static GetDefaultObject(): SequencerExportTask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerExportTask;
+	static C(Other: UObject | any): SequencerExportTask;
+}
+
+declare class MovieSceneSectionEvalOptions { 
+	bCanEditCompletionMode: boolean;
+	CompletionMode: EMovieSceneCompletionMode;
+	clone() : MovieSceneSectionEvalOptions;
+	static C(Other: UObject | any): MovieSceneSectionEvalOptions;
+}
+
+declare class MovieSceneEasingSettings { 
+	AutoEaseInDuration: number;
+	AutoEaseOutDuration: number;
+	EaseIn: any;
+	bManualEaseIn: boolean;
+	ManualEaseInDuration: number;
+	EaseOut: any;
+	bManualEaseOut: boolean;
+	ManualEaseOutDuration: number;
+	AutoEaseInTime: number;
+	AutoEaseOutTime: number;
+	ManualEaseInTime: number;
+	ManualEaseOutTime: number;
+	clone() : MovieSceneEasingSettings;
+	static C(Other: UObject | any): MovieSceneEasingSettings;
+}
+
+declare type EMovieSceneBlendType = 'Absolute' | 'Additive' | 'Relative' | 'EMovieSceneBlendType_MAX';
+declare var EMovieSceneBlendType : { Absolute:'Absolute',Additive:'Additive',Relative:'Relative',EMovieSceneBlendType_MAX:'EMovieSceneBlendType_MAX', };
+declare class OptionalMovieSceneBlendType { 
+	BlendType: EMovieSceneBlendType;
+	bIsValid: boolean;
+	clone() : OptionalMovieSceneBlendType;
+	static C(Other: UObject | any): OptionalMovieSceneBlendType;
+}
+
+declare class MovieSceneSection extends MovieSceneSignedObject { 
+	EvalOptions: MovieSceneSectionEvalOptions;
+	Easing: MovieSceneEasingSettings;
+	SectionRange: MovieSceneFrameRange;
+	TimecodeSource: MovieSceneTimecodeSource;
+	PreRollFrames: FrameNumber;
+	PostRollFrames: FrameNumber;
+	RowIndex: number;
+	OverlapPriority: number;
+	bIsActive: boolean;
+	bIsLocked: boolean;
+	StartTime: number;
+	EndTime: number;
+	PrerollTime: number;
+	PostrollTime: number;
+	bIsInfinite: boolean;
+	bSupportsInfiniteRange: boolean;
+	BlendType: OptionalMovieSceneBlendType;
+	static Load(ResourceName: string): MovieSceneSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSection;
+	static GetDefaultObject(): MovieSceneSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSection;
+	SetRowIndex(NewRowIndex: number): void;
+	SetPreRollFrames(InPreRollFrames: number): void;
+	SetPostRollFrames(InPostRollFrames: number): void;
+	SetOverlapPriority(NewPriority: number): void;
+	SetIsLocked(bInIsLocked: boolean): void;
+	SetIsActive(bInIsActive: boolean): void;
+	IsLocked(): boolean;
+	IsActive(): boolean;
+	GetRowIndex(): number;
+	GetPreRollFrames(): number;
+	GetPostRollFrames(): number;
+	GetOverlapPriority(): number;
+	static C(Other: UObject | any): MovieSceneSection;
 }
 
-declare class AnimNode_BlendListByBool extends AnimNode_BlendListBase { 
-	bActiveValue: boolean;
-	clone() : AnimNode_BlendListByBool;
-	static C(Other: UObject | any): AnimNode_BlendListByBool;
+declare class MovieSceneTransformMask { 
+	mask: any;
+	clone() : MovieSceneTransformMask;
+	static C(Other: UObject | any): MovieSceneTransformMask;
 }
 
-declare class AnimGraphNode_BlendListByBool extends AnimGraphNode_BlendListBase { 
-	UNode: AnimNode_BlendListByBool;
-	static Load(ResourceName: string): AnimGraphNode_BlendListByBool;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByBool;
-	static GetDefaultObject(): AnimGraphNode_BlendListByBool;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByBool;
-	static C(Other: UObject | any): AnimGraphNode_BlendListByBool;
+declare class MovieSceneChannel { 
+	clone() : MovieSceneChannel;
+	static C(Other: UObject | any): MovieSceneChannel;
 }
 
-declare class AnimNode_BlendListByEnum extends AnimNode_BlendListBase { 
-	EnumToPoseIndex: number[];
-	ActiveEnumValue: number;
-	clone() : AnimNode_BlendListByEnum;
-	static C(Other: UObject | any): AnimNode_BlendListByEnum;
+declare class MovieSceneTangentData { 
+	ArriveTangent: number;
+	LeaveTangent: number;
+	TangentWeightMode: ERichCurveTangentWeightMode;
+	ArriveTangentWeight: number;
+	LeaveTangentWeight: number;
+	clone() : MovieSceneTangentData;
+	static C(Other: UObject | any): MovieSceneTangentData;
 }
 
-declare class AnimGraphNode_BlendListByEnum extends AnimGraphNode_BlendListBase { 
-	UNode: AnimNode_BlendListByEnum;
-	BoundEnum: Enum;
-	VisibleEnumEntries: string[];
-	static Load(ResourceName: string): AnimGraphNode_BlendListByEnum;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByEnum;
-	static GetDefaultObject(): AnimGraphNode_BlendListByEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByEnum;
-	static C(Other: UObject | any): AnimGraphNode_BlendListByEnum;
+declare class MovieSceneFloatValue { 
+	Value: number;
+	InterpMode: ERichCurveInterpMode;
+	TangentMode: ERichCurveTangentMode;
+	Tangent: MovieSceneTangentData;
+	clone() : MovieSceneFloatValue;
+	static C(Other: UObject | any): MovieSceneFloatValue;
 }
 
-declare class AnimNode_BlendListByInt extends AnimNode_BlendListBase { 
-	ActiveChildIndex: number;
-	clone() : AnimNode_BlendListByInt;
-	static C(Other: UObject | any): AnimNode_BlendListByInt;
+declare class KeyHandleLookupTable { 
+	clone() : KeyHandleLookupTable;
+	static C(Other: UObject | any): KeyHandleLookupTable;
 }
 
-declare class AnimGraphNode_BlendListByInt extends AnimGraphNode_BlendListBase { 
-	UNode: AnimNode_BlendListByInt;
-	static Load(ResourceName: string): AnimGraphNode_BlendListByInt;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByInt;
-	static GetDefaultObject(): AnimGraphNode_BlendListByInt;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByInt;
-	static C(Other: UObject | any): AnimGraphNode_BlendListByInt;
+declare class MovieSceneKeyHandleMap extends KeyHandleLookupTable { 
+	clone() : MovieSceneKeyHandleMap;
+	static C(Other: UObject | any): MovieSceneKeyHandleMap;
 }
 
-declare class AnimNode_BlendSpaceEvaluator extends AnimNode_BlendSpacePlayer { 
-	NormalizedTime: number;
-	clone() : AnimNode_BlendSpaceEvaluator;
-	static C(Other: UObject | any): AnimNode_BlendSpaceEvaluator;
+declare class MovieSceneFloatChannel extends MovieSceneChannel { 
+	PreInfinityExtrap: ERichCurveExtrapolation;
+	PostInfinityExtrap: ERichCurveExtrapolation;
+	Times: FrameNumber[];
+	Values: MovieSceneFloatValue[];
+	DefaultValue: number;
+	bHasDefaultValue: boolean;
+	KeyHandles: MovieSceneKeyHandleMap;
+	TickResolution: FrameRate;
+	clone() : MovieSceneFloatChannel;
+	static C(Other: UObject | any): MovieSceneFloatChannel;
+}
+
+declare type EShow3DTrajectory = 'EST_OnlyWhenSelected' | 'EST_Always' | 'EST_Never' | 'EST_MAX';
+declare var EShow3DTrajectory : { EST_OnlyWhenSelected:'EST_OnlyWhenSelected',EST_Always:'EST_Always',EST_Never:'EST_Never',EST_MAX:'EST_MAX', };
+declare class MovieScene3DTransformSection extends MovieSceneSection { 
+	TransformMask: MovieSceneTransformMask;
+	Translation: MovieSceneFloatChannel;
+	Rotation: MovieSceneFloatChannel;
+	Scale: MovieSceneFloatChannel;
+	ManualWeight: MovieSceneFloatChannel;
+	bUseQuaternionInterpolation: boolean;
+	Show3DTrajectory: EShow3DTrajectory;
+	static Load(ResourceName: string): MovieScene3DTransformSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DTransformSection;
+	static GetDefaultObject(): MovieScene3DTransformSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DTransformSection;
+	static C(Other: UObject | any): MovieScene3DTransformSection;
+}
+
+declare class SequencerKeyActor extends Actor { 
+	KeyMeshComponent: StaticMeshComponent;
+	AssociatedActor: Actor;
+	TrackSection: MovieScene3DTransformSection;
+	KeyTime: number;
+	static GetDefaultObject(): SequencerKeyActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerKeyActor;
+	static C(Other: UObject | any): SequencerKeyActor;
+}
+
+declare class MovieSceneKeyStructType extends ScriptStruct { 
+	SourceTimesProperty: ArrayProperty;
+	SourceValuesProperty: ArrayProperty;
+	DestTimeProperty: StructProperty;
+	DestValueProperty: Property;
+	static Load(ResourceName: string): MovieSceneKeyStructType;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneKeyStructType;
+	static GetDefaultObject(): MovieSceneKeyStructType;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneKeyStructType;
+	static C(Other: UObject | any): MovieSceneKeyStructType;
+}
+
+declare class SequencerMeshTrail extends Actor { 
+	static GetDefaultObject(): SequencerMeshTrail;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerMeshTrail;
+	static C(Other: UObject | any): SequencerMeshTrail;
+}
+
+declare class SequencerSettingsContainer extends UObject { 
+	static Load(ResourceName: string): SequencerSettingsContainer;
+	static Find(Outer: UObject, ResourceName: string): SequencerSettingsContainer;
+	static GetDefaultObject(): SequencerSettingsContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerSettingsContainer;
+	static C(Other: UObject | any): SequencerSettingsContainer;
+}
+
+declare type EAutoChangeMode = 'AutoKey' | 'AutoTrack' | 'All' | 'None' | 'EAutoChangeMode_MAX';
+declare var EAutoChangeMode : { AutoKey:'AutoKey',AutoTrack:'AutoTrack',All:'All',None:'None',EAutoChangeMode_MAX:'EAutoChangeMode_MAX', };
+declare type EAllowEditsMode = 'AllEdits' | 'AllowSequencerEditsOnly' | 'AllowLevelEditsOnly' | 'EAllowEditsMode_MAX';
+declare var EAllowEditsMode : { AllEdits:'AllEdits',AllowSequencerEditsOnly:'AllowSequencerEditsOnly',AllowLevelEditsOnly:'AllowLevelEditsOnly',EAllowEditsMode_MAX:'EAllowEditsMode_MAX', };
+declare type EKeyGroupMode = 'KeyChanged' | 'KeyGroup' | 'KeyAll' | 'EKeyGroupMode_MAX';
+declare var EKeyGroupMode : { KeyChanged:'KeyChanged',KeyGroup:'KeyGroup',KeyAll:'KeyAll',EKeyGroupMode_MAX:'EKeyGroupMode_MAX', };
+declare type EMovieSceneKeyInterpolation = 'Auto' | 'User' | 'Break' | 'Linear' | 'Constant' | 'EMovieSceneKeyInterpolation_MAX';
+declare var EMovieSceneKeyInterpolation : { Auto:'Auto',User:'User',Break:'Break',Linear:'Linear',Constant:'Constant',EMovieSceneKeyInterpolation_MAX:'EMovieSceneKeyInterpolation_MAX', };
+declare type ESequencerSpawnPosition = 'SSP_Origin' | 'SSP_PlaceInFrontOfCamera' | 'SSP_MAX';
+declare var ESequencerSpawnPosition : { SSP_Origin:'SSP_Origin',SSP_PlaceInFrontOfCamera:'SSP_PlaceInFrontOfCamera',SSP_MAX:'SSP_MAX', };
+declare type ESequencerZoomPosition = 'SZP_CurrentTime' | 'SZP_MousePosition' | 'SZP_MAX';
+declare var ESequencerZoomPosition : { SZP_CurrentTime:'SZP_CurrentTime',SZP_MousePosition:'SZP_MousePosition',SZP_MAX:'SZP_MAX', };
+declare type ESequencerLoopMode = 'SLM_NoLoop' | 'SLM_Loop' | 'SLM_LoopSelectionRange' | 'SLM_MAX';
+declare var ESequencerLoopMode : { SLM_NoLoop:'SLM_NoLoop',SLM_Loop:'SLM_Loop',SLM_LoopSelectionRange:'SLM_LoopSelectionRange',SLM_MAX:'SLM_MAX', };
+declare type EFrameNumberDisplayFormats = 'NonDropFrameTimecode' | 'DropFrameTimecode' | 'Seconds' | 'Frames' | 'MAX_Count' | 'EFrameNumberDisplayFormats_MAX';
+declare var EFrameNumberDisplayFormats : { NonDropFrameTimecode:'NonDropFrameTimecode',DropFrameTimecode:'DropFrameTimecode',Seconds:'Seconds',Frames:'Frames',MAX_Count:'MAX_Count',EFrameNumberDisplayFormats_MAX:'EFrameNumberDisplayFormats_MAX', };
+declare type ECurveEditorCurveVisibility = 'AllCurves' | 'SelectedCurves' | 'AnimatedCurves' | 'ECurveEditorCurveVisibility_MAX';
+declare var ECurveEditorCurveVisibility : { AllCurves:'AllCurves',SelectedCurves:'SelectedCurves',AnimatedCurves:'AnimatedCurves',ECurveEditorCurveVisibility_MAX:'ECurveEditorCurveVisibility_MAX', };
+declare class SequencerSettings extends UObject { 
+	AutoChangeMode: EAutoChangeMode;
+	AllowEditsMode: EAllowEditsMode;
+	KeyGroupMode: EKeyGroupMode;
+	bKeyInterpPropertiesOnly: boolean;
+	KeyInterpolation: EMovieSceneKeyInterpolation;
+	bAutoSetTrackDefaults: boolean;
+	SpawnPosition: ESequencerSpawnPosition;
+	bCreateSpawnableCameras: boolean;
+	bShowRangeSlider: boolean;
+	bIsSnapEnabled: boolean;
+	bSnapKeyTimesToInterval: boolean;
+	bSnapKeyTimesToKeys: boolean;
+	bSnapSectionTimesToInterval: boolean;
+	bSnapSectionTimesToSections: boolean;
+	bSnapPlayTimeToKeys: boolean;
+	bSnapPlayTimeToInterval: boolean;
+	bSnapPlayTimeToPressedKey: boolean;
+	bSnapPlayTimeToDraggedKey: boolean;
+	bSnapCurveValueToInterval: boolean;
+	bLabelBrowserVisible: boolean;
+	bShowSelectedNodesOnly: boolean;
+	bRewindOnRecord: boolean;
+	ZoomPosition: ESequencerZoomPosition;
+	bAutoScrollEnabled: boolean;
+	bLinkCurveEditorTimeRange: boolean;
+	LoopMode: ESequencerLoopMode;
+	bKeepCursorInPlayRangeWhileScrubbing: boolean;
+	bKeepCursorInPlayRange: boolean;
+	bKeepPlayRangeInSectionBounds: boolean;
+	ZeroPadFrames: number;
+	bShowCombinedKeyframes: boolean;
+	bInfiniteKeyAreas: boolean;
+	bShowChannelColors: boolean;
+	bActivateRealtimeViewports: boolean;
+	bEvaluateSubSequencesInIsolation: boolean;
+	bRerunConstructionScripts: boolean;
+	bShowDebugVisualization: boolean;
+	bVisualizePreAndPostRoll: boolean;
+	bCompileDirectorOnEvaluate: boolean;
+	TrajectoryPathCap: any;
+	FrameNumberDisplayFormat: EFrameNumberDisplayFormats;
+	CurveVisibility: ECurveEditorCurveVisibility;
+	static Load(ResourceName: string): SequencerSettings;
+	static Find(Outer: UObject, ResourceName: string): SequencerSettings;
+	static GetDefaultObject(): SequencerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequencerSettings;
+	static C(Other: UObject | any): SequencerSettings;
+}
+
+declare type EMovieSceneCaptureProtocolState = 'Idle' | 'Initialized' | 'Capturing' | 'Finalizing' | 'EMovieSceneCaptureProtocolState_MAX';
+declare var EMovieSceneCaptureProtocolState : { Idle:'Idle',Initialized:'Initialized',Capturing:'Capturing',Finalizing:'Finalizing',EMovieSceneCaptureProtocolState_MAX:'EMovieSceneCaptureProtocolState_MAX', };
+declare class MovieSceneCaptureProtocolBase extends UObject { 
+	State: EMovieSceneCaptureProtocolState;
+	static Load(ResourceName: string): MovieSceneCaptureProtocolBase;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureProtocolBase;
+	static GetDefaultObject(): MovieSceneCaptureProtocolBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureProtocolBase;
+	IsCapturing(): boolean;
+	GetState(): EMovieSceneCaptureProtocolState;
+	static C(Other: UObject | any): MovieSceneCaptureProtocolBase;
+}
+
+declare class MovieSceneAudioCaptureProtocolBase extends MovieSceneCaptureProtocolBase { 
+	static Load(ResourceName: string): MovieSceneAudioCaptureProtocolBase;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneAudioCaptureProtocolBase;
+	static GetDefaultObject(): MovieSceneAudioCaptureProtocolBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneAudioCaptureProtocolBase;
+	static C(Other: UObject | any): MovieSceneAudioCaptureProtocolBase;
+}
+
+declare class NullAudioCaptureProtocol extends MovieSceneAudioCaptureProtocolBase { 
+	static Load(ResourceName: string): NullAudioCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): NullAudioCaptureProtocol;
+	static GetDefaultObject(): NullAudioCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NullAudioCaptureProtocol;
+	static C(Other: UObject | any): NullAudioCaptureProtocol;
+}
+
+declare class MasterAudioSubmixCaptureProtocol extends MovieSceneAudioCaptureProtocolBase { 
+	Filename: string;
+	static Load(ResourceName: string): MasterAudioSubmixCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): MasterAudioSubmixCaptureProtocol;
+	static GetDefaultObject(): MasterAudioSubmixCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MasterAudioSubmixCaptureProtocol;
+	static C(Other: UObject | any): MasterAudioSubmixCaptureProtocol;
+}
+
+declare class MovieSceneImageCaptureProtocolBase extends MovieSceneCaptureProtocolBase { 
+	static Load(ResourceName: string): MovieSceneImageCaptureProtocolBase;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneImageCaptureProtocolBase;
+	static GetDefaultObject(): MovieSceneImageCaptureProtocolBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneImageCaptureProtocolBase;
+	static C(Other: UObject | any): MovieSceneImageCaptureProtocolBase;
+}
+
+declare class CompositionGraphCapturePasses { 
+	Value: string[];
+	clone() : CompositionGraphCapturePasses;
+	static C(Other: UObject | any): CompositionGraphCapturePasses;
+}
+
+declare type EHDRCaptureGamut = 'HCGM_Rec709' | 'HCGM_P3DCI' | 'HCGM_Rec2020' | 'HCGM_ACES' | 'HCGM_ACEScg' | 'HCGM_Linear' | 'HCGM_MAX';
+declare var EHDRCaptureGamut : { HCGM_Rec709:'HCGM_Rec709',HCGM_P3DCI:'HCGM_P3DCI',HCGM_Rec2020:'HCGM_Rec2020',HCGM_ACES:'HCGM_ACES',HCGM_ACEScg:'HCGM_ACEScg',HCGM_Linear:'HCGM_Linear',HCGM_MAX:'HCGM_MAX', };
+declare class CompositionGraphCaptureProtocol extends MovieSceneImageCaptureProtocolBase { 
+	IncludeRenderPasses: CompositionGraphCapturePasses;
+	bCaptureFramesInHDR: boolean;
+	HDRCompressionQuality: number;
+	CaptureGamut: EHDRCaptureGamut;
+	PostProcessingMaterial: SoftObjectPath;
+	bDisableScreenPercentage: boolean;
+	PostProcessingMaterialPtr: MaterialInterface;
+	static Load(ResourceName: string): CompositionGraphCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): CompositionGraphCaptureProtocol;
+	static GetDefaultObject(): CompositionGraphCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositionGraphCaptureProtocol;
+	static C(Other: UObject | any): CompositionGraphCaptureProtocol;
+}
+
+declare class FrameGrabberProtocol extends MovieSceneImageCaptureProtocolBase { 
+	static Load(ResourceName: string): FrameGrabberProtocol;
+	static Find(Outer: UObject, ResourceName: string): FrameGrabberProtocol;
+	static GetDefaultObject(): FrameGrabberProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FrameGrabberProtocol;
+	static C(Other: UObject | any): FrameGrabberProtocol;
+}
+
+declare class ImageSequenceProtocol extends FrameGrabberProtocol { 
+	static Load(ResourceName: string): ImageSequenceProtocol;
+	static Find(Outer: UObject, ResourceName: string): ImageSequenceProtocol;
+	static GetDefaultObject(): ImageSequenceProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageSequenceProtocol;
+	static C(Other: UObject | any): ImageSequenceProtocol;
+}
+
+declare class CompressedImageSequenceProtocol extends ImageSequenceProtocol { 
+	CompressionQuality: number;
+	static Load(ResourceName: string): CompressedImageSequenceProtocol;
+	static Find(Outer: UObject, ResourceName: string): CompressedImageSequenceProtocol;
+	static GetDefaultObject(): CompressedImageSequenceProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompressedImageSequenceProtocol;
+	static C(Other: UObject | any): CompressedImageSequenceProtocol;
+}
+
+declare class ImageSequenceProtocol_BMP extends ImageSequenceProtocol { 
+	static Load(ResourceName: string): ImageSequenceProtocol_BMP;
+	static Find(Outer: UObject, ResourceName: string): ImageSequenceProtocol_BMP;
+	static GetDefaultObject(): ImageSequenceProtocol_BMP;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageSequenceProtocol_BMP;
+	static C(Other: UObject | any): ImageSequenceProtocol_BMP;
+}
+
+declare class ImageSequenceProtocol_PNG extends CompressedImageSequenceProtocol { 
+	static Load(ResourceName: string): ImageSequenceProtocol_PNG;
+	static Find(Outer: UObject, ResourceName: string): ImageSequenceProtocol_PNG;
+	static GetDefaultObject(): ImageSequenceProtocol_PNG;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageSequenceProtocol_PNG;
+	static C(Other: UObject | any): ImageSequenceProtocol_PNG;
+}
+
+declare class ImageSequenceProtocol_JPG extends CompressedImageSequenceProtocol { 
+	static Load(ResourceName: string): ImageSequenceProtocol_JPG;
+	static Find(Outer: UObject, ResourceName: string): ImageSequenceProtocol_JPG;
+	static GetDefaultObject(): ImageSequenceProtocol_JPG;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageSequenceProtocol_JPG;
+	static C(Other: UObject | any): ImageSequenceProtocol_JPG;
+}
+
+declare class ImageSequenceProtocol_EXR extends ImageSequenceProtocol { 
+	bCompressed: boolean;
+	CaptureGamut: EHDRCaptureGamut;
+	static Load(ResourceName: string): ImageSequenceProtocol_EXR;
+	static Find(Outer: UObject, ResourceName: string): ImageSequenceProtocol_EXR;
+	static GetDefaultObject(): ImageSequenceProtocol_EXR;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageSequenceProtocol_EXR;
+	static C(Other: UObject | any): ImageSequenceProtocol_EXR;
+}
+
+declare class MovieSceneCaptureInterface extends Interface { 
+	static Load(ResourceName: string): MovieSceneCaptureInterface;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureInterface;
+	static GetDefaultObject(): MovieSceneCaptureInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureInterface;
+	static C(Other: UObject | any): MovieSceneCaptureInterface;
+}
+
+declare class CaptureResolution { 
+	ResX: number;
+	ResY: number;
+	clone() : CaptureResolution;
+	static C(Other: UObject | any): CaptureResolution;
+}
+
+declare class MovieSceneCaptureSettings { 
+	OutputDirectory: DirectoryPath;
+	GameModeOverride: UnrealEngineClass;
+	OutputFormat: string;
+	bOverwriteExisting: boolean;
+	bUseRelativeFrameNumbers: boolean;
+	HandleFrames: number;
+	MovieExtension: string;
+	ZeroPadFrameNumbers: number;
+	FrameRate: FrameRate;
+	Resolution: CaptureResolution;
+	bEnableTextureStreaming: boolean;
+	bCinematicEngineScalability: boolean;
+	bCinematicMode: boolean;
+	bAllowMovement: boolean;
+	bAllowTurning: boolean;
+	bShowPlayer: boolean;
+	bShowHUD: boolean;
+	bUsePathTracer: boolean;
+	PathTracerSamplePerPixel: number;
+	clone() : MovieSceneCaptureSettings;
+	static C(Other: UObject | any): MovieSceneCaptureSettings;
+}
+
+declare class MovieSceneCapture extends UObject { 
+	ImageCaptureProtocolType: SoftClassPath;
+	AudioCaptureProtocolType: SoftClassPath;
+	ImageCaptureProtocol: MovieSceneImageCaptureProtocolBase;
+	AudioCaptureProtocol: MovieSceneAudioCaptureProtocolBase;
+	Settings: MovieSceneCaptureSettings;
+	bUseSeparateProcess: boolean;
+	bCloseEditorWhenCaptureStarts: boolean;
+	AdditionalCommandLineArguments: string;
+	InheritedCommandLineArguments: string;
+	static Load(ResourceName: string): MovieSceneCapture;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCapture;
+	static GetDefaultObject(): MovieSceneCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCapture;
+	SetImageCaptureProtocolType(ProtocolType: UnrealEngineClass): void;
+	SetAudioCaptureProtocolType(ProtocolType: UnrealEngineClass): void;
+	GetImageCaptureProtocol(): MovieSceneCaptureProtocolBase;
+	GetAudioCaptureProtocol(): MovieSceneCaptureProtocolBase;
+	static C(Other: UObject | any): MovieSceneCapture;
+}
+
+declare class LevelCapture extends MovieSceneCapture { 
+	bAutoStartCapture: boolean;
+	PrerequisiteActorId: Guid;
+	static Load(ResourceName: string): LevelCapture;
+	static Find(Outer: UObject, ResourceName: string): LevelCapture;
+	static GetDefaultObject(): LevelCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelCapture;
+	static C(Other: UObject | any): LevelCapture;
+}
+
+declare class MovieSceneCaptureEnvironment extends UObject { 
+	static Load(ResourceName: string): MovieSceneCaptureEnvironment;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCaptureEnvironment;
+	static GetDefaultObject(): MovieSceneCaptureEnvironment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCaptureEnvironment;
+	static IsCaptureInProgress(): boolean;
+	static GetCaptureFrameNumber(): number;
+	static GetCaptureElapsedTime(): number;
+	static FindImageCaptureProtocol(): MovieSceneImageCaptureProtocolBase;
+	static FindAudioCaptureProtocol(): MovieSceneAudioCaptureProtocolBase;
+	static C(Other: UObject | any): MovieSceneCaptureEnvironment;
+}
+
+declare class CapturedPixelsID { 
+	Identifiers: any;
+	clone() : CapturedPixelsID;
+	static C(Other: UObject | any): CapturedPixelsID;
+}
+
+declare class CapturedPixels { 
+	clone() : CapturedPixels;
+	static C(Other: UObject | any): CapturedPixels;
+}
+
+declare class FrameMetrics { 
+	TotalElapsedTime: number;
+	FrameDelta: number;
+	FrameNumber: number;
+	NumDroppedFrames: number;
+	clone() : FrameMetrics;
+	static C(Other: UObject | any): FrameMetrics;
+}
+
+declare class UserDefinedCaptureProtocol extends MovieSceneImageCaptureProtocolBase { 
+	World: World;
+	static Load(ResourceName: string): UserDefinedCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): UserDefinedCaptureProtocol;
+	static GetDefaultObject(): UserDefinedCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedCaptureProtocol;
+	StopCapturingFinalPixels(): void;
+	StartCapturingFinalPixels(StreamID: CapturedPixelsID): void;
+	ResolveBuffer(Buffer: Texture,BufferID: CapturedPixelsID): void;
+	OnWarmUp(): void;
+	OnTick(): void;
+	OnStartCapture(): void;
+	OnSetup(): boolean;
+	OnPreTick(): void;
+	OnPixelsReceived(Pixels: CapturedPixels,ID: CapturedPixelsID,FrameMetrics: FrameMetrics): void;
+	OnPauseCapture(): void;
+	OnFinalize(): void;
+	OnCaptureFrame(): void;
+	OnCanFinalize(): boolean;
+	OnBeginFinalize(): void;
+	GetCurrentFrameMetrics(): FrameMetrics;
+	GenerateFilename(InFrameMetrics: FrameMetrics): string;
+	static C(Other: UObject | any): UserDefinedCaptureProtocol;
+}
+
+declare class UserDefinedImageCaptureProtocol extends UserDefinedCaptureProtocol { 
+	Format: EDesiredImageFormat;
+	bEnableCompression: boolean;
+	CompressionQuality: number;
+	static Load(ResourceName: string): UserDefinedImageCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): UserDefinedImageCaptureProtocol;
+	static GetDefaultObject(): UserDefinedImageCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedImageCaptureProtocol;
+	WriteImageToDisk(PixelData: CapturedPixels,StreamID: CapturedPixelsID,FrameMetrics: FrameMetrics,bCopyImageData: boolean): void;
+	GenerateFilenameForCurrentFrame(): string;
+	GenerateFilenameForBuffer(Buffer: Texture,StreamID: CapturedPixelsID): string;
+	static C(Other: UObject | any): UserDefinedImageCaptureProtocol;
+}
+
+declare class VideoCaptureProtocol extends FrameGrabberProtocol { 
+	bUseCompression: boolean;
+	CompressionQuality: number;
+	static Load(ResourceName: string): VideoCaptureProtocol;
+	static Find(Outer: UObject, ResourceName: string): VideoCaptureProtocol;
+	static GetDefaultObject(): VideoCaptureProtocol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VideoCaptureProtocol;
+	static C(Other: UObject | any): VideoCaptureProtocol;
+}
+
+declare class CurveEditorKeyProxy extends Interface { 
+	static Load(ResourceName: string): CurveEditorKeyProxy;
+	static Find(Outer: UObject, ResourceName: string): CurveEditorKeyProxy;
+	static GetDefaultObject(): CurveEditorKeyProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEditorKeyProxy;
+	static C(Other: UObject | any): CurveEditorKeyProxy;
 }
 
-declare class AnimGraphNode_BlendSpaceEvaluator extends AnimGraphNode_BlendSpaceBase { 
-	UNode: AnimNode_BlendSpaceEvaluator;
-	static Load(ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
-	static GetDefaultObject(): AnimGraphNode_BlendSpaceEvaluator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceEvaluator;
-	static C(Other: UObject | any): AnimGraphNode_BlendSpaceEvaluator;
+declare type ECurveEditorTangentVisibility = 'AllTangents' | 'SelectedKeys' | 'NoTangents' | 'ECurveEditorTangentVisibility_MAX';
+declare var ECurveEditorTangentVisibility : { AllTangents:'AllTangents',SelectedKeys:'SelectedKeys',NoTangents:'NoTangents',ECurveEditorTangentVisibility_MAX:'ECurveEditorTangentVisibility_MAX', };
+declare class CurveEditorSettings extends UObject { 
+	bAutoFrameCurveEditor: boolean;
+	bShowCurveEditorCurveToolTips: boolean;
+	TangentVisibility: ECurveEditorTangentVisibility;
+	static Load(ResourceName: string): CurveEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): CurveEditorSettings;
+	static GetDefaultObject(): CurveEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEditorSettings;
+	static C(Other: UObject | any): CurveEditorSettings;
 }
 
-declare class AnimGraphNode_BlendSpacePlayer extends AnimGraphNode_BlendSpaceBase { 
-	UNode: AnimNode_BlendSpacePlayer;
-	static Load(ResourceName: string): AnimGraphNode_BlendSpacePlayer;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpacePlayer;
-	static GetDefaultObject(): AnimGraphNode_BlendSpacePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpacePlayer;
-	static C(Other: UObject | any): AnimGraphNode_BlendSpacePlayer;
+declare class CameraRig_Crane extends Actor { 
+	CranePitch: number;
+	CraneYaw: number;
+	CraneArmLength: number;
+	bLockMountPitch: boolean;
+	bLockMountYaw: boolean;
+	TransformComponent: SceneComponent;
+	CraneYawControl: SceneComponent;
+	CranePitchControl: SceneComponent;
+	CraneCameraMount: SceneComponent;
+	PreviewMesh_CraneArm: StaticMeshComponent;
+	PreviewMesh_CraneBase: StaticMeshComponent;
+	PreviewMesh_CraneMount: StaticMeshComponent;
+	PreviewMesh_CraneCounterWeight: StaticMeshComponent;
+	static GetDefaultObject(): CameraRig_Crane;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraRig_Crane;
+	static C(Other: UObject | any): CameraRig_Crane;
+}
+
+declare class CameraRig_Rail extends Actor { 
+	CurrentPositionOnRail: number;
+	bLockOrientationToRail: boolean;
+	TransformComponent: SceneComponent;
+	RailSplineComponent: SplineComponent;
+	RailCameraMount: SceneComponent;
+	PreviewMesh_Rail: SplineMeshComponent;
+	PreviewRailMeshSegments: SplineMeshComponent[];
+	PreviewRailStaticMesh: StaticMesh;
+	PreviewMesh_Mount: StaticMeshComponent;
+	static GetDefaultObject(): CameraRig_Rail;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraRig_Rail;
+	static C(Other: UObject | any): CameraRig_Rail;
+}
+
+declare class CameraLookatTrackingSettings { 
+	bEnableLookAtTracking: boolean;
+	bDrawDebugLookAtTrackingPosition: boolean;
+	LookAtTrackingInterpSpeed: number;
+	ActorToTrack: Actor;
+	RelativeOffset: Vector;
+	bAllowRoll: boolean;
+	clone() : CameraLookatTrackingSettings;
+	static C(Other: UObject | any): CameraLookatTrackingSettings;
+}
+
+declare class CameraFilmbackSettings { 
+	SensorWidth: number;
+	SensorHeight: number;
+	SensorAspectRatio: number;
+	clone() : CameraFilmbackSettings;
+	static C(Other: UObject | any): CameraFilmbackSettings;
+}
+
+declare class CameraLensSettings { 
+	MinFocalLength: number;
+	MaxFocalLength: number;
+	MinFStop: number;
+	MaxFStop: number;
+	MinimumFocusDistance: number;
+	DiaphragmBladeCount: number;
+	clone() : CameraLensSettings;
+	static C(Other: UObject | any): CameraLensSettings;
+}
+
+declare type ECameraFocusMethod = 'None' | 'Manual' | 'Tracking' | 'ECameraFocusMethod_MAX';
+declare var ECameraFocusMethod : { None:'None',Manual:'Manual',Tracking:'Tracking',ECameraFocusMethod_MAX:'ECameraFocusMethod_MAX', };
+declare class CameraTrackingFocusSettings { 
+	ActorToTrack: Actor;
+	RelativeOffset: Vector;
+	bDrawDebugTrackingFocusPoint: boolean;
+	clone() : CameraTrackingFocusSettings;
+	static C(Other: UObject | any): CameraTrackingFocusSettings;
+}
+
+declare class CameraFocusSettings { 
+	FocusMethod: ECameraFocusMethod;
+	ManualFocusDistance: number;
+	TrackingFocusSettings: CameraTrackingFocusSettings;
+	bDrawDebugFocusPlane: boolean;
+	DebugFocusPlaneColor: Color;
+	bSmoothFocusChanges: boolean;
+	FocusSmoothingInterpSpeed: number;
+	FocusOffset: number;
+	clone() : CameraFocusSettings;
+	static C(Other: UObject | any): CameraFocusSettings;
+}
+
+declare class NamedFilmbackPreset { 
+	Name: string;
+	FilmbackSettings: CameraFilmbackSettings;
+	clone() : NamedFilmbackPreset;
+	static C(Other: UObject | any): NamedFilmbackPreset;
 }
 
-declare type EComponentType = 'None' | 'TranslationX' | 'TranslationY' | 'TranslationZ' | 'RotationX' | 'RotationY' | 'RotationZ' | 'Scale' | 'ScaleX' | 'ScaleY' | 'ScaleZ' | 'EComponentType_MAX';
-declare var EComponentType : { None:'None',TranslationX:'TranslationX',TranslationY:'TranslationY',TranslationZ:'TranslationZ',RotationX:'RotationX',RotationY:'RotationY',RotationZ:'RotationZ',Scale:'Scale',ScaleX:'ScaleX',ScaleY:'ScaleY',ScaleZ:'ScaleZ',EComponentType_MAX:'EComponentType_MAX', };
-declare type EDrivenDestinationMode = 'Bone' | 'MorphTarget' | 'MaterialParameter' | 'EDrivenDestinationMode_MAX';
-declare var EDrivenDestinationMode : { Bone:'Bone',MorphTarget:'MorphTarget',MaterialParameter:'MaterialParameter',EDrivenDestinationMode_MAX:'EDrivenDestinationMode_MAX', };
-declare type EDrivenBoneModificationMode = 'AddToInput' | 'ReplaceComponent' | 'AddToRefPose' | 'EDrivenBoneModificationMode_MAX';
-declare var EDrivenBoneModificationMode : { AddToInput:'AddToInput',ReplaceComponent:'ReplaceComponent',AddToRefPose:'AddToRefPose',EDrivenBoneModificationMode_MAX:'EDrivenBoneModificationMode_MAX', };
-declare class AnimNode_BoneDrivenController extends AnimNode_SkeletalControlBase { 
-	SourceBone: BoneReference;
-	SourceComponent: EComponentType;
-	DrivingCurve: CurveFloat;
-	Multiplier: number;
-	bUseRange: boolean;
-	RangeMin: number;
-	RangeMax: number;
-	RemappedMin: number;
-	RemappedMax: number;
-	DestinationMode: EDrivenDestinationMode;
-	ParameterName: string;
-	TargetBone: BoneReference;
-	TargetComponent: EComponentType;
-	bAffectTargetTranslationX: boolean;
-	bAffectTargetTranslationY: boolean;
-	bAffectTargetTranslationZ: boolean;
-	bAffectTargetRotationX: boolean;
-	bAffectTargetRotationY: boolean;
-	bAffectTargetRotationZ: boolean;
-	bAffectTargetScaleX: boolean;
-	bAffectTargetScaleY: boolean;
-	bAffectTargetScaleZ: boolean;
-	ModificationMode: EDrivenBoneModificationMode;
-	clone() : AnimNode_BoneDrivenController;
-	static C(Other: UObject | any): AnimNode_BoneDrivenController;
+declare class NamedLensPreset { 
+	Name: string;
+	LensSettings: CameraLensSettings;
+	clone() : NamedLensPreset;
+	static C(Other: UObject | any): NamedLensPreset;
+}
+
+declare class CineCameraComponent extends CameraComponent { 
+	FilmbackSettings: CameraFilmbackSettings;
+	LensSettings: CameraLensSettings;
+	FocusSettings: CameraFocusSettings;
+	CurrentFocalLength: number;
+	CurrentAperture: number;
+	CurrentFocusDistance: number;
+	CurrentHorizontalFOV: number;
+	FocusPlaneVisualizationMesh: StaticMesh;
+	FocusPlaneVisualizationMaterial: Material;
+	DebugFocusPlaneComponent: StaticMeshComponent;
+	DebugFocusPlaneMID: MaterialInstanceDynamic;
+	FilmbackPresets: NamedFilmbackPreset[];
+	LensPresets: NamedLensPreset[];
+	DefaultFilmbackPresetName: string;
+	DefaultLensPresetName: string;
+	DefaultLensFocalLength: number;
+	DefaultLensFStop: number;
+	static Load(ResourceName: string): CineCameraComponent;
+	static Find(Outer: UObject, ResourceName: string): CineCameraComponent;
+	static GetDefaultObject(): CineCameraComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CineCameraComponent;
+	SetLensPresetByName(InPresetName: string): void;
+	SetFilmbackPresetByName(InPresetName: string): void;
+	GetVerticalFieldOfView(): number;
+	GetLensPresetName(): string;
+	GetHorizontalFieldOfView(): number;
+	GetFilmbackPresetName(): string;
+	static C(Other: UObject | any): CineCameraComponent;
+}
+
+declare class CineCameraActor extends CameraActor { 
+	LookatTrackingSettings: CameraLookatTrackingSettings;
+	static GetDefaultObject(): CineCameraActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CineCameraActor;
+	GetCineCameraComponent(): CineCameraComponent;
+	static C(Other: UObject | any): CineCameraActor;
+}
+
+declare class LevelSequenceBurnInInitSettings extends UObject { 
+	static Load(ResourceName: string): LevelSequenceBurnInInitSettings;
+	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnInInitSettings;
+	static GetDefaultObject(): LevelSequenceBurnInInitSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnInInitSettings;
+	static C(Other: UObject | any): LevelSequenceBurnInInitSettings;
+}
+
+declare class LevelSequenceBurnInOptions extends UObject { 
+	bUseBurnIn: boolean;
+	BurnInClass: SoftClassPath;
+	Settings: LevelSequenceBurnInInitSettings;
+	static Load(ResourceName: string): LevelSequenceBurnInOptions;
+	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnInOptions;
+	static GetDefaultObject(): LevelSequenceBurnInOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnInOptions;
+	SetBurnIn(InBurnInClass: SoftClassPath): void;
+	static C(Other: UObject | any): LevelSequenceBurnInOptions;
+}
+
+declare class AutomatedLevelSequenceCapture extends MovieSceneCapture { 
+	LevelSequenceAsset: SoftObjectPath;
+	bUseCustomStartFrame: boolean;
+	CustomStartFrame: FrameNumber;
+	bUseCustomEndFrame: boolean;
+	CustomEndFrame: FrameNumber;
+	WarmUpFrameCount: number;
+	DelayBeforeWarmUp: number;
+	DelayBeforeShotWarmUp: number;
+	BurnInOptions: LevelSequenceBurnInOptions;
+	bWriteEditDecisionList: boolean;
+	bWriteFinalCutProXML: boolean;
+	LevelSequenceActor: any;
+	static Load(ResourceName: string): AutomatedLevelSequenceCapture;
+	static Find(Outer: UObject, ResourceName: string): AutomatedLevelSequenceCapture;
+	static GetDefaultObject(): AutomatedLevelSequenceCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomatedLevelSequenceCapture;
+	static C(Other: UObject | any): AutomatedLevelSequenceCapture;
+}
+
+declare class FloatChannelKeyProxy extends UObject { 
+	Time: FrameNumber;
+	Value: MovieSceneFloatValue;
+	static Load(ResourceName: string): FloatChannelKeyProxy;
+	static Find(Outer: UObject, ResourceName: string): FloatChannelKeyProxy;
+	static GetDefaultObject(): FloatChannelKeyProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatChannelKeyProxy;
+	static C(Other: UObject | any): FloatChannelKeyProxy;
+}
+
+declare class K2Node extends EdGraphNode { 
+	static Load(ResourceName: string): K2Node;
+	static Find(Outer: UObject, ResourceName: string): K2Node;
+	static GetDefaultObject(): K2Node;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node;
+	static C(Other: UObject | any): K2Node;
+}
+
+declare type EMovieSceneObjectBindingSpace = 'Local' | 'Root' | 'EMovieSceneObjectBindingSpace_MAX';
+declare var EMovieSceneObjectBindingSpace : { Local:'Local',Root:'Root',EMovieSceneObjectBindingSpace_MAX:'EMovieSceneObjectBindingSpace_MAX', };
+declare class MovieSceneObjectBindingID { 
+	SequenceID: number;
+	Space: EMovieSceneObjectBindingSpace;
+	Guid: Guid;
+	clone() : MovieSceneObjectBindingID;
+	static C(Other: UObject | any): MovieSceneObjectBindingID;
+}
+
+declare class K2Node_GetSequenceBinding extends K2Node { 
+	SourceSequence: SoftObjectPath;
+	Binding: MovieSceneObjectBindingID;
+	static Load(ResourceName: string): K2Node_GetSequenceBinding;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetSequenceBinding;
+	static GetDefaultObject(): K2Node_GetSequenceBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSequenceBinding;
+	static C(Other: UObject | any): K2Node_GetSequenceBinding;
+}
+
+declare class GetSequenceBindingGuidMapping { 
+	PinName: string;
+	Guid: Guid;
+	clone() : GetSequenceBindingGuidMapping;
+	static C(Other: UObject | any): GetSequenceBindingGuidMapping;
+}
+
+declare class K2Node_GetSequenceBindings extends K2Node { 
+	BindingGuids: GetSequenceBindingGuidMapping[];
+	Sequence: MovieSceneSequence;
+	static Load(ResourceName: string): K2Node_GetSequenceBindings;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetSequenceBindings;
+	static GetDefaultObject(): K2Node_GetSequenceBindings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSequenceBindings;
+	static C(Other: UObject | any): K2Node_GetSequenceBindings;
 }
 
-declare class AnimGraphNode_BoneDrivenController extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_BoneDrivenController;
-	static Load(ResourceName: string): AnimGraphNode_BoneDrivenController;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BoneDrivenController;
-	static GetDefaultObject(): AnimGraphNode_BoneDrivenController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BoneDrivenController;
-	static C(Other: UObject | any): AnimGraphNode_BoneDrivenController;
+declare class MovieSceneToolsPropertyTrackSettings { 
+	ComponentName: string;
+	PropertyName: string;
+	clone() : MovieSceneToolsPropertyTrackSettings;
+	static C(Other: UObject | any): MovieSceneToolsPropertyTrackSettings;
+}
+
+declare class MovieSceneToolsFbxSettings { 
+	FbxPropertyName: string;
+	PropertyPath: MovieSceneToolsPropertyTrackSettings;
+	clone() : MovieSceneToolsFbxSettings;
+	static C(Other: UObject | any): MovieSceneToolsFbxSettings;
+}
+
+declare class MovieSceneToolsProjectSettings extends UObject { 
+	DefaultStartTime: number;
+	DefaultDuration: number;
+	ShotDirectory: string;
+	ShotPrefix: string;
+	FirstShotNumber: any;
+	ShotIncrement: any;
+	ShotNumDigits: any;
+	TakeNumDigits: any;
+	FirstTakeNumber: any;
+	TakeSeparator: string;
+	SubSequenceSeparator: string;
+	FbxSettings: MovieSceneToolsFbxSettings[];
+	static Load(ResourceName: string): MovieSceneToolsProjectSettings;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneToolsProjectSettings;
+	static GetDefaultObject(): MovieSceneToolsProjectSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneToolsProjectSettings;
+	static C(Other: UObject | any): MovieSceneToolsProjectSettings;
+}
+
+declare type EThumbnailQuality = 'Draft' | 'Normal' | 'Best' | 'EThumbnailQuality_MAX';
+declare var EThumbnailQuality : { Draft:'Draft',Normal:'Normal',Best:'Best',EThumbnailQuality_MAX:'EThumbnailQuality_MAX', };
+declare class MovieSceneUserThumbnailSettings extends UObject { 
+	bDrawThumbnails: boolean;
+	bDrawSingleThumbnails: boolean;
+	ThumbnailSize: IntPoint;
+	Quality: EThumbnailQuality;
+	static Load(ResourceName: string): MovieSceneUserThumbnailSettings;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneUserThumbnailSettings;
+	static GetDefaultObject(): MovieSceneUserThumbnailSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneUserThumbnailSettings;
+	static C(Other: UObject | any): MovieSceneUserThumbnailSettings;
+}
+
+declare class MovieSceneUserImportFBXSettings extends UObject { 
+	bMatchByNameOnly: boolean;
+	bForceFrontXAxis: boolean;
+	bCreateCameras: boolean;
+	bReduceKeys: boolean;
+	ReduceKeysTolerance: number;
+	static Load(ResourceName: string): MovieSceneUserImportFBXSettings;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneUserImportFBXSettings;
+	static GetDefaultObject(): MovieSceneUserImportFBXSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneUserImportFBXSettings;
+	static C(Other: UObject | any): MovieSceneUserImportFBXSettings;
+}
+
+declare class K2Node_ConstructObjectFromClass extends K2Node { 
+	static Load(ResourceName: string): K2Node_ConstructObjectFromClass;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConstructObjectFromClass;
+	static GetDefaultObject(): K2Node_ConstructObjectFromClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConstructObjectFromClass;
+	static C(Other: UObject | any): K2Node_ConstructObjectFromClass;
+}
+
+declare class K2Node_CreateDragDropOperation extends K2Node_ConstructObjectFromClass { 
+	static Load(ResourceName: string): K2Node_CreateDragDropOperation;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CreateDragDropOperation;
+	static GetDefaultObject(): K2Node_CreateDragDropOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateDragDropOperation;
+	static C(Other: UObject | any): K2Node_CreateDragDropOperation;
+}
+
+declare class K2Node_CreateWidget extends K2Node_ConstructObjectFromClass { 
+	static Load(ResourceName: string): K2Node_CreateWidget;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CreateWidget;
+	static GetDefaultObject(): K2Node_CreateWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateWidget;
+	static C(Other: UObject | any): K2Node_CreateWidget;
+}
+
+declare class K2Node_EditablePinBase extends K2Node { 
+	bIsEditable: boolean;
+	static Load(ResourceName: string): K2Node_EditablePinBase;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EditablePinBase;
+	static GetDefaultObject(): K2Node_EditablePinBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EditablePinBase;
+	static C(Other: UObject | any): K2Node_EditablePinBase;
+}
+
+declare class MemberReference { 
+	MemberParent: UObject;
+	MemberScope: string;
+	MemberName: string;
+	MemberGuid: Guid;
+	bSelfContext: boolean;
+	bWasDeprecated: boolean;
+	clone() : MemberReference;
+	static C(Other: UObject | any): MemberReference;
+}
+
+declare class K2Node_Event extends K2Node_EditablePinBase { 
+	EventSignatureName: string;
+	EventSignatureClass: UnrealEngineClass;
+	EventReference: MemberReference;
+	bOverrideFunction: boolean;
+	bInternalEvent: boolean;
+	CustomFunctionName: string;
+	FunctionFlags: any;
+	static Load(ResourceName: string): K2Node_Event;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Event;
+	static GetDefaultObject(): K2Node_Event;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Event;
+	static C(Other: UObject | any): K2Node_Event;
+}
+
+declare class BaseWidgetBlueprint extends Blueprint { 
+	WidgetTree: WidgetTree;
+	static Load(ResourceName: string): BaseWidgetBlueprint;
+	static Find(Outer: UObject, ResourceName: string): BaseWidgetBlueprint;
+	static GetDefaultObject(): BaseWidgetBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BaseWidgetBlueprint;
+	static C(Other: UObject | any): BaseWidgetBlueprint;
 }
 
-declare class AnimNode_ConvertComponentToLocalSpace extends AnimNode_Base { 
-	ComponentPose: ComponentSpacePoseLink;
-	clone() : AnimNode_ConvertComponentToLocalSpace;
-	static C(Other: UObject | any): AnimNode_ConvertComponentToLocalSpace;
+declare class EditorPropertyPathSegment { 
+	struct: Struct;
+	MemberName: string;
+	MemberGuid: Guid;
+	IsProperty: boolean;
+	clone() : EditorPropertyPathSegment;
+	static C(Other: UObject | any): EditorPropertyPathSegment;
 }
 
-declare class AnimGraphNode_ComponentToLocalSpace extends AnimGraphNode_Base { 
-	UNode: AnimNode_ConvertComponentToLocalSpace;
-	static Load(ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
-	static GetDefaultObject(): AnimGraphNode_ComponentToLocalSpace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ComponentToLocalSpace;
-	static C(Other: UObject | any): AnimGraphNode_ComponentToLocalSpace;
+declare class EditorPropertyPath { 
+	Segments: EditorPropertyPathSegment[];
+	clone() : EditorPropertyPath;
+	static C(Other: UObject | any): EditorPropertyPath;
 }
 
-declare type EConstraintOffsetOption = 'None' | 'Offset_RefPose' | 'EConstraintOffsetOption_MAX';
-declare var EConstraintOffsetOption : { None:'None',Offset_RefPose:'Offset_RefPose',EConstraintOffsetOption_MAX:'EConstraintOffsetOption_MAX', };
-declare type ETransformConstraintType = 'Translation' | 'Rotation' | 'Scale' | 'Parent' | 'ETransformConstraintType_MAX';
-declare var ETransformConstraintType : { Translation:'Translation',Rotation:'Rotation',Scale:'Scale',Parent:'Parent',ETransformConstraintType_MAX:'ETransformConstraintType_MAX', };
-declare class FilterOptionPerAxis { 
-	bX: boolean;
-	bY: boolean;
-	bZ: boolean;
-	clone() : FilterOptionPerAxis;
-	static C(Other: UObject | any): FilterOptionPerAxis;
+declare type EBindingKind = 'Function' | 'Property' | 'EBindingKind_MAX';
+declare var EBindingKind : { Function:'Function',Property:'Property',EBindingKind_MAX:'EBindingKind_MAX', };
+declare class DelegateEditorBinding { 
+	ObjectName: string;
+	PropertyName: string;
+	FunctionName: string;
+	SourceProperty: string;
+	SourcePath: EditorPropertyPath;
+	MemberGuid: Guid;
+	Kind: EBindingKind;
+	clone() : DelegateEditorBinding;
+	static C(Other: UObject | any): DelegateEditorBinding;
 }
 
-declare class Constraint { 
-	TargetBone: BoneReference;
-	OffsetOption: EConstraintOffsetOption;
-	TransformType: ETransformConstraintType;
-	PerAxis: FilterOptionPerAxis;
-	clone() : Constraint;
-	static C(Other: UObject | any): Constraint;
+declare class WidgetAnimation_DEPRECATED { 
+	MovieScene: MovieScene;
+	AnimationBindings: WidgetAnimationBinding[];
+	clone() : WidgetAnimation_DEPRECATED;
+	static C(Other: UObject | any): WidgetAnimation_DEPRECATED;
+}
+
+declare type EWidgetSupportsDynamicCreation = 'Default' | 'Yes' | 'No' | 'EWidgetSupportsDynamicCreation_MAX';
+declare var EWidgetSupportsDynamicCreation : { Default:'Default',Yes:'Yes',No:'No',EWidgetSupportsDynamicCreation_MAX:'EWidgetSupportsDynamicCreation_MAX', };
+declare type EWidgetCompileTimeTickPrediction = 'WontTick' | 'OnDemand' | 'WillTick' | 'EWidgetCompileTimeTickPrediction_MAX';
+declare var EWidgetCompileTimeTickPrediction : { WontTick:'WontTick',OnDemand:'OnDemand',WillTick:'WillTick',EWidgetCompileTimeTickPrediction_MAX:'EWidgetCompileTimeTickPrediction_MAX', };
+declare class WidgetBlueprint extends BaseWidgetBlueprint { 
+	Bindings: DelegateEditorBinding[];
+	AnimationData: WidgetAnimation_DEPRECATED[];
+	Animations: WidgetAnimation[];
+	PaletteCategory: string;
+	bForceSlowConstructionPath: boolean;
+	SupportDynamicCreation: EWidgetSupportsDynamicCreation;
+	InclusiveWidgets: number;
+	EstimatedTemplateSize: number;
+	TickFrequency: EWidgetTickFrequency;
+	TickPrediction: EWidgetCompileTimeTickPrediction;
+	TickPredictionReason: string;
+	PropertyBindings: number;
+	static Load(ResourceName: string): WidgetBlueprint;
+	static Find(Outer: UObject, ResourceName: string): WidgetBlueprint;
+	static GetDefaultObject(): WidgetBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprint;
+	static C(Other: UObject | any): WidgetBlueprint;
+}
+
+declare class K2Node_WidgetAnimationEvent extends K2Node_Event { 
+	Action: EWidgetAnimationEvent;
+	AnimationPropertyName: string;
+	UserTag: string;
+	SourceWidgetBlueprint: WidgetBlueprint;
+	static Load(ResourceName: string): K2Node_WidgetAnimationEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_WidgetAnimationEvent;
+	static GetDefaultObject(): K2Node_WidgetAnimationEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_WidgetAnimationEvent;
+	static C(Other: UObject | any): K2Node_WidgetAnimationEvent;
+}
+
+declare class AutomatedAssetImportData extends UObject { 
+	GroupName: string;
+	Filenames: string[];
+	DestinationPath: string;
+	FactoryName: string;
+	bReplaceExisting: boolean;
+	bSkipReadOnly: boolean;
+	Factory: Factory;
+	LevelToLoad: string;
+	static Load(ResourceName: string): AutomatedAssetImportData;
+	static Find(Outer: UObject, ResourceName: string): AutomatedAssetImportData;
+	static GetDefaultObject(): AutomatedAssetImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomatedAssetImportData;
+	static C(Other: UObject | any): AutomatedAssetImportData;
+}
+
+declare class AssetImportTask extends UObject { 
+	Filename: string;
+	DestinationPath: string;
+	DestinationName: string;
+	bReplaceExisting: boolean;
+	bAutomated: boolean;
+	bSave: boolean;
+	Factory: Factory;
+	Options: UObject;
+	ImportedObjectPaths: string[];
+	Result: UObject;
+	static Load(ResourceName: string): AssetImportTask;
+	static Find(Outer: UObject, ResourceName: string): AssetImportTask;
+	static GetDefaultObject(): AssetImportTask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetImportTask;
+	static C(Other: UObject | any): AssetImportTask;
+}
+
+declare class Factory extends UObject { 
+	bCreateNew: boolean;
+	SupportedClass: UnrealEngineClass;
+	ContextClass: UnrealEngineClass;
+	Formats: string[];
+	bEditAfterNew: boolean;
+	bEditorImport: boolean;
+	bText: boolean;
+	ImportPriority: number;
+	AutomatedImportData: AutomatedAssetImportData;
+	AssetImportTask: AssetImportTask;
+	OverwriteYesOrNoToAllState: number;
+	static Load(ResourceName: string): Factory;
+	static Find(Outer: UObject, ResourceName: string): Factory;
+	static GetDefaultObject(): Factory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Factory;
+	ScriptFactoryCreateFile(InTask: AssetImportTask): boolean;
+	ScriptFactoryCanImport(Filename: string): boolean;
+	static C(Other: UObject | any): Factory;
+}
+
+declare class SlateVectorArtDataFactory extends Factory { 
+	static Load(ResourceName: string): SlateVectorArtDataFactory;
+	static Find(Outer: UObject, ResourceName: string): SlateVectorArtDataFactory;
+	static GetDefaultObject(): SlateVectorArtDataFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateVectorArtDataFactory;
+	static C(Other: UObject | any): SlateVectorArtDataFactory;
+}
+
+declare class DeveloperSettings extends UObject { 
+	static Load(ResourceName: string): DeveloperSettings;
+	static Find(Outer: UObject, ResourceName: string): DeveloperSettings;
+	static GetDefaultObject(): DeveloperSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeveloperSettings;
+	static C(Other: UObject | any): DeveloperSettings;
+}
+
+declare type EPropertyBindingPermissionLevel = 'Allow' | 'Prevent' | 'PreventAndWarn' | 'PreventAndError' | 'EPropertyBindingPermissionLevel_MAX';
+declare var EPropertyBindingPermissionLevel : { Allow:'Allow',Prevent:'Prevent',PreventAndWarn:'PreventAndWarn',PreventAndError:'PreventAndError',EPropertyBindingPermissionLevel_MAX:'EPropertyBindingPermissionLevel_MAX', };
+declare class WidgetCompilerOptions { 
+	bCookSlowConstructionWidgetTree: boolean;
+	bWidgetSupportsDynamicCreation: boolean;
+	bAllowBlueprintTick: boolean;
+	bAllowBlueprintPaint: boolean;
+	PropertyBindingRule: EPropertyBindingPermissionLevel;
+	Rules: Class[];
+	clone() : WidgetCompilerOptions;
+	static C(Other: UObject | any): WidgetCompilerOptions;
 }
 
-declare class AnimNode_Constraint extends AnimNode_SkeletalControlBase { 
-	BoneToModify: BoneReference;
-	ConstraintSetup: Constraint[];
-	ConstraintWeights: number[];
-	clone() : AnimNode_Constraint;
-	static C(Other: UObject | any): AnimNode_Constraint;
+declare class DirectoryWidgetCompilerOptions { 
+	Directory: DirectoryPath;
+	IgnoredWidgets: WidgetBlueprint[];
+	Options: WidgetCompilerOptions;
+	clone() : DirectoryWidgetCompilerOptions;
+	static C(Other: UObject | any): DirectoryWidgetCompilerOptions;
 }
 
-declare class AnimGraphNode_Constraint extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_Constraint;
-	static Load(ResourceName: string): AnimGraphNode_Constraint;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Constraint;
-	static GetDefaultObject(): AnimGraphNode_Constraint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Constraint;
-	static C(Other: UObject | any): AnimGraphNode_Constraint;
-}
-
-declare class AnimNode_CopyBone extends AnimNode_SkeletalControlBase { 
-	SourceBone: BoneReference;
-	TargetBone: BoneReference;
-	bCopyTranslation: boolean;
-	bCopyRotation: boolean;
-	bCopyScale: boolean;
-	ControlSpace: EBoneControlSpace;
-	clone() : AnimNode_CopyBone;
-	static C(Other: UObject | any): AnimNode_CopyBone;
-}
-
-declare class AnimGraphNode_CopyBone extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_CopyBone;
-	static Load(ResourceName: string): AnimGraphNode_CopyBone;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBone;
-	static GetDefaultObject(): AnimGraphNode_CopyBone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBone;
-	static C(Other: UObject | any): AnimGraphNode_CopyBone;
-}
-
-declare type CopyBoneDeltaMode = 'Accumulate' | 'Copy' | 'CopyBoneDeltaMode_MAX';
-declare var CopyBoneDeltaMode : { Accumulate:'Accumulate',Copy:'Copy',CopyBoneDeltaMode_MAX:'CopyBoneDeltaMode_MAX', };
-declare class AnimNode_CopyBoneDelta extends AnimNode_SkeletalControlBase { 
-	SourceBone: BoneReference;
-	TargetBone: BoneReference;
-	bCopyTranslation: boolean;
-	bCopyRotation: boolean;
-	bCopyScale: boolean;
-	CopyMode: CopyBoneDeltaMode;
-	TranslationMultiplier: number;
-	RotationMultiplier: number;
-	ScaleMultiplier: number;
-	clone() : AnimNode_CopyBoneDelta;
-	static C(Other: UObject | any): AnimNode_CopyBoneDelta;
+declare class DebugResolution { 
+	Width: number;
+	Height: number;
+	Description: string;
+	Color: LinearColor;
+	clone() : DebugResolution;
+	static C(Other: UObject | any): DebugResolution;
+}
+
+declare class UMGEditorProjectSettings extends DeveloperSettings { 
+	DefaultCompilerOptions: WidgetCompilerOptions;
+	DirectoryCompilerOptions: DirectoryWidgetCompilerOptions[];
+	bShowWidgetsFromEngineContent: boolean;
+	bShowWidgetsFromDeveloperContent: boolean;
+	CategoriesToHide: string[];
+	WidgetClassesToHide: SoftClassPath[];
+	DefaultRootWidget: UnrealEngineClass;
+	DebugResolutions: DebugResolution[];
+	Version: number;
+	bCookSlowConstructionWidgetTree: boolean;
+	bWidgetSupportsDynamicCreation: boolean;
+	static Load(ResourceName: string): UMGEditorProjectSettings;
+	static Find(Outer: UObject, ResourceName: string): UMGEditorProjectSettings;
+	static GetDefaultObject(): UMGEditorProjectSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UMGEditorProjectSettings;
+	static C(Other: UObject | any): UMGEditorProjectSettings;
 }
 
-declare class AnimGraphNode_CopyBoneDelta extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_CopyBoneDelta;
-	static Load(ResourceName: string): AnimGraphNode_CopyBoneDelta;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBoneDelta;
-	static GetDefaultObject(): AnimGraphNode_CopyBoneDelta;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBoneDelta;
-	static C(Other: UObject | any): AnimGraphNode_CopyBoneDelta;
+declare class WidgetBlueprintFactory extends Factory { 
+	BlueprintType: EBlueprintType;
+	ParentClass: UnrealEngineClass;
+	static Load(ResourceName: string): WidgetBlueprintFactory;
+	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintFactory;
+	static GetDefaultObject(): WidgetBlueprintFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintFactory;
+	static C(Other: UObject | any): WidgetBlueprintFactory;
+}
+
+declare class WidgetCompilerRule extends UObject { 
+	static Load(ResourceName: string): WidgetCompilerRule;
+	static Find(Outer: UObject, ResourceName: string): WidgetCompilerRule;
+	static GetDefaultObject(): WidgetCompilerRule;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetCompilerRule;
+	static C(Other: UObject | any): WidgetCompilerRule;
+}
+
+declare class WidgetDesignerSettings extends DeveloperSettings { 
+	GridSnapEnabled: boolean;
+	GridSnapSize: number;
+	bLockToPanelOnDragByDefault: boolean;
+	bShowOutlines: boolean;
+	bExecutePreConstructEvent: boolean;
+	bRespectLocks: boolean;
+	static Load(ResourceName: string): WidgetDesignerSettings;
+	static Find(Outer: UObject, ResourceName: string): WidgetDesignerSettings;
+	static GetDefaultObject(): WidgetDesignerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetDesignerSettings;
+	static C(Other: UObject | any): WidgetDesignerSettings;
+}
+
+declare class BlueprintCallableFunctionRedirect { 
+	ClassName: string;
+	OldFunctionName: string;
+	NewFunctionName: string;
+	BlueprintParamName: string;
+	ClassParamName: string;
+	clone() : BlueprintCallableFunctionRedirect;
+	static C(Other: UObject | any): BlueprintCallableFunctionRedirect;
+}
+
+declare class EdGraphSchema_K2 extends EdGraphSchema { 
+	EditoronlyBPFunctionRedirects: BlueprintCallableFunctionRedirect[];
+	static Load(ResourceName: string): EdGraphSchema_K2;
+	static Find(Outer: UObject, ResourceName: string): EdGraphSchema_K2;
+	static GetDefaultObject(): EdGraphSchema_K2;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphSchema_K2;
+	static C(Other: UObject | any): EdGraphSchema_K2;
+}
+
+declare class WidgetGraphSchema extends EdGraphSchema_K2 { 
+	static Load(ResourceName: string): WidgetGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): WidgetGraphSchema;
+	static GetDefaultObject(): WidgetGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetGraphSchema;
+	static C(Other: UObject | any): WidgetGraphSchema;
+}
+
+declare class WidgetSlotPair extends UObject { 
+	WidgetName: string;
+	SlotPropertyNames: string[];
+	SlotPropertyValues: string[];
+	static Load(ResourceName: string): WidgetSlotPair;
+	static Find(Outer: UObject, ResourceName: string): WidgetSlotPair;
+	static GetDefaultObject(): WidgetSlotPair;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSlotPair;
+	static C(Other: UObject | any): WidgetSlotPair;
+}
+
+declare class AudioMixerBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): AudioMixerBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): AudioMixerBlueprintLibrary;
+	static GetDefaultObject(): AudioMixerBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioMixerBlueprintLibrary;
+	static StopRecordingOutput(WorldContextObject: UObject,ExportType: EAudioRecordingExportType,Name: string,Path: string,SubmixToRecord: SoundSubmix,ExistingSoundWaveToOverwrite: SoundWave): SoundWave;
+	static StopAnalyzingOutput(WorldContextObject: UObject,SubmixToStopAnalyzing: SoundSubmix): void;
+	static StartRecordingOutput(WorldContextObject: UObject,ExpectedDuration: number,SubmixToRecord: SoundSubmix): void;
+	static StartAnalyzingOutput(WorldContextObject: UObject,SubmixToAnalyze: SoundSubmix,FFTSize: EFFTSize,InterpolationMethod: EFFTPeakInterpolationMethod,WindowType: EFFTWindowType,HopSize: number): void;
+	static SetBypassSourceEffectChainEntry(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number,bBypassed: boolean): void;
+	static ResumeRecordingOutput(WorldContextObject: UObject,SubmixToPause: SoundSubmix): void;
+	static RemoveSourceEffectFromPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,EntryIndex: number): void;
+	static RemoveMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	static PauseRecordingOutput(WorldContextObject: UObject,SubmixToPause: SoundSubmix): void;
+	static GetPhaseForFrequencies(WorldContextObject: UObject,Frequencies: number[],Phases?: number[],SubmixToAnalyze?: SoundSubmix): {Phases: number[]};
+	static GetNumberOfEntriesInSourceEffectChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain): number;
+	static GetMagnitudeForFrequencies(WorldContextObject: UObject,Frequencies: number[],Magnitudes?: number[],SubmixToAnalyze?: SoundSubmix): {Magnitudes: number[]};
+	static ClearMasterSubmixEffects(WorldContextObject: UObject): void;
+	static AddSourceEffectToPresetChain(WorldContextObject: UObject,PresetChain: SoundEffectSourcePresetChain,Entry: SourceEffectChainEntry): void;
+	static AddMasterSubmixEffect(WorldContextObject: UObject,SubmixEffectPreset: SoundEffectSubmixPreset): void;
+	static C(Other: UObject | any): AudioMixerBlueprintLibrary;
+}
+
+declare type ESubmixEffectDynamicsProcessorType = 'Compressor' | 'Limiter' | 'Expander' | 'Gate' | 'Count' | 'ESubmixEffectDynamicsProcessorType_MAX';
+declare var ESubmixEffectDynamicsProcessorType : { Compressor:'Compressor',Limiter:'Limiter',Expander:'Expander',Gate:'Gate',Count:'Count',ESubmixEffectDynamicsProcessorType_MAX:'ESubmixEffectDynamicsProcessorType_MAX', };
+declare type ESubmixEffectDynamicsPeakMode = 'MeanSquared' | 'RootMeanSquared' | 'Peak' | 'Count' | 'ESubmixEffectDynamicsPeakMode_MAX';
+declare var ESubmixEffectDynamicsPeakMode : { MeanSquared:'MeanSquared',RootMeanSquared:'RootMeanSquared',Peak:'Peak',Count:'Count',ESubmixEffectDynamicsPeakMode_MAX:'ESubmixEffectDynamicsPeakMode_MAX', };
+declare class SubmixEffectDynamicsProcessorSettings { 
+	DynamicsProcessorType: ESubmixEffectDynamicsProcessorType;
+	PeakMode: ESubmixEffectDynamicsPeakMode;
+	LookAheadMsec: number;
+	AttackTimeMsec: number;
+	ReleaseTimeMsec: number;
+	ThresholdDb: number;
+	Ratio: number;
+	KneeBandwidthDb: number;
+	InputGainDb: number;
+	OutputGainDb: number;
+	bChannelLinked: boolean;
+	bAnalogMode: boolean;
+	clone() : SubmixEffectDynamicsProcessorSettings;
+	static C(Other: UObject | any): SubmixEffectDynamicsProcessorSettings;
+}
+
+declare class SubmixEffectDynamicsProcessorPreset extends SoundEffectSubmixPreset { 
+	Settings: SubmixEffectDynamicsProcessorSettings;
+	static Load(ResourceName: string): SubmixEffectDynamicsProcessorPreset;
+	static Find(Outer: UObject, ResourceName: string): SubmixEffectDynamicsProcessorPreset;
+	static GetDefaultObject(): SubmixEffectDynamicsProcessorPreset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectDynamicsProcessorPreset;
+	SetSettings(InSettings: SubmixEffectDynamicsProcessorSettings): void;
+	static C(Other: UObject | any): SubmixEffectDynamicsProcessorPreset;
+}
+
+declare class SubmixEffectEQBand { 
+	Frequency: number;
+	Bandwidth: number;
+	GainDb: number;
+	bEnabled: boolean;
+	clone() : SubmixEffectEQBand;
+	static C(Other: UObject | any): SubmixEffectEQBand;
 }
 
-declare class AnimNode_CopyPoseFromMesh extends AnimNode_Base { 
-	SourceMeshComponent: any;
-	bUseAttachedParent: boolean;
-	bCopyCurves: boolean;
-	clone() : AnimNode_CopyPoseFromMesh;
-	static C(Other: UObject | any): AnimNode_CopyPoseFromMesh;
+declare class SubmixEffectSubmixEQSettings { 
+	EQBands: SubmixEffectEQBand[];
+	clone() : SubmixEffectSubmixEQSettings;
+	static C(Other: UObject | any): SubmixEffectSubmixEQSettings;
 }
 
-declare class AnimGraphNode_CopyPoseFromMesh extends AnimGraphNode_Base { 
-	UNode: AnimNode_CopyPoseFromMesh;
-	static Load(ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
-	static GetDefaultObject(): AnimGraphNode_CopyPoseFromMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyPoseFromMesh;
-	static C(Other: UObject | any): AnimGraphNode_CopyPoseFromMesh;
+declare class SubmixEffectSubmixEQPreset extends SoundEffectSubmixPreset { 
+	Settings: SubmixEffectSubmixEQSettings;
+	static Load(ResourceName: string): SubmixEffectSubmixEQPreset;
+	static Find(Outer: UObject, ResourceName: string): SubmixEffectSubmixEQPreset;
+	static GetDefaultObject(): SubmixEffectSubmixEQPreset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectSubmixEQPreset;
+	SetSettings(InSettings: SubmixEffectSubmixEQSettings): void;
+	static C(Other: UObject | any): SubmixEffectSubmixEQPreset;
 }
 
-declare class AnimNode_CurveSource extends AnimNode_Base { 
-	SourcePose: PoseLink;
-	SourceBinding: string;
-	Alpha: number;
-	CurveSource: any;
-	clone() : AnimNode_CurveSource;
-	static C(Other: UObject | any): AnimNode_CurveSource;
+declare class SubmixEffectReverbSettings { 
+	Density: number;
+	Diffusion: number;
+	Gain: number;
+	GainHF: number;
+	DecayTime: number;
+	DecayHFRatio: number;
+	ReflectionsGain: number;
+	ReflectionsDelay: number;
+	LateGain: number;
+	LateDelay: number;
+	AirAbsorptionGainHF: number;
+	WetLevel: number;
+	DryLevel: number;
+	clone() : SubmixEffectReverbSettings;
+	static C(Other: UObject | any): SubmixEffectReverbSettings;
+}
+
+declare class SubmixEffectReverbPreset extends SoundEffectSubmixPreset { 
+	Settings: SubmixEffectReverbSettings;
+	static Load(ResourceName: string): SubmixEffectReverbPreset;
+	static Find(Outer: UObject, ResourceName: string): SubmixEffectReverbPreset;
+	static GetDefaultObject(): SubmixEffectReverbPreset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubmixEffectReverbPreset;
+	SetSettingsWithReverbEffect(InReverbEffect: ReverbEffect,WetLevel: number,DryLevel: number): void;
+	SetSettings(InSettings: SubmixEffectReverbSettings): void;
+	static C(Other: UObject | any): SubmixEffectReverbPreset;
+}
+
+declare class SoundWaveProcedural extends SoundWave { 
+	static Load(ResourceName: string): SoundWaveProcedural;
+	static Find(Outer: UObject, ResourceName: string): SoundWaveProcedural;
+	static GetDefaultObject(): SoundWaveProcedural;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundWaveProcedural;
+	static C(Other: UObject | any): SoundWaveProcedural;
+}
+
+declare class SynthSound extends SoundWaveProcedural { 
+	static Load(ResourceName: string): SynthSound;
+	static Find(Outer: UObject, ResourceName: string): SynthSound;
+	static GetDefaultObject(): SynthSound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SynthSound;
+	static C(Other: UObject | any): SynthSound;
+}
+
+declare class SynthComponent extends SceneComponent { 
+	bAutoDestroy: boolean;
+	bStopWhenOwnerDestroyed: boolean;
+	bAllowSpatialization: boolean;
+	bOverrideAttenuation: boolean;
+	bOutputToBusOnly: boolean;
+	AttenuationSettings: SoundAttenuation;
+	AttenuationOverrides: SoundAttenuationSettings;
+	ConcurrencySettings: SoundConcurrency;
+	ConcurrencySet: any;
+	SoundClass: SoundClass;
+	SourceEffectChain: SoundEffectSourcePresetChain;
+	SoundSubmix: SoundSubmix;
+	SoundSubmixSends: SoundSubmixSendInfo[];
+	BusSends: SoundSourceBusSendInfo[];
+	PreEffectBusSends: SoundSourceBusSendInfo[];
+	bIsUISound: boolean;
+	bIsPreviewSound: boolean;
+	EnvelopeFollowerAttackTime: number;
+	EnvelopeFollowerReleaseTime: number;
+	OnAudioEnvelopeValue: UnrealEngineMulticastDelegate<(EnvelopeValue: number) => void>;
+	Synth: SynthSound;
+	AudioComponent: AudioComponent;
+	static Load(ResourceName: string): SynthComponent;
+	static Find(Outer: UObject, ResourceName: string): SynthComponent;
+	static GetDefaultObject(): SynthComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SynthComponent;
+	Stop(): void;
+	Start(): void;
+	SetVolumeMultiplier(VolumeMultiplier: number): void;
+	SetSubmixSend(Submix: SoundSubmix,SendLevel: number): void;
+	IsPlaying(): boolean;
+	static C(Other: UObject | any): SynthComponent;
+}
+
+declare type EHardwareClass = 'Unspecified' | 'Desktop' | 'Mobile' | 'EHardwareClass_MAX';
+declare var EHardwareClass : { Unspecified:'Unspecified',Desktop:'Desktop',Mobile:'Mobile',EHardwareClass_MAX:'EHardwareClass_MAX', };
+declare type EGraphicsPreset = 'Unspecified' | 'Maximum' | 'Scalable' | 'EGraphicsPreset_MAX';
+declare var EGraphicsPreset : { Unspecified:'Unspecified',Maximum:'Maximum',Scalable:'Scalable',EGraphicsPreset_MAX:'EGraphicsPreset_MAX', };
+declare class HardwareTargetingSettings extends UObject { 
+	TargetedHardwareClass: EHardwareClass;
+	AppliedTargetedHardwareClass: EHardwareClass;
+	DefaultGraphicsPerformance: EGraphicsPreset;
+	AppliedDefaultGraphicsPerformance: EGraphicsPreset;
+	static Load(ResourceName: string): HardwareTargetingSettings;
+	static Find(Outer: UObject, ResourceName: string): HardwareTargetingSettings;
+	static GetDefaultObject(): HardwareTargetingSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HardwareTargetingSettings;
+	static C(Other: UObject | any): HardwareTargetingSettings;
+}
+
+declare class ClassViewerProjectSettings extends UObject { 
+	InternalOnlyPaths: DirectoryPath[];
+	InternalOnlyClasses: SoftClassPath[];
+	static Load(ResourceName: string): ClassViewerProjectSettings;
+	static Find(Outer: UObject, ResourceName: string): ClassViewerProjectSettings;
+	static GetDefaultObject(): ClassViewerProjectSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassViewerProjectSettings;
+	static C(Other: UObject | any): ClassViewerProjectSettings;
+}
+
+declare class LocalizedTemplateString { 
+	Language: string;
+	text: string;
+	clone() : LocalizedTemplateString;
+	static C(Other: UObject | any): LocalizedTemplateString;
+}
+
+declare class TemplateFolderRename { 
+	From: string;
+	To: string;
+	clone() : TemplateFolderRename;
+	static C(Other: UObject | any): TemplateFolderRename;
+}
+
+declare class TemplateReplacement { 
+	Extensions: string[];
+	From: string;
+	To: string;
+	bCaseSensitive: boolean;
+	clone() : TemplateReplacement;
+	static C(Other: UObject | any): TemplateReplacement;
+}
+
+declare type EFeaturePackDetailLevel = 'Standard' | 'High' | 'EFeaturePackDetailLevel_MAX';
+declare var EFeaturePackDetailLevel : { Standard:'Standard',High:'High',EFeaturePackDetailLevel_MAX:'EFeaturePackDetailLevel_MAX', };
+declare class FeaturePackLevelSet { 
+	DetailLevels: EFeaturePackDetailLevel[];
+	MountName: string;
+	clone() : FeaturePackLevelSet;
+	static C(Other: UObject | any): FeaturePackLevelSet;
+}
+
+declare class TemplateProjectDefs extends UObject { 
+	LocalizedDisplayNames: LocalizedTemplateString[];
+	LocalizedDescriptions: LocalizedTemplateString[];
+	FoldersToIgnore: string[];
+	FilesToIgnore: string[];
+	FolderRenames: TemplateFolderRename[];
+	FilenameReplacements: TemplateReplacement[];
+	ReplacementsInFiles: TemplateReplacement[];
+	SortKey: string;
+	Category: string;
+	ClassTypes: string;
+	AssetTypes: string;
+	bAllowProjectCreation: boolean;
+	PacksToInclude: string[];
+	EditDetailLevelPreference: EFeaturePackDetailLevel;
+	SharedContentPacks: FeaturePackLevelSet[];
+	static Load(ResourceName: string): TemplateProjectDefs;
+	static Find(Outer: UObject, ResourceName: string): TemplateProjectDefs;
+	static GetDefaultObject(): TemplateProjectDefs;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TemplateProjectDefs;
+	static C(Other: UObject | any): TemplateProjectDefs;
+}
+
+declare class DefaultTemplateProjectDefs extends TemplateProjectDefs { 
+	static Load(ResourceName: string): DefaultTemplateProjectDefs;
+	static Find(Outer: UObject, ResourceName: string): DefaultTemplateProjectDefs;
+	static GetDefaultObject(): DefaultTemplateProjectDefs;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultTemplateProjectDefs;
+	static C(Other: UObject | any): DefaultTemplateProjectDefs;
 }
 
-declare class AnimGraphNode_CurveSource extends AnimGraphNode_Base { 
-	UNode: AnimNode_CurveSource;
-	static Load(ResourceName: string): AnimGraphNode_CurveSource;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CurveSource;
-	static GetDefaultObject(): AnimGraphNode_CurveSource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CurveSource;
-	static C(Other: UObject | any): AnimGraphNode_CurveSource;
+declare class Texture2DDynamic extends Texture { 
+	Format: EPixelFormat;
+	static Load(ResourceName: string): Texture2DDynamic;
+	static Find(Outer: UObject, ResourceName: string): Texture2DDynamic;
+	static GetDefaultObject(): Texture2DDynamic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture2DDynamic;
+	static C(Other: UObject | any): Texture2DDynamic;
 }
 
-declare class SocketReference { 
-	SocketName: string;
-	clone() : SocketReference;
-	static C(Other: UObject | any): SocketReference;
+declare class AsyncTaskDownloadImage extends BlueprintAsyncActionBase { 
+	OnSuccess: UnrealEngineMulticastDelegate<(Texture: Texture2DDynamic) => void>;
+	OnFail: UnrealEngineMulticastDelegate<(Texture: Texture2DDynamic) => void>;
+	static Load(ResourceName: string): AsyncTaskDownloadImage;
+	static Find(Outer: UObject, ResourceName: string): AsyncTaskDownloadImage;
+	static GetDefaultObject(): AsyncTaskDownloadImage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncTaskDownloadImage;
+	static DownloadImage(URL: string): AsyncTaskDownloadImage;
+	static C(Other: UObject | any): AsyncTaskDownloadImage;
 }
 
-declare class BoneSocketTarget { 
-	bUseSocket: boolean;
-	BoneReference: BoneReference;
-	SocketReference: SocketReference;
-	clone() : BoneSocketTarget;
-	static C(Other: UObject | any): BoneSocketTarget;
+declare class ContentWidget extends PanelWidget { 
+	static Load(ResourceName: string): ContentWidget;
+	static Find(Outer: UObject, ResourceName: string): ContentWidget;
+	static GetDefaultObject(): ContentWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ContentWidget;
+	SetContent(Content: Widget): PanelSlot;
+	GetContentSlot(): PanelSlot;
+	GetContent(): Widget;
+	static C(Other: UObject | any): ContentWidget;
 }
 
-declare type EBoneRotationSource = 'BRS_KeepComponentSpaceRotation' | 'BRS_KeepLocalSpaceRotation' | 'BRS_CopyFromTarget' | 'BRS_MAX';
-declare var EBoneRotationSource : { BRS_KeepComponentSpaceRotation:'BRS_KeepComponentSpaceRotation',BRS_KeepLocalSpaceRotation:'BRS_KeepLocalSpaceRotation',BRS_CopyFromTarget:'BRS_CopyFromTarget',BRS_MAX:'BRS_MAX', };
-declare class AnimNode_Fabrik extends AnimNode_SkeletalControlBase { 
-	EffectorTransform: Transform;
-	EffectorTransformSpace: EBoneControlSpace;
-	EffectorTransformBone: BoneReference;
-	EffectorTarget: BoneSocketTarget;
-	EffectorRotationSource: EBoneRotationSource;
-	TipBone: BoneReference;
-	RootBone: BoneReference;
-	Precision: number;
-	MaxIterations: number;
-	bEnableDebugDraw: boolean;
-	clone() : AnimNode_Fabrik;
-	static C(Other: UObject | any): AnimNode_Fabrik;
+declare class BackgroundBlur extends ContentWidget { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	bApplyAlphaToBlur: boolean;
+	BlurStrength: number;
+	bOverrideAutoRadiusCalculation: boolean;
+	BlurRadius: number;
+	LowQualityFallbackBrush: SlateBrush;
+	static Load(ResourceName: string): BackgroundBlur;
+	static Find(Outer: UObject, ResourceName: string): BackgroundBlur;
+	static GetDefaultObject(): BackgroundBlur;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BackgroundBlur;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetLowQualityFallbackBrush(InBrush: SlateBrush): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	SetBlurStrength(InStrength: number): void;
+	SetBlurRadius(InBlurRadius: number): void;
+	SetApplyAlphaToBlur(bInApplyAlphaToBlur: boolean): void;
+	static C(Other: UObject | any): BackgroundBlur;
 }
 
-declare class AnimGraphNode_Fabrik extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_Fabrik;
-	static Load(ResourceName: string): AnimGraphNode_Fabrik;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Fabrik;
-	static GetDefaultObject(): AnimGraphNode_Fabrik;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Fabrik;
-	static C(Other: UObject | any): AnimGraphNode_Fabrik;
+declare class BackgroundBlurSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): BackgroundBlurSlot;
+	static Find(Outer: UObject, ResourceName: string): BackgroundBlurSlot;
+	static GetDefaultObject(): BackgroundBlurSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BackgroundBlurSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): BackgroundBlurSlot;
 }
 
-declare class AnimNode_HandIKRetargeting extends AnimNode_SkeletalControlBase { 
-	RightHandFK: BoneReference;
-	LeftHandFK: BoneReference;
-	RightHandIK: BoneReference;
-	LeftHandIK: BoneReference;
-	IKBonesToMove: BoneReference[];
-	HandFKWeight: number;
-	clone() : AnimNode_HandIKRetargeting;
-	static C(Other: UObject | any): AnimNode_HandIKRetargeting;
+declare class BoolBinding extends PropertyBinding { 
+	static Load(ResourceName: string): BoolBinding;
+	static Find(Outer: UObject, ResourceName: string): BoolBinding;
+	static GetDefaultObject(): BoolBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolBinding;
+	GetValue(): boolean;
+	static C(Other: UObject | any): BoolBinding;
 }
 
-declare class AnimGraphNode_HandIKRetargeting extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_HandIKRetargeting;
-	static Load(ResourceName: string): AnimGraphNode_HandIKRetargeting;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_HandIKRetargeting;
-	static GetDefaultObject(): AnimGraphNode_HandIKRetargeting;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_HandIKRetargeting;
-	static C(Other: UObject | any): AnimGraphNode_HandIKRetargeting;
+declare class Border extends ContentWidget { 
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	bShowEffectWhenDisabled: boolean;
+	ContentColorAndOpacity: LinearColor;
+	ContentColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
+	Padding: Margin;
+	Background: SlateBrush;
+	BackgroundDelegate: UnrealEngineDelegate<() => SlateBrush>;
+	BrushColor: LinearColor;
+	BrushColorDelegate: UnrealEngineDelegate<() => LinearColor>;
+	DesiredSizeScale: Vector2D;
+	bFlipForRightToLeftFlowDirection: boolean;
+	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
+	OnMouseButtonUpEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
+	OnMouseMoveEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
+	OnMouseDoubleClickEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
+	Brush: SlateBrushAsset;
+	static Load(ResourceName: string): Border;
+	static Find(Outer: UObject, ResourceName: string): Border;
+	static GetDefaultObject(): Border;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Border;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	SetDesiredSizeScale(InScale: Vector2D): void;
+	SetContentColorAndOpacity(InContentColorAndOpacity: LinearColor): void;
+	SetBrushFromTexture(Texture: Texture2D): void;
+	SetBrushFromMaterial(Material: MaterialInterface): void;
+	SetBrushFromAsset(Asset: SlateBrushAsset): void;
+	SetBrushColor(InBrushColor: LinearColor): void;
+	SetBrush(InBrush: SlateBrush): void;
+	GetDynamicMaterial(): MaterialInstanceDynamic;
+	static C(Other: UObject | any): Border;
 }
 
-declare type ERefPoseType = 'EIT_LocalSpace' | 'EIT_Additive' | 'EIT_MAX';
-declare var ERefPoseType : { EIT_LocalSpace:'EIT_LocalSpace',EIT_Additive:'EIT_Additive',EIT_MAX:'EIT_MAX', };
-declare class AnimNode_RefPose extends AnimNode_Base { 
-	RefPoseType: ERefPoseType;
-	clone() : AnimNode_RefPose;
-	static C(Other: UObject | any): AnimNode_RefPose;
+declare class BrushBinding extends PropertyBinding { 
+	static Load(ResourceName: string): BrushBinding;
+	static Find(Outer: UObject, ResourceName: string): BrushBinding;
+	static GetDefaultObject(): BrushBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushBinding;
+	GetValue(): SlateBrush;
+	static C(Other: UObject | any): BrushBinding;
 }
 
-declare class AnimGraphNode_RefPoseBase extends AnimGraphNode_Base { 
-	UNode: AnimNode_RefPose;
-	static Load(ResourceName: string): AnimGraphNode_RefPoseBase;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RefPoseBase;
-	static GetDefaultObject(): AnimGraphNode_RefPoseBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RefPoseBase;
-	static C(Other: UObject | any): AnimGraphNode_RefPoseBase;
-}
-
-declare class AnimGraphNode_IdentityPose extends AnimGraphNode_RefPoseBase { 
-	static Load(ResourceName: string): AnimGraphNode_IdentityPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_IdentityPose;
-	static GetDefaultObject(): AnimGraphNode_IdentityPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_IdentityPose;
-	static C(Other: UObject | any): AnimGraphNode_IdentityPose;
+declare type EButtonClickMethod = 'DownAndUp' | 'MouseDown' | 'MouseUp' | 'PreciseClick' | 'EButtonClickMethod_MAX';
+declare var EButtonClickMethod : { DownAndUp:'DownAndUp',MouseDown:'MouseDown',MouseUp:'MouseUp',PreciseClick:'PreciseClick',EButtonClickMethod_MAX:'EButtonClickMethod_MAX', };
+declare type EButtonTouchMethod = 'DownAndUp' | 'Down' | 'PreciseTap' | 'EButtonTouchMethod_MAX';
+declare var EButtonTouchMethod : { DownAndUp:'DownAndUp',Down:'Down',PreciseTap:'PreciseTap',EButtonTouchMethod_MAX:'EButtonTouchMethod_MAX', };
+declare type EButtonPressMethod = 'DownAndUp' | 'ButtonPress' | 'ButtonRelease' | 'EButtonPressMethod_MAX';
+declare var EButtonPressMethod : { DownAndUp:'DownAndUp',ButtonPress:'ButtonPress',ButtonRelease:'ButtonRelease',EButtonPressMethod_MAX:'EButtonPressMethod_MAX', };
+declare class Button extends ContentWidget { 
+	Style: SlateWidgetStyleAsset;
+	WidgetStyle: ButtonStyle;
+	ColorAndOpacity: LinearColor;
+	BackgroundColor: LinearColor;
+	ClickMethod: EButtonClickMethod;
+	TouchMethod: EButtonTouchMethod;
+	PressMethod: EButtonPressMethod;
+	IsFocusable: boolean;
+	OnClicked: UnrealEngineMulticastDelegate<() => void>;
+	OnPressed: UnrealEngineMulticastDelegate<() => void>;
+	OnReleased: UnrealEngineMulticastDelegate<() => void>;
+	OnHovered: UnrealEngineMulticastDelegate<() => void>;
+	OnUnhovered: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): Button;
+	static Find(Outer: UObject, ResourceName: string): Button;
+	static GetDefaultObject(): Button;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Button;
+	SetTouchMethod(InTouchMethod: EButtonTouchMethod): void;
+	SetStyle(InStyle: ButtonStyle): void;
+	SetPressMethod(InPressMethod: EButtonPressMethod): void;
+	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
+	SetClickMethod(InClickMethod: EButtonClickMethod): void;
+	SetBackgroundColor(InBackgroundColor: LinearColor): void;
+	IsPressed(): boolean;
+	static C(Other: UObject | any): Button;
 }
 
-declare class BranchFilter { 
-	BoneName: string;
-	BlendDepth: number;
-	clone() : BranchFilter;
-	static C(Other: UObject | any): BranchFilter;
+declare class ButtonSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): ButtonSlot;
+	static Find(Outer: UObject, ResourceName: string): ButtonSlot;
+	static GetDefaultObject(): ButtonSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): ButtonSlot;
 }
 
-declare class InputBlendPose { 
-	BranchFilters: BranchFilter[];
-	clone() : InputBlendPose;
-	static C(Other: UObject | any): InputBlendPose;
+declare class CanvasPanel extends PanelWidget { 
+	static Load(ResourceName: string): CanvasPanel;
+	static Find(Outer: UObject, ResourceName: string): CanvasPanel;
+	static GetDefaultObject(): CanvasPanel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasPanel;
+	AddChildToCanvas(Content: Widget): CanvasPanelSlot;
+	static C(Other: UObject | any): CanvasPanel;
 }
 
-declare type ECurveBlendOption = 'MaxWeight' | 'NormalizeByWeight' | 'BlendByWeight' | 'ECurveBlendOption_MAX';
-declare var ECurveBlendOption : { MaxWeight:'MaxWeight',NormalizeByWeight:'NormalizeByWeight',BlendByWeight:'BlendByWeight',ECurveBlendOption_MAX:'ECurveBlendOption_MAX', };
-declare class PerBoneBlendWeight { 
-	SourceIndex: number;
-	BlendWeight: number;
-	clone() : PerBoneBlendWeight;
-	static C(Other: UObject | any): PerBoneBlendWeight;
+declare type ECheckBoxState = 'Unchecked' | 'Checked' | 'Undetermined' | 'ECheckBoxState_MAX';
+declare var ECheckBoxState : { Unchecked:'Unchecked',Checked:'Checked',Undetermined:'Undetermined',ECheckBoxState_MAX:'ECheckBoxState_MAX', };
+declare class CheckBox extends ContentWidget { 
+	CheckedState: ECheckBoxState;
+	CheckedStateDelegate: UnrealEngineDelegate<() => ECheckBoxState>;
+	WidgetStyle: CheckBoxStyle;
+	Style: SlateWidgetStyleAsset;
+	UncheckedImage: SlateBrushAsset;
+	UncheckedHoveredImage: SlateBrushAsset;
+	UncheckedPressedImage: SlateBrushAsset;
+	CheckedImage: SlateBrushAsset;
+	CheckedHoveredImage: SlateBrushAsset;
+	CheckedPressedImage: SlateBrushAsset;
+	UndeterminedImage: SlateBrushAsset;
+	UndeterminedHoveredImage: SlateBrushAsset;
+	UndeterminedPressedImage: SlateBrushAsset;
+	HorizontalAlignment: EHorizontalAlignment;
+	Padding: Margin;
+	BorderBackgroundColor: SlateColor;
+	IsFocusable: boolean;
+	OnCheckStateChanged: UnrealEngineMulticastDelegate<(bIsChecked: boolean) => void>;
+	static Load(ResourceName: string): CheckBox;
+	static Find(Outer: UObject, ResourceName: string): CheckBox;
+	static GetDefaultObject(): CheckBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBox;
+	SetIsChecked(InIsChecked: boolean): void;
+	SetCheckedState(InCheckedState: ECheckBoxState): void;
+	IsPressed(): boolean;
+	IsChecked(): boolean;
+	GetCheckedState(): ECheckBoxState;
+	static C(Other: UObject | any): CheckBox;
 }
 
-declare class AnimNode_LayeredBoneBlend extends AnimNode_Base { 
-	BasePose: PoseLink;
-	BlendPoses: PoseLink[];
-	LayerSetup: InputBlendPose[];
-	BlendWeights: number[];
-	bMeshSpaceRotationBlend: boolean;
-	CurveBlendOption: ECurveBlendOption;
-	bBlendRootMotionBasedOnRootBone: boolean;
-	bHasRelevantPoses: boolean;
-	PerBoneBlendWeights: PerBoneBlendWeight[];
-	SkeletonGuid: Guid;
-	VirtualBoneGuid: Guid;
-	clone() : AnimNode_LayeredBoneBlend;
-	static C(Other: UObject | any): AnimNode_LayeredBoneBlend;
+declare class CheckedStateBinding extends PropertyBinding { 
+	static Load(ResourceName: string): CheckedStateBinding;
+	static Find(Outer: UObject, ResourceName: string): CheckedStateBinding;
+	static GetDefaultObject(): CheckedStateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckedStateBinding;
+	GetValue(): ECheckBoxState;
+	static C(Other: UObject | any): CheckedStateBinding;
 }
 
-declare class AnimGraphNode_LayeredBoneBlend extends AnimGraphNode_BlendListBase { 
-	UNode: AnimNode_LayeredBoneBlend;
-	static Load(ResourceName: string): AnimGraphNode_LayeredBoneBlend;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LayeredBoneBlend;
-	static GetDefaultObject(): AnimGraphNode_LayeredBoneBlend;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LayeredBoneBlend;
-	static C(Other: UObject | any): AnimGraphNode_LayeredBoneBlend;
+declare class CircularThrobber extends Widget { 
+	NumberOfPieces: number;
+	Period: number;
+	Radius: number;
+	PieceImage: SlateBrushAsset;
+	UImage: SlateBrush;
+	bEnableRadius: boolean;
+	static Load(ResourceName: string): CircularThrobber;
+	static Find(Outer: UObject, ResourceName: string): CircularThrobber;
+	static GetDefaultObject(): CircularThrobber;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CircularThrobber;
+	SetRadius(InRadius: number): void;
+	SetPeriod(InPeriod: number): void;
+	SetNumberOfPieces(InNumberOfPieces: number): void;
+	static C(Other: UObject | any): CircularThrobber;
 }
 
-declare class AnimLegIKDefinition { 
-	IKFootBone: BoneReference;
-	FKFootBone: BoneReference;
-	NumBonesInLimb: number;
-	FootBoneForwardAxis: EAxis;
-	bEnableRotationLimit: boolean;
-	MinRotationAngle: number;
-	bEnableKneeTwistCorrection: boolean;
-	clone() : AnimLegIKDefinition;
-	static C(Other: UObject | any): AnimLegIKDefinition;
+declare class ColorBinding extends PropertyBinding { 
+	static Load(ResourceName: string): ColorBinding;
+	static Find(Outer: UObject, ResourceName: string): ColorBinding;
+	static GetDefaultObject(): ColorBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ColorBinding;
+	GetSlateValue(): SlateColor;
+	GetLinearValue(): LinearColor;
+	static C(Other: UObject | any): ColorBinding;
 }
 
-declare class AnimLegIKData { 
-	clone() : AnimLegIKData;
-	static C(Other: UObject | any): AnimLegIKData;
+declare class ComboBox extends Widget { 
+	Items: UObject[];
+	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
+	bIsFocusable: boolean;
+	static Load(ResourceName: string): ComboBox;
+	static Find(Outer: UObject, ResourceName: string): ComboBox;
+	static GetDefaultObject(): ComboBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBox;
+	static C(Other: UObject | any): ComboBox;
 }
 
-declare class AnimNode_LegIK extends AnimNode_SkeletalControlBase { 
-	ReachPrecision: number;
-	MaxIterations: number;
-	LegsDefinition: AnimLegIKDefinition[];
-	LegsData: AnimLegIKData[];
-	clone() : AnimNode_LegIK;
-	static C(Other: UObject | any): AnimNode_LegIK;
+declare class TableRowStyle extends SlateWidgetStyle { 
+	SelectorFocusedBrush: SlateBrush;
+	ActiveHoveredBrush: SlateBrush;
+	ActiveBrush: SlateBrush;
+	InactiveHoveredBrush: SlateBrush;
+	InactiveBrush: SlateBrush;
+	EvenRowBackgroundHoveredBrush: SlateBrush;
+	EvenRowBackgroundBrush: SlateBrush;
+	OddRowBackgroundHoveredBrush: SlateBrush;
+	OddRowBackgroundBrush: SlateBrush;
+	TextColor: SlateColor;
+	SelectedTextColor: SlateColor;
+	DropIndicator_Above: SlateBrush;
+	DropIndicator_Onto: SlateBrush;
+	DropIndicator_Below: SlateBrush;
+	clone() : TableRowStyle;
+	static C(Other: UObject | any): TableRowStyle;
 }
 
-declare class AnimGraphNode_LegIK extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_LegIK;
-	static Load(ResourceName: string): AnimGraphNode_LegIK;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LegIK;
-	static GetDefaultObject(): AnimGraphNode_LegIK;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LegIK;
-	static C(Other: UObject | any): AnimGraphNode_LegIK;
+declare type ESelectInfo = 'OnKeyPress' | 'OnNavigation' | 'OnMouseClick' | 'Direct' | 'ESelectInfo_MAX';
+declare var ESelectInfo : { OnKeyPress:'OnKeyPress',OnNavigation:'OnNavigation',OnMouseClick:'OnMouseClick',Direct:'Direct',ESelectInfo_MAX:'ESelectInfo_MAX', };
+declare class ComboBoxString extends Widget { 
+	DefaultOptions: string[];
+	SelectedOption: string;
+	WidgetStyle: ComboBoxStyle;
+	ItemStyle: TableRowStyle;
+	ContentPadding: Margin;
+	MaxListHeight: number;
+	HasDownArrow: boolean;
+	EnableGamepadNavigationMode: boolean;
+	Font: SlateFontInfo;
+	ForegroundColor: SlateColor;
+	bIsFocusable: boolean;
+	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: string) => Widget>;
+	OnSelectionChanged: UnrealEngineMulticastDelegate<(SelectedItem: string, SelectionType: ESelectInfo) => void>;
+	OnOpening: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): ComboBoxString;
+	static Find(Outer: UObject, ResourceName: string): ComboBoxString;
+	static GetDefaultObject(): ComboBoxString;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxString;
+	SetSelectedOption(Option: string): void;
+	SetSelectedIndex(index: number): void;
+	RemoveOption(Option: string): boolean;
+	RefreshOptions(): void;
+	GetSelectedOption(): string;
+	GetSelectedIndex(): number;
+	GetOptionCount(): number;
+	GetOptionAtIndex(index: number): string;
+	FindOptionIndex(Option: string): number;
+	ClearSelection(): void;
+	ClearOptions(): void;
+	AddOption(Option: string): void;
+	static C(Other: UObject | any): ComboBoxString;
 }
 
-declare class AnimGraphNode_LocalRefPose extends AnimGraphNode_RefPoseBase { 
-	static Load(ResourceName: string): AnimGraphNode_LocalRefPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalRefPose;
-	static GetDefaultObject(): AnimGraphNode_LocalRefPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalRefPose;
-	static C(Other: UObject | any): AnimGraphNode_LocalRefPose;
+declare type EDynamicBoxType = 'Horizontal' | 'Vertical' | 'Wrap' | 'Overlay' | 'EDynamicBoxType_MAX';
+declare var EDynamicBoxType : { Horizontal:'Horizontal',Vertical:'Vertical',Wrap:'Wrap',Overlay:'Overlay',EDynamicBoxType_MAX:'EDynamicBoxType_MAX', };
+declare class DynamicEntryBox extends Widget { 
+	NumDesignerPreviewEntries: number;
+	EntryBoxType: EDynamicBoxType;
+	EntrySpacing: Vector2D;
+	SpacingPattern: Vector2D[];
+	EntrySizeRule: SlateChildSize;
+	EntryHorizontalAlignment: EHorizontalAlignment;
+	EntryVerticalAlignment: EVerticalAlignment;
+	MaxElementSize: number;
+	EntryWidgetClass: UnrealEngineClass;
+	static Load(ResourceName: string): DynamicEntryBox;
+	static Find(Outer: UObject, ResourceName: string): DynamicEntryBox;
+	static GetDefaultObject(): DynamicEntryBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DynamicEntryBox;
+	SetEntrySpacing(InEntrySpacing: Vector2D): void;
+	Reset(bDeleteWidgets: boolean): void;
+	RemoveEntry(EntryWidget: UserWidget): void;
+	GetNumEntries(): number;
+	GetAllEntries(): UserWidget[];
+	BP_CreateEntryOfClass(EntryClass: UnrealEngineClass): UserWidget;
+	BP_CreateEntry(): UserWidget;
+	static C(Other: UObject | any): DynamicEntryBox;
 }
 
-declare class AnimNode_ConvertLocalToComponentSpace extends AnimNode_Base { 
-	LocalPose: PoseLink;
-	clone() : AnimNode_ConvertLocalToComponentSpace;
-	static C(Other: UObject | any): AnimNode_ConvertLocalToComponentSpace;
+declare type EVirtualKeyboardType = 'Default' | 'Number' | 'Web' | 'Email' | 'Password' | 'AlphaNumeric' | 'EVirtualKeyboardType_MAX';
+declare var EVirtualKeyboardType : { Default:'Default',Number:'Number',Web:'Web',Email:'Email',Password:'Password',AlphaNumeric:'AlphaNumeric',EVirtualKeyboardType_MAX:'EVirtualKeyboardType_MAX', };
+declare class VirtualKeyboardOptions { 
+	bEnableAutocorrect: boolean;
+	clone() : VirtualKeyboardOptions;
+	static C(Other: UObject | any): VirtualKeyboardOptions;
 }
 
-declare class AnimGraphNode_LocalToComponentSpace extends AnimGraphNode_Base { 
-	UNode: AnimNode_ConvertLocalToComponentSpace;
-	static Load(ResourceName: string): AnimGraphNode_LocalToComponentSpace;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalToComponentSpace;
-	static GetDefaultObject(): AnimGraphNode_LocalToComponentSpace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalToComponentSpace;
-	static C(Other: UObject | any): AnimGraphNode_LocalToComponentSpace;
+declare type EVirtualKeyboardDismissAction = 'TextChangeOnDismiss' | 'TextCommitOnAccept' | 'TextCommitOnDismiss' | 'EVirtualKeyboardDismissAction_MAX';
+declare var EVirtualKeyboardDismissAction : { TextChangeOnDismiss:'TextChangeOnDismiss',TextCommitOnAccept:'TextCommitOnAccept',TextCommitOnDismiss:'TextCommitOnDismiss',EVirtualKeyboardDismissAction_MAX:'EVirtualKeyboardDismissAction_MAX', };
+declare type ETextJustify = 'Left' | 'Center' | 'Right' | 'ETextJustify_MAX';
+declare var ETextJustify : { Left:'Left',Center:'Center',Right:'Right',ETextJustify_MAX:'ETextJustify_MAX', };
+declare type ETextShapingMethod = 'Auto' | 'KerningOnly' | 'FullShaping' | 'ETextShapingMethod_MAX';
+declare var ETextShapingMethod : { Auto:'Auto',KerningOnly:'KerningOnly',FullShaping:'FullShaping',ETextShapingMethod_MAX:'ETextShapingMethod_MAX', };
+declare type ETextFlowDirection = 'Auto' | 'LeftToRight' | 'RightToLeft' | 'ETextFlowDirection_MAX';
+declare var ETextFlowDirection : { Auto:'Auto',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',ETextFlowDirection_MAX:'ETextFlowDirection_MAX', };
+declare class ShapedTextOptions { 
+	bOverride_TextShapingMethod: boolean;
+	bOverride_TextFlowDirection: boolean;
+	TextShapingMethod: ETextShapingMethod;
+	TextFlowDirection: ETextFlowDirection;
+	clone() : ShapedTextOptions;
+	static C(Other: UObject | any): ShapedTextOptions;
 }
 
-declare type EAxisOption = 'X' | 'Y' | 'Z' | 'X_Neg' | 'Y_Neg' | 'Z_Neg' | 'Custom' | 'EAxisOption_MAX';
-declare var EAxisOption : { X:'X',Y:'Y',Z:'Z',X_Neg:'X_Neg',Y_Neg:'Y_Neg',Z_Neg:'Z_Neg',Custom:'Custom',EAxisOption_MAX:'EAxisOption_MAX', };
-declare class Axis { 
-	Axis: Vector;
-	bInLocalSpace: boolean;
-	clone() : Axis;
-	static C(Other: UObject | any): Axis;
+declare type ETextCommit = 'Default' | 'OnEnter' | 'OnUserMovedFocus' | 'OnCleared' | 'ETextCommit_MAX';
+declare var ETextCommit : { Default:'Default',OnEnter:'OnEnter',OnUserMovedFocus:'OnUserMovedFocus',OnCleared:'OnCleared',ETextCommit_MAX:'ETextCommit_MAX', };
+declare class EditableText extends Widget { 
+	text: string;
+	TextDelegate: UnrealEngineDelegate<() => string>;
+	HintText: string;
+	HintTextDelegate: UnrealEngineDelegate<() => string>;
+	WidgetStyle: EditableTextStyle;
+	Style: SlateWidgetStyleAsset;
+	BackgroundImageSelected: SlateBrushAsset;
+	BackgroundImageComposing: SlateBrushAsset;
+	CaretImage: SlateBrushAsset;
+	Font: SlateFontInfo;
+	ColorAndOpacity: SlateColor;
+	IsReadOnly: boolean;
+	IsPassword: boolean;
+	MinimumDesiredWidth: number;
+	IsCaretMovedWhenGainFocus: boolean;
+	SelectAllTextWhenFocused: boolean;
+	RevertTextOnEscape: boolean;
+	ClearKeyboardFocusOnCommit: boolean;
+	SelectAllTextOnCommit: boolean;
+	AllowContextMenu: boolean;
+	KeyboardType: EVirtualKeyboardType;
+	VirtualKeyboardOptions: VirtualKeyboardOptions;
+	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
+	Justification: ETextJustify;
+	ShapedTextOptions: ShapedTextOptions;
+	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
+	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
+	static Load(ResourceName: string): EditableText;
+	static Find(Outer: UObject, ResourceName: string): EditableText;
+	static GetDefaultObject(): EditableText;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableText;
+	SetText(InText: string): void;
+	SetIsReadOnly(InbIsReadyOnly: boolean): void;
+	SetIsPassword(InbIsPassword: boolean): void;
+	SetHintText(InHintText: string): void;
+	GetText(): string;
+	static C(Other: UObject | any): EditableText;
 }
 
-declare type EInterpolationBlend = 'Linear' | 'Cubic' | 'Sinusoidal' | 'EaseInOutExponent2' | 'EaseInOutExponent3' | 'EaseInOutExponent4' | 'EaseInOutExponent5' | 'MAX';
-declare var EInterpolationBlend : { Linear:'Linear',Cubic:'Cubic',Sinusoidal:'Sinusoidal',EaseInOutExponent2:'EaseInOutExponent2',EaseInOutExponent3:'EaseInOutExponent3',EaseInOutExponent4:'EaseInOutExponent4',EaseInOutExponent5:'EaseInOutExponent5',MAX:'MAX', };
-declare class AnimNode_LookAt extends AnimNode_SkeletalControlBase { 
-	BoneToModify: BoneReference;
-	LookAtBone: BoneReference;
-	LookAtSocket: string;
-	LookAtTarget: BoneSocketTarget;
-	LookAtLocation: Vector;
-	LookAtAxis: EAxisOption;
-	CustomLookAtAxis: Vector;
-	LookAt_Axis: Axis;
-	bUseLookUpAxis: boolean;
-	LookUpAxis: EAxisOption;
-	CustomLookUpAxis: Vector;
-	LookUp_Axis: Axis;
-	LookAtClamp: number;
-	InterpolationType: EInterpolationBlend;
-	InterpolationTime: number;
-	InterpolationTriggerThreashold: number;
-	clone() : AnimNode_LookAt;
-	static C(Other: UObject | any): AnimNode_LookAt;
+declare class EditableTextBox extends Widget { 
+	text: string;
+	TextDelegate: UnrealEngineDelegate<() => string>;
+	WidgetStyle: EditableTextBoxStyle;
+	Style: SlateWidgetStyleAsset;
+	HintText: string;
+	HintTextDelegate: UnrealEngineDelegate<() => string>;
+	Font: SlateFontInfo;
+	ForegroundColor: LinearColor;
+	BackgroundColor: LinearColor;
+	ReadOnlyForegroundColor: LinearColor;
+	IsReadOnly: boolean;
+	IsPassword: boolean;
+	MinimumDesiredWidth: number;
+	Padding: Margin;
+	IsCaretMovedWhenGainFocus: boolean;
+	SelectAllTextWhenFocused: boolean;
+	RevertTextOnEscape: boolean;
+	ClearKeyboardFocusOnCommit: boolean;
+	SelectAllTextOnCommit: boolean;
+	AllowContextMenu: boolean;
+	KeyboardType: EVirtualKeyboardType;
+	VirtualKeyboardOptions: VirtualKeyboardOptions;
+	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
+	Justification: ETextJustify;
+	ShapedTextOptions: ShapedTextOptions;
+	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
+	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
+	static Load(ResourceName: string): EditableTextBox;
+	static Find(Outer: UObject, ResourceName: string): EditableTextBox;
+	static GetDefaultObject(): EditableTextBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBox;
+	SetText(InText: string): void;
+	SetIsReadOnly(bReadOnly: boolean): void;
+	SetIsPassword(bIsPassword: boolean): void;
+	SetHintText(InText: string): void;
+	SetError(InError: string): void;
+	HasError(): boolean;
+	GetText(): string;
+	ClearError(): void;
+	static C(Other: UObject | any): EditableTextBox;
 }
 
-declare class AnimGraphNode_LookAt extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_LookAt;
-	static Load(ResourceName: string): AnimGraphNode_LookAt;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LookAt;
-	static GetDefaultObject(): AnimGraphNode_LookAt;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LookAt;
-	static C(Other: UObject | any): AnimGraphNode_LookAt;
+declare class ExpandableAreaStyle extends SlateWidgetStyle { 
+	CollapsedImage: SlateBrush;
+	ExpandedImage: SlateBrush;
+	RolloutAnimationSeconds: number;
+	clone() : ExpandableAreaStyle;
+	static C(Other: UObject | any): ExpandableAreaStyle;
 }
 
-declare class AnimNode_MakeDynamicAdditive extends AnimNode_Base { 
-	Base: PoseLink;
-	Additive: PoseLink;
-	bMeshSpaceAdditive: boolean;
-	clone() : AnimNode_MakeDynamicAdditive;
-	static C(Other: UObject | any): AnimNode_MakeDynamicAdditive;
+declare class ExpandableArea extends Widget { 
+	Style: ExpandableAreaStyle;
+	BorderBrush: SlateBrush;
+	BorderColor: SlateColor;
+	bIsExpanded: boolean;
+	MaxHeight: number;
+	HeaderPadding: Margin;
+	AreaPadding: Margin;
+	OnExpansionChanged: UnrealEngineMulticastDelegate<(Area: ExpandableArea, bIsExpanded: boolean) => void>;
+	HeaderContent: Widget;
+	BodyContent: Widget;
+	static Load(ResourceName: string): ExpandableArea;
+	static Find(Outer: UObject, ResourceName: string): ExpandableArea;
+	static GetDefaultObject(): ExpandableArea;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExpandableArea;
+	SetIsExpanded_Animated(IsExpanded: boolean): void;
+	SetIsExpanded(IsExpanded: boolean): void;
+	GetIsExpanded(): boolean;
+	static C(Other: UObject | any): ExpandableArea;
 }
 
-declare class AnimGraphNode_MakeDynamicAdditive extends AnimGraphNode_Base { 
-	UNode: AnimNode_MakeDynamicAdditive;
-	static Load(ResourceName: string): AnimGraphNode_MakeDynamicAdditive;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MakeDynamicAdditive;
-	static GetDefaultObject(): AnimGraphNode_MakeDynamicAdditive;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MakeDynamicAdditive;
-	static C(Other: UObject | any): AnimGraphNode_MakeDynamicAdditive;
+declare class FloatBinding extends PropertyBinding { 
+	static Load(ResourceName: string): FloatBinding;
+	static Find(Outer: UObject, ResourceName: string): FloatBinding;
+	static GetDefaultObject(): FloatBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatBinding;
+	GetValue(): number;
+	static C(Other: UObject | any): FloatBinding;
 }
 
-declare class AnimNode_MeshSpaceRefPose extends AnimNode_Base { 
-	clone() : AnimNode_MeshSpaceRefPose;
-	static C(Other: UObject | any): AnimNode_MeshSpaceRefPose;
+declare class GridPanel extends PanelWidget { 
+	ColumnFill: number[];
+	RowFill: number[];
+	static Load(ResourceName: string): GridPanel;
+	static Find(Outer: UObject, ResourceName: string): GridPanel;
+	static GetDefaultObject(): GridPanel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPanel;
+	SetRowFill(ColumnIndex: number,Coefficient: number): void;
+	SetColumnFill(ColumnIndex: number,Coefficient: number): void;
+	AddChildToGrid(Content: Widget): GridSlot;
+	static C(Other: UObject | any): GridPanel;
 }
 
-declare class AnimGraphNode_MeshRefPose extends AnimGraphNode_Base { 
-	UNode: AnimNode_MeshSpaceRefPose;
-	static Load(ResourceName: string): AnimGraphNode_MeshRefPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MeshRefPose;
-	static GetDefaultObject(): AnimGraphNode_MeshRefPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MeshRefPose;
-	static C(Other: UObject | any): AnimGraphNode_MeshRefPose;
+declare class HorizontalBox extends PanelWidget { 
+	static Load(ResourceName: string): HorizontalBox;
+	static Find(Outer: UObject, ResourceName: string): HorizontalBox;
+	static GetDefaultObject(): HorizontalBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HorizontalBox;
+	AddChildToHorizontalBox(Content: Widget): HorizontalBoxSlot;
+	static C(Other: UObject | any): HorizontalBox;
 }
 
-declare type EBoneModificationMode = 'BMM_Ignore' | 'BMM_Replace' | 'BMM_Additive' | 'BMM_MAX';
-declare var EBoneModificationMode : { BMM_Ignore:'BMM_Ignore',BMM_Replace:'BMM_Replace',BMM_Additive:'BMM_Additive',BMM_MAX:'BMM_MAX', };
-declare class AnimNode_ModifyBone extends AnimNode_SkeletalControlBase { 
-	BoneToModify: BoneReference;
-	Translation: Vector;
-	Rotation: Rotator;
-	Scale: Vector;
-	TranslationMode: EBoneModificationMode;
-	RotationMode: EBoneModificationMode;
-	ScaleMode: EBoneModificationMode;
-	TranslationSpace: EBoneControlSpace;
-	RotationSpace: EBoneControlSpace;
-	ScaleSpace: EBoneControlSpace;
-	clone() : AnimNode_ModifyBone;
-	static C(Other: UObject | any): AnimNode_ModifyBone;
+declare class UImage extends Widget { 
+	UImage: SlateBrushAsset;
+	Brush: SlateBrush;
+	BrushDelegate: UnrealEngineDelegate<() => SlateBrush>;
+	ColorAndOpacity: LinearColor;
+	ColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
+	bFlipForRightToLeftFlowDirection: boolean;
+	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
+	static Load(ResourceName: string): UImage;
+	static Find(Outer: UObject, ResourceName: string): UImage;
+	static GetDefaultObject(): UImage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UImage;
+	SetOpacity(InOpacity: number): void;
+	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
+	SetBrushTintColor(TintColor: SlateColor): void;
+	SetBrushSize(DesiredSize: Vector2D): void;
+	SetBrushFromTextureDynamic(Texture: Texture2DDynamic,bMatchSize: boolean): void;
+	SetBrushFromTexture(Texture: Texture2D,bMatchSize: boolean): void;
+	SetBrushFromSoftTexture(SoftTexture: Texture2D,bMatchSize: boolean): void;
+	SetBrushFromSoftMaterial(SoftMaterial: MaterialInterface): void;
+	SetBrushFromMaterial(Material: MaterialInterface): void;
+	SetBrushFromAsset(Asset: SlateBrushAsset): void;
+	SetBrush(InBrush: SlateBrush): void;
+	GetDynamicMaterial(): MaterialInstanceDynamic;
+	static C(Other: UObject | any): UImage;
 }
 
-declare class AnimGraphNode_ModifyBone extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_ModifyBone;
-	static Load(ResourceName: string): AnimGraphNode_ModifyBone;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ModifyBone;
-	static GetDefaultObject(): AnimGraphNode_ModifyBone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ModifyBone;
-	static C(Other: UObject | any): AnimGraphNode_ModifyBone;
+declare class InputChord { 
+	Key: Key;
+	bShift: boolean;
+	bCtrl: boolean;
+	bAlt: boolean;
+	bCmd: boolean;
+	clone() : InputChord;
+	static C(Other: UObject | any): InputChord;
+	EqualEqual_InputChordInputChord(B: InputChord): boolean;
+	static EqualEqual_InputChordInputChord(A: InputChord,B: InputChord): boolean;
 }
 
-declare type EModifyCurveApplyMode = 'Add' | 'Scale' | 'Blend' | 'EModifyCurveApplyMode_MAX';
-declare var EModifyCurveApplyMode : { Add:'Add',Scale:'Scale',Blend:'Blend',EModifyCurveApplyMode_MAX:'EModifyCurveApplyMode_MAX', };
-declare class AnimNode_ModifyCurve extends AnimNode_Base { 
-	SourcePose: PoseLink;
-	ApplyMode: EModifyCurveApplyMode;
-	CurveValues: number[];
-	CurveNames: string[];
-	Alpha: number;
-	clone() : AnimNode_ModifyCurve;
-	static C(Other: UObject | any): AnimNode_ModifyCurve;
-}
-
-declare class AnimGraphNode_ModifyCurve extends AnimGraphNode_Base { 
-	UNode: AnimNode_ModifyCurve;
-	static Load(ResourceName: string): AnimGraphNode_ModifyCurve;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ModifyCurve;
-	static GetDefaultObject(): AnimGraphNode_ModifyCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ModifyCurve;
-	static C(Other: UObject | any): AnimGraphNode_ModifyCurve;
+declare class InputKeySelector extends Widget { 
+	WidgetStyle: ButtonStyle;
+	TextStyle: TextBlockStyle;
+	SelectedKey: InputChord;
+	Font: SlateFontInfo;
+	Margin: Margin;
+	ColorAndOpacity: LinearColor;
+	KeySelectionText: string;
+	NoKeySpecifiedText: string;
+	bAllowModifierKeys: boolean;
+	bAllowGamepadKeys: boolean;
+	EscapeKeys: Key[];
+	OnKeySelected: UnrealEngineMulticastDelegate<(SelectedKey: InputChord) => void>;
+	OnIsSelectingKeyChanged: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): InputKeySelector;
+	static Find(Outer: UObject, ResourceName: string): InputKeySelector;
+	static GetDefaultObject(): InputKeySelector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputKeySelector;
+	SetTextBlockVisibility(InVisibility: ESlateVisibility): void;
+	SetSelectedKey(InSelectedKey: InputChord): void;
+	SetNoKeySpecifiedText(InNoKeySpecifiedText: string): void;
+	SetKeySelectionText(InKeySelectionText: string): void;
+	SetEscapeKeys(InKeys: Key[]): void;
+	SetAllowModifierKeys(bInAllowModifierKeys: boolean): void;
+	SetAllowGamepadKeys(bInAllowGamepadKeys: boolean): void;
+	GetIsSelectingKey(): boolean;
+	static C(Other: UObject | any): InputKeySelector;
 }
 
-declare class AnimNode_MultiWayBlend extends AnimNode_Base { 
-	Poses: PoseLink[];
-	DesiredAlphas: number[];
-	bAdditiveNode: boolean;
-	bNormalizeAlpha: boolean;
-	AlphaScaleBias: InputScaleBias;
-	clone() : AnimNode_MultiWayBlend;
-	static C(Other: UObject | any): AnimNode_MultiWayBlend;
+declare class Int32Binding extends PropertyBinding { 
+	static Load(ResourceName: string): Int32Binding;
+	static Find(Outer: UObject, ResourceName: string): Int32Binding;
+	static GetDefaultObject(): Int32Binding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int32Binding;
+	GetValue(): number;
+	static C(Other: UObject | any): Int32Binding;
 }
 
-declare class AnimGraphNode_MultiWayBlend extends AnimGraphNode_Base { 
-	UNode: AnimNode_MultiWayBlend;
-	static Load(ResourceName: string): AnimGraphNode_MultiWayBlend;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MultiWayBlend;
-	static GetDefaultObject(): AnimGraphNode_MultiWayBlend;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MultiWayBlend;
-	static C(Other: UObject | any): AnimGraphNode_MultiWayBlend;
+declare class InvalidationBox extends ContentWidget { 
+	bCanCache: boolean;
+	CacheRelativeTransforms: boolean;
+	static Load(ResourceName: string): InvalidationBox;
+	static Find(Outer: UObject, ResourceName: string): InvalidationBox;
+	static GetDefaultObject(): InvalidationBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InvalidationBox;
+	SetCanCache(CanCache: boolean): void;
+	InvalidateCache(): void;
+	GetCanCache(): boolean;
+	static C(Other: UObject | any): InvalidationBox;
 }
 
-declare class AnimNode_ObserveBone extends AnimNode_SkeletalControlBase { 
-	BoneToObserve: BoneReference;
-	DisplaySpace: EBoneControlSpace;
-	bRelativeToRefPose: boolean;
-	Translation: Vector;
-	Rotation: Rotator;
-	Scale: Vector;
-	clone() : AnimNode_ObserveBone;
-	static C(Other: UObject | any): AnimNode_ObserveBone;
+declare class ListViewBase extends Widget { 
+	EntryWidgetClass: UnrealEngineClass;
+	BP_OnEntryGenerated: UnrealEngineMulticastDelegate<(Widget: UserWidget) => void>;
+	BP_OnEntryReleased: UnrealEngineMulticastDelegate<(Widget: UserWidget) => void>;
+	NumDesignerPreviewEntries: number;
+	static Load(ResourceName: string): ListViewBase;
+	static Find(Outer: UObject, ResourceName: string): ListViewBase;
+	static GetDefaultObject(): ListViewBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListViewBase;
+	ScrollToTop(): void;
+	ScrollToBottom(): void;
+	RegenerateAllEntries(): void;
+	GetDisplayedEntryWidgets(): UserWidget[];
+	static C(Other: UObject | any): ListViewBase;
+}
+
+declare class NativeUserListEntry extends Interface { 
+	static Load(ResourceName: string): NativeUserListEntry;
+	static Find(Outer: UObject, ResourceName: string): NativeUserListEntry;
+	static GetDefaultObject(): NativeUserListEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeUserListEntry;
+	IsListItemSelected(): boolean;
+	IsListItemExpanded(): boolean;
+	GetOwningListView(): ListViewBase;
+	static C(Other: UObject | any): NativeUserListEntry;
+}
+
+declare class UserListEntry extends NativeUserListEntry { 
+	static Load(ResourceName: string): UserListEntry;
+	static Find(Outer: UObject, ResourceName: string): UserListEntry;
+	static GetDefaultObject(): UserListEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserListEntry;
+	BP_OnItemSelectionChanged(bIsSelected: boolean): void;
+	BP_OnItemExpansionChanged(bIsExpanded: boolean): void;
+	BP_OnEntryReleased(): void;
+	static C(Other: UObject | any): UserListEntry;
+}
+
+declare class UserObjectListEntry extends UserListEntry { 
+	static Load(ResourceName: string): UserObjectListEntry;
+	static Find(Outer: UObject, ResourceName: string): UserObjectListEntry;
+	static GetDefaultObject(): UserObjectListEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserObjectListEntry;
+	OnListItemObjectSet(ListItemObject: UObject): void;
+	GetListItemObject(): UObject;
+	static C(Other: UObject | any): UserObjectListEntry;
 }
 
-declare class AnimGraphNode_ObserveBone extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_ObserveBone;
-	static Load(ResourceName: string): AnimGraphNode_ObserveBone;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ObserveBone;
-	static GetDefaultObject(): AnimGraphNode_ObserveBone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ObserveBone;
-	static C(Other: UObject | any): AnimGraphNode_ObserveBone;
+declare type ESelectionMode = 'None' | 'Single' | 'SingleToggle' | 'Multi' | 'ESelectionMode_MAX';
+declare var ESelectionMode : { None:'None',Single:'Single',SingleToggle:'SingleToggle',Multi:'Multi',ESelectionMode_MAX:'ESelectionMode_MAX', };
+declare type EConsumeMouseWheel = 'WhenScrollingPossible' | 'Always' | 'Never' | 'EConsumeMouseWheel_MAX';
+declare var EConsumeMouseWheel : { WhenScrollingPossible:'WhenScrollingPossible',Always:'Always',Never:'Never',EConsumeMouseWheel_MAX:'EConsumeMouseWheel_MAX', };
+declare class ListView extends ListViewBase { 
+	SelectionMode: ESelectionMode;
+	ConsumeMouseWheel: EConsumeMouseWheel;
+	bClearSelectionOnClick: boolean;
+	bIsFocusable: boolean;
+	EntrySpacing: number;
+	bReturnFocusToSelection: boolean;
+	ListItems: UObject[];
+	BP_OnItemClicked: UnrealEngineMulticastDelegate<(Item: UObject) => void>;
+	BP_OnItemDoubleClicked: UnrealEngineMulticastDelegate<(Item: UObject) => void>;
+	BP_OnItemIsHoveredChanged: UnrealEngineMulticastDelegate<(Item: UObject, bIsHovered: boolean) => void>;
+	BP_OnItemSelectionChanged: UnrealEngineMulticastDelegate<(Item: UObject, bIsSelected: boolean) => void>;
+	BP_OnItemScrolledIntoView: UnrealEngineMulticastDelegate<(Item: UObject, Widget: UserWidget) => void>;
+	static Load(ResourceName: string): ListView;
+	static Find(Outer: UObject, ResourceName: string): ListView;
+	static GetDefaultObject(): ListView;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListView;
+	SetSelectionMode(SelectionMode: ESelectionMode): void;
+	SetSelectedIndex(index: number): void;
+	ScrollIndexIntoView(index: number): void;
+	NavigateToIndex(index: number): void;
+	IsRefreshPending(): boolean;
+	GetNumItems(): number;
+	GetListItems(): UObject[];
+	GetItemAt(index: number): UObject;
+	GetIndexForItem(Item: UObject): number;
+	ClearListItems(): void;
+	BP_SetSelectedItem(Item: UObject): void;
+	BP_SetListItems(InListItems: UObject[]): void;
+	BP_SetItemSelection(Item: UObject,bSelected: boolean): void;
+	BP_ScrollItemIntoView(Item: UObject): void;
+	BP_NavigateToItem(Item: UObject): void;
+	BP_IsItemVisible(Item: UObject): boolean;
+	BP_GetSelectedItems(Items?: UObject[]): {Items: UObject[], $: boolean};
+	BP_GetSelectedItem(): UObject;
+	BP_GetNumItemsSelected(): number;
+	BP_ClearSelection(): void;
+	BP_CancelScrollIntoView(): void;
+	AddItem(Item: UObject): void;
+	static C(Other: UObject | any): ListView;
 }
 
-declare class AnimGraphNode_PoseHandler extends AnimGraphNode_AssetPlayerBase { 
-	static Load(ResourceName: string): AnimGraphNode_PoseHandler;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseHandler;
-	static GetDefaultObject(): AnimGraphNode_PoseHandler;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseHandler;
-	static C(Other: UObject | any): AnimGraphNode_PoseHandler;
+declare class ListViewDesignerPreviewItem extends UObject { 
+	static Load(ResourceName: string): ListViewDesignerPreviewItem;
+	static Find(Outer: UObject, ResourceName: string): ListViewDesignerPreviewItem;
+	static GetDefaultObject(): ListViewDesignerPreviewItem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListViewDesignerPreviewItem;
+	static C(Other: UObject | any): ListViewDesignerPreviewItem;
 }
 
-declare class AnimNode_PoseHandler extends AnimNode_AssetPlayerBase { 
-	PoseAsset: PoseAsset;
-	clone() : AnimNode_PoseHandler;
-	static C(Other: UObject | any): AnimNode_PoseHandler;
+declare type EMenuPlacement = 'MenuPlacement_BelowAnchor' | 'MenuPlacement_CenteredBelowAnchor' | 'MenuPlacement_BelowRightAnchor' | 'MenuPlacement_ComboBox' | 'MenuPlacement_ComboBoxRight' | 'MenuPlacement_MenuRight' | 'MenuPlacement_AboveAnchor' | 'MenuPlacement_CenteredAboveAnchor' | 'MenuPlacement_AboveRightAnchor' | 'MenuPlacement_MenuLeft' | 'MenuPlacement_Center' | 'MenuPlacement_RightLeftCenter' | 'MenuPlacement_MatchBottomLeft' | 'MenuPlacement_MAX';
+declare var EMenuPlacement : { MenuPlacement_BelowAnchor:'MenuPlacement_BelowAnchor',MenuPlacement_CenteredBelowAnchor:'MenuPlacement_CenteredBelowAnchor',MenuPlacement_BelowRightAnchor:'MenuPlacement_BelowRightAnchor',MenuPlacement_ComboBox:'MenuPlacement_ComboBox',MenuPlacement_ComboBoxRight:'MenuPlacement_ComboBoxRight',MenuPlacement_MenuRight:'MenuPlacement_MenuRight',MenuPlacement_AboveAnchor:'MenuPlacement_AboveAnchor',MenuPlacement_CenteredAboveAnchor:'MenuPlacement_CenteredAboveAnchor',MenuPlacement_AboveRightAnchor:'MenuPlacement_AboveRightAnchor',MenuPlacement_MenuLeft:'MenuPlacement_MenuLeft',MenuPlacement_Center:'MenuPlacement_Center',MenuPlacement_RightLeftCenter:'MenuPlacement_RightLeftCenter',MenuPlacement_MatchBottomLeft:'MenuPlacement_MatchBottomLeft',MenuPlacement_MAX:'MenuPlacement_MAX', };
+declare class MenuAnchor extends ContentWidget { 
+	MenuClass: UnrealEngineClass;
+	OnGetMenuContentEvent: UnrealEngineDelegate<() => Widget>;
+	PLACEMENT: EMenuPlacement;
+	ShouldDeferPaintingAfterWindowContent: boolean;
+	UseApplicationMenuStack: boolean;
+	OnMenuOpenChanged: UnrealEngineMulticastDelegate<(bIsOpen: boolean) => void>;
+	static Load(ResourceName: string): MenuAnchor;
+	static Find(Outer: UObject, ResourceName: string): MenuAnchor;
+	static GetDefaultObject(): MenuAnchor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MenuAnchor;
+	ToggleOpen(bFocusOnOpen: boolean): void;
+	ShouldOpenDueToClick(): boolean;
+	Open(bFocusMenu: boolean): void;
+	IsOpen(): boolean;
+	HasOpenSubMenus(): boolean;
+	GetMenuPosition(): Vector2D;
+	Close(): void;
+	static C(Other: UObject | any): MenuAnchor;
 }
 
-declare class AnimNode_PoseBlendNode extends AnimNode_PoseHandler { 
-	SourcePose: PoseLink;
-	BlendOption: EAlphaBlendOption;
-	CustomCurve: CurveFloat;
-	clone() : AnimNode_PoseBlendNode;
-	static C(Other: UObject | any): AnimNode_PoseBlendNode;
+declare class MouseCursorBinding extends PropertyBinding { 
+	static Load(ResourceName: string): MouseCursorBinding;
+	static Find(Outer: UObject, ResourceName: string): MouseCursorBinding;
+	static GetDefaultObject(): MouseCursorBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MouseCursorBinding;
+	GetValue(): EMouseCursor;
+	static C(Other: UObject | any): MouseCursorBinding;
 }
 
-declare class AnimGraphNode_PoseBlendNode extends AnimGraphNode_PoseHandler { 
-	UNode: AnimNode_PoseBlendNode;
-	static Load(ResourceName: string): AnimGraphNode_PoseBlendNode;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseBlendNode;
-	static GetDefaultObject(): AnimGraphNode_PoseBlendNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseBlendNode;
-	static C(Other: UObject | any): AnimGraphNode_PoseBlendNode;
+declare class MovieScene2DTransformMask { 
+	mask: any;
+	clone() : MovieScene2DTransformMask;
+	static C(Other: UObject | any): MovieScene2DTransformMask;
 }
 
-declare class AnimNode_PoseByName extends AnimNode_PoseHandler { 
-	PoseName: string;
-	PoseWeight: number;
-	clone() : AnimNode_PoseByName;
-	static C(Other: UObject | any): AnimNode_PoseByName;
+declare class MovieScene2DTransformSection extends MovieSceneSection { 
+	TransformMask: MovieScene2DTransformMask;
+	Translation: MovieSceneFloatChannel;
+	Rotation: MovieSceneFloatChannel;
+	Scale: MovieSceneFloatChannel;
+	Shear: MovieSceneFloatChannel;
+	static Load(ResourceName: string): MovieScene2DTransformSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformSection;
+	static GetDefaultObject(): MovieScene2DTransformSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformSection;
+	static C(Other: UObject | any): MovieScene2DTransformSection;
 }
 
-declare class AnimGraphNode_PoseByName extends AnimGraphNode_AssetPlayerBase { 
-	UNode: AnimNode_PoseByName;
-	static Load(ResourceName: string): AnimGraphNode_PoseByName;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseByName;
-	static GetDefaultObject(): AnimGraphNode_PoseByName;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseByName;
-	static C(Other: UObject | any): AnimGraphNode_PoseByName;
+declare class MovieSceneNameableTrack extends MovieSceneTrack { 
+	DisplayName: string;
+	static Load(ResourceName: string): MovieSceneNameableTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneNameableTrack;
+	static GetDefaultObject(): MovieSceneNameableTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneNameableTrack;
+	static C(Other: UObject | any): MovieSceneNameableTrack;
 }
 
-declare type ERBFFunctionType = 'Gaussian' | 'Exponential' | 'Linear' | 'Cubic' | 'Quintic' | 'ERBFFunctionType_MAX';
-declare var ERBFFunctionType : { Gaussian:'Gaussian',Exponential:'Exponential',Linear:'Linear',Cubic:'Cubic',Quintic:'Quintic',ERBFFunctionType_MAX:'ERBFFunctionType_MAX', };
-declare type ERBFDistanceMethod = 'Euclidean' | 'Quaternion' | 'SwingAngle' | 'ERBFDistanceMethod_MAX';
-declare var ERBFDistanceMethod : { Euclidean:'Euclidean',Quaternion:'Quaternion',SwingAngle:'SwingAngle',ERBFDistanceMethod_MAX:'ERBFDistanceMethod_MAX', };
-declare type EBoneAxis = 'BA_X' | 'BA_Y' | 'BA_Z' | 'BA_MAX';
-declare var EBoneAxis : { BA_X:'BA_X',BA_Y:'BA_Y',BA_Z:'BA_Z',BA_MAX:'BA_MAX', };
-declare class RBFParams { 
-	TargetDimensions: number;
-	Radius: number;
-	UFunction: ERBFFunctionType;
-	DistanceMethod: ERBFDistanceMethod;
-	TwistAxis: EBoneAxis;
-	WeightThreshold: number;
-	clone() : RBFParams;
-	static C(Other: UObject | any): RBFParams;
+declare class MovieScenePropertyTrack extends MovieSceneNameableTrack { 
+	UniqueTrackName: string;
+	SectionToKey: MovieSceneSection;
+	PropertyName: string;
+	PropertyPath: string;
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieScenePropertyTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScenePropertyTrack;
+	static GetDefaultObject(): MovieScenePropertyTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePropertyTrack;
+	static C(Other: UObject | any): MovieScenePropertyTrack;
 }
 
-declare type EPoseDriverSource = 'Rotation' | 'Translation' | 'EPoseDriverSource_MAX';
-declare var EPoseDriverSource : { Rotation:'Rotation',Translation:'Translation',EPoseDriverSource_MAX:'EPoseDriverSource_MAX', };
-declare type EPoseDriverOutput = 'DrivePoses' | 'DriveCurves' | 'EPoseDriverOutput_MAX';
-declare var EPoseDriverOutput : { DrivePoses:'DrivePoses',DriveCurves:'DriveCurves',EPoseDriverOutput_MAX:'EPoseDriverOutput_MAX', };
-declare class PoseDriverTransform { 
-	TargetTranslation: Vector;
-	TargetRotation: Rotator;
-	clone() : PoseDriverTransform;
-	static C(Other: UObject | any): PoseDriverTransform;
+declare class MovieScene2DTransformTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieScene2DTransformTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformTrack;
+	static GetDefaultObject(): MovieScene2DTransformTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformTrack;
+	static C(Other: UObject | any): MovieScene2DTransformTrack;
 }
 
-declare class PoseDriverTarget { 
-	BoneTransforms: PoseDriverTransform[];
-	TargetRotation: Rotator;
-	TargetScale: number;
-	bApplyCustomCurve: boolean;
-	CustomCurve: RichCurve;
-	DrivenName: string;
-	clone() : PoseDriverTarget;
-	static C(Other: UObject | any): PoseDriverTarget;
+declare class MovieSceneMarginSection extends MovieSceneSection { 
+	TopCurve: MovieSceneFloatChannel;
+	LeftCurve: MovieSceneFloatChannel;
+	RightCurve: MovieSceneFloatChannel;
+	BottomCurve: MovieSceneFloatChannel;
+	static Load(ResourceName: string): MovieSceneMarginSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginSection;
+	static GetDefaultObject(): MovieSceneMarginSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginSection;
+	static C(Other: UObject | any): MovieSceneMarginSection;
 }
 
-declare type EPoseDriverType = 'SwingAndTwist' | 'SwingOnly' | 'Translation' | 'EPoseDriverType_MAX';
-declare var EPoseDriverType : { SwingAndTwist:'SwingAndTwist',SwingOnly:'SwingOnly',Translation:'Translation',EPoseDriverType_MAX:'EPoseDriverType_MAX', };
-declare class AnimNode_PoseDriver extends AnimNode_PoseHandler { 
-	SourcePose: PoseLink;
-	SourceBones: BoneReference[];
-	bOnlyDriveSelectedBones: boolean;
-	OnlyDriveBones: BoneReference[];
-	EvalSpaceBone: BoneReference;
-	RBFParams: RBFParams;
-	DriveSource: EPoseDriverSource;
-	DriveOutput: EPoseDriverOutput;
-	PoseTargets: PoseDriverTarget[];
-	SourceBone: BoneReference;
-	TwistAxis: EBoneAxis;
-	Type: EPoseDriverType;
-	RadialScaling: number;
-	clone() : AnimNode_PoseDriver;
-	static C(Other: UObject | any): AnimNode_PoseDriver;
+declare class MovieSceneMarginTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneMarginTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginTrack;
+	static GetDefaultObject(): MovieSceneMarginTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginTrack;
+	static C(Other: UObject | any): MovieSceneMarginTrack;
 }
 
-declare class AnimGraphNode_PoseDriver extends AnimGraphNode_PoseHandler { 
-	UNode: AnimNode_PoseDriver;
-	LastPreviewComponent: SkeletalMeshComponent;
-	static Load(ResourceName: string): AnimGraphNode_PoseDriver;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseDriver;
-	static GetDefaultObject(): AnimGraphNode_PoseDriver;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseDriver;
-	static C(Other: UObject | any): AnimGraphNode_PoseDriver;
+declare class MovieSceneMaterialTrack extends MovieSceneNameableTrack { 
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneMaterialTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneMaterialTrack;
+	static GetDefaultObject(): MovieSceneMaterialTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMaterialTrack;
+	static C(Other: UObject | any): MovieSceneMaterialTrack;
 }
 
-declare type ESnapshotSourceMode = 'NamedSnapshot' | 'SnapshotPin' | 'ESnapshotSourceMode_MAX';
-declare var ESnapshotSourceMode : { NamedSnapshot:'NamedSnapshot',SnapshotPin:'SnapshotPin',ESnapshotSourceMode_MAX:'ESnapshotSourceMode_MAX', };
-declare class AnimNode_PoseSnapshot extends AnimNode_Base { 
-	Mode: ESnapshotSourceMode;
-	SnapshotName: string;
-	Snapshot: PoseSnapshot;
-	clone() : AnimNode_PoseSnapshot;
-	static C(Other: UObject | any): AnimNode_PoseSnapshot;
+declare class MovieSceneWidgetMaterialTrack extends MovieSceneMaterialTrack { 
+	BrushPropertyNamePath: string[];
+	TrackName: string;
+	static Load(ResourceName: string): MovieSceneWidgetMaterialTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneWidgetMaterialTrack;
+	static GetDefaultObject(): MovieSceneWidgetMaterialTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneWidgetMaterialTrack;
+	static C(Other: UObject | any): MovieSceneWidgetMaterialTrack;
 }
 
-declare class AnimGraphNode_PoseSnapshot extends AnimGraphNode_Base { 
-	UNode: AnimNode_PoseSnapshot;
-	static Load(ResourceName: string): AnimGraphNode_PoseSnapshot;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseSnapshot;
-	static GetDefaultObject(): AnimGraphNode_PoseSnapshot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseSnapshot;
-	static C(Other: UObject | any): AnimGraphNode_PoseSnapshot;
+declare type ETextWrappingPolicy = 'DefaultWrapping' | 'AllowPerCharacterWrapping' | 'ETextWrappingPolicy_MAX';
+declare var ETextWrappingPolicy : { DefaultWrapping:'DefaultWrapping',AllowPerCharacterWrapping:'AllowPerCharacterWrapping',ETextWrappingPolicy_MAX:'ETextWrappingPolicy_MAX', };
+declare class TextLayoutWidget extends Widget { 
+	ShapedTextOptions: ShapedTextOptions;
+	Justification: ETextJustify;
+	WrappingPolicy: ETextWrappingPolicy;
+	AutoWrapText: boolean;
+	WrapTextAt: number;
+	Margin: Margin;
+	LineHeightPercentage: number;
+	static Load(ResourceName: string): TextLayoutWidget;
+	static Find(Outer: UObject, ResourceName: string): TextLayoutWidget;
+	static GetDefaultObject(): TextLayoutWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextLayoutWidget;
+	static C(Other: UObject | any): TextLayoutWidget;
 }
 
-declare class RandomPlayerSequenceEntry { 
-	Sequence: AnimSequence;
-	ChanceToPlay: number;
-	MinLoopCount: number;
-	MaxLoopCount: number;
-	MinPlayRate: number;
-	MaxPlayRate: number;
-	BlendIn: AlphaBlend;
-	clone() : RandomPlayerSequenceEntry;
-	static C(Other: UObject | any): RandomPlayerSequenceEntry;
+declare class MultiLineEditableText extends TextLayoutWidget { 
+	text: string;
+	HintText: string;
+	HintTextDelegate: UnrealEngineDelegate<() => string>;
+	WidgetStyle: TextBlockStyle;
+	bIsReadOnly: boolean;
+	Font: SlateFontInfo;
+	SelectAllTextWhenFocused: boolean;
+	ClearTextSelectionOnFocusLoss: boolean;
+	RevertTextOnEscape: boolean;
+	ClearKeyboardFocusOnCommit: boolean;
+	AllowContextMenu: boolean;
+	VirtualKeyboardOptions: VirtualKeyboardOptions;
+	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
+	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
+	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
+	static Load(ResourceName: string): MultiLineEditableText;
+	static Find(Outer: UObject, ResourceName: string): MultiLineEditableText;
+	static GetDefaultObject(): MultiLineEditableText;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableText;
+	SetText(InText: string): void;
+	SetIsReadOnly(bReadOnly: boolean): void;
+	GetText(): string;
+	static C(Other: UObject | any): MultiLineEditableText;
 }
 
-declare class AnimNode_RandomPlayer extends AnimNode_Base { 
-	bShuffleMode: boolean;
-	Entries: RandomPlayerSequenceEntry[];
-	clone() : AnimNode_RandomPlayer;
-	static C(Other: UObject | any): AnimNode_RandomPlayer;
+declare class MultiLineEditableTextBox extends TextLayoutWidget { 
+	text: string;
+	HintText: string;
+	HintTextDelegate: UnrealEngineDelegate<() => string>;
+	WidgetStyle: EditableTextBoxStyle;
+	TextStyle: TextBlockStyle;
+	bIsReadOnly: boolean;
+	AllowContextMenu: boolean;
+	VirtualKeyboardOptions: VirtualKeyboardOptions;
+	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
+	Style: SlateWidgetStyleAsset;
+	Font: SlateFontInfo;
+	ForegroundColor: LinearColor;
+	BackgroundColor: LinearColor;
+	ReadOnlyForegroundColor: LinearColor;
+	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
+	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
+	static Load(ResourceName: string): MultiLineEditableTextBox;
+	static Find(Outer: UObject, ResourceName: string): MultiLineEditableTextBox;
+	static GetDefaultObject(): MultiLineEditableTextBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableTextBox;
+	SetText(InText: string): void;
+	SetIsReadOnly(bReadOnly: boolean): void;
+	SetError(InError: string): void;
+	GetText(): string;
+	static C(Other: UObject | any): MultiLineEditableTextBox;
 }
 
-declare class AnimGraphNode_RandomPlayer extends AnimGraphNode_Base { 
-	UNode: AnimNode_RandomPlayer;
-	static Load(ResourceName: string): AnimGraphNode_RandomPlayer;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RandomPlayer;
-	static GetDefaultObject(): AnimGraphNode_RandomPlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RandomPlayer;
-	static C(Other: UObject | any): AnimGraphNode_RandomPlayer;
+declare class NamedSlot extends ContentWidget { 
+	static Load(ResourceName: string): NamedSlot;
+	static Find(Outer: UObject, ResourceName: string): NamedSlot;
+	static GetDefaultObject(): NamedSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlot;
+	static C(Other: UObject | any): NamedSlot;
 }
 
-declare class AnimNode_RotateRootBone extends AnimNode_Base { 
-	BasePose: PoseLink;
-	Pitch: number;
-	Yaw: number;
-	MeshToComponent: Rotator;
-	clone() : AnimNode_RotateRootBone;
-	static C(Other: UObject | any): AnimNode_RotateRootBone;
+declare class NamedSlotInterface extends Interface { 
+	static Load(ResourceName: string): NamedSlotInterface;
+	static Find(Outer: UObject, ResourceName: string): NamedSlotInterface;
+	static GetDefaultObject(): NamedSlotInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlotInterface;
+	static C(Other: UObject | any): NamedSlotInterface;
 }
 
-declare class AnimGraphNode_RotateRootBone extends AnimGraphNode_Base { 
-	UNode: AnimNode_RotateRootBone;
-	static Load(ResourceName: string): AnimGraphNode_RotateRootBone;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotateRootBone;
-	static GetDefaultObject(): AnimGraphNode_RotateRootBone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotateRootBone;
-	static C(Other: UObject | any): AnimGraphNode_RotateRootBone;
+declare class NativeWidgetHost extends Widget { 
+	static Load(ResourceName: string): NativeWidgetHost;
+	static Find(Outer: UObject, ResourceName: string): NativeWidgetHost;
+	static GetDefaultObject(): NativeWidgetHost;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeWidgetHost;
+	static C(Other: UObject | any): NativeWidgetHost;
+	SetContent(SlateWidget: JavascriptSlateWidget): Widget;
+	static SetContent(TargetWidget: NativeWidgetHost,SlateWidget: JavascriptSlateWidget): Widget;
 }
 
-declare class AnimNode_RotationMultiplier extends AnimNode_SkeletalControlBase { 
-	TargetBone: BoneReference;
-	SourceBone: BoneReference;
-	Multiplier: number;
-	RotationAxisToRefer: EBoneAxis;
-	bIsAdditive: boolean;
-	clone() : AnimNode_RotationMultiplier;
-	static C(Other: UObject | any): AnimNode_RotationMultiplier;
+declare class Overlay extends PanelWidget { 
+	static Load(ResourceName: string): Overlay;
+	static Find(Outer: UObject, ResourceName: string): Overlay;
+	static GetDefaultObject(): Overlay;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Overlay;
+	AddChildToOverlay(Content: Widget): OverlaySlot;
+	static C(Other: UObject | any): Overlay;
 }
 
-declare class AnimGraphNode_RotationMultiplier extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_RotationMultiplier;
-	static Load(ResourceName: string): AnimGraphNode_RotationMultiplier;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationMultiplier;
-	static GetDefaultObject(): AnimGraphNode_RotationMultiplier;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationMultiplier;
-	static C(Other: UObject | any): AnimGraphNode_RotationMultiplier;
+declare type EProgressBarFillType = 'LeftToRight' | 'RightToLeft' | 'FillFromCenter' | 'TopToBottom' | 'BottomToTop' | 'EProgressBarFillType_MAX';
+declare var EProgressBarFillType : { LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',FillFromCenter:'FillFromCenter',TopToBottom:'TopToBottom',BottomToTop:'BottomToTop',EProgressBarFillType_MAX:'EProgressBarFillType_MAX', };
+declare class ProgressBar extends Widget { 
+	WidgetStyle: ProgressBarStyle;
+	Style: SlateWidgetStyleAsset;
+	BackgroundImage: SlateBrushAsset;
+	FillImage: SlateBrushAsset;
+	MarqueeImage: SlateBrushAsset;
+	Percent: number;
+	BarFillType: EProgressBarFillType;
+	bIsMarquee: boolean;
+	BorderPadding: Vector2D;
+	PercentDelegate: UnrealEngineDelegate<() => number>;
+	FillColorAndOpacity: LinearColor;
+	FillColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
+	static Load(ResourceName: string): ProgressBar;
+	static Find(Outer: UObject, ResourceName: string): ProgressBar;
+	static GetDefaultObject(): ProgressBar;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressBar;
+	SetPercent(InPercent: number): void;
+	SetIsMarquee(InbIsMarquee: boolean): void;
+	SetFillColorAndOpacity(InColor: LinearColor): void;
+	static C(Other: UObject | any): ProgressBar;
 }
 
-declare class AnimNode_RotationOffsetBlendSpace extends AnimNode_BlendSpacePlayer { 
-	BasePose: PoseLink;
-	LODThreshold: number;
-	bIsLODEnabled: boolean;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	ActualAlpha: number;
-	clone() : AnimNode_RotationOffsetBlendSpace;
-	static C(Other: UObject | any): AnimNode_RotationOffsetBlendSpace;
+declare class RetainerBox extends ContentWidget { 
+	RenderOnInvalidation: boolean;
+	RenderOnPhase: boolean;
+	Phase: number;
+	PhaseCount: number;
+	EffectMaterial: MaterialInterface;
+	TextureParameter: string;
+	static Load(ResourceName: string): RetainerBox;
+	static Find(Outer: UObject, ResourceName: string): RetainerBox;
+	static GetDefaultObject(): RetainerBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RetainerBox;
+	SetTextureParameter(TextureParameter: string): void;
+	SetRenderingPhase(RenderPhase: number,TotalPhases: number): void;
+	SetEffectMaterial(EffectMaterial: MaterialInterface): void;
+	RequestRender(): void;
+	GetEffectMaterial(): MaterialInstanceDynamic;
+	static C(Other: UObject | any): RetainerBox;
 }
 
-declare class AnimGraphNode_RotationOffsetBlendSpace extends AnimGraphNode_BlendSpaceBase { 
-	UNode: AnimNode_RotationOffsetBlendSpace;
-	static Load(ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
-	static GetDefaultObject(): AnimGraphNode_RotationOffsetBlendSpace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationOffsetBlendSpace;
-	static C(Other: UObject | any): AnimGraphNode_RotationOffsetBlendSpace;
+declare class RichTextBlockDecorator extends UObject { 
+	static Load(ResourceName: string): RichTextBlockDecorator;
+	static Find(Outer: UObject, ResourceName: string): RichTextBlockDecorator;
+	static GetDefaultObject(): RichTextBlockDecorator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlockDecorator;
+	static C(Other: UObject | any): RichTextBlockDecorator;
 }
 
-declare class AnimNode_SaveCachedPose extends AnimNode_Base { 
-	Pose: PoseLink;
-	CachePoseName: string;
-	GlobalWeight: number;
-	clone() : AnimNode_SaveCachedPose;
-	static C(Other: UObject | any): AnimNode_SaveCachedPose;
+declare class RichTextBlock extends TextLayoutWidget { 
+	text: string;
+	TextStyleSet: DataTable;
+	DecoratorClasses: UnrealEngineClass[];
+	InstanceDecorators: RichTextBlockDecorator[];
+	static Load(ResourceName: string): RichTextBlock;
+	static Find(Outer: UObject, ResourceName: string): RichTextBlock;
+	static GetDefaultObject(): RichTextBlock;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlock;
+	SetText(InText: string): void;
+	GetDecoratorByClass(DecoratorClass: UnrealEngineClass): RichTextBlockDecorator;
+	static C(Other: UObject | any): RichTextBlock;
 }
 
-declare class AnimGraphNode_SaveCachedPose extends AnimGraphNode_Base { 
-	UNode: AnimNode_SaveCachedPose;
-	CacheName: string;
-	static Load(ResourceName: string): AnimGraphNode_SaveCachedPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SaveCachedPose;
-	static GetDefaultObject(): AnimGraphNode_SaveCachedPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SaveCachedPose;
-	static C(Other: UObject | any): AnimGraphNode_SaveCachedPose;
+declare class RichTextBlockImageDecorator extends RichTextBlockDecorator { 
+	ImageSet: DataTable;
+	static Load(ResourceName: string): RichTextBlockImageDecorator;
+	static Find(Outer: UObject, ResourceName: string): RichTextBlockImageDecorator;
+	static GetDefaultObject(): RichTextBlockImageDecorator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlockImageDecorator;
+	static C(Other: UObject | any): RichTextBlockImageDecorator;
 }
 
-declare type EScaleChainInitialLength = 'FixedDefaultLengthValue' | 'Distance' | 'ChainLength' | 'EScaleChainInitialLength_MAX';
-declare var EScaleChainInitialLength : { FixedDefaultLengthValue:'FixedDefaultLengthValue',Distance:'Distance',ChainLength:'ChainLength',EScaleChainInitialLength_MAX:'EScaleChainInitialLength_MAX', };
-declare class AnimNode_ScaleChainLength extends AnimNode_Base { 
-	InputPose: PoseLink;
-	DefaultChainLength: number;
-	ChainStartBone: BoneReference;
-	ChainEndBone: BoneReference;
-	ChainInitialLength: EScaleChainInitialLength;
-	TargetLocation: Vector;
-	Alpha: number;
-	ActualAlpha: number;
-	AlphaScaleBias: InputScaleBias;
-	bBoneIndicesCached: boolean;
-	clone() : AnimNode_ScaleChainLength;
-	static C(Other: UObject | any): AnimNode_ScaleChainLength;
-}
-
-declare class AnimGraphNode_ScaleChainLength extends AnimGraphNode_Base { 
-	UNode: AnimNode_ScaleChainLength;
-	static Load(ResourceName: string): AnimGraphNode_ScaleChainLength;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ScaleChainLength;
-	static GetDefaultObject(): AnimGraphNode_ScaleChainLength;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ScaleChainLength;
-	static C(Other: UObject | any): AnimGraphNode_ScaleChainLength;
-}
-
-declare type ESequenceEvalReinit = 'NoReset' | 'StartPosition' | 'ExplicitTime' | 'ESequenceEvalReinit_MAX';
-declare var ESequenceEvalReinit : { NoReset:'NoReset',StartPosition:'StartPosition',ExplicitTime:'ExplicitTime',ESequenceEvalReinit_MAX:'ESequenceEvalReinit_MAX', };
-declare class AnimNode_SequenceEvaluator extends AnimNode_AssetPlayerBase { 
-	Sequence: AnimSequenceBase;
-	ExplicitTime: number;
-	bShouldLoop: boolean;
-	bTeleportToExplicitTime: boolean;
-	StartPosition: number;
-	ReinitializationBehavior: ESequenceEvalReinit;
-	bReinitialized: boolean;
-	clone() : AnimNode_SequenceEvaluator;
-	static C(Other: UObject | any): AnimNode_SequenceEvaluator;
+declare class SafeZone extends ContentWidget { 
+	PadLeft: boolean;
+	PadRight: boolean;
+	PadTop: boolean;
+	PadBottom: boolean;
+	static Load(ResourceName: string): SafeZone;
+	static Find(Outer: UObject, ResourceName: string): SafeZone;
+	static GetDefaultObject(): SafeZone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZone;
+	SetSidesToPad(InPadLeft: boolean,InPadRight: boolean,InPadTop: boolean,InPadBottom: boolean): void;
+	static C(Other: UObject | any): SafeZone;
 }
 
-declare class AnimGraphNode_SequenceEvaluator extends AnimGraphNode_AssetPlayerBase { 
-	UNode: AnimNode_SequenceEvaluator;
-	static Load(ResourceName: string): AnimGraphNode_SequenceEvaluator;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequenceEvaluator;
-	static GetDefaultObject(): AnimGraphNode_SequenceEvaluator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequenceEvaluator;
-	static C(Other: UObject | any): AnimGraphNode_SequenceEvaluator;
+declare class SafeZoneSlot extends PanelSlot { 
+	bIsTitleSafe: boolean;
+	SafeAreaScale: Margin;
+	HAlign: EHorizontalAlignment;
+	VAlign: EVerticalAlignment;
+	Padding: Margin;
+	static Load(ResourceName: string): SafeZoneSlot;
+	static Find(Outer: UObject, ResourceName: string): SafeZoneSlot;
+	static GetDefaultObject(): SafeZoneSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZoneSlot;
+	static C(Other: UObject | any): SafeZoneSlot;
 }
 
-declare class AnimNode_SequencePlayer extends AnimNode_AssetPlayerBase { 
-	Sequence: AnimSequenceBase;
-	bLoopAnimation: boolean;
-	PlayRate: number;
-	PlayRateBasis: number;
-	StartPosition: number;
-	clone() : AnimNode_SequencePlayer;
-	static C(Other: UObject | any): AnimNode_SequencePlayer;
+declare type EStretch = 'None' | 'Fill' | 'ScaleToFit' | 'ScaleToFitX' | 'ScaleToFitY' | 'ScaleToFill' | 'ScaleBySafeZone' | 'UserSpecified' | 'EStretch_MAX';
+declare var EStretch : { None:'None',Fill:'Fill',ScaleToFit:'ScaleToFit',ScaleToFitX:'ScaleToFitX',ScaleToFitY:'ScaleToFitY',ScaleToFill:'ScaleToFill',ScaleBySafeZone:'ScaleBySafeZone',UserSpecified:'UserSpecified',EStretch_MAX:'EStretch_MAX', };
+declare type EStretchDirection = 'Both' | 'DownOnly' | 'UpOnly' | 'EStretchDirection_MAX';
+declare var EStretchDirection : { Both:'Both',DownOnly:'DownOnly',UpOnly:'UpOnly',EStretchDirection_MAX:'EStretchDirection_MAX', };
+declare class ScaleBox extends ContentWidget { 
+	Stretch: EStretch;
+	StretchDirection: EStretchDirection;
+	UserSpecifiedScale: number;
+	IgnoreInheritedScale: boolean;
+	bSingleLayoutPass: boolean;
+	static Load(ResourceName: string): ScaleBox;
+	static Find(Outer: UObject, ResourceName: string): ScaleBox;
+	static GetDefaultObject(): ScaleBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBox;
+	SetUserSpecifiedScale(InUserSpecifiedScale: number): void;
+	SetStretchDirection(InStretchDirection: EStretchDirection): void;
+	SetStretch(InStretch: EStretch): void;
+	SetIgnoreInheritedScale(bInIgnoreInheritedScale: boolean): void;
+	static C(Other: UObject | any): ScaleBox;
 }
 
-declare class AnimGraphNode_SequencePlayer extends AnimGraphNode_AssetPlayerBase { 
-	UNode: AnimNode_SequencePlayer;
-	static Load(ResourceName: string): AnimGraphNode_SequencePlayer;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequencePlayer;
-	static GetDefaultObject(): AnimGraphNode_SequencePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequencePlayer;
-	static C(Other: UObject | any): AnimGraphNode_SequencePlayer;
+declare class ScaleBoxSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): ScaleBoxSlot;
+	static Find(Outer: UObject, ResourceName: string): ScaleBoxSlot;
+	static GetDefaultObject(): ScaleBoxSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBoxSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): ScaleBoxSlot;
 }
 
-declare class AnimNode_Slot extends AnimNode_Base { 
-	Source: PoseLink;
-	SlotName: string;
-	bAlwaysUpdateSourcePose: boolean;
-	clone() : AnimNode_Slot;
-	static C(Other: UObject | any): AnimNode_Slot;
+declare type EOrientation = 'Orient_Horizontal' | 'Orient_Vertical' | 'Orient_MAX';
+declare var EOrientation : { Orient_Horizontal:'Orient_Horizontal',Orient_Vertical:'Orient_Vertical',Orient_MAX:'Orient_MAX', };
+declare class ScrollBar extends Widget { 
+	WidgetStyle: ScrollBarStyle;
+	Style: SlateWidgetStyleAsset;
+	bAlwaysShowScrollbar: boolean;
+	bAlwaysShowScrollbarTrack: boolean;
+	Orientation: EOrientation;
+	Thickness: Vector2D;
+	static Load(ResourceName: string): ScrollBar;
+	static Find(Outer: UObject, ResourceName: string): ScrollBar;
+	static GetDefaultObject(): ScrollBar;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBar;
+	SetState(InOffsetFraction: number,InThumbSizeFraction: number): void;
+	static C(Other: UObject | any): ScrollBar;
 }
 
-declare class AnimGraphNode_Slot extends AnimGraphNode_Base { 
-	UNode: AnimNode_Slot;
-	static Load(ResourceName: string): AnimGraphNode_Slot;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Slot;
-	static GetDefaultObject(): AnimGraphNode_Slot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Slot;
-	static C(Other: UObject | any): AnimGraphNode_Slot;
+declare type EDescendantScrollDestination = 'IntoView' | 'TopOrLeft' | 'Center' | 'EDescendantScrollDestination_MAX';
+declare var EDescendantScrollDestination : { IntoView:'IntoView',TopOrLeft:'TopOrLeft',Center:'Center',EDescendantScrollDestination_MAX:'EDescendantScrollDestination_MAX', };
+declare class ScrollBox extends PanelWidget { 
+	WidgetStyle: ScrollBoxStyle;
+	WidgetBarStyle: ScrollBarStyle;
+	Style: SlateWidgetStyleAsset;
+	BarStyle: SlateWidgetStyleAsset;
+	Orientation: EOrientation;
+	ScrollBarVisibility: ESlateVisibility;
+	ConsumeMouseWheel: EConsumeMouseWheel;
+	ScrollbarThickness: Vector2D;
+	AlwaysShowScrollbar: boolean;
+	AlwaysShowScrollbarTrack: boolean;
+	AllowOverscroll: boolean;
+	NavigationDestination: EDescendantScrollDestination;
+	NavigationScrollPadding: number;
+	bAllowRightClickDragScrolling: boolean;
+	OnUserScrolled: UnrealEngineMulticastDelegate<(CurrentOffset: number) => void>;
+	static Load(ResourceName: string): ScrollBox;
+	static Find(Outer: UObject, ResourceName: string): ScrollBox;
+	static GetDefaultObject(): ScrollBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBox;
+	SetScrollOffset(NewScrollOffset: number): void;
+	SetScrollBarVisibility(NewScrollBarVisibility: ESlateVisibility): void;
+	SetScrollbarThickness(NewScrollbarThickness: Vector2D): void;
+	SetOrientation(NewOrientation: EOrientation): void;
+	SetConsumeMouseWheel(NewConsumeMouseWheel: EConsumeMouseWheel): void;
+	SetAlwaysShowScrollbar(NewAlwaysShowScrollbar: boolean): void;
+	SetAllowOverscroll(NewAllowOverscroll: boolean): void;
+	ScrollWidgetIntoView(WidgetToFind: Widget,AnimateScroll: boolean,ScrollDestination: EDescendantScrollDestination): void;
+	ScrollToStart(): void;
+	ScrollToEnd(): void;
+	GetViewOffsetFraction(): number;
+	GetScrollOffset(): number;
+	static C(Other: UObject | any): ScrollBox;
 }
 
-declare type ESplineBoneAxis = 'X' | 'Y' | 'Z' | 'ESplineBoneAxis_MAX';
-declare var ESplineBoneAxis : { X:'X',Y:'Y',Z:'Z',ESplineBoneAxis_MAX:'ESplineBoneAxis_MAX', };
-declare class SplineIKCachedBoneData { 
-	Bone: BoneReference;
-	RefSkeletonIndex: number;
-	clone() : SplineIKCachedBoneData;
-	static C(Other: UObject | any): SplineIKCachedBoneData;
+declare class ScrollBoxSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): ScrollBoxSlot;
+	static Find(Outer: UObject, ResourceName: string): ScrollBoxSlot;
+	static GetDefaultObject(): ScrollBoxSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): ScrollBoxSlot;
 }
 
-declare class AnimNode_SplineIK extends AnimNode_SkeletalControlBase { 
-	StartBone: BoneReference;
-	EndBone: BoneReference;
-	BoneAxis: ESplineBoneAxis;
-	bAutoCalculateSpline: boolean;
-	PointCount: number;
-	ControlPoints: Transform[];
-	Roll: number;
-	TwistStart: number;
-	TwistEnd: number;
-	TwistBlend: AlphaBlend;
-	Stretch: number;
-	Offset: number;
-	BoneSpline: SplineCurves;
-	OriginalSplineLength: number;
-	CachedBoneReferences: SplineIKCachedBoneData[];
-	CachedBoneLengths: number[];
-	CachedOffsetRotations: Quat[];
-	clone() : AnimNode_SplineIK;
-	static C(Other: UObject | any): AnimNode_SplineIK;
+declare class SizeBox extends ContentWidget { 
+	bOverride_WidthOverride: boolean;
+	bOverride_HeightOverride: boolean;
+	bOverride_MinDesiredWidth: boolean;
+	bOverride_MinDesiredHeight: boolean;
+	bOverride_MaxDesiredWidth: boolean;
+	bOverride_MaxDesiredHeight: boolean;
+	bOverride_MaxAspectRatio: boolean;
+	WidthOverride: number;
+	HeightOverride: number;
+	MinDesiredWidth: number;
+	MinDesiredHeight: number;
+	MaxDesiredWidth: number;
+	MaxDesiredHeight: number;
+	MaxAspectRatio: number;
+	static Load(ResourceName: string): SizeBox;
+	static Find(Outer: UObject, ResourceName: string): SizeBox;
+	static GetDefaultObject(): SizeBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBox;
+	SetWidthOverride(InWidthOverride: number): void;
+	SetMinDesiredWidth(InMinDesiredWidth: number): void;
+	SetMinDesiredHeight(InMinDesiredHeight: number): void;
+	SetMaxDesiredWidth(InMaxDesiredWidth: number): void;
+	SetMaxDesiredHeight(InMaxDesiredHeight: number): void;
+	SetMaxAspectRatio(InMaxAspectRatio: number): void;
+	SetHeightOverride(InHeightOverride: number): void;
+	ClearWidthOverride(): void;
+	ClearMinDesiredWidth(): void;
+	ClearMinDesiredHeight(): void;
+	ClearMaxDesiredWidth(): void;
+	ClearMaxDesiredHeight(): void;
+	ClearMaxAspectRatio(): void;
+	ClearHeightOverride(): void;
+	static C(Other: UObject | any): SizeBox;
 }
 
-declare class AnimGraphNode_SplineIK extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_SplineIK;
-	static Load(ResourceName: string): AnimGraphNode_SplineIK;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SplineIK;
-	static GetDefaultObject(): AnimGraphNode_SplineIK;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SplineIK;
-	static C(Other: UObject | any): AnimGraphNode_SplineIK;
+declare class SizeBoxSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): SizeBoxSlot;
+	static Find(Outer: UObject, ResourceName: string): SizeBoxSlot;
+	static GetDefaultObject(): SizeBoxSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBoxSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): SizeBoxSlot;
 }
 
-declare class AnimNode_SpringBone extends AnimNode_SkeletalControlBase { 
-	SpringBone: BoneReference;
-	bLimitDisplacement: boolean;
-	MaxDisplacement: number;
-	SpringStiffness: number;
-	SpringDamping: number;
-	ErrorResetThresh: number;
-	bNoZSpring: boolean;
-	bTranslateX: boolean;
-	bTranslateY: boolean;
-	bTranslateZ: boolean;
-	bRotateX: boolean;
-	bRotateY: boolean;
-	bRotateZ: boolean;
-	clone() : AnimNode_SpringBone;
-	static C(Other: UObject | any): AnimNode_SpringBone;
-}
-
-declare class AnimGraphNode_SpringBone extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_SpringBone;
-	static Load(ResourceName: string): AnimGraphNode_SpringBone;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SpringBone;
-	static GetDefaultObject(): AnimGraphNode_SpringBone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SpringBone;
-	static C(Other: UObject | any): AnimGraphNode_SpringBone;
+declare class SlateBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): SlateBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): SlateBlueprintLibrary;
+	static GetDefaultObject(): SlateBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBlueprintLibrary;
+	static TransformVectorLocalToAbsolute(Geometry: Geometry,LocalVector: Vector2D): Vector2D;
+	static TransformVectorAbsoluteToLocal(Geometry: Geometry,AbsoluteVector: Vector2D): Vector2D;
+	static TransformScalarLocalToAbsolute(Geometry: Geometry,LocalScalar: number): number;
+	static TransformScalarAbsoluteToLocal(Geometry: Geometry,AbsoluteScalar: number): number;
+	static ScreenToWidgetLocal(WorldContextObject: UObject,Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
+	static ScreenToWidgetAbsolute(WorldContextObject: UObject,ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
+	static ScreenToViewport(WorldContextObject: UObject,ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
+	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
+	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
+	static GetLocalSize(Geometry: Geometry): Vector2D;
+	static GetAbsoluteSize(Geometry: Geometry): Vector2D;
+	static EqualEqual_SlateBrush(A: SlateBrush,B: SlateBrush): boolean;
+	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
+	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
+	static C(Other: UObject | any): SlateBlueprintLibrary;
 }
 
-declare class AnimNode_StateMachine extends AnimNode_Base { 
-	StateMachineIndexInClass: number;
-	MaxTransitionsPerFrame: number;
-	bSkipFirstUpdateTransition: boolean;
-	bReinitializeOnBecomingRelevant: boolean;
-	CurrentState: number;
-	ElapsedTime: number;
-	clone() : AnimNode_StateMachine;
-	static C(Other: UObject | any): AnimNode_StateMachine;
+declare class SlateMeshVertex { 
+	Position: Vector2D;
+	Color: Color;
+	UV0: Vector2D;
+	UV1: Vector2D;
+	UV2: Vector2D;
+	UV3: Vector2D;
+	UV4: Vector2D;
+	UV5: Vector2D;
+	clone() : SlateMeshVertex;
+	static C(Other: UObject | any): SlateMeshVertex;
 }
 
-declare class AnimGraphNode_StateMachine extends AnimGraphNode_StateMachineBase { 
-	UNode: AnimNode_StateMachine;
-	static Load(ResourceName: string): AnimGraphNode_StateMachine;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachine;
-	static GetDefaultObject(): AnimGraphNode_StateMachine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachine;
-	static C(Other: UObject | any): AnimGraphNode_StateMachine;
+declare class SlateVectorArtData extends UObject { 
+	MeshAsset: StaticMesh;
+	SourceMaterial: MaterialInterface;
+	VertexData: SlateMeshVertex[];
+	IndexData: any[];
+	Material: MaterialInterface;
+	ExtentMin: Vector2D;
+	ExtentMax: Vector2D;
+	static Load(ResourceName: string): SlateVectorArtData;
+	static Find(Outer: UObject, ResourceName: string): SlateVectorArtData;
+	static GetDefaultObject(): SlateVectorArtData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateVectorArtData;
+	static C(Other: UObject | any): SlateVectorArtData;
 }
 
-declare class AnimNode_SubInput extends AnimNode_Base { 
-	clone() : AnimNode_SubInput;
-	static C(Other: UObject | any): AnimNode_SubInput;
+declare class SliderStyle extends SlateWidgetStyle { 
+	NormalBarImage: SlateBrush;
+	HoveredBarImage: SlateBrush;
+	DisabledBarImage: SlateBrush;
+	NormalThumbImage: SlateBrush;
+	HoveredThumbImage: SlateBrush;
+	DisabledThumbImage: SlateBrush;
+	BarThickness: number;
+	clone() : SliderStyle;
+	static C(Other: UObject | any): SliderStyle;
 }
 
-declare class AnimGraphNode_SubInput extends AnimGraphNode_Base { 
-	UNode: AnimNode_SubInput;
-	static Load(ResourceName: string): AnimGraphNode_SubInput;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SubInput;
-	static GetDefaultObject(): AnimGraphNode_SubInput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SubInput;
-	static C(Other: UObject | any): AnimGraphNode_SubInput;
+declare class Slider extends Widget { 
+	Value: number;
+	ValueDelegate: UnrealEngineDelegate<() => number>;
+	WidgetStyle: SliderStyle;
+	Orientation: EOrientation;
+	SliderBarColor: LinearColor;
+	SliderHandleColor: LinearColor;
+	IndentHandle: boolean;
+	Locked: boolean;
+	MouseUsesStep: boolean;
+	RequiresControllerLock: boolean;
+	StepSize: number;
+	IsFocusable: boolean;
+	OnMouseCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
+	OnMouseCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
+	OnControllerCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
+	OnControllerCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
+	OnValueChanged: UnrealEngineMulticastDelegate<(Value: number) => void>;
+	static Load(ResourceName: string): Slider;
+	static Find(Outer: UObject, ResourceName: string): Slider;
+	static GetDefaultObject(): Slider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Slider;
+	SetValue(InValue: number): void;
+	SetStepSize(InValue: number): void;
+	SetSliderHandleColor(InValue: LinearColor): void;
+	SetSliderBarColor(InValue: LinearColor): void;
+	SetLocked(InValue: boolean): void;
+	SetIndentHandle(InValue: boolean): void;
+	GetValue(): number;
+	static C(Other: UObject | any): Slider;
 }
 
-declare class AnimNode_SubInstance extends AnimNode_Base { 
-	InPose: PoseLink;
-	InstanceClass: UnrealEngineClass;
-	InstanceToRun: AnimInstance;
-	InstanceProperties: Property[];
-	SubInstanceProperties: Property[];
-	SourcePropertyNames: string[];
-	DestPropertyNames: string[];
-	clone() : AnimNode_SubInstance;
-	static C(Other: UObject | any): AnimNode_SubInstance;
+declare class Spacer extends Widget { 
+	Size: Vector2D;
+	static Load(ResourceName: string): Spacer;
+	static Find(Outer: UObject, ResourceName: string): Spacer;
+	static GetDefaultObject(): Spacer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Spacer;
+	SetSize(InSize: Vector2D): void;
+	static C(Other: UObject | any): Spacer;
 }
 
-declare class AnimGraphNode_SubInstance extends AnimGraphNode_Base { 
-	UNode: AnimNode_SubInstance;
-	KnownExposableProperties: string[];
-	ExposedPropertyNames: string[];
-	static Load(ResourceName: string): AnimGraphNode_SubInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SubInstance;
-	static GetDefaultObject(): AnimGraphNode_SubInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SubInstance;
-	static C(Other: UObject | any): AnimGraphNode_SubInstance;
+declare class SpinBox extends Widget { 
+	Value: number;
+	ValueDelegate: UnrealEngineDelegate<() => number>;
+	WidgetStyle: SpinBoxStyle;
+	Style: SlateWidgetStyleAsset;
+	Delta: number;
+	SliderExponent: number;
+	Font: SlateFontInfo;
+	Justification: ETextJustify;
+	MinDesiredWidth: number;
+	ClearKeyboardFocusOnCommit: boolean;
+	SelectAllTextOnCommit: boolean;
+	ForegroundColor: SlateColor;
+	OnValueChanged: UnrealEngineMulticastDelegate<(InValue: number) => void>;
+	OnValueCommitted: UnrealEngineMulticastDelegate<(InValue: number, CommitMethod: ETextCommit) => void>;
+	OnBeginSliderMovement: UnrealEngineMulticastDelegate<() => void>;
+	OnEndSliderMovement: UnrealEngineMulticastDelegate<(InValue: number) => void>;
+	bOverride_MinValue: boolean;
+	bOverride_MaxValue: boolean;
+	bOverride_MinSliderValue: boolean;
+	bOverride_MaxSliderValue: boolean;
+	MinValue: number;
+	MaxValue: number;
+	MinSliderValue: number;
+	MaxSliderValue: number;
+	static Load(ResourceName: string): SpinBox;
+	static Find(Outer: UObject, ResourceName: string): SpinBox;
+	static GetDefaultObject(): SpinBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBox;
+	SetValue(NewValue: number): void;
+	SetMinValue(NewValue: number): void;
+	SetMinSliderValue(NewValue: number): void;
+	SetMaxValue(NewValue: number): void;
+	SetMaxSliderValue(NewValue: number): void;
+	SetForegroundColor(InForegroundColor: SlateColor): void;
+	GetValue(): number;
+	GetMinValue(): number;
+	GetMinSliderValue(): number;
+	GetMaxValue(): number;
+	GetMaxSliderValue(): number;
+	ClearMinValue(): void;
+	ClearMinSliderValue(): void;
+	ClearMaxValue(): void;
+	ClearMaxSliderValue(): void;
+	static C(Other: UObject | any): SpinBox;
 }
 
-declare class AnimNode_Trail extends AnimNode_SkeletalControlBase { 
-	TrailBone: BoneReference;
-	ChainLength: number;
-	ChainBoneAxis: EAxis;
-	bInvertChainBoneAxis: boolean;
-	TrailRelaxation: number;
-	TrailRelaxationSpeed: RuntimeFloatCurve;
-	bLimitStretch: boolean;
-	StretchLimit: number;
-	FakeVelocity: Vector;
-	bActorSpaceFakeVel: boolean;
-	BaseJoint: BoneReference;
-	clone() : AnimNode_Trail;
-	static C(Other: UObject | any): AnimNode_Trail;
+declare class TextBinding extends PropertyBinding { 
+	static Load(ResourceName: string): TextBinding;
+	static Find(Outer: UObject, ResourceName: string): TextBinding;
+	static GetDefaultObject(): TextBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBinding;
+	GetTextValue(): string;
+	GetStringValue(): string;
+	static C(Other: UObject | any): TextBinding;
 }
 
-declare class AnimGraphNode_Trail extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_Trail;
-	static Load(ResourceName: string): AnimGraphNode_Trail;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Trail;
-	static GetDefaultObject(): AnimGraphNode_Trail;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Trail;
-	static C(Other: UObject | any): AnimGraphNode_Trail;
+declare class TextBlock extends TextLayoutWidget { 
+	text: string;
+	TextDelegate: UnrealEngineDelegate<() => string>;
+	ColorAndOpacity: SlateColor;
+	ColorAndOpacityDelegate: UnrealEngineDelegate<() => SlateColor>;
+	Font: SlateFontInfo;
+	StrikeBrush: SlateBrush;
+	ShadowOffset: Vector2D;
+	ShadowColorAndOpacity: LinearColor;
+	ShadowColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
+	MinDesiredWidth: number;
+	bWrapWithInvalidationPanel: boolean;
+	bAutoWrapText: boolean;
+	bSimpleTextMode: boolean;
+	static Load(ResourceName: string): TextBlock;
+	static Find(Outer: UObject, ResourceName: string): TextBlock;
+	static GetDefaultObject(): TextBlock;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlock;
+	SetText(InText: string): void;
+	SetStrikeBrush(InStrikeBrush: SlateBrush): void;
+	SetShadowOffset(InShadowOffset: Vector2D): void;
+	SetShadowColorAndOpacity(InShadowColorAndOpacity: LinearColor): void;
+	SetOpacity(InOpacity: number): void;
+	SetMinDesiredWidth(InMinDesiredWidth: number): void;
+	SetJustification(InJustification: ETextJustify): void;
+	SetFont(InFontInfo: SlateFontInfo): void;
+	SetColorAndOpacity(InColorAndOpacity: SlateColor): void;
+	SetAutoWrapText(InAutoTextWrap: boolean): void;
+	GetText(): string;
+	GetDynamicOutlineMaterial(): MaterialInstanceDynamic;
+	GetDynamicFontMaterial(): MaterialInstanceDynamic;
+	static C(Other: UObject | any): TextBlock;
 }
 
-declare type EEvaluatorDataSource = 'EDS_SourcePose' | 'EDS_DestinationPose' | 'EDS_MAX';
-declare var EEvaluatorDataSource : { EDS_SourcePose:'EDS_SourcePose',EDS_DestinationPose:'EDS_DestinationPose',EDS_MAX:'EDS_MAX', };
-declare type EEvaluatorMode = 'EM_Standard' | 'EM_Freeze' | 'EM_DelayedFreeze' | 'EM_MAX';
-declare var EEvaluatorMode : { EM_Standard:'EM_Standard',EM_Freeze:'EM_Freeze',EM_DelayedFreeze:'EM_DelayedFreeze',EM_MAX:'EM_MAX', };
-declare class AnimNode_TransitionPoseEvaluator extends AnimNode_Base { 
-	DataSource: EEvaluatorDataSource;
-	EvaluatorMode: EEvaluatorMode;
-	FramesToCachePose: number;
-	CacheFramesRemaining: number;
-	clone() : AnimNode_TransitionPoseEvaluator;
-	static C(Other: UObject | any): AnimNode_TransitionPoseEvaluator;
+declare class Throbber extends Widget { 
+	NumberOfPieces: number;
+	bAnimateHorizontally: boolean;
+	bAnimateVertically: boolean;
+	bAnimateOpacity: boolean;
+	PieceImage: SlateBrushAsset;
+	UImage: SlateBrush;
+	static Load(ResourceName: string): Throbber;
+	static Find(Outer: UObject, ResourceName: string): Throbber;
+	static GetDefaultObject(): Throbber;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Throbber;
+	SetNumberOfPieces(InNumberOfPieces: number): void;
+	SetAnimateVertically(bInAnimateVertically: boolean): void;
+	SetAnimateOpacity(bInAnimateOpacity: boolean): void;
+	SetAnimateHorizontally(bInAnimateHorizontally: boolean): void;
+	static C(Other: UObject | any): Throbber;
 }
 
-declare class AnimGraphNode_TransitionPoseEvaluator extends AnimGraphNode_Base { 
-	UNode: AnimNode_TransitionPoseEvaluator;
-	static Load(ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
-	static GetDefaultObject(): AnimGraphNode_TransitionPoseEvaluator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionPoseEvaluator;
-	static C(Other: UObject | any): AnimGraphNode_TransitionPoseEvaluator;
+declare type EListItemAlignment = 'EvenlyDistributed' | 'EvenlySize' | 'EvenlyWide' | 'LeftAligned' | 'RightAligned' | 'CenterAligned' | 'Fill' | 'EListItemAlignment_MAX';
+declare var EListItemAlignment : { EvenlyDistributed:'EvenlyDistributed',EvenlySize:'EvenlySize',EvenlyWide:'EvenlyWide',LeftAligned:'LeftAligned',RightAligned:'RightAligned',CenterAligned:'CenterAligned',Fill:'Fill',EListItemAlignment_MAX:'EListItemAlignment_MAX', };
+declare class TileView extends ListView { 
+	EntryHeight: number;
+	EntryWidth: number;
+	TileAlignment: EListItemAlignment;
+	bWrapHorizontalNavigation: boolean;
+	static Load(ResourceName: string): TileView;
+	static Find(Outer: UObject, ResourceName: string): TileView;
+	static GetDefaultObject(): TileView;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TileView;
+	SetEntryWidth(NewWidth: number): void;
+	SetEntryHeight(NewHeight: number): void;
+	static C(Other: UObject | any): TileView;
 }
 
-declare class ReferenceBoneFrame { 
-	Bone: BoneReference;
-	Axis: Axis;
-	clone() : ReferenceBoneFrame;
-	static C(Other: UObject | any): ReferenceBoneFrame;
+declare class TreeView extends ListView { 
+	BP_OnGetItemChildren: UnrealEngineDelegate<(Item: UObject, Children: UObject[]) => void>;
+	BP_OnItemExpansionChanged: UnrealEngineMulticastDelegate<(Item: UObject, bIsExpanded: boolean) => void>;
+	static Load(ResourceName: string): TreeView;
+	static Find(Outer: UObject, ResourceName: string): TreeView;
+	static GetDefaultObject(): TreeView;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TreeView;
+	SetItemExpansion(Item: UObject,bExpandItem: boolean): void;
+	ExpandAll(): void;
+	CollapseAll(): void;
+	static C(Other: UObject | any): TreeView;
 }
 
-declare class AnimCurveParam { 
-	Name: string;
-	clone() : AnimCurveParam;
-	static C(Other: UObject | any): AnimCurveParam;
+declare class UniformGridPanel extends PanelWidget { 
+	SlotPadding: Margin;
+	MinDesiredSlotWidth: number;
+	MinDesiredSlotHeight: number;
+	static Load(ResourceName: string): UniformGridPanel;
+	static Find(Outer: UObject, ResourceName: string): UniformGridPanel;
+	static GetDefaultObject(): UniformGridPanel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformGridPanel;
+	SetSlotPadding(InSlotPadding: Margin): void;
+	SetMinDesiredSlotWidth(InMinDesiredSlotWidth: number): void;
+	SetMinDesiredSlotHeight(InMinDesiredSlotHeight: number): void;
+	AddChildToUniformGrid(Content: Widget): UniformGridSlot;
+	static C(Other: UObject | any): UniformGridPanel;
 }
 
-declare class AnimNode_TwistCorrectiveNode extends AnimNode_SkeletalControlBase { 
-	BaseFrame: ReferenceBoneFrame;
-	TwistFrame: ReferenceBoneFrame;
-	TwistPlaneNormalAxis: Axis;
-	RangeMax: number;
-	RemappedMin: number;
-	RemappedMax: number;
-	Curve: AnimCurveParam;
-	clone() : AnimNode_TwistCorrectiveNode;
-	static C(Other: UObject | any): AnimNode_TwistCorrectiveNode;
+declare class VerticalBox extends PanelWidget { 
+	static Load(ResourceName: string): VerticalBox;
+	static Find(Outer: UObject, ResourceName: string): VerticalBox;
+	static GetDefaultObject(): VerticalBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VerticalBox;
+	AddChildToVerticalBox(Content: Widget): VerticalBoxSlot;
+	static C(Other: UObject | any): VerticalBox;
 }
 
-declare class AnimGraphNode_TwistCorrectiveNode extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_TwistCorrectiveNode;
-	static Load(ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
-	static GetDefaultObject(): AnimGraphNode_TwistCorrectiveNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwistCorrectiveNode;
-	static C(Other: UObject | any): AnimGraphNode_TwistCorrectiveNode;
+declare class Viewport extends ContentWidget { 
+	BackgroundColor: LinearColor;
+	static Load(ResourceName: string): Viewport;
+	static Find(Outer: UObject, ResourceName: string): Viewport;
+	static GetDefaultObject(): Viewport;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Viewport;
+	Spawn(ActorClass: UnrealEngineClass): Actor;
+	SetViewRotation(Rotation: Rotator): void;
+	SetViewLocation(Location: Vector): void;
+	GetViewRotation(): Rotator;
+	GetViewportWorld(): World;
+	GetViewLocation(): Vector;
+	static C(Other: UObject | any): Viewport;
 }
 
-declare class AnimNode_TwoBoneIK extends AnimNode_SkeletalControlBase { 
-	IKBone: BoneReference;
-	bAllowStretching: boolean;
-	StartStretchRatio: number;
-	MaxStretchScale: number;
-	StretchLimits: Vector2D;
-	bTakeRotationFromEffectorSpace: boolean;
-	bMaintainEffectorRelRot: boolean;
-	EffectorLocationSpace: EBoneControlSpace;
-	EffectorSpaceBoneName: string;
-	EffectorLocation: Vector;
-	EffectorTarget: BoneSocketTarget;
-	JointTargetLocationSpace: EBoneControlSpace;
-	JointTargetLocation: Vector;
-	JointTargetSpaceBoneName: string;
-	JointTarget: BoneSocketTarget;
-	bAllowTwist: boolean;
-	TwistAxis: Axis;
-	bNoTwist: boolean;
-	clone() : AnimNode_TwoBoneIK;
-	static C(Other: UObject | any): AnimNode_TwoBoneIK;
+declare class VisibilityBinding extends PropertyBinding { 
+	static Load(ResourceName: string): VisibilityBinding;
+	static Find(Outer: UObject, ResourceName: string): VisibilityBinding;
+	static GetDefaultObject(): VisibilityBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisibilityBinding;
+	GetValue(): ESlateVisibility;
+	static C(Other: UObject | any): VisibilityBinding;
 }
 
-declare class AnimGraphNode_TwoBoneIK extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_TwoBoneIK;
-	bEnableDebugDraw: boolean;
-	static Load(ResourceName: string): AnimGraphNode_TwoBoneIK;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoBoneIK;
-	static GetDefaultObject(): AnimGraphNode_TwoBoneIK;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoBoneIK;
-	static C(Other: UObject | any): AnimGraphNode_TwoBoneIK;
+declare class BlueprintWidgetAnimationDelegateBinding { 
+	Action: EWidgetAnimationEvent;
+	AnimationToBind: string;
+	FunctionNameToBind: string;
+	UserTag: string;
+	clone() : BlueprintWidgetAnimationDelegateBinding;
+	static C(Other: UObject | any): BlueprintWidgetAnimationDelegateBinding;
 }
 
-declare class AnimNode_TwoWayBlend extends AnimNode_Base { 
-	A: PoseLink;
-	B: PoseLink;
-	Alpha: number;
-	AlphaScaleBias: InputScaleBias;
-	InternalBlendAlpha: number;
-	bAIsRelevant: boolean;
-	bBIsRelevant: boolean;
-	bResetChildOnActivation: boolean;
-	clone() : AnimNode_TwoWayBlend;
-	static C(Other: UObject | any): AnimNode_TwoWayBlend;
+declare class WidgetAnimationDelegateBinding extends DynamicBlueprintBinding { 
+	WidgetAnimationDelegateBindings: BlueprintWidgetAnimationDelegateBinding[];
+	static Load(ResourceName: string): WidgetAnimationDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): WidgetAnimationDelegateBinding;
+	static GetDefaultObject(): WidgetAnimationDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetAnimationDelegateBinding;
+	static C(Other: UObject | any): WidgetAnimationDelegateBinding;
 }
 
-declare class AnimGraphNode_TwoWayBlend extends AnimGraphNode_Base { 
-	BlendNode: AnimNode_TwoWayBlend;
-	static Load(ResourceName: string): AnimGraphNode_TwoWayBlend;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoWayBlend;
-	static GetDefaultObject(): AnimGraphNode_TwoWayBlend;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoWayBlend;
-	static C(Other: UObject | any): AnimGraphNode_TwoWayBlend;
+declare class WidgetBinding extends PropertyBinding { 
+	static Load(ResourceName: string): WidgetBinding;
+	static Find(Outer: UObject, ResourceName: string): WidgetBinding;
+	static GetDefaultObject(): WidgetBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBinding;
+	GetValue(): Widget;
+	static C(Other: UObject | any): WidgetBinding;
 }
 
-declare class AnimNode_UseCachedPose extends AnimNode_Base { 
-	LinkToCachingNode: PoseLink;
-	CachePoseName: string;
-	clone() : AnimNode_UseCachedPose;
-	static C(Other: UObject | any): AnimNode_UseCachedPose;
+declare class EventGraphFastCallPair { 
+	FunctionToPatch: UFunction;
+	EventGraphCallOffset: number;
+	clone() : EventGraphFastCallPair;
+	static C(Other: UObject | any): EventGraphFastCallPair;
 }
 
-declare class AnimGraphNode_UseCachedPose extends AnimGraphNode_Base { 
-	UNode: AnimNode_UseCachedPose;
-	SaveCachedPoseNode: any;
-	NameOfCache: string;
-	static Load(ResourceName: string): AnimGraphNode_UseCachedPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_UseCachedPose;
-	static GetDefaultObject(): AnimGraphNode_UseCachedPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_UseCachedPose;
-	static C(Other: UObject | any): AnimGraphNode_UseCachedPose;
+declare class BlueprintGeneratedClass extends Class { 
+	NumReplicatedProperties: number;
+	bHasNativizedParent: boolean;
+	bHasCookedComponentInstancingData: boolean;
+	DynamicBindingObjects: DynamicBlueprintBinding[];
+	ComponentTemplates: ActorComponent[];
+	Timelines: TimelineTemplate[];
+	SimpleConstructionScript: SimpleConstructionScript;
+	InheritableComponentHandler: InheritableComponentHandler;
+	UberGraphFramePointerProperty: StructProperty;
+	UberGraphFunction: UFunction;
+	FastCallPairs: EventGraphFastCallPair[];
+	OverridenArchetypeForCDO: UObject;
+	PropertyGuids: any;
+	CookedComponentInstancingData: any;
+	static Load(ResourceName: string): BlueprintGeneratedClass;
+	static Find(Outer: UObject, ResourceName: string): BlueprintGeneratedClass;
+	static GetDefaultObject(): BlueprintGeneratedClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGeneratedClass;
+	static C(Other: UObject | any): BlueprintGeneratedClass;
 }
 
-declare class AnimCustomInstance extends AnimInstance { 
-	static Load(ResourceName: string): AnimCustomInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimCustomInstance;
-	static GetDefaultObject(): AnimCustomInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCustomInstance;
-	static C(Other: UObject | any): AnimCustomInstance;
+declare class DelegateRuntimeBinding { 
+	ObjectName: string;
+	PropertyName: string;
+	FunctionName: string;
+	SourcePath: DynamicPropertyPath;
+	Kind: EBindingKind;
+	clone() : DelegateRuntimeBinding;
+	static C(Other: UObject | any): DelegateRuntimeBinding;
 }
 
-declare class AnimPreviewAttacheInstance extends AnimCustomInstance { 
-	static Load(ResourceName: string): AnimPreviewAttacheInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimPreviewAttacheInstance;
-	static GetDefaultObject(): AnimPreviewAttacheInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimPreviewAttacheInstance;
-	static C(Other: UObject | any): AnimPreviewAttacheInstance;
+declare class WidgetBlueprintGeneratedClass extends BlueprintGeneratedClass { 
+	WidgetTree: WidgetTree;
+	bCookSlowConstructionWidgetTree: boolean;
+	bCanCallPreConstruct: boolean;
+	bAllowTemplate: boolean;
+	bAllowDynamicCreation: boolean;
+	bValidTemplate: boolean;
+	bTemplateInitialized: boolean;
+	bCookedTemplate: boolean;
+	bClassRequiresNativeTick: boolean;
+	Bindings: DelegateRuntimeBinding[];
+	Animations: WidgetAnimation[];
+	NamedSlots: string[];
+	TemplateAsset: UserWidget;
+	Template: UserWidget;
+	EditorTemplate: UserWidget;
+	static Load(ResourceName: string): WidgetBlueprintGeneratedClass;
+	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintGeneratedClass;
+	static GetDefaultObject(): WidgetBlueprintGeneratedClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintGeneratedClass;
+	static C(Other: UObject | any): WidgetBlueprintGeneratedClass;
 }
 
-declare class AnimSingleNodeInstance extends AnimInstance { 
-	CurrentAsset: AnimationAsset;
-	PostEvaluateAnimEvent: UnrealEngineDelegate<() => void>;
-	static Load(ResourceName: string): AnimSingleNodeInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimSingleNodeInstance;
-	static GetDefaultObject(): AnimSingleNodeInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSingleNodeInstance;
-	StopAnim(): void;
-	SetReverse(bInReverse: boolean): void;
-	SetPreviewCurveOverride(PoseName: string,Value: number,bRemoveIfZero: boolean): void;
-	SetPositionWithPreviousTime(InPosition: number,InPreviousTime: number,bFireNotifies: boolean): void;
-	SetPosition(InPosition: number,bFireNotifies: boolean): void;
-	SetPlayRate(InPlayRate: number): void;
-	SetPlaying(bIsPlaying: boolean): void;
-	SetLooping(bIsLooping: boolean): void;
-	SetBlendSpaceInput(InBlendInput: Vector): void;
-	SetAnimationAsset(NewAsset: AnimationAsset,bIsLooping: boolean,InPlayRate: number): void;
-	PlayAnim(bIsLooping: boolean,InPlayRate: number,InStartPosition: number): void;
-	GetLength(): number;
-	GetAnimationAsset(): AnimationAsset;
-	static C(Other: UObject | any): AnimSingleNodeInstance;
+declare class NavigationEvent extends InputEvent { 
+	clone() : NavigationEvent;
+	static C(Other: UObject | any): NavigationEvent;
+	GetInputEventFromNavigationEvent(): InputEvent;
+	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
 }
 
-declare type EMontagePreviewType = 'EMPT_Normal' | 'EMPT_AllSections' | 'EMPT_MAX';
-declare var EMontagePreviewType : { EMPT_Normal:'EMPT_Normal',EMPT_AllSections:'EMPT_AllSections',EMPT_MAX:'EMPT_MAX', };
-declare class AnimPreviewInstance extends AnimSingleNodeInstance { 
-	MontagePreviewType: EMontagePreviewType;
-	MontagePreviewStartSectionIdx: number;
-	static Load(ResourceName: string): AnimPreviewInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimPreviewInstance;
-	static GetDefaultObject(): AnimPreviewInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimPreviewInstance;
-	static C(Other: UObject | any): AnimPreviewInstance;
+declare class WidgetBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): WidgetBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintLibrary;
+	static GetDefaultObject(): WidgetBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintLibrary;
+	static UnlockMouse(Reply?: EventReply): {Reply: EventReply, $: EventReply};
+	static Unhandled(): EventReply;
+	static SetWindowTitleBarState(TitleBarContent: Widget,Mode: EWindowTitleBarMode,bTitleBarDragEnabled: boolean,bWindowButtonsVisible: boolean,bTitleBarVisible: boolean): void;
+	static SetWindowTitleBarCloseButtonActive(bActive: boolean): void;
+	static SetUserFocus(Reply?: EventReply,FocusWidget?: Widget,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
+	static SetMousePosition(Reply?: EventReply,NewMousePosition?: Vector2D): {Reply: EventReply, $: EventReply};
+	static SetInputMode_UIOnlyEx(PlayerController: PlayerController,InWidgetToFocus: Widget,InMouseLockMode: EMouseLockMode): void;
+	static SetInputMode_UIOnly(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
+	static SetInputMode_GameOnly(PlayerController: PlayerController): void;
+	static SetInputMode_GameAndUIEx(PlayerController: PlayerController,InWidgetToFocus: Widget,InMouseLockMode: EMouseLockMode,bHideCursorDuringCapture: boolean): void;
+	static SetInputMode_GameAndUI(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean,bHideCursorDuringCapture: boolean): void;
+	static SetHardwareCursor(WorldContextObject: UObject,CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
+	static SetFocusToGameViewport(): void;
+	static SetColorVisionDeficiencyType(Type: EColorVisionDeficiency,Severity: number,CorrectDeficiency: boolean,ShowCorrectionWithDeficiency: boolean): void;
+	static SetBrushResourceToTexture(Brush?: SlateBrush,Texture?: Texture2D): {Brush: SlateBrush};
+	static SetBrushResourceToMaterial(Brush?: SlateBrush,Material?: MaterialInterface): {Brush: SlateBrush};
+	static RestorePreviousWindowTitleBarState(): void;
+	static ReleaseMouseCapture(Reply?: EventReply): {Reply: EventReply, $: EventReply};
+	static ReleaseJoystickCapture(Reply?: EventReply,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
+	static NoResourceBrush(): SlateBrush;
+	static MakeBrushFromTexture(Texture: Texture2D,Width: number,Height: number): SlateBrush;
+	static MakeBrushFromMaterial(Material: MaterialInterface,Width: number,Height: number): SlateBrush;
+	static MakeBrushFromAsset(BrushAsset: SlateBrushAsset): SlateBrush;
+	static LockMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
+	static IsDragDropping(): boolean;
+	static Handled(): EventReply;
+	static GetSafeZonePadding(WorldContextObject: UObject,SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
+	static GetKeyEventFromAnalogInputEvent(Event: AnalogInputEvent): KeyEvent;
+	static GetInputEventFromPointerEvent(Event: UPointerEvent): InputEvent;
+	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
+	static GetInputEventFromKeyEvent(Event: KeyEvent): InputEvent;
+	static GetInputEventFromCharacterEvent(Event: CharacterEvent): InputEvent;
+	static GetDynamicMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInstanceDynamic};
+	static GetDragDroppingContent(): DragDropOperation;
+	static GetBrushResourceAsTexture2D(Brush: SlateBrush): Texture2D;
+	static GetBrushResourceAsMaterial(Brush: SlateBrush): MaterialInterface;
+	static GetBrushResource(Brush: SlateBrush): UObject;
+	static GetAllWidgetsWithInterface(WorldContextObject: UObject,FoundWidgets?: UserWidget[],Interface?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
+	static EndDragDrop(Reply?: EventReply): {Reply: EventReply, $: EventReply};
+	static DrawTextFormatted(Context?: PaintContext,text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
+	static DrawText(Context?: PaintContext,inString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
+	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
+	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean,Thickness?: number): {Context: PaintContext};
+	static DrawBox(Context?: PaintContext,Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
+	static DismissAllMenus(): void;
+	static DetectDragIfPressed(UPointerEvent: UPointerEvent,WidgetDetectingDrag: Widget,DragKey: Key): EventReply;
+	static DetectDrag(Reply?: EventReply,WidgetDetectingDrag?: Widget,DragKey?: Key): {Reply: EventReply, $: EventReply};
+	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
+	static Create(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
+	static ClearUserFocus(Reply?: EventReply,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
+	static CaptureMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
+	static CaptureJoystick(Reply?: EventReply,CapturingWidget?: Widget,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
+	static CancelDragDrop(): void;
+	static C(Other: UObject | any): WidgetBlueprintLibrary;
 }
 
-declare class AnimStateNodeBase extends EdGraphNode { 
-	static Load(ResourceName: string): AnimStateNodeBase;
-	static Find(Outer: UObject, ResourceName: string): AnimStateNodeBase;
-	static GetDefaultObject(): AnimStateNodeBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNodeBase;
-	static C(Other: UObject | any): AnimStateNodeBase;
+declare type EWidgetInteractionSource = 'World' | 'Mouse' | 'CenterScreen' | 'Custom' | 'EWidgetInteractionSource_MAX';
+declare var EWidgetInteractionSource : { World:'World',Mouse:'Mouse',CenterScreen:'CenterScreen',Custom:'Custom',EWidgetInteractionSource_MAX:'EWidgetInteractionSource_MAX', };
+declare class WidgetInteractionComponent extends SceneComponent { 
+	OnHoveredWidgetChanged: UnrealEngineMulticastDelegate<(WidgetComponent: WidgetComponent, PreviousWidgetComponent: WidgetComponent) => void>;
+	VirtualUserIndex: number;
+	PointerIndex: number;
+	TraceChannel: ECollisionChannel;
+	InteractionDistance: number;
+	InteractionSource: EWidgetInteractionSource;
+	bEnableHitTesting: boolean;
+	bShowDebug: boolean;
+	DebugColor: LinearColor;
+	CustomHitResult: HitResult;
+	LocalHitLocation: Vector2D;
+	LastLocalHitLocation: Vector2D;
+	HoveredWidgetComponent: WidgetComponent;
+	LastHitResult: HitResult;
+	bIsHoveredWidgetInteractable: boolean;
+	bIsHoveredWidgetFocusable: boolean;
+	bIsHoveredWidgetHitTestVisible: boolean;
+	ArrowComponent: ArrowComponent;
+	static Load(ResourceName: string): WidgetInteractionComponent;
+	static Find(Outer: UObject, ResourceName: string): WidgetInteractionComponent;
+	static GetDefaultObject(): WidgetInteractionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetInteractionComponent;
+	SetCustomHitResult(HitResult: HitResult): void;
+	SendKeyChar(Characters: string,bRepeat: boolean): boolean;
+	ScrollWheel(ScrollDelta: number): void;
+	ReleasePointerKey(Key: Key): void;
+	ReleaseKey(Key: Key): boolean;
+	PressPointerKey(Key: Key): void;
+	PressKey(Key: Key,bRepeat: boolean): boolean;
+	PressAndReleaseKey(Key: Key): boolean;
+	IsOverInteractableWidget(): boolean;
+	IsOverHitTestVisibleWidget(): boolean;
+	IsOverFocusableWidget(): boolean;
+	GetLastHitResult(): HitResult;
+	GetHoveredWidgetComponent(): WidgetComponent;
+	Get2DHitLocation(): Vector2D;
+	static C(Other: UObject | any): WidgetInteractionComponent;
 }
 
-declare class AnimStateConduitNode extends AnimStateNodeBase { 
-	BoundGraph: EdGraph;
-	static Load(ResourceName: string): AnimStateConduitNode;
-	static Find(Outer: UObject, ResourceName: string): AnimStateConduitNode;
-	static GetDefaultObject(): AnimStateConduitNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateConduitNode;
-	static C(Other: UObject | any): AnimStateConduitNode;
+declare class WidgetLayoutLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): WidgetLayoutLibrary;
+	static Find(Outer: UObject, ResourceName: string): WidgetLayoutLibrary;
+	static GetDefaultObject(): WidgetLayoutLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetLayoutLibrary;
+	static SlotAsVerticalBoxSlot(Widget: Widget): VerticalBoxSlot;
+	static SlotAsUniformGridSlot(Widget: Widget): UniformGridSlot;
+	static SlotAsOverlaySlot(Widget: Widget): OverlaySlot;
+	static SlotAsHorizontalBoxSlot(Widget: Widget): HorizontalBoxSlot;
+	static SlotAsGridSlot(Widget: Widget): GridSlot;
+	static SlotAsCanvasSlot(Widget: Widget): CanvasPanelSlot;
+	static SlotAsBorderSlot(Widget: Widget): BorderSlot;
+	static RemoveAllWidgets(WorldContextObject: UObject): void;
+	static ProjectWorldLocationToWidgetPosition(PlayerController: PlayerController,WorldLocation: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
+	static GetViewportWidgetGeometry(WorldContextObject: UObject): Geometry;
+	static GetViewportSize(WorldContextObject: UObject): Vector2D;
+	static GetViewportScale(WorldContextObject: UObject): number;
+	static GetPlayerScreenWidgetGeometry(PlayerController: PlayerController): Geometry;
+	static GetMousePositionScaledByDPI(Player: PlayerController,LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
+	static GetMousePositionOnViewport(WorldContextObject: UObject): Vector2D;
+	static GetMousePositionOnPlatform(): Vector2D;
+	static C(Other: UObject | any): WidgetLayoutLibrary;
 }
 
-declare type EAnimStateType = 'AST_SingleAnimation' | 'AST_BlendGraph' | 'AST_MAX';
-declare var EAnimStateType : { AST_SingleAnimation:'AST_SingleAnimation',AST_BlendGraph:'AST_BlendGraph',AST_MAX:'AST_MAX', };
-declare class AnimStateNode extends AnimStateNodeBase { 
-	BoundGraph: EdGraph;
-	StateType: EAnimStateType;
-	StateEntered: AnimNotifyEvent;
-	StateLeft: AnimNotifyEvent;
-	StateFullyBlended: AnimNotifyEvent;
-	bAlwaysResetOnEntry: boolean;
-	static Load(ResourceName: string): AnimStateNode;
-	static Find(Outer: UObject, ResourceName: string): AnimStateNode;
-	static GetDefaultObject(): AnimStateNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNode;
-	static C(Other: UObject | any): AnimStateNode;
+declare class WidgetSwitcher extends PanelWidget { 
+	ActiveWidgetIndex: number;
+	static Load(ResourceName: string): WidgetSwitcher;
+	static Find(Outer: UObject, ResourceName: string): WidgetSwitcher;
+	static GetDefaultObject(): WidgetSwitcher;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcher;
+	SetActiveWidgetIndex(index: number): void;
+	SetActiveWidget(Widget: Widget): void;
+	GetWidgetAtIndex(index: number): Widget;
+	GetNumWidgets(): number;
+	GetActiveWidgetIndex(): number;
+	GetActiveWidget(): Widget;
+	static C(Other: UObject | any): WidgetSwitcher;
 }
 
-declare type ETransitionBlendMode = 'TBM_Linear' | 'TBM_Cubic' | 'TBM_MAX';
-declare var ETransitionBlendMode : { TBM_Linear:'TBM_Linear',TBM_Cubic:'TBM_Cubic',TBM_MAX:'TBM_MAX', };
-declare type ETransitionLogicType = 'TLT_StandardBlend' | 'TLT_Custom' | 'TLT_MAX';
-declare var ETransitionLogicType : { TLT_StandardBlend:'TLT_StandardBlend',TLT_Custom:'TLT_Custom',TLT_MAX:'TLT_MAX', };
-declare class AnimStateTransitionNode extends AnimStateNodeBase { 
-	BoundGraph: EdGraph;
-	CustomTransitionGraph: EdGraph;
-	PriorityOrder: number;
-	CrossfadeDuration: number;
-	CrossfadeMode: ETransitionBlendMode;
-	BlendMode: EAlphaBlendOption;
-	CustomBlendCurve: CurveFloat;
-	BlendProfile: BlendProfile;
-	bAutomaticRuleBasedOnSequencePlayerInState: boolean;
-	LogicType: ETransitionLogicType;
-	TransitionStart: AnimNotifyEvent;
-	TransitionEnd: AnimNotifyEvent;
-	TransitionInterrupt: AnimNotifyEvent;
-	Bidirectional: boolean;
-	bSharedRules: boolean;
-	bSharedCrossfade: boolean;
-	SharedRulesName: string;
-	SharedRulesGuid: Guid;
-	SharedColor: LinearColor;
-	SharedCrossfadeName: string;
-	SharedCrossfadeGuid: Guid;
-	SharedCrossfadeIdx: number;
-	static Load(ResourceName: string): AnimStateTransitionNode;
-	static Find(Outer: UObject, ResourceName: string): AnimStateTransitionNode;
-	static GetDefaultObject(): AnimStateTransitionNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateTransitionNode;
-	static C(Other: UObject | any): AnimStateTransitionNode;
+declare class WidgetSwitcherSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): WidgetSwitcherSlot;
+	static Find(Outer: UObject, ResourceName: string): WidgetSwitcherSlot;
+	static GetDefaultObject(): WidgetSwitcherSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcherSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): WidgetSwitcherSlot;
 }
 
-declare class K2Node_AnimGetter extends K2Node_CallFunction { 
-	SourceNode: AnimGraphNode_Base;
-	SourceStateNode: AnimStateNodeBase;
-	GetterClass: UnrealEngineClass;
-	SourceAnimBlueprint: AnimBlueprint;
-	CachedTitle: string;
-	Contexts: string[];
-	static Load(ResourceName: string): K2Node_AnimGetter;
-	static Find(Outer: UObject, ResourceName: string): K2Node_AnimGetter;
-	static GetDefaultObject(): K2Node_AnimGetter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AnimGetter;
-	static C(Other: UObject | any): K2Node_AnimGetter;
+declare class WindowTitleBarArea extends ContentWidget { 
+	bWindowButtonsEnabled: boolean;
+	bDoubleClickTogglesFullscreen: boolean;
+	static Load(ResourceName: string): WindowTitleBarArea;
+	static Find(Outer: UObject, ResourceName: string): WindowTitleBarArea;
+	static GetDefaultObject(): WindowTitleBarArea;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindowTitleBarArea;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): WindowTitleBarArea;
 }
 
-declare class K2Node_PlayMontage extends K2Node_BaseAsyncTask { 
-	static Load(ResourceName: string): K2Node_PlayMontage;
-	static Find(Outer: UObject, ResourceName: string): K2Node_PlayMontage;
-	static GetDefaultObject(): K2Node_PlayMontage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_PlayMontage;
-	static C(Other: UObject | any): K2Node_PlayMontage;
+declare class WindowTitleBarAreaSlot extends PanelSlot { 
+	Padding: Margin;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	static Load(ResourceName: string): WindowTitleBarAreaSlot;
+	static Find(Outer: UObject, ResourceName: string): WindowTitleBarAreaSlot;
+	static GetDefaultObject(): WindowTitleBarAreaSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindowTitleBarAreaSlot;
+	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
+	SetPadding(InPadding: Margin): void;
+	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
+	static C(Other: UObject | any): WindowTitleBarAreaSlot;
 }
 
-declare type ETransitionGetter = 'AnimationAsset_GetCurrentTime' | 'AnimationAsset_GetLength' | 'AnimationAsset_GetCurrentTimeFraction' | 'AnimationAsset_GetTimeFromEnd' | 'AnimationAsset_GetTimeFromEndFraction' | 'CurrentState_ElapsedTime' | 'CurrentState_GetBlendWeight' | 'CurrentTransitionDuration' | 'ArbitraryState_GetBlendWeight' | 'ETransitionGetter_MAX';
-declare var ETransitionGetter : { AnimationAsset_GetCurrentTime:'AnimationAsset_GetCurrentTime',AnimationAsset_GetLength:'AnimationAsset_GetLength',AnimationAsset_GetCurrentTimeFraction:'AnimationAsset_GetCurrentTimeFraction',AnimationAsset_GetTimeFromEnd:'AnimationAsset_GetTimeFromEnd',AnimationAsset_GetTimeFromEndFraction:'AnimationAsset_GetTimeFromEndFraction',CurrentState_ElapsedTime:'CurrentState_ElapsedTime',CurrentState_GetBlendWeight:'CurrentState_GetBlendWeight',CurrentTransitionDuration:'CurrentTransitionDuration',ArbitraryState_GetBlendWeight:'ArbitraryState_GetBlendWeight',ETransitionGetter_MAX:'ETransitionGetter_MAX', };
-declare class K2Node_TransitionRuleGetter extends K2Node { 
-	GetterType: ETransitionGetter;
-	AssociatedAnimAssetPlayerNode: AnimGraphNode_Base;
-	AssociatedStateNode: AnimStateNode;
-	static Load(ResourceName: string): K2Node_TransitionRuleGetter;
-	static Find(Outer: UObject, ResourceName: string): K2Node_TransitionRuleGetter;
-	static GetDefaultObject(): K2Node_TransitionRuleGetter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TransitionRuleGetter;
-	static C(Other: UObject | any): K2Node_TransitionRuleGetter;
-}
-
-declare class BlueprintAsyncActionBase extends UObject { 
-	static Load(ResourceName: string): BlueprintAsyncActionBase;
-	static Find(Outer: UObject, ResourceName: string): BlueprintAsyncActionBase;
-	static GetDefaultObject(): BlueprintAsyncActionBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintAsyncActionBase;
-	Activate(): void;
-	static C(Other: UObject | any): BlueprintAsyncActionBase;
-}
-
-declare class Texture2DDynamic extends Texture { 
-	Format: EPixelFormat;
-	static Load(ResourceName: string): Texture2DDynamic;
-	static Find(Outer: UObject, ResourceName: string): Texture2DDynamic;
-	static GetDefaultObject(): Texture2DDynamic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture2DDynamic;
-	static C(Other: UObject | any): Texture2DDynamic;
-}
-
-declare class AsyncTaskDownloadImage extends BlueprintAsyncActionBase { 
-	OnSuccess: UnrealEngineMulticastDelegate<(Texture: Texture2DDynamic) => void>;
-	OnFail: UnrealEngineMulticastDelegate<(Texture: Texture2DDynamic) => void>;
-	static Load(ResourceName: string): AsyncTaskDownloadImage;
-	static Find(Outer: UObject, ResourceName: string): AsyncTaskDownloadImage;
-	static GetDefaultObject(): AsyncTaskDownloadImage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncTaskDownloadImage;
-	static DownloadImage(URL: string): AsyncTaskDownloadImage;
-	static C(Other: UObject | any): AsyncTaskDownloadImage;
-}
-
-declare class ContentWidget extends PanelWidget { 
-	static Load(ResourceName: string): ContentWidget;
-	static Find(Outer: UObject, ResourceName: string): ContentWidget;
-	static GetDefaultObject(): ContentWidget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ContentWidget;
-	SetContent(Content: Widget): PanelSlot;
-	GetContentSlot(): PanelSlot;
-	GetContent(): Widget;
-	static C(Other: UObject | any): ContentWidget;
-}
-
-declare class BackgroundBlur extends ContentWidget { 
+declare class WrapBoxSlot extends PanelSlot { 
 	Padding: Margin;
+	bFillEmptySpace: boolean;
+	FillSpanWhenLessThan: number;
 	HorizontalAlignment: EHorizontalAlignment;
 	VerticalAlignment: EVerticalAlignment;
-	bApplyAlphaToBlur: boolean;
-	BlurStrength: number;
-	bOverrideAutoRadiusCalculation: boolean;
-	BlurRadius: number;
-	LowQualityFallbackBrush: SlateBrush;
-	static Load(ResourceName: string): BackgroundBlur;
-	static Find(Outer: UObject, ResourceName: string): BackgroundBlur;
-	static GetDefaultObject(): BackgroundBlur;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BackgroundBlur;
+	static Load(ResourceName: string): WrapBoxSlot;
+	static Find(Outer: UObject, ResourceName: string): WrapBoxSlot;
+	static GetDefaultObject(): WrapBoxSlot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBoxSlot;
 	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
 	SetPadding(InPadding: Margin): void;
-	SetLowQualityFallbackBrush(InBrush: SlateBrush): void;
 	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	SetBlurStrength(InStrength: number): void;
-	SetBlurRadius(InBlurRadius: number): void;
-	SetApplyAlphaToBlur(bInApplyAlphaToBlur: boolean): void;
-	static C(Other: UObject | any): BackgroundBlur;
+	SetFillSpanWhenLessThan(InFillSpanWhenLessThan: number): void;
+	SetFillEmptySpace(InbFillEmptySpace: boolean): void;
+	static C(Other: UObject | any): WrapBoxSlot;
 }
 
-declare class BackgroundBlurSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): BackgroundBlurSlot;
-	static Find(Outer: UObject, ResourceName: string): BackgroundBlurSlot;
-	static GetDefaultObject(): BackgroundBlurSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BackgroundBlurSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): BackgroundBlurSlot;
+declare class WrapBox extends PanelWidget { 
+	InnerSlotPadding: Vector2D;
+	WrapWidth: number;
+	bExplicitWrapWidth: boolean;
+	static Load(ResourceName: string): WrapBox;
+	static Find(Outer: UObject, ResourceName: string): WrapBox;
+	static GetDefaultObject(): WrapBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBox;
+	SetInnerSlotPadding(InPadding: Vector2D): void;
+	AddChildToWrapBox(Content: Widget): WrapBoxSlot;
+	static C(Other: UObject | any): WrapBox;
 }
 
-declare class BoolBinding extends PropertyBinding { 
-	static Load(ResourceName: string): BoolBinding;
-	static Find(Outer: UObject, ResourceName: string): BoolBinding;
-	static GetDefaultObject(): BoolBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoolBinding;
-	GetValue(): boolean;
-	static C(Other: UObject | any): BoolBinding;
+declare class SourceControlState { 
+	Filename: string;
+	bIsValid: boolean;
+	bIsUnknown: boolean;
+	bCanCheckIn: boolean;
+	bCanCheckOut: boolean;
+	bIsCheckedOut: boolean;
+	bIsCurrent: boolean;
+	bIsSourceControlled: boolean;
+	bIsAdded: boolean;
+	bIsDeleted: boolean;
+	bIsIgnored: boolean;
+	bCanEdit: boolean;
+	bCanDelete: boolean;
+	bIsModified: boolean;
+	bCanAdd: boolean;
+	bIsConflicted: boolean;
+	bCanRevert: boolean;
+	bIsCheckedOutOther: boolean;
+	CheckedOutOther: string;
+	clone() : SourceControlState;
+	static C(Other: UObject | any): SourceControlState;
+}
+
+declare class SourceControlHelpers extends UObject { 
+	static Load(ResourceName: string): SourceControlHelpers;
+	static Find(Outer: UObject, ResourceName: string): SourceControlHelpers;
+	static GetDefaultObject(): SourceControlHelpers;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SourceControlHelpers;
+	static RevertUnchangedFiles(InFiles: string[],bSilent: boolean): boolean;
+	static RevertUnchangedFile(InFile: string,bSilent: boolean): boolean;
+	static RevertFiles(InFiles: string[],bSilent: boolean): boolean;
+	static RevertFile(InFile: string,bSilent: boolean): boolean;
+	static QueryFileState(InFile: string,bSilent: boolean): SourceControlState;
+	static MarkFilesForAdd(InFiles: string[],bSilent: boolean): boolean;
+	static MarkFileForDelete(InFile: string,bSilent: boolean): boolean;
+	static MarkFileForAdd(InFile: string,bSilent: boolean): boolean;
+	static LastErrorMsg(): string;
+	static IsEnabled(): boolean;
+	static IsAvailable(): boolean;
+	static CurrentProvider(): string;
+	static CopyFile(InSourceFile: string,InDestFile: string,bSilent: boolean): boolean;
+	static CheckOutOrAddFile(InFile: string,bSilent: boolean): boolean;
+	static CheckOutFiles(InFiles: string[],bSilent: boolean): boolean;
+	static CheckOutFile(InFile: string,bSilent: boolean): boolean;
+	static CheckInFiles(InFiles: string[],InDescription: string,bSilent: boolean): boolean;
+	static CheckInFile(InFile: string,InDescription: string,bSilent: boolean): boolean;
+	static C(Other: UObject | any): SourceControlHelpers;
+}
+
+declare class FavoritedBlueprintPaletteItem { 
+	clone() : FavoritedBlueprintPaletteItem;
+	static C(Other: UObject | any): FavoritedBlueprintPaletteItem;
+}
+
+declare class BlueprintPaletteFavorites extends UObject { 
+	CustomFavorites: string[];
+	CurrentFavorites: FavoritedBlueprintPaletteItem[];
+	CurrentProfile: string;
+	static Load(ResourceName: string): BlueprintPaletteFavorites;
+	static Find(Outer: UObject, ResourceName: string): BlueprintPaletteFavorites;
+	static GetDefaultObject(): BlueprintPaletteFavorites;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPaletteFavorites;
+	static C(Other: UObject | any): BlueprintPaletteFavorites;
+}
+
+declare class K2Node_BaseAsyncTask extends K2Node { 
+	ProxyFactoryFunctionName: string;
+	ProxyFactoryClass: UnrealEngineClass;
+	ProxyClass: UnrealEngineClass;
+	ProxyActivateFunctionName: string;
+	static Load(ResourceName: string): K2Node_BaseAsyncTask;
+	static Find(Outer: UObject, ResourceName: string): K2Node_BaseAsyncTask;
+	static GetDefaultObject(): K2Node_BaseAsyncTask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseAsyncTask;
+	static C(Other: UObject | any): K2Node_BaseAsyncTask;
+}
+
+declare class K2Node_AsyncAction extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_AsyncAction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AsyncAction;
+	static GetDefaultObject(): K2Node_AsyncAction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AsyncAction;
+	static C(Other: UObject | any): K2Node_AsyncAction;
+}
+
+declare type EBlueprintPinStyleType = 'BPST_Original' | 'BPST_VariantA' | 'BPST_MAX';
+declare var EBlueprintPinStyleType : { BPST_Original:'BPST_Original',BPST_VariantA:'BPST_VariantA',BPST_MAX:'BPST_MAX', };
+declare type EGraphPanningMouseButton = 'Right' | 'Middle' | 'Both' | 'EGraphPanningMouseButton_MAX';
+declare var EGraphPanningMouseButton : { Right:'Right',Middle:'Middle',Both:'Both',EGraphPanningMouseButton_MAX:'EGraphPanningMouseButton_MAX', };
+declare class GraphEditorSettings extends UObject { 
+	DataPinStyle: EBlueprintPinStyleType;
+	PanningMouseButton: EGraphPanningMouseButton;
+	PaddingAbovePin: number;
+	PaddingBelowPin: number;
+	PaddingRightOfInput: number;
+	PaddingLeftOfOutput: number;
+	PaddingTowardsNodeEdge: number;
+	bTreatSplinesLikePins: boolean;
+	SplineHoverTolerance: number;
+	ForwardSplineHorizontalDeltaRange: number;
+	ForwardSplineVerticalDeltaRange: number;
+	ForwardSplineTangentFromHorizontalDelta: Vector2D;
+	ForwardSplineTangentFromVerticalDelta: Vector2D;
+	BackwardSplineHorizontalDeltaRange: number;
+	BackwardSplineVerticalDeltaRange: number;
+	BackwardSplineTangentFromHorizontalDelta: Vector2D;
+	BackwardSplineTangentFromVerticalDelta: Vector2D;
+	DefaultPinTypeColor: LinearColor;
+	ExecutionPinTypeColor: LinearColor;
+	BooleanPinTypeColor: LinearColor;
+	BytePinTypeColor: LinearColor;
+	ClassPinTypeColor: LinearColor;
+	IntPinTypeColor: LinearColor;
+	Int64PinTypeColor: LinearColor;
+	FloatPinTypeColor: LinearColor;
+	NamePinTypeColor: LinearColor;
+	SoftObjectPinTypeColor: LinearColor;
+	SoftClassPinTypeColor: LinearColor;
+	DelegatePinTypeColor: LinearColor;
+	ObjectPinTypeColor: LinearColor;
+	InterfacePinTypeColor: LinearColor;
+	StringPinTypeColor: LinearColor;
+	TextPinTypeColor: LinearColor;
+	StructPinTypeColor: LinearColor;
+	WildcardPinTypeColor: LinearColor;
+	VectorPinTypeColor: LinearColor;
+	RotatorPinTypeColor: LinearColor;
+	TransformPinTypeColor: LinearColor;
+	IndexPinTypeColor: LinearColor;
+	EventNodeTitleColor: LinearColor;
+	FunctionCallNodeTitleColor: LinearColor;
+	PureFunctionCallNodeTitleColor: LinearColor;
+	ParentFunctionCallNodeTitleColor: LinearColor;
+	FunctionTerminatorNodeTitleColor: LinearColor;
+	ExecBranchNodeTitleColor: LinearColor;
+	ExecSequenceNodeTitleColor: LinearColor;
+	ResultNodeTitleColor: LinearColor;
+	DefaultCommentNodeTitleColor: LinearColor;
+	PreviewNodeTitleColor: LinearColor;
+	DefaultDataWireThickness: number;
+	DefaultExecutionWireThickness: number;
+	TraceAttackColor: LinearColor;
+	TraceAttackWireThickness: number;
+	TraceAttackHoldPeriod: number;
+	TraceDecayPeriod: number;
+	TraceDecayExponent: number;
+	TraceSustainColor: LinearColor;
+	TraceSustainWireThickness: number;
+	TraceSustainHoldPeriod: number;
+	TraceReleaseColor: LinearColor;
+	TraceReleaseWireThickness: number;
+	TraceReleasePeriod: number;
+	TraceReleaseExponent: number;
+	TracePositionBonusPeriod: number;
+	TracePositionExponent: number;
+	static Load(ResourceName: string): GraphEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): GraphEditorSettings;
+	static GetDefaultObject(): GraphEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GraphEditorSettings;
+	static C(Other: UObject | any): GraphEditorSettings;
+}
+
+declare class AnimationConduitGraphSchema extends EdGraphSchema_K2 { 
+	static Load(ResourceName: string): AnimationConduitGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationConduitGraphSchema;
+	static GetDefaultObject(): AnimationConduitGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationConduitGraphSchema;
+	static C(Other: UObject | any): AnimationConduitGraphSchema;
+}
+
+declare class AnimationGraph extends EdGraph { 
+	static Load(ResourceName: string): AnimationGraph;
+	static Find(Outer: UObject, ResourceName: string): AnimationGraph;
+	static GetDefaultObject(): AnimationGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraph;
+	static C(Other: UObject | any): AnimationGraph;
+}
+
+declare class OptionalPinFromProperty { 
+	PropertyName: string;
+	PropertyFriendlyName: string;
+	PropertyTooltip: string;
+	CategoryName: string;
+	bShowPin: boolean;
+	bCanToggleVisibility: boolean;
+	bPropertyIsCustomized: boolean;
+	bHasOverridePin: boolean;
+	bIsMarkedForAdvancedDisplay: boolean;
+	bIsOverrideEnabled: boolean;
+	bIsSetValuePinVisible: boolean;
+	bIsOverridePinVisible: boolean;
+	clone() : OptionalPinFromProperty;
+	static C(Other: UObject | any): OptionalPinFromProperty;
+}
+
+declare type EBlueprintUsage = 'NoProperties' | 'DoesNotUseBlueprint' | 'UsesBlueprint' | 'EBlueprintUsage_MAX';
+declare var EBlueprintUsage : { NoProperties:'NoProperties',DoesNotUseBlueprint:'DoesNotUseBlueprint',UsesBlueprint:'UsesBlueprint',EBlueprintUsage_MAX:'EBlueprintUsage_MAX', };
+declare class AnimGraphNode_Base extends K2Node { 
+	ShowPinForProperties: OptionalPinFromProperty[];
+	BlueprintUsage: EBlueprintUsage;
+	static Load(ResourceName: string): AnimGraphNode_Base;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Base;
+	static GetDefaultObject(): AnimGraphNode_Base;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Base;
+	static C(Other: UObject | any): AnimGraphNode_Base;
+}
+
+declare class AnimNode_Base { 
+	clone() : AnimNode_Base;
+	static C(Other: UObject | any): AnimNode_Base;
+}
+
+declare class PoseLinkBase { 
+	LinkID: number;
+	SourceLinkID: number;
+	clone() : PoseLinkBase;
+	static C(Other: UObject | any): PoseLinkBase;
+}
+
+declare class PoseLink extends PoseLinkBase { 
+	clone() : PoseLink;
+	static C(Other: UObject | any): PoseLink;
+}
+
+declare class AnimNode_Root extends AnimNode_Base { 
+	Result: PoseLink;
+	clone() : AnimNode_Root;
+	static C(Other: UObject | any): AnimNode_Root;
+}
+
+declare class AnimNode_StateResult extends AnimNode_Root { 
+	clone() : AnimNode_StateResult;
+	static C(Other: UObject | any): AnimNode_StateResult;
+}
+
+declare class AnimGraphNode_StateResult extends AnimGraphNode_Base { 
+	UNode: AnimNode_StateResult;
+	static Load(ResourceName: string): AnimGraphNode_StateResult;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateResult;
+	static GetDefaultObject(): AnimGraphNode_StateResult;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateResult;
+	static C(Other: UObject | any): AnimGraphNode_StateResult;
+}
+
+declare class AnimGraphNode_CustomTransitionResult extends AnimGraphNode_StateResult { 
+	static Load(ResourceName: string): AnimGraphNode_CustomTransitionResult;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CustomTransitionResult;
+	static GetDefaultObject(): AnimGraphNode_CustomTransitionResult;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CustomTransitionResult;
+	static C(Other: UObject | any): AnimGraphNode_CustomTransitionResult;
+}
+
+declare class AnimationCustomTransitionGraph extends AnimationGraph { 
+	MyResultNode: AnimGraphNode_CustomTransitionResult;
+	static Load(ResourceName: string): AnimationCustomTransitionGraph;
+	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionGraph;
+	static GetDefaultObject(): AnimationCustomTransitionGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionGraph;
+	static C(Other: UObject | any): AnimationCustomTransitionGraph;
+}
+
+declare class AnimationGraphSchema extends EdGraphSchema_K2 { 
+	PN_SequenceName: string;
+	NAME_NeverAsPin: string;
+	NAME_PinHiddenByDefault: string;
+	NAME_PinShownByDefault: string;
+	NAME_AlwaysAsPin: string;
+	NAME_CustomizeProperty: string;
+	NAME_OnEvaluate: string;
+	DefaultEvaluationHandlerName: string;
+	static Load(ResourceName: string): AnimationGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationGraphSchema;
+	static GetDefaultObject(): AnimationGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationGraphSchema;
+	static C(Other: UObject | any): AnimationGraphSchema;
+}
+
+declare class AnimationCustomTransitionSchema extends AnimationGraphSchema { 
+	static Load(ResourceName: string): AnimationCustomTransitionSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationCustomTransitionSchema;
+	static GetDefaultObject(): AnimationCustomTransitionSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationCustomTransitionSchema;
+	static C(Other: UObject | any): AnimationCustomTransitionSchema;
+}
+
+declare class AnimationStateGraph extends AnimationGraph { 
+	MyResultNode: AnimGraphNode_StateResult;
+	static Load(ResourceName: string): AnimationStateGraph;
+	static Find(Outer: UObject, ResourceName: string): AnimationStateGraph;
+	static GetDefaultObject(): AnimationStateGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraph;
+	static C(Other: UObject | any): AnimationStateGraph;
 }
 
-declare class Border extends ContentWidget { 
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	bShowEffectWhenDisabled: boolean;
-	ContentColorAndOpacity: LinearColor;
-	ContentColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
-	Padding: Margin;
-	Background: SlateBrush;
-	BackgroundDelegate: UnrealEngineDelegate<() => SlateBrush>;
-	BrushColor: LinearColor;
-	BrushColorDelegate: UnrealEngineDelegate<() => LinearColor>;
-	DesiredSizeScale: Vector2D;
-	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
-	OnMouseButtonUpEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
-	OnMouseMoveEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
-	OnMouseDoubleClickEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
-	Brush: SlateBrushAsset;
-	static Load(ResourceName: string): Border;
-	static Find(Outer: UObject, ResourceName: string): Border;
-	static GetDefaultObject(): Border;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Border;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	SetDesiredSizeScale(InScale: Vector2D): void;
-	SetContentColorAndOpacity(InContentColorAndOpacity: LinearColor): void;
-	SetBrushFromTexture(Texture: Texture2D): void;
-	SetBrushFromMaterial(Material: MaterialInterface): void;
-	SetBrushFromAsset(Asset: SlateBrushAsset): void;
-	SetBrushColor(InBrushColor: LinearColor): void;
-	SetBrush(InBrush: SlateBrush): void;
-	GetDynamicMaterial(): MaterialInstanceDynamic;
-	static C(Other: UObject | any): Border;
+declare class AnimationStateGraphSchema extends AnimationGraphSchema { 
+	static Load(ResourceName: string): AnimationStateGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationStateGraphSchema;
+	static GetDefaultObject(): AnimationStateGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateGraphSchema;
+	static C(Other: UObject | any): AnimationStateGraphSchema;
 }
 
-declare class BrushBinding extends PropertyBinding { 
-	static Load(ResourceName: string): BrushBinding;
-	static Find(Outer: UObject, ResourceName: string): BrushBinding;
-	static GetDefaultObject(): BrushBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushBinding;
-	GetValue(): SlateBrush;
-	static C(Other: UObject | any): BrushBinding;
+declare class AnimStateEntryNode extends EdGraphNode { 
+	static Load(ResourceName: string): AnimStateEntryNode;
+	static Find(Outer: UObject, ResourceName: string): AnimStateEntryNode;
+	static GetDefaultObject(): AnimStateEntryNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateEntryNode;
+	static C(Other: UObject | any): AnimStateEntryNode;
 }
 
-declare type EButtonClickMethod = 'DownAndUp' | 'MouseDown' | 'MouseUp' | 'PreciseClick' | 'EButtonClickMethod_MAX';
-declare var EButtonClickMethod : { DownAndUp:'DownAndUp',MouseDown:'MouseDown',MouseUp:'MouseUp',PreciseClick:'PreciseClick',EButtonClickMethod_MAX:'EButtonClickMethod_MAX', };
-declare type EButtonTouchMethod = 'DownAndUp' | 'PreciseTap' | 'EButtonTouchMethod_MAX';
-declare var EButtonTouchMethod : { DownAndUp:'DownAndUp',PreciseTap:'PreciseTap',EButtonTouchMethod_MAX:'EButtonTouchMethod_MAX', };
-declare class Button extends ContentWidget { 
-	Style: SlateWidgetStyleAsset;
-	WidgetStyle: ButtonStyle;
-	ColorAndOpacity: LinearColor;
-	BackgroundColor: LinearColor;
-	ClickMethod: EButtonClickMethod;
-	TouchMethod: EButtonTouchMethod;
-	IsFocusable: boolean;
-	OnClicked: UnrealEngineMulticastDelegate<() => void>;
-	OnPressed: UnrealEngineMulticastDelegate<() => void>;
-	OnReleased: UnrealEngineMulticastDelegate<() => void>;
-	OnHovered: UnrealEngineMulticastDelegate<() => void>;
-	OnUnhovered: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): Button;
-	static Find(Outer: UObject, ResourceName: string): Button;
-	static GetDefaultObject(): Button;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Button;
-	SetTouchMethod(InTouchMethod: EButtonTouchMethod): void;
-	SetStyle(InStyle: ButtonStyle): void;
-	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
-	SetClickMethod(InClickMethod: EButtonClickMethod): void;
-	SetBackgroundColor(InBackgroundColor: LinearColor): void;
-	IsPressed(): boolean;
-	static C(Other: UObject | any): Button;
+declare class AnimGraphNode_StateMachineBase extends AnimGraphNode_Base { 
+	EditorStateMachineGraph: AnimationStateMachineGraph;
+	static Load(ResourceName: string): AnimGraphNode_StateMachineBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachineBase;
+	static GetDefaultObject(): AnimGraphNode_StateMachineBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachineBase;
+	static C(Other: UObject | any): AnimGraphNode_StateMachineBase;
 }
 
-declare class ButtonSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): ButtonSlot;
-	static Find(Outer: UObject, ResourceName: string): ButtonSlot;
-	static GetDefaultObject(): ButtonSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): ButtonSlot;
+declare class AnimationStateMachineGraph extends EdGraph { 
+	EntryNode: AnimStateEntryNode;
+	OwnerAnimGraphNode: AnimGraphNode_StateMachineBase;
+	static Load(ResourceName: string): AnimationStateMachineGraph;
+	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineGraph;
+	static GetDefaultObject(): AnimationStateMachineGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineGraph;
+	static C(Other: UObject | any): AnimationStateMachineGraph;
 }
 
-declare class CanvasPanel extends PanelWidget { 
-	static Load(ResourceName: string): CanvasPanel;
-	static Find(Outer: UObject, ResourceName: string): CanvasPanel;
-	static GetDefaultObject(): CanvasPanel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasPanel;
-	AddChildToCanvas(Content: Widget): CanvasPanelSlot;
-	static C(Other: UObject | any): CanvasPanel;
+declare class AnimationStateMachineSchema extends EdGraphSchema { 
+	static Load(ResourceName: string): AnimationStateMachineSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationStateMachineSchema;
+	static GetDefaultObject(): AnimationStateMachineSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationStateMachineSchema;
+	static C(Other: UObject | any): AnimationStateMachineSchema;
 }
 
-declare type ECheckBoxState = 'Unchecked' | 'Checked' | 'Undetermined' | 'ECheckBoxState_MAX';
-declare var ECheckBoxState : { Unchecked:'Unchecked',Checked:'Checked',Undetermined:'Undetermined',ECheckBoxState_MAX:'ECheckBoxState_MAX', };
-declare class CheckBox extends ContentWidget { 
-	CheckedState: ECheckBoxState;
-	CheckedStateDelegate: UnrealEngineDelegate<() => ECheckBoxState>;
-	WidgetStyle: CheckBoxStyle;
-	Style: SlateWidgetStyleAsset;
-	UncheckedImage: SlateBrushAsset;
-	UncheckedHoveredImage: SlateBrushAsset;
-	UncheckedPressedImage: SlateBrushAsset;
-	CheckedImage: SlateBrushAsset;
-	CheckedHoveredImage: SlateBrushAsset;
-	CheckedPressedImage: SlateBrushAsset;
-	UndeterminedImage: SlateBrushAsset;
-	UndeterminedHoveredImage: SlateBrushAsset;
-	UndeterminedPressedImage: SlateBrushAsset;
-	HorizontalAlignment: EHorizontalAlignment;
-	Padding: Margin;
-	BorderBackgroundColor: SlateColor;
-	IsFocusable: boolean;
-	OnCheckStateChanged: UnrealEngineMulticastDelegate<(bIsChecked: boolean) => void>;
-	static Load(ResourceName: string): CheckBox;
-	static Find(Outer: UObject, ResourceName: string): CheckBox;
-	static GetDefaultObject(): CheckBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBox;
-	SetIsChecked(InIsChecked: boolean): void;
-	SetCheckedState(InCheckedState: ECheckBoxState): void;
-	IsPressed(): boolean;
-	IsChecked(): boolean;
-	GetCheckedState(): ECheckBoxState;
-	static C(Other: UObject | any): CheckBox;
+declare class AnimNode_TransitionResult extends AnimNode_Base { 
+	bCanEnterTransition: boolean;
+	clone() : AnimNode_TransitionResult;
+	static C(Other: UObject | any): AnimNode_TransitionResult;
 }
 
-declare class CheckedStateBinding extends PropertyBinding { 
-	static Load(ResourceName: string): CheckedStateBinding;
-	static Find(Outer: UObject, ResourceName: string): CheckedStateBinding;
-	static GetDefaultObject(): CheckedStateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckedStateBinding;
-	GetValue(): ECheckBoxState;
-	static C(Other: UObject | any): CheckedStateBinding;
+declare class AnimGraphNode_TransitionResult extends AnimGraphNode_Base { 
+	UNode: AnimNode_TransitionResult;
+	static Load(ResourceName: string): AnimGraphNode_TransitionResult;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionResult;
+	static GetDefaultObject(): AnimGraphNode_TransitionResult;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionResult;
+	static C(Other: UObject | any): AnimGraphNode_TransitionResult;
 }
 
-declare class CircularThrobber extends Widget { 
-	NumberOfPieces: number;
-	Period: number;
-	Radius: number;
-	PieceImage: SlateBrushAsset;
-	UImage: SlateBrush;
-	bEnableRadius: boolean;
-	static Load(ResourceName: string): CircularThrobber;
-	static Find(Outer: UObject, ResourceName: string): CircularThrobber;
-	static GetDefaultObject(): CircularThrobber;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CircularThrobber;
-	SetRadius(InRadius: number): void;
-	SetPeriod(InPeriod: number): void;
-	SetNumberOfPieces(InNumberOfPieces: number): void;
-	static C(Other: UObject | any): CircularThrobber;
-}
-
-declare class ColorBinding extends PropertyBinding { 
-	static Load(ResourceName: string): ColorBinding;
-	static Find(Outer: UObject, ResourceName: string): ColorBinding;
-	static GetDefaultObject(): ColorBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ColorBinding;
-	GetSlateValue(): SlateColor;
-	GetLinearValue(): LinearColor;
-	static C(Other: UObject | any): ColorBinding;
+declare class AnimationTransitionGraph extends AnimationGraph { 
+	MyResultNode: AnimGraphNode_TransitionResult;
+	static Load(ResourceName: string): AnimationTransitionGraph;
+	static Find(Outer: UObject, ResourceName: string): AnimationTransitionGraph;
+	static GetDefaultObject(): AnimationTransitionGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionGraph;
+	static C(Other: UObject | any): AnimationTransitionGraph;
 }
 
-declare class ComboBox extends Widget { 
-	Items: UObject[];
-	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
-	bIsFocusable: boolean;
-	static Load(ResourceName: string): ComboBox;
-	static Find(Outer: UObject, ResourceName: string): ComboBox;
-	static GetDefaultObject(): ComboBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBox;
-	static C(Other: UObject | any): ComboBox;
+declare class AnimationTransitionSchema extends EdGraphSchema_K2 { 
+	static Load(ResourceName: string): AnimationTransitionSchema;
+	static Find(Outer: UObject, ResourceName: string): AnimationTransitionSchema;
+	static GetDefaultObject(): AnimationTransitionSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationTransitionSchema;
+	static C(Other: UObject | any): AnimationTransitionSchema;
 }
 
-declare class TableRowStyle extends SlateWidgetStyle { 
-	SelectorFocusedBrush: SlateBrush;
-	ActiveHoveredBrush: SlateBrush;
-	ActiveBrush: SlateBrush;
-	InactiveHoveredBrush: SlateBrush;
-	InactiveBrush: SlateBrush;
-	EvenRowBackgroundHoveredBrush: SlateBrush;
-	EvenRowBackgroundBrush: SlateBrush;
-	OddRowBackgroundHoveredBrush: SlateBrush;
-	OddRowBackgroundBrush: SlateBrush;
-	TextColor: SlateColor;
-	SelectedTextColor: SlateColor;
-	DropIndicator_Above: SlateBrush;
-	DropIndicator_Onto: SlateBrush;
-	DropIndicator_Below: SlateBrush;
-	clone() : TableRowStyle;
-	static C(Other: UObject | any): TableRowStyle;
+declare class AnimBlueprintPostCompileValidation extends UObject { 
+	static Load(ResourceName: string): AnimBlueprintPostCompileValidation;
+	static Find(Outer: UObject, ResourceName: string): AnimBlueprintPostCompileValidation;
+	static GetDefaultObject(): AnimBlueprintPostCompileValidation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintPostCompileValidation;
+	static C(Other: UObject | any): AnimBlueprintPostCompileValidation;
 }
 
-declare type ESelectInfo = 'OnKeyPress' | 'OnNavigation' | 'OnMouseClick' | 'Direct' | 'ESelectInfo_MAX';
-declare var ESelectInfo : { OnKeyPress:'OnKeyPress',OnNavigation:'OnNavigation',OnMouseClick:'OnMouseClick',Direct:'Direct',ESelectInfo_MAX:'ESelectInfo_MAX', };
-declare class ComboBoxString extends Widget { 
-	DefaultOptions: string[];
-	SelectedOption: string;
-	WidgetStyle: ComboBoxStyle;
-	ItemStyle: TableRowStyle;
-	ContentPadding: Margin;
-	MaxListHeight: number;
-	HasDownArrow: boolean;
-	EnableGamepadNavigationMode: boolean;
-	Font: SlateFontInfo;
-	ForegroundColor: SlateColor;
-	bIsFocusable: boolean;
-	OnGenerateWidgetEvent: UnrealEngineDelegate<(Item: string) => Widget>;
-	OnSelectionChanged: UnrealEngineMulticastDelegate<(SelectedItem: string, SelectionType: ESelectInfo) => void>;
-	OnOpening: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): ComboBoxString;
-	static Find(Outer: UObject, ResourceName: string): ComboBoxString;
-	static GetDefaultObject(): ComboBoxString;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComboBoxString;
-	SetSelectedOption(Option: string): void;
-	RemoveOption(Option: string): boolean;
-	RefreshOptions(): void;
-	GetSelectedOption(): string;
-	GetOptionCount(): number;
-	GetOptionAtIndex(index: number): string;
-	FindOptionIndex(Option: string): number;
-	ClearSelection(): void;
-	ClearOptions(): void;
-	AddOption(Option: string): void;
-	static C(Other: UObject | any): ComboBoxString;
+declare type EAnimGroupRole = 'CanBeLeader' | 'AlwaysFollower' | 'AlwaysLeader' | 'TransitionLeader' | 'TransitionFollower' | 'EAnimGroupRole_MAX';
+declare var EAnimGroupRole : { CanBeLeader:'CanBeLeader',AlwaysFollower:'AlwaysFollower',AlwaysLeader:'AlwaysLeader',TransitionLeader:'TransitionLeader',TransitionFollower:'TransitionFollower',EAnimGroupRole_MAX:'EAnimGroupRole_MAX', };
+declare class AnimationGroupReference { 
+	GroupName: string;
+	GroupRole: EAnimGroupRole;
+	clone() : AnimationGroupReference;
+	static C(Other: UObject | any): AnimationGroupReference;
 }
 
-declare type EVirtualKeyboardType = 'Default' | 'Number' | 'Web' | 'Email' | 'Password' | 'AlphaNumeric' | 'EVirtualKeyboardType_MAX';
-declare var EVirtualKeyboardType : { Default:'Default',Number:'Number',Web:'Web',Email:'Email',Password:'Password',AlphaNumeric:'AlphaNumeric',EVirtualKeyboardType_MAX:'EVirtualKeyboardType_MAX', };
-declare type EVirtualKeyboardDismissAction = 'TextChangeOnDismiss' | 'TextCommitOnAccept' | 'TextCommitOnDismiss' | 'EVirtualKeyboardDismissAction_MAX';
-declare var EVirtualKeyboardDismissAction : { TextChangeOnDismiss:'TextChangeOnDismiss',TextCommitOnAccept:'TextCommitOnAccept',TextCommitOnDismiss:'TextCommitOnDismiss',EVirtualKeyboardDismissAction_MAX:'EVirtualKeyboardDismissAction_MAX', };
-declare type ETextJustify = 'Left' | 'Center' | 'Right' | 'ETextJustify_MAX';
-declare var ETextJustify : { Left:'Left',Center:'Center',Right:'Right',ETextJustify_MAX:'ETextJustify_MAX', };
-declare type ETextShapingMethod = 'Auto' | 'KerningOnly' | 'FullShaping' | 'ETextShapingMethod_MAX';
-declare var ETextShapingMethod : { Auto:'Auto',KerningOnly:'KerningOnly',FullShaping:'FullShaping',ETextShapingMethod_MAX:'ETextShapingMethod_MAX', };
-declare type ETextFlowDirection = 'Auto' | 'LeftToRight' | 'RightToLeft' | 'ETextFlowDirection_MAX';
-declare var ETextFlowDirection : { Auto:'Auto',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',ETextFlowDirection_MAX:'ETextFlowDirection_MAX', };
-declare class ShapedTextOptions { 
-	bOverride_TextShapingMethod: boolean;
-	bOverride_TextFlowDirection: boolean;
-	TextShapingMethod: ETextShapingMethod;
-	TextFlowDirection: ETextFlowDirection;
-	clone() : ShapedTextOptions;
-	static C(Other: UObject | any): ShapedTextOptions;
+declare class AnimGraphNode_AssetPlayerBase extends AnimGraphNode_Base { 
+	SyncGroup: AnimationGroupReference;
+	static Load(ResourceName: string): AnimGraphNode_AssetPlayerBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AssetPlayerBase;
+	static GetDefaultObject(): AnimGraphNode_AssetPlayerBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AssetPlayerBase;
+	static C(Other: UObject | any): AnimGraphNode_AssetPlayerBase;
 }
 
-declare type ETextCommit = 'Default' | 'OnEnter' | 'OnUserMovedFocus' | 'OnCleared' | 'ETextCommit_MAX';
-declare var ETextCommit : { Default:'Default',OnEnter:'OnEnter',OnUserMovedFocus:'OnUserMovedFocus',OnCleared:'OnCleared',ETextCommit_MAX:'ETextCommit_MAX', };
-declare class EditableText extends Widget { 
-	text: string;
-	TextDelegate: UnrealEngineDelegate<() => string>;
-	HintText: string;
-	HintTextDelegate: UnrealEngineDelegate<() => string>;
-	WidgetStyle: EditableTextStyle;
-	Style: SlateWidgetStyleAsset;
-	BackgroundImageSelected: SlateBrushAsset;
-	BackgroundImageComposing: SlateBrushAsset;
-	CaretImage: SlateBrushAsset;
-	Font: SlateFontInfo;
-	ColorAndOpacity: SlateColor;
-	IsReadOnly: boolean;
-	IsPassword: boolean;
-	MinimumDesiredWidth: number;
-	IsCaretMovedWhenGainFocus: boolean;
-	SelectAllTextWhenFocused: boolean;
-	RevertTextOnEscape: boolean;
-	ClearKeyboardFocusOnCommit: boolean;
-	SelectAllTextOnCommit: boolean;
-	AllowContextMenu: boolean;
-	KeyboardType: EVirtualKeyboardType;
-	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
-	Justification: ETextJustify;
-	ShapedTextOptions: ShapedTextOptions;
-	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
-	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
-	static Load(ResourceName: string): EditableText;
-	static Find(Outer: UObject, ResourceName: string): EditableText;
-	static GetDefaultObject(): EditableText;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableText;
-	SetText(InText: string): void;
-	SetIsReadOnly(InbIsReadyOnly: boolean): void;
-	SetIsPassword(InbIsPassword: boolean): void;
-	SetHintText(InHintText: string): void;
-	GetText(): string;
-	static C(Other: UObject | any): EditableText;
+declare class AnimGraphNode_BlendSpaceBase extends AnimGraphNode_AssetPlayerBase { 
+	static Load(ResourceName: string): AnimGraphNode_BlendSpaceBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceBase;
+	static GetDefaultObject(): AnimGraphNode_BlendSpaceBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceBase;
+	static C(Other: UObject | any): AnimGraphNode_BlendSpaceBase;
 }
 
-declare class EditableTextBox extends Widget { 
-	text: string;
-	TextDelegate: UnrealEngineDelegate<() => string>;
-	WidgetStyle: EditableTextBoxStyle;
-	Style: SlateWidgetStyleAsset;
-	HintText: string;
-	HintTextDelegate: UnrealEngineDelegate<() => string>;
-	Font: SlateFontInfo;
-	ForegroundColor: LinearColor;
-	BackgroundColor: LinearColor;
-	ReadOnlyForegroundColor: LinearColor;
-	IsReadOnly: boolean;
-	IsPassword: boolean;
-	MinimumDesiredWidth: number;
-	Padding: Margin;
-	IsCaretMovedWhenGainFocus: boolean;
-	SelectAllTextWhenFocused: boolean;
-	RevertTextOnEscape: boolean;
-	ClearKeyboardFocusOnCommit: boolean;
-	SelectAllTextOnCommit: boolean;
-	AllowContextMenu: boolean;
-	KeyboardType: EVirtualKeyboardType;
-	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
-	Justification: ETextJustify;
-	ShapedTextOptions: ShapedTextOptions;
-	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
-	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
-	static Load(ResourceName: string): EditableTextBox;
-	static Find(Outer: UObject, ResourceName: string): EditableTextBox;
-	static GetDefaultObject(): EditableTextBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableTextBox;
-	SetText(InText: string): void;
-	SetIsReadOnly(bReadOnly: boolean): void;
-	SetHintText(InText: string): void;
-	SetError(InError: string): void;
-	HasError(): boolean;
-	GetText(): string;
-	ClearError(): void;
-	static C(Other: UObject | any): EditableTextBox;
+declare class AnimNode_AssetPlayerBase extends AnimNode_Base { 
+	GroupIndex: number;
+	GroupRole: EAnimGroupRole;
+	bIgnoreForRelevancyTest: boolean;
+	BlendWeight: number;
+	InternalTimeAccumulator: number;
+	clone() : AnimNode_AssetPlayerBase;
+	static C(Other: UObject | any): AnimNode_AssetPlayerBase;
 }
 
-declare class ExpandableAreaStyle extends SlateWidgetStyle { 
-	CollapsedImage: SlateBrush;
-	ExpandedImage: SlateBrush;
-	RolloutAnimationSeconds: number;
-	clone() : ExpandableAreaStyle;
-	static C(Other: UObject | any): ExpandableAreaStyle;
+declare type EFilterInterpolationType = 'BSIT_Average' | 'BSIT_Linear' | 'BSIT_Cubic' | 'BSIT_MAX';
+declare var EFilterInterpolationType : { BSIT_Average:'BSIT_Average',BSIT_Linear:'BSIT_Linear',BSIT_Cubic:'BSIT_Cubic',BSIT_MAX:'BSIT_MAX', };
+declare class InterpolationParameter { 
+	InterpolationTime: number;
+	InterpolationType: EFilterInterpolationType;
+	clone() : InterpolationParameter;
+	static C(Other: UObject | any): InterpolationParameter;
 }
 
-declare class ExpandableArea extends Widget { 
-	Style: ExpandableAreaStyle;
-	BorderBrush: SlateBrush;
-	BorderColor: SlateColor;
-	bIsExpanded: boolean;
-	MaxHeight: number;
-	HeaderPadding: Margin;
-	AreaPadding: Margin;
-	OnExpansionChanged: UnrealEngineMulticastDelegate<(Area: ExpandableArea, bIsExpanded: boolean) => void>;
-	HeaderContent: Widget;
-	BodyContent: Widget;
-	static Load(ResourceName: string): ExpandableArea;
-	static Find(Outer: UObject, ResourceName: string): ExpandableArea;
-	static GetDefaultObject(): ExpandableArea;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExpandableArea;
-	SetIsExpanded_Animated(IsExpanded: boolean): void;
-	SetIsExpanded(IsExpanded: boolean): void;
-	GetIsExpanded(): boolean;
-	static C(Other: UObject | any): ExpandableArea;
+declare type ENotifyTriggerMode = 'AllAnimations' | 'HighestWeightedAnimation' | 'None' | 'ENotifyTriggerMode_MAX';
+declare var ENotifyTriggerMode : { AllAnimations:'AllAnimations',HighestWeightedAnimation:'HighestWeightedAnimation',None:'None',ENotifyTriggerMode_MAX:'ENotifyTriggerMode_MAX', };
+declare class PerBoneInterpolation { 
+	BoneReference: BoneReference;
+	InterpolationSpeedPerSec: number;
+	clone() : PerBoneInterpolation;
+	static C(Other: UObject | any): PerBoneInterpolation;
 }
 
-declare class FloatBinding extends PropertyBinding { 
-	static Load(ResourceName: string): FloatBinding;
-	static Find(Outer: UObject, ResourceName: string): FloatBinding;
-	static GetDefaultObject(): FloatBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatBinding;
-	GetValue(): number;
-	static C(Other: UObject | any): FloatBinding;
-}
-
-declare class GridPanel extends PanelWidget { 
-	ColumnFill: number[];
-	RowFill: number[];
-	static Load(ResourceName: string): GridPanel;
-	static Find(Outer: UObject, ResourceName: string): GridPanel;
-	static GetDefaultObject(): GridPanel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GridPanel;
-	AddChildToGrid(Content: Widget): GridSlot;
-	static C(Other: UObject | any): GridPanel;
+declare class BlendSample { 
+	Animation: AnimSequence;
+	SampleValue: Vector;
+	RateScale: number;
+	bSnapToGrid: boolean;
+	bIsValid: boolean;
+	clone() : BlendSample;
+	static C(Other: UObject | any): BlendSample;
 }
 
-declare class HorizontalBox extends PanelWidget { 
-	static Load(ResourceName: string): HorizontalBox;
-	static Find(Outer: UObject, ResourceName: string): HorizontalBox;
-	static GetDefaultObject(): HorizontalBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HorizontalBox;
-	AddChildToHorizontalBox(Content: Widget): HorizontalBoxSlot;
-	static C(Other: UObject | any): HorizontalBox;
+declare class EditorElement { 
+	Indices: number;
+	Weights: number;
+	clone() : EditorElement;
+	static C(Other: UObject | any): EditorElement;
 }
 
-declare class UImage extends Widget { 
-	UImage: SlateBrushAsset;
-	Brush: SlateBrush;
-	BrushDelegate: UnrealEngineDelegate<() => SlateBrush>;
-	ColorAndOpacity: LinearColor;
-	ColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
-	OnMouseButtonDownEvent: UnrealEngineDelegate<(MyGeometry: Geometry, MouseEvent: UPointerEvent) => EventReply>;
-	static Load(ResourceName: string): UImage;
-	static Find(Outer: UObject, ResourceName: string): UImage;
-	static GetDefaultObject(): UImage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UImage;
-	SetOpacity(InOpacity: number): void;
-	SetColorAndOpacity(InColorAndOpacity: LinearColor): void;
-	SetBrushFromTextureDynamic(Texture: Texture2DDynamic,bMatchSize: boolean): void;
-	SetBrushFromTexture(Texture: Texture2D,bMatchSize: boolean): void;
-	SetBrushFromMaterial(Material: MaterialInterface): void;
-	SetBrushFromAsset(Asset: SlateBrushAsset): void;
-	SetBrush(InBrush: SlateBrush): void;
-	GetDynamicMaterial(): MaterialInstanceDynamic;
-	static C(Other: UObject | any): UImage;
+declare class BlendParameter { 
+	DisplayName: string;
+	Min: number;
+	Max: number;
+	GridNum: number;
+	clone() : BlendParameter;
+	static C(Other: UObject | any): BlendParameter;
 }
 
-declare class InputKeySelector extends Widget { 
-	WidgetStyle: ButtonStyle;
-	TextStyle: TextBlockStyle;
-	SelectedKey: InputChord;
-	Font: SlateFontInfo;
-	Margin: Margin;
-	ColorAndOpacity: LinearColor;
-	KeySelectionText: string;
-	NoKeySpecifiedText: string;
-	bAllowModifierKeys: boolean;
-	bAllowGamepadKeys: boolean;
-	EscapeKeys: Key[];
-	OnKeySelected: UnrealEngineMulticastDelegate<(SelectedKey: InputChord) => void>;
-	OnIsSelectingKeyChanged: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): InputKeySelector;
-	static Find(Outer: UObject, ResourceName: string): InputKeySelector;
-	static GetDefaultObject(): InputKeySelector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputKeySelector;
-	SetTextBlockVisibility(InVisibility: ESlateVisibility): void;
-	SetSelectedKey(InSelectedKey: InputChord): void;
-	SetNoKeySpecifiedText(InNoKeySpecifiedText: string): void;
-	SetKeySelectionText(InKeySelectionText: string): void;
-	SetEscapeKeys(InKeys: Key[]): void;
-	SetAllowModifierKeys(bInAllowModifierKeys: boolean): void;
-	SetAllowGamepadKeys(bInAllowGamepadKeys: boolean): void;
-	GetIsSelectingKey(): boolean;
-	static C(Other: UObject | any): InputKeySelector;
+declare class BlendSpaceBase extends AnimationAsset { 
+	bRotationBlendInMeshSpace: boolean;
+	PreviewBasePose: AnimSequence;
+	AnimLength: number;
+	InterpolationParam: InterpolationParameter;
+	TargetWeightInterpolationSpeedPerSec: number;
+	NotifyTriggerMode: ENotifyTriggerMode;
+	PerBoneBlend: PerBoneInterpolation[];
+	SampleIndexWithMarkers: number;
+	SampleData: BlendSample[];
+	GridSamples: EditorElement[];
+	BlendParameters: BlendParameter;
+	static Load(ResourceName: string): BlendSpaceBase;
+	static Find(Outer: UObject, ResourceName: string): BlendSpaceBase;
+	static GetDefaultObject(): BlendSpaceBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceBase;
+	static C(Other: UObject | any): BlendSpaceBase;
 }
 
-declare class Int32Binding extends PropertyBinding { 
-	static Load(ResourceName: string): Int32Binding;
-	static Find(Outer: UObject, ResourceName: string): Int32Binding;
-	static GetDefaultObject(): Int32Binding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Int32Binding;
-	GetValue(): number;
-	static C(Other: UObject | any): Int32Binding;
+declare class AnimNode_BlendSpacePlayer extends AnimNode_AssetPlayerBase { 
+	X: number;
+	Y: number;
+	Z: number;
+	PlayRate: number;
+	bLoop: boolean;
+	bResetPlayTimeWhenBlendSpaceChanges: boolean;
+	StartPosition: number;
+	BlendSpace: BlendSpaceBase;
+	PreviousBlendSpace: BlendSpaceBase;
+	clone() : AnimNode_BlendSpacePlayer;
+	static C(Other: UObject | any): AnimNode_BlendSpacePlayer;
 }
 
-declare class InvalidationBox extends ContentWidget { 
-	bCanCache: boolean;
-	CacheRelativeTransforms: boolean;
-	static Load(ResourceName: string): InvalidationBox;
-	static Find(Outer: UObject, ResourceName: string): InvalidationBox;
-	static GetDefaultObject(): InvalidationBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InvalidationBox;
-	SetCanCache(CanCache: boolean): void;
-	InvalidateCache(): void;
-	GetCanCache(): boolean;
-	static C(Other: UObject | any): InvalidationBox;
+declare class AnimNode_AimOffsetLookAt extends AnimNode_BlendSpacePlayer { 
+	BasePose: PoseLink;
+	LODThreshold: number;
+	SourceSocketName: string;
+	PivotSocketName: string;
+	LookAtLocation: Vector;
+	SocketAxis: Vector;
+	Alpha: number;
+	clone() : AnimNode_AimOffsetLookAt;
+	static C(Other: UObject | any): AnimNode_AimOffsetLookAt;
 }
 
-declare class TableViewBase extends Widget { 
-	static Load(ResourceName: string): TableViewBase;
-	static Find(Outer: UObject, ResourceName: string): TableViewBase;
-	static GetDefaultObject(): TableViewBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TableViewBase;
-	static C(Other: UObject | any): TableViewBase;
+declare class AnimGraphNode_AimOffsetLookAt extends AnimGraphNode_BlendSpaceBase { 
+	UNode: AnimNode_AimOffsetLookAt;
+	static Load(ResourceName: string): AnimGraphNode_AimOffsetLookAt;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AimOffsetLookAt;
+	static GetDefaultObject(): AnimGraphNode_AimOffsetLookAt;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AimOffsetLookAt;
+	static C(Other: UObject | any): AnimGraphNode_AimOffsetLookAt;
 }
 
-declare type ESelectionMode = 'None' | 'Single' | 'SingleToggle' | 'Multi' | 'ESelectionMode_MAX';
-declare var ESelectionMode : { None:'None',Single:'Single',SingleToggle:'SingleToggle',Multi:'Multi',ESelectionMode_MAX:'ESelectionMode_MAX', };
-declare class ListView extends TableViewBase { 
-	ItemHeight: number;
-	Items: UObject[];
-	SelectionMode: ESelectionMode;
-	OnGenerateRowEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
-	static Load(ResourceName: string): ListView;
-	static Find(Outer: UObject, ResourceName: string): ListView;
-	static GetDefaultObject(): ListView;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListView;
-	static C(Other: UObject | any): ListView;
+declare class AnimGraphNode_SkeletalControlBase extends AnimGraphNode_Base { 
+	static Load(ResourceName: string): AnimGraphNode_SkeletalControlBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SkeletalControlBase;
+	static GetDefaultObject(): AnimGraphNode_SkeletalControlBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SkeletalControlBase;
+	static C(Other: UObject | any): AnimGraphNode_SkeletalControlBase;
 }
 
-declare type EMenuPlacement = 'MenuPlacement_BelowAnchor' | 'MenuPlacement_CenteredBelowAnchor' | 'MenuPlacement_BelowRightAnchor' | 'MenuPlacement_ComboBox' | 'MenuPlacement_ComboBoxRight' | 'MenuPlacement_MenuRight' | 'MenuPlacement_AboveAnchor' | 'MenuPlacement_CenteredAboveAnchor' | 'MenuPlacement_AboveRightAnchor' | 'MenuPlacement_MenuLeft' | 'MenuPlacement_Center' | 'MenuPlacement_RightLeftCenter' | 'MenuPlacement_MatchBottomLeft' | 'MenuPlacement_MAX';
-declare var EMenuPlacement : { MenuPlacement_BelowAnchor:'MenuPlacement_BelowAnchor',MenuPlacement_CenteredBelowAnchor:'MenuPlacement_CenteredBelowAnchor',MenuPlacement_BelowRightAnchor:'MenuPlacement_BelowRightAnchor',MenuPlacement_ComboBox:'MenuPlacement_ComboBox',MenuPlacement_ComboBoxRight:'MenuPlacement_ComboBoxRight',MenuPlacement_MenuRight:'MenuPlacement_MenuRight',MenuPlacement_AboveAnchor:'MenuPlacement_AboveAnchor',MenuPlacement_CenteredAboveAnchor:'MenuPlacement_CenteredAboveAnchor',MenuPlacement_AboveRightAnchor:'MenuPlacement_AboveRightAnchor',MenuPlacement_MenuLeft:'MenuPlacement_MenuLeft',MenuPlacement_Center:'MenuPlacement_Center',MenuPlacement_RightLeftCenter:'MenuPlacement_RightLeftCenter',MenuPlacement_MatchBottomLeft:'MenuPlacement_MatchBottomLeft',MenuPlacement_MAX:'MenuPlacement_MAX', };
-declare class MenuAnchor extends ContentWidget { 
-	MenuClass: UnrealEngineClass;
-	OnGetMenuContentEvent: UnrealEngineDelegate<() => Widget>;
-	PLACEMENT: EMenuPlacement;
-	ShouldDeferPaintingAfterWindowContent: boolean;
-	UseApplicationMenuStack: boolean;
-	OnMenuOpenChanged: UnrealEngineMulticastDelegate<(bIsOpen: boolean) => void>;
-	static Load(ResourceName: string): MenuAnchor;
-	static Find(Outer: UObject, ResourceName: string): MenuAnchor;
-	static GetDefaultObject(): MenuAnchor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MenuAnchor;
-	ToggleOpen(bFocusOnOpen: boolean): void;
-	ShouldOpenDueToClick(): boolean;
-	Open(bFocusMenu: boolean): void;
-	IsOpen(): boolean;
-	HasOpenSubMenus(): boolean;
-	GetMenuPosition(): Vector2D;
-	Close(): void;
-	static C(Other: UObject | any): MenuAnchor;
+declare class ComponentSpacePoseLink extends PoseLinkBase { 
+	clone() : ComponentSpacePoseLink;
+	static C(Other: UObject | any): ComponentSpacePoseLink;
 }
 
-declare class MouseCursorBinding extends PropertyBinding { 
-	static Load(ResourceName: string): MouseCursorBinding;
-	static Find(Outer: UObject, ResourceName: string): MouseCursorBinding;
-	static GetDefaultObject(): MouseCursorBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MouseCursorBinding;
-	GetValue(): EMouseCursor;
-	static C(Other: UObject | any): MouseCursorBinding;
+declare type EAnimAlphaInputType = 'Float' | 'Bool' | 'Curve' | 'EAnimAlphaInputType_MAX';
+declare var EAnimAlphaInputType : { Float:'Float',Bool:'Bool',Curve:'Curve',EAnimAlphaInputType_MAX:'EAnimAlphaInputType_MAX', };
+declare class InputScaleBias { 
+	Scale: number;
+	Bias: number;
+	clone() : InputScaleBias;
+	static C(Other: UObject | any): InputScaleBias;
 }
 
-declare class MovieScene2DTransformSection extends MovieSceneSection { 
-	Translation: RichCurve;
-	Rotation: RichCurve;
-	Scale: RichCurve;
-	Shear: RichCurve;
-	static Load(ResourceName: string): MovieScene2DTransformSection;
-	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformSection;
-	static GetDefaultObject(): MovieScene2DTransformSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformSection;
-	static C(Other: UObject | any): MovieScene2DTransformSection;
+declare class InputAlphaBoolBlend { 
+	BlendInTime: number;
+	BlendOutTime: number;
+	BlendOption: EAlphaBlendOption;
+	bInitialized: boolean;
+	CustomCurve: CurveFloat;
+	AlphaBlend: AlphaBlend;
+	clone() : InputAlphaBoolBlend;
+	static C(Other: UObject | any): InputAlphaBoolBlend;
 }
 
-declare class MovieSceneNameableTrack extends MovieSceneTrack { 
-	DisplayName: string;
-	static Load(ResourceName: string): MovieSceneNameableTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneNameableTrack;
-	static GetDefaultObject(): MovieSceneNameableTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneNameableTrack;
-	static C(Other: UObject | any): MovieSceneNameableTrack;
+declare class InputRange { 
+	Min: number;
+	Max: number;
+	clone() : InputRange;
+	static C(Other: UObject | any): InputRange;
 }
 
-declare class MovieScenePropertyTrack extends MovieSceneNameableTrack { 
-	UniqueTrackName: string;
-	PropertyName: string;
-	PropertyPath: string;
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieScenePropertyTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScenePropertyTrack;
-	static GetDefaultObject(): MovieScenePropertyTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePropertyTrack;
-	static C(Other: UObject | any): MovieScenePropertyTrack;
+declare class InputScaleBiasClamp { 
+	bMapRange: boolean;
+	bClampResult: boolean;
+	bInterpResult: boolean;
+	InRange: InputRange;
+	OutRange: InputRange;
+	Scale: number;
+	Bias: number;
+	ClampMin: number;
+	ClampMax: number;
+	InterpSpeedIncreasing: number;
+	InterpSpeedDecreasing: number;
+	clone() : InputScaleBiasClamp;
+	static C(Other: UObject | any): InputScaleBiasClamp;
 }
 
-declare class MovieScene2DTransformTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieScene2DTransformTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScene2DTransformTrack;
-	static GetDefaultObject(): MovieScene2DTransformTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene2DTransformTrack;
-	static C(Other: UObject | any): MovieScene2DTransformTrack;
+declare class AnimNode_SkeletalControlBase extends AnimNode_Base { 
+	ComponentPose: ComponentSpacePoseLink;
+	LODThreshold: number;
+	ActualAlpha: number;
+	AlphaInputType: EAnimAlphaInputType;
+	bAlphaBoolEnabled: boolean;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	AlphaBoolBlend: InputAlphaBoolBlend;
+	AlphaCurveName: string;
+	AlphaScaleBiasClamp: InputScaleBiasClamp;
+	clone() : AnimNode_SkeletalControlBase;
+	static C(Other: UObject | any): AnimNode_SkeletalControlBase;
 }
 
-declare class MovieSceneMarginSection extends MovieSceneSection { 
-	TopCurve: RichCurve;
-	LeftCurve: RichCurve;
-	RightCurve: RichCurve;
-	BottomCurve: RichCurve;
-	static Load(ResourceName: string): MovieSceneMarginSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginSection;
-	static GetDefaultObject(): MovieSceneMarginSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginSection;
-	static C(Other: UObject | any): MovieSceneMarginSection;
-}
-
-declare class MovieSceneMarginTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneMarginTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneMarginTrack;
-	static GetDefaultObject(): MovieSceneMarginTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMarginTrack;
-	static C(Other: UObject | any): MovieSceneMarginTrack;
+declare type AnimPhysLinearConstraintType = 'Free' | 'Limited' | 'AnimPhysLinearConstraintType_MAX';
+declare var AnimPhysLinearConstraintType : { Free:'Free',Limited:'Limited',AnimPhysLinearConstraintType_MAX:'AnimPhysLinearConstraintType_MAX', };
+declare type AnimPhysAngularConstraintType = 'Angular' | 'Cone' | 'AnimPhysAngularConstraintType_MAX';
+declare var AnimPhysAngularConstraintType : { Angular:'Angular',Cone:'Cone',AnimPhysAngularConstraintType_MAX:'AnimPhysAngularConstraintType_MAX', };
+declare type AnimPhysTwistAxis = 'AxisX' | 'AxisY' | 'AxisZ' | 'AnimPhysTwistAxis_MAX';
+declare var AnimPhysTwistAxis : { AxisX:'AxisX',AxisY:'AxisY',AxisZ:'AxisZ',AnimPhysTwistAxis_MAX:'AnimPhysTwistAxis_MAX', };
+declare class AnimPhysConstraintSetup { 
+	LinearXLimitType: AnimPhysLinearConstraintType;
+	LinearYLimitType: AnimPhysLinearConstraintType;
+	LinearZLimitType: AnimPhysLinearConstraintType;
+	LinearAxesMin: Vector;
+	LinearAxesMax: Vector;
+	AngularConstraintType: AnimPhysAngularConstraintType;
+	TwistAxis: AnimPhysTwistAxis;
+	AngularTargetAxis: AnimPhysTwistAxis;
+	ConeAngle: number;
+	AngularXAngle: number;
+	AngularYAngle: number;
+	AngularZAngle: number;
+	AngularLimitsMin: Vector;
+	AngularLimitsMax: Vector;
+	AngularTarget: Vector;
+	clone() : AnimPhysConstraintSetup;
+	static C(Other: UObject | any): AnimPhysConstraintSetup;
 }
 
-declare class MovieSceneMaterialTrack extends MovieSceneNameableTrack { 
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneMaterialTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneMaterialTrack;
-	static GetDefaultObject(): MovieSceneMaterialTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMaterialTrack;
-	static C(Other: UObject | any): MovieSceneMaterialTrack;
+declare type ESphericalLimitType = 'Inner' | 'Outer' | 'ESphericalLimitType_MAX';
+declare var ESphericalLimitType : { Inner:'Inner',Outer:'Outer',ESphericalLimitType_MAX:'ESphericalLimitType_MAX', };
+declare class AnimPhysSphericalLimit { 
+	DrivingBone: BoneReference;
+	SphereLocalOffset: Vector;
+	LimitRadius: number;
+	LimitType: ESphericalLimitType;
+	clone() : AnimPhysSphericalLimit;
+	static C(Other: UObject | any): AnimPhysSphericalLimit;
 }
 
-declare class MovieSceneWidgetMaterialTrack extends MovieSceneMaterialTrack { 
-	BrushPropertyNamePath: string[];
-	TrackName: string;
-	static Load(ResourceName: string): MovieSceneWidgetMaterialTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneWidgetMaterialTrack;
-	static GetDefaultObject(): MovieSceneWidgetMaterialTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneWidgetMaterialTrack;
-	static C(Other: UObject | any): MovieSceneWidgetMaterialTrack;
+declare class AnimPhysPlanarLimit { 
+	DrivingBone: BoneReference;
+	PlaneTransform: Transform;
+	clone() : AnimPhysPlanarLimit;
+	static C(Other: UObject | any): AnimPhysPlanarLimit;
 }
 
-declare type ETextWrappingPolicy = 'DefaultWrapping' | 'AllowPerCharacterWrapping' | 'ETextWrappingPolicy_MAX';
-declare var ETextWrappingPolicy : { DefaultWrapping:'DefaultWrapping',AllowPerCharacterWrapping:'AllowPerCharacterWrapping',ETextWrappingPolicy_MAX:'ETextWrappingPolicy_MAX', };
-declare class TextLayoutWidget extends Widget { 
-	ShapedTextOptions: ShapedTextOptions;
-	Justification: ETextJustify;
-	AutoWrapText: boolean;
-	WrapTextAt: number;
-	WrappingPolicy: ETextWrappingPolicy;
-	Margin: Margin;
-	LineHeightPercentage: number;
-	static Load(ResourceName: string): TextLayoutWidget;
-	static Find(Outer: UObject, ResourceName: string): TextLayoutWidget;
-	static GetDefaultObject(): TextLayoutWidget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextLayoutWidget;
-	static C(Other: UObject | any): TextLayoutWidget;
+declare type AnimPhysCollisionType = 'CoM' | 'CustomSphere' | 'InnerSphere' | 'OuterSphere' | 'AnimPhysCollisionType_MAX';
+declare var AnimPhysCollisionType : { CoM:'CoM',CustomSphere:'CustomSphere',InnerSphere:'InnerSphere',OuterSphere:'OuterSphere',AnimPhysCollisionType_MAX:'AnimPhysCollisionType_MAX', };
+declare type AnimPhysSimSpaceType = 'Component' | 'Actor' | 'World' | 'RootRelative' | 'BoneRelative' | 'AnimPhysSimSpaceType_MAX';
+declare var AnimPhysSimSpaceType : { Component:'Component',Actor:'Actor',World:'World',RootRelative:'RootRelative',BoneRelative:'BoneRelative',AnimPhysSimSpaceType_MAX:'AnimPhysSimSpaceType_MAX', };
+declare class AnimNode_AnimDynamics extends AnimNode_SkeletalControlBase { 
+	LinearDampingOverride: number;
+	AngularDampingOverride: number;
+	RelativeSpaceBone: BoneReference;
+	BoundBone: BoneReference;
+	ChainEnd: BoneReference;
+	BoxExtents: Vector;
+	LocalJointOffset: Vector;
+	GravityScale: number;
+	GravityOverride: Vector;
+	LinearSpringConstant: number;
+	AngularSpringConstant: number;
+	WindScale: number;
+	ComponentLinearAccScale: Vector;
+	ComponentLinearVelScale: Vector;
+	ComponentAppliedLinearAccClamp: Vector;
+	AngularBiasOverride: number;
+	NumSolverIterationsPreUpdate: number;
+	NumSolverIterationsPostUpdate: number;
+	ConstraintSetup: AnimPhysConstraintSetup;
+	SphericalLimits: AnimPhysSphericalLimit[];
+	SphereCollisionRadius: number;
+	ExternalForce: Vector;
+	PlanarLimits: AnimPhysPlanarLimit[];
+	CollisionType: AnimPhysCollisionType;
+	SimulationSpace: AnimPhysSimSpaceType;
+	bUseSphericalLimits: boolean;
+	bUsePlanarLimit: boolean;
+	bDoUpdate: boolean;
+	bDoEval: boolean;
+	bOverrideLinearDamping: boolean;
+	bOverrideAngularBias: boolean;
+	bOverrideAngularDamping: boolean;
+	bEnableWind: boolean;
+	bUseGravityOverride: boolean;
+	bLinearSpring: boolean;
+	bAngularSpring: boolean;
+	bChain: boolean;
+	clone() : AnimNode_AnimDynamics;
+	static C(Other: UObject | any): AnimNode_AnimDynamics;
 }
 
-declare class MultiLineEditableText extends TextLayoutWidget { 
-	text: string;
-	HintText: string;
-	HintTextDelegate: UnrealEngineDelegate<() => string>;
-	WidgetStyle: TextBlockStyle;
-	bIsReadOnly: boolean;
-	Font: SlateFontInfo;
-	SelectAllTextWhenFocused: boolean;
-	ClearTextSelectionOnFocusLoss: boolean;
-	RevertTextOnEscape: boolean;
-	ClearKeyboardFocusOnCommit: boolean;
-	AllowContextMenu: boolean;
-	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
-	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
-	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
-	static Load(ResourceName: string): MultiLineEditableText;
-	static Find(Outer: UObject, ResourceName: string): MultiLineEditableText;
-	static GetDefaultObject(): MultiLineEditableText;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableText;
-	SetText(InText: string): void;
-	SetIsReadOnly(bReadOnly: boolean): void;
-	GetText(): string;
-	static C(Other: UObject | any): MultiLineEditableText;
+declare class AnimGraphNode_AnimDynamics extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_AnimDynamics;
+	bPreviewLive: boolean;
+	bShowLinearLimits: boolean;
+	bShowAngularLimits: boolean;
+	bShowPlanarLimit: boolean;
+	bShowSphericalLimit: boolean;
+	bShowCollisionSpheres: boolean;
+	LastPreviewComponent: SkeletalMeshComponent;
+	static Load(ResourceName: string): AnimGraphNode_AnimDynamics;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_AnimDynamics;
+	static GetDefaultObject(): AnimGraphNode_AnimDynamics;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_AnimDynamics;
+	static C(Other: UObject | any): AnimGraphNode_AnimDynamics;
 }
 
-declare class MultiLineEditableTextBox extends TextLayoutWidget { 
-	text: string;
-	HintText: string;
-	HintTextDelegate: UnrealEngineDelegate<() => string>;
-	WidgetStyle: EditableTextBoxStyle;
-	TextStyle: TextBlockStyle;
-	bIsReadOnly: boolean;
-	AllowContextMenu: boolean;
-	VirtualKeyboardDismissAction: EVirtualKeyboardDismissAction;
-	Style: SlateWidgetStyleAsset;
-	Font: SlateFontInfo;
-	ForegroundColor: LinearColor;
-	BackgroundColor: LinearColor;
-	ReadOnlyForegroundColor: LinearColor;
-	OnTextChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
-	OnTextCommitted: UnrealEngineMulticastDelegate<(text: string, CommitMethod: ETextCommit) => void>;
-	static Load(ResourceName: string): MultiLineEditableTextBox;
-	static Find(Outer: UObject, ResourceName: string): MultiLineEditableTextBox;
-	static GetDefaultObject(): MultiLineEditableTextBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MultiLineEditableTextBox;
-	SetText(InText: string): void;
-	SetIsReadOnly(bReadOnly: boolean): void;
-	SetError(InError: string): void;
-	GetText(): string;
-	static C(Other: UObject | any): MultiLineEditableTextBox;
+declare class AnimNode_ApplyAdditive extends AnimNode_Base { 
+	Base: PoseLink;
+	Additive: PoseLink;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	LODThreshold: number;
+	AlphaBoolBlend: InputAlphaBoolBlend;
+	AlphaCurveName: string;
+	AlphaScaleBiasClamp: InputScaleBiasClamp;
+	AlphaInputType: EAnimAlphaInputType;
+	bAlphaBoolEnabled: boolean;
+	clone() : AnimNode_ApplyAdditive;
+	static C(Other: UObject | any): AnimNode_ApplyAdditive;
 }
 
-declare class NamedSlot extends ContentWidget { 
-	static Load(ResourceName: string): NamedSlot;
-	static Find(Outer: UObject, ResourceName: string): NamedSlot;
-	static GetDefaultObject(): NamedSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlot;
-	static C(Other: UObject | any): NamedSlot;
+declare class AnimGraphNode_ApplyAdditive extends AnimGraphNode_Base { 
+	UNode: AnimNode_ApplyAdditive;
+	static Load(ResourceName: string): AnimGraphNode_ApplyAdditive;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyAdditive;
+	static GetDefaultObject(): AnimGraphNode_ApplyAdditive;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyAdditive;
+	static C(Other: UObject | any): AnimGraphNode_ApplyAdditive;
 }
 
-declare class NamedSlotInterface extends Interface { 
-	static Load(ResourceName: string): NamedSlotInterface;
-	static Find(Outer: UObject, ResourceName: string): NamedSlotInterface;
-	static GetDefaultObject(): NamedSlotInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NamedSlotInterface;
-	static C(Other: UObject | any): NamedSlotInterface;
+declare class AngularRangeLimit { 
+	LimitMin: Vector;
+	LimitMax: Vector;
+	Bone: BoneReference;
+	clone() : AngularRangeLimit;
+	static C(Other: UObject | any): AngularRangeLimit;
 }
 
-declare class NativeWidgetHost extends Widget { 
-	static Load(ResourceName: string): NativeWidgetHost;
-	static Find(Outer: UObject, ResourceName: string): NativeWidgetHost;
-	static GetDefaultObject(): NativeWidgetHost;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeWidgetHost;
-	static C(Other: UObject | any): NativeWidgetHost;
-	SetContent(SlateWidget: JavascriptSlateWidget): Widget;
-	static SetContent(TargetWidget: NativeWidgetHost,SlateWidget: JavascriptSlateWidget): Widget;
+declare class AnimNode_ApplyLimits extends AnimNode_SkeletalControlBase { 
+	AngularRangeLimits: AngularRangeLimit[];
+	AngularOffsets: Vector[];
+	clone() : AnimNode_ApplyLimits;
+	static C(Other: UObject | any): AnimNode_ApplyLimits;
 }
 
-declare class Overlay extends PanelWidget { 
-	static Load(ResourceName: string): Overlay;
-	static Find(Outer: UObject, ResourceName: string): Overlay;
-	static GetDefaultObject(): Overlay;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Overlay;
-	AddChildToOverlay(Content: Widget): OverlaySlot;
-	static C(Other: UObject | any): Overlay;
+declare class AnimGraphNode_ApplyLimits extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_ApplyLimits;
+	static Load(ResourceName: string): AnimGraphNode_ApplyLimits;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyLimits;
+	static GetDefaultObject(): AnimGraphNode_ApplyLimits;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyLimits;
+	static C(Other: UObject | any): AnimGraphNode_ApplyLimits;
 }
 
-declare type EProgressBarFillType = 'LeftToRight' | 'RightToLeft' | 'FillFromCenter' | 'TopToBottom' | 'BottomToTop' | 'EProgressBarFillType_MAX';
-declare var EProgressBarFillType : { LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',FillFromCenter:'FillFromCenter',TopToBottom:'TopToBottom',BottomToTop:'BottomToTop',EProgressBarFillType_MAX:'EProgressBarFillType_MAX', };
-declare class ProgressBar extends Widget { 
-	WidgetStyle: ProgressBarStyle;
-	Style: SlateWidgetStyleAsset;
-	BackgroundImage: SlateBrushAsset;
-	FillImage: SlateBrushAsset;
-	MarqueeImage: SlateBrushAsset;
-	Percent: number;
-	BarFillType: EProgressBarFillType;
-	bIsMarquee: boolean;
-	BorderPadding: Vector2D;
-	PercentDelegate: UnrealEngineDelegate<() => number>;
-	FillColorAndOpacity: LinearColor;
-	FillColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
-	static Load(ResourceName: string): ProgressBar;
-	static Find(Outer: UObject, ResourceName: string): ProgressBar;
-	static GetDefaultObject(): ProgressBar;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProgressBar;
-	SetPercent(InPercent: number): void;
-	SetIsMarquee(InbIsMarquee: boolean): void;
-	SetFillColorAndOpacity(InColor: LinearColor): void;
-	static C(Other: UObject | any): ProgressBar;
+declare class AnimNode_ApplyMeshSpaceAdditive extends AnimNode_Base { 
+	Base: PoseLink;
+	Additive: PoseLink;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	LODThreshold: number;
+	clone() : AnimNode_ApplyMeshSpaceAdditive;
+	static C(Other: UObject | any): AnimNode_ApplyMeshSpaceAdditive;
 }
 
-declare class RetainerBox extends ContentWidget { 
-	RenderOnInvalidation: boolean;
-	RenderOnPhase: boolean;
-	Phase: number;
-	PhaseCount: number;
-	EffectMaterial: MaterialInterface;
-	TextureParameter: string;
-	static Load(ResourceName: string): RetainerBox;
-	static Find(Outer: UObject, ResourceName: string): RetainerBox;
-	static GetDefaultObject(): RetainerBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RetainerBox;
-	SetTextureParameter(TextureParameter: string): void;
-	SetEffectMaterial(EffectMaterial: MaterialInterface): void;
-	RequestRender(): void;
-	GetEffectMaterial(): MaterialInstanceDynamic;
-	static C(Other: UObject | any): RetainerBox;
+declare class AnimGraphNode_ApplyMeshSpaceAdditive extends AnimGraphNode_Base { 
+	UNode: AnimNode_ApplyMeshSpaceAdditive;
+	static Load(ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ApplyMeshSpaceAdditive;
+	static GetDefaultObject(): AnimGraphNode_ApplyMeshSpaceAdditive;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ApplyMeshSpaceAdditive;
+	static C(Other: UObject | any): AnimGraphNode_ApplyMeshSpaceAdditive;
 }
 
-declare class RichTextBlockDecorator extends UObject { 
-	bReveal: boolean;
-	RevealedIndex: number;
-	static Load(ResourceName: string): RichTextBlockDecorator;
-	static Find(Outer: UObject, ResourceName: string): RichTextBlockDecorator;
-	static GetDefaultObject(): RichTextBlockDecorator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlockDecorator;
-	static C(Other: UObject | any): RichTextBlockDecorator;
+declare class BlendBoneByChannelEntry { 
+	SourceBone: BoneReference;
+	TargetBone: BoneReference;
+	bBlendTranslation: boolean;
+	bBlendRotation: boolean;
+	bBlendScale: boolean;
+	clone() : BlendBoneByChannelEntry;
+	static C(Other: UObject | any): BlendBoneByChannelEntry;
 }
 
-declare class RichTextBlock extends TextLayoutWidget { 
-	text: string;
-	TextDelegate: UnrealEngineDelegate<() => string>;
-	Font: SlateFontInfo;
-	Color: LinearColor;
-	Decorators: RichTextBlockDecorator[];
-	static Load(ResourceName: string): RichTextBlock;
-	static Find(Outer: UObject, ResourceName: string): RichTextBlock;
-	static GetDefaultObject(): RichTextBlock;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RichTextBlock;
-	static C(Other: UObject | any): RichTextBlock;
+declare type EBoneControlSpace = 'BCS_WorldSpace' | 'BCS_ComponentSpace' | 'BCS_ParentBoneSpace' | 'BCS_BoneSpace' | 'BCS_MAX';
+declare var EBoneControlSpace : { BCS_WorldSpace:'BCS_WorldSpace',BCS_ComponentSpace:'BCS_ComponentSpace',BCS_ParentBoneSpace:'BCS_ParentBoneSpace',BCS_BoneSpace:'BCS_BoneSpace',BCS_MAX:'BCS_MAX', };
+declare class AnimNode_BlendBoneByChannel extends AnimNode_Base { 
+	A: PoseLink;
+	B: PoseLink;
+	BoneDefinitions: BlendBoneByChannelEntry[];
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	TransformsSpace: EBoneControlSpace;
+	clone() : AnimNode_BlendBoneByChannel;
+	static C(Other: UObject | any): AnimNode_BlendBoneByChannel;
 }
 
-declare class SafeZone extends ContentWidget { 
-	PadLeft: boolean;
-	PadRight: boolean;
-	PadTop: boolean;
-	PadBottom: boolean;
-	static Load(ResourceName: string): SafeZone;
-	static Find(Outer: UObject, ResourceName: string): SafeZone;
-	static GetDefaultObject(): SafeZone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZone;
-	SetSidesToPad(InPadLeft: boolean,InPadRight: boolean,InPadTop: boolean,InPadBottom: boolean): void;
-	static C(Other: UObject | any): SafeZone;
+declare class AnimGraphNode_BlendBoneByChannel extends AnimGraphNode_Base { 
+	BlendNode: AnimNode_BlendBoneByChannel;
+	static Load(ResourceName: string): AnimGraphNode_BlendBoneByChannel;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendBoneByChannel;
+	static GetDefaultObject(): AnimGraphNode_BlendBoneByChannel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendBoneByChannel;
+	static C(Other: UObject | any): AnimGraphNode_BlendBoneByChannel;
 }
 
-declare class SafeZoneSlot extends PanelSlot { 
-	bIsTitleSafe: boolean;
-	SafeAreaScale: Margin;
-	HAlign: EHorizontalAlignment;
-	VAlign: EVerticalAlignment;
-	Padding: Margin;
-	static Load(ResourceName: string): SafeZoneSlot;
-	static Find(Outer: UObject, ResourceName: string): SafeZoneSlot;
-	static GetDefaultObject(): SafeZoneSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SafeZoneSlot;
-	static C(Other: UObject | any): SafeZoneSlot;
+declare class AnimGraphNode_BlendListBase extends AnimGraphNode_Base { 
+	static Load(ResourceName: string): AnimGraphNode_BlendListBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListBase;
+	static GetDefaultObject(): AnimGraphNode_BlendListBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListBase;
+	static C(Other: UObject | any): AnimGraphNode_BlendListBase;
 }
 
-declare type EStretch = 'None' | 'Fill' | 'ScaleToFit' | 'ScaleToFitX' | 'ScaleToFitY' | 'ScaleToFill' | 'ScaleBySafeZone' | 'UserSpecified' | 'EStretch_MAX';
-declare var EStretch : { None:'None',Fill:'Fill',ScaleToFit:'ScaleToFit',ScaleToFitX:'ScaleToFitX',ScaleToFitY:'ScaleToFitY',ScaleToFill:'ScaleToFill',ScaleBySafeZone:'ScaleBySafeZone',UserSpecified:'UserSpecified',EStretch_MAX:'EStretch_MAX', };
-declare type EStretchDirection = 'Both' | 'DownOnly' | 'UpOnly' | 'EStretchDirection_MAX';
-declare var EStretchDirection : { Both:'Both',DownOnly:'DownOnly',UpOnly:'UpOnly',EStretchDirection_MAX:'EStretchDirection_MAX', };
-declare class ScaleBox extends ContentWidget { 
-	Stretch: EStretch;
-	StretchDirection: EStretchDirection;
-	UserSpecifiedScale: number;
-	IgnoreInheritedScale: boolean;
-	bSingleLayoutPass: boolean;
-	static Load(ResourceName: string): ScaleBox;
-	static Find(Outer: UObject, ResourceName: string): ScaleBox;
-	static GetDefaultObject(): ScaleBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBox;
-	SetUserSpecifiedScale(InUserSpecifiedScale: number): void;
-	SetStretchDirection(InStretchDirection: EStretchDirection): void;
-	SetStretch(InStretch: EStretch): void;
-	SetIgnoreInheritedScale(bInIgnoreInheritedScale: boolean): void;
-	static C(Other: UObject | any): ScaleBox;
+declare class AnimNode_BlendListBase extends AnimNode_Base { 
+	BlendPose: PoseLink[];
+	BlendTime: number[];
+	BlendType: EAlphaBlendOption;
+	bResetChildOnActivation: boolean;
+	CustomBlendCurve: CurveFloat;
+	BlendProfile: BlendProfile;
+	clone() : AnimNode_BlendListBase;
+	static C(Other: UObject | any): AnimNode_BlendListBase;
 }
 
-declare class ScaleBoxSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): ScaleBoxSlot;
-	static Find(Outer: UObject, ResourceName: string): ScaleBoxSlot;
-	static GetDefaultObject(): ScaleBoxSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScaleBoxSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): ScaleBoxSlot;
+declare class AnimNode_BlendListByBool extends AnimNode_BlendListBase { 
+	bActiveValue: boolean;
+	clone() : AnimNode_BlendListByBool;
+	static C(Other: UObject | any): AnimNode_BlendListByBool;
 }
 
-declare type EOrientation = 'Orient_Horizontal' | 'Orient_Vertical' | 'Orient_MAX';
-declare var EOrientation : { Orient_Horizontal:'Orient_Horizontal',Orient_Vertical:'Orient_Vertical',Orient_MAX:'Orient_MAX', };
-declare class ScrollBar extends Widget { 
-	WidgetStyle: ScrollBarStyle;
-	Style: SlateWidgetStyleAsset;
-	bAlwaysShowScrollbar: boolean;
-	Orientation: EOrientation;
-	Thickness: Vector2D;
-	static Load(ResourceName: string): ScrollBar;
-	static Find(Outer: UObject, ResourceName: string): ScrollBar;
-	static GetDefaultObject(): ScrollBar;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBar;
-	SetState(InOffsetFraction: number,InThumbSizeFraction: number): void;
-	static C(Other: UObject | any): ScrollBar;
+declare class AnimGraphNode_BlendListByBool extends AnimGraphNode_BlendListBase { 
+	UNode: AnimNode_BlendListByBool;
+	static Load(ResourceName: string): AnimGraphNode_BlendListByBool;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByBool;
+	static GetDefaultObject(): AnimGraphNode_BlendListByBool;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByBool;
+	static C(Other: UObject | any): AnimGraphNode_BlendListByBool;
 }
 
-declare type EConsumeMouseWheel = 'WhenScrollingPossible' | 'Always' | 'Never' | 'EConsumeMouseWheel_MAX';
-declare var EConsumeMouseWheel : { WhenScrollingPossible:'WhenScrollingPossible',Always:'Always',Never:'Never',EConsumeMouseWheel_MAX:'EConsumeMouseWheel_MAX', };
-declare type EDescendantScrollDestination = 'IntoView' | 'TopOrLeft' | 'Center' | 'EDescendantScrollDestination_MAX';
-declare var EDescendantScrollDestination : { IntoView:'IntoView',TopOrLeft:'TopOrLeft',Center:'Center',EDescendantScrollDestination_MAX:'EDescendantScrollDestination_MAX', };
-declare class ScrollBox extends PanelWidget { 
-	WidgetStyle: ScrollBoxStyle;
-	WidgetBarStyle: ScrollBarStyle;
-	Style: SlateWidgetStyleAsset;
-	BarStyle: SlateWidgetStyleAsset;
-	Orientation: EOrientation;
-	ScrollBarVisibility: ESlateVisibility;
-	ConsumeMouseWheel: EConsumeMouseWheel;
-	ScrollbarThickness: Vector2D;
-	AlwaysShowScrollbar: boolean;
-	AllowOverscroll: boolean;
-	NavigationDestination: EDescendantScrollDestination;
-	NavigationScrollPadding: number;
-	bAllowRightClickDragScrolling: boolean;
-	OnUserScrolled: UnrealEngineMulticastDelegate<(CurrentOffset: number) => void>;
-	static Load(ResourceName: string): ScrollBox;
-	static Find(Outer: UObject, ResourceName: string): ScrollBox;
-	static GetDefaultObject(): ScrollBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBox;
-	SetScrollOffset(NewScrollOffset: number): void;
-	SetScrollBarVisibility(NewScrollBarVisibility: ESlateVisibility): void;
-	SetScrollbarThickness(NewScrollbarThickness: Vector2D): void;
-	SetOrientation(NewOrientation: EOrientation): void;
-	SetAlwaysShowScrollbar(NewAlwaysShowScrollbar: boolean): void;
-	SetAllowOverscroll(NewAllowOverscroll: boolean): void;
-	ScrollWidgetIntoView(WidgetToFind: Widget,AnimateScroll: boolean,ScrollDestination: EDescendantScrollDestination): void;
-	ScrollToStart(): void;
-	ScrollToEnd(): void;
-	GetScrollOffset(): number;
-	static C(Other: UObject | any): ScrollBox;
+declare class AnimNode_BlendListByEnum extends AnimNode_BlendListBase { 
+	EnumToPoseIndex: number[];
+	ActiveEnumValue: number;
+	clone() : AnimNode_BlendListByEnum;
+	static C(Other: UObject | any): AnimNode_BlendListByEnum;
 }
 
-declare class ScrollBoxSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	static Load(ResourceName: string): ScrollBoxSlot;
-	static Find(Outer: UObject, ResourceName: string): ScrollBoxSlot;
-	static GetDefaultObject(): ScrollBoxSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ScrollBoxSlot;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): ScrollBoxSlot;
+declare class AnimGraphNode_BlendListByEnum extends AnimGraphNode_BlendListBase { 
+	UNode: AnimNode_BlendListByEnum;
+	BoundEnum: Enum;
+	VisibleEnumEntries: string[];
+	static Load(ResourceName: string): AnimGraphNode_BlendListByEnum;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByEnum;
+	static GetDefaultObject(): AnimGraphNode_BlendListByEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByEnum;
+	static C(Other: UObject | any): AnimGraphNode_BlendListByEnum;
 }
 
-declare class SizeBox extends ContentWidget { 
-	bOverride_WidthOverride: boolean;
-	bOverride_HeightOverride: boolean;
-	bOverride_MinDesiredWidth: boolean;
-	bOverride_MinDesiredHeight: boolean;
-	bOverride_MaxDesiredWidth: boolean;
-	bOverride_MaxDesiredHeight: boolean;
-	bOverride_MaxAspectRatio: boolean;
-	WidthOverride: number;
-	HeightOverride: number;
-	MinDesiredWidth: number;
-	MinDesiredHeight: number;
-	MaxDesiredWidth: number;
-	MaxDesiredHeight: number;
-	MaxAspectRatio: number;
-	static Load(ResourceName: string): SizeBox;
-	static Find(Outer: UObject, ResourceName: string): SizeBox;
-	static GetDefaultObject(): SizeBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBox;
-	SetWidthOverride(InWidthOverride: number): void;
-	SetMinDesiredWidth(InMinDesiredWidth: number): void;
-	SetMinDesiredHeight(InMinDesiredHeight: number): void;
-	SetMaxDesiredWidth(InMaxDesiredWidth: number): void;
-	SetMaxDesiredHeight(InMaxDesiredHeight: number): void;
-	SetMaxAspectRatio(InMaxAspectRatio: number): void;
-	SetHeightOverride(InHeightOverride: number): void;
-	ClearWidthOverride(): void;
-	ClearMinDesiredWidth(): void;
-	ClearMinDesiredHeight(): void;
-	ClearMaxDesiredWidth(): void;
-	ClearMaxDesiredHeight(): void;
-	ClearMaxAspectRatio(): void;
-	ClearHeightOverride(): void;
-	static C(Other: UObject | any): SizeBox;
+declare class AnimNode_BlendListByInt extends AnimNode_BlendListBase { 
+	ActiveChildIndex: number;
+	clone() : AnimNode_BlendListByInt;
+	static C(Other: UObject | any): AnimNode_BlendListByInt;
 }
 
-declare class SizeBoxSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): SizeBoxSlot;
-	static Find(Outer: UObject, ResourceName: string): SizeBoxSlot;
-	static GetDefaultObject(): SizeBoxSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SizeBoxSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): SizeBoxSlot;
-}
-
-declare class SlateBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): SlateBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): SlateBlueprintLibrary;
-	static GetDefaultObject(): SlateBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBlueprintLibrary;
-	static ScreenToWidgetLocal(WorldContextObject: UObject,Geometry: Geometry,ScreenPosition: Vector2D,LocalCoordinate?: Vector2D): {LocalCoordinate: Vector2D};
-	static ScreenToWidgetAbsolute(WorldContextObject: UObject,ScreenPosition: Vector2D,AbsoluteCoordinate?: Vector2D): {AbsoluteCoordinate: Vector2D};
-	static ScreenToViewport(WorldContextObject: UObject,ScreenPosition: Vector2D,ViewportPosition?: Vector2D): {ViewportPosition: Vector2D};
-	static LocalToViewport(WorldContextObject: UObject,Geometry: Geometry,LocalCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	static LocalToAbsolute(Geometry: Geometry,LocalCoordinate: Vector2D): Vector2D;
-	static IsUnderLocation(Geometry: Geometry,AbsoluteCoordinate: Vector2D): boolean;
-	static GetLocalSize(Geometry: Geometry): Vector2D;
-	static GetAbsoluteSize(Geometry: Geometry): Vector2D;
-	static EqualEqual_SlateBrush(A: SlateBrush,B: SlateBrush): boolean;
-	static AbsoluteToViewport(WorldContextObject: UObject,AbsoluteDesktopCoordinate: Vector2D,PixelPosition?: Vector2D,ViewportPosition?: Vector2D): {PixelPosition: Vector2D, ViewportPosition: Vector2D};
-	static AbsoluteToLocal(Geometry: Geometry,AbsoluteCoordinate: Vector2D): Vector2D;
-	static C(Other: UObject | any): SlateBlueprintLibrary;
+declare class AnimGraphNode_BlendListByInt extends AnimGraphNode_BlendListBase { 
+	UNode: AnimNode_BlendListByInt;
+	static Load(ResourceName: string): AnimGraphNode_BlendListByInt;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendListByInt;
+	static GetDefaultObject(): AnimGraphNode_BlendListByInt;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendListByInt;
+	static C(Other: UObject | any): AnimGraphNode_BlendListByInt;
 }
 
-declare class SlateDataSheet extends UObject { 
-	DataTexture: Texture2D;
-	static Load(ResourceName: string): SlateDataSheet;
-	static Find(Outer: UObject, ResourceName: string): SlateDataSheet;
-	static GetDefaultObject(): SlateDataSheet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateDataSheet;
-	static C(Other: UObject | any): SlateDataSheet;
+declare class AnimNode_BlendSpaceEvaluator extends AnimNode_BlendSpacePlayer { 
+	NormalizedTime: number;
+	clone() : AnimNode_BlendSpaceEvaluator;
+	static C(Other: UObject | any): AnimNode_BlendSpaceEvaluator;
 }
 
-declare class SlateMeshVertex { 
-	Position: Vector2D;
-	Color: Color;
-	UV0: Vector2D;
-	UV1: Vector2D;
-	UV2: Vector2D;
-	UV3: Vector2D;
-	UV4: Vector2D;
-	UV5: Vector2D;
-	clone() : SlateMeshVertex;
-	static C(Other: UObject | any): SlateMeshVertex;
+declare class AnimGraphNode_BlendSpaceEvaluator extends AnimGraphNode_BlendSpaceBase { 
+	UNode: AnimNode_BlendSpaceEvaluator;
+	static Load(ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpaceEvaluator;
+	static GetDefaultObject(): AnimGraphNode_BlendSpaceEvaluator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpaceEvaluator;
+	static C(Other: UObject | any): AnimGraphNode_BlendSpaceEvaluator;
 }
 
-declare class SlateVectorArtData extends UObject { 
-	MeshAsset: StaticMesh;
-	SourceMaterial: MaterialInterface;
-	VertexData: SlateMeshVertex[];
-	IndexData: any[];
-	Material: MaterialInterface;
-	ExtentMin: Vector2D;
-	ExtentMax: Vector2D;
-	static Load(ResourceName: string): SlateVectorArtData;
-	static Find(Outer: UObject, ResourceName: string): SlateVectorArtData;
-	static GetDefaultObject(): SlateVectorArtData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateVectorArtData;
-	static C(Other: UObject | any): SlateVectorArtData;
+declare class AnimGraphNode_BlendSpacePlayer extends AnimGraphNode_BlendSpaceBase { 
+	UNode: AnimNode_BlendSpacePlayer;
+	static Load(ResourceName: string): AnimGraphNode_BlendSpacePlayer;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BlendSpacePlayer;
+	static GetDefaultObject(): AnimGraphNode_BlendSpacePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BlendSpacePlayer;
+	static C(Other: UObject | any): AnimGraphNode_BlendSpacePlayer;
 }
 
-declare class SliderStyle extends SlateWidgetStyle { 
-	NormalBarImage: SlateBrush;
-	DisabledBarImage: SlateBrush;
-	NormalThumbImage: SlateBrush;
-	DisabledThumbImage: SlateBrush;
-	BarThickness: number;
-	clone() : SliderStyle;
-	static C(Other: UObject | any): SliderStyle;
+declare type EComponentType = 'None' | 'TranslationX' | 'TranslationY' | 'TranslationZ' | 'RotationX' | 'RotationY' | 'RotationZ' | 'Scale' | 'ScaleX' | 'ScaleY' | 'ScaleZ' | 'EComponentType_MAX';
+declare var EComponentType : { None:'None',TranslationX:'TranslationX',TranslationY:'TranslationY',TranslationZ:'TranslationZ',RotationX:'RotationX',RotationY:'RotationY',RotationZ:'RotationZ',Scale:'Scale',ScaleX:'ScaleX',ScaleY:'ScaleY',ScaleZ:'ScaleZ',EComponentType_MAX:'EComponentType_MAX', };
+declare type EDrivenDestinationMode = 'Bone' | 'MorphTarget' | 'MaterialParameter' | 'EDrivenDestinationMode_MAX';
+declare var EDrivenDestinationMode : { Bone:'Bone',MorphTarget:'MorphTarget',MaterialParameter:'MaterialParameter',EDrivenDestinationMode_MAX:'EDrivenDestinationMode_MAX', };
+declare type EDrivenBoneModificationMode = 'AddToInput' | 'ReplaceComponent' | 'AddToRefPose' | 'EDrivenBoneModificationMode_MAX';
+declare var EDrivenBoneModificationMode : { AddToInput:'AddToInput',ReplaceComponent:'ReplaceComponent',AddToRefPose:'AddToRefPose',EDrivenBoneModificationMode_MAX:'EDrivenBoneModificationMode_MAX', };
+declare class AnimNode_BoneDrivenController extends AnimNode_SkeletalControlBase { 
+	SourceBone: BoneReference;
+	DrivingCurve: CurveFloat;
+	Multiplier: number;
+	RangeMin: number;
+	RangeMax: number;
+	RemappedMin: number;
+	RemappedMax: number;
+	ParameterName: string;
+	TargetBone: BoneReference;
+	TargetComponent: EComponentType;
+	DestinationMode: EDrivenDestinationMode;
+	ModificationMode: EDrivenBoneModificationMode;
+	SourceComponent: EComponentType;
+	bUseRange: boolean;
+	bAffectTargetTranslationX: boolean;
+	bAffectTargetTranslationY: boolean;
+	bAffectTargetTranslationZ: boolean;
+	bAffectTargetRotationX: boolean;
+	bAffectTargetRotationY: boolean;
+	bAffectTargetRotationZ: boolean;
+	bAffectTargetScaleX: boolean;
+	bAffectTargetScaleY: boolean;
+	bAffectTargetScaleZ: boolean;
+	clone() : AnimNode_BoneDrivenController;
+	static C(Other: UObject | any): AnimNode_BoneDrivenController;
 }
 
-declare class Slider extends Widget { 
-	Value: number;
-	ValueDelegate: UnrealEngineDelegate<() => number>;
-	WidgetStyle: SliderStyle;
-	Orientation: EOrientation;
-	SliderBarColor: LinearColor;
-	SliderHandleColor: LinearColor;
-	IndentHandle: boolean;
-	Locked: boolean;
-	StepSize: number;
-	IsFocusable: boolean;
-	OnMouseCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
-	OnMouseCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
-	OnControllerCaptureBegin: UnrealEngineMulticastDelegate<() => void>;
-	OnControllerCaptureEnd: UnrealEngineMulticastDelegate<() => void>;
-	OnValueChanged: UnrealEngineMulticastDelegate<(Value: number) => void>;
-	static Load(ResourceName: string): Slider;
-	static Find(Outer: UObject, ResourceName: string): Slider;
-	static GetDefaultObject(): Slider;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Slider;
-	SetValue(InValue: number): void;
-	SetStepSize(InValue: number): void;
-	SetSliderHandleColor(InValue: LinearColor): void;
-	SetSliderBarColor(InValue: LinearColor): void;
-	SetLocked(InValue: boolean): void;
-	SetIndentHandle(InValue: boolean): void;
-	GetValue(): number;
-	static C(Other: UObject | any): Slider;
+declare class AnimGraphNode_BoneDrivenController extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_BoneDrivenController;
+	static Load(ResourceName: string): AnimGraphNode_BoneDrivenController;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_BoneDrivenController;
+	static GetDefaultObject(): AnimGraphNode_BoneDrivenController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_BoneDrivenController;
+	static C(Other: UObject | any): AnimGraphNode_BoneDrivenController;
 }
 
-declare class Spacer extends Widget { 
-	Size: Vector2D;
-	static Load(ResourceName: string): Spacer;
-	static Find(Outer: UObject, ResourceName: string): Spacer;
-	static GetDefaultObject(): Spacer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Spacer;
-	SetSize(InSize: Vector2D): void;
-	static C(Other: UObject | any): Spacer;
+declare class SocketReference { 
+	SocketName: string;
+	clone() : SocketReference;
+	static C(Other: UObject | any): SocketReference;
 }
 
-declare class SpinBox extends Widget { 
-	Value: number;
-	ValueDelegate: UnrealEngineDelegate<() => number>;
-	WidgetStyle: SpinBoxStyle;
-	Style: SlateWidgetStyleAsset;
-	Delta: number;
-	SliderExponent: number;
-	Font: SlateFontInfo;
-	Justification: ETextJustify;
-	MinDesiredWidth: number;
-	ClearKeyboardFocusOnCommit: boolean;
-	SelectAllTextOnCommit: boolean;
-	ForegroundColor: SlateColor;
-	OnValueChanged: UnrealEngineMulticastDelegate<(InValue: number) => void>;
-	OnValueCommitted: UnrealEngineMulticastDelegate<(InValue: number, CommitMethod: ETextCommit) => void>;
-	OnBeginSliderMovement: UnrealEngineMulticastDelegate<() => void>;
-	OnEndSliderMovement: UnrealEngineMulticastDelegate<(InValue: number) => void>;
-	bOverride_MinValue: boolean;
-	bOverride_MaxValue: boolean;
-	bOverride_MinSliderValue: boolean;
-	bOverride_MaxSliderValue: boolean;
-	MinValue: number;
-	MaxValue: number;
-	MinSliderValue: number;
-	MaxSliderValue: number;
-	static Load(ResourceName: string): SpinBox;
-	static Find(Outer: UObject, ResourceName: string): SpinBox;
-	static GetDefaultObject(): SpinBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpinBox;
-	SetValue(NewValue: number): void;
-	SetMinValue(NewValue: number): void;
-	SetMinSliderValue(NewValue: number): void;
-	SetMaxValue(NewValue: number): void;
-	SetMaxSliderValue(NewValue: number): void;
-	SetForegroundColor(InForegroundColor: SlateColor): void;
-	GetValue(): number;
-	GetMinValue(): number;
-	GetMinSliderValue(): number;
-	GetMaxValue(): number;
-	GetMaxSliderValue(): number;
-	ClearMinValue(): void;
-	ClearMinSliderValue(): void;
-	ClearMaxValue(): void;
-	ClearMaxSliderValue(): void;
-	static C(Other: UObject | any): SpinBox;
+declare class BoneSocketTarget { 
+	bUseSocket: boolean;
+	BoneReference: BoneReference;
+	SocketReference: SocketReference;
+	clone() : BoneSocketTarget;
+	static C(Other: UObject | any): BoneSocketTarget;
 }
 
-declare class TextBinding extends PropertyBinding { 
-	static Load(ResourceName: string): TextBinding;
-	static Find(Outer: UObject, ResourceName: string): TextBinding;
-	static GetDefaultObject(): TextBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBinding;
-	GetTextValue(): string;
-	GetStringValue(): string;
-	static C(Other: UObject | any): TextBinding;
+declare class AnimNode_CCDIK extends AnimNode_SkeletalControlBase { 
+	EffectorLocation: Vector;
+	EffectorLocationSpace: EBoneControlSpace;
+	EffectorTarget: BoneSocketTarget;
+	TipBone: BoneReference;
+	RootBone: BoneReference;
+	Precision: number;
+	MaxIterations: number;
+	bStartFromTail: boolean;
+	bEnableRotationLimit: boolean;
+	RotationLimitPerJoints: number[];
+	clone() : AnimNode_CCDIK;
+	static C(Other: UObject | any): AnimNode_CCDIK;
 }
 
-declare class TextBlock extends TextLayoutWidget { 
-	text: string;
-	TextDelegate: UnrealEngineDelegate<() => string>;
-	ColorAndOpacity: SlateColor;
-	ColorAndOpacityDelegate: UnrealEngineDelegate<() => SlateColor>;
-	Font: SlateFontInfo;
-	ShadowOffset: Vector2D;
-	ShadowColorAndOpacity: LinearColor;
-	ShadowColorAndOpacityDelegate: UnrealEngineDelegate<() => LinearColor>;
-	MinDesiredWidth: number;
-	bWrapWithInvalidationPanel: boolean;
-	bAutoWrapText: boolean;
-	static Load(ResourceName: string): TextBlock;
-	static Find(Outer: UObject, ResourceName: string): TextBlock;
-	static GetDefaultObject(): TextBlock;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBlock;
-	SetText(InText: string): void;
-	SetShadowOffset(InShadowOffset: Vector2D): void;
-	SetShadowColorAndOpacity(InShadowColorAndOpacity: LinearColor): void;
-	SetOpacity(InOpacity: number): void;
-	SetMinDesiredWidth(InMinDesiredWidth: number): void;
-	SetJustification(InJustification: ETextJustify): void;
-	SetFont(InFontInfo: SlateFontInfo): void;
-	SetColorAndOpacity(InColorAndOpacity: SlateColor): void;
-	SetAutoWrapText(InAutoTextWrap: boolean): void;
-	GetText(): string;
-	GetDynamicOutlineMaterial(): MaterialInstanceDynamic;
-	GetDynamicFontMaterial(): MaterialInstanceDynamic;
-	static C(Other: UObject | any): TextBlock;
+declare class AnimGraphNode_CCDIK extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_CCDIK;
+	static Load(ResourceName: string): AnimGraphNode_CCDIK;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CCDIK;
+	static GetDefaultObject(): AnimGraphNode_CCDIK;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CCDIK;
+	static C(Other: UObject | any): AnimGraphNode_CCDIK;
 }
 
-declare class Throbber extends Widget { 
-	NumberOfPieces: number;
-	bAnimateHorizontally: boolean;
-	bAnimateVertically: boolean;
-	bAnimateOpacity: boolean;
-	PieceImage: SlateBrushAsset;
-	UImage: SlateBrush;
-	static Load(ResourceName: string): Throbber;
-	static Find(Outer: UObject, ResourceName: string): Throbber;
-	static GetDefaultObject(): Throbber;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Throbber;
-	SetNumberOfPieces(InNumberOfPieces: number): void;
-	SetAnimateVertically(bInAnimateVertically: boolean): void;
-	SetAnimateOpacity(bInAnimateOpacity: boolean): void;
-	SetAnimateHorizontally(bInAnimateHorizontally: boolean): void;
-	static C(Other: UObject | any): Throbber;
+declare class AnimNode_ConvertComponentToLocalSpace extends AnimNode_Base { 
+	ComponentPose: ComponentSpacePoseLink;
+	clone() : AnimNode_ConvertComponentToLocalSpace;
+	static C(Other: UObject | any): AnimNode_ConvertComponentToLocalSpace;
 }
 
-declare class TileView extends TableViewBase { 
-	ItemWidth: number;
-	ItemHeight: number;
-	Items: UObject[];
-	SelectionMode: ESelectionMode;
-	OnGenerateTileEvent: UnrealEngineDelegate<(Item: UObject) => Widget>;
-	static Load(ResourceName: string): TileView;
-	static Find(Outer: UObject, ResourceName: string): TileView;
-	static GetDefaultObject(): TileView;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TileView;
-	SetItemWidth(Width: number): void;
-	SetItemHeight(Height: number): void;
-	RequestListRefresh(): void;
-	static C(Other: UObject | any): TileView;
+declare class AnimGraphNode_ComponentToLocalSpace extends AnimGraphNode_Base { 
+	UNode: AnimNode_ConvertComponentToLocalSpace;
+	static Load(ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ComponentToLocalSpace;
+	static GetDefaultObject(): AnimGraphNode_ComponentToLocalSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ComponentToLocalSpace;
+	static C(Other: UObject | any): AnimGraphNode_ComponentToLocalSpace;
 }
 
-declare class UniformGridPanel extends PanelWidget { 
-	SlotPadding: Margin;
-	MinDesiredSlotWidth: number;
-	MinDesiredSlotHeight: number;
-	static Load(ResourceName: string): UniformGridPanel;
-	static Find(Outer: UObject, ResourceName: string): UniformGridPanel;
-	static GetDefaultObject(): UniformGridPanel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UniformGridPanel;
-	SetSlotPadding(InSlotPadding: Margin): void;
-	SetMinDesiredSlotWidth(InMinDesiredSlotWidth: number): void;
-	SetMinDesiredSlotHeight(InMinDesiredSlotHeight: number): void;
-	AddChildToUniformGrid(Content: Widget): UniformGridSlot;
-	static C(Other: UObject | any): UniformGridPanel;
+declare type EConstraintOffsetOption = 'None' | 'Offset_RefPose' | 'EConstraintOffsetOption_MAX';
+declare var EConstraintOffsetOption : { None:'None',Offset_RefPose:'Offset_RefPose',EConstraintOffsetOption_MAX:'EConstraintOffsetOption_MAX', };
+declare type ETransformConstraintType = 'Translation' | 'Rotation' | 'Scale' | 'Parent' | 'ETransformConstraintType_MAX';
+declare var ETransformConstraintType : { Translation:'Translation',Rotation:'Rotation',Scale:'Scale',Parent:'Parent',ETransformConstraintType_MAX:'ETransformConstraintType_MAX', };
+declare class FilterOptionPerAxis { 
+	bX: boolean;
+	bY: boolean;
+	bZ: boolean;
+	clone() : FilterOptionPerAxis;
+	static C(Other: UObject | any): FilterOptionPerAxis;
 }
 
-declare class VerticalBox extends PanelWidget { 
-	static Load(ResourceName: string): VerticalBox;
-	static Find(Outer: UObject, ResourceName: string): VerticalBox;
-	static GetDefaultObject(): VerticalBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VerticalBox;
-	AddChildToVerticalBox(Content: Widget): VerticalBoxSlot;
-	static C(Other: UObject | any): VerticalBox;
+declare class Constraint { 
+	TargetBone: BoneReference;
+	OffsetOption: EConstraintOffsetOption;
+	TransformType: ETransformConstraintType;
+	PerAxis: FilterOptionPerAxis;
+	clone() : Constraint;
+	static C(Other: UObject | any): Constraint;
 }
 
-declare class Viewport extends ContentWidget { 
-	BackgroundColor: LinearColor;
-	static Load(ResourceName: string): Viewport;
-	static Find(Outer: UObject, ResourceName: string): Viewport;
-	static GetDefaultObject(): Viewport;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Viewport;
-	Spawn(ActorClass: UnrealEngineClass): Actor;
-	SetViewRotation(Rotation: Rotator): void;
-	SetViewLocation(Location: Vector): void;
-	GetViewRotation(): Rotator;
-	GetViewportWorld(): World;
-	GetViewLocation(): Vector;
-	static C(Other: UObject | any): Viewport;
+declare class AnimNode_Constraint extends AnimNode_SkeletalControlBase { 
+	BoneToModify: BoneReference;
+	ConstraintSetup: Constraint[];
+	ConstraintWeights: number[];
+	clone() : AnimNode_Constraint;
+	static C(Other: UObject | any): AnimNode_Constraint;
 }
 
-declare class VisibilityBinding extends PropertyBinding { 
-	static Load(ResourceName: string): VisibilityBinding;
-	static Find(Outer: UObject, ResourceName: string): VisibilityBinding;
-	static GetDefaultObject(): VisibilityBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisibilityBinding;
-	GetValue(): ESlateVisibility;
-	static C(Other: UObject | any): VisibilityBinding;
+declare class AnimGraphNode_Constraint extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_Constraint;
+	static Load(ResourceName: string): AnimGraphNode_Constraint;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Constraint;
+	static GetDefaultObject(): AnimGraphNode_Constraint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Constraint;
+	static C(Other: UObject | any): AnimGraphNode_Constraint;
 }
 
-declare class WidgetBinding extends PropertyBinding { 
-	static Load(ResourceName: string): WidgetBinding;
-	static Find(Outer: UObject, ResourceName: string): WidgetBinding;
-	static GetDefaultObject(): WidgetBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBinding;
-	GetValue(): Widget;
-	static C(Other: UObject | any): WidgetBinding;
+declare class AnimNode_CopyBone extends AnimNode_SkeletalControlBase { 
+	SourceBone: BoneReference;
+	TargetBone: BoneReference;
+	bCopyTranslation: boolean;
+	bCopyRotation: boolean;
+	bCopyScale: boolean;
+	ControlSpace: EBoneControlSpace;
+	clone() : AnimNode_CopyBone;
+	static C(Other: UObject | any): AnimNode_CopyBone;
 }
 
-declare class EventGraphFastCallPair { 
-	FunctionToPatch: UFunction;
-	EventGraphCallOffset: number;
-	clone() : EventGraphFastCallPair;
-	static C(Other: UObject | any): EventGraphFastCallPair;
+declare class AnimGraphNode_CopyBone extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_CopyBone;
+	static Load(ResourceName: string): AnimGraphNode_CopyBone;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBone;
+	static GetDefaultObject(): AnimGraphNode_CopyBone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBone;
+	static C(Other: UObject | any): AnimGraphNode_CopyBone;
 }
 
-declare class BlueprintGeneratedClass extends Class { 
-	NumReplicatedProperties: number;
-	bHasNativizedParent: boolean;
-	DynamicBindingObjects: DynamicBlueprintBinding[];
-	ComponentTemplates: ActorComponent[];
-	Timelines: TimelineTemplate[];
-	SimpleConstructionScript: SimpleConstructionScript;
-	InheritableComponentHandler: InheritableComponentHandler;
-	UberGraphFramePointerProperty: StructProperty;
-	UberGraphFunction: UFunction;
-	FastCallPairs: EventGraphFastCallPair[];
-	OverridenArchetypeForCDO: UObject;
-	PropertyGuids: any;
-	CookedComponentInstancingData: any;
-	static Load(ResourceName: string): BlueprintGeneratedClass;
-	static Find(Outer: UObject, ResourceName: string): BlueprintGeneratedClass;
-	static GetDefaultObject(): BlueprintGeneratedClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintGeneratedClass;
-	static C(Other: UObject | any): BlueprintGeneratedClass;
+declare type CopyBoneDeltaMode = 'Accumulate' | 'Copy' | 'CopyBoneDeltaMode_MAX';
+declare var CopyBoneDeltaMode : { Accumulate:'Accumulate',Copy:'Copy',CopyBoneDeltaMode_MAX:'CopyBoneDeltaMode_MAX', };
+declare class AnimNode_CopyBoneDelta extends AnimNode_SkeletalControlBase { 
+	SourceBone: BoneReference;
+	TargetBone: BoneReference;
+	bCopyTranslation: boolean;
+	bCopyRotation: boolean;
+	bCopyScale: boolean;
+	CopyMode: CopyBoneDeltaMode;
+	TranslationMultiplier: number;
+	RotationMultiplier: number;
+	ScaleMultiplier: number;
+	clone() : AnimNode_CopyBoneDelta;
+	static C(Other: UObject | any): AnimNode_CopyBoneDelta;
 }
 
-declare class DelegateRuntimeBinding { 
-	ObjectName: string;
-	PropertyName: string;
-	FunctionName: string;
-	SourcePath: DynamicPropertyPath;
-	Kind: EBindingKind;
-	clone() : DelegateRuntimeBinding;
-	static C(Other: UObject | any): DelegateRuntimeBinding;
+declare class AnimGraphNode_CopyBoneDelta extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_CopyBoneDelta;
+	static Load(ResourceName: string): AnimGraphNode_CopyBoneDelta;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyBoneDelta;
+	static GetDefaultObject(): AnimGraphNode_CopyBoneDelta;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyBoneDelta;
+	static C(Other: UObject | any): AnimGraphNode_CopyBoneDelta;
 }
 
-declare class WidgetBlueprintGeneratedClass extends BlueprintGeneratedClass { 
-	WidgetTree: WidgetTree;
-	bCookSlowConstructionWidgetTree: boolean;
-	bAllowTemplate: boolean;
-	bValidTemplate: boolean;
-	bTemplateInitialized: boolean;
-	bCookedTemplate: boolean;
-	Bindings: DelegateRuntimeBinding[];
-	Animations: WidgetAnimation[];
-	NamedSlots: string[];
-	TemplateAsset: any;
-	Template: UserWidget;
-	EditorTemplate: UserWidget;
-	static Load(ResourceName: string): WidgetBlueprintGeneratedClass;
-	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintGeneratedClass;
-	static GetDefaultObject(): WidgetBlueprintGeneratedClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintGeneratedClass;
-	static C(Other: UObject | any): WidgetBlueprintGeneratedClass;
+declare class AnimNode_CopyPoseFromMesh extends AnimNode_Base { 
+	SourceMeshComponent: any;
+	bUseAttachedParent: boolean;
+	bCopyCurves: boolean;
+	clone() : AnimNode_CopyPoseFromMesh;
+	static C(Other: UObject | any): AnimNode_CopyPoseFromMesh;
 }
 
-declare class NavigationEvent extends InputEvent { 
-	clone() : NavigationEvent;
-	static C(Other: UObject | any): NavigationEvent;
-	GetInputEventFromNavigationEvent(): InputEvent;
-	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
+declare class AnimGraphNode_CopyPoseFromMesh extends AnimGraphNode_Base { 
+	UNode: AnimNode_CopyPoseFromMesh;
+	static Load(ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CopyPoseFromMesh;
+	static GetDefaultObject(): AnimGraphNode_CopyPoseFromMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CopyPoseFromMesh;
+	static C(Other: UObject | any): AnimGraphNode_CopyPoseFromMesh;
 }
 
-declare class WidgetBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): WidgetBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): WidgetBlueprintLibrary;
-	static GetDefaultObject(): WidgetBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetBlueprintLibrary;
-	static UnlockMouse(Reply?: EventReply): {Reply: EventReply, $: EventReply};
-	static Unhandled(): EventReply;
-	static SetUserFocus(Reply?: EventReply,FocusWidget?: Widget,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
-	static SetMousePosition(Reply?: EventReply,NewMousePosition?: Vector2D): {Reply: EventReply, $: EventReply};
-	static SetInputMode_UIOnlyEx(PlayerController: PlayerController,InWidgetToFocus: Widget,InMouseLockMode: EMouseLockMode): void;
-	static SetInputMode_UIOnly(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean): void;
-	static SetInputMode_GameOnly(PlayerController: PlayerController): void;
-	static SetInputMode_GameAndUIEx(PlayerController: PlayerController,InWidgetToFocus: Widget,InMouseLockMode: EMouseLockMode,bHideCursorDuringCapture: boolean): void;
-	static SetInputMode_GameAndUI(Target: PlayerController,InWidgetToFocus: Widget,bLockMouseToViewport: boolean,bHideCursorDuringCapture: boolean): void;
-	static SetHardwareCursor(WorldContextObject: UObject,CursorShape: EMouseCursor,CursorName: string,HotSpot: Vector2D): boolean;
-	static SetFocusToGameViewport(): void;
-	static SetBrushResourceToTexture(Brush?: SlateBrush,Texture?: Texture2D): {Brush: SlateBrush};
-	static SetBrushResourceToMaterial(Brush?: SlateBrush,Material?: MaterialInterface): {Brush: SlateBrush};
-	static ReleaseMouseCapture(Reply?: EventReply): {Reply: EventReply, $: EventReply};
-	static ReleaseJoystickCapture(Reply?: EventReply,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
-	static NoResourceBrush(): SlateBrush;
-	static MakeBrushFromTexture(Texture: Texture2D,Width: number,Height: number): SlateBrush;
-	static MakeBrushFromMaterial(Material: MaterialInterface,Width: number,Height: number): SlateBrush;
-	static MakeBrushFromAsset(BrushAsset: SlateBrushAsset): SlateBrush;
-	static LockMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
-	static IsDragDropping(): boolean;
-	static Handled(): EventReply;
-	static GetSafeZonePadding(WorldContextObject: UObject,SafePadding?: Vector4,SafePaddingScale?: Vector2D,SpillOverPadding?: Vector4): {SafePadding: Vector4, SafePaddingScale: Vector2D, SpillOverPadding: Vector4};
-	static GetKeyEventFromAnalogInputEvent(Event: AnalogInputEvent): KeyEvent;
-	static GetInputEventFromPointerEvent(Event: UPointerEvent): InputEvent;
-	static GetInputEventFromNavigationEvent(Event: NavigationEvent): InputEvent;
-	static GetInputEventFromKeyEvent(Event: KeyEvent): InputEvent;
-	static GetInputEventFromCharacterEvent(Event: CharacterEvent): InputEvent;
-	static GetDynamicMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInstanceDynamic};
-	static GetDragDroppingContent(): DragDropOperation;
-	static GetBrushResourceAsTexture2D(Brush?: SlateBrush): {Brush: SlateBrush, $: Texture2D};
-	static GetBrushResourceAsMaterial(Brush?: SlateBrush): {Brush: SlateBrush, $: MaterialInterface};
-	static GetBrushResource(Brush?: SlateBrush): {Brush: SlateBrush, $: UObject};
-	static GetAllWidgetsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,FoundWidgets?: UserWidget[],TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	static GetAllWidgetsOfClass(WorldContextObject: UObject,FoundWidgets?: UserWidget[],WidgetClass?: UnrealEngineClass,TopLevelOnly?: boolean): {FoundWidgets: UserWidget[]};
-	static EndDragDrop(Reply?: EventReply): {Reply: EventReply, $: EventReply};
-	static DrawTextFormatted(Context?: PaintContext,text?: string,Position?: Vector2D,Font?: Font,FontSize?: number,FontTypeFace?: string,Tint?: LinearColor): {Context: PaintContext};
-	static DrawText(Context?: PaintContext,inString?: string,Position?: Vector2D,Tint?: LinearColor): {Context: PaintContext};
-	static DrawLines(Context?: PaintContext,Points?: Vector2D[],Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
-	static DrawLine(Context?: PaintContext,PositionA?: Vector2D,PositionB?: Vector2D,Tint?: LinearColor,bAntiAlias?: boolean): {Context: PaintContext};
-	static DrawBox(Context?: PaintContext,Position?: Vector2D,Size?: Vector2D,Brush?: SlateBrushAsset,Tint?: LinearColor): {Context: PaintContext};
-	static DismissAllMenus(): void;
-	static DetectDragIfPressed(UPointerEvent: UPointerEvent,WidgetDetectingDrag: Widget,DragKey: Key): EventReply;
-	static DetectDrag(Reply?: EventReply,WidgetDetectingDrag?: Widget,DragKey?: Key): {Reply: EventReply, $: EventReply};
-	static CreateDragDropOperation(OperationClass: UnrealEngineClass): DragDropOperation;
-	static Create(WorldContextObject: UObject,WidgetType: UnrealEngineClass,OwningPlayer: PlayerController): UserWidget;
-	static ClearUserFocus(Reply?: EventReply,bInAllUsers?: boolean): {Reply: EventReply, $: EventReply};
-	static CaptureMouse(Reply?: EventReply,CapturingWidget?: Widget): {Reply: EventReply, $: EventReply};
-	static CaptureJoystick(Reply?: EventReply,CapturingWidget?: Widget,bInAllJoysticks?: boolean): {Reply: EventReply, $: EventReply};
-	static CancelDragDrop(): void;
-	static C(Other: UObject | any): WidgetBlueprintLibrary;
-}
-
-declare type EWidgetSpace = 'World' | 'Screen' | 'EWidgetSpace_MAX';
-declare var EWidgetSpace : { World:'World',Screen:'Screen',EWidgetSpace_MAX:'EWidgetSpace_MAX', };
-declare type EWidgetTimingPolicy = 'RealTime' | 'GameTime' | 'EWidgetTimingPolicy_MAX';
-declare var EWidgetTimingPolicy : { RealTime:'RealTime',GameTime:'GameTime',EWidgetTimingPolicy_MAX:'EWidgetTimingPolicy_MAX', };
-declare type EWidgetBlendMode = 'Opaque' | 'Masked' | 'Transparent' | 'EWidgetBlendMode_MAX';
-declare var EWidgetBlendMode : { Opaque:'Opaque',Masked:'Masked',Transparent:'Transparent',EWidgetBlendMode_MAX:'EWidgetBlendMode_MAX', };
-declare type EWidgetGeometryMode = 'Plane' | 'Cylinder' | 'EWidgetGeometryMode_MAX';
-declare var EWidgetGeometryMode : { Plane:'Plane',Cylinder:'Cylinder',EWidgetGeometryMode_MAX:'EWidgetGeometryMode_MAX', };
-declare class WidgetComponent extends MeshComponent { 
-	Space: EWidgetSpace;
-	TimingPolicy: EWidgetTimingPolicy;
-	WidgetClass: UnrealEngineClass;
-	DrawSize: IntPoint;
-	bManuallyRedraw: boolean;
-	bRedrawRequested: boolean;
-	RedrawTime: number;
-	CurrentDrawSize: IntPoint;
-	bDrawAtDesiredSize: boolean;
-	Pivot: Vector2D;
-	bReceiveHardwareInput: boolean;
-	bWindowFocusable: boolean;
-	OwnerPlayer: LocalPlayer;
-	BackgroundColor: LinearColor;
-	TintColorAndOpacity: LinearColor;
-	OpacityFromTexture: number;
-	BlendMode: EWidgetBlendMode;
-	bIsTwoSided: boolean;
-	TickWhenOffscreen: boolean;
-	Widget: UserWidget;
-	BodySetup: BodySetup;
-	TranslucentMaterial: MaterialInterface;
-	TranslucentMaterial_OneSided: MaterialInterface;
-	OpaqueMaterial: MaterialInterface;
-	OpaqueMaterial_OneSided: MaterialInterface;
-	MaskedMaterial: MaterialInterface;
-	MaskedMaterial_OneSided: MaterialInterface;
-	RenderTarget: TextureRenderTarget2D;
-	MaterialInstance: MaterialInstanceDynamic;
-	bAddedToScreen: boolean;
-	bEditTimeUsable: boolean;
-	SharedLayerName: string;
-	LayerZOrder: number;
-	GeometryMode: EWidgetGeometryMode;
-	CylinderArcAngle: number;
-	static Load(ResourceName: string): WidgetComponent;
-	static Find(Outer: UObject, ResourceName: string): WidgetComponent;
-	static GetDefaultObject(): WidgetComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetComponent;
-	SetWidget(Widget: UserWidget): void;
-	SetTintColorAndOpacity(NewTintColorAndOpacity: LinearColor): void;
-	SetOwnerPlayer(LocalPlayer: LocalPlayer): void;
-	SetDrawSize(Size: Vector2D): void;
-	SetBackgroundColor(NewBackgroundColor: LinearColor): void;
-	RequestRedraw(): void;
-	GetUserWidgetObject(): UserWidget;
-	GetRenderTarget(): TextureRenderTarget2D;
-	GetOwnerPlayer(): LocalPlayer;
-	GetMaterialInstance(): MaterialInstanceDynamic;
-	GetDrawSize(): Vector2D;
-	static C(Other: UObject | any): WidgetComponent;
+declare class AnimNode_CurveSource extends AnimNode_Base { 
+	SourcePose: PoseLink;
+	SourceBinding: string;
+	Alpha: number;
+	CurveSource: any;
+	clone() : AnimNode_CurveSource;
+	static C(Other: UObject | any): AnimNode_CurveSource;
 }
 
-declare type EWidgetInteractionSource = 'World' | 'Mouse' | 'CenterScreen' | 'Custom' | 'EWidgetInteractionSource_MAX';
-declare var EWidgetInteractionSource : { World:'World',Mouse:'Mouse',CenterScreen:'CenterScreen',Custom:'Custom',EWidgetInteractionSource_MAX:'EWidgetInteractionSource_MAX', };
-declare class WidgetInteractionComponent extends SceneComponent { 
-	OnHoveredWidgetChanged: UnrealEngineMulticastDelegate<(WidgetComponent: WidgetComponent, PreviousWidgetComponent: WidgetComponent) => void>;
-	VirtualUserIndex: number;
-	PointerIndex: number;
-	TraceChannel: ECollisionChannel;
-	InteractionDistance: number;
-	InteractionSource: EWidgetInteractionSource;
-	bEnableHitTesting: boolean;
-	bShowDebug: boolean;
-	DebugColor: LinearColor;
-	CustomHitResult: HitResult;
-	LocalHitLocation: Vector2D;
-	LastLocalHitLocation: Vector2D;
-	HoveredWidgetComponent: WidgetComponent;
-	LastHitResult: HitResult;
-	bIsHoveredWidgetInteractable: boolean;
-	bIsHoveredWidgetFocusable: boolean;
-	bIsHoveredWidgetHitTestVisible: boolean;
-	ArrowComponent: ArrowComponent;
-	static Load(ResourceName: string): WidgetInteractionComponent;
-	static Find(Outer: UObject, ResourceName: string): WidgetInteractionComponent;
-	static GetDefaultObject(): WidgetInteractionComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetInteractionComponent;
-	SetCustomHitResult(HitResult: HitResult): void;
-	SendKeyChar(Characters: string,bRepeat: boolean): boolean;
-	ScrollWheel(ScrollDelta: number): void;
-	ReleasePointerKey(Key: Key): void;
-	ReleaseKey(Key: Key): boolean;
-	PressPointerKey(Key: Key): void;
-	PressKey(Key: Key,bRepeat: boolean): boolean;
-	PressAndReleaseKey(Key: Key): boolean;
-	IsOverInteractableWidget(): boolean;
-	IsOverHitTestVisibleWidget(): boolean;
-	IsOverFocusableWidget(): boolean;
-	GetLastHitResult(): HitResult;
-	GetHoveredWidgetComponent(): WidgetComponent;
-	Get2DHitLocation(): Vector2D;
-	static C(Other: UObject | any): WidgetInteractionComponent;
+declare class AnimGraphNode_CurveSource extends AnimGraphNode_Base { 
+	UNode: AnimNode_CurveSource;
+	static Load(ResourceName: string): AnimGraphNode_CurveSource;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_CurveSource;
+	static GetDefaultObject(): AnimGraphNode_CurveSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_CurveSource;
+	static C(Other: UObject | any): AnimGraphNode_CurveSource;
 }
 
-declare class WidgetLayoutLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): WidgetLayoutLibrary;
-	static Find(Outer: UObject, ResourceName: string): WidgetLayoutLibrary;
-	static GetDefaultObject(): WidgetLayoutLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetLayoutLibrary;
-	static SlotAsVerticalBoxSlot(Widget: Widget): VerticalBoxSlot;
-	static SlotAsUniformGridSlot(Widget: Widget): UniformGridSlot;
-	static SlotAsOverlaySlot(Widget: Widget): OverlaySlot;
-	static SlotAsHorizontalBoxSlot(Widget: Widget): HorizontalBoxSlot;
-	static SlotAsGridSlot(Widget: Widget): GridSlot;
-	static SlotAsCanvasSlot(Widget: Widget): CanvasPanelSlot;
-	static SlotAsBorderSlot(Widget: Widget): BorderSlot;
-	static RemoveAllWidgets(WorldContextObject: UObject): void;
-	static ProjectWorldLocationToWidgetPosition(PlayerController: PlayerController,WorldLocation: Vector,ScreenPosition?: Vector2D): {ScreenPosition: Vector2D, $: boolean};
-	static GetViewportWidgetGeometry(WorldContextObject: UObject): Geometry;
-	static GetViewportSize(WorldContextObject: UObject): Vector2D;
-	static GetViewportScale(WorldContextObject: UObject): number;
-	static GetPlayerScreenWidgetGeometry(PlayerController: PlayerController): Geometry;
-	static GetMousePositionScaledByDPI(Player: PlayerController,LocationX?: number,LocationY?: number): {LocationX: number, LocationY: number, $: boolean};
-	static GetMousePositionOnViewport(WorldContextObject: UObject): Vector2D;
-	static GetMousePositionOnPlatform(): Vector2D;
-	static C(Other: UObject | any): WidgetLayoutLibrary;
+declare type EBoneRotationSource = 'BRS_KeepComponentSpaceRotation' | 'BRS_KeepLocalSpaceRotation' | 'BRS_CopyFromTarget' | 'BRS_MAX';
+declare var EBoneRotationSource : { BRS_KeepComponentSpaceRotation:'BRS_KeepComponentSpaceRotation',BRS_KeepLocalSpaceRotation:'BRS_KeepLocalSpaceRotation',BRS_CopyFromTarget:'BRS_CopyFromTarget',BRS_MAX:'BRS_MAX', };
+declare class AnimNode_Fabrik extends AnimNode_SkeletalControlBase { 
+	EffectorTransform: Transform;
+	EffectorTarget: BoneSocketTarget;
+	TipBone: BoneReference;
+	RootBone: BoneReference;
+	Precision: number;
+	MaxIterations: number;
+	EffectorTransformSpace: EBoneControlSpace;
+	EffectorRotationSource: EBoneRotationSource;
+	bEnableDebugDraw: boolean;
+	EffectorTransformBone: BoneReference;
+	clone() : AnimNode_Fabrik;
+	static C(Other: UObject | any): AnimNode_Fabrik;
 }
 
-declare class WidgetSwitcher extends PanelWidget { 
-	ActiveWidgetIndex: number;
-	static Load(ResourceName: string): WidgetSwitcher;
-	static Find(Outer: UObject, ResourceName: string): WidgetSwitcher;
-	static GetDefaultObject(): WidgetSwitcher;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcher;
-	SetActiveWidgetIndex(index: number): void;
-	SetActiveWidget(Widget: Widget): void;
-	GetWidgetAtIndex(index: number): Widget;
-	GetNumWidgets(): number;
-	GetActiveWidgetIndex(): number;
-	GetActiveWidget(): Widget;
-	static C(Other: UObject | any): WidgetSwitcher;
+declare class AnimGraphNode_Fabrik extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_Fabrik;
+	static Load(ResourceName: string): AnimGraphNode_Fabrik;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Fabrik;
+	static GetDefaultObject(): AnimGraphNode_Fabrik;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Fabrik;
+	static C(Other: UObject | any): AnimGraphNode_Fabrik;
 }
 
-declare class WidgetSwitcherSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): WidgetSwitcherSlot;
-	static Find(Outer: UObject, ResourceName: string): WidgetSwitcherSlot;
-	static GetDefaultObject(): WidgetSwitcherSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WidgetSwitcherSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): WidgetSwitcherSlot;
+declare class AnimNode_HandIKRetargeting extends AnimNode_SkeletalControlBase { 
+	RightHandFK: BoneReference;
+	LeftHandFK: BoneReference;
+	RightHandIK: BoneReference;
+	LeftHandIK: BoneReference;
+	IKBonesToMove: BoneReference[];
+	HandFKWeight: number;
+	clone() : AnimNode_HandIKRetargeting;
+	static C(Other: UObject | any): AnimNode_HandIKRetargeting;
 }
 
-declare class WindowTitleBarArea extends ContentWidget { 
-	bDoubleClickTogglesFullscreen: boolean;
-	static Load(ResourceName: string): WindowTitleBarArea;
-	static Find(Outer: UObject, ResourceName: string): WindowTitleBarArea;
-	static GetDefaultObject(): WindowTitleBarArea;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindowTitleBarArea;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): WindowTitleBarArea;
+declare class AnimGraphNode_HandIKRetargeting extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_HandIKRetargeting;
+	static Load(ResourceName: string): AnimGraphNode_HandIKRetargeting;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_HandIKRetargeting;
+	static GetDefaultObject(): AnimGraphNode_HandIKRetargeting;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_HandIKRetargeting;
+	static C(Other: UObject | any): AnimGraphNode_HandIKRetargeting;
 }
 
-declare class WindowTitleBarAreaSlot extends PanelSlot { 
-	Padding: Margin;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): WindowTitleBarAreaSlot;
-	static Find(Outer: UObject, ResourceName: string): WindowTitleBarAreaSlot;
-	static GetDefaultObject(): WindowTitleBarAreaSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindowTitleBarAreaSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	static C(Other: UObject | any): WindowTitleBarAreaSlot;
+declare type ERefPoseType = 'EIT_LocalSpace' | 'EIT_Additive' | 'EIT_MAX';
+declare var ERefPoseType : { EIT_LocalSpace:'EIT_LocalSpace',EIT_Additive:'EIT_Additive',EIT_MAX:'EIT_MAX', };
+declare class AnimNode_RefPose extends AnimNode_Base { 
+	RefPoseType: ERefPoseType;
+	clone() : AnimNode_RefPose;
+	static C(Other: UObject | any): AnimNode_RefPose;
 }
 
-declare class WrapBoxSlot extends PanelSlot { 
-	Padding: Margin;
-	bFillEmptySpace: boolean;
-	FillSpanWhenLessThan: number;
-	HorizontalAlignment: EHorizontalAlignment;
-	VerticalAlignment: EVerticalAlignment;
-	static Load(ResourceName: string): WrapBoxSlot;
-	static Find(Outer: UObject, ResourceName: string): WrapBoxSlot;
-	static GetDefaultObject(): WrapBoxSlot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBoxSlot;
-	SetVerticalAlignment(InVerticalAlignment: EVerticalAlignment): void;
-	SetPadding(InPadding: Margin): void;
-	SetHorizontalAlignment(InHorizontalAlignment: EHorizontalAlignment): void;
-	SetFillSpanWhenLessThan(InFillSpanWhenLessThan: number): void;
-	SetFillEmptySpace(InbFillEmptySpace: boolean): void;
-	static C(Other: UObject | any): WrapBoxSlot;
+declare class AnimGraphNode_RefPoseBase extends AnimGraphNode_Base { 
+	UNode: AnimNode_RefPose;
+	static Load(ResourceName: string): AnimGraphNode_RefPoseBase;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RefPoseBase;
+	static GetDefaultObject(): AnimGraphNode_RefPoseBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RefPoseBase;
+	static C(Other: UObject | any): AnimGraphNode_RefPoseBase;
 }
 
-declare class WrapBox extends PanelWidget { 
-	InnerSlotPadding: Vector2D;
-	WrapWidth: number;
-	bExplicitWrapWidth: boolean;
-	static Load(ResourceName: string): WrapBox;
-	static Find(Outer: UObject, ResourceName: string): WrapBox;
-	static GetDefaultObject(): WrapBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrapBox;
-	SetInnerSlotPadding(InPadding: Vector2D): void;
-	AddChildWrapBox(Content: Widget): WrapBoxSlot;
-	static C(Other: UObject | any): WrapBox;
+declare class AnimGraphNode_IdentityPose extends AnimGraphNode_RefPoseBase { 
+	static Load(ResourceName: string): AnimGraphNode_IdentityPose;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_IdentityPose;
+	static GetDefaultObject(): AnimGraphNode_IdentityPose;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_IdentityPose;
+	static C(Other: UObject | any): AnimGraphNode_IdentityPose;
 }
 
-declare class AnimNotify_PlayMontageNotify extends AnimNotify { 
-	NotifyName: string;
-	static Load(ResourceName: string): AnimNotify_PlayMontageNotify;
-	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayMontageNotify;
-	static GetDefaultObject(): AnimNotify_PlayMontageNotify;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayMontageNotify;
-	static C(Other: UObject | any): AnimNotify_PlayMontageNotify;
+declare class BranchFilter { 
+	BoneName: string;
+	BlendDepth: number;
+	clone() : BranchFilter;
+	static C(Other: UObject | any): BranchFilter;
 }
 
-declare class AnimNotify_PlayMontageNotifyWindow extends AnimNotifyState { 
-	NotifyName: string;
-	static Load(ResourceName: string): AnimNotify_PlayMontageNotifyWindow;
-	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayMontageNotifyWindow;
-	static GetDefaultObject(): AnimNotify_PlayMontageNotifyWindow;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayMontageNotifyWindow;
-	static C(Other: UObject | any): AnimNotify_PlayMontageNotifyWindow;
+declare class InputBlendPose { 
+	BranchFilters: BranchFilter[];
+	clone() : InputBlendPose;
+	static C(Other: UObject | any): InputBlendPose;
 }
 
-declare class AnimSequencerInstance extends AnimCustomInstance { 
-	static Load(ResourceName: string): AnimSequencerInstance;
-	static Find(Outer: UObject, ResourceName: string): AnimSequencerInstance;
-	static GetDefaultObject(): AnimSequencerInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequencerInstance;
-	static C(Other: UObject | any): AnimSequencerInstance;
+declare type ECurveBlendOption = 'MaxWeight' | 'NormalizeByWeight' | 'BlendByWeight' | 'ECurveBlendOption_MAX';
+declare var ECurveBlendOption : { MaxWeight:'MaxWeight',NormalizeByWeight:'NormalizeByWeight',BlendByWeight:'BlendByWeight',ECurveBlendOption_MAX:'ECurveBlendOption_MAX', };
+declare class PerBoneBlendWeight { 
+	SourceIndex: number;
+	BlendWeight: number;
+	clone() : PerBoneBlendWeight;
+	static C(Other: UObject | any): PerBoneBlendWeight;
 }
 
-declare class KismetAnimationLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetAnimationLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetAnimationLibrary;
-	static GetDefaultObject(): KismetAnimationLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetAnimationLibrary;
-	static K2_TwoBoneIK(RootPos: Vector,JointPos: Vector,EndPos: Vector,JointTarget: Vector,Effector: Vector,OutJointPos?: Vector,OutEndPos?: Vector,bAllowStretching?: boolean,StartStretchRatio?: number,MaxStretchScale?: number): {OutJointPos: Vector, OutEndPos: Vector};
-	static K2_LookAt(CurrentTransform: Transform,TargetPosition: Vector,LookAtVector: Vector,bUseUpVector: boolean,UpVector: Vector,ClampConeInDegree: number): Transform;
-	static C(Other: UObject | any): KismetAnimationLibrary;
-}
-
-declare class BranchingPointNotifyPayload { 
-	clone() : BranchingPointNotifyPayload;
-	static C(Other: UObject | any): BranchingPointNotifyPayload;
+declare class AnimNode_LayeredBoneBlend extends AnimNode_Base { 
+	BasePose: PoseLink;
+	BlendPoses: PoseLink[];
+	LayerSetup: InputBlendPose[];
+	BlendWeights: number[];
+	bMeshSpaceRotationBlend: boolean;
+	CurveBlendOption: ECurveBlendOption;
+	bBlendRootMotionBasedOnRootBone: boolean;
+	LODThreshold: number;
+	PerBoneBlendWeights: PerBoneBlendWeight[];
+	SkeletonGuid: Guid;
+	VirtualBoneGuid: Guid;
+	clone() : AnimNode_LayeredBoneBlend;
+	static C(Other: UObject | any): AnimNode_LayeredBoneBlend;
 }
 
-declare class PlayMontageCallbackProxy extends UObject { 
-	OnCompleted: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
-	OnBlendOut: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
-	OnInterrupted: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
-	OnNotifyBegin: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
-	OnNotifyEnd: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
-	static Load(ResourceName: string): PlayMontageCallbackProxy;
-	static Find(Outer: UObject, ResourceName: string): PlayMontageCallbackProxy;
-	static GetDefaultObject(): PlayMontageCallbackProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayMontageCallbackProxy;
-	OnNotifyEndReceived(NotifyName: string,BranchingPointNotifyPayload: BranchingPointNotifyPayload): void;
-	OnNotifyBeginReceived(NotifyName: string,BranchingPointNotifyPayload: BranchingPointNotifyPayload): void;
-	OnMontageEnded(Montage: AnimMontage,bInterrupted: boolean): void;
-	OnMontageBlendingOut(Montage: AnimMontage,bInterrupted: boolean): void;
-	static CreateProxyObjectForPlayMontage(InSkeletalMeshComponent: SkeletalMeshComponent,MontageToPlay: AnimMontage,PlayRate: number,StartingPosition: number,StartingSection: string): PlayMontageCallbackProxy;
-	static C(Other: UObject | any): PlayMontageCallbackProxy;
+declare class AnimGraphNode_LayeredBoneBlend extends AnimGraphNode_BlendListBase { 
+	UNode: AnimNode_LayeredBoneBlend;
+	static Load(ResourceName: string): AnimGraphNode_LayeredBoneBlend;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LayeredBoneBlend;
+	static GetDefaultObject(): AnimGraphNode_LayeredBoneBlend;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LayeredBoneBlend;
+	static C(Other: UObject | any): AnimGraphNode_LayeredBoneBlend;
 }
 
-declare class MovieSceneTransformOrigin extends Interface { 
-	static Load(ResourceName: string): MovieSceneTransformOrigin;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneTransformOrigin;
-	static GetDefaultObject(): MovieSceneTransformOrigin;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneTransformOrigin;
-	BP_GetTransformOrigin(): Transform;
-	static C(Other: UObject | any): MovieSceneTransformOrigin;
+declare class AnimLegIKDefinition { 
+	IKFootBone: BoneReference;
+	FKFootBone: BoneReference;
+	NumBonesInLimb: number;
+	MinRotationAngle: number;
+	FootBoneForwardAxis: EAxis;
+	HingeRotationAxis: EAxis;
+	bEnableRotationLimit: boolean;
+	bEnableKneeTwistCorrection: boolean;
+	clone() : AnimLegIKDefinition;
+	static C(Other: UObject | any): AnimLegIKDefinition;
 }
 
-declare class MovieScene3DConstraintSection extends MovieSceneSection { 
-	ConstraintId: Guid;
-	ConstraintBindingID: MovieSceneObjectBindingID;
-	static Load(ResourceName: string): MovieScene3DConstraintSection;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DConstraintSection;
-	static GetDefaultObject(): MovieScene3DConstraintSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DConstraintSection;
-	static C(Other: UObject | any): MovieScene3DConstraintSection;
+declare class AnimNode_LegIK extends AnimNode_SkeletalControlBase { 
+	ReachPrecision: number;
+	MaxIterations: number;
+	LegsDefinition: AnimLegIKDefinition[];
+	clone() : AnimNode_LegIK;
+	static C(Other: UObject | any): AnimNode_LegIK;
 }
 
-declare class MovieScene3DAttachSection extends MovieScene3DConstraintSection { 
-	AttachSocketName: string;
-	AttachComponentName: string;
-	AttachmentLocationRule: EAttachmentRule;
-	AttachmentRotationRule: EAttachmentRule;
-	AttachmentScaleRule: EAttachmentRule;
-	DetachmentLocationRule: EDetachmentRule;
-	DetachmentRotationRule: EDetachmentRule;
-	DetachmentScaleRule: EDetachmentRule;
-	static Load(ResourceName: string): MovieScene3DAttachSection;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DAttachSection;
-	static GetDefaultObject(): MovieScene3DAttachSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DAttachSection;
-	static C(Other: UObject | any): MovieScene3DAttachSection;
+declare class AnimGraphNode_LegIK extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_LegIK;
+	static Load(ResourceName: string): AnimGraphNode_LegIK;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LegIK;
+	static GetDefaultObject(): AnimGraphNode_LegIK;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LegIK;
+	static C(Other: UObject | any): AnimGraphNode_LegIK;
 }
 
-declare class MovieScene3DConstraintTrack extends MovieSceneTrack { 
-	ConstraintSections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieScene3DConstraintTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DConstraintTrack;
-	static GetDefaultObject(): MovieScene3DConstraintTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DConstraintTrack;
-	static C(Other: UObject | any): MovieScene3DConstraintTrack;
+declare class AnimGraphNode_LocalRefPose extends AnimGraphNode_RefPoseBase { 
+	static Load(ResourceName: string): AnimGraphNode_LocalRefPose;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalRefPose;
+	static GetDefaultObject(): AnimGraphNode_LocalRefPose;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalRefPose;
+	static C(Other: UObject | any): AnimGraphNode_LocalRefPose;
 }
 
-declare class MovieScene3DAttachTrack extends MovieScene3DConstraintTrack { 
-	static Load(ResourceName: string): MovieScene3DAttachTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DAttachTrack;
-	static GetDefaultObject(): MovieScene3DAttachTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DAttachTrack;
-	static C(Other: UObject | any): MovieScene3DAttachTrack;
+declare class AnimNode_ConvertLocalToComponentSpace extends AnimNode_Base { 
+	LocalPose: PoseLink;
+	clone() : AnimNode_ConvertLocalToComponentSpace;
+	static C(Other: UObject | any): AnimNode_ConvertLocalToComponentSpace;
 }
 
-declare type MovieScene3DPathSection_Axis = 'X' | 'Y' | 'Z' | 'NEG_X' | 'NEG_Y' | 'NEG_Z' | 'MovieScene3DPathSection_MAX';
-declare var MovieScene3DPathSection_Axis : { X:'X',Y:'Y',Z:'Z',NEG_X:'NEG_X',NEG_Y:'NEG_Y',NEG_Z:'NEG_Z',MovieScene3DPathSection_MAX:'MovieScene3DPathSection_MAX', };
-declare class MovieScene3DPathSection extends MovieScene3DConstraintSection { 
-	TimingCurve: RichCurve;
-	FrontAxisEnum: MovieScene3DPathSection_Axis;
-	UpAxisEnum: MovieScene3DPathSection_Axis;
-	bFollow: boolean;
-	bReverse: boolean;
-	bForceUpright: boolean;
-	static Load(ResourceName: string): MovieScene3DPathSection;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DPathSection;
-	static GetDefaultObject(): MovieScene3DPathSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DPathSection;
-	static C(Other: UObject | any): MovieScene3DPathSection;
+declare class AnimGraphNode_LocalToComponentSpace extends AnimGraphNode_Base { 
+	UNode: AnimNode_ConvertLocalToComponentSpace;
+	static Load(ResourceName: string): AnimGraphNode_LocalToComponentSpace;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LocalToComponentSpace;
+	static GetDefaultObject(): AnimGraphNode_LocalToComponentSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LocalToComponentSpace;
+	static C(Other: UObject | any): AnimGraphNode_LocalToComponentSpace;
 }
 
-declare class MovieScene3DPathTrack extends MovieScene3DConstraintTrack { 
-	static Load(ResourceName: string): MovieScene3DPathTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DPathTrack;
-	static GetDefaultObject(): MovieScene3DPathTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DPathTrack;
-	static C(Other: UObject | any): MovieScene3DPathTrack;
+declare class Axis { 
+	Axis: Vector;
+	bInLocalSpace: boolean;
+	clone() : Axis;
+	static C(Other: UObject | any): Axis;
 }
 
-declare class MovieScene3DTransformTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieScene3DTransformTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieScene3DTransformTrack;
-	static GetDefaultObject(): MovieScene3DTransformTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DTransformTrack;
-	static C(Other: UObject | any): MovieScene3DTransformTrack;
+declare type EInterpolationBlend = 'Linear' | 'Cubic' | 'Sinusoidal' | 'EaseInOutExponent2' | 'EaseInOutExponent3' | 'EaseInOutExponent4' | 'EaseInOutExponent5' | 'MAX';
+declare var EInterpolationBlend : { Linear:'Linear',Cubic:'Cubic',Sinusoidal:'Sinusoidal',EaseInOutExponent2:'EaseInOutExponent2',EaseInOutExponent3:'EaseInOutExponent3',EaseInOutExponent4:'EaseInOutExponent4',EaseInOutExponent5:'EaseInOutExponent5',MAX:'MAX', };
+declare type EAxisOption = 'X' | 'Y' | 'Z' | 'X_Neg' | 'Y_Neg' | 'Z_Neg' | 'Custom' | 'EAxisOption_MAX';
+declare var EAxisOption : { X:'X',Y:'Y',Z:'Z',X_Neg:'X_Neg',Y_Neg:'Y_Neg',Z_Neg:'Z_Neg',Custom:'Custom',EAxisOption_MAX:'EAxisOption_MAX', };
+declare class AnimNode_LookAt extends AnimNode_SkeletalControlBase { 
+	BoneToModify: BoneReference;
+	LookAtTarget: BoneSocketTarget;
+	LookAtLocation: Vector;
+	LookAt_Axis: Axis;
+	bUseLookUpAxis: boolean;
+	InterpolationType: EInterpolationBlend;
+	LookUp_Axis: Axis;
+	LookAtClamp: number;
+	InterpolationTime: number;
+	InterpolationTriggerThreashold: number;
+	LookAtBone: BoneReference;
+	LookAtSocket: string;
+	LookAtAxis: EAxisOption;
+	CustomLookAtAxis: Vector;
+	LookUpAxis: EAxisOption;
+	CustomLookUpAxis: Vector;
+	clone() : AnimNode_LookAt;
+	static C(Other: UObject | any): AnimNode_LookAt;
 }
 
-declare class IntegralKey { 
-	Time: number;
-	Value: number;
-	clone() : IntegralKey;
-	static C(Other: UObject | any): IntegralKey;
+declare class AnimGraphNode_LookAt extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_LookAt;
+	static Load(ResourceName: string): AnimGraphNode_LookAt;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LookAt;
+	static GetDefaultObject(): AnimGraphNode_LookAt;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LookAt;
+	static C(Other: UObject | any): AnimGraphNode_LookAt;
 }
 
-declare class IntegralCurve extends IndexedCurve { 
-	Keys: IntegralKey[];
-	DefaultValue: number;
-	bUseDefaultValueBeforeFirstKey: boolean;
-	clone() : IntegralCurve;
-	static C(Other: UObject | any): IntegralCurve;
+declare class AnimNode_MakeDynamicAdditive extends AnimNode_Base { 
+	Base: PoseLink;
+	Additive: PoseLink;
+	bMeshSpaceAdditive: boolean;
+	clone() : AnimNode_MakeDynamicAdditive;
+	static C(Other: UObject | any): AnimNode_MakeDynamicAdditive;
 }
 
-declare class MovieSceneActorReferenceSection extends MovieSceneSection { 
-	ActorGuidIndexCurve: IntegralCurve;
-	ActorGuidStrings: string[];
-	static Load(ResourceName: string): MovieSceneActorReferenceSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneActorReferenceSection;
-	static GetDefaultObject(): MovieSceneActorReferenceSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneActorReferenceSection;
-	static C(Other: UObject | any): MovieSceneActorReferenceSection;
+declare class AnimGraphNode_MakeDynamicAdditive extends AnimGraphNode_Base { 
+	UNode: AnimNode_MakeDynamicAdditive;
+	static Load(ResourceName: string): AnimGraphNode_MakeDynamicAdditive;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MakeDynamicAdditive;
+	static GetDefaultObject(): AnimGraphNode_MakeDynamicAdditive;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MakeDynamicAdditive;
+	static C(Other: UObject | any): AnimGraphNode_MakeDynamicAdditive;
 }
 
-declare class MovieSceneActorReferenceTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneActorReferenceTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneActorReferenceTrack;
-	static GetDefaultObject(): MovieSceneActorReferenceTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneActorReferenceTrack;
-	static C(Other: UObject | any): MovieSceneActorReferenceTrack;
+declare class AnimNode_MeshSpaceRefPose extends AnimNode_Base { 
+	clone() : AnimNode_MeshSpaceRefPose;
+	static C(Other: UObject | any): AnimNode_MeshSpaceRefPose;
 }
 
-declare class MovieSceneAudioSection extends MovieSceneSection { 
-	Sound: SoundBase;
-	StartOffset: number;
-	AudioStartTime: number;
-	AudioDilationFactor: number;
-	AudioVolume: number;
-	SoundVolume: RichCurve;
-	PitchMultiplier: RichCurve;
-	bSuppressSubtitles: boolean;
-	bOverrideAttenuation: boolean;
-	AttenuationSettings: SoundAttenuation;
-	OnQueueSubtitles: UnrealEngineDelegate<(Subtitles: SubtitleCue[], CueDuration: number) => void>;
-	OnAudioFinished: UnrealEngineMulticastDelegate<() => void>;
-	OnAudioPlaybackPercent: UnrealEngineMulticastDelegate<(PlayingSoundWave: SoundWave, PlaybackPercent: number) => void>;
-	static Load(ResourceName: string): MovieSceneAudioSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneAudioSection;
-	static GetDefaultObject(): MovieSceneAudioSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneAudioSection;
-	static C(Other: UObject | any): MovieSceneAudioSection;
+declare class AnimGraphNode_MeshRefPose extends AnimGraphNode_Base { 
+	UNode: AnimNode_MeshSpaceRefPose;
+	static Load(ResourceName: string): AnimGraphNode_MeshRefPose;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MeshRefPose;
+	static GetDefaultObject(): AnimGraphNode_MeshRefPose;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MeshRefPose;
+	static C(Other: UObject | any): AnimGraphNode_MeshRefPose;
 }
 
-declare class MovieSceneAudioTrack extends MovieSceneNameableTrack { 
-	AudioSections: MovieSceneSection[];
-	RowHeight: number;
-	static Load(ResourceName: string): MovieSceneAudioTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneAudioTrack;
-	static GetDefaultObject(): MovieSceneAudioTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneAudioTrack;
-	static C(Other: UObject | any): MovieSceneAudioTrack;
+declare type EBoneModificationMode = 'BMM_Ignore' | 'BMM_Replace' | 'BMM_Additive' | 'BMM_MAX';
+declare var EBoneModificationMode : { BMM_Ignore:'BMM_Ignore',BMM_Replace:'BMM_Replace',BMM_Additive:'BMM_Additive',BMM_MAX:'BMM_MAX', };
+declare class AnimNode_ModifyBone extends AnimNode_SkeletalControlBase { 
+	BoneToModify: BoneReference;
+	Translation: Vector;
+	Rotation: Rotator;
+	Scale: Vector;
+	TranslationMode: EBoneModificationMode;
+	RotationMode: EBoneModificationMode;
+	ScaleMode: EBoneModificationMode;
+	TranslationSpace: EBoneControlSpace;
+	RotationSpace: EBoneControlSpace;
+	ScaleSpace: EBoneControlSpace;
+	clone() : AnimNode_ModifyBone;
+	static C(Other: UObject | any): AnimNode_ModifyBone;
 }
 
-declare class MovieSceneBoolSection extends MovieSceneSection { 
-	DefaultValue: boolean;
-	BoolCurve: IntegralCurve;
-	static Load(ResourceName: string): MovieSceneBoolSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBoolSection;
-	static GetDefaultObject(): MovieSceneBoolSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBoolSection;
-	static C(Other: UObject | any): MovieSceneBoolSection;
+declare class AnimGraphNode_ModifyBone extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_ModifyBone;
+	static Load(ResourceName: string): AnimGraphNode_ModifyBone;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ModifyBone;
+	static GetDefaultObject(): AnimGraphNode_ModifyBone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ModifyBone;
+	static C(Other: UObject | any): AnimGraphNode_ModifyBone;
 }
 
-declare class MovieSceneBoolTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneBoolTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBoolTrack;
-	static GetDefaultObject(): MovieSceneBoolTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBoolTrack;
-	static C(Other: UObject | any): MovieSceneBoolTrack;
+declare type EModifyCurveApplyMode = 'Add' | 'Scale' | 'Blend' | 'WeightedMovingAverage' | 'RemapCurve' | 'EModifyCurveApplyMode_MAX';
+declare var EModifyCurveApplyMode : { Add:'Add',Scale:'Scale',Blend:'Blend',WeightedMovingAverage:'WeightedMovingAverage',RemapCurve:'RemapCurve',EModifyCurveApplyMode_MAX:'EModifyCurveApplyMode_MAX', };
+declare class AnimNode_ModifyCurve extends AnimNode_Base { 
+	SourcePose: PoseLink;
+	CurveValues: number[];
+	CurveNames: string[];
+	Alpha: number;
+	ApplyMode: EModifyCurveApplyMode;
+	clone() : AnimNode_ModifyCurve;
+	static C(Other: UObject | any): AnimNode_ModifyCurve;
 }
 
-declare class MovieSceneByteSection extends MovieSceneSection { 
-	ByteCurve: IntegralCurve;
-	static Load(ResourceName: string): MovieSceneByteSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneByteSection;
-	static GetDefaultObject(): MovieSceneByteSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneByteSection;
-	static C(Other: UObject | any): MovieSceneByteSection;
+declare class AnimGraphNode_ModifyCurve extends AnimGraphNode_Base { 
+	UNode: AnimNode_ModifyCurve;
+	static Load(ResourceName: string): AnimGraphNode_ModifyCurve;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ModifyCurve;
+	static GetDefaultObject(): AnimGraphNode_ModifyCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ModifyCurve;
+	static C(Other: UObject | any): AnimGraphNode_ModifyCurve;
 }
 
-declare class MovieSceneByteTrack extends MovieScenePropertyTrack { 
-	Enum: Enum;
-	static Load(ResourceName: string): MovieSceneByteTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneByteTrack;
-	static GetDefaultObject(): MovieSceneByteTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneByteTrack;
-	static C(Other: UObject | any): MovieSceneByteTrack;
+declare class AnimNode_MultiWayBlend extends AnimNode_Base { 
+	Poses: PoseLink[];
+	DesiredAlphas: number[];
+	AlphaScaleBias: InputScaleBias;
+	bAdditiveNode: boolean;
+	bNormalizeAlpha: boolean;
+	clone() : AnimNode_MultiWayBlend;
+	static C(Other: UObject | any): AnimNode_MultiWayBlend;
 }
 
-declare class MovieSceneCameraAnimSectionData { 
-	CameraAnim: CameraAnim;
-	PlayRate: number;
-	PlayScale: number;
-	BlendInTime: number;
-	BlendOutTime: number;
-	bLooping: boolean;
-	clone() : MovieSceneCameraAnimSectionData;
-	static C(Other: UObject | any): MovieSceneCameraAnimSectionData;
+declare class AnimGraphNode_MultiWayBlend extends AnimGraphNode_Base { 
+	UNode: AnimNode_MultiWayBlend;
+	static Load(ResourceName: string): AnimGraphNode_MultiWayBlend;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_MultiWayBlend;
+	static GetDefaultObject(): AnimGraphNode_MultiWayBlend;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_MultiWayBlend;
+	static C(Other: UObject | any): AnimGraphNode_MultiWayBlend;
 }
 
-declare class MovieSceneCameraAnimSection extends MovieSceneSection { 
-	AnimData: MovieSceneCameraAnimSectionData;
-	CameraAnim: CameraAnim;
-	PlayRate: number;
-	PlayScale: number;
-	BlendInTime: number;
-	BlendOutTime: number;
-	bLooping: boolean;
-	static Load(ResourceName: string): MovieSceneCameraAnimSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraAnimSection;
-	static GetDefaultObject(): MovieSceneCameraAnimSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraAnimSection;
-	static C(Other: UObject | any): MovieSceneCameraAnimSection;
+declare class AnimNode_ObserveBone extends AnimNode_SkeletalControlBase { 
+	BoneToObserve: BoneReference;
+	DisplaySpace: EBoneControlSpace;
+	bRelativeToRefPose: boolean;
+	Translation: Vector;
+	Rotation: Rotator;
+	Scale: Vector;
+	clone() : AnimNode_ObserveBone;
+	static C(Other: UObject | any): AnimNode_ObserveBone;
 }
 
-declare class MovieSceneCameraAnimTrack extends MovieSceneNameableTrack { 
-	CameraAnimSections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneCameraAnimTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraAnimTrack;
-	static GetDefaultObject(): MovieSceneCameraAnimTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraAnimTrack;
-	static C(Other: UObject | any): MovieSceneCameraAnimTrack;
+declare class AnimGraphNode_ObserveBone extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_ObserveBone;
+	static Load(ResourceName: string): AnimGraphNode_ObserveBone;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ObserveBone;
+	static GetDefaultObject(): AnimGraphNode_ObserveBone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ObserveBone;
+	static C(Other: UObject | any): AnimGraphNode_ObserveBone;
 }
 
-declare class MovieSceneCameraCutSection extends MovieSceneSection { 
-	CameraGuid: Guid;
-	CameraBindingID: MovieSceneObjectBindingID;
-	ThumbnailReferenceOffset: number;
-	static Load(ResourceName: string): MovieSceneCameraCutSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraCutSection;
-	static GetDefaultObject(): MovieSceneCameraCutSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraCutSection;
-	static C(Other: UObject | any): MovieSceneCameraCutSection;
+declare class AnimGraphNode_PoseHandler extends AnimGraphNode_AssetPlayerBase { 
+	static Load(ResourceName: string): AnimGraphNode_PoseHandler;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseHandler;
+	static GetDefaultObject(): AnimGraphNode_PoseHandler;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseHandler;
+	static C(Other: UObject | any): AnimGraphNode_PoseHandler;
 }
 
-declare class MovieSceneCameraCutTrack extends MovieSceneNameableTrack { 
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneCameraCutTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraCutTrack;
-	static GetDefaultObject(): MovieSceneCameraCutTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraCutTrack;
-	static C(Other: UObject | any): MovieSceneCameraCutTrack;
+declare class AnimNode_PoseHandler extends AnimNode_AssetPlayerBase { 
+	PoseAsset: PoseAsset;
+	clone() : AnimNode_PoseHandler;
+	static C(Other: UObject | any): AnimNode_PoseHandler;
 }
 
-declare class MovieSceneCameraShakeSectionData { 
-	ShakeClass: UnrealEngineClass;
-	PlayScale: number;
-	PlaySpace: ECameraAnimPlaySpace;
-	UserDefinedPlaySpace: Rotator;
-	clone() : MovieSceneCameraShakeSectionData;
-	static C(Other: UObject | any): MovieSceneCameraShakeSectionData;
+declare class AnimNode_PoseBlendNode extends AnimNode_PoseHandler { 
+	SourcePose: PoseLink;
+	BlendOption: EAlphaBlendOption;
+	CustomCurve: CurveFloat;
+	clone() : AnimNode_PoseBlendNode;
+	static C(Other: UObject | any): AnimNode_PoseBlendNode;
 }
 
-declare class MovieSceneCameraShakeSection extends MovieSceneSection { 
-	ShakeData: MovieSceneCameraShakeSectionData;
-	ShakeClass: UnrealEngineClass;
-	PlayScale: number;
-	PlaySpace: ECameraAnimPlaySpace;
-	UserDefinedPlaySpace: Rotator;
-	static Load(ResourceName: string): MovieSceneCameraShakeSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraShakeSection;
-	static GetDefaultObject(): MovieSceneCameraShakeSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraShakeSection;
-	static C(Other: UObject | any): MovieSceneCameraShakeSection;
+declare class AnimGraphNode_PoseBlendNode extends AnimGraphNode_PoseHandler { 
+	UNode: AnimNode_PoseBlendNode;
+	static Load(ResourceName: string): AnimGraphNode_PoseBlendNode;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseBlendNode;
+	static GetDefaultObject(): AnimGraphNode_PoseBlendNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseBlendNode;
+	static C(Other: UObject | any): AnimGraphNode_PoseBlendNode;
 }
 
-declare class MovieSceneCameraShakeTrack extends MovieSceneNameableTrack { 
-	CameraShakeSections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneCameraShakeTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraShakeTrack;
-	static GetDefaultObject(): MovieSceneCameraShakeTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraShakeTrack;
-	static C(Other: UObject | any): MovieSceneCameraShakeTrack;
+declare class AnimNode_PoseByName extends AnimNode_PoseHandler { 
+	PoseName: string;
+	PoseWeight: number;
+	clone() : AnimNode_PoseByName;
+	static C(Other: UObject | any): AnimNode_PoseByName;
 }
 
-declare class MovieSceneSectionParameters { 
-	StartOffset: number;
-	TimeScale: number;
-	HierarchicalBias: number;
-	PrerollTime: number;
-	PostrollTime: number;
-	clone() : MovieSceneSectionParameters;
-	static C(Other: UObject | any): MovieSceneSectionParameters;
+declare class AnimGraphNode_PoseByName extends AnimGraphNode_AssetPlayerBase { 
+	UNode: AnimNode_PoseByName;
+	static Load(ResourceName: string): AnimGraphNode_PoseByName;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseByName;
+	static GetDefaultObject(): AnimGraphNode_PoseByName;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseByName;
+	static C(Other: UObject | any): AnimGraphNode_PoseByName;
 }
 
-declare class MovieSceneSubSection extends MovieSceneSection { 
-	Parameters: MovieSceneSectionParameters;
-	StartOffset: number;
-	TimeScale: number;
-	PrerollTime: number;
-	SubSequence: MovieSceneSequence;
-	ActorToRecord: any;
-	TargetSequenceName: string;
-	TargetPathToRecordTo: DirectoryPath;
-	static Load(ResourceName: string): MovieSceneSubSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSubSection;
-	static GetDefaultObject(): MovieSceneSubSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSubSection;
-	static C(Other: UObject | any): MovieSceneSubSection;
+declare class PoseDriverTransform { 
+	TargetTranslation: Vector;
+	TargetRotation: Rotator;
+	clone() : PoseDriverTransform;
+	static C(Other: UObject | any): PoseDriverTransform;
 }
 
-declare class MovieSceneCinematicShotSection extends MovieSceneSubSection { 
-	ShotDisplayName: string;
-	DisplayName: string;
-	ThumbnailReferenceOffset: number;
-	static Load(ResourceName: string): MovieSceneCinematicShotSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCinematicShotSection;
-	static GetDefaultObject(): MovieSceneCinematicShotSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCinematicShotSection;
-	static C(Other: UObject | any): MovieSceneCinematicShotSection;
+declare class PoseDriverTarget { 
+	BoneTransforms: PoseDriverTransform[];
+	TargetRotation: Rotator;
+	TargetScale: number;
+	bApplyCustomCurve: boolean;
+	CustomCurve: RichCurve;
+	DrivenName: string;
+	clone() : PoseDriverTarget;
+	static C(Other: UObject | any): PoseDriverTarget;
 }
 
-declare class MovieSceneSubTrack extends MovieSceneNameableTrack { 
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneSubTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSubTrack;
-	static GetDefaultObject(): MovieSceneSubTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSubTrack;
-	static C(Other: UObject | any): MovieSceneSubTrack;
+declare type ERBFFunctionType = 'Gaussian' | 'Exponential' | 'Linear' | 'Cubic' | 'Quintic' | 'ERBFFunctionType_MAX';
+declare var ERBFFunctionType : { Gaussian:'Gaussian',Exponential:'Exponential',Linear:'Linear',Cubic:'Cubic',Quintic:'Quintic',ERBFFunctionType_MAX:'ERBFFunctionType_MAX', };
+declare type ERBFDistanceMethod = 'Euclidean' | 'Quaternion' | 'SwingAngle' | 'ERBFDistanceMethod_MAX';
+declare var ERBFDistanceMethod : { Euclidean:'Euclidean',Quaternion:'Quaternion',SwingAngle:'SwingAngle',ERBFDistanceMethod_MAX:'ERBFDistanceMethod_MAX', };
+declare type EBoneAxis = 'BA_X' | 'BA_Y' | 'BA_Z' | 'BA_MAX';
+declare var EBoneAxis : { BA_X:'BA_X',BA_Y:'BA_Y',BA_Z:'BA_Z',BA_MAX:'BA_MAX', };
+declare class RBFParams { 
+	TargetDimensions: number;
+	Radius: number;
+	UFunction: ERBFFunctionType;
+	DistanceMethod: ERBFDistanceMethod;
+	TwistAxis: EBoneAxis;
+	WeightThreshold: number;
+	clone() : RBFParams;
+	static C(Other: UObject | any): RBFParams;
 }
 
-declare class MovieSceneCinematicShotTrack extends MovieSceneSubTrack { 
-	static Load(ResourceName: string): MovieSceneCinematicShotTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneCinematicShotTrack;
-	static GetDefaultObject(): MovieSceneCinematicShotTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCinematicShotTrack;
-	static C(Other: UObject | any): MovieSceneCinematicShotTrack;
+declare type EPoseDriverType = 'SwingAndTwist' | 'SwingOnly' | 'Translation' | 'EPoseDriverType_MAX';
+declare var EPoseDriverType : { SwingAndTwist:'SwingAndTwist',SwingOnly:'SwingOnly',Translation:'Translation',EPoseDriverType_MAX:'EPoseDriverType_MAX', };
+declare type EPoseDriverSource = 'Rotation' | 'Translation' | 'EPoseDriverSource_MAX';
+declare var EPoseDriverSource : { Rotation:'Rotation',Translation:'Translation',EPoseDriverSource_MAX:'EPoseDriverSource_MAX', };
+declare type EPoseDriverOutput = 'DrivePoses' | 'DriveCurves' | 'EPoseDriverOutput_MAX';
+declare var EPoseDriverOutput : { DrivePoses:'DrivePoses',DriveCurves:'DriveCurves',EPoseDriverOutput_MAX:'EPoseDriverOutput_MAX', };
+declare class AnimNode_PoseDriver extends AnimNode_PoseHandler { 
+	SourcePose: PoseLink;
+	SourceBones: BoneReference[];
+	OnlyDriveBones: BoneReference[];
+	PoseTargets: PoseDriverTarget[];
+	EvalSpaceBone: BoneReference;
+	RBFParams: RBFParams;
+	SourceBone: BoneReference;
+	TwistAxis: EBoneAxis;
+	Type: EPoseDriverType;
+	RadialScaling: number;
+	DriveSource: EPoseDriverSource;
+	DriveOutput: EPoseDriverOutput;
+	bOnlyDriveSelectedBones: boolean;
+	clone() : AnimNode_PoseDriver;
+	static C(Other: UObject | any): AnimNode_PoseDriver;
 }
 
-declare class MovieSceneColorSection extends MovieSceneSection { 
-	RedCurve: RichCurve;
-	GreenCurve: RichCurve;
-	BlueCurve: RichCurve;
-	AlphaCurve: RichCurve;
-	static Load(ResourceName: string): MovieSceneColorSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneColorSection;
-	static GetDefaultObject(): MovieSceneColorSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneColorSection;
-	static C(Other: UObject | any): MovieSceneColorSection;
+declare class AnimGraphNode_PoseDriver extends AnimGraphNode_PoseHandler { 
+	UNode: AnimNode_PoseDriver;
+	LastPreviewComponent: SkeletalMeshComponent;
+	static Load(ResourceName: string): AnimGraphNode_PoseDriver;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseDriver;
+	static GetDefaultObject(): AnimGraphNode_PoseDriver;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseDriver;
+	static C(Other: UObject | any): AnimGraphNode_PoseDriver;
 }
 
-declare class MovieSceneColorTrack extends MovieScenePropertyTrack { 
-	bIsSlateColor: boolean;
-	static Load(ResourceName: string): MovieSceneColorTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneColorTrack;
-	static GetDefaultObject(): MovieSceneColorTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneColorTrack;
-	static C(Other: UObject | any): MovieSceneColorTrack;
+declare type ESnapshotSourceMode = 'NamedSnapshot' | 'SnapshotPin' | 'ESnapshotSourceMode_MAX';
+declare var ESnapshotSourceMode : { NamedSnapshot:'NamedSnapshot',SnapshotPin:'SnapshotPin',ESnapshotSourceMode_MAX:'ESnapshotSourceMode_MAX', };
+declare class AnimNode_PoseSnapshot extends AnimNode_Base { 
+	SnapshotName: string;
+	Snapshot: PoseSnapshot;
+	Mode: ESnapshotSourceMode;
+	clone() : AnimNode_PoseSnapshot;
+	static C(Other: UObject | any): AnimNode_PoseSnapshot;
 }
 
-declare class MovieSceneEnumSection extends MovieSceneSection { 
-	EnumCurve: IntegralCurve;
-	static Load(ResourceName: string): MovieSceneEnumSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEnumSection;
-	static GetDefaultObject(): MovieSceneEnumSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEnumSection;
-	static C(Other: UObject | any): MovieSceneEnumSection;
+declare class AnimGraphNode_PoseSnapshot extends AnimGraphNode_Base { 
+	UNode: AnimNode_PoseSnapshot;
+	static Load(ResourceName: string): AnimGraphNode_PoseSnapshot;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_PoseSnapshot;
+	static GetDefaultObject(): AnimGraphNode_PoseSnapshot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_PoseSnapshot;
+	static C(Other: UObject | any): AnimGraphNode_PoseSnapshot;
 }
 
-declare class MovieSceneEnumTrack extends MovieScenePropertyTrack { 
-	Enum: Enum;
-	static Load(ResourceName: string): MovieSceneEnumTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEnumTrack;
-	static GetDefaultObject(): MovieSceneEnumTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEnumTrack;
-	static C(Other: UObject | any): MovieSceneEnumTrack;
+declare class RandomPlayerSequenceEntry { 
+	Sequence: AnimSequence;
+	ChanceToPlay: number;
+	MinLoopCount: number;
+	MaxLoopCount: number;
+	MinPlayRate: number;
+	MaxPlayRate: number;
+	BlendIn: AlphaBlend;
+	clone() : RandomPlayerSequenceEntry;
+	static C(Other: UObject | any): RandomPlayerSequenceEntry;
 }
 
-declare class NameCurveKey { 
-	Time: number;
-	Value: string;
-	clone() : NameCurveKey;
-	static C(Other: UObject | any): NameCurveKey;
+declare class AnimNode_RandomPlayer extends AnimNode_Base { 
+	Entries: RandomPlayerSequenceEntry[];
+	bShuffleMode: boolean;
+	clone() : AnimNode_RandomPlayer;
+	static C(Other: UObject | any): AnimNode_RandomPlayer;
 }
 
-declare class NameCurve extends IndexedCurve { 
-	Keys: NameCurveKey[];
-	clone() : NameCurve;
-	static C(Other: UObject | any): NameCurve;
+declare class AnimGraphNode_RandomPlayer extends AnimGraphNode_Base { 
+	UNode: AnimNode_RandomPlayer;
+	static Load(ResourceName: string): AnimGraphNode_RandomPlayer;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RandomPlayer;
+	static GetDefaultObject(): AnimGraphNode_RandomPlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RandomPlayer;
+	static C(Other: UObject | any): AnimGraphNode_RandomPlayer;
 }
 
-declare class MovieSceneEventParameters { 
-	clone() : MovieSceneEventParameters;
-	static C(Other: UObject | any): MovieSceneEventParameters;
+declare class AnimNode_ResetRoot extends AnimNode_SkeletalControlBase { 
+	clone() : AnimNode_ResetRoot;
+	static C(Other: UObject | any): AnimNode_ResetRoot;
 }
 
-declare class EventPayload { 
-	EventName: string;
-	Parameters: MovieSceneEventParameters;
-	clone() : EventPayload;
-	static C(Other: UObject | any): EventPayload;
+declare class AnimGraphNode_ResetRoot extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_ResetRoot;
+	static Load(ResourceName: string): AnimGraphNode_ResetRoot;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ResetRoot;
+	static GetDefaultObject(): AnimGraphNode_ResetRoot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ResetRoot;
+	static C(Other: UObject | any): AnimGraphNode_ResetRoot;
 }
 
-declare class MovieSceneEventSectionData { 
-	KeyTimes: number[];
-	KeyValues: EventPayload[];
-	clone() : MovieSceneEventSectionData;
-	static C(Other: UObject | any): MovieSceneEventSectionData;
+declare type ESimulationSpace = 'ComponentSpace' | 'WorldSpace' | 'BaseBoneSpace' | 'ESimulationSpace_MAX';
+declare var ESimulationSpace : { ComponentSpace:'ComponentSpace',WorldSpace:'WorldSpace',BaseBoneSpace:'BaseBoneSpace',ESimulationSpace_MAX:'ESimulationSpace_MAX', };
+declare class AnimNode_RigidBody extends AnimNode_SkeletalControlBase { 
+	OverridePhysicsAsset: PhysicsAsset;
+	OverrideWorldGravity: Vector;
+	ExternalForce: Vector;
+	ComponentLinearAccScale: Vector;
+	ComponentLinearVelScale: Vector;
+	ComponentAppliedLinearAccClamp: Vector;
+	CachedBoundsScale: number;
+	BaseBoneRef: BoneReference;
+	OverlapChannel: ECollisionChannel;
+	SimulationSpace: ESimulationSpace;
+	bForceDisableCollisionBetweenConstraintBodies: boolean;
+	bEnableWorldGeometry: boolean;
+	bOverrideWorldGravity: boolean;
+	bTransferBoneVelocities: boolean;
+	bFreezeIncomingPoseOnStart: boolean;
+	bClampLinearTranslationLimitToRefPose: boolean;
+	bComponentSpaceSimulation: boolean;
+	clone() : AnimNode_RigidBody;
+	static C(Other: UObject | any): AnimNode_RigidBody;
+}
+
+declare class AnimGraphNode_RigidBody extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_RigidBody;
+	static Load(ResourceName: string): AnimGraphNode_RigidBody;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RigidBody;
+	static GetDefaultObject(): AnimGraphNode_RigidBody;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RigidBody;
+	static C(Other: UObject | any): AnimGraphNode_RigidBody;
+}
+
+declare class AnimGraphNode_Root extends AnimGraphNode_Base { 
+	UNode: AnimNode_Root;
+	static Load(ResourceName: string): AnimGraphNode_Root;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Root;
+	static GetDefaultObject(): AnimGraphNode_Root;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Root;
+	static C(Other: UObject | any): AnimGraphNode_Root;
 }
 
-declare class MovieSceneEventSection extends MovieSceneSection { 
-	Events: NameCurve;
-	EventData: MovieSceneEventSectionData;
-	static Load(ResourceName: string): MovieSceneEventSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEventSection;
-	static GetDefaultObject(): MovieSceneEventSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventSection;
-	static C(Other: UObject | any): MovieSceneEventSection;
+declare class AnimNode_RotateRootBone extends AnimNode_Base { 
+	BasePose: PoseLink;
+	Pitch: number;
+	Yaw: number;
+	PitchScaleBiasClamp: InputScaleBiasClamp;
+	YawScaleBiasClamp: InputScaleBiasClamp;
+	MeshToComponent: Rotator;
+	clone() : AnimNode_RotateRootBone;
+	static C(Other: UObject | any): AnimNode_RotateRootBone;
 }
 
-declare type EFireEventsAtPosition = 'AtStartOfEvaluation' | 'AtEndOfEvaluation' | 'AfterSpawn' | 'EFireEventsAtPosition_MAX';
-declare var EFireEventsAtPosition : { AtStartOfEvaluation:'AtStartOfEvaluation',AtEndOfEvaluation:'AtEndOfEvaluation',AfterSpawn:'AfterSpawn',EFireEventsAtPosition_MAX:'EFireEventsAtPosition_MAX', };
-declare class MovieSceneEventTrack extends MovieSceneNameableTrack { 
-	bFireEventsWhenForwards: boolean;
-	bFireEventsWhenBackwards: boolean;
-	EventPosition: EFireEventsAtPosition;
-	EventReceivers: MovieSceneObjectBindingID[];
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneEventTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEventTrack;
-	static GetDefaultObject(): MovieSceneEventTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventTrack;
-	static C(Other: UObject | any): MovieSceneEventTrack;
+declare class AnimGraphNode_RotateRootBone extends AnimGraphNode_Base { 
+	UNode: AnimNode_RotateRootBone;
+	static Load(ResourceName: string): AnimGraphNode_RotateRootBone;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotateRootBone;
+	static GetDefaultObject(): AnimGraphNode_RotateRootBone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotateRootBone;
+	static C(Other: UObject | any): AnimGraphNode_RotateRootBone;
 }
 
-declare class MovieSceneFloatSection extends MovieSceneSection { 
-	FloatCurve: RichCurve;
-	static Load(ResourceName: string): MovieSceneFloatSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneFloatSection;
-	static GetDefaultObject(): MovieSceneFloatSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFloatSection;
-	static C(Other: UObject | any): MovieSceneFloatSection;
+declare class AnimNode_RotationMultiplier extends AnimNode_SkeletalControlBase { 
+	TargetBone: BoneReference;
+	SourceBone: BoneReference;
+	Multiplier: number;
+	RotationAxisToRefer: EBoneAxis;
+	bIsAdditive: boolean;
+	clone() : AnimNode_RotationMultiplier;
+	static C(Other: UObject | any): AnimNode_RotationMultiplier;
 }
 
-declare class MovieSceneFadeSection extends MovieSceneFloatSection { 
-	FadeColor: LinearColor;
-	bFadeAudio: boolean;
-	static Load(ResourceName: string): MovieSceneFadeSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneFadeSection;
-	static GetDefaultObject(): MovieSceneFadeSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFadeSection;
-	static C(Other: UObject | any): MovieSceneFadeSection;
+declare class AnimGraphNode_RotationMultiplier extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_RotationMultiplier;
+	static Load(ResourceName: string): AnimGraphNode_RotationMultiplier;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationMultiplier;
+	static GetDefaultObject(): AnimGraphNode_RotationMultiplier;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationMultiplier;
+	static C(Other: UObject | any): AnimGraphNode_RotationMultiplier;
 }
 
-declare class MovieSceneFloatTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneFloatTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneFloatTrack;
-	static GetDefaultObject(): MovieSceneFloatTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFloatTrack;
-	static C(Other: UObject | any): MovieSceneFloatTrack;
+declare class AnimNode_RotationOffsetBlendSpace extends AnimNode_BlendSpacePlayer { 
+	BasePose: PoseLink;
+	LODThreshold: number;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	AlphaBoolBlend: InputAlphaBoolBlend;
+	AlphaCurveName: string;
+	AlphaScaleBiasClamp: InputScaleBiasClamp;
+	AlphaInputType: EAnimAlphaInputType;
+	bAlphaBoolEnabled: boolean;
+	clone() : AnimNode_RotationOffsetBlendSpace;
+	static C(Other: UObject | any): AnimNode_RotationOffsetBlendSpace;
 }
 
-declare class MovieSceneFadeTrack extends MovieSceneFloatTrack { 
-	static Load(ResourceName: string): MovieSceneFadeTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneFadeTrack;
-	static GetDefaultObject(): MovieSceneFadeTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFadeTrack;
-	static C(Other: UObject | any): MovieSceneFadeTrack;
+declare class AnimGraphNode_RotationOffsetBlendSpace extends AnimGraphNode_BlendSpaceBase { 
+	UNode: AnimNode_RotationOffsetBlendSpace;
+	static Load(ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RotationOffsetBlendSpace;
+	static GetDefaultObject(): AnimGraphNode_RotationOffsetBlendSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RotationOffsetBlendSpace;
+	static C(Other: UObject | any): AnimGraphNode_RotationOffsetBlendSpace;
 }
 
-declare class MovieSceneIntegerSection extends MovieSceneSection { 
-	IntegerCurve: IntegralCurve;
-	static Load(ResourceName: string): MovieSceneIntegerSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneIntegerSection;
-	static GetDefaultObject(): MovieSceneIntegerSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneIntegerSection;
-	static C(Other: UObject | any): MovieSceneIntegerSection;
+declare class AnimNode_SaveCachedPose extends AnimNode_Base { 
+	Pose: PoseLink;
+	CachePoseName: string;
+	clone() : AnimNode_SaveCachedPose;
+	static C(Other: UObject | any): AnimNode_SaveCachedPose;
 }
 
-declare class MovieSceneIntegerTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneIntegerTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneIntegerTrack;
-	static GetDefaultObject(): MovieSceneIntegerTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneIntegerTrack;
-	static C(Other: UObject | any): MovieSceneIntegerTrack;
+declare class AnimGraphNode_SaveCachedPose extends AnimGraphNode_Base { 
+	UNode: AnimNode_SaveCachedPose;
+	CacheName: string;
+	static Load(ResourceName: string): AnimGraphNode_SaveCachedPose;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SaveCachedPose;
+	static GetDefaultObject(): AnimGraphNode_SaveCachedPose;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SaveCachedPose;
+	static C(Other: UObject | any): AnimGraphNode_SaveCachedPose;
 }
 
-declare type ELevelVisibility = 'Visible' | 'Hidden' | 'ELevelVisibility_MAX';
-declare var ELevelVisibility : { Visible:'Visible',Hidden:'Hidden',ELevelVisibility_MAX:'ELevelVisibility_MAX', };
-declare class MovieSceneLevelVisibilitySection extends MovieSceneSection { 
-	Visibility: ELevelVisibility;
-	LevelNames: string[];
-	static Load(ResourceName: string): MovieSceneLevelVisibilitySection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneLevelVisibilitySection;
-	static GetDefaultObject(): MovieSceneLevelVisibilitySection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneLevelVisibilitySection;
-	static C(Other: UObject | any): MovieSceneLevelVisibilitySection;
+declare type EScaleChainInitialLength = 'FixedDefaultLengthValue' | 'Distance' | 'ChainLength' | 'EScaleChainInitialLength_MAX';
+declare var EScaleChainInitialLength : { FixedDefaultLengthValue:'FixedDefaultLengthValue',Distance:'Distance',ChainLength:'ChainLength',EScaleChainInitialLength_MAX:'EScaleChainInitialLength_MAX', };
+declare class AnimNode_ScaleChainLength extends AnimNode_Base { 
+	InputPose: PoseLink;
+	DefaultChainLength: number;
+	ChainStartBone: BoneReference;
+	ChainEndBone: BoneReference;
+	TargetLocation: Vector;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	ChainInitialLength: EScaleChainInitialLength;
+	clone() : AnimNode_ScaleChainLength;
+	static C(Other: UObject | any): AnimNode_ScaleChainLength;
 }
 
-declare class MovieSceneLevelVisibilityTrack extends MovieSceneNameableTrack { 
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneLevelVisibilityTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneLevelVisibilityTrack;
-	static GetDefaultObject(): MovieSceneLevelVisibilityTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneLevelVisibilityTrack;
-	static C(Other: UObject | any): MovieSceneLevelVisibilityTrack;
+declare class AnimGraphNode_ScaleChainLength extends AnimGraphNode_Base { 
+	UNode: AnimNode_ScaleChainLength;
+	static Load(ResourceName: string): AnimGraphNode_ScaleChainLength;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_ScaleChainLength;
+	static GetDefaultObject(): AnimGraphNode_ScaleChainLength;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_ScaleChainLength;
+	static C(Other: UObject | any): AnimGraphNode_ScaleChainLength;
 }
 
-declare class MovieSceneMaterialParameterCollectionTrack extends MovieSceneMaterialTrack { 
-	MPC: MaterialParameterCollection;
-	static Load(ResourceName: string): MovieSceneMaterialParameterCollectionTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneMaterialParameterCollectionTrack;
-	static GetDefaultObject(): MovieSceneMaterialParameterCollectionTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMaterialParameterCollectionTrack;
-	static C(Other: UObject | any): MovieSceneMaterialParameterCollectionTrack;
+declare type ESequenceEvalReinit = 'NoReset' | 'StartPosition' | 'ExplicitTime' | 'ESequenceEvalReinit_MAX';
+declare var ESequenceEvalReinit : { NoReset:'NoReset',StartPosition:'StartPosition',ExplicitTime:'ExplicitTime',ESequenceEvalReinit_MAX:'ESequenceEvalReinit_MAX', };
+declare class AnimNode_SequenceEvaluator extends AnimNode_AssetPlayerBase { 
+	Sequence: AnimSequenceBase;
+	ExplicitTime: number;
+	bShouldLoop: boolean;
+	bTeleportToExplicitTime: boolean;
+	ReinitializationBehavior: ESequenceEvalReinit;
+	StartPosition: number;
+	clone() : AnimNode_SequenceEvaluator;
+	static C(Other: UObject | any): AnimNode_SequenceEvaluator;
 }
 
-declare class MovieSceneComponentMaterialTrack extends MovieSceneMaterialTrack { 
-	MaterialIndex: number;
-	static Load(ResourceName: string): MovieSceneComponentMaterialTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneComponentMaterialTrack;
-	static GetDefaultObject(): MovieSceneComponentMaterialTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneComponentMaterialTrack;
-	static C(Other: UObject | any): MovieSceneComponentMaterialTrack;
+declare class AnimGraphNode_SequenceEvaluator extends AnimGraphNode_AssetPlayerBase { 
+	UNode: AnimNode_SequenceEvaluator;
+	static Load(ResourceName: string): AnimGraphNode_SequenceEvaluator;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequenceEvaluator;
+	static GetDefaultObject(): AnimGraphNode_SequenceEvaluator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequenceEvaluator;
+	static C(Other: UObject | any): AnimGraphNode_SequenceEvaluator;
 }
 
-declare class ScalarParameterNameAndCurve { 
-	ParameterName: string;
-	index: number;
-	ParameterCurve: RichCurve;
-	clone() : ScalarParameterNameAndCurve;
-	static C(Other: UObject | any): ScalarParameterNameAndCurve;
+declare class AnimNode_SequencePlayer extends AnimNode_AssetPlayerBase { 
+	Sequence: AnimSequenceBase;
+	PlayRateBasis: number;
+	PlayRate: number;
+	PlayRateScaleBiasClamp: InputScaleBiasClamp;
+	StartPosition: number;
+	bLoopAnimation: boolean;
+	clone() : AnimNode_SequencePlayer;
+	static C(Other: UObject | any): AnimNode_SequencePlayer;
 }
 
-declare class VectorParameterNameAndCurves { 
-	ParameterName: string;
-	index: number;
-	XCurve: RichCurve;
-	YCurve: RichCurve;
-	ZCurve: RichCurve;
-	clone() : VectorParameterNameAndCurves;
-	static C(Other: UObject | any): VectorParameterNameAndCurves;
+declare class AnimGraphNode_SequencePlayer extends AnimGraphNode_AssetPlayerBase { 
+	UNode: AnimNode_SequencePlayer;
+	static Load(ResourceName: string): AnimGraphNode_SequencePlayer;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SequencePlayer;
+	static GetDefaultObject(): AnimGraphNode_SequencePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SequencePlayer;
+	static C(Other: UObject | any): AnimGraphNode_SequencePlayer;
 }
 
-declare class ColorParameterNameAndCurves { 
-	ParameterName: string;
-	index: number;
-	RedCurve: RichCurve;
-	GreenCurve: RichCurve;
-	BlueCurve: RichCurve;
-	AlphaCurve: RichCurve;
-	clone() : ColorParameterNameAndCurves;
-	static C(Other: UObject | any): ColorParameterNameAndCurves;
+declare class AnimNode_Slot extends AnimNode_Base { 
+	Source: PoseLink;
+	SlotName: string;
+	bAlwaysUpdateSourcePose: boolean;
+	clone() : AnimNode_Slot;
+	static C(Other: UObject | any): AnimNode_Slot;
 }
 
-declare class MovieSceneParameterSection extends MovieSceneSection { 
-	ScalarParameterNamesAndCurves: ScalarParameterNameAndCurve[];
-	VectorParameterNamesAndCurves: VectorParameterNameAndCurves[];
-	ColorParameterNamesAndCurves: ColorParameterNameAndCurves[];
-	static Load(ResourceName: string): MovieSceneParameterSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneParameterSection;
-	static GetDefaultObject(): MovieSceneParameterSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParameterSection;
-	static C(Other: UObject | any): MovieSceneParameterSection;
+declare class AnimGraphNode_Slot extends AnimGraphNode_Base { 
+	UNode: AnimNode_Slot;
+	static Load(ResourceName: string): AnimGraphNode_Slot;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Slot;
+	static GetDefaultObject(): AnimGraphNode_Slot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Slot;
+	static C(Other: UObject | any): AnimGraphNode_Slot;
 }
 
-declare class MovieSceneParticleParameterTrack extends MovieSceneNameableTrack { 
-	Sections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneParticleParameterTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleParameterTrack;
-	static GetDefaultObject(): MovieSceneParticleParameterTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleParameterTrack;
-	static C(Other: UObject | any): MovieSceneParticleParameterTrack;
+declare type ESplineBoneAxis = 'X' | 'Y' | 'Z' | 'ESplineBoneAxis_MAX';
+declare var ESplineBoneAxis : { X:'X',Y:'Y',Z:'Z',ESplineBoneAxis_MAX:'ESplineBoneAxis_MAX', };
+declare class AnimNode_SplineIK extends AnimNode_SkeletalControlBase { 
+	StartBone: BoneReference;
+	EndBone: BoneReference;
+	BoneAxis: ESplineBoneAxis;
+	bAutoCalculateSpline: boolean;
+	PointCount: number;
+	ControlPoints: Transform[];
+	Roll: number;
+	TwistStart: number;
+	TwistEnd: number;
+	TwistBlend: AlphaBlend;
+	Stretch: number;
+	Offset: number;
+	clone() : AnimNode_SplineIK;
+	static C(Other: UObject | any): AnimNode_SplineIK;
 }
 
-declare class MovieSceneParticleSection extends MovieSceneSection { 
-	ParticleKeys: IntegralCurve;
-	static Load(ResourceName: string): MovieSceneParticleSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleSection;
-	static GetDefaultObject(): MovieSceneParticleSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleSection;
-	static C(Other: UObject | any): MovieSceneParticleSection;
+declare class AnimGraphNode_SplineIK extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_SplineIK;
+	static Load(ResourceName: string): AnimGraphNode_SplineIK;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SplineIK;
+	static GetDefaultObject(): AnimGraphNode_SplineIK;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SplineIK;
+	static C(Other: UObject | any): AnimGraphNode_SplineIK;
 }
 
-declare class MovieSceneParticleTrack extends MovieSceneNameableTrack { 
-	ParticleSections: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneParticleTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleTrack;
-	static GetDefaultObject(): MovieSceneParticleTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleTrack;
-	static C(Other: UObject | any): MovieSceneParticleTrack;
+declare class AnimNode_SpringBone extends AnimNode_SkeletalControlBase { 
+	SpringBone: BoneReference;
+	MaxDisplacement: number;
+	SpringStiffness: number;
+	SpringDamping: number;
+	ErrorResetThresh: number;
+	bNoZSpring: boolean;
+	bLimitDisplacement: boolean;
+	bTranslateX: boolean;
+	bTranslateY: boolean;
+	bTranslateZ: boolean;
+	bRotateX: boolean;
+	bRotateY: boolean;
+	bRotateZ: boolean;
+	clone() : AnimNode_SpringBone;
+	static C(Other: UObject | any): AnimNode_SpringBone;
 }
 
-declare class MovieSceneSkeletalAnimationParams { 
-	Animation: AnimSequenceBase;
-	StartOffset: number;
-	EndOffset: number;
-	PlayRate: number;
-	bReverse: boolean;
-	SlotName: string;
-	Weight: RichCurve;
-	clone() : MovieSceneSkeletalAnimationParams;
-	static C(Other: UObject | any): MovieSceneSkeletalAnimationParams;
+declare class AnimGraphNode_SpringBone extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_SpringBone;
+	static Load(ResourceName: string): AnimGraphNode_SpringBone;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SpringBone;
+	static GetDefaultObject(): AnimGraphNode_SpringBone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SpringBone;
+	static C(Other: UObject | any): AnimGraphNode_SpringBone;
 }
 
-declare class MovieSceneSkeletalAnimationSection extends MovieSceneSection { 
-	Params: MovieSceneSkeletalAnimationParams;
-	AnimSequence: AnimSequence;
-	Animation: AnimSequenceBase;
-	StartOffset: number;
-	EndOffset: number;
-	PlayRate: number;
-	bReverse: boolean;
-	SlotName: string;
-	static Load(ResourceName: string): MovieSceneSkeletalAnimationSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSkeletalAnimationSection;
-	static GetDefaultObject(): MovieSceneSkeletalAnimationSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSkeletalAnimationSection;
-	static C(Other: UObject | any): MovieSceneSkeletalAnimationSection;
+declare class AnimNode_StateMachine extends AnimNode_Base { 
+	StateMachineIndexInClass: number;
+	MaxTransitionsPerFrame: number;
+	bSkipFirstUpdateTransition: boolean;
+	bReinitializeOnBecomingRelevant: boolean;
+	clone() : AnimNode_StateMachine;
+	static C(Other: UObject | any): AnimNode_StateMachine;
 }
 
-declare class MovieSceneSkeletalAnimationTrack extends MovieSceneNameableTrack { 
-	AnimationSections: MovieSceneSection[];
-	bUseLegacySectionIndexBlend: boolean;
-	static Load(ResourceName: string): MovieSceneSkeletalAnimationTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSkeletalAnimationTrack;
-	static GetDefaultObject(): MovieSceneSkeletalAnimationTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSkeletalAnimationTrack;
-	static C(Other: UObject | any): MovieSceneSkeletalAnimationTrack;
+declare class AnimGraphNode_StateMachine extends AnimGraphNode_StateMachineBase { 
+	UNode: AnimNode_StateMachine;
+	static Load(ResourceName: string): AnimGraphNode_StateMachine;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_StateMachine;
+	static GetDefaultObject(): AnimGraphNode_StateMachine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_StateMachine;
+	static C(Other: UObject | any): AnimGraphNode_StateMachine;
 }
 
-declare class MovieSceneSlomoSection extends MovieSceneFloatSection { 
-	static Load(ResourceName: string): MovieSceneSlomoSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSlomoSection;
-	static GetDefaultObject(): MovieSceneSlomoSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSlomoSection;
-	static C(Other: UObject | any): MovieSceneSlomoSection;
+declare class AnimNode_SubInput extends AnimNode_Base { 
+	clone() : AnimNode_SubInput;
+	static C(Other: UObject | any): AnimNode_SubInput;
 }
 
-declare class MovieSceneSlomoTrack extends MovieSceneFloatTrack { 
-	static Load(ResourceName: string): MovieSceneSlomoTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSlomoTrack;
-	static GetDefaultObject(): MovieSceneSlomoTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSlomoTrack;
-	static C(Other: UObject | any): MovieSceneSlomoTrack;
+declare class AnimGraphNode_SubInput extends AnimGraphNode_Base { 
+	UNode: AnimNode_SubInput;
+	static Load(ResourceName: string): AnimGraphNode_SubInput;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SubInput;
+	static GetDefaultObject(): AnimGraphNode_SubInput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SubInput;
+	static C(Other: UObject | any): AnimGraphNode_SubInput;
 }
 
-declare class MovieSceneSpawnSection extends MovieSceneBoolSection { 
-	static Load(ResourceName: string): MovieSceneSpawnSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSpawnSection;
-	static GetDefaultObject(): MovieSceneSpawnSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSpawnSection;
-	static C(Other: UObject | any): MovieSceneSpawnSection;
-}
+declare class AnimNode_SubInstance extends AnimNode_Base { 
+	InPose: PoseLink;
+	InstanceClass: UnrealEngineClass;
+	Tag: string;
+	SourcePropertyNames: string[];
+	DestPropertyNames: string[];
+	InstanceToRun: AnimInstance;
+	InstanceProperties: Property[];
+	SubInstanceProperties: Property[];
+	clone() : AnimNode_SubInstance;
+	static C(Other: UObject | any): AnimNode_SubInstance;
+}
 
-declare class MovieSceneSpawnTrack extends MovieSceneTrack { 
-	Sections: MovieSceneSection[];
-	ObjectGuid: Guid;
-	static Load(ResourceName: string): MovieSceneSpawnTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSpawnTrack;
-	static GetDefaultObject(): MovieSceneSpawnTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSpawnTrack;
-	static C(Other: UObject | any): MovieSceneSpawnTrack;
+declare class AnimGraphNode_SubInstance extends AnimGraphNode_Base { 
+	UNode: AnimNode_SubInstance;
+	KnownExposableProperties: string[];
+	ExposedPropertyNames: string[];
+	static Load(ResourceName: string): AnimGraphNode_SubInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_SubInstance;
+	static GetDefaultObject(): AnimGraphNode_SubInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_SubInstance;
+	static C(Other: UObject | any): AnimGraphNode_SubInstance;
 }
 
-declare class StringCurveKey { 
-	Time: number;
-	Value: string;
-	clone() : StringCurveKey;
-	static C(Other: UObject | any): StringCurveKey;
+declare class RotationLimit { 
+	LimitMin: Vector;
+	LimitMax: Vector;
+	clone() : RotationLimit;
+	static C(Other: UObject | any): RotationLimit;
 }
 
-declare class StringCurve extends IndexedCurve { 
-	DefaultValue: string;
-	Keys: StringCurveKey[];
-	clone() : StringCurve;
-	static C(Other: UObject | any): StringCurve;
+declare class AnimNode_Trail extends AnimNode_SkeletalControlBase { 
+	TrailBone: BoneReference;
+	ChainLength: number;
+	ChainBoneAxis: EAxis;
+	bInvertChainBoneAxis: boolean;
+	bLimitStretch: boolean;
+	bLimitRotation: boolean;
+	bUsePlanarLimit: boolean;
+	bActorSpaceFakeVel: boolean;
+	bReorientParentToChild: boolean;
+	bEnableDebug: boolean;
+	bShowBaseMotion: boolean;
+	bShowTrailLocation: boolean;
+	bShowLimit: boolean;
+	DebugLifeTime: number;
+	TrailRelaxation: number;
+	MaxDeltaTime: number;
+	UnwindingSize: any;
+	RelaxationSpeedScale: number;
+	TrailRelaxationSpeed: RuntimeFloatCurve;
+	RelaxationSpeedScaleInputProcessor: InputScaleBiasClamp;
+	RotationLimits: RotationLimit[];
+	RotationOffsets: Vector[];
+	PlanarLimits: AnimPhysPlanarLimit[];
+	StretchLimit: number;
+	FakeVelocity: Vector;
+	BaseJoint: BoneReference;
+	TrailBoneRotationBlendAlpha: number;
+	LastBoneRotationAnimAlphaBlend: number;
+	clone() : AnimNode_Trail;
+	static C(Other: UObject | any): AnimNode_Trail;
 }
 
-declare class MovieSceneStringSection extends MovieSceneSection { 
-	StringCurve: StringCurve;
-	static Load(ResourceName: string): MovieSceneStringSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneStringSection;
-	static GetDefaultObject(): MovieSceneStringSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneStringSection;
-	static C(Other: UObject | any): MovieSceneStringSection;
+declare class AnimGraphNode_Trail extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_Trail;
+	static Load(ResourceName: string): AnimGraphNode_Trail;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_Trail;
+	static GetDefaultObject(): AnimGraphNode_Trail;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_Trail;
+	static C(Other: UObject | any): AnimGraphNode_Trail;
 }
 
-declare class MovieSceneStringTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneStringTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneStringTrack;
-	static GetDefaultObject(): MovieSceneStringTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneStringTrack;
-	static C(Other: UObject | any): MovieSceneStringTrack;
+declare type EEvaluatorDataSource = 'EDS_SourcePose' | 'EDS_DestinationPose' | 'EDS_MAX';
+declare var EEvaluatorDataSource : { EDS_SourcePose:'EDS_SourcePose',EDS_DestinationPose:'EDS_DestinationPose',EDS_MAX:'EDS_MAX', };
+declare type EEvaluatorMode = 'EM_Standard' | 'EM_Freeze' | 'EM_DelayedFreeze' | 'EM_MAX';
+declare var EEvaluatorMode : { EM_Standard:'EM_Standard',EM_Freeze:'EM_Freeze',EM_DelayedFreeze:'EM_DelayedFreeze',EM_MAX:'EM_MAX', };
+declare class AnimNode_TransitionPoseEvaluator extends AnimNode_Base { 
+	FramesToCachePose: number;
+	DataSource: EEvaluatorDataSource;
+	EvaluatorMode: EEvaluatorMode;
+	clone() : AnimNode_TransitionPoseEvaluator;
+	static C(Other: UObject | any): AnimNode_TransitionPoseEvaluator;
 }
 
-declare class MovieSceneTransformTrack extends MovieScenePropertyTrack { 
-	static Load(ResourceName: string): MovieSceneTransformTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneTransformTrack;
-	static GetDefaultObject(): MovieSceneTransformTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneTransformTrack;
-	static C(Other: UObject | any): MovieSceneTransformTrack;
+declare class AnimGraphNode_TransitionPoseEvaluator extends AnimGraphNode_Base { 
+	UNode: AnimNode_TransitionPoseEvaluator;
+	static Load(ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TransitionPoseEvaluator;
+	static GetDefaultObject(): AnimGraphNode_TransitionPoseEvaluator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TransitionPoseEvaluator;
+	static C(Other: UObject | any): AnimGraphNode_TransitionPoseEvaluator;
 }
 
-declare class MovieSceneVectorSection extends MovieSceneSection { 
-	Curves: RichCurve;
-	ChannelsUsed: number;
-	static Load(ResourceName: string): MovieSceneVectorSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneVectorSection;
-	static GetDefaultObject(): MovieSceneVectorSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVectorSection;
-	static C(Other: UObject | any): MovieSceneVectorSection;
+declare class ReferenceBoneFrame { 
+	Bone: BoneReference;
+	Axis: Axis;
+	clone() : ReferenceBoneFrame;
+	static C(Other: UObject | any): ReferenceBoneFrame;
 }
 
-declare class MovieSceneVectorTrack extends MovieScenePropertyTrack { 
-	NumChannelsUsed: number;
-	static Load(ResourceName: string): MovieSceneVectorTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneVectorTrack;
-	static GetDefaultObject(): MovieSceneVectorTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVectorTrack;
-	static C(Other: UObject | any): MovieSceneVectorTrack;
+declare class AnimCurveParam { 
+	Name: string;
+	clone() : AnimCurveParam;
+	static C(Other: UObject | any): AnimCurveParam;
 }
 
-declare class MovieSceneVisibilityTrack extends MovieSceneBoolTrack { 
-	static Load(ResourceName: string): MovieSceneVisibilityTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneVisibilityTrack;
-	static GetDefaultObject(): MovieSceneVisibilityTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVisibilityTrack;
-	static C(Other: UObject | any): MovieSceneVisibilityTrack;
+declare class AnimNode_TwistCorrectiveNode extends AnimNode_SkeletalControlBase { 
+	BaseFrame: ReferenceBoneFrame;
+	TwistFrame: ReferenceBoneFrame;
+	TwistPlaneNormalAxis: Axis;
+	RangeMax: number;
+	RemappedMin: number;
+	RemappedMax: number;
+	Curve: AnimCurveParam;
+	clone() : AnimNode_TwistCorrectiveNode;
+	static C(Other: UObject | any): AnimNode_TwistCorrectiveNode;
 }
 
-declare class MovieSceneBindingOverrideData { 
-	ObjectBindingId: MovieSceneObjectBindingID;
-	UObject: any;
-	bOverridesDefault: boolean;
-	clone() : MovieSceneBindingOverrideData;
-	static C(Other: UObject | any): MovieSceneBindingOverrideData;
+declare class AnimGraphNode_TwistCorrectiveNode extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_TwistCorrectiveNode;
+	static Load(ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwistCorrectiveNode;
+	static GetDefaultObject(): AnimGraphNode_TwistCorrectiveNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwistCorrectiveNode;
+	static C(Other: UObject | any): AnimGraphNode_TwistCorrectiveNode;
 }
 
-declare class MovieSceneBindingOverrides extends UObject { 
-	BindingData: MovieSceneBindingOverrideData[];
-	static Load(ResourceName: string): MovieSceneBindingOverrides;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBindingOverrides;
-	static GetDefaultObject(): MovieSceneBindingOverrides;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBindingOverrides;
-	static C(Other: UObject | any): MovieSceneBindingOverrides;
+declare class AnimNode_TwoBoneIK extends AnimNode_SkeletalControlBase { 
+	IKBone: BoneReference;
+	StartStretchRatio: number;
+	MaxStretchScale: number;
+	StretchLimits: Vector2D;
+	bNoTwist: boolean;
+	JointTargetSpaceBoneName: string;
+	EffectorSpaceBoneName: string;
+	EffectorLocation: Vector;
+	EffectorTarget: BoneSocketTarget;
+	JointTargetLocation: Vector;
+	JointTarget: BoneSocketTarget;
+	TwistAxis: Axis;
+	EffectorLocationSpace: EBoneControlSpace;
+	JointTargetLocationSpace: EBoneControlSpace;
+	bAllowStretching: boolean;
+	bTakeRotationFromEffectorSpace: boolean;
+	bMaintainEffectorRelRot: boolean;
+	bAllowTwist: boolean;
+	clone() : AnimNode_TwoBoneIK;
+	static C(Other: UObject | any): AnimNode_TwoBoneIK;
 }
 
-declare class MovieSceneBindingOverridesInterface extends Interface { 
-	static Load(ResourceName: string): MovieSceneBindingOverridesInterface;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBindingOverridesInterface;
-	static GetDefaultObject(): MovieSceneBindingOverridesInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBindingOverridesInterface;
-	static C(Other: UObject | any): MovieSceneBindingOverridesInterface;
+declare class AnimGraphNode_TwoBoneIK extends AnimGraphNode_SkeletalControlBase { 
+	UNode: AnimNode_TwoBoneIK;
+	bEnableDebugDraw: boolean;
+	static Load(ResourceName: string): AnimGraphNode_TwoBoneIK;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoBoneIK;
+	static GetDefaultObject(): AnimGraphNode_TwoBoneIK;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoBoneIK;
+	static C(Other: UObject | any): AnimGraphNode_TwoBoneIK;
 }
 
-declare class MovieSceneBindingOwnerInterface extends Interface { 
-	static Load(ResourceName: string): MovieSceneBindingOwnerInterface;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBindingOwnerInterface;
-	static GetDefaultObject(): MovieSceneBindingOwnerInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBindingOwnerInterface;
-	static C(Other: UObject | any): MovieSceneBindingOwnerInterface;
+declare class AnimNode_TwoWayBlend extends AnimNode_Base { 
+	A: PoseLink;
+	B: PoseLink;
+	AlphaInputType: EAnimAlphaInputType;
+	bAlphaBoolEnabled: boolean;
+	bResetChildOnActivation: boolean;
+	Alpha: number;
+	AlphaScaleBias: InputScaleBias;
+	AlphaBoolBlend: InputAlphaBoolBlend;
+	AlphaCurveName: string;
+	AlphaScaleBiasClamp: InputScaleBiasClamp;
+	clone() : AnimNode_TwoWayBlend;
+	static C(Other: UObject | any): AnimNode_TwoWayBlend;
 }
 
-declare type EMovieSceneBuiltInEasing = 'Linear' | 'SinIn' | 'SinOut' | 'SinInOut' | 'QuadIn' | 'QuadOut' | 'QuadInOut' | 'CubicIn' | 'CubicOut' | 'CubicInOut' | 'QuartIn' | 'QuartOut' | 'QuartInOut' | 'QuintIn' | 'QuintOut' | 'QuintInOut' | 'ExpoIn' | 'ExpoOut' | 'ExpoInOut' | 'CircIn' | 'CircOut' | 'CircInOut' | 'EMovieSceneBuiltInEasing_MAX';
-declare var EMovieSceneBuiltInEasing : { Linear:'Linear',SinIn:'SinIn',SinOut:'SinOut',SinInOut:'SinInOut',QuadIn:'QuadIn',QuadOut:'QuadOut',QuadInOut:'QuadInOut',CubicIn:'CubicIn',CubicOut:'CubicOut',CubicInOut:'CubicInOut',QuartIn:'QuartIn',QuartOut:'QuartOut',QuartInOut:'QuartInOut',QuintIn:'QuintIn',QuintOut:'QuintOut',QuintInOut:'QuintInOut',ExpoIn:'ExpoIn',ExpoOut:'ExpoOut',ExpoInOut:'ExpoInOut',CircIn:'CircIn',CircOut:'CircOut',CircInOut:'CircInOut',EMovieSceneBuiltInEasing_MAX:'EMovieSceneBuiltInEasing_MAX', };
-declare class MovieSceneBuiltInEasingFunction extends UObject { 
-	Type: EMovieSceneBuiltInEasing;
-	static Load(ResourceName: string): MovieSceneBuiltInEasingFunction;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneBuiltInEasingFunction;
-	static GetDefaultObject(): MovieSceneBuiltInEasingFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBuiltInEasingFunction;
-	static C(Other: UObject | any): MovieSceneBuiltInEasingFunction;
+declare class AnimGraphNode_TwoWayBlend extends AnimGraphNode_Base { 
+	BlendNode: AnimNode_TwoWayBlend;
+	static Load(ResourceName: string): AnimGraphNode_TwoWayBlend;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_TwoWayBlend;
+	static GetDefaultObject(): AnimGraphNode_TwoWayBlend;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_TwoWayBlend;
+	static C(Other: UObject | any): AnimGraphNode_TwoWayBlend;
 }
 
-declare class MovieSceneEasingExternalCurve extends UObject { 
-	Curve: CurveFloat;
-	static Load(ResourceName: string): MovieSceneEasingExternalCurve;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEasingExternalCurve;
-	static GetDefaultObject(): MovieSceneEasingExternalCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEasingExternalCurve;
-	static C(Other: UObject | any): MovieSceneEasingExternalCurve;
+declare class AnimNode_UseCachedPose extends AnimNode_Base { 
+	LinkToCachingNode: PoseLink;
+	CachePoseName: string;
+	clone() : AnimNode_UseCachedPose;
+	static C(Other: UObject | any): AnimNode_UseCachedPose;
 }
 
-declare class MovieSceneEasingFunction extends Interface { 
-	static Load(ResourceName: string): MovieSceneEasingFunction;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneEasingFunction;
-	static GetDefaultObject(): MovieSceneEasingFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEasingFunction;
-	OnEvaluate(Interp: number): number;
-	static C(Other: UObject | any): MovieSceneEasingFunction;
+declare class AnimGraphNode_UseCachedPose extends AnimGraphNode_Base { 
+	UNode: AnimNode_UseCachedPose;
+	SaveCachedPoseNode: any;
+	NameOfCache: string;
+	static Load(ResourceName: string): AnimGraphNode_UseCachedPose;
+	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_UseCachedPose;
+	static GetDefaultObject(): AnimGraphNode_UseCachedPose;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_UseCachedPose;
+	static C(Other: UObject | any): AnimGraphNode_UseCachedPose;
 }
 
-declare class MovieSceneSegmentCompilerTestTrack extends MovieSceneTrack { 
-	bHighPassFilter: boolean;
-	SectionArray: MovieSceneSection[];
-	static Load(ResourceName: string): MovieSceneSegmentCompilerTestTrack;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSegmentCompilerTestTrack;
-	static GetDefaultObject(): MovieSceneSegmentCompilerTestTrack;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSegmentCompilerTestTrack;
-	static C(Other: UObject | any): MovieSceneSegmentCompilerTestTrack;
+declare class AnimCustomInstance extends AnimInstance { 
+	static Load(ResourceName: string): AnimCustomInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimCustomInstance;
+	static GetDefaultObject(): AnimCustomInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCustomInstance;
+	static C(Other: UObject | any): AnimCustomInstance;
 }
 
-declare class MovieSceneSegmentCompilerTestSection extends MovieSceneSection { 
-	static Load(ResourceName: string): MovieSceneSegmentCompilerTestSection;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSegmentCompilerTestSection;
-	static GetDefaultObject(): MovieSceneSegmentCompilerTestSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSegmentCompilerTestSection;
-	static C(Other: UObject | any): MovieSceneSegmentCompilerTestSection;
+declare class AnimPreviewAttacheInstance extends AnimCustomInstance { 
+	static Load(ResourceName: string): AnimPreviewAttacheInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimPreviewAttacheInstance;
+	static GetDefaultObject(): AnimPreviewAttacheInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimPreviewAttacheInstance;
+	static C(Other: UObject | any): AnimPreviewAttacheInstance;
 }
 
-declare type EMovieScenePlayerStatus = 'Stopped' | 'Playing' | 'Recording' | 'Scrubbing' | 'Jumping' | 'Stepping' | 'Paused' | 'MAX';
-declare var EMovieScenePlayerStatus : { Stopped:'Stopped',Playing:'Playing',Recording:'Recording',Scrubbing:'Scrubbing',Jumping:'Jumping',Stepping:'Stepping',Paused:'Paused',MAX:'MAX', };
-declare class MovieSceneSequencePlaybackSettings { 
-	LoopCount: number;
-	PlayRate: number;
-	bRandomStartTime: boolean;
-	StartTime: number;
-	bRestoreState: boolean;
-	bDisableMovementInput: boolean;
-	bDisableLookAtInput: boolean;
-	bHidePlayer: boolean;
-	bHideHud: boolean;
-	bDisableCameraCuts: boolean;
-	InstanceData: UObject;
-	BindingOverrides: any;
-	clone() : MovieSceneSequencePlaybackSettings;
-	static C(Other: UObject | any): MovieSceneSequencePlaybackSettings;
+declare class AnimSingleNodeInstance extends AnimInstance { 
+	CurrentAsset: AnimationAsset;
+	PostEvaluateAnimEvent: UnrealEngineDelegate<() => void>;
+	static Load(ResourceName: string): AnimSingleNodeInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSingleNodeInstance;
+	static GetDefaultObject(): AnimSingleNodeInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSingleNodeInstance;
+	StopAnim(): void;
+	SetReverse(bInReverse: boolean): void;
+	SetPreviewCurveOverride(PoseName: string,Value: number,bRemoveIfZero: boolean): void;
+	SetPositionWithPreviousTime(InPosition: number,InPreviousTime: number,bFireNotifies: boolean): void;
+	SetPosition(InPosition: number,bFireNotifies: boolean): void;
+	SetPlayRate(InPlayRate: number): void;
+	SetPlaying(bIsPlaying: boolean): void;
+	SetLooping(bIsLooping: boolean): void;
+	SetBlendSpaceInput(InBlendInput: Vector): void;
+	SetAnimationAsset(NewAsset: AnimationAsset,bIsLooping: boolean,InPlayRate: number): void;
+	PlayAnim(bIsLooping: boolean,InPlayRate: number,InStartPosition: number): void;
+	GetLength(): number;
+	GetAnimationAsset(): AnimationAsset;
+	static C(Other: UObject | any): AnimSingleNodeInstance;
 }
 
-declare class MovieSceneSequencePlayer extends UObject { 
-	OnPlay: UnrealEngineMulticastDelegate<() => void>;
-	OnPlayReverse: UnrealEngineMulticastDelegate<() => void>;
-	OnStop: UnrealEngineMulticastDelegate<() => void>;
-	OnPause: UnrealEngineMulticastDelegate<() => void>;
-	OnFinished: UnrealEngineMulticastDelegate<() => void>;
-	Status: EMovieScenePlayerStatus;
-	bReversePlayback: boolean;
-	bPendingFirstUpdate: boolean;
-	Sequence: MovieSceneSequence;
-	TimeCursorPosition: number;
-	StartTime: number;
-	EndTime: number;
-	CurrentNumLoops: number;
-	PlaybackSettings: MovieSceneSequencePlaybackSettings;
-	static Load(ResourceName: string): MovieSceneSequencePlayer;
-	static Find(Outer: UObject, ResourceName: string): MovieSceneSequencePlayer;
-	static GetDefaultObject(): MovieSceneSequencePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSequencePlayer;
-	Stop(): void;
-	StartPlayingNextTick(): void;
-	SetPlayRate(PlayRate: number): void;
-	SetPlaybackRange(NewStartTime: number,NewEndTime: number): void;
-	SetPlaybackPosition(NewPlaybackPosition: number): void;
-	SetDisableCameraCuts(bInDisableCameraCuts: boolean): void;
-	Scrub(): void;
-	PlayReverse(): void;
-	PlayLooping(NumLoops: number): void;
-	Play(): void;
-	Pause(): void;
-	JumpToPosition(NewPlaybackPosition: number): void;
-	IsPlaying(): boolean;
-	IsPaused(): boolean;
-	GoToEndAndStop(): void;
-	GetPlayRate(): number;
-	GetPlaybackStart(): number;
-	GetPlaybackPosition(): number;
-	GetPlaybackEnd(): number;
-	GetLength(): number;
-	GetDisableCameraCuts(): boolean;
-	GetBoundObjects(ObjectBinding: MovieSceneObjectBindingID): UObject[];
-	ChangePlaybackDirection(): void;
-	static C(Other: UObject | any): MovieSceneSequencePlayer;
+declare type EMontagePreviewType = 'EMPT_Normal' | 'EMPT_AllSections' | 'EMPT_MAX';
+declare var EMontagePreviewType : { EMPT_Normal:'EMPT_Normal',EMPT_AllSections:'EMPT_AllSections',EMPT_MAX:'EMPT_MAX', };
+declare class AnimPreviewInstance extends AnimSingleNodeInstance { 
+	MontagePreviewType: EMontagePreviewType;
+	MontagePreviewStartSectionIdx: number;
+	static Load(ResourceName: string): AnimPreviewInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimPreviewInstance;
+	static GetDefaultObject(): AnimPreviewInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimPreviewInstance;
+	static C(Other: UObject | any): AnimPreviewInstance;
 }
 
-declare class DefaultLevelSequenceInstanceData extends UObject { 
-	TransformOriginActor: Actor;
-	TransformOrigin: Transform;
-	static Load(ResourceName: string): DefaultLevelSequenceInstanceData;
-	static Find(Outer: UObject, ResourceName: string): DefaultLevelSequenceInstanceData;
-	static GetDefaultObject(): DefaultLevelSequenceInstanceData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultLevelSequenceInstanceData;
-	static C(Other: UObject | any): DefaultLevelSequenceInstanceData;
+declare class AnimStateNodeBase extends EdGraphNode { 
+	static Load(ResourceName: string): AnimStateNodeBase;
+	static Find(Outer: UObject, ResourceName: string): AnimStateNodeBase;
+	static GetDefaultObject(): AnimStateNodeBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNodeBase;
+	static C(Other: UObject | any): AnimStateNodeBase;
 }
 
-declare class LevelSequenceObjectReferenceMap { 
-	clone() : LevelSequenceObjectReferenceMap;
-	static C(Other: UObject | any): LevelSequenceObjectReferenceMap;
+declare class AnimStateConduitNode extends AnimStateNodeBase { 
+	BoundGraph: EdGraph;
+	static Load(ResourceName: string): AnimStateConduitNode;
+	static Find(Outer: UObject, ResourceName: string): AnimStateConduitNode;
+	static GetDefaultObject(): AnimStateConduitNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateConduitNode;
+	static C(Other: UObject | any): AnimStateConduitNode;
 }
 
-declare class LevelSequenceBindingReferences { 
-	BindingIdToReferences: any;
-	clone() : LevelSequenceBindingReferences;
-	static C(Other: UObject | any): LevelSequenceBindingReferences;
+declare type EAnimStateType = 'AST_SingleAnimation' | 'AST_BlendGraph' | 'AST_MAX';
+declare var EAnimStateType : { AST_SingleAnimation:'AST_SingleAnimation',AST_BlendGraph:'AST_BlendGraph',AST_MAX:'AST_MAX', };
+declare class AnimStateNode extends AnimStateNodeBase { 
+	BoundGraph: EdGraph;
+	StateType: EAnimStateType;
+	StateEntered: AnimNotifyEvent;
+	StateLeft: AnimNotifyEvent;
+	StateFullyBlended: AnimNotifyEvent;
+	bAlwaysResetOnEntry: boolean;
+	static Load(ResourceName: string): AnimStateNode;
+	static Find(Outer: UObject, ResourceName: string): AnimStateNode;
+	static GetDefaultObject(): AnimStateNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateNode;
+	static C(Other: UObject | any): AnimStateNode;
 }
 
-declare class LevelSequence extends MovieSceneSequence { 
-	MovieScene: MovieScene;
-	ObjectReferences: LevelSequenceObjectReferenceMap;
-	BindingReferences: LevelSequenceBindingReferences;
-	PossessedObjects: any;
-	static Load(ResourceName: string): LevelSequence;
-	static Find(Outer: UObject, ResourceName: string): LevelSequence;
-	static GetDefaultObject(): LevelSequence;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequence;
-	static C(Other: UObject | any): LevelSequence;
+declare type ETransitionBlendMode = 'TBM_Linear' | 'TBM_Cubic' | 'TBM_MAX';
+declare var ETransitionBlendMode : { TBM_Linear:'TBM_Linear',TBM_Cubic:'TBM_Cubic',TBM_MAX:'TBM_MAX', };
+declare type ETransitionLogicType = 'TLT_StandardBlend' | 'TLT_Custom' | 'TLT_MAX';
+declare var ETransitionLogicType : { TLT_StandardBlend:'TLT_StandardBlend',TLT_Custom:'TLT_Custom',TLT_MAX:'TLT_MAX', };
+declare class AnimStateTransitionNode extends AnimStateNodeBase { 
+	BoundGraph: EdGraph;
+	CustomTransitionGraph: EdGraph;
+	PriorityOrder: number;
+	CrossfadeDuration: number;
+	CrossfadeMode: ETransitionBlendMode;
+	BlendMode: EAlphaBlendOption;
+	CustomBlendCurve: CurveFloat;
+	BlendProfile: BlendProfile;
+	bAutomaticRuleBasedOnSequencePlayerInState: boolean;
+	LogicType: ETransitionLogicType;
+	TransitionStart: AnimNotifyEvent;
+	TransitionEnd: AnimNotifyEvent;
+	TransitionInterrupt: AnimNotifyEvent;
+	Bidirectional: boolean;
+	bSharedRules: boolean;
+	bSharedCrossfade: boolean;
+	SharedRulesName: string;
+	SharedRulesGuid: Guid;
+	SharedColor: LinearColor;
+	SharedCrossfadeName: string;
+	SharedCrossfadeGuid: Guid;
+	SharedCrossfadeIdx: number;
+	static Load(ResourceName: string): AnimStateTransitionNode;
+	static Find(Outer: UObject, ResourceName: string): AnimStateTransitionNode;
+	static GetDefaultObject(): AnimStateTransitionNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateTransitionNode;
+	static C(Other: UObject | any): AnimStateTransitionNode;
 }
 
-declare class LevelSequencePlayer extends MovieSceneSequencePlayer { 
-	OnCameraCut: UnrealEngineMulticastDelegate<(CameraComponent: CameraComponent) => void>;
-	AdditionalEventReceivers: UObject[];
-	static Load(ResourceName: string): LevelSequencePlayer;
-	static Find(Outer: UObject, ResourceName: string): LevelSequencePlayer;
-	static GetDefaultObject(): LevelSequencePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequencePlayer;
-	static CreateLevelSequencePlayer(WorldContextObject: UObject,LevelSequence: LevelSequence,Settings: MovieSceneSequencePlaybackSettings,OutActor?: LevelSequenceActor): {OutActor: LevelSequenceActor, $: LevelSequencePlayer};
-	static C(Other: UObject | any): LevelSequencePlayer;
+declare class K2Node_CallFunction extends K2Node { 
+	bIsPureFunc: boolean;
+	bIsConstFunc: boolean;
+	bWantsEnumToExecExpansion: boolean;
+	bIsInterfaceCall: boolean;
+	bIsFinalFunction: boolean;
+	bIsBeadFunction: boolean;
+	FunctionReference: MemberReference;
+	CallFunctionName: string;
+	CallFunctionClass: UnrealEngineClass;
+	static Load(ResourceName: string): K2Node_CallFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunction;
+	static GetDefaultObject(): K2Node_CallFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunction;
+	static C(Other: UObject | any): K2Node_CallFunction;
 }
 
-declare class LevelSequenceSnapshotSettings { 
-	ZeroPadAmount: number;
-	FrameRate: number;
-	clone() : LevelSequenceSnapshotSettings;
-	static C(Other: UObject | any): LevelSequenceSnapshotSettings;
+declare class K2Node_AnimGetter extends K2Node_CallFunction { 
+	SourceNode: AnimGraphNode_Base;
+	SourceStateNode: AnimStateNodeBase;
+	GetterClass: UnrealEngineClass;
+	SourceAnimBlueprint: AnimBlueprint;
+	CachedTitle: string;
+	Contexts: string[];
+	static Load(ResourceName: string): K2Node_AnimGetter;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AnimGetter;
+	static GetDefaultObject(): K2Node_AnimGetter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AnimGetter;
+	static C(Other: UObject | any): K2Node_AnimGetter;
 }
 
-declare class LevelSequencePlayerSnapshot { 
-	MasterName: string;
-	MasterTime: number;
-	CurrentShotName: string;
-	CurrentShotLocalTime: number;
-	CameraComponent: CameraComponent;
-	Settings: LevelSequenceSnapshotSettings;
-	ShotID: MovieSceneSequenceID;
-	clone() : LevelSequencePlayerSnapshot;
-	static C(Other: UObject | any): LevelSequencePlayerSnapshot;
+declare class K2Node_PlayMontage extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_PlayMontage;
+	static Find(Outer: UObject, ResourceName: string): K2Node_PlayMontage;
+	static GetDefaultObject(): K2Node_PlayMontage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_PlayMontage;
+	static C(Other: UObject | any): K2Node_PlayMontage;
 }
 
-declare class LevelSequenceBurnIn extends UserWidget { 
-	FrameInformation: LevelSequencePlayerSnapshot;
-	LevelSequenceActor: LevelSequenceActor;
-	static Load(ResourceName: string): LevelSequenceBurnIn;
-	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnIn;
-	static GetDefaultObject(): LevelSequenceBurnIn;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnIn;
-	SetSettings(InSettings: UObject): void;
-	GetSettingsClass(): UnrealEngineClass;
-	static C(Other: UObject | any): LevelSequenceBurnIn;
+declare type ETransitionGetter = 'AnimationAsset_GetCurrentTime' | 'AnimationAsset_GetLength' | 'AnimationAsset_GetCurrentTimeFraction' | 'AnimationAsset_GetTimeFromEnd' | 'AnimationAsset_GetTimeFromEndFraction' | 'CurrentState_ElapsedTime' | 'CurrentState_GetBlendWeight' | 'CurrentTransitionDuration' | 'ArbitraryState_GetBlendWeight' | 'ETransitionGetter_MAX';
+declare var ETransitionGetter : { AnimationAsset_GetCurrentTime:'AnimationAsset_GetCurrentTime',AnimationAsset_GetLength:'AnimationAsset_GetLength',AnimationAsset_GetCurrentTimeFraction:'AnimationAsset_GetCurrentTimeFraction',AnimationAsset_GetTimeFromEnd:'AnimationAsset_GetTimeFromEnd',AnimationAsset_GetTimeFromEndFraction:'AnimationAsset_GetTimeFromEndFraction',CurrentState_ElapsedTime:'CurrentState_ElapsedTime',CurrentState_GetBlendWeight:'CurrentState_GetBlendWeight',CurrentTransitionDuration:'CurrentTransitionDuration',ArbitraryState_GetBlendWeight:'ArbitraryState_GetBlendWeight',ETransitionGetter_MAX:'ETransitionGetter_MAX', };
+declare class K2Node_TransitionRuleGetter extends K2Node { 
+	GetterType: ETransitionGetter;
+	AssociatedAnimAssetPlayerNode: AnimGraphNode_Base;
+	AssociatedStateNode: AnimStateNode;
+	static Load(ResourceName: string): K2Node_TransitionRuleGetter;
+	static Find(Outer: UObject, ResourceName: string): K2Node_TransitionRuleGetter;
+	static GetDefaultObject(): K2Node_TransitionRuleGetter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TransitionRuleGetter;
+	static C(Other: UObject | any): K2Node_TransitionRuleGetter;
 }
 
-declare class LevelSequenceActor extends Actor { 
-	bAutoPlay: boolean;
-	PlaybackSettings: MovieSceneSequencePlaybackSettings;
-	SequencePlayer: LevelSequencePlayer;
-	LevelSequence: SoftObjectPath;
-	AdditionalEventReceivers: Actor[];
-	BurnInOptions: LevelSequenceBurnInOptions;
-	BindingOverrides: MovieSceneBindingOverrides;
-	bOverrideInstanceData: boolean;
-	DefaultInstanceData: UObject;
-	BurnInInstance: LevelSequenceBurnIn;
-	static GetDefaultObject(): LevelSequenceActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceActor;
-	SetSequence(InSequence: LevelSequence): void;
-	SetEventReceivers(AdditionalReceivers: Actor[]): void;
-	SetBinding(Binding: MovieSceneObjectBindingID,Actors: Actor[],bAllowBindingsFromAsset: boolean): void;
-	ResetBindings(): void;
-	ResetBinding(Binding: MovieSceneObjectBindingID): void;
-	RemoveBinding(Binding: MovieSceneObjectBindingID,Actor: Actor): void;
-	GetSequence(bLoad: boolean,bInitializePlayer: boolean): LevelSequence;
-	AddBinding(Binding: MovieSceneObjectBindingID,Actor: Actor,bAllowBindingsFromAsset: boolean): void;
-	static C(Other: UObject | any): LevelSequenceActor;
+declare class BlueprintNodeSpawner extends UObject { 
+	NodeClass: UnrealEngineClass;
+	static Load(ResourceName: string): BlueprintNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintNodeSpawner;
+	static GetDefaultObject(): BlueprintNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintNodeSpawner;
+	static C(Other: UObject | any): BlueprintNodeSpawner;
 }
 
-declare class ActorFactory extends UObject { 
-	DisplayName: string;
-	MenuPriority: number;
-	NewActorClassName: string;
-	NewActorClass: UnrealEngineClass;
-	bShowInEditorQuickMenu: boolean;
-	bUseSurfaceOrientation: boolean;
-	SpawnPositionOffset: Vector;
-	static Load(ResourceName: string): ActorFactory;
-	static Find(Outer: UObject, ResourceName: string): ActorFactory;
-	static GetDefaultObject(): ActorFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactory;
-	static C(Other: UObject | any): ActorFactory;
+declare class BlueprintEventNodeSpawner extends BlueprintNodeSpawner { 
+	EventFunc: UFunction;
+	CustomEventName: string;
+	static Load(ResourceName: string): BlueprintEventNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintEventNodeSpawner;
+	static GetDefaultObject(): BlueprintEventNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEventNodeSpawner;
+	static C(Other: UObject | any): BlueprintEventNodeSpawner;
 }
 
-declare class ActorFactoryAmbientSound extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryAmbientSound;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryAmbientSound;
-	static GetDefaultObject(): ActorFactoryAmbientSound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAmbientSound;
-	static C(Other: UObject | any): ActorFactoryAmbientSound;
+declare class BlueprintBoundEventNodeSpawner extends BlueprintEventNodeSpawner { 
+	EventDelegate: MulticastDelegateProperty;
+	static Load(ResourceName: string): BlueprintBoundEventNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintBoundEventNodeSpawner;
+	static GetDefaultObject(): BlueprintBoundEventNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundEventNodeSpawner;
+	static C(Other: UObject | any): BlueprintBoundEventNodeSpawner;
 }
 
-declare class ActorFactorySkeletalMesh extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactorySkeletalMesh;
-	static Find(Outer: UObject, ResourceName: string): ActorFactorySkeletalMesh;
-	static GetDefaultObject(): ActorFactorySkeletalMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySkeletalMesh;
-	static C(Other: UObject | any): ActorFactorySkeletalMesh;
+declare class BlueprintBoundNodeSpawner extends BlueprintNodeSpawner { 
+	static Load(ResourceName: string): BlueprintBoundNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintBoundNodeSpawner;
+	static GetDefaultObject(): BlueprintBoundNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintBoundNodeSpawner;
+	static C(Other: UObject | any): BlueprintBoundNodeSpawner;
 }
 
-declare class ActorFactoryAnimationAsset extends ActorFactorySkeletalMesh { 
-	static Load(ResourceName: string): ActorFactoryAnimationAsset;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryAnimationAsset;
-	static GetDefaultObject(): ActorFactoryAnimationAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAnimationAsset;
-	static C(Other: UObject | any): ActorFactoryAnimationAsset;
+declare class BlueprintComponentNodeSpawner extends BlueprintNodeSpawner { 
+	ComponentClass: UnrealEngineClass;
+	ComponentName: string;
+	ComponentAssetName: string;
+	static Load(ResourceName: string): BlueprintComponentNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintComponentNodeSpawner;
+	static GetDefaultObject(): BlueprintComponentNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintComponentNodeSpawner;
+	static C(Other: UObject | any): BlueprintComponentNodeSpawner;
+}
+
+declare class BlueprintFieldNodeSpawner extends BlueprintNodeSpawner { 
+	Field: Field;
+	static Load(ResourceName: string): BlueprintFieldNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintFieldNodeSpawner;
+	static GetDefaultObject(): BlueprintFieldNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFieldNodeSpawner;
+	static C(Other: UObject | any): BlueprintFieldNodeSpawner;
+}
+
+declare class BlueprintDelegateNodeSpawner extends BlueprintFieldNodeSpawner { 
+	static Load(ResourceName: string): BlueprintDelegateNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintDelegateNodeSpawner;
+	static GetDefaultObject(): BlueprintDelegateNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintDelegateNodeSpawner;
+	static C(Other: UObject | any): BlueprintDelegateNodeSpawner;
+}
+
+declare type ESaveOnCompile = 'SoC_Never' | 'SoC_SuccessOnly' | 'SoC_Always' | 'SoC_MAX';
+declare var ESaveOnCompile : { SoC_Never:'SoC_Never',SoC_SuccessOnly:'SoC_SuccessOnly',SoC_Always:'SoC_Always',SoC_MAX:'SoC_MAX', };
+declare class BlueprintEditorSettings extends UObject { 
+	bDrawMidpointArrowsInBlueprints: boolean;
+	bShowGraphInstructionText: boolean;
+	bSplitContextTargetSettings: boolean;
+	bExposeAllMemberComponentFunctions: boolean;
+	bShowContextualFavorites: boolean;
+	bCompactCallOnMemberNodes: boolean;
+	bFlattenFavoritesMenus: boolean;
+	bFavorPureCastNodes: boolean;
+	bAutoCastObjectConnections: boolean;
+	bShowViewportOnSimulate: boolean;
+	bShowInheritedVariables: boolean;
+	bShowEmptySections: boolean;
+	bSpawnDefaultBlueprintNodes: boolean;
+	bHideConstructionScriptComponentsInDetailsView: boolean;
+	bHostFindInBlueprintsInGlobalTab: boolean;
+	bNavigateToNativeFunctionsFromCallNodes: boolean;
+	Bookmarks: any;
+	BookmarkNodes: BPEditorBookmarkNode[];
+	bIncludeCommentNodesInBookmarksTab: boolean;
+	bShowBookmarksForCurrentDocumentOnlyInTab: boolean;
+	GraphEditorQuickJumps: any;
+	SaveOnCompile: ESaveOnCompile;
+	bJumpToNodeErrors: boolean;
+	bAllowExplicitImpureNodeDisabling: boolean;
+	bShowActionMenuItemSignatures: boolean;
+	bBlueprintNodeUniqueNames: boolean;
+	bShowDetailedCompileResults: boolean;
+	CompileEventDisplayThresholdMs: number;
+	NodeTemplateCacheCapMB: number;
+	static Load(ResourceName: string): BlueprintEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): BlueprintEditorSettings;
+	static GetDefaultObject(): BlueprintEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEditorSettings;
+	static C(Other: UObject | any): BlueprintEditorSettings;
+}
+
+declare class BlueprintFunctionNodeSpawner extends BlueprintFieldNodeSpawner { 
+	static Load(ResourceName: string): BlueprintFunctionNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionNodeSpawner;
+	static GetDefaultObject(): BlueprintFunctionNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionNodeSpawner;
+	static C(Other: UObject | any): BlueprintFunctionNodeSpawner;
+}
+
+declare class BlueprintVariableNodeSpawner extends BlueprintFieldNodeSpawner { 
+	LocalVarOuter: EdGraph;
+	LocalVarDesc: BPVariableDescription;
+	static Load(ResourceName: string): BlueprintVariableNodeSpawner;
+	static Find(Outer: UObject, ResourceName: string): BlueprintVariableNodeSpawner;
+	static GetDefaultObject(): BlueprintVariableNodeSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintVariableNodeSpawner;
+	static C(Other: UObject | any): BlueprintVariableNodeSpawner;
+}
+
+declare class K2Node_ActorBoundEvent extends K2Node_Event { 
+	DelegatePropertyName: string;
+	DelegateOwnerClass: UnrealEngineClass;
+	EventOwner: Actor;
+	static Load(ResourceName: string): K2Node_ActorBoundEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ActorBoundEvent;
+	static GetDefaultObject(): K2Node_ActorBoundEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ActorBoundEvent;
+	static C(Other: UObject | any): K2Node_ActorBoundEvent;
+}
+
+declare class K2Node_AddComponent extends K2Node_CallFunction { 
+	bHasExposedVariable: boolean;
+	TemplateBlueprint: string;
+	TemplateType: UnrealEngineClass;
+	static Load(ResourceName: string): K2Node_AddComponent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AddComponent;
+	static GetDefaultObject(): K2Node_AddComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddComponent;
+	static C(Other: UObject | any): K2Node_AddComponent;
+}
+
+declare class K2Node_BaseMCDelegate extends K2Node { 
+	DelegateReference: MemberReference;
+	static Load(ResourceName: string): K2Node_BaseMCDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_BaseMCDelegate;
+	static GetDefaultObject(): K2Node_BaseMCDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BaseMCDelegate;
+	static C(Other: UObject | any): K2Node_BaseMCDelegate;
+}
+
+declare class K2Node_AddDelegate extends K2Node_BaseMCDelegate { 
+	static Load(ResourceName: string): K2Node_AddDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AddDelegate;
+	static GetDefaultObject(): K2Node_AddDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddDelegate;
+	static C(Other: UObject | any): K2Node_AddDelegate;
+}
+
+declare class K2Node_AddPinInterface extends Interface { 
+	static Load(ResourceName: string): K2Node_AddPinInterface;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AddPinInterface;
+	static GetDefaultObject(): K2Node_AddPinInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AddPinInterface;
+	static C(Other: UObject | any): K2Node_AddPinInterface;
+}
+
+declare class K2Node_AssignDelegate extends K2Node_AddDelegate { 
+	static Load(ResourceName: string): K2Node_AssignDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AssignDelegate;
+	static GetDefaultObject(): K2Node_AssignDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignDelegate;
+	static C(Other: UObject | any): K2Node_AssignDelegate;
+}
+
+declare class K2Node_AssignmentStatement extends K2Node { 
+	static Load(ResourceName: string): K2Node_AssignmentStatement;
+	static Find(Outer: UObject, ResourceName: string): K2Node_AssignmentStatement;
+	static GetDefaultObject(): K2Node_AssignmentStatement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_AssignmentStatement;
+	static C(Other: UObject | any): K2Node_AssignmentStatement;
+}
+
+declare class K2Node_BitmaskLiteral extends K2Node { 
+	BitflagsEnum: Enum;
+	static Load(ResourceName: string): K2Node_BitmaskLiteral;
+	static Find(Outer: UObject, ResourceName: string): K2Node_BitmaskLiteral;
+	static GetDefaultObject(): K2Node_BitmaskLiteral;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BitmaskLiteral;
+	static C(Other: UObject | any): K2Node_BitmaskLiteral;
+}
+
+declare type ESelfContextInfo = 'Unspecified' | 'NotSelfContext' | 'ESelfContextInfo_MAX';
+declare var ESelfContextInfo : { Unspecified:'Unspecified',NotSelfContext:'NotSelfContext',ESelfContextInfo_MAX:'ESelfContextInfo_MAX', };
+declare class K2Node_Variable extends K2Node { 
+	VariableReference: MemberReference;
+	SelfContextInfo: ESelfContextInfo;
+	VariableSourceClass: UnrealEngineClass;
+	VariableName: string;
+	bSelfContext: boolean;
+	static Load(ResourceName: string): K2Node_Variable;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Variable;
+	static GetDefaultObject(): K2Node_Variable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Variable;
+	static C(Other: UObject | any): K2Node_Variable;
+}
+
+declare class K2Node_StructOperation extends K2Node_Variable { 
+	StructType: ScriptStruct;
+	static Load(ResourceName: string): K2Node_StructOperation;
+	static Find(Outer: UObject, ResourceName: string): K2Node_StructOperation;
+	static GetDefaultObject(): K2Node_StructOperation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructOperation;
+	static C(Other: UObject | any): K2Node_StructOperation;
+}
+
+declare class K2Node_StructMemberGet extends K2Node_StructOperation { 
+	ShowPinForProperties: OptionalPinFromProperty[];
+	static Load(ResourceName: string): K2Node_StructMemberGet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberGet;
+	static GetDefaultObject(): K2Node_StructMemberGet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberGet;
+	static C(Other: UObject | any): K2Node_StructMemberGet;
+}
+
+declare class K2Node_BreakStruct extends K2Node_StructMemberGet { 
+	bMadeAfterOverridePinRemoval: boolean;
+	static Load(ResourceName: string): K2Node_BreakStruct;
+	static Find(Outer: UObject, ResourceName: string): K2Node_BreakStruct;
+	static GetDefaultObject(): K2Node_BreakStruct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_BreakStruct;
+	static C(Other: UObject | any): K2Node_BreakStruct;
+}
+
+declare class K2Node_CallArrayFunction extends K2Node_CallFunction { 
+	static Load(ResourceName: string): K2Node_CallArrayFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallArrayFunction;
+	static GetDefaultObject(): K2Node_CallArrayFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallArrayFunction;
+	static C(Other: UObject | any): K2Node_CallArrayFunction;
+}
+
+declare class K2Node_CallDataTableFunction extends K2Node_CallFunction { 
+	static Load(ResourceName: string): K2Node_CallDataTableFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallDataTableFunction;
+	static GetDefaultObject(): K2Node_CallDataTableFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDataTableFunction;
+	static C(Other: UObject | any): K2Node_CallDataTableFunction;
+}
+
+declare class K2Node_CallDelegate extends K2Node_BaseMCDelegate { 
+	static Load(ResourceName: string): K2Node_CallDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallDelegate;
+	static GetDefaultObject(): K2Node_CallDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallDelegate;
+	static C(Other: UObject | any): K2Node_CallDelegate;
+}
+
+declare class K2Node_CallFunctionOnMember extends K2Node_CallFunction { 
+	MemberVariableToCallOn: MemberReference;
+	static Load(ResourceName: string): K2Node_CallFunctionOnMember;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallFunctionOnMember;
+	static GetDefaultObject(): K2Node_CallFunctionOnMember;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallFunctionOnMember;
+	static C(Other: UObject | any): K2Node_CallFunctionOnMember;
+}
+
+declare class K2Node_CallMaterialParameterCollectionFunction extends K2Node_CallFunction { 
+	static Load(ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallMaterialParameterCollectionFunction;
+	static GetDefaultObject(): K2Node_CallMaterialParameterCollectionFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallMaterialParameterCollectionFunction;
+	static C(Other: UObject | any): K2Node_CallMaterialParameterCollectionFunction;
+}
+
+declare class K2Node_CallParentFunction extends K2Node_CallFunction { 
+	static Load(ResourceName: string): K2Node_CallParentFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CallParentFunction;
+	static GetDefaultObject(): K2Node_CallParentFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CallParentFunction;
+	static C(Other: UObject | any): K2Node_CallParentFunction;
+}
+
+declare class K2Node_CastByteToEnum extends K2Node { 
+	Enum: Enum;
+	bSafe: boolean;
+	static Load(ResourceName: string): K2Node_CastByteToEnum;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CastByteToEnum;
+	static GetDefaultObject(): K2Node_CastByteToEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CastByteToEnum;
+	static C(Other: UObject | any): K2Node_CastByteToEnum;
+}
+
+declare class K2Node_DynamicCast extends K2Node { 
+	TargetType: UnrealEngineClass;
+	bIsPureCast: boolean;
+	static Load(ResourceName: string): K2Node_DynamicCast;
+	static Find(Outer: UObject, ResourceName: string): K2Node_DynamicCast;
+	static GetDefaultObject(): K2Node_DynamicCast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DynamicCast;
+	static C(Other: UObject | any): K2Node_DynamicCast;
+}
+
+declare class K2Node_ClassDynamicCast extends K2Node_DynamicCast { 
+	static Load(ResourceName: string): K2Node_ClassDynamicCast;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ClassDynamicCast;
+	static GetDefaultObject(): K2Node_ClassDynamicCast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClassDynamicCast;
+	static C(Other: UObject | any): K2Node_ClassDynamicCast;
+}
+
+declare class K2Node_ClearDelegate extends K2Node_BaseMCDelegate { 
+	static Load(ResourceName: string): K2Node_ClearDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ClearDelegate;
+	static GetDefaultObject(): K2Node_ClearDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ClearDelegate;
+	static C(Other: UObject | any): K2Node_ClearDelegate;
+}
+
+declare class K2Node_CommutativeAssociativeBinaryOperator extends K2Node_CallFunction { 
+	NumAdditionalInputs: number;
+	static Load(ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CommutativeAssociativeBinaryOperator;
+	static GetDefaultObject(): K2Node_CommutativeAssociativeBinaryOperator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CommutativeAssociativeBinaryOperator;
+	static C(Other: UObject | any): K2Node_CommutativeAssociativeBinaryOperator;
+}
+
+declare class K2Node_ComponentBoundEvent extends K2Node_Event { 
+	DelegatePropertyName: string;
+	DelegateOwnerClass: UnrealEngineClass;
+	ComponentPropertyName: string;
+	DelegatePropertyDisplayName: string;
+	static Load(ResourceName: string): K2Node_ComponentBoundEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ComponentBoundEvent;
+	static GetDefaultObject(): K2Node_ComponentBoundEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ComponentBoundEvent;
+	static C(Other: UObject | any): K2Node_ComponentBoundEvent;
 }
 
-declare class ActorFactoryAtmosphericFog extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryAtmosphericFog;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryAtmosphericFog;
-	static GetDefaultObject(): ActorFactoryAtmosphericFog;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAtmosphericFog;
-	static C(Other: UObject | any): ActorFactoryAtmosphericFog;
+declare class KismetUserDeclaredFunctionMetadata { 
+	Tooltip: string;
+	Category: string;
+	Keywords: string;
+	CompactNodeTitle: string;
+	InstanceTitleColor: LinearColor;
+	bCallInEditor: boolean;
+	HasLatentFunctions: any;
+	clone() : KismetUserDeclaredFunctionMetadata;
+	static C(Other: UObject | any): KismetUserDeclaredFunctionMetadata;
+}
+
+declare class K2Node_Tunnel extends K2Node_EditablePinBase { 
+	OutputSourceNode: K2Node_Tunnel;
+	InputSinkNode: K2Node_Tunnel;
+	bCanHaveInputs: boolean;
+	bCanHaveOutputs: boolean;
+	MetaData: KismetUserDeclaredFunctionMetadata;
+	static Load(ResourceName: string): K2Node_Tunnel;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Tunnel;
+	static GetDefaultObject(): K2Node_Tunnel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Tunnel;
+	static C(Other: UObject | any): K2Node_Tunnel;
+}
+
+declare class K2Node_Composite extends K2Node_Tunnel { 
+	BoundGraph: EdGraph;
+	static Load(ResourceName: string): K2Node_Composite;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Composite;
+	static GetDefaultObject(): K2Node_Composite;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Composite;
+	static C(Other: UObject | any): K2Node_Composite;
 }
 
-declare class ActorFactoryStaticMesh extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryStaticMesh;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryStaticMesh;
-	static GetDefaultObject(): ActorFactoryStaticMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryStaticMesh;
-	static C(Other: UObject | any): ActorFactoryStaticMesh;
+declare class K2Node_ConvertAsset extends K2Node { 
+	static Load(ResourceName: string): K2Node_ConvertAsset;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertAsset;
+	static GetDefaultObject(): K2Node_ConvertAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertAsset;
+	static C(Other: UObject | any): K2Node_ConvertAsset;
 }
 
-declare class ActorFactoryBasicShape extends ActorFactoryStaticMesh { 
-	static Load(ResourceName: string): ActorFactoryBasicShape;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryBasicShape;
-	static GetDefaultObject(): ActorFactoryBasicShape;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBasicShape;
-	static C(Other: UObject | any): ActorFactoryBasicShape;
+declare class K2Node_Copy extends K2Node { 
+	static Load(ResourceName: string): K2Node_Copy;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Copy;
+	static GetDefaultObject(): K2Node_Copy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Copy;
+	static C(Other: UObject | any): K2Node_Copy;
 }
 
-declare class ActorFactoryBlueprint extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryBlueprint;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryBlueprint;
-	static GetDefaultObject(): ActorFactoryBlueprint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBlueprint;
-	static C(Other: UObject | any): ActorFactoryBlueprint;
+declare class K2Node_CreateDelegate extends K2Node { 
+	SelectedFunctionName: string;
+	SelectedFunctionGuid: Guid;
+	static Load(ResourceName: string): K2Node_CreateDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CreateDelegate;
+	static GetDefaultObject(): K2Node_CreateDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CreateDelegate;
+	static C(Other: UObject | any): K2Node_CreateDelegate;
 }
 
-declare class ActorFactoryBoxReflectionCapture extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryBoxReflectionCapture;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryBoxReflectionCapture;
-	static GetDefaultObject(): ActorFactoryBoxReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBoxReflectionCapture;
-	static C(Other: UObject | any): ActorFactoryBoxReflectionCapture;
+declare class K2Node_CustomEvent extends K2Node_Event { 
+	bCallInEditor: boolean;
+	static Load(ResourceName: string): K2Node_CustomEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_CustomEvent;
+	static GetDefaultObject(): K2Node_CustomEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_CustomEvent;
+	static C(Other: UObject | any): K2Node_CustomEvent;
 }
 
-declare class ActorFactoryVolume extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryVolume;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryVolume;
-	static GetDefaultObject(): ActorFactoryVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryVolume;
-	static C(Other: UObject | any): ActorFactoryVolume;
+declare class K2Node_DeadClass extends K2Node { 
+	static Load(ResourceName: string): K2Node_DeadClass;
+	static Find(Outer: UObject, ResourceName: string): K2Node_DeadClass;
+	static GetDefaultObject(): K2Node_DeadClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DeadClass;
+	static C(Other: UObject | any): K2Node_DeadClass;
 }
 
-declare class ActorFactoryBoxVolume extends ActorFactoryVolume { 
-	static Load(ResourceName: string): ActorFactoryBoxVolume;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryBoxVolume;
-	static GetDefaultObject(): ActorFactoryBoxVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBoxVolume;
-	static C(Other: UObject | any): ActorFactoryBoxVolume;
+declare class K2Node_DelegateSet extends K2Node { 
+	DelegatePropertyName: string;
+	DelegatePropertyClass: UnrealEngineClass;
+	static Load(ResourceName: string): K2Node_DelegateSet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_DelegateSet;
+	static GetDefaultObject(): K2Node_DelegateSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DelegateSet;
+	static C(Other: UObject | any): K2Node_DelegateSet;
+}
+
+declare class K2Node_TemporaryVariable extends K2Node { 
+	VariableType: EdGraphPinType;
+	bIsPersistent: boolean;
+	static Load(ResourceName: string): K2Node_TemporaryVariable;
+	static Find(Outer: UObject, ResourceName: string): K2Node_TemporaryVariable;
+	static GetDefaultObject(): K2Node_TemporaryVariable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TemporaryVariable;
+	static C(Other: UObject | any): K2Node_TemporaryVariable;
+}
+
+declare class K2Node_DoOnceMultiInput extends K2Node { 
+	NumAdditionalInputs: number;
+	DataNode: K2Node_TemporaryVariable;
+	static Load(ResourceName: string): K2Node_DoOnceMultiInput;
+	static Find(Outer: UObject, ResourceName: string): K2Node_DoOnceMultiInput;
+	static GetDefaultObject(): K2Node_DoOnceMultiInput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_DoOnceMultiInput;
+	static C(Other: UObject | any): K2Node_DoOnceMultiInput;
+}
+
+declare class K2Node_EaseFunction extends K2Node { 
+	EaseFunctionName: string;
+	static Load(ResourceName: string): K2Node_EaseFunction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EaseFunction;
+	static GetDefaultObject(): K2Node_EaseFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EaseFunction;
+	static C(Other: UObject | any): K2Node_EaseFunction;
+}
+
+declare class K2Node_EnumEquality extends K2Node { 
+	static Load(ResourceName: string): K2Node_EnumEquality;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EnumEquality;
+	static GetDefaultObject(): K2Node_EnumEquality;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumEquality;
+	static C(Other: UObject | any): K2Node_EnumEquality;
+}
+
+declare class K2Node_EnumInequality extends K2Node_EnumEquality { 
+	static Load(ResourceName: string): K2Node_EnumInequality;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EnumInequality;
+	static GetDefaultObject(): K2Node_EnumInequality;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumInequality;
+	static C(Other: UObject | any): K2Node_EnumInequality;
+}
+
+declare class K2Node_EnumLiteral extends K2Node { 
+	Enum: Enum;
+	static Load(ResourceName: string): K2Node_EnumLiteral;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EnumLiteral;
+	static GetDefaultObject(): K2Node_EnumLiteral;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EnumLiteral;
+	static C(Other: UObject | any): K2Node_EnumLiteral;
 }
 
-declare class ActorFactoryCameraActor extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryCameraActor;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryCameraActor;
-	static GetDefaultObject(): ActorFactoryCameraActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCameraActor;
-	static C(Other: UObject | any): ActorFactoryCameraActor;
+declare class K2Node_EventNodeInterface extends Interface { 
+	static Load(ResourceName: string): K2Node_EventNodeInterface;
+	static Find(Outer: UObject, ResourceName: string): K2Node_EventNodeInterface;
+	static GetDefaultObject(): K2Node_EventNodeInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_EventNodeInterface;
+	static C(Other: UObject | any): K2Node_EventNodeInterface;
 }
 
-declare class ActorFactoryCharacter extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryCharacter;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryCharacter;
-	static GetDefaultObject(): ActorFactoryCharacter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCharacter;
-	static C(Other: UObject | any): ActorFactoryCharacter;
+declare class K2Node_ExecutionSequence extends K2Node { 
+	static Load(ResourceName: string): K2Node_ExecutionSequence;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ExecutionSequence;
+	static GetDefaultObject(): K2Node_ExecutionSequence;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ExecutionSequence;
+	static C(Other: UObject | any): K2Node_ExecutionSequence;
 }
 
-declare class ActorFactoryClass extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryClass;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryClass;
-	static GetDefaultObject(): ActorFactoryClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryClass;
-	static C(Other: UObject | any): ActorFactoryClass;
+declare class K2Node_ForEachElementInEnum extends K2Node { 
+	Enum: Enum;
+	static Load(ResourceName: string): K2Node_ForEachElementInEnum;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ForEachElementInEnum;
+	static GetDefaultObject(): K2Node_ForEachElementInEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ForEachElementInEnum;
+	static C(Other: UObject | any): K2Node_ForEachElementInEnum;
+}
+
+declare class K2Node_FormatText extends K2Node { 
+	PinNames: string[];
+	static Load(ResourceName: string): K2Node_FormatText;
+	static Find(Outer: UObject, ResourceName: string): K2Node_FormatText;
+	static GetDefaultObject(): K2Node_FormatText;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FormatText;
+	static C(Other: UObject | any): K2Node_FormatText;
+}
+
+declare class K2Node_FunctionTerminator extends K2Node_EditablePinBase { 
+	FunctionReference: MemberReference;
+	SignatureClass: UnrealEngineClass;
+	SignatureName: string;
+	static Load(ResourceName: string): K2Node_FunctionTerminator;
+	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionTerminator;
+	static GetDefaultObject(): K2Node_FunctionTerminator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionTerminator;
+	static C(Other: UObject | any): K2Node_FunctionTerminator;
+}
+
+declare class K2Node_FunctionEntry extends K2Node_FunctionTerminator { 
+	CustomGeneratedFunctionName: string;
+	MetaData: KismetUserDeclaredFunctionMetadata;
+	LocalVariables: BPVariableDescription[];
+	bEnforceConstCorrectness: boolean;
+	ExtraFlags: number;
+	static Load(ResourceName: string): K2Node_FunctionEntry;
+	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionEntry;
+	static GetDefaultObject(): K2Node_FunctionEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionEntry;
+	static C(Other: UObject | any): K2Node_FunctionEntry;
+}
+
+declare class K2Node_FunctionResult extends K2Node_FunctionTerminator { 
+	static Load(ResourceName: string): K2Node_FunctionResult;
+	static Find(Outer: UObject, ResourceName: string): K2Node_FunctionResult;
+	static GetDefaultObject(): K2Node_FunctionResult;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_FunctionResult;
+	static C(Other: UObject | any): K2Node_FunctionResult;
+}
+
+declare class K2Node_GenericCreateObject extends K2Node_ConstructObjectFromClass { 
+	static Load(ResourceName: string): K2Node_GenericCreateObject;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GenericCreateObject;
+	static GetDefaultObject(): K2Node_GenericCreateObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GenericCreateObject;
+	static C(Other: UObject | any): K2Node_GenericCreateObject;
+}
+
+declare class K2Node_GetArrayItem extends K2Node { 
+	bReturnByRefDesired: boolean;
+	static Load(ResourceName: string): K2Node_GetArrayItem;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetArrayItem;
+	static GetDefaultObject(): K2Node_GetArrayItem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetArrayItem;
+	static C(Other: UObject | any): K2Node_GetArrayItem;
+}
+
+declare class K2Node_GetClassDefaults extends K2Node { 
+	BlueprintSubscribedTo: Blueprint;
+	ShowPinForProperties: OptionalPinFromProperty[];
+	bExcludeObjectContainers: boolean;
+	bExcludeObjectArrays: boolean;
+	static Load(ResourceName: string): K2Node_GetClassDefaults;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetClassDefaults;
+	static GetDefaultObject(): K2Node_GetClassDefaults;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetClassDefaults;
+	static C(Other: UObject | any): K2Node_GetClassDefaults;
+}
+
+declare class K2Node_GetDataTableRow extends K2Node { 
+	static Load(ResourceName: string): K2Node_GetDataTableRow;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetDataTableRow;
+	static GetDefaultObject(): K2Node_GetDataTableRow;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetDataTableRow;
+	static C(Other: UObject | any): K2Node_GetDataTableRow;
+}
+
+declare class K2Node_GetEnumeratorName extends K2Node { 
+	static Load(ResourceName: string): K2Node_GetEnumeratorName;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorName;
+	static GetDefaultObject(): K2Node_GetEnumeratorName;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorName;
+	static C(Other: UObject | any): K2Node_GetEnumeratorName;
+}
+
+declare class K2Node_GetEnumeratorNameAsString extends K2Node_GetEnumeratorName { 
+	static Load(ResourceName: string): K2Node_GetEnumeratorNameAsString;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetEnumeratorNameAsString;
+	static GetDefaultObject(): K2Node_GetEnumeratorNameAsString;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEnumeratorNameAsString;
+	static C(Other: UObject | any): K2Node_GetEnumeratorNameAsString;
+}
+
+declare class K2Node_GetInputAxisKeyValue extends K2Node_CallFunction { 
+	InputAxisKey: Key;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	static Load(ResourceName: string): K2Node_GetInputAxisKeyValue;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisKeyValue;
+	static GetDefaultObject(): K2Node_GetInputAxisKeyValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisKeyValue;
+	static C(Other: UObject | any): K2Node_GetInputAxisKeyValue;
 }
 
-declare class ActorFactoryCylinderVolume extends ActorFactoryVolume { 
-	static Load(ResourceName: string): ActorFactoryCylinderVolume;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryCylinderVolume;
-	static GetDefaultObject(): ActorFactoryCylinderVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCylinderVolume;
-	static C(Other: UObject | any): ActorFactoryCylinderVolume;
+declare class K2Node_GetInputAxisValue extends K2Node_CallFunction { 
+	InputAxisName: string;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	static Load(ResourceName: string): K2Node_GetInputAxisValue;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputAxisValue;
+	static GetDefaultObject(): K2Node_GetInputAxisValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputAxisValue;
+	static C(Other: UObject | any): K2Node_GetInputAxisValue;
 }
 
-declare class ActorFactoryDeferredDecal extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryDeferredDecal;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryDeferredDecal;
-	static GetDefaultObject(): ActorFactoryDeferredDecal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryDeferredDecal;
-	static C(Other: UObject | any): ActorFactoryDeferredDecal;
+declare class K2Node_GetInputVectorAxisValue extends K2Node_GetInputAxisKeyValue { 
+	static Load(ResourceName: string): K2Node_GetInputVectorAxisValue;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetInputVectorAxisValue;
+	static GetDefaultObject(): K2Node_GetInputVectorAxisValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetInputVectorAxisValue;
+	static C(Other: UObject | any): K2Node_GetInputVectorAxisValue;
 }
 
-declare class ActorFactoryDirectionalLight extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryDirectionalLight;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryDirectionalLight;
-	static GetDefaultObject(): ActorFactoryDirectionalLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryDirectionalLight;
-	static C(Other: UObject | any): ActorFactoryDirectionalLight;
+declare class K2Node_GetNumEnumEntries extends K2Node { 
+	Enum: Enum;
+	static Load(ResourceName: string): K2Node_GetNumEnumEntries;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetNumEnumEntries;
+	static GetDefaultObject(): K2Node_GetNumEnumEntries;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetNumEnumEntries;
+	static C(Other: UObject | any): K2Node_GetNumEnumEntries;
 }
 
-declare class ActorFactoryEmitter extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryEmitter;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryEmitter;
-	static GetDefaultObject(): ActorFactoryEmitter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryEmitter;
-	static C(Other: UObject | any): ActorFactoryEmitter;
+declare class K2Node_GetSubsystem extends K2Node { 
+	CustomClass: UnrealEngineClass;
+	static Load(ResourceName: string): K2Node_GetSubsystem;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetSubsystem;
+	static GetDefaultObject(): K2Node_GetSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSubsystem;
+	static C(Other: UObject | any): K2Node_GetSubsystem;
 }
 
-declare class ActorFactoryEmptyActor extends ActorFactory { 
-	bVisualizeActor: boolean;
-	static Load(ResourceName: string): ActorFactoryEmptyActor;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryEmptyActor;
-	static GetDefaultObject(): ActorFactoryEmptyActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryEmptyActor;
-	static C(Other: UObject | any): ActorFactoryEmptyActor;
+declare class K2Node_GetSubsystemFromPC extends K2Node_GetSubsystem { 
+	static Load(ResourceName: string): K2Node_GetSubsystemFromPC;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetSubsystemFromPC;
+	static GetDefaultObject(): K2Node_GetSubsystemFromPC;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetSubsystemFromPC;
+	static C(Other: UObject | any): K2Node_GetSubsystemFromPC;
 }
 
-declare class ActorFactoryExponentialHeightFog extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryExponentialHeightFog;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryExponentialHeightFog;
-	static GetDefaultObject(): ActorFactoryExponentialHeightFog;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryExponentialHeightFog;
-	static C(Other: UObject | any): ActorFactoryExponentialHeightFog;
+declare class K2Node_GetEngineSubsystem extends K2Node_GetSubsystem { 
+	static Load(ResourceName: string): K2Node_GetEngineSubsystem;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetEngineSubsystem;
+	static GetDefaultObject(): K2Node_GetEngineSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEngineSubsystem;
+	static C(Other: UObject | any): K2Node_GetEngineSubsystem;
 }
 
-declare class ActorFactoryInteractiveFoliage extends ActorFactoryStaticMesh { 
-	static Load(ResourceName: string): ActorFactoryInteractiveFoliage;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryInteractiveFoliage;
-	static GetDefaultObject(): ActorFactoryInteractiveFoliage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryInteractiveFoliage;
-	static C(Other: UObject | any): ActorFactoryInteractiveFoliage;
+declare class K2Node_GetEditorSubsystem extends K2Node_GetSubsystem { 
+	static Load(ResourceName: string): K2Node_GetEditorSubsystem;
+	static Find(Outer: UObject, ResourceName: string): K2Node_GetEditorSubsystem;
+	static GetDefaultObject(): K2Node_GetEditorSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_GetEditorSubsystem;
+	static C(Other: UObject | any): K2Node_GetEditorSubsystem;
 }
 
-declare class ActorFactoryMatineeActor extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryMatineeActor;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryMatineeActor;
-	static GetDefaultObject(): ActorFactoryMatineeActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryMatineeActor;
-	static C(Other: UObject | any): ActorFactoryMatineeActor;
+declare class K2Node_IfThenElse extends K2Node { 
+	static Load(ResourceName: string): K2Node_IfThenElse;
+	static Find(Outer: UObject, ResourceName: string): K2Node_IfThenElse;
+	static GetDefaultObject(): K2Node_IfThenElse;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_IfThenElse;
+	static C(Other: UObject | any): K2Node_IfThenElse;
 }
 
-declare class ActorFactoryMovieScene extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryMovieScene;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryMovieScene;
-	static GetDefaultObject(): ActorFactoryMovieScene;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryMovieScene;
-	static C(Other: UObject | any): ActorFactoryMovieScene;
+declare class K2Node_InputAction extends K2Node { 
+	InputActionName: string;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputAction;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputAction;
+	static GetDefaultObject(): K2Node_InputAction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAction;
+	static C(Other: UObject | any): K2Node_InputAction;
 }
 
-declare class ActorFactoryNote extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryNote;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryNote;
-	static GetDefaultObject(): ActorFactoryNote;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryNote;
-	static C(Other: UObject | any): ActorFactoryNote;
+declare class K2Node_InputActionEvent extends K2Node_Event { 
+	InputActionName: string;
+	InputKeyEvent: EInputEvent;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputActionEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputActionEvent;
+	static GetDefaultObject(): K2Node_InputActionEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputActionEvent;
+	static C(Other: UObject | any): K2Node_InputActionEvent;
 }
 
-declare class ActorFactoryPawn extends ActorFactoryEmptyActor { 
-	static Load(ResourceName: string): ActorFactoryPawn;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPawn;
-	static GetDefaultObject(): ActorFactoryPawn;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPawn;
-	static C(Other: UObject | any): ActorFactoryPawn;
+declare class K2Node_InputAxisEvent extends K2Node_Event { 
+	InputAxisName: string;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputAxisEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisEvent;
+	static GetDefaultObject(): K2Node_InputAxisEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisEvent;
+	static C(Other: UObject | any): K2Node_InputAxisEvent;
 }
 
-declare class ActorFactoryPhysicsAsset extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryPhysicsAsset;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPhysicsAsset;
-	static GetDefaultObject(): ActorFactoryPhysicsAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPhysicsAsset;
-	static C(Other: UObject | any): ActorFactoryPhysicsAsset;
+declare class K2Node_InputAxisKeyEvent extends K2Node_Event { 
+	AxisKey: Key;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputAxisKeyEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputAxisKeyEvent;
+	static GetDefaultObject(): K2Node_InputAxisKeyEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputAxisKeyEvent;
+	static C(Other: UObject | any): K2Node_InputAxisKeyEvent;
 }
 
-declare class ActorFactoryPlanarReflection extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryPlanarReflection;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlanarReflection;
-	static GetDefaultObject(): ActorFactoryPlanarReflection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlanarReflection;
-	static C(Other: UObject | any): ActorFactoryPlanarReflection;
+declare class K2Node_InputKey extends K2Node { 
+	InputKey: Key;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	bControl: boolean;
+	bAlt: boolean;
+	bShift: boolean;
+	bCommand: boolean;
+	static Load(ResourceName: string): K2Node_InputKey;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputKey;
+	static GetDefaultObject(): K2Node_InputKey;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKey;
+	static C(Other: UObject | any): K2Node_InputKey;
 }
 
-declare class ActorFactoryPlaneReflectionCapture extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryPlaneReflectionCapture;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlaneReflectionCapture;
-	static GetDefaultObject(): ActorFactoryPlaneReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlaneReflectionCapture;
-	static C(Other: UObject | any): ActorFactoryPlaneReflectionCapture;
+declare class K2Node_InputKeyEvent extends K2Node_Event { 
+	InputChord: InputChord;
+	InputKeyEvent: EInputEvent;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputKeyEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputKeyEvent;
+	static GetDefaultObject(): K2Node_InputKeyEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputKeyEvent;
+	static C(Other: UObject | any): K2Node_InputKeyEvent;
 }
 
-declare class ActorFactoryPlayerStart extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryPlayerStart;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlayerStart;
-	static GetDefaultObject(): ActorFactoryPlayerStart;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlayerStart;
-	static C(Other: UObject | any): ActorFactoryPlayerStart;
+declare class K2Node_InputTouch extends K2Node { 
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputTouch;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouch;
+	static GetDefaultObject(): K2Node_InputTouch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouch;
+	static C(Other: UObject | any): K2Node_InputTouch;
 }
 
-declare class ActorFactoryPointLight extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryPointLight;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryPointLight;
-	static GetDefaultObject(): ActorFactoryPointLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPointLight;
-	static C(Other: UObject | any): ActorFactoryPointLight;
+declare class K2Node_InputTouchEvent extends K2Node_Event { 
+	InputKeyEvent: EInputEvent;
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	static Load(ResourceName: string): K2Node_InputTouchEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputTouchEvent;
+	static GetDefaultObject(): K2Node_InputTouchEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputTouchEvent;
+	static C(Other: UObject | any): K2Node_InputTouchEvent;
+}
+
+declare class K2Node_InputVectorAxisEvent extends K2Node_InputAxisKeyEvent { 
+	static Load(ResourceName: string): K2Node_InputVectorAxisEvent;
+	static Find(Outer: UObject, ResourceName: string): K2Node_InputVectorAxisEvent;
+	static GetDefaultObject(): K2Node_InputVectorAxisEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_InputVectorAxisEvent;
+	static C(Other: UObject | any): K2Node_InputVectorAxisEvent;
+}
+
+declare class K2Node_Knot extends K2Node { 
+	static Load(ResourceName: string): K2Node_Knot;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Knot;
+	static GetDefaultObject(): K2Node_Knot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Knot;
+	static C(Other: UObject | any): K2Node_Knot;
+}
+
+declare class K2Node_Literal extends K2Node { 
+	ObjectRef: UObject;
+	static Load(ResourceName: string): K2Node_Literal;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Literal;
+	static GetDefaultObject(): K2Node_Literal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Literal;
+	static C(Other: UObject | any): K2Node_Literal;
+}
+
+declare class K2Node_LoadAsset extends K2Node { 
+	static Load(ResourceName: string): K2Node_LoadAsset;
+	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAsset;
+	static GetDefaultObject(): K2Node_LoadAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAsset;
+	static C(Other: UObject | any): K2Node_LoadAsset;
+}
+
+declare class K2Node_LoadAssetClass extends K2Node_LoadAsset { 
+	static Load(ResourceName: string): K2Node_LoadAssetClass;
+	static Find(Outer: UObject, ResourceName: string): K2Node_LoadAssetClass;
+	static GetDefaultObject(): K2Node_LoadAssetClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LoadAssetClass;
+	static C(Other: UObject | any): K2Node_LoadAssetClass;
+}
+
+declare class K2Node_LocalVariable extends K2Node_TemporaryVariable { 
+	CustomVariableName: string;
+	VariableTooltip: string;
+	static Load(ResourceName: string): K2Node_LocalVariable;
+	static Find(Outer: UObject, ResourceName: string): K2Node_LocalVariable;
+	static GetDefaultObject(): K2Node_LocalVariable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_LocalVariable;
+	static C(Other: UObject | any): K2Node_LocalVariable;
+}
+
+declare class GraphReference { 
+	MacroGraph: EdGraph;
+	GraphBlueprint: Blueprint;
+	GraphGuid: Guid;
+	clone() : GraphReference;
+	static C(Other: UObject | any): GraphReference;
+}
+
+declare class K2Node_MacroInstance extends K2Node_Tunnel { 
+	MacroGraph: EdGraph;
+	MacroGraphReference: GraphReference;
+	ResolvedWildcardType: EdGraphPinType;
+	static Load(ResourceName: string): K2Node_MacroInstance;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MacroInstance;
+	static GetDefaultObject(): K2Node_MacroInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MacroInstance;
+	static C(Other: UObject | any): K2Node_MacroInstance;
+}
+
+declare class K2Node_MakeContainer extends K2Node { 
+	NumInputs: number;
+	static Load(ResourceName: string): K2Node_MakeContainer;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeContainer;
+	static GetDefaultObject(): K2Node_MakeContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeContainer;
+	static C(Other: UObject | any): K2Node_MakeContainer;
+}
+
+declare class K2Node_MakeArray extends K2Node_MakeContainer { 
+	static Load(ResourceName: string): K2Node_MakeArray;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeArray;
+	static GetDefaultObject(): K2Node_MakeArray;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeArray;
+	static C(Other: UObject | any): K2Node_MakeArray;
+}
+
+declare class K2Node_MakeMap extends K2Node_MakeContainer { 
+	static Load(ResourceName: string): K2Node_MakeMap;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeMap;
+	static GetDefaultObject(): K2Node_MakeMap;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeMap;
+	static C(Other: UObject | any): K2Node_MakeMap;
+}
+
+declare class K2Node_MakeSet extends K2Node_MakeContainer { 
+	static Load(ResourceName: string): K2Node_MakeSet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeSet;
+	static GetDefaultObject(): K2Node_MakeSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeSet;
+	static C(Other: UObject | any): K2Node_MakeSet;
+}
+
+declare class K2Node_StructMemberSet extends K2Node_StructOperation { 
+	ShowPinForProperties: OptionalPinFromProperty[];
+	static Load(ResourceName: string): K2Node_StructMemberSet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_StructMemberSet;
+	static GetDefaultObject(): K2Node_StructMemberSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_StructMemberSet;
+	static C(Other: UObject | any): K2Node_StructMemberSet;
+}
+
+declare class K2Node_MakeStruct extends K2Node_StructMemberSet { 
+	bMadeAfterOverridePinRemoval: boolean;
+	static Load(ResourceName: string): K2Node_MakeStruct;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeStruct;
+	static GetDefaultObject(): K2Node_MakeStruct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeStruct;
+	static C(Other: UObject | any): K2Node_MakeStruct;
+}
+
+declare class K2Node_MakeVariable extends K2Node { 
+	VariableType: BPVariableDescription;
+	static Load(ResourceName: string): K2Node_MakeVariable;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MakeVariable;
+	static GetDefaultObject(): K2Node_MakeVariable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MakeVariable;
+	static C(Other: UObject | any): K2Node_MakeVariable;
+}
+
+declare class K2Node_MathExpression extends K2Node_Composite { 
+	Expression: string;
+	bMadeAfterRotChange: boolean;
+	static Load(ResourceName: string): K2Node_MathExpression;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MathExpression;
+	static GetDefaultObject(): K2Node_MathExpression;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MathExpression;
+	static C(Other: UObject | any): K2Node_MathExpression;
+}
+
+declare class K2Node_MatineeController extends K2Node { 
+	MatineeActor: MatineeActor;
+	static Load(ResourceName: string): K2Node_MatineeController;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MatineeController;
+	static GetDefaultObject(): K2Node_MatineeController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MatineeController;
+	static C(Other: UObject | any): K2Node_MatineeController;
+}
+
+declare class K2Node_Message extends K2Node_CallFunction { 
+	static Load(ResourceName: string): K2Node_Message;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Message;
+	static GetDefaultObject(): K2Node_Message;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Message;
+	static C(Other: UObject | any): K2Node_Message;
+}
+
+declare class K2Node_MultiGate extends K2Node_ExecutionSequence { 
+	DataNode: K2Node_TemporaryVariable;
+	static Load(ResourceName: string): K2Node_MultiGate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_MultiGate;
+	static GetDefaultObject(): K2Node_MultiGate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_MultiGate;
+	static C(Other: UObject | any): K2Node_MultiGate;
+}
+
+declare class K2Node_PureAssignmentStatement extends K2Node { 
+	static Load(ResourceName: string): K2Node_PureAssignmentStatement;
+	static Find(Outer: UObject, ResourceName: string): K2Node_PureAssignmentStatement;
+	static GetDefaultObject(): K2Node_PureAssignmentStatement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_PureAssignmentStatement;
+	static C(Other: UObject | any): K2Node_PureAssignmentStatement;
+}
+
+declare class K2Node_RemoveDelegate extends K2Node_BaseMCDelegate { 
+	static Load(ResourceName: string): K2Node_RemoveDelegate;
+	static Find(Outer: UObject, ResourceName: string): K2Node_RemoveDelegate;
+	static GetDefaultObject(): K2Node_RemoveDelegate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_RemoveDelegate;
+	static C(Other: UObject | any): K2Node_RemoveDelegate;
+}
+
+declare class K2Node_Select extends K2Node { 
+	NumOptionPins: number;
+	IndexPinType: EdGraphPinType;
+	Enum: Enum;
+	EnumEntries: string[];
+	EnumEntryFriendlyNames: string[];
+	bReconstructNode: boolean;
+	static Load(ResourceName: string): K2Node_Select;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Select;
+	static GetDefaultObject(): K2Node_Select;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Select;
+	static C(Other: UObject | any): K2Node_Select;
+}
+
+declare class K2Node_Self extends K2Node { 
+	static Load(ResourceName: string): K2Node_Self;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Self;
+	static GetDefaultObject(): K2Node_Self;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Self;
+	static C(Other: UObject | any): K2Node_Self;
+}
+
+declare class K2Node_SetFieldsInStruct extends K2Node_MakeStruct { 
+	static Load(ResourceName: string): K2Node_SetFieldsInStruct;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SetFieldsInStruct;
+	static GetDefaultObject(): K2Node_SetFieldsInStruct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetFieldsInStruct;
+	static C(Other: UObject | any): K2Node_SetFieldsInStruct;
+}
+
+declare class K2Node_SetVariableOnPersistentFrame extends K2Node { 
+	static Load(ResourceName: string): K2Node_SetVariableOnPersistentFrame;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SetVariableOnPersistentFrame;
+	static GetDefaultObject(): K2Node_SetVariableOnPersistentFrame;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SetVariableOnPersistentFrame;
+	static C(Other: UObject | any): K2Node_SetVariableOnPersistentFrame;
+}
+
+declare class K2Node_SpawnActor extends K2Node { 
+	static Load(ResourceName: string): K2Node_SpawnActor;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActor;
+	static GetDefaultObject(): K2Node_SpawnActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActor;
+	static C(Other: UObject | any): K2Node_SpawnActor;
+}
+
+declare class K2Node_SpawnActorFromClass extends K2Node_ConstructObjectFromClass { 
+	static Load(ResourceName: string): K2Node_SpawnActorFromClass;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SpawnActorFromClass;
+	static GetDefaultObject(): K2Node_SpawnActorFromClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SpawnActorFromClass;
+	static C(Other: UObject | any): K2Node_SpawnActorFromClass;
+}
+
+declare class K2Node_Switch extends K2Node { 
+	bHasDefaultPin: boolean;
+	FunctionName: string;
+	FunctionClass: UnrealEngineClass;
+	static Load(ResourceName: string): K2Node_Switch;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Switch;
+	static GetDefaultObject(): K2Node_Switch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Switch;
+	static C(Other: UObject | any): K2Node_Switch;
 }
 
-declare class ActorFactorySkyLight extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactorySkyLight;
-	static Find(Outer: UObject, ResourceName: string): ActorFactorySkyLight;
-	static GetDefaultObject(): ActorFactorySkyLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySkyLight;
-	static C(Other: UObject | any): ActorFactorySkyLight;
+declare class K2Node_SwitchEnum extends K2Node_Switch { 
+	Enum: Enum;
+	EnumEntries: string[];
+	EnumFriendlyNames: string[];
+	static Load(ResourceName: string): K2Node_SwitchEnum;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchEnum;
+	static GetDefaultObject(): K2Node_SwitchEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchEnum;
+	static C(Other: UObject | any): K2Node_SwitchEnum;
+}
+
+declare class K2Node_SwitchInteger extends K2Node_Switch { 
+	StartIndex: number;
+	static Load(ResourceName: string): K2Node_SwitchInteger;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchInteger;
+	static GetDefaultObject(): K2Node_SwitchInteger;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchInteger;
+	static C(Other: UObject | any): K2Node_SwitchInteger;
+}
+
+declare class K2Node_SwitchName extends K2Node_Switch { 
+	PinNames: string[];
+	static Load(ResourceName: string): K2Node_SwitchName;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchName;
+	static GetDefaultObject(): K2Node_SwitchName;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchName;
+	static C(Other: UObject | any): K2Node_SwitchName;
+}
+
+declare class K2Node_SwitchString extends K2Node_Switch { 
+	PinNames: string[];
+	bIsCaseSensitive: boolean;
+	static Load(ResourceName: string): K2Node_SwitchString;
+	static Find(Outer: UObject, ResourceName: string): K2Node_SwitchString;
+	static GetDefaultObject(): K2Node_SwitchString;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_SwitchString;
+	static C(Other: UObject | any): K2Node_SwitchString;
+}
+
+declare class K2Node_Timeline extends K2Node { 
+	TimelineName: string;
+	bAutoPlay: boolean;
+	TimelineGuid: Guid;
+	bLoop: boolean;
+	bReplicated: boolean;
+	bIgnoreTimeDilation: boolean;
+	static Load(ResourceName: string): K2Node_Timeline;
+	static Find(Outer: UObject, ResourceName: string): K2Node_Timeline;
+	static GetDefaultObject(): K2Node_Timeline;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_Timeline;
+	static C(Other: UObject | any): K2Node_Timeline;
+}
+
+declare type ETunnelBoundaryType = 'Unknown' | 'EntrySite' | 'InputSite' | 'OutputSite' | 'ETunnelBoundaryType_MAX';
+declare var ETunnelBoundaryType : { Unknown:'Unknown',EntrySite:'EntrySite',InputSite:'InputSite',OutputSite:'OutputSite',ETunnelBoundaryType_MAX:'ETunnelBoundaryType_MAX', };
+declare class K2Node_TunnelBoundary extends K2Node { 
+	BaseName: string;
+	TunnelBoundaryType: ETunnelBoundaryType;
+	static Load(ResourceName: string): K2Node_TunnelBoundary;
+	static Find(Outer: UObject, ResourceName: string): K2Node_TunnelBoundary;
+	static GetDefaultObject(): K2Node_TunnelBoundary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_TunnelBoundary;
+	static C(Other: UObject | any): K2Node_TunnelBoundary;
+}
+
+declare class K2Node_VariableGet extends K2Node_Variable { 
+	bIsPureGet: boolean;
+	static Load(ResourceName: string): K2Node_VariableGet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_VariableGet;
+	static GetDefaultObject(): K2Node_VariableGet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableGet;
+	static C(Other: UObject | any): K2Node_VariableGet;
+}
+
+declare class K2Node_VariableSet extends K2Node_Variable { 
+	static Load(ResourceName: string): K2Node_VariableSet;
+	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSet;
+	static GetDefaultObject(): K2Node_VariableSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSet;
+	static C(Other: UObject | any): K2Node_VariableSet;
+}
+
+declare class K2Node_VariableSetRef extends K2Node { 
+	static Load(ResourceName: string): K2Node_VariableSetRef;
+	static Find(Outer: UObject, ResourceName: string): K2Node_VariableSetRef;
+	static GetDefaultObject(): K2Node_VariableSetRef;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_VariableSetRef;
+	static C(Other: UObject | any): K2Node_VariableSetRef;
+}
+
+declare class NodeDependingOnEnumInterface extends Interface { 
+	static Load(ResourceName: string): NodeDependingOnEnumInterface;
+	static Find(Outer: UObject, ResourceName: string): NodeDependingOnEnumInterface;
+	static GetDefaultObject(): NodeDependingOnEnumInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NodeDependingOnEnumInterface;
+	static C(Other: UObject | any): NodeDependingOnEnumInterface;
 }
 
-declare class ActorFactorySphereReflectionCapture extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactorySphereReflectionCapture;
-	static Find(Outer: UObject, ResourceName: string): ActorFactorySphereReflectionCapture;
-	static GetDefaultObject(): ActorFactorySphereReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySphereReflectionCapture;
-	static C(Other: UObject | any): ActorFactorySphereReflectionCapture;
+declare class AnimNotify_PlayMontageNotify extends AnimNotify { 
+	NotifyName: string;
+	static Load(ResourceName: string): AnimNotify_PlayMontageNotify;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayMontageNotify;
+	static GetDefaultObject(): AnimNotify_PlayMontageNotify;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayMontageNotify;
+	static C(Other: UObject | any): AnimNotify_PlayMontageNotify;
 }
 
-declare class ActorFactorySphereVolume extends ActorFactoryVolume { 
-	static Load(ResourceName: string): ActorFactorySphereVolume;
-	static Find(Outer: UObject, ResourceName: string): ActorFactorySphereVolume;
-	static GetDefaultObject(): ActorFactorySphereVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySphereVolume;
-	static C(Other: UObject | any): ActorFactorySphereVolume;
+declare class AnimNotify_PlayMontageNotifyWindow extends AnimNotifyState { 
+	NotifyName: string;
+	static Load(ResourceName: string): AnimNotify_PlayMontageNotifyWindow;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayMontageNotifyWindow;
+	static GetDefaultObject(): AnimNotify_PlayMontageNotifyWindow;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayMontageNotifyWindow;
+	static C(Other: UObject | any): AnimNotify_PlayMontageNotifyWindow;
 }
 
-declare class ActorFactorySpotLight extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactorySpotLight;
-	static Find(Outer: UObject, ResourceName: string): ActorFactorySpotLight;
-	static GetDefaultObject(): ActorFactorySpotLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySpotLight;
-	static C(Other: UObject | any): ActorFactorySpotLight;
+declare class AnimSequencerInstance extends AnimCustomInstance { 
+	static Load(ResourceName: string): AnimSequencerInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSequencerInstance;
+	static GetDefaultObject(): AnimSequencerInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequencerInstance;
+	static C(Other: UObject | any): AnimSequencerInstance;
 }
 
-declare class ActorFactoryTargetPoint extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryTargetPoint;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryTargetPoint;
-	static GetDefaultObject(): ActorFactoryTargetPoint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTargetPoint;
-	static C(Other: UObject | any): ActorFactoryTargetPoint;
+declare class KismetAnimationLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetAnimationLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetAnimationLibrary;
+	static GetDefaultObject(): KismetAnimationLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetAnimationLibrary;
+	static K2_TwoBoneIK(RootPos: Vector,JointPos: Vector,EndPos: Vector,JointTarget: Vector,Effector: Vector,OutJointPos?: Vector,OutEndPos?: Vector,bAllowStretching?: boolean,StartStretchRatio?: number,MaxStretchScale?: number): {OutJointPos: Vector, OutEndPos: Vector};
+	static K2_MakePerlinNoiseVectorAndRemap(X: number,Y: number,Z: number,RangeOutMinX: number,RangeOutMaxX: number,RangeOutMinY: number,RangeOutMaxY: number,RangeOutMinZ: number,RangeOutMaxZ: number): Vector;
+	static K2_MakePerlinNoiseAndRemap(Value: number,RangeOutMin: number,RangeOutMax: number): number;
+	static K2_LookAt(CurrentTransform: Transform,TargetPosition: Vector,LookAtVector: Vector,bUseUpVector: boolean,UpVector: Vector,ClampConeInDegree: number): Transform;
+	static K2_DistanceBetweenTwoSocketsAndMapRange(Component: SkeletalMeshComponent,SocketOrBoneNameA: string,SocketSpaceA: ERelativeTransformSpace,SocketOrBoneNameB: string,SocketSpaceB: ERelativeTransformSpace,bRemapRange: boolean,InRangeMin: number,InRangeMax: number,OutRangeMin: number,OutRangeMax: number): number;
+	static K2_DirectionBetweenSockets(Component: SkeletalMeshComponent,SocketOrBoneNameFrom: string,SocketOrBoneNameTo: string): Vector;
+	static C(Other: UObject | any): KismetAnimationLibrary;
 }
 
-declare class ActorFactoryTextRender extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryTextRender;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryTextRender;
-	static GetDefaultObject(): ActorFactoryTextRender;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTextRender;
-	static C(Other: UObject | any): ActorFactoryTextRender;
+declare class BranchingPointNotifyPayload { 
+	clone() : BranchingPointNotifyPayload;
+	static C(Other: UObject | any): BranchingPointNotifyPayload;
 }
 
-declare class ActorFactoryTriggerBox extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryTriggerBox;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerBox;
-	static GetDefaultObject(): ActorFactoryTriggerBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerBox;
-	static C(Other: UObject | any): ActorFactoryTriggerBox;
+declare class PlayMontageCallbackProxy extends UObject { 
+	OnCompleted: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
+	OnBlendOut: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
+	OnInterrupted: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
+	OnNotifyBegin: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
+	OnNotifyEnd: UnrealEngineMulticastDelegate<(NotifyName: string) => void>;
+	static Load(ResourceName: string): PlayMontageCallbackProxy;
+	static Find(Outer: UObject, ResourceName: string): PlayMontageCallbackProxy;
+	static GetDefaultObject(): PlayMontageCallbackProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayMontageCallbackProxy;
+	OnNotifyEndReceived(NotifyName: string,BranchingPointNotifyPayload: BranchingPointNotifyPayload): void;
+	OnNotifyBeginReceived(NotifyName: string,BranchingPointNotifyPayload: BranchingPointNotifyPayload): void;
+	OnMontageEnded(Montage: AnimMontage,bInterrupted: boolean): void;
+	OnMontageBlendingOut(Montage: AnimMontage,bInterrupted: boolean): void;
+	static CreateProxyObjectForPlayMontage(InSkeletalMeshComponent: SkeletalMeshComponent,MontageToPlay: AnimMontage,PlayRate: number,StartingPosition: number,StartingSection: string): PlayMontageCallbackProxy;
+	static C(Other: UObject | any): PlayMontageCallbackProxy;
 }
 
-declare class ActorFactoryTriggerCapsule extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryTriggerCapsule;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerCapsule;
-	static GetDefaultObject(): ActorFactoryTriggerCapsule;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerCapsule;
-	static C(Other: UObject | any): ActorFactoryTriggerCapsule;
+declare class MovieSceneTransformOrigin extends Interface { 
+	static Load(ResourceName: string): MovieSceneTransformOrigin;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneTransformOrigin;
+	static GetDefaultObject(): MovieSceneTransformOrigin;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneTransformOrigin;
+	BP_GetTransformOrigin(): Transform;
+	static C(Other: UObject | any): MovieSceneTransformOrigin;
 }
 
-declare class ActorFactoryTriggerSphere extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryTriggerSphere;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerSphere;
-	static GetDefaultObject(): ActorFactoryTriggerSphere;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerSphere;
-	static C(Other: UObject | any): ActorFactoryTriggerSphere;
+declare class MovieScene3DConstraintSection extends MovieSceneSection { 
+	ConstraintId: Guid;
+	ConstraintBindingID: MovieSceneObjectBindingID;
+	static Load(ResourceName: string): MovieScene3DConstraintSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DConstraintSection;
+	static GetDefaultObject(): MovieScene3DConstraintSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DConstraintSection;
+	SetConstraintBindingID(InConstraintBindingID: MovieSceneObjectBindingID): void;
+	GetConstraintBindingID(): MovieSceneObjectBindingID;
+	static C(Other: UObject | any): MovieScene3DConstraintSection;
 }
 
-declare class ActorFactoryVectorFieldVolume extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryVectorFieldVolume;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryVectorFieldVolume;
-	static GetDefaultObject(): ActorFactoryVectorFieldVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryVectorFieldVolume;
-	static C(Other: UObject | any): ActorFactoryVectorFieldVolume;
+declare class MovieScene3DAttachSection extends MovieScene3DConstraintSection { 
+	AttachSocketName: string;
+	AttachComponentName: string;
+	AttachmentLocationRule: EAttachmentRule;
+	AttachmentRotationRule: EAttachmentRule;
+	AttachmentScaleRule: EAttachmentRule;
+	DetachmentLocationRule: EDetachmentRule;
+	DetachmentRotationRule: EDetachmentRule;
+	DetachmentScaleRule: EDetachmentRule;
+	static Load(ResourceName: string): MovieScene3DAttachSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DAttachSection;
+	static GetDefaultObject(): MovieScene3DAttachSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DAttachSection;
+	static C(Other: UObject | any): MovieScene3DAttachSection;
 }
 
-declare class ActorGroupingUtils extends UObject { 
-	static Load(ResourceName: string): ActorGroupingUtils;
-	static Find(Outer: UObject, ResourceName: string): ActorGroupingUtils;
-	static GetDefaultObject(): ActorGroupingUtils;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorGroupingUtils;
-	UnlockSelectedGroups(): void;
-	UngroupSelected(): void;
-	UngroupActors(ActorsToUngroup: Actor[]): void;
-	static SetGroupingActive(bInGroupingActive: boolean): void;
-	RemoveSelectedFromGroup(): void;
-	LockSelectedGroups(): void;
-	static IsGroupingActive(): boolean;
-	GroupSelected(): void;
-	GroupActors(ActorsToGroup: Actor[]): void;
-	static Get(): ActorGroupingUtils;
-	AddSelectedToGroup(): void;
-	static C(Other: UObject | any): ActorGroupingUtils;
+declare class MovieScene3DConstraintTrack extends MovieSceneTrack { 
+	ConstraintSections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieScene3DConstraintTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DConstraintTrack;
+	static GetDefaultObject(): MovieScene3DConstraintTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DConstraintTrack;
+	static C(Other: UObject | any): MovieScene3DConstraintTrack;
 }
 
-declare class BlendSpaceFactory1D extends Factory { 
-	TargetSkeleton: Skeleton;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): BlendSpaceFactory1D;
-	static Find(Outer: UObject, ResourceName: string): BlendSpaceFactory1D;
-	static GetDefaultObject(): BlendSpaceFactory1D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceFactory1D;
-	static C(Other: UObject | any): BlendSpaceFactory1D;
+declare class MovieScene3DAttachTrack extends MovieScene3DConstraintTrack { 
+	static Load(ResourceName: string): MovieScene3DAttachTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DAttachTrack;
+	static GetDefaultObject(): MovieScene3DAttachTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DAttachTrack;
+	static C(Other: UObject | any): MovieScene3DAttachTrack;
 }
 
-declare class AimOffsetBlendSpaceFactory1D extends BlendSpaceFactory1D { 
-	static Load(ResourceName: string): AimOffsetBlendSpaceFactory1D;
-	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpaceFactory1D;
-	static GetDefaultObject(): AimOffsetBlendSpaceFactory1D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpaceFactory1D;
-	static C(Other: UObject | any): AimOffsetBlendSpaceFactory1D;
+declare type MovieScene3DPathSection_Axis = 'X' | 'Y' | 'Z' | 'NEG_X' | 'NEG_Y' | 'NEG_Z' | 'MovieScene3DPathSection_MAX';
+declare var MovieScene3DPathSection_Axis : { X:'X',Y:'Y',Z:'Z',NEG_X:'NEG_X',NEG_Y:'NEG_Y',NEG_Z:'NEG_Z',MovieScene3DPathSection_MAX:'MovieScene3DPathSection_MAX', };
+declare class MovieScene3DPathSection extends MovieScene3DConstraintSection { 
+	TimingCurve: MovieSceneFloatChannel;
+	FrontAxisEnum: MovieScene3DPathSection_Axis;
+	UpAxisEnum: MovieScene3DPathSection_Axis;
+	bFollow: boolean;
+	bReverse: boolean;
+	bForceUpright: boolean;
+	static Load(ResourceName: string): MovieScene3DPathSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DPathSection;
+	static GetDefaultObject(): MovieScene3DPathSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DPathSection;
+	static C(Other: UObject | any): MovieScene3DPathSection;
 }
 
-declare class BlendSpaceFactoryNew extends Factory { 
-	TargetSkeleton: Skeleton;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): BlendSpaceFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): BlendSpaceFactoryNew;
-	static GetDefaultObject(): BlendSpaceFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceFactoryNew;
-	static C(Other: UObject | any): BlendSpaceFactoryNew;
+declare class MovieScene3DPathTrack extends MovieScene3DConstraintTrack { 
+	static Load(ResourceName: string): MovieScene3DPathTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DPathTrack;
+	static GetDefaultObject(): MovieScene3DPathTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DPathTrack;
+	static C(Other: UObject | any): MovieScene3DPathTrack;
 }
 
-declare class AimOffsetBlendSpaceFactoryNew extends BlendSpaceFactoryNew { 
-	static Load(ResourceName: string): AimOffsetBlendSpaceFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpaceFactoryNew;
-	static GetDefaultObject(): AimOffsetBlendSpaceFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpaceFactoryNew;
-	static C(Other: UObject | any): AimOffsetBlendSpaceFactoryNew;
+declare class MovieScene3DTransformTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieScene3DTransformTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScene3DTransformTrack;
+	static GetDefaultObject(): MovieScene3DTransformTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScene3DTransformTrack;
+	static C(Other: UObject | any): MovieScene3DTransformTrack;
 }
 
-declare class AnalyticsPrivacySettings extends UObject { 
-	bSendUsageData: boolean;
-	static Load(ResourceName: string): AnalyticsPrivacySettings;
-	static Find(Outer: UObject, ResourceName: string): AnalyticsPrivacySettings;
-	static GetDefaultObject(): AnalyticsPrivacySettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnalyticsPrivacySettings;
-	static C(Other: UObject | any): AnalyticsPrivacySettings;
+declare class MovieSceneActorReferenceKey { 
+	UObject: MovieSceneObjectBindingID;
+	clone() : MovieSceneActorReferenceKey;
+	static C(Other: UObject | any): MovieSceneActorReferenceKey;
 }
 
-declare class CompressionHolder extends UObject { 
-	Compression: AnimCompress;
-	static Load(ResourceName: string): CompressionHolder;
-	static Find(Outer: UObject, ResourceName: string): CompressionHolder;
-	static GetDefaultObject(): CompressionHolder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompressionHolder;
-	static C(Other: UObject | any): CompressionHolder;
+declare class MovieSceneActorReferenceData extends MovieSceneChannel { 
+	KeyTimes: FrameNumber[];
+	KeyValues: MovieSceneActorReferenceKey[];
+	clone() : MovieSceneActorReferenceData;
+	static C(Other: UObject | any): MovieSceneActorReferenceData;
 }
 
-declare class AnimBlueprintFactory extends Factory { 
-	BlueprintType: EBlueprintType;
-	ParentClass: UnrealEngineClass;
-	TargetSkeleton: Skeleton;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): AnimBlueprintFactory;
-	static Find(Outer: UObject, ResourceName: string): AnimBlueprintFactory;
-	static GetDefaultObject(): AnimBlueprintFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintFactory;
-	static C(Other: UObject | any): AnimBlueprintFactory;
+declare class IntegralKey { 
+	Time: number;
+	Value: number;
+	clone() : IntegralKey;
+	static C(Other: UObject | any): IntegralKey;
 }
 
-declare class ThumbnailRenderer extends UObject { 
-	static Load(ResourceName: string): ThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): ThumbnailRenderer;
-	static GetDefaultObject(): ThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ThumbnailRenderer;
-	static C(Other: UObject | any): ThumbnailRenderer;
+declare class IntegralCurve extends IndexedCurve { 
+	Keys: IntegralKey[];
+	DefaultValue: number;
+	bUseDefaultValueBeforeFirstKey: boolean;
+	clone() : IntegralCurve;
+	static C(Other: UObject | any): IntegralCurve;
 }
 
-declare class DefaultSizedThumbnailRenderer extends ThumbnailRenderer { 
-	DefaultSizeX: number;
-	DefaultSizeY: number;
-	static Load(ResourceName: string): DefaultSizedThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): DefaultSizedThumbnailRenderer;
-	static GetDefaultObject(): DefaultSizedThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultSizedThumbnailRenderer;
-	static C(Other: UObject | any): DefaultSizedThumbnailRenderer;
+declare class MovieSceneActorReferenceSection extends MovieSceneSection { 
+	ActorReferenceData: MovieSceneActorReferenceData;
+	ActorGuidIndexCurve: IntegralCurve;
+	ActorGuidStrings: string[];
+	static Load(ResourceName: string): MovieSceneActorReferenceSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneActorReferenceSection;
+	static GetDefaultObject(): MovieSceneActorReferenceSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneActorReferenceSection;
+	static C(Other: UObject | any): MovieSceneActorReferenceSection;
 }
 
-declare class AnimBlueprintThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): AnimBlueprintThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): AnimBlueprintThumbnailRenderer;
-	static GetDefaultObject(): AnimBlueprintThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintThumbnailRenderer;
-	static C(Other: UObject | any): AnimBlueprintThumbnailRenderer;
+declare class MovieSceneActorReferenceTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneActorReferenceTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneActorReferenceTrack;
+	static GetDefaultObject(): MovieSceneActorReferenceTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneActorReferenceTrack;
+	static C(Other: UObject | any): MovieSceneActorReferenceTrack;
 }
 
-declare class AnimCompositeFactory extends Factory { 
-	TargetSkeleton: Skeleton;
-	SourceAnimation: AnimSequence;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): AnimCompositeFactory;
-	static Find(Outer: UObject, ResourceName: string): AnimCompositeFactory;
-	static GetDefaultObject(): AnimCompositeFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompositeFactory;
-	static C(Other: UObject | any): AnimCompositeFactory;
+declare class MovieSceneAudioSection extends MovieSceneSection { 
+	Sound: SoundBase;
+	StartFrameOffset: FrameNumber;
+	AudioStartTime: number;
+	AudioDilationFactor: number;
+	AudioVolume: number;
+	SoundVolume: MovieSceneFloatChannel;
+	PitchMultiplier: MovieSceneFloatChannel;
+	bSuppressSubtitles: boolean;
+	bOverrideAttenuation: boolean;
+	AttenuationSettings: SoundAttenuation;
+	OnQueueSubtitles: UnrealEngineDelegate<(Subtitles: SubtitleCue[], CueDuration: number) => void>;
+	OnAudioFinished: UnrealEngineMulticastDelegate<() => void>;
+	OnAudioPlaybackPercent: UnrealEngineMulticastDelegate<(PlayingSoundWave: SoundWave, PlaybackPercent: number) => void>;
+	static Load(ResourceName: string): MovieSceneAudioSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneAudioSection;
+	static GetDefaultObject(): MovieSceneAudioSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneAudioSection;
+	SetStartOffset(InStartOffset: FrameNumber): void;
+	SetSound(InSound: SoundBase): void;
+	GetStartOffset(): FrameNumber;
+	GetSound(): SoundBase;
+	static C(Other: UObject | any): MovieSceneAudioSection;
 }
 
-declare class AnimMontageFactory extends Factory { 
-	TargetSkeleton: Skeleton;
-	SourceAnimation: AnimSequence;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): AnimMontageFactory;
-	static Find(Outer: UObject, ResourceName: string): AnimMontageFactory;
-	static GetDefaultObject(): AnimMontageFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimMontageFactory;
-	static C(Other: UObject | any): AnimMontageFactory;
+declare class MovieSceneAudioTrack extends MovieSceneNameableTrack { 
+	AudioSections: MovieSceneSection[];
+	RowHeight: number;
+	static Load(ResourceName: string): MovieSceneAudioTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneAudioTrack;
+	static GetDefaultObject(): MovieSceneAudioTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneAudioTrack;
+	static C(Other: UObject | any): MovieSceneAudioTrack;
 }
 
-declare class Exporter extends UObject { 
-	SupportedClass: UnrealEngineClass;
-	ExportRootScope: UObject;
-	FormatExtension: string[];
-	FormatDescription: string[];
-	PreferredFormatIndex: number;
-	TextIndent: number;
-	bText: boolean;
-	bSelectedOnly: boolean;
-	bForceFileOperations: boolean;
-	static Load(ResourceName: string): Exporter;
-	static Find(Outer: UObject, ResourceName: string): Exporter;
-	static GetDefaultObject(): Exporter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Exporter;
-	static C(Other: UObject | any): Exporter;
+declare class MovieSceneBoolChannel extends MovieSceneChannel { 
+	Times: FrameNumber[];
+	DefaultValue: boolean;
+	bHasDefaultValue: boolean;
+	Values: boolean[];
+	clone() : MovieSceneBoolChannel;
+	static C(Other: UObject | any): MovieSceneBoolChannel;
 }
 
-declare class AnimSequenceExporterFBX extends Exporter { 
-	static Load(ResourceName: string): AnimSequenceExporterFBX;
-	static Find(Outer: UObject, ResourceName: string): AnimSequenceExporterFBX;
-	static GetDefaultObject(): AnimSequenceExporterFBX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceExporterFBX;
-	static C(Other: UObject | any): AnimSequenceExporterFBX;
+declare class MovieSceneBoolSection extends MovieSceneSection { 
+	DefaultValue: boolean;
+	BoolCurve: MovieSceneBoolChannel;
+	bIsExternallyInverted: boolean;
+	static Load(ResourceName: string): MovieSceneBoolSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneBoolSection;
+	static GetDefaultObject(): MovieSceneBoolSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBoolSection;
+	static C(Other: UObject | any): MovieSceneBoolSection;
 }
 
-declare class AnimSequenceFactory extends Factory { 
-	TargetSkeleton: Skeleton;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): AnimSequenceFactory;
-	static Find(Outer: UObject, ResourceName: string): AnimSequenceFactory;
-	static GetDefaultObject(): AnimSequenceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceFactory;
-	static C(Other: UObject | any): AnimSequenceFactory;
+declare class MovieSceneBoolTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneBoolTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneBoolTrack;
+	static GetDefaultObject(): MovieSceneBoolTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBoolTrack;
+	static C(Other: UObject | any): MovieSceneBoolTrack;
 }
 
-declare class AnimSequenceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): AnimSequenceThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): AnimSequenceThumbnailRenderer;
-	static GetDefaultObject(): AnimSequenceThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceThumbnailRenderer;
-	static C(Other: UObject | any): AnimSequenceThumbnailRenderer;
+declare class MovieSceneByteChannel extends MovieSceneChannel { 
+	Times: FrameNumber[];
+	DefaultValue: number;
+	bHasDefaultValue: boolean;
+	Values: number[];
+	Enum: Enum;
+	clone() : MovieSceneByteChannel;
+	static C(Other: UObject | any): MovieSceneByteChannel;
 }
 
-declare class Commandlet extends UObject { 
-	HelpDescription: string;
-	HelpUsage: string;
-	HelpWebLink: string;
-	HelpParamNames: string[];
-	HelpParamDescriptions: string[];
-	IsServer: boolean;
-	IsClient: boolean;
-	IsEditor: boolean;
-	LogToConsole: boolean;
-	ShowErrorCount: boolean;
-	static Load(ResourceName: string): Commandlet;
-	static Find(Outer: UObject, ResourceName: string): Commandlet;
-	static GetDefaultObject(): Commandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Commandlet;
-	static C(Other: UObject | any): Commandlet;
+declare class MovieSceneByteSection extends MovieSceneSection { 
+	ByteCurve: MovieSceneByteChannel;
+	static Load(ResourceName: string): MovieSceneByteSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneByteSection;
+	static GetDefaultObject(): MovieSceneByteSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneByteSection;
+	static C(Other: UObject | any): MovieSceneByteSection;
 }
 
-declare class AudioMixerCommandlet extends Commandlet { 
-	static Load(ResourceName: string): AudioMixerCommandlet;
-	static Find(Outer: UObject, ResourceName: string): AudioMixerCommandlet;
-	static GetDefaultObject(): AudioMixerCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioMixerCommandlet;
-	static C(Other: UObject | any): AudioMixerCommandlet;
+declare class MovieSceneByteTrack extends MovieScenePropertyTrack { 
+	Enum: Enum;
+	static Load(ResourceName: string): MovieSceneByteTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneByteTrack;
+	static GetDefaultObject(): MovieSceneByteTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneByteTrack;
+	static C(Other: UObject | any): MovieSceneByteTrack;
 }
 
-declare class AudioTestCommandlet extends Commandlet { 
-	static Load(ResourceName: string): AudioTestCommandlet;
-	static Find(Outer: UObject, ResourceName: string): AudioTestCommandlet;
-	static GetDefaultObject(): AudioTestCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioTestCommandlet;
-	static C(Other: UObject | any): AudioTestCommandlet;
+declare class MovieSceneCameraAnimSectionData { 
+	CameraAnim: CameraAnim;
+	PlayRate: number;
+	PlayScale: number;
+	BlendInTime: number;
+	BlendOutTime: number;
+	bLooping: boolean;
+	clone() : MovieSceneCameraAnimSectionData;
+	static C(Other: UObject | any): MovieSceneCameraAnimSectionData;
 }
 
-declare class AutoReimportManager extends UObject { 
-	static Load(ResourceName: string): AutoReimportManager;
-	static Find(Outer: UObject, ResourceName: string): AutoReimportManager;
-	static GetDefaultObject(): AutoReimportManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutoReimportManager;
-	static C(Other: UObject | any): AutoReimportManager;
+declare class MovieSceneCameraAnimSection extends MovieSceneSection { 
+	AnimData: MovieSceneCameraAnimSectionData;
+	CameraAnim: CameraAnim;
+	PlayRate: number;
+	PlayScale: number;
+	BlendInTime: number;
+	BlendOutTime: number;
+	bLooping: boolean;
+	static Load(ResourceName: string): MovieSceneCameraAnimSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraAnimSection;
+	static GetDefaultObject(): MovieSceneCameraAnimSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraAnimSection;
+	static C(Other: UObject | any): MovieSceneCameraAnimSection;
 }
 
-declare class BlendSpaceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): BlendSpaceThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): BlendSpaceThumbnailRenderer;
-	static GetDefaultObject(): BlendSpaceThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceThumbnailRenderer;
-	static C(Other: UObject | any): BlendSpaceThumbnailRenderer;
+declare class MovieSceneCameraAnimTrack extends MovieSceneNameableTrack { 
+	CameraAnimSections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneCameraAnimTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraAnimTrack;
+	static GetDefaultObject(): MovieSceneCameraAnimTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraAnimTrack;
+	static C(Other: UObject | any): MovieSceneCameraAnimTrack;
 }
 
-declare class BlueprintFactory extends Factory { 
-	ParentClass: UnrealEngineClass;
-	static Load(ResourceName: string): BlueprintFactory;
-	static Find(Outer: UObject, ResourceName: string): BlueprintFactory;
-	static GetDefaultObject(): BlueprintFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFactory;
-	static C(Other: UObject | any): BlueprintFactory;
+declare class MovieSceneCameraCutSection extends MovieSceneSection { 
+	CameraGuid: Guid;
+	CameraBindingID: MovieSceneObjectBindingID;
+	ThumbnailReferenceOffset: number;
+	static Load(ResourceName: string): MovieSceneCameraCutSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraCutSection;
+	static GetDefaultObject(): MovieSceneCameraCutSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraCutSection;
+	SetCameraBindingID(InCameraBindingID: MovieSceneObjectBindingID): void;
+	GetCameraBindingID(): MovieSceneObjectBindingID;
+	static C(Other: UObject | any): MovieSceneCameraCutSection;
 }
 
-declare class BlueprintFunctionLibraryFactory extends BlueprintFactory { 
-	static Load(ResourceName: string): BlueprintFunctionLibraryFactory;
-	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionLibraryFactory;
-	static GetDefaultObject(): BlueprintFunctionLibraryFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionLibraryFactory;
-	static C(Other: UObject | any): BlueprintFunctionLibraryFactory;
+declare class MovieSceneCameraCutTrack extends MovieSceneNameableTrack { 
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneCameraCutTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraCutTrack;
+	static GetDefaultObject(): MovieSceneCameraCutTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraCutTrack;
+	static C(Other: UObject | any): MovieSceneCameraCutTrack;
 }
 
-declare class BlueprintInterfaceFactory extends Factory { 
-	static Load(ResourceName: string): BlueprintInterfaceFactory;
-	static Find(Outer: UObject, ResourceName: string): BlueprintInterfaceFactory;
-	static GetDefaultObject(): BlueprintInterfaceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintInterfaceFactory;
-	static C(Other: UObject | any): BlueprintInterfaceFactory;
+declare class MovieSceneCameraShakeSectionData { 
+	ShakeClass: UnrealEngineClass;
+	PlayScale: number;
+	PlaySpace: ECameraAnimPlaySpace;
+	UserDefinedPlaySpace: Rotator;
+	clone() : MovieSceneCameraShakeSectionData;
+	static C(Other: UObject | any): MovieSceneCameraShakeSectionData;
 }
 
-declare class BlueprintMacroFactory extends BlueprintFactory { 
-	static Load(ResourceName: string): BlueprintMacroFactory;
-	static Find(Outer: UObject, ResourceName: string): BlueprintMacroFactory;
-	static GetDefaultObject(): BlueprintMacroFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintMacroFactory;
-	static C(Other: UObject | any): BlueprintMacroFactory;
+declare class MovieSceneCameraShakeSection extends MovieSceneSection { 
+	ShakeData: MovieSceneCameraShakeSectionData;
+	ShakeClass: UnrealEngineClass;
+	PlayScale: number;
+	PlaySpace: ECameraAnimPlaySpace;
+	UserDefinedPlaySpace: Rotator;
+	static Load(ResourceName: string): MovieSceneCameraShakeSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraShakeSection;
+	static GetDefaultObject(): MovieSceneCameraShakeSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraShakeSection;
+	static C(Other: UObject | any): MovieSceneCameraShakeSection;
 }
 
-declare class BlueprintThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): BlueprintThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): BlueprintThumbnailRenderer;
-	static GetDefaultObject(): BlueprintThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintThumbnailRenderer;
-	static C(Other: UObject | any): BlueprintThumbnailRenderer;
+declare class MovieSceneCameraShakeTrack extends MovieSceneNameableTrack { 
+	CameraShakeSections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneCameraShakeTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCameraShakeTrack;
+	static GetDefaultObject(): MovieSceneCameraShakeTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCameraShakeTrack;
+	static C(Other: UObject | any): MovieSceneCameraShakeTrack;
 }
 
-declare class CameraAnimFactory extends Factory { 
-	static Load(ResourceName: string): CameraAnimFactory;
-	static Find(Outer: UObject, ResourceName: string): CameraAnimFactory;
-	static GetDefaultObject(): CameraAnimFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraAnimFactory;
-	static C(Other: UObject | any): CameraAnimFactory;
+declare class MovieSceneSectionParameters { 
+	StartFrameOffset: FrameNumber;
+	TimeScale: number;
+	HierarchicalBias: number;
+	StartOffset: number;
+	PrerollTime: number;
+	PostrollTime: number;
+	clone() : MovieSceneSectionParameters;
+	static C(Other: UObject | any): MovieSceneSectionParameters;
 }
 
-declare class CanvasRenderTarget2DFactoryNew extends Factory { 
-	Width: number;
-	Height: number;
-	Format: number;
-	static Load(ResourceName: string): CanvasRenderTarget2DFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): CanvasRenderTarget2DFactoryNew;
-	static GetDefaultObject(): CanvasRenderTarget2DFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasRenderTarget2DFactoryNew;
-	static C(Other: UObject | any): CanvasRenderTarget2DFactoryNew;
+declare class MovieSceneSubSection extends MovieSceneSection { 
+	Parameters: MovieSceneSectionParameters;
+	StartOffset: number;
+	TimeScale: number;
+	PrerollTime: number;
+	SubSequence: MovieSceneSequence;
+	ActorToRecord: any;
+	TargetSequenceName: string;
+	TargetPathToRecordTo: DirectoryPath;
+	static Load(ResourceName: string): MovieSceneSubSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSubSection;
+	static GetDefaultObject(): MovieSceneSubSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSubSection;
+	SetSequence(Sequence: MovieSceneSequence): void;
+	GetSequence(): MovieSceneSequence;
+	static C(Other: UObject | any): MovieSceneSubSection;
 }
 
-declare class CascadeOptions extends UObject { 
-	bShowModuleDump: boolean;
-	BackgroundColor: Color;
-	bUseSubMenus: boolean;
-	bUseSpaceBarReset: boolean;
-	bUseSpaceBarResetInLevel: boolean;
-	Empty_Background: Color;
-	Emitter_Background: Color;
-	Emitter_Unselected: Color;
-	Emitter_Selected: Color;
-	ModuleColor_General_Unselected: Color;
-	ModuleColor_General_Selected: Color;
-	ModuleColor_TypeData_Unselected: Color;
-	ModuleColor_TypeData_Selected: Color;
-	ModuleColor_Beam_Unselected: Color;
-	ModuleColor_Beam_Selected: Color;
-	ModuleColor_Trail_Unselected: Color;
-	ModuleColor_Trail_Selected: Color;
-	ModuleColor_Spawn_Unselected: Color;
-	ModuleColor_Spawn_Selected: Color;
-	ModuleColor_Light_Unselected: Color;
-	ModuleColor_Light_Selected: Color;
-	ModuleColor_SubUV_Unselected: Color;
-	ModuleColor_SubUV_Selected: Color;
-	ModuleColor_Required_Unselected: Color;
-	ModuleColor_Required_Selected: Color;
-	ModuleColor_Event_Unselected: Color;
-	ModuleColor_Event_Selected: Color;
-	bShowGrid: boolean;
-	GridColor_Hi: Color;
-	GridColor_Low: Color;
-	GridPerspectiveSize: number;
-	bShowParticleCounts: boolean;
-	bShowParticleEvents: boolean;
-	bShowParticleTimes: boolean;
-	bShowParticleDistance: boolean;
-	bShowParticleMemory: boolean;
-	ParticleMemoryUpdateTime: number;
-	bShowFloor: boolean;
-	FloorMesh: string;
-	FloorPosition: Vector;
-	FloorRotation: Rotator;
-	FloorScale: number;
-	FloorScale3D: Vector;
-	ShowPPFlags: number;
-	bUseSlimCascadeDraw: boolean;
-	SlimCascadeDrawHeight: number;
-	bCenterCascadeModuleText: boolean;
-	Cascade_MouseMoveThreshold: number;
-	MotionModeRadius: number;
-	static Load(ResourceName: string): CascadeOptions;
-	static Find(Outer: UObject, ResourceName: string): CascadeOptions;
-	static GetDefaultObject(): CascadeOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CascadeOptions;
-	static C(Other: UObject | any): CascadeOptions;
+declare class MovieSceneCinematicShotSection extends MovieSceneSubSection { 
+	ShotDisplayName: string;
+	DisplayName: string;
+	ThumbnailReferenceOffset: number;
+	static Load(ResourceName: string): MovieSceneCinematicShotSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCinematicShotSection;
+	static GetDefaultObject(): MovieSceneCinematicShotSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCinematicShotSection;
+	SetShotDisplayName(InShotDisplayName: string): void;
+	GetShotDisplayName(): string;
+	static C(Other: UObject | any): MovieSceneCinematicShotSection;
 }
 
-declare class ChunkDependency { 
-	ChunkID: number;
-	ParentChunkID: number;
-	clone() : ChunkDependency;
-	static C(Other: UObject | any): ChunkDependency;
+declare class MovieSceneSubTrack extends MovieSceneNameableTrack { 
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneSubTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSubTrack;
+	static GetDefaultObject(): MovieSceneSubTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSubTrack;
+	static C(Other: UObject | any): MovieSceneSubTrack;
 }
 
-declare class ChunkDependencyInfo extends UObject { 
-	DependencyArray: ChunkDependency[];
-	static Load(ResourceName: string): ChunkDependencyInfo;
-	static Find(Outer: UObject, ResourceName: string): ChunkDependencyInfo;
-	static GetDefaultObject(): ChunkDependencyInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChunkDependencyInfo;
-	static C(Other: UObject | any): ChunkDependencyInfo;
+declare class MovieSceneCinematicShotTrack extends MovieSceneSubTrack { 
+	static Load(ResourceName: string): MovieSceneCinematicShotTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneCinematicShotTrack;
+	static GetDefaultObject(): MovieSceneCinematicShotTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneCinematicShotTrack;
+	static C(Other: UObject | any): MovieSceneCinematicShotTrack;
 }
 
-declare class ClassThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): ClassThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): ClassThumbnailRenderer;
-	static GetDefaultObject(): ClassThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassThumbnailRenderer;
-	static C(Other: UObject | any): ClassThumbnailRenderer;
+declare class MovieSceneColorSection extends MovieSceneSection { 
+	RedCurve: MovieSceneFloatChannel;
+	GreenCurve: MovieSceneFloatChannel;
+	BlueCurve: MovieSceneFloatChannel;
+	AlphaCurve: MovieSceneFloatChannel;
+	static Load(ResourceName: string): MovieSceneColorSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneColorSection;
+	static GetDefaultObject(): MovieSceneColorSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneColorSection;
+	static C(Other: UObject | any): MovieSceneColorSection;
 }
 
-declare type EClassViewerDeveloperType = 'CVDT_None' | 'CVDT_CurrentUser' | 'CVDT_All' | 'CVDT_Max';
-declare var EClassViewerDeveloperType : { CVDT_None:'CVDT_None',CVDT_CurrentUser:'CVDT_CurrentUser',CVDT_All:'CVDT_All',CVDT_Max:'CVDT_Max', };
-declare class ClassViewerSettings extends UObject { 
-	DisplayInternalClasses: boolean;
-	DeveloperFolderType: EClassViewerDeveloperType;
-	static Load(ResourceName: string): ClassViewerSettings;
-	static Find(Outer: UObject, ResourceName: string): ClassViewerSettings;
-	static GetDefaultObject(): ClassViewerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassViewerSettings;
-	static C(Other: UObject | any): ClassViewerSettings;
+declare class MovieSceneColorTrack extends MovieScenePropertyTrack { 
+	bIsSlateColor: boolean;
+	static Load(ResourceName: string): MovieSceneColorTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneColorTrack;
+	static GetDefaultObject(): MovieSceneColorTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneColorTrack;
+	static C(Other: UObject | any): MovieSceneColorTrack;
 }
 
-declare class CompileAllBlueprintsCommandlet extends Commandlet { 
-	static Load(ResourceName: string): CompileAllBlueprintsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): CompileAllBlueprintsCommandlet;
-	static GetDefaultObject(): CompileAllBlueprintsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompileAllBlueprintsCommandlet;
-	static C(Other: UObject | any): CompileAllBlueprintsCommandlet;
+declare class MovieSceneEnumSection extends MovieSceneSection { 
+	EnumCurve: MovieSceneByteChannel;
+	static Load(ResourceName: string): MovieSceneEnumSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEnumSection;
+	static GetDefaultObject(): MovieSceneEnumSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEnumSection;
+	static C(Other: UObject | any): MovieSceneEnumSection;
 }
 
-declare class CompressAnimationsCommandlet extends Commandlet { 
-	static Load(ResourceName: string): CompressAnimationsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): CompressAnimationsCommandlet;
-	static GetDefaultObject(): CompressAnimationsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompressAnimationsCommandlet;
-	static C(Other: UObject | any): CompressAnimationsCommandlet;
+declare class MovieSceneEnumTrack extends MovieScenePropertyTrack { 
+	Enum: Enum;
+	static Load(ResourceName: string): MovieSceneEnumTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEnumTrack;
+	static GetDefaultObject(): MovieSceneEnumTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEnumTrack;
+	static C(Other: UObject | any): MovieSceneEnumTrack;
 }
 
-declare class EditorBrushBuilder extends BrushBuilder { 
-	static Load(ResourceName: string): EditorBrushBuilder;
-	static Find(Outer: UObject, ResourceName: string): EditorBrushBuilder;
-	static GetDefaultObject(): EditorBrushBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorBrushBuilder;
-	static C(Other: UObject | any): EditorBrushBuilder;
+declare class MovieSceneEulerTransformTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneEulerTransformTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEulerTransformTrack;
+	static GetDefaultObject(): MovieSceneEulerTransformTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEulerTransformTrack;
+	static C(Other: UObject | any): MovieSceneEulerTransformTrack;
 }
 
-declare class ConeBuilder extends EditorBrushBuilder { 
-	Z: number;
-	CapZ: number;
-	OuterRadius: number;
-	InnerRadius: number;
-	Sides: number;
-	GroupName: string;
-	AlignToSide: boolean;
-	Hollow: boolean;
-	static Load(ResourceName: string): ConeBuilder;
-	static Find(Outer: UObject, ResourceName: string): ConeBuilder;
-	static GetDefaultObject(): ConeBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConeBuilder;
-	static C(Other: UObject | any): ConeBuilder;
+declare class MovieSceneEventSectionBase extends MovieSceneSection { 
+	DirectorBlueprint: any;
+	static Load(ResourceName: string): MovieSceneEventSectionBase;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEventSectionBase;
+	static GetDefaultObject(): MovieSceneEventSectionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventSectionBase;
+	static C(Other: UObject | any): MovieSceneEventSectionBase;
 }
 
-declare class ContentBrowserSettings extends UObject { 
-	NumObjectsToLoadBeforeWarning: number;
-	bOpenSourcesPanelByDefault: boolean;
-	RealTimeThumbnails: boolean;
-	DisplayFolders: boolean;
-	DisplayEmptyFolders: boolean;
-	DisplayEngineFolder: boolean;
-	DisplayDevelopersFolder: boolean;
-	DisplayL10NFolder: boolean;
-	DisplayPluginFolders: boolean;
-	DisplayCollections: boolean;
-	DisplayFavorites: boolean;
-	DisplayCppFolders: boolean;
-	static Load(ResourceName: string): ContentBrowserSettings;
-	static Find(Outer: UObject, ResourceName: string): ContentBrowserSettings;
-	static GetDefaultObject(): ContentBrowserSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ContentBrowserSettings;
-	static C(Other: UObject | any): ContentBrowserSettings;
+declare class MovieSceneEvent { 
+	FunctionName: string;
+	SoftBlueprintPath: Blueprint;
+	GraphGuid: Guid;
+	CachedFunctionEntry: any;
+	FunctionEntry: any;
+	clone() : MovieSceneEvent;
+	static C(Other: UObject | any): MovieSceneEvent;
 }
 
-declare class CookCommandlet extends Commandlet { 
-	FullGCAssetClassNames: string[];
-	static Load(ResourceName: string): CookCommandlet;
-	static Find(Outer: UObject, ResourceName: string): CookCommandlet;
-	static GetDefaultObject(): CookCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookCommandlet;
-	static C(Other: UObject | any): CookCommandlet;
+declare class MovieSceneEventRepeaterSection extends MovieSceneEventSectionBase { 
+	Event: MovieSceneEvent;
+	static Load(ResourceName: string): MovieSceneEventRepeaterSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEventRepeaterSection;
+	static GetDefaultObject(): MovieSceneEventRepeaterSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventRepeaterSection;
+	static C(Other: UObject | any): MovieSceneEventRepeaterSection;
 }
 
-declare class CookerSettings extends DeveloperSettings { 
-	bEnableCookOnTheSide: boolean;
-	bEnableBuildDDCInBackground: boolean;
-	bIterativeCookingForLaunchOn: boolean;
-	bIterativeCookingForFileCookContent: boolean;
-	bIgnoreIniSettingsOutOfDateForIteration: boolean;
-	bIgnoreScriptPackagesOutOfDateForIteration: boolean;
-	bCompileBlueprintsInDevelopmentMode: boolean;
-	bCookBlueprintComponentTemplateData: boolean;
-	ClassesExcludedOnDedicatedServer: string[];
-	ModulesExcludedOnDedicatedServer: string[];
-	ClassesExcludedOnDedicatedClient: string[];
-	ModulesExcludedOnDedicatedClient: string[];
-	DefaultPVRTCQuality: number;
-	DefaultASTCQualityBySpeed: number;
-	DefaultASTCQualityBySize: number;
-	static Load(ResourceName: string): CookerSettings;
-	static Find(Outer: UObject, ResourceName: string): CookerSettings;
-	static GetDefaultObject(): CookerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookerSettings;
-	static C(Other: UObject | any): CookerSettings;
+declare class NameCurveKey { 
+	Time: number;
+	Value: string;
+	clone() : NameCurveKey;
+	static C(Other: UObject | any): NameCurveKey;
 }
 
-declare class CookOnTheFlyServer extends UObject { 
-	static Load(ResourceName: string): CookOnTheFlyServer;
-	static Find(Outer: UObject, ResourceName: string): CookOnTheFlyServer;
-	static GetDefaultObject(): CookOnTheFlyServer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookOnTheFlyServer;
-	static C(Other: UObject | any): CookOnTheFlyServer;
+declare class NameCurve extends IndexedCurve { 
+	Keys: NameCurveKey[];
+	clone() : NameCurve;
+	static C(Other: UObject | any): NameCurve;
 }
 
-declare class CrashReporterSettings extends UObject { 
-	UploadSymbolsPath: string;
-	DownstreamStorage: string;
-	RemoteStorage: string[];
-	static Load(ResourceName: string): CrashReporterSettings;
-	static Find(Outer: UObject, ResourceName: string): CrashReporterSettings;
-	static GetDefaultObject(): CrashReporterSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrashReporterSettings;
-	static C(Other: UObject | any): CrashReporterSettings;
+declare class MovieSceneEventParameters { 
+	clone() : MovieSceneEventParameters;
+	static C(Other: UObject | any): MovieSceneEventParameters;
 }
 
-declare type ECSVImportType = 'ECSV_DataTable' | 'ECSV_CurveTable' | 'ECSV_CurveFloat' | 'ECSV_CurveVector' | 'ECSV_CurveLinearColor' | 'ECSV_MAX';
-declare var ECSVImportType : { ECSV_DataTable:'ECSV_DataTable',ECSV_CurveTable:'ECSV_CurveTable',ECSV_CurveFloat:'ECSV_CurveFloat',ECSV_CurveVector:'ECSV_CurveVector',ECSV_CurveLinearColor:'ECSV_CurveLinearColor',ECSV_MAX:'ECSV_MAX', };
-declare class CSVImportSettings { 
-	ImportRowStruct: ScriptStruct;
-	ImportType: ECSVImportType;
-	ImportCurveInterpMode: ERichCurveInterpMode;
-	clone() : CSVImportSettings;
-	static C(Other: UObject | any): CSVImportSettings;
+declare class EventPayload { 
+	EventName: string;
+	Parameters: MovieSceneEventParameters;
+	clone() : EventPayload;
+	static C(Other: UObject | any): EventPayload;
 }
 
-declare class CSVImportFactory extends Factory { 
-	AutomatedImportSettings: CSVImportSettings;
-	static Load(ResourceName: string): CSVImportFactory;
-	static Find(Outer: UObject, ResourceName: string): CSVImportFactory;
-	static GetDefaultObject(): CSVImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CSVImportFactory;
-	static C(Other: UObject | any): CSVImportFactory;
+declare class MovieSceneEventSectionData extends MovieSceneChannel { 
+	Times: FrameNumber[];
+	KeyValues: EventPayload[];
+	KeyTimes: number[];
+	clone() : MovieSceneEventSectionData;
+	static C(Other: UObject | any): MovieSceneEventSectionData;
 }
 
-declare class CubeBuilder extends EditorBrushBuilder { 
-	X: number;
-	Y: number;
-	Z: number;
-	WallThickness: number;
-	GroupName: string;
-	Hollow: boolean;
-	Tessellated: boolean;
-	static Load(ResourceName: string): CubeBuilder;
-	static Find(Outer: UObject, ResourceName: string): CubeBuilder;
-	static GetDefaultObject(): CubeBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CubeBuilder;
-	static C(Other: UObject | any): CubeBuilder;
+declare class MovieSceneEventSection extends MovieSceneSection { 
+	Events: NameCurve;
+	EventData: MovieSceneEventSectionData;
+	static Load(ResourceName: string): MovieSceneEventSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEventSection;
+	static GetDefaultObject(): MovieSceneEventSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventSection;
+	static C(Other: UObject | any): MovieSceneEventSection;
 }
 
-declare class CurvedStairBuilder extends EditorBrushBuilder { 
-	InnerRadius: number;
-	StepHeight: number;
-	StepWidth: number;
-	AngleOfCurve: number;
-	NumSteps: number;
-	AddToFirstStep: number;
-	GroupName: string;
-	CounterClockwise: boolean;
-	static Load(ResourceName: string): CurvedStairBuilder;
-	static Find(Outer: UObject, ResourceName: string): CurvedStairBuilder;
-	static GetDefaultObject(): CurvedStairBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurvedStairBuilder;
-	static C(Other: UObject | any): CurvedStairBuilder;
+declare type EFireEventsAtPosition = 'AtStartOfEvaluation' | 'AtEndOfEvaluation' | 'AfterSpawn' | 'EFireEventsAtPosition_MAX';
+declare var EFireEventsAtPosition : { AtStartOfEvaluation:'AtStartOfEvaluation',AtEndOfEvaluation:'AtEndOfEvaluation',AfterSpawn:'AfterSpawn',EFireEventsAtPosition_MAX:'EFireEventsAtPosition_MAX', };
+declare class MovieSceneEventTrack extends MovieSceneNameableTrack { 
+	bFireEventsWhenForwards: boolean;
+	bFireEventsWhenBackwards: boolean;
+	EventPosition: EFireEventsAtPosition;
+	EventReceivers: MovieSceneObjectBindingID[];
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneEventTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEventTrack;
+	static GetDefaultObject(): MovieSceneEventTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventTrack;
+	static C(Other: UObject | any): MovieSceneEventTrack;
 }
 
-declare type ECurveEditorCurveVisibility = 'AllCurves' | 'SelectedCurves' | 'AnimatedCurves' | 'ECurveEditorCurveVisibility_MAX';
-declare var ECurveEditorCurveVisibility : { AllCurves:'AllCurves',SelectedCurves:'SelectedCurves',AnimatedCurves:'AnimatedCurves',ECurveEditorCurveVisibility_MAX:'ECurveEditorCurveVisibility_MAX', };
-declare type ECurveEditorTangentVisibility = 'AllTangents' | 'SelectedKeys' | 'NoTangents' | 'ECurveEditorTangentVisibility_MAX';
-declare var ECurveEditorTangentVisibility : { AllTangents:'AllTangents',SelectedKeys:'SelectedKeys',NoTangents:'NoTangents',ECurveEditorTangentVisibility_MAX:'ECurveEditorTangentVisibility_MAX', };
-declare class CurveEditorSettings extends UObject { 
-	bAutoFrameCurveEditor: boolean;
-	bShowCurveEditorCurveToolTips: boolean;
-	CurveVisibility: ECurveEditorCurveVisibility;
-	TangentVisibility: ECurveEditorTangentVisibility;
-	static Load(ResourceName: string): CurveEditorSettings;
-	static Find(Outer: UObject, ResourceName: string): CurveEditorSettings;
-	static GetDefaultObject(): CurveEditorSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEditorSettings;
-	static C(Other: UObject | any): CurveEditorSettings;
+declare class MovieSceneEventChannel extends MovieSceneChannel { 
+	KeyTimes: FrameNumber[];
+	KeyValues: MovieSceneEvent[];
+	clone() : MovieSceneEventChannel;
+	static C(Other: UObject | any): MovieSceneEventChannel;
 }
 
-declare class CurveEdOptions extends UObject { 
-	MinViewRange: number;
-	MaxViewRange: number;
-	BackgroundColor: LinearColor;
-	LabelColor: LinearColor;
-	SelectedLabelColor: LinearColor;
-	GridColor: LinearColor;
-	GridTextColor: LinearColor;
-	LabelBlockBkgColor: LinearColor;
-	SelectedKeyColor: LinearColor;
-	static Load(ResourceName: string): CurveEdOptions;
-	static Find(Outer: UObject, ResourceName: string): CurveEdOptions;
-	static GetDefaultObject(): CurveEdOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEdOptions;
-	static C(Other: UObject | any): CurveEdOptions;
+declare class MovieSceneEventTriggerSection extends MovieSceneEventSectionBase { 
+	EventChannel: MovieSceneEventChannel;
+	static Load(ResourceName: string): MovieSceneEventTriggerSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEventTriggerSection;
+	static GetDefaultObject(): MovieSceneEventTriggerSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEventTriggerSection;
+	static C(Other: UObject | any): MovieSceneEventTriggerSection;
 }
 
-declare class CurveFactory extends Factory { 
-	CurveClass: UnrealEngineClass;
-	static Load(ResourceName: string): CurveFactory;
-	static Find(Outer: UObject, ResourceName: string): CurveFactory;
-	static GetDefaultObject(): CurveFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveFactory;
-	static C(Other: UObject | any): CurveFactory;
+declare class MovieSceneFloatSection extends MovieSceneSection { 
+	FloatCurve: MovieSceneFloatChannel;
+	static Load(ResourceName: string): MovieSceneFloatSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneFloatSection;
+	static GetDefaultObject(): MovieSceneFloatSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFloatSection;
+	static C(Other: UObject | any): MovieSceneFloatSection;
 }
 
-declare class CurveFloatFactory extends CurveFactory { 
-	static Load(ResourceName: string): CurveFloatFactory;
-	static Find(Outer: UObject, ResourceName: string): CurveFloatFactory;
-	static GetDefaultObject(): CurveFloatFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveFloatFactory;
-	static C(Other: UObject | any): CurveFloatFactory;
+declare class MovieSceneFadeSection extends MovieSceneFloatSection { 
+	FadeColor: LinearColor;
+	bFadeAudio: boolean;
+	static Load(ResourceName: string): MovieSceneFadeSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneFadeSection;
+	static GetDefaultObject(): MovieSceneFadeSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFadeSection;
+	static C(Other: UObject | any): MovieSceneFadeSection;
 }
 
-declare class CurveLinearColorFactory extends CurveFactory { 
-	static Load(ResourceName: string): CurveLinearColorFactory;
-	static Find(Outer: UObject, ResourceName: string): CurveLinearColorFactory;
-	static GetDefaultObject(): CurveLinearColorFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColorFactory;
-	static C(Other: UObject | any): CurveLinearColorFactory;
+declare class MovieSceneFloatTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneFloatTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneFloatTrack;
+	static GetDefaultObject(): MovieSceneFloatTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFloatTrack;
+	static C(Other: UObject | any): MovieSceneFloatTrack;
 }
 
-declare class CurveVectorFactory extends CurveFactory { 
-	static Load(ResourceName: string): CurveVectorFactory;
-	static Find(Outer: UObject, ResourceName: string): CurveVectorFactory;
-	static GetDefaultObject(): CurveVectorFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveVectorFactory;
-	static C(Other: UObject | any): CurveVectorFactory;
+declare class MovieSceneFadeTrack extends MovieSceneFloatTrack { 
+	static Load(ResourceName: string): MovieSceneFadeTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneFadeTrack;
+	static GetDefaultObject(): MovieSceneFadeTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneFadeTrack;
+	static C(Other: UObject | any): MovieSceneFadeTrack;
 }
 
-declare class CurveImportFactory extends Factory { 
-	static Load(ResourceName: string): CurveImportFactory;
-	static Find(Outer: UObject, ResourceName: string): CurveImportFactory;
-	static GetDefaultObject(): CurveImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveImportFactory;
-	static C(Other: UObject | any): CurveImportFactory;
+declare class MovieSceneIntegerChannel extends MovieSceneChannel { 
+	Times: FrameNumber[];
+	DefaultValue: number;
+	bHasDefaultValue: boolean;
+	Values: number[];
+	clone() : MovieSceneIntegerChannel;
+	static C(Other: UObject | any): MovieSceneIntegerChannel;
 }
 
-declare class CylinderBuilder extends EditorBrushBuilder { 
-	Z: number;
-	OuterRadius: number;
-	InnerRadius: number;
-	Sides: number;
-	GroupName: string;
-	AlignToSide: boolean;
-	Hollow: boolean;
-	static Load(ResourceName: string): CylinderBuilder;
-	static Find(Outer: UObject, ResourceName: string): CylinderBuilder;
-	static GetDefaultObject(): CylinderBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CylinderBuilder;
-	static C(Other: UObject | any): CylinderBuilder;
+declare class MovieSceneIntegerSection extends MovieSceneSection { 
+	IntegerCurve: MovieSceneIntegerChannel;
+	static Load(ResourceName: string): MovieSceneIntegerSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneIntegerSection;
+	static GetDefaultObject(): MovieSceneIntegerSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneIntegerSection;
+	static C(Other: UObject | any): MovieSceneIntegerSection;
 }
 
-declare class DataAssetFactory extends Factory { 
-	DataAssetClass: UnrealEngineClass;
-	static Load(ResourceName: string): DataAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): DataAssetFactory;
-	static GetDefaultObject(): DataAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataAssetFactory;
-	static C(Other: UObject | any): DataAssetFactory;
+declare class MovieSceneIntegerTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneIntegerTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneIntegerTrack;
+	static GetDefaultObject(): MovieSceneIntegerTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneIntegerTrack;
+	static C(Other: UObject | any): MovieSceneIntegerTrack;
 }
 
-declare class DataTableFactory extends Factory { 
-	struct: ScriptStruct;
-	static Load(ResourceName: string): DataTableFactory;
-	static Find(Outer: UObject, ResourceName: string): DataTableFactory;
-	static GetDefaultObject(): DataTableFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTableFactory;
-	static C(Other: UObject | any): DataTableFactory;
+declare type ELevelVisibility = 'Visible' | 'Hidden' | 'ELevelVisibility_MAX';
+declare var ELevelVisibility : { Visible:'Visible',Hidden:'Hidden',ELevelVisibility_MAX:'ELevelVisibility_MAX', };
+declare class MovieSceneLevelVisibilitySection extends MovieSceneSection { 
+	Visibility: ELevelVisibility;
+	LevelNames: string[];
+	static Load(ResourceName: string): MovieSceneLevelVisibilitySection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneLevelVisibilitySection;
+	static GetDefaultObject(): MovieSceneLevelVisibilitySection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneLevelVisibilitySection;
+	SetVisibility(InVisibility: ELevelVisibility): void;
+	SetLevelNames(InLevelNames: string[]): void;
+	GetVisibility(): ELevelVisibility;
+	GetLevelNames(): string[];
+	static C(Other: UObject | any): MovieSceneLevelVisibilitySection;
 }
 
-declare class DebugSkelMeshComponent extends SkeletalMeshComponent { 
-	bRenderRawSkeleton: boolean;
-	bDrawMesh: boolean;
-	bShowBoneNames: boolean;
-	bDrawBoneInfluences: boolean;
-	bDrawMorphTargetVerts: boolean;
-	bDrawNormals: boolean;
-	bDrawTangents: boolean;
-	bDrawBinormals: boolean;
-	bDrawSockets: boolean;
-	bSkeletonSocketsVisible: boolean;
-	bMeshSocketsVisible: boolean;
-	bDisplayRawAnimation: boolean;
-	bDisplayNonRetargetedPose: boolean;
-	bDisplayAdditiveBasePose: boolean;
-	bDisplayBakedAnimation: boolean;
-	bDisplaySourceAnimation: boolean;
-	bDisplayBound: boolean;
-	bDisplayVertexColors: boolean;
-	bPreviewRootMotion: boolean;
-	bShowClothData: boolean;
-	MinClothPropertyView: number;
-	MaxClothPropertyView: number;
-	ClothMeshOpacity: number;
-	bClothFlipNormal: boolean;
-	bClothCullBackface: boolean;
-	BonesOfInterest: number[];
-	MorphTargetOfInterests: MorphTarget[];
-	SkelMaterials: MaterialInterface[];
-	PreviewInstance: AnimPreviewInstance;
-	SavedAnimScriptInstance: AnimInstance;
-	bIsUsingInGameBounds: boolean;
-	bPerformSingleClothingTick: boolean;
-	bPauseClothingSimulationWithAnim: boolean;
-	static Load(ResourceName: string): DebugSkelMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): DebugSkelMeshComponent;
-	static GetDefaultObject(): DebugSkelMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugSkelMeshComponent;
-	static C(Other: UObject | any): DebugSkelMeshComponent;
+declare class MovieSceneLevelVisibilityTrack extends MovieSceneNameableTrack { 
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneLevelVisibilityTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneLevelVisibilityTrack;
+	static GetDefaultObject(): MovieSceneLevelVisibilityTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneLevelVisibilityTrack;
+	static C(Other: UObject | any): MovieSceneLevelVisibilityTrack;
 }
 
-declare class DEditorParameterValue extends UObject { 
-	bOverride: boolean;
-	ParameterInfo: MaterialParameterInfo;
-	ExpressionId: Guid;
-	SortPriority: number;
-	static Load(ResourceName: string): DEditorParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorParameterValue;
-	static GetDefaultObject(): DEditorParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorParameterValue;
-	static C(Other: UObject | any): DEditorParameterValue;
+declare class MovieSceneMaterialParameterCollectionTrack extends MovieSceneMaterialTrack { 
+	MPC: MaterialParameterCollection;
+	static Load(ResourceName: string): MovieSceneMaterialParameterCollectionTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneMaterialParameterCollectionTrack;
+	static GetDefaultObject(): MovieSceneMaterialParameterCollectionTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneMaterialParameterCollectionTrack;
+	static C(Other: UObject | any): MovieSceneMaterialParameterCollectionTrack;
 }
 
-declare class DFontParameters { 
-	FontValue: Font;
-	FontPage: number;
-	clone() : DFontParameters;
-	static C(Other: UObject | any): DFontParameters;
+declare class MovieSceneComponentMaterialTrack extends MovieSceneMaterialTrack { 
+	MaterialIndex: number;
+	static Load(ResourceName: string): MovieSceneComponentMaterialTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneComponentMaterialTrack;
+	static GetDefaultObject(): MovieSceneComponentMaterialTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneComponentMaterialTrack;
+	static C(Other: UObject | any): MovieSceneComponentMaterialTrack;
 }
 
-declare class DEditorFontParameterValue extends DEditorParameterValue { 
-	ParameterValue: DFontParameters;
-	static Load(ResourceName: string): DEditorFontParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorFontParameterValue;
-	static GetDefaultObject(): DEditorFontParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorFontParameterValue;
-	static C(Other: UObject | any): DEditorFontParameterValue;
+declare class MovieSceneObjectPathChannelKeyValue { 
+	SoftPtr: UObject;
+	HardPtr: UObject;
+	clone() : MovieSceneObjectPathChannelKeyValue;
+	static C(Other: UObject | any): MovieSceneObjectPathChannelKeyValue;
 }
 
-declare class DEditorMaterialLayersParameterValue extends DEditorParameterValue { 
-	ParameterValue: MaterialLayersFunctions;
-	static Load(ResourceName: string): DEditorMaterialLayersParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorMaterialLayersParameterValue;
-	static GetDefaultObject(): DEditorMaterialLayersParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorMaterialLayersParameterValue;
-	static C(Other: UObject | any): DEditorMaterialLayersParameterValue;
+declare class MovieSceneObjectPathChannel extends MovieSceneChannel { 
+	PropertyClass: UnrealEngineClass;
+	Times: FrameNumber[];
+	Values: MovieSceneObjectPathChannelKeyValue[];
+	DefaultValue: MovieSceneObjectPathChannelKeyValue;
+	clone() : MovieSceneObjectPathChannel;
+	static C(Other: UObject | any): MovieSceneObjectPathChannel;
 }
 
-declare class DEditorScalarParameterValue extends DEditorParameterValue { 
-	ParameterValue: number;
-	static Load(ResourceName: string): DEditorScalarParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorScalarParameterValue;
-	static GetDefaultObject(): DEditorScalarParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorScalarParameterValue;
-	static C(Other: UObject | any): DEditorScalarParameterValue;
+declare class MovieSceneObjectPropertySection extends MovieSceneSection { 
+	ObjectChannel: MovieSceneObjectPathChannel;
+	static Load(ResourceName: string): MovieSceneObjectPropertySection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneObjectPropertySection;
+	static GetDefaultObject(): MovieSceneObjectPropertySection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneObjectPropertySection;
+	static C(Other: UObject | any): MovieSceneObjectPropertySection;
 }
 
-declare class DComponentMaskParameter { 
-	R: boolean;
-	G: boolean;
-	B: boolean;
-	A: boolean;
-	clone() : DComponentMaskParameter;
-	static C(Other: UObject | any): DComponentMaskParameter;
+declare class MovieSceneObjectPropertyTrack extends MovieScenePropertyTrack { 
+	PropertyClass: UnrealEngineClass;
+	static Load(ResourceName: string): MovieSceneObjectPropertyTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneObjectPropertyTrack;
+	static GetDefaultObject(): MovieSceneObjectPropertyTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneObjectPropertyTrack;
+	static C(Other: UObject | any): MovieSceneObjectPropertyTrack;
 }
 
-declare class DEditorStaticComponentMaskParameterValue extends DEditorParameterValue { 
-	ParameterValue: DComponentMaskParameter;
-	static Load(ResourceName: string): DEditorStaticComponentMaskParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorStaticComponentMaskParameterValue;
-	static GetDefaultObject(): DEditorStaticComponentMaskParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorStaticComponentMaskParameterValue;
-	static C(Other: UObject | any): DEditorStaticComponentMaskParameterValue;
+declare class ScalarParameterNameAndCurve { 
+	ParameterName: string;
+	ParameterCurve: MovieSceneFloatChannel;
+	clone() : ScalarParameterNameAndCurve;
+	static C(Other: UObject | any): ScalarParameterNameAndCurve;
 }
 
-declare class DEditorStaticSwitchParameterValue extends DEditorParameterValue { 
-	ParameterValue: boolean;
-	static Load(ResourceName: string): DEditorStaticSwitchParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorStaticSwitchParameterValue;
-	static GetDefaultObject(): DEditorStaticSwitchParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorStaticSwitchParameterValue;
-	static C(Other: UObject | any): DEditorStaticSwitchParameterValue;
+declare class VectorParameterNameAndCurves { 
+	ParameterName: string;
+	XCurve: MovieSceneFloatChannel;
+	YCurve: MovieSceneFloatChannel;
+	ZCurve: MovieSceneFloatChannel;
+	clone() : VectorParameterNameAndCurves;
+	static C(Other: UObject | any): VectorParameterNameAndCurves;
 }
 
-declare class DEditorTextureParameterValue extends DEditorParameterValue { 
-	ParameterValue: Texture;
-	static Load(ResourceName: string): DEditorTextureParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorTextureParameterValue;
-	static GetDefaultObject(): DEditorTextureParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorTextureParameterValue;
-	static C(Other: UObject | any): DEditorTextureParameterValue;
+declare class ColorParameterNameAndCurves { 
+	ParameterName: string;
+	RedCurve: MovieSceneFloatChannel;
+	GreenCurve: MovieSceneFloatChannel;
+	BlueCurve: MovieSceneFloatChannel;
+	AlphaCurve: MovieSceneFloatChannel;
+	clone() : ColorParameterNameAndCurves;
+	static C(Other: UObject | any): ColorParameterNameAndCurves;
 }
 
-declare class DEditorVectorParameterValue extends DEditorParameterValue { 
-	ParameterValue: LinearColor;
-	bIsUsedAsChannelMask: boolean;
-	static Load(ResourceName: string): DEditorVectorParameterValue;
-	static Find(Outer: UObject, ResourceName: string): DEditorVectorParameterValue;
-	static GetDefaultObject(): DEditorVectorParameterValue;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorVectorParameterValue;
-	static C(Other: UObject | any): DEditorVectorParameterValue;
+declare class MovieSceneParameterSection extends MovieSceneSection { 
+	ScalarParameterNamesAndCurves: ScalarParameterNameAndCurve[];
+	VectorParameterNamesAndCurves: VectorParameterNameAndCurves[];
+	ColorParameterNamesAndCurves: ColorParameterNameAndCurves[];
+	static Load(ResourceName: string): MovieSceneParameterSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneParameterSection;
+	static GetDefaultObject(): MovieSceneParameterSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParameterSection;
+	static C(Other: UObject | any): MovieSceneParameterSection;
 }
 
-declare class DerivedDataCacheCommandlet extends Commandlet { 
-	static Load(ResourceName: string): DerivedDataCacheCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DerivedDataCacheCommandlet;
-	static GetDefaultObject(): DerivedDataCacheCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DerivedDataCacheCommandlet;
-	static C(Other: UObject | any): DerivedDataCacheCommandlet;
+declare class MovieSceneParticleParameterTrack extends MovieSceneNameableTrack { 
+	Sections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneParticleParameterTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleParameterTrack;
+	static GetDefaultObject(): MovieSceneParticleParameterTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleParameterTrack;
+	static C(Other: UObject | any): MovieSceneParticleParameterTrack;
 }
 
-declare class DiffAssetsCommandlet extends Commandlet { 
-	static Load(ResourceName: string): DiffAssetsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DiffAssetsCommandlet;
-	static GetDefaultObject(): DiffAssetsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffAssetsCommandlet;
-	static C(Other: UObject | any): DiffAssetsCommandlet;
+declare class MovieSceneParticleChannel extends MovieSceneByteChannel { 
+	clone() : MovieSceneParticleChannel;
+	static C(Other: UObject | any): MovieSceneParticleChannel;
 }
 
-declare class DiffFilesCommandlet extends Commandlet { 
-	static Load(ResourceName: string): DiffFilesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DiffFilesCommandlet;
-	static GetDefaultObject(): DiffFilesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffFilesCommandlet;
-	static C(Other: UObject | any): DiffFilesCommandlet;
+declare class MovieSceneParticleSection extends MovieSceneSection { 
+	ParticleKeys: MovieSceneParticleChannel;
+	static Load(ResourceName: string): MovieSceneParticleSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleSection;
+	static GetDefaultObject(): MovieSceneParticleSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleSection;
+	static C(Other: UObject | any): MovieSceneParticleSection;
 }
 
-declare class DiffPackagesCommandlet extends Commandlet { 
-	Packages: Package;
-	static Load(ResourceName: string): DiffPackagesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DiffPackagesCommandlet;
-	static GetDefaultObject(): DiffPackagesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffPackagesCommandlet;
-	static C(Other: UObject | any): DiffPackagesCommandlet;
+declare class MovieSceneParticleTrack extends MovieSceneNameableTrack { 
+	ParticleSections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneParticleTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneParticleTrack;
+	static GetDefaultObject(): MovieSceneParticleTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneParticleTrack;
+	static C(Other: UObject | any): MovieSceneParticleTrack;
 }
 
-declare class DumpBlueprintsInfoCommandlet extends Commandlet { 
-	static Load(ResourceName: string): DumpBlueprintsInfoCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DumpBlueprintsInfoCommandlet;
-	static GetDefaultObject(): DumpBlueprintsInfoCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DumpBlueprintsInfoCommandlet;
-	static C(Other: UObject | any): DumpBlueprintsInfoCommandlet;
+declare class MovieScenePrimitiveMaterialSection extends MovieSceneSection { 
+	MaterialChannel: MovieSceneObjectPathChannel;
+	static Load(ResourceName: string): MovieScenePrimitiveMaterialSection;
+	static Find(Outer: UObject, ResourceName: string): MovieScenePrimitiveMaterialSection;
+	static GetDefaultObject(): MovieScenePrimitiveMaterialSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePrimitiveMaterialSection;
+	static C(Other: UObject | any): MovieScenePrimitiveMaterialSection;
 }
 
-declare class DumpHiddenCategoriesCommandlet extends Commandlet { 
-	static Load(ResourceName: string): DumpHiddenCategoriesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): DumpHiddenCategoriesCommandlet;
-	static GetDefaultObject(): DumpHiddenCategoriesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DumpHiddenCategoriesCommandlet;
-	static C(Other: UObject | any): DumpHiddenCategoriesCommandlet;
+declare class MovieScenePrimitiveMaterialTrack extends MovieScenePropertyTrack { 
+	MaterialIndex: number;
+	static Load(ResourceName: string): MovieScenePrimitiveMaterialTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieScenePrimitiveMaterialTrack;
+	static GetDefaultObject(): MovieScenePrimitiveMaterialTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePrimitiveMaterialTrack;
+	static C(Other: UObject | any): MovieScenePrimitiveMaterialTrack;
 }
 
-declare type ECommentBoxMode = 'GroupMovement' | 'NoGroupMovement' | 'ECommentBoxMode_MAX';
-declare var ECommentBoxMode : { GroupMovement:'GroupMovement',NoGroupMovement:'NoGroupMovement',ECommentBoxMode_MAX:'ECommentBoxMode_MAX', };
-declare class EdGraphNode_Comment extends EdGraphNode { 
-	CommentColor: LinearColor;
-	FontSize: number;
-	bCommentBubbleVisible_InDetailsPanel: boolean;
-	bColorCommentBubble: boolean;
-	MoveMode: ECommentBoxMode;
-	CommentDepth: number;
-	static Load(ResourceName: string): EdGraphNode_Comment;
-	static Find(Outer: UObject, ResourceName: string): EdGraphNode_Comment;
-	static GetDefaultObject(): EdGraphNode_Comment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphNode_Comment;
-	static C(Other: UObject | any): EdGraphNode_Comment;
+declare class MovieSceneSkeletalAnimationParams { 
+	Animation: AnimSequenceBase;
+	StartFrameOffset: FrameNumber;
+	EndFrameOffset: FrameNumber;
+	PlayRate: number;
+	bReverse: boolean;
+	SlotName: string;
+	Weight: MovieSceneFloatChannel;
+	bSkipAnimNotifiers: boolean;
+	bForceCustomMode: boolean;
+	StartOffset: number;
+	EndOffset: number;
+	clone() : MovieSceneSkeletalAnimationParams;
+	static C(Other: UObject | any): MovieSceneSkeletalAnimationParams;
 }
 
-declare class EditorActorFolders extends UObject { 
-	static Load(ResourceName: string): EditorActorFolders;
-	static Find(Outer: UObject, ResourceName: string): EditorActorFolders;
-	static GetDefaultObject(): EditorActorFolders;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorActorFolders;
-	static C(Other: UObject | any): EditorActorFolders;
+declare class MovieSceneSkeletalAnimationSection extends MovieSceneSection { 
+	Params: MovieSceneSkeletalAnimationParams;
+	AnimSequence: AnimSequence;
+	Animation: AnimSequenceBase;
+	StartOffset: number;
+	EndOffset: number;
+	PlayRate: number;
+	bReverse: boolean;
+	SlotName: string;
+	static Load(ResourceName: string): MovieSceneSkeletalAnimationSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSkeletalAnimationSection;
+	static GetDefaultObject(): MovieSceneSkeletalAnimationSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSkeletalAnimationSection;
+	static C(Other: UObject | any): MovieSceneSkeletalAnimationSection;
 }
 
-declare class EditorAnimBaseObj extends UObject { 
-	static Load(ResourceName: string): EditorAnimBaseObj;
-	static Find(Outer: UObject, ResourceName: string): EditorAnimBaseObj;
-	static GetDefaultObject(): EditorAnimBaseObj;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimBaseObj;
-	static C(Other: UObject | any): EditorAnimBaseObj;
+declare class MovieSceneSkeletalAnimationTrack extends MovieSceneNameableTrack { 
+	AnimationSections: MovieSceneSection[];
+	bUseLegacySectionIndexBlend: boolean;
+	static Load(ResourceName: string): MovieSceneSkeletalAnimationTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSkeletalAnimationTrack;
+	static GetDefaultObject(): MovieSceneSkeletalAnimationTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSkeletalAnimationTrack;
+	static C(Other: UObject | any): MovieSceneSkeletalAnimationTrack;
 }
 
-declare class EditorAnimCompositeSegment extends EditorAnimBaseObj { 
-	AnimSegment: AnimSegment;
-	static Load(ResourceName: string): EditorAnimCompositeSegment;
-	static Find(Outer: UObject, ResourceName: string): EditorAnimCompositeSegment;
-	static GetDefaultObject(): EditorAnimCompositeSegment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimCompositeSegment;
-	static C(Other: UObject | any): EditorAnimCompositeSegment;
+declare class MovieSceneSlomoSection extends MovieSceneFloatSection { 
+	static Load(ResourceName: string): MovieSceneSlomoSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSlomoSection;
+	static GetDefaultObject(): MovieSceneSlomoSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSlomoSection;
+	static C(Other: UObject | any): MovieSceneSlomoSection;
 }
 
-declare class EditorAnimCurveBoneLinks extends UObject { 
-	CurveName: SmartName;
-	ConnectedBones: BoneReference[];
-	MaxLOD: number;
-	static Load(ResourceName: string): EditorAnimCurveBoneLinks;
-	static Find(Outer: UObject, ResourceName: string): EditorAnimCurveBoneLinks;
-	static GetDefaultObject(): EditorAnimCurveBoneLinks;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimCurveBoneLinks;
-	static C(Other: UObject | any): EditorAnimCurveBoneLinks;
+declare class MovieSceneSlomoTrack extends MovieSceneFloatTrack { 
+	static Load(ResourceName: string): MovieSceneSlomoTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSlomoTrack;
+	static GetDefaultObject(): MovieSceneSlomoTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSlomoTrack;
+	static C(Other: UObject | any): MovieSceneSlomoTrack;
 }
 
-declare class EditorAnimSegment extends EditorAnimBaseObj { 
-	AnimSegment: AnimSegment;
-	static Load(ResourceName: string): EditorAnimSegment;
-	static Find(Outer: UObject, ResourceName: string): EditorAnimSegment;
-	static GetDefaultObject(): EditorAnimSegment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimSegment;
-	static C(Other: UObject | any): EditorAnimSegment;
+declare class MovieSceneSpawnSection extends MovieSceneBoolSection { 
+	static Load(ResourceName: string): MovieSceneSpawnSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSpawnSection;
+	static GetDefaultObject(): MovieSceneSpawnSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSpawnSection;
+	static C(Other: UObject | any): MovieSceneSpawnSection;
 }
 
-declare class EditorCompositeSection extends EditorAnimBaseObj { 
-	CompositeSection: CompositeSection;
-	static Load(ResourceName: string): EditorCompositeSection;
-	static Find(Outer: UObject, ResourceName: string): EditorCompositeSection;
-	static GetDefaultObject(): EditorCompositeSection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorCompositeSection;
-	static C(Other: UObject | any): EditorCompositeSection;
+declare class MovieSceneSpawnTrack extends MovieSceneTrack { 
+	Sections: MovieSceneSection[];
+	ObjectGuid: Guid;
+	static Load(ResourceName: string): MovieSceneSpawnTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSpawnTrack;
+	static GetDefaultObject(): MovieSceneSpawnTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSpawnTrack;
+	static C(Other: UObject | any): MovieSceneSpawnTrack;
 }
 
-declare type EWindowMode = 'Fullscreen' | 'WindowedFullscreen' | 'Windowed' | 'EWindowMode_MAX';
-declare var EWindowMode : { Fullscreen:'Fullscreen',WindowedFullscreen:'WindowedFullscreen',Windowed:'Windowed',EWindowMode_MAX:'EWindowMode_MAX', };
-declare class GameUserSettings extends UObject { 
-	bUseVSync: boolean;
-	bUseDynamicResolution: boolean;
-	ResolutionSizeX: any;
-	ResolutionSizeY: any;
-	LastUserConfirmedResolutionSizeX: any;
-	LastUserConfirmedResolutionSizeY: any;
-	WindowPosX: number;
-	WindowPosY: number;
-	FullscreenMode: number;
-	LastConfirmedFullscreenMode: number;
-	PreferredFullscreenMode: number;
-	Version: any;
-	AudioQualityLevel: number;
-	FrameRateLimit: number;
-	DesiredScreenWidth: number;
-	bUseDesiredScreenHeight: boolean;
-	DesiredScreenHeight: number;
-	LastRecommendedScreenWidth: number;
-	LastRecommendedScreenHeight: number;
-	LastCPUBenchmarkResult: number;
-	LastGPUBenchmarkResult: number;
-	LastCPUBenchmarkSteps: number[];
-	LastGPUBenchmarkSteps: number[];
-	LastGPUBenchmarkMultiplier: number;
-	bUseHDRDisplayOutput: boolean;
-	HDRDisplayOutputNits: number;
-	OnGameUserSettingsUINeedsUpdate: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): GameUserSettings;
-	static Find(Outer: UObject, ResourceName: string): GameUserSettings;
-	static GetDefaultObject(): GameUserSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameUserSettings;
-	ValidateSettings(): void;
-	SupportsHDRDisplayOutput(): boolean;
-	SetVSyncEnabled(bEnable: boolean): void;
-	SetVisualEffectQuality(Value: number): void;
-	SetViewDistanceQuality(Value: number): void;
-	SetToDefaults(): void;
-	SetTextureQuality(Value: number): void;
-	SetShadowQuality(Value: number): void;
-	SetScreenResolution(Resolution: IntPoint): void;
-	SetResolutionScaleValueEx(NewScaleValue: number): void;
-	SetResolutionScaleValue(NewScaleValue: number): void;
-	SetResolutionScaleNormalized(NewScaleNormalized: number): void;
-	SetPostProcessingQuality(Value: number): void;
-	SetOverallScalabilityLevel(Value: number): void;
-	SetFullscreenMode(InFullscreenMode: EWindowMode): void;
-	SetFrameRateLimit(NewLimit: number): void;
-	SetFoliageQuality(Value: number): void;
-	SetDynamicResolutionEnabled(bEnable: boolean): void;
-	SetBenchmarkFallbackValues(): void;
-	SetAudioQualityLevel(QualityLevel: number): void;
-	SetAntiAliasingQuality(Value: number): void;
-	SaveSettings(): void;
-	RunHardwareBenchmark(WorkScale: number,CPUMultiplier: number,GPUMultiplier: number): void;
-	RevertVideoMode(): void;
-	ResetToCurrentSettings(): void;
-	LoadSettings(bForceReload: boolean): void;
-	IsVSyncEnabled(): boolean;
-	IsVSyncDirty(): boolean;
-	IsScreenResolutionDirty(): boolean;
-	IsHDREnabled(): boolean;
-	IsFullscreenModeDirty(): boolean;
-	IsDynamicResolutionEnabled(): boolean;
-	IsDynamicResolutionDirty(): boolean;
-	IsDirty(): boolean;
-	GetVisualEffectQuality(): number;
-	GetViewDistanceQuality(): number;
-	GetTextureQuality(): number;
-	GetShadowQuality(): number;
-	GetScreenResolution(): IntPoint;
-	GetResolutionScaleInformationEx(CurrentScaleNormalized?: number,CurrentScaleValue?: number,MinScaleValue?: number,MaxScaleValue?: number): {CurrentScaleNormalized: number, CurrentScaleValue: number, MinScaleValue: number, MaxScaleValue: number};
-	GetResolutionScaleInformation(CurrentScaleNormalized?: number,CurrentScaleValue?: number,MinScaleValue?: number,MaxScaleValue?: number): {CurrentScaleNormalized: number, CurrentScaleValue: number, MinScaleValue: number, MaxScaleValue: number};
-	GetRecommendedResolutionScale(): number;
-	GetPreferredFullscreenMode(): EWindowMode;
-	GetPostProcessingQuality(): number;
-	GetOverallScalabilityLevel(): number;
-	GetLastConfirmedScreenResolution(): IntPoint;
-	GetLastConfirmedFullscreenMode(): EWindowMode;
-	static GetGameUserSettings(): GameUserSettings;
-	GetFullscreenMode(): EWindowMode;
-	GetFrameRateLimit(): number;
-	GetFoliageQuality(): number;
-	GetDesktopResolution(): IntPoint;
-	static GetDefaultWindowPosition(): IntPoint;
-	static GetDefaultWindowMode(): EWindowMode;
-	GetDefaultResolutionScale(): number;
-	static GetDefaultResolution(): IntPoint;
-	GetCurrentHDRDisplayNits(): number;
-	GetAudioQualityLevel(): number;
-	GetAntiAliasingQuality(): number;
-	EnableHDRDisplayOutput(bEnable: boolean,DisplayNits: number): void;
-	ConfirmVideoMode(): void;
-	ApplySettings(bCheckForCommandLineOverrides: boolean): void;
-	ApplyResolutionSettings(bCheckForCommandLineOverrides: boolean): void;
-	ApplyNonResolutionSettings(): void;
-	ApplyHardwareBenchmarkResults(): void;
-	static C(Other: UObject | any): GameUserSettings;
+declare class MovieSceneStringChannel extends MovieSceneChannel { 
+	Times: FrameNumber[];
+	Values: string[];
+	DefaultValue: string;
+	bHasDefaultValue: boolean;
+	clone() : MovieSceneStringChannel;
+	static C(Other: UObject | any): MovieSceneStringChannel;
 }
 
-declare class AssetManager extends UObject { 
-	ObjectReferenceList: UObject[];
-	bIsGlobalAsyncScanEnvironment: boolean;
-	bShouldGuessTypeAndName: boolean;
-	bShouldUseSynchronousLoad: boolean;
-	bIsLoadingFromPakFiles: boolean;
-	bShouldAcquireMissingChunksOnLoad: boolean;
-	bOnlyCookProductionAssets: boolean;
-	bIsBulkScanning: boolean;
-	bIsManagementDatabaseCurrent: boolean;
-	bUpdateManagementDatabaseAfterScan: boolean;
-	bIncludeOnlyOnDiskAssets: boolean;
-	NumberOfSpawnedNotifications: number;
-	static Load(ResourceName: string): AssetManager;
-	static Find(Outer: UObject, ResourceName: string): AssetManager;
-	static GetDefaultObject(): AssetManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetManager;
-	static C(Other: UObject | any): AssetManager;
+declare class MovieSceneStringSection extends MovieSceneSection { 
+	StringCurve: MovieSceneStringChannel;
+	static Load(ResourceName: string): MovieSceneStringSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneStringSection;
+	static GetDefaultObject(): MovieSceneStringSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneStringSection;
+	static C(Other: UObject | any): MovieSceneStringSection;
 }
 
-declare class StatColorMapEntry { 
-	In: number;
-	Out: Color;
-	clone() : StatColorMapEntry;
-	static C(Other: UObject | any): StatColorMapEntry;
+declare class MovieSceneStringTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneStringTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneStringTrack;
+	static GetDefaultObject(): MovieSceneStringTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneStringTrack;
+	static C(Other: UObject | any): MovieSceneStringTrack;
 }
 
-declare class StatColorMapping { 
-	StatName: string;
-	ColorMap: StatColorMapEntry[];
-	DisableBlend: boolean;
-	clone() : StatColorMapping;
-	static C(Other: UObject | any): StatColorMapping;
+declare class MovieSceneTransformTrack extends MovieScenePropertyTrack { 
+	static Load(ResourceName: string): MovieSceneTransformTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneTransformTrack;
+	static GetDefaultObject(): MovieSceneTransformTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneTransformTrack;
+	static C(Other: UObject | any): MovieSceneTransformTrack;
 }
 
-declare class GameNameRedirect { 
-	OldGameName: string;
-	NewGameName: string;
-	clone() : GameNameRedirect;
-	static C(Other: UObject | any): GameNameRedirect;
+declare class MovieSceneVectorSection extends MovieSceneSection { 
+	Curves: MovieSceneFloatChannel;
+	ChannelsUsed: number;
+	static Load(ResourceName: string): MovieSceneVectorSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneVectorSection;
+	static GetDefaultObject(): MovieSceneVectorSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVectorSection;
+	static C(Other: UObject | any): MovieSceneVectorSection;
 }
 
-declare class ClassRedirect { 
-	ObjectName: string;
-	OldClassName: string;
-	NewClassName: string;
-	OldSubobjName: string;
-	NewSubobjName: string;
-	NewClassClass: string;
-	NewClassPackage: string;
-	InstanceOnly: boolean;
-	clone() : ClassRedirect;
-	static C(Other: UObject | any): ClassRedirect;
+declare class MovieSceneVectorTrack extends MovieScenePropertyTrack { 
+	NumChannelsUsed: number;
+	static Load(ResourceName: string): MovieSceneVectorTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneVectorTrack;
+	static GetDefaultObject(): MovieSceneVectorTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVectorTrack;
+	static C(Other: UObject | any): MovieSceneVectorTrack;
 }
 
-declare class PluginRedirect { 
-	OldPluginName: string;
-	NewPluginName: string;
-	clone() : PluginRedirect;
-	static C(Other: UObject | any): PluginRedirect;
+declare class MovieSceneVisibilityTrack extends MovieSceneBoolTrack { 
+	static Load(ResourceName: string): MovieSceneVisibilityTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneVisibilityTrack;
+	static GetDefaultObject(): MovieSceneVisibilityTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneVisibilityTrack;
+	static C(Other: UObject | any): MovieSceneVisibilityTrack;
 }
 
-declare class StructRedirect { 
-	OldStructName: string;
-	NewStructName: string;
-	clone() : StructRedirect;
-	static C(Other: UObject | any): StructRedirect;
+declare class EngineCustomTimeStep extends UObject { 
+	static Load(ResourceName: string): EngineCustomTimeStep;
+	static Find(Outer: UObject, ResourceName: string): EngineCustomTimeStep;
+	static GetDefaultObject(): EngineCustomTimeStep;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineCustomTimeStep;
+	static C(Other: UObject | any): EngineCustomTimeStep;
+}
+
+declare class FixedFrameRateCustomTimeStep extends EngineCustomTimeStep { 
+	FixedFrameRate: FrameRate;
+	static Load(ResourceName: string): FixedFrameRateCustomTimeStep;
+	static Find(Outer: UObject, ResourceName: string): FixedFrameRateCustomTimeStep;
+	static GetDefaultObject(): FixedFrameRateCustomTimeStep;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FixedFrameRateCustomTimeStep;
+	static C(Other: UObject | any): FixedFrameRateCustomTimeStep;
+}
+
+declare class TimeManagementBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): TimeManagementBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): TimeManagementBlueprintLibrary;
+	static GetDefaultObject(): TimeManagementBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimeManagementBlueprintLibrary;
+	static TransformTime(SourceTime: FrameTime,SourceRate: FrameRate,DestinationRate: FrameRate): FrameTime;
+	static Subtract_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Subtract_FrameNumberFrameNumber(A: FrameNumber,B: FrameNumber): FrameNumber;
+	static SnapFrameTimeToRate(SourceTime: FrameTime,SourceRate: FrameRate,SnapToRate: FrameRate): FrameTime;
+	static Multiply_SecondsFrameRate(TimeInSeconds: number,FrameRate: FrameRate): FrameTime;
+	static Multiply_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static IsValid_MultipleOf(InFrameRate: FrameRate,OtherFramerate: FrameRate): boolean;
+	static IsValid_Framerate(InFrameRate: FrameRate): boolean;
+	static GetTimecode(): Timecode;
+	static Divide_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Conv_TimecodeToString(InTimecode: Timecode,bForceSignDisplay: boolean): string;
+	static Conv_QualifiedFrameTimeToSeconds(InFrameTime: QualifiedFrameTime): number;
+	static Conv_FrameRateToSeconds(InFrameRate: FrameRate): number;
+	static Conv_FrameNumberToInteger(InFrameNumber: FrameNumber): number;
+	static Add_FrameNumberInteger(A: FrameNumber,B: number): FrameNumber;
+	static Add_FrameNumberFrameNumber(A: FrameNumber,B: FrameNumber): FrameNumber;
+	static C(Other: UObject | any): TimeManagementBlueprintLibrary;
+}
+
+declare class TimeSynchronizationSource extends UObject { 
+	bUseForSynchronization: boolean;
+	FrameOffset: number;
+	static Load(ResourceName: string): TimeSynchronizationSource;
+	static Find(Outer: UObject, ResourceName: string): TimeSynchronizationSource;
+	static GetDefaultObject(): TimeSynchronizationSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimeSynchronizationSource;
+	static C(Other: UObject | any): TimeSynchronizationSource;
+}
+
+declare class MovieScenePlaybackClient extends Interface { 
+	static Load(ResourceName: string): MovieScenePlaybackClient;
+	static Find(Outer: UObject, ResourceName: string): MovieScenePlaybackClient;
+	static GetDefaultObject(): MovieScenePlaybackClient;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieScenePlaybackClient;
+	static C(Other: UObject | any): MovieScenePlaybackClient;
 }
 
-declare type ETransitionType = 'TT_None' | 'TT_Paused' | 'TT_Loading' | 'TT_Saving' | 'TT_Connecting' | 'TT_Precaching' | 'TT_WaitingToConnect' | 'TT_MAX';
-declare var ETransitionType : { TT_None:'TT_None',TT_Paused:'TT_Paused',TT_Loading:'TT_Loading',TT_Saving:'TT_Saving',TT_Connecting:'TT_Connecting',TT_Precaching:'TT_Precaching',TT_WaitingToConnect:'TT_WaitingToConnect',TT_MAX:'TT_MAX', };
-declare class DropNoteInfo { 
-	Location: Vector;
-	Rotation: Rotator;
-	Comment: string;
-	clone() : DropNoteInfo;
-	static C(Other: UObject | any): DropNoteInfo;
+declare class MovieSceneBindingOverrideData { 
+	ObjectBindingId: MovieSceneObjectBindingID;
+	UObject: any;
+	bOverridesDefault: boolean;
+	clone() : MovieSceneBindingOverrideData;
+	static C(Other: UObject | any): MovieSceneBindingOverrideData;
 }
 
-declare class RigidBodyErrorCorrection { 
-	LinearDeltaThresholdSq: number;
-	LinearInterpAlpha: number;
-	LinearRecipFixTime: number;
-	AngularDeltaThreshold: number;
-	AngularInterpAlpha: number;
-	AngularRecipFixTime: number;
-	BodySpeedThresholdSq: number;
-	clone() : RigidBodyErrorCorrection;
-	static C(Other: UObject | any): RigidBodyErrorCorrection;
+declare class MovieSceneBindingOverrides extends UObject { 
+	BindingData: MovieSceneBindingOverrideData[];
+	static Load(ResourceName: string): MovieSceneBindingOverrides;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneBindingOverrides;
+	static GetDefaultObject(): MovieSceneBindingOverrides;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBindingOverrides;
+	static C(Other: UObject | any): MovieSceneBindingOverrides;
 }
 
-declare class NetDriverDefinition { 
-	DefName: string;
-	DriverClassName: string;
-	DriverClassNameFallback: string;
-	clone() : NetDriverDefinition;
-	static C(Other: UObject | any): NetDriverDefinition;
-}
-
-declare class Engine extends UObject { 
-	TinyFont: Font;
-	TinyFontName: SoftObjectPath;
-	SmallFont: Font;
-	SmallFontName: SoftObjectPath;
-	MediumFont: Font;
-	MediumFontName: SoftObjectPath;
-	LargeFont: Font;
-	LargeFontName: SoftObjectPath;
-	SubtitleFont: Font;
-	SubtitleFontName: SoftObjectPath;
-	AdditionalFonts: Font[];
-	AdditionalFontNames: string[];
-	ConsoleClass: UnrealEngineClass;
-	ConsoleClassName: SoftClassPath;
-	GameViewportClientClass: UnrealEngineClass;
-	GameViewportClientClassName: SoftClassPath;
-	LocalPlayerClass: UnrealEngineClass;
-	LocalPlayerClassName: SoftClassPath;
-	WorldSettingsClass: UnrealEngineClass;
-	WorldSettingsClassName: SoftClassPath;
-	NavigationSystemClassName: SoftClassPath;
-	NavigationSystemClass: UnrealEngineClass;
-	AvoidanceManagerClassName: SoftClassPath;
-	AvoidanceManagerClass: UnrealEngineClass;
-	PhysicsCollisionHandlerClass: UnrealEngineClass;
-	PhysicsCollisionHandlerClassName: SoftClassPath;
-	GameUserSettingsClassName: SoftClassPath;
-	GameUserSettingsClass: UnrealEngineClass;
-	AIControllerClassName: SoftClassPath;
-	GameUserSettings: GameUserSettings;
-	LevelScriptActorClass: UnrealEngineClass;
-	LevelScriptActorClassName: SoftClassPath;
-	DefaultBlueprintBaseClassName: SoftClassPath;
-	GameSingletonClassName: SoftClassPath;
-	GameSingleton: UObject;
-	AssetManagerClassName: SoftClassPath;
-	AssetManager: AssetManager;
-	DefaultTexture: Texture2D;
-	DefaultTextureName: SoftObjectPath;
-	DefaultDiffuseTexture: Texture;
-	DefaultDiffuseTextureName: SoftObjectPath;
-	DefaultBSPVertexTexture: Texture2D;
-	DefaultBSPVertexTextureName: SoftObjectPath;
-	HighFrequencyNoiseTexture: Texture2D;
-	HighFrequencyNoiseTextureName: SoftObjectPath;
-	DefaultBokehTexture: Texture2D;
-	DefaultBokehTextureName: SoftObjectPath;
-	DefaultBloomKernelTexture: Texture2D;
-	DefaultBloomKernelTextureName: SoftObjectPath;
-	WireframeMaterial: Material;
-	WireframeMaterialName: string;
-	GeomMaterial: Material;
-	GeomMaterialName: SoftObjectPath;
-	DebugMeshMaterial: Material;
-	DebugMeshMaterialName: SoftObjectPath;
-	LevelColorationLitMaterial: Material;
-	LevelColorationLitMaterialName: string;
-	LevelColorationUnlitMaterial: Material;
-	LevelColorationUnlitMaterialName: string;
-	LightingTexelDensityMaterial: Material;
-	LightingTexelDensityName: string;
-	ShadedLevelColorationLitMaterial: Material;
-	ShadedLevelColorationLitMaterialName: string;
-	ShadedLevelColorationUnlitMaterial: Material;
-	ShadedLevelColorationUnlitMaterialName: string;
-	RemoveSurfaceMaterial: Material;
-	RemoveSurfaceMaterialName: SoftObjectPath;
-	VertexColorMaterial: Material;
-	VertexColorMaterialName: string;
-	VertexColorViewModeMaterial_ColorOnly: Material;
-	VertexColorViewModeMaterialName_ColorOnly: string;
-	VertexColorViewModeMaterial_AlphaAsColor: Material;
-	VertexColorViewModeMaterialName_AlphaAsColor: string;
-	VertexColorViewModeMaterial_RedOnly: Material;
-	VertexColorViewModeMaterialName_RedOnly: string;
-	VertexColorViewModeMaterial_GreenOnly: Material;
-	VertexColorViewModeMaterialName_GreenOnly: string;
-	VertexColorViewModeMaterial_BlueOnly: Material;
-	VertexColorViewModeMaterialName_BlueOnly: string;
-	BoneWeightMaterial: Material;
-	BoneWeightMaterialName: SoftObjectPath;
-	ClothPaintMaterial: Material;
-	ClothPaintMaterialWireframe: Material;
-	ClothPaintMaterialInstance: MaterialInstanceDynamic;
-	ClothPaintMaterialWireframeInstance: MaterialInstanceDynamic;
-	ClothPaintMaterialName: SoftObjectPath;
-	ClothPaintMaterialWireframeName: SoftObjectPath;
-	DebugEditorMaterial: Material;
-	DebugEditorMaterialName: SoftObjectPath;
-	ConstraintLimitMaterial: Material;
-	ConstraintLimitMaterialX: MaterialInstanceDynamic;
-	ConstraintLimitMaterialXAxis: MaterialInstanceDynamic;
-	ConstraintLimitMaterialY: MaterialInstanceDynamic;
-	ConstraintLimitMaterialYAxis: MaterialInstanceDynamic;
-	ConstraintLimitMaterialZ: MaterialInstanceDynamic;
-	ConstraintLimitMaterialZAxis: MaterialInstanceDynamic;
-	ConstraintLimitMaterialPrismatic: MaterialInstanceDynamic;
-	InvalidLightmapSettingsMaterial: Material;
-	InvalidLightmapSettingsMaterialName: SoftObjectPath;
-	PreviewShadowsIndicatorMaterial: Material;
-	PreviewShadowsIndicatorMaterialName: SoftObjectPath;
-	ArrowMaterial: Material;
-	ArrowMaterialName: SoftObjectPath;
-	LightingOnlyBrightness: LinearColor;
-	ShaderComplexityColors: LinearColor[];
-	QuadComplexityColors: LinearColor[];
-	LightComplexityColors: LinearColor[];
-	StationaryLightOverlapColors: LinearColor[];
-	LODColorationColors: LinearColor[];
-	HLODColorationColors: LinearColor[];
-	StreamingAccuracyColors: LinearColor[];
-	MaxPixelShaderAdditiveComplexityCount: number;
-	MaxES2PixelShaderAdditiveComplexityCount: number;
-	MinLightMapDensity: number;
-	IdealLightMapDensity: number;
-	MaxLightMapDensity: number;
-	bRenderLightMapDensityGrayscale: boolean;
-	RenderLightMapDensityGrayscaleScale: number;
-	RenderLightMapDensityColorScale: number;
-	LightMapDensityVertexMappedColor: LinearColor;
-	LightMapDensitySelectedColor: LinearColor;
-	StatColorMappings: StatColorMapping[];
-	EditorBrushMaterial: Material;
-	EditorBrushMaterialName: SoftObjectPath;
-	DefaultPhysMaterial: PhysicalMaterial;
-	DefaultPhysMaterialName: SoftObjectPath;
-	ActiveGameNameRedirects: GameNameRedirect[];
-	ActiveClassRedirects: ClassRedirect[];
-	ActivePluginRedirects: PluginRedirect[];
-	ActiveStructRedirects: StructRedirect[];
-	PreIntegratedSkinBRDFTexture: Texture2D;
-	PreIntegratedSkinBRDFTextureName: SoftObjectPath;
-	MiniFontTexture: Texture2D;
-	MiniFontTextureName: SoftObjectPath;
-	WeightMapPlaceholderTexture: Texture;
-	WeightMapPlaceholderTextureName: SoftObjectPath;
-	LightMapDensityTexture: Texture2D;
-	LightMapDensityTextureName: SoftObjectPath;
-	GameViewport: GameViewportClient;
-	DeferredCommands: string[];
-	TickCycles: number;
-	GameCycles: number;
-	ClientCycles: number;
-	NearClipPlane: number;
-	bHardwareSurveyEnabled: boolean;
-	bSubtitlesEnabled: boolean;
-	bSubtitlesForcedOff: boolean;
-	MaximumLoopIterationCount: number;
-	bCanBlueprintsTickByDefault: boolean;
-	bOptimizeAnimBlueprintMemberVariableAccess: boolean;
-	bAllowMultiThreadedAnimationUpdate: boolean;
-	bEnableEditorPSysRealtimeLOD: boolean;
-	bSmoothFrameRate: boolean;
-	bUseFixedFrameRate: boolean;
-	FixedFrameRate: number;
-	SmoothedFrameRateRange: FloatRange;
-	bCheckForMultiplePawnsSpawnedInAFrame: boolean;
-	NumPawnsAllowedToBeSpawnedInAFrame: number;
-	bShouldGenerateLowQualityLightmaps: boolean;
-	C_WorldBox: Color;
-	C_BrushWire: Color;
-	C_AddWire: Color;
-	C_SubtractWire: Color;
-	C_SemiSolidWire: Color;
-	C_NonSolidWire: Color;
-	C_WireBackground: Color;
-	C_ScaleBoxHi: Color;
-	C_VolumeCollision: Color;
-	C_BSPCollision: Color;
-	C_OrthoBackground: Color;
-	C_Volume: Color;
-	C_BrushShape: Color;
-	StreamingDistanceFactor: number;
-	GameScreenshotSaveDirectory: DirectoryPath;
-	TransitionType: ETransitionType;
-	TransitionDescription: string;
-	TransitionGameMode: string;
-	MeshLODRange: number;
-	bAllowMatureLanguage: boolean;
-	CameraRotationThreshold: number;
-	CameraTranslationThreshold: number;
-	PrimitiveProbablyVisibleTime: number;
-	MaxOcclusionPixelsFraction: number;
-	bPauseOnLossOfFocus: boolean;
-	MaxParticleResize: number;
-	MaxParticleResizeWarn: number;
-	PendingDroppedNotes: DropNoteInfo[];
-	PhysicErrorCorrection: RigidBodyErrorCorrection;
-	NetClientTicksPerSecond: number;
-	DisplayGamma: number;
-	MinDesiredFrameRate: number;
-	DefaultSelectedMaterialColor: LinearColor;
-	SelectedMaterialColor: LinearColor;
-	SelectionOutlineColor: LinearColor;
-	SubduedSelectionOutlineColor: LinearColor;
-	SelectedMaterialColorOverride: LinearColor;
-	bIsOverridingSelectedColor: boolean;
-	bEnableOnScreenDebugMessages: boolean;
-	bEnableOnScreenDebugMessagesDisplay: boolean;
-	bSuppressMapWarnings: boolean;
-	bDisableAILogging: boolean;
-	bEnableVisualLogRecordingOnStart: any;
-	ScreenSaverInhibitorSemaphore: number;
-	bLockReadOnlyLevels: boolean;
-	ParticleEventManagerClassPath: string;
-	SelectionHighlightIntensity: number;
-	SelectionMeshSectionHighlightIntensity: number;
-	BSPSelectionHighlightIntensity: number;
-	HoverHighlightIntensity: number;
-	SelectionHighlightIntensityBillboards: number;
-	NetDriverDefinitions: NetDriverDefinition[];
-	ServerActors: string[];
-	RuntimeServerActors: string[];
-	bStartedLoadMapMovie: boolean;
-	NextWorldContextHandle: number;
-	static Load(ResourceName: string): Engine;
-	static Find(Outer: UObject, ResourceName: string): Engine;
-	static GetDefaultObject(): Engine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Engine;
-	static C(Other: UObject | any): Engine;
-	GetEditorWorld(): World;
-	GetPIEWorld(): World;
-	HasUndo(): boolean;
-	SetClientTravel(InWorld: World,NextURL: string,InTravelType: ETravelType): void;
-	static GetEditorWorld(Engine: Engine): World;
-	static GetPIEWorld(Engine: Engine): World;
-	static HasUndo(Engine: Engine): boolean;
-	static SetClientTravel(Engine: Engine,InWorld: World,NextURL: string,InTravelType: ETravelType): void;
+declare class MovieSceneBindingOwnerInterface extends Interface { 
+	static Load(ResourceName: string): MovieSceneBindingOwnerInterface;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneBindingOwnerInterface;
+	static GetDefaultObject(): MovieSceneBindingOwnerInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBindingOwnerInterface;
+	static C(Other: UObject | any): MovieSceneBindingOwnerInterface;
 }
 
-declare class JavascriptTransaction { 
-	clone() : JavascriptTransaction;
-	static C(Other: UObject | any): JavascriptTransaction;
-	GetContext(): string;
-	GetPrimaryObject(): UObject;
-	GetTitle(): string;
-	static GetContext(Transaction: JavascriptTransaction): string;
-	static GetPrimaryObject(Transaction: JavascriptTransaction): UObject;
-	static GetTitle(Transaction: JavascriptTransaction): string;
+declare type EMovieSceneBuiltInEasing = 'Linear' | 'SinIn' | 'SinOut' | 'SinInOut' | 'QuadIn' | 'QuadOut' | 'QuadInOut' | 'CubicIn' | 'CubicOut' | 'CubicInOut' | 'QuartIn' | 'QuartOut' | 'QuartInOut' | 'QuintIn' | 'QuintOut' | 'QuintInOut' | 'ExpoIn' | 'ExpoOut' | 'ExpoInOut' | 'CircIn' | 'CircOut' | 'CircInOut' | 'EMovieSceneBuiltInEasing_MAX';
+declare var EMovieSceneBuiltInEasing : { Linear:'Linear',SinIn:'SinIn',SinOut:'SinOut',SinInOut:'SinInOut',QuadIn:'QuadIn',QuadOut:'QuadOut',QuadInOut:'QuadInOut',CubicIn:'CubicIn',CubicOut:'CubicOut',CubicInOut:'CubicInOut',QuartIn:'QuartIn',QuartOut:'QuartOut',QuartInOut:'QuartInOut',QuintIn:'QuintIn',QuintOut:'QuintOut',QuintInOut:'QuintInOut',ExpoIn:'ExpoIn',ExpoOut:'ExpoOut',ExpoInOut:'ExpoInOut',CircIn:'CircIn',CircOut:'CircOut',CircInOut:'CircInOut',EMovieSceneBuiltInEasing_MAX:'EMovieSceneBuiltInEasing_MAX', };
+declare class MovieSceneBuiltInEasingFunction extends UObject { 
+	Type: EMovieSceneBuiltInEasing;
+	static Load(ResourceName: string): MovieSceneBuiltInEasingFunction;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneBuiltInEasingFunction;
+	static GetDefaultObject(): MovieSceneBuiltInEasingFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneBuiltInEasingFunction;
+	static C(Other: UObject | any): MovieSceneBuiltInEasingFunction;
 }
 
-declare class Transactor extends UObject { 
-	static Load(ResourceName: string): Transactor;
-	static Find(Outer: UObject, ResourceName: string): Transactor;
-	static GetDefaultObject(): Transactor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Transactor;
-	static C(Other: UObject | any): Transactor;
-	GetQueueLength(): number;
-	GetTransaction(QueueIndex: number): JavascriptTransaction;
-	IsActive(): boolean;
-	static GetQueueLength(Transactor: Transactor): number;
-	static GetTransaction(Transactor: Transactor,QueueIndex: number): JavascriptTransaction;
-	static IsActive(Transactor: Transactor): boolean;
-}
-
-declare class EditorWorldExtensionCollection extends UObject { 
-	static Load(ResourceName: string): EditorWorldExtensionCollection;
-	static Find(Outer: UObject, ResourceName: string): EditorWorldExtensionCollection;
-	static GetDefaultObject(): EditorWorldExtensionCollection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtensionCollection;
-	static C(Other: UObject | any): EditorWorldExtensionCollection;
-}
-
-declare class EditorWorldExtensionManager extends UObject { 
-	EditorWorldExtensionCollection: EditorWorldExtensionCollection[];
-	static Load(ResourceName: string): EditorWorldExtensionManager;
-	static Find(Outer: UObject, ResourceName: string): EditorWorldExtensionManager;
-	static GetDefaultObject(): EditorWorldExtensionManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtensionManager;
-	static C(Other: UObject | any): EditorWorldExtensionManager;
-}
-
-declare type ECsgOper = 'CSG_Active' | 'CSG_Add' | 'CSG_Subtract' | 'CSG_Intersect' | 'CSG_Deintersect' | 'CSG_None' | 'CSG_MAX';
-declare var ECsgOper : { CSG_Active:'CSG_Active',CSG_Add:'CSG_Add',CSG_Subtract:'CSG_Subtract',CSG_Intersect:'CSG_Intersect',CSG_Deintersect:'CSG_Deintersect',CSG_None:'CSG_None',CSG_MAX:'CSG_MAX', };
-declare class USelection extends UObject { 
-	static Load(ResourceName: string): USelection;
-	static Find(Outer: UObject, ResourceName: string): USelection;
-	static GetDefaultObject(): USelection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): USelection;
-	static C(Other: UObject | any): USelection;
-	Deselect(InObject: UObject): void;
-	DeselectAll(InClass: UnrealEngineClass): void;
-	GetSelectedObjects(Out?: UObject[]): {Out: UObject[], $: number};
-	Select(InObject: UObject): void;
-	ToggleSelect(InObject: UObject): void;
-	static Deselect(USelection: USelection,InObject: UObject): void;
-	static DeselectAll(USelection: USelection,InClass: UnrealEngineClass): void;
-	static GetSelectedObjects(USelection: USelection,Out?: UObject[]): {Out: UObject[], $: number};
-	static Select(USelection: USelection,InObject: UObject): void;
-	static ToggleSelect(USelection: USelection,InObject: UObject): void;
+declare class MovieSceneEasingExternalCurve extends UObject { 
+	Curve: CurveFloat;
+	static Load(ResourceName: string): MovieSceneEasingExternalCurve;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEasingExternalCurve;
+	static GetDefaultObject(): MovieSceneEasingExternalCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEasingExternalCurve;
+	static C(Other: UObject | any): MovieSceneEasingExternalCurve;
 }
 
-declare class GroupActor extends Actor { 
-	bLocked: boolean;
-	GroupActors: Actor[];
-	SubGroups: GroupActor[];
-	static GetDefaultObject(): GroupActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GroupActor;
-	static C(Other: UObject | any): GroupActor;
+declare class MovieSceneEasingFunction extends Interface { 
+	static Load(ResourceName: string): MovieSceneEasingFunction;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneEasingFunction;
+	static GetDefaultObject(): MovieSceneEasingFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneEasingFunction;
+	OnEvaluate(Interp: number): number;
+	static C(Other: UObject | any): MovieSceneEasingFunction;
 }
 
-declare class EditorEngine extends Engine { 
-	TempModel: Model;
-	ConversionTempModel: Model;
-	Trans: Transactor;
-	Bad: Texture2D;
-	EditorFont: Font;
-	PreviewSoundCue: SoundCue;
-	PreviewAudioComponent: AudioComponent;
-	EditorCube: StaticMesh;
-	EditorSphere: StaticMesh;
-	EditorPlane: StaticMesh;
-	EditorCylinder: StaticMesh;
-	bFastRebuild: boolean;
-	IsImportingT3D: boolean;
-	ClickFlags: any;
-	ParentContext: Package;
-	UnsnappedClickLocation: Vector;
-	ClickLocation: Vector;
-	ClickPlane: Plane;
-	MouseMovement: Vector;
-	DetailMode: EDetailMode;
-	UseSizingBox: boolean;
-	UseAxisIndicator: boolean;
-	GodMode: boolean;
-	GameCommandLine: string;
-	bShowBrushMarkerPolys: boolean;
-	bEnableSocketSnapping: boolean;
-	bEnableLODLocking: boolean;
-	HeightMapExportClassName: string;
-	ActorFactories: ActorFactory[];
-	UserOpenedFile: string;
-	InEditorGameURLOptions: string;
-	PlayWorld: World;
-	PlayWorldLocation: Vector;
-	PlayWorldRotation: Rotator;
-	bIsPlayWorldQueued: boolean;
-	bIsToggleBetweenPIEandSIEQueued: boolean;
-	bIsSimulateInEditorQueued: boolean;
-	bAllowMultiplePIEWorlds: boolean;
-	bRequestEndPlayMapQueued: boolean;
-	bHasPlayWorldPlacement: boolean;
-	bUseMobilePreviewForPlayWorld: boolean;
-	bUseVRPreviewForPlayWorld: boolean;
-	bIsSimulatingInEditor: boolean;
-	bSquelchTransactionNotification: boolean;
-	PlayFromHerePlayerStartClass: UnrealEngineClass;
-	EditorWorld: World;
-	ActorsThatWereSelected: any[];
-	PlayWorldDestination: number;
-	CurrentPlayWorldDestination: number;
-	bMobilePreviewPortrait: boolean;
-	BuildPlayDevice: number;
-	PlayInEditorViewportIndex: number;
-	UserEditedPlayWorldURL: string;
-	ScratchRenderTarget2048: TextureRenderTarget2D;
-	ScratchRenderTarget1024: TextureRenderTarget2D;
-	ScratchRenderTarget512: TextureRenderTarget2D;
-	ScratchRenderTarget256: TextureRenderTarget2D;
-	PreviewMeshComp: StaticMeshComponent;
-	PreviewMeshIndex: number;
-	bShowPreviewMesh: boolean;
-	bCustomCameraAlignEmitter: boolean;
-	CustomCameraAlignEmitterDistance: number;
-	bDrawSocketsInGMode: boolean;
-	bDrawParticleHelpers: boolean;
-	BrushBuilders: BrushBuilder[];
-	EditorWorldExtensionsManager: EditorWorldExtensionManager;
-	ActorGroupingUtilsClassName: SoftClassPath;
-	ActorGroupingUtils: ActorGroupingUtils;
-	static Load(ResourceName: string): EditorEngine;
-	static Find(Outer: UObject, ResourceName: string): EditorEngine;
-	static GetDefaultObject(): EditorEngine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorEngine;
-	static C(Other: UObject | any): EditorEngine;
-	bspBrushCSG(Actor: Brush,Model: Model,PolyFlags: number,BrushType: EBrushType,CSGOper: ECsgOper,bBuildBounds: boolean,bMergePolys: boolean,bReplaceNULLMaterialRefs: boolean,bShowProgressBar: boolean): number;
-	CanSelectActor(Actor: Actor,bInSelected: boolean,bSelectEvenIfHidden: boolean,bWarnIfLevelLocked: boolean): boolean;
-	Exec(InWorld: World,Command: string,Out?: string): {Out: string, $: boolean};
-	FindBrushBuilder(BrushBuilderClass: UnrealEngineClass): BrushBuilder;
-	GetSelectedComponents(): USelection;
-	GetSelectedObjects(): USelection;
-	GetSelectedSet(Class: UnrealEngineClass): USelection;
-	RebuildLevel(Level: Level): void;
-	RebuildStaticNavigableGeometry(Level: Level): void;
-	RedrawAllViewports(bInvalidateHitProxies: boolean): void;
-	SelectActor(Actor: Actor,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean,bForceRefresh: boolean): void;
-	SelectComponent(Component: ActorComponent,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean): void;
-	SelectGroup(InGroupActor: GroupActor,bForceSelection: boolean,bInSelected: boolean,bNotify: boolean): void;
-	SelectNone(bNoteSelectionChange: boolean,bDeselectBSPSurfs: boolean,WarnAboutManyActors: boolean): void;
-	SetMaterial(InModel: Model,Material: MaterialInterface,Surfaces: number[]): void;
-	static bspBrushCSG(Engine: EditorEngine,Actor: Brush,Model: Model,PolyFlags: number,BrushType: EBrushType,CSGOper: ECsgOper,bBuildBounds: boolean,bMergePolys: boolean,bReplaceNULLMaterialRefs: boolean,bShowProgressBar: boolean): number;
-	static CanSelectActor(Engine: EditorEngine,Actor: Actor,bInSelected: boolean,bSelectEvenIfHidden: boolean,bWarnIfLevelLocked: boolean): boolean;
-	static Exec(Engine: EditorEngine,InWorld: World,Command: string,Out?: string): {Out: string, $: boolean};
-	static FindBrushBuilder(Engine: EditorEngine,BrushBuilderClass: UnrealEngineClass): BrushBuilder;
-	static GetSelectedComponents(Engine: EditorEngine): USelection;
-	static GetSelectedObjects(Engine: EditorEngine): USelection;
-	static GetSelectedSet(Engine: EditorEngine,Class: UnrealEngineClass): USelection;
-	static RebuildLevel(Engine: EditorEngine,Level: Level): void;
-	static RebuildStaticNavigableGeometry(Engine: EditorEngine,Level: Level): void;
-	static RedrawAllViewports(Engine: EditorEngine,bInvalidateHitProxies: boolean): void;
-	static SelectActor(Engine: EditorEngine,Actor: Actor,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean,bForceRefresh: boolean): void;
-	static SelectComponent(Engine: EditorEngine,Component: ActorComponent,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean): void;
-	static SelectGroup(Engine: EditorEngine,InGroupActor: GroupActor,bForceSelection: boolean,bInSelected: boolean,bNotify: boolean): void;
-	static SelectNone(Engine: EditorEngine,bNoteSelectionChange: boolean,bDeselectBSPSurfs: boolean,WarnAboutManyActors: boolean): void;
-	static SetMaterial(Engine: EditorEngine,InModel: Model,Material: MaterialInterface,Surfaces: number[]): void;
+declare class MovieSceneKeyProxy extends Interface { 
+	static Load(ResourceName: string): MovieSceneKeyProxy;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneKeyProxy;
+	static GetDefaultObject(): MovieSceneKeyProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneKeyProxy;
+	static C(Other: UObject | any): MovieSceneKeyProxy;
 }
 
-declare type EConsoleForGamepadLabels = 'None' | 'XBoxOne' | 'PS4' | 'EConsoleForGamepadLabels_MAX';
-declare var EConsoleForGamepadLabels : { None:'None',XBoxOne:'XBoxOne',PS4:'PS4',EConsoleForGamepadLabels_MAX:'EConsoleForGamepadLabels_MAX', };
-declare class EditorExperimentalSettings extends UObject { 
-	bProceduralFoliage: boolean;
-	bEnableLocalizationDashboard: boolean;
-	bEnableTranslationPicker: boolean;
-	bEnableEditorUtilityBlueprints: boolean;
-	bEnableFavoriteSystem: boolean;
-	bDeviceOutputLog: boolean;
-	ConsoleForGamepadLabels: EConsoleForGamepadLabels;
-	bToolbarCustomization: boolean;
-	bBreakOnExceptions: boolean;
-	bEnableFindAndReplaceReferences: boolean;
-	bDrawMidpointArrowsInBlueprints: boolean;
-	bContextMenuChunkAssignments: boolean;
-	bDisableCookInEditor: boolean;
-	bSharedCookedBuilds: boolean;
-	MultiProcessCooking: number;
-	bEQSEditor: boolean;
-	bAllowLateJoinInPIE: boolean;
-	bAllowVulkanPreview: boolean;
-	bEnableMultithreadedLightmapEncoding: boolean;
-	bEnableMultithreadedShadowmapEncoding: boolean;
-	bUseOpenCLForConvexHullDecomp: boolean;
-	bAllowPotentiallyUnsafePropertyEditing: boolean;
-	bFacialAnimationImporter: boolean;
-	bEnableLiveRecompilationOfAnimationBlueprints: boolean;
-	bMobilePIEPreviewDeviceLaunch: boolean;
-	bExampleLayersAndBlends: boolean;
-	static Load(ResourceName: string): EditorExperimentalSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorExperimentalSettings;
-	static GetDefaultObject(): EditorExperimentalSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorExperimentalSettings;
-	static C(Other: UObject | any): EditorExperimentalSettings;
+declare type EMovieScenePlayerStatus = 'Stopped' | 'Playing' | 'Recording' | 'Scrubbing' | 'Jumping' | 'Stepping' | 'Paused' | 'MAX';
+declare var EMovieScenePlayerStatus : { Stopped:'Stopped',Playing:'Playing',Recording:'Recording',Scrubbing:'Scrubbing',Jumping:'Jumping',Stepping:'Stepping',Paused:'Paused',MAX:'MAX', };
+declare class MovieSceneSequenceLoopCount { 
+	Value: number;
+	clone() : MovieSceneSequenceLoopCount;
+	static C(Other: UObject | any): MovieSceneSequenceLoopCount;
 }
 
-declare class EditorLevelUtils extends UObject { 
-	static Load(ResourceName: string): EditorLevelUtils;
-	static Find(Outer: UObject, ResourceName: string): EditorLevelUtils;
-	static GetDefaultObject(): EditorLevelUtils;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLevelUtils;
-	static MoveSelectedActorsToLevel(DestLevel: LevelStreaming): number;
-	static MoveActorsToLevel(ActorsToMove: Actor[],DestStreamingLevel: LevelStreaming): number;
-	static MakeLevelCurrent(InStreamingLevel: LevelStreaming): void;
-	static CreateNewStreamingLevel(LevelStreamingClass: UnrealEngineClass,NewLevelPath: string,bMoveSelectedActorsIntoNewLevel: boolean): LevelStreaming;
-	static C(Other: UObject | any): EditorLevelUtils;
+declare class MovieSceneSequencePlaybackSettings { 
+	bAutoPlay: boolean;
+	LoopCount: MovieSceneSequenceLoopCount;
+	PlayRate: number;
+	StartTime: number;
+	bRandomStartTime: boolean;
+	bRestoreState: boolean;
+	bDisableMovementInput: boolean;
+	bDisableLookAtInput: boolean;
+	bHidePlayer: boolean;
+	bHideHud: boolean;
+	bDisableCameraCuts: boolean;
+	bPauseAtEnd: boolean;
+	clone() : MovieSceneSequencePlaybackSettings;
+	static C(Other: UObject | any): MovieSceneSequencePlaybackSettings;
 }
 
-declare type ELoadLevelAtStartup = 'None' | 'ProjectDefault' | 'LastOpened' | 'ELoadLevelAtStartup_MAX';
-declare var ELoadLevelAtStartup : { None:'None',ProjectDefault:'ProjectDefault',LastOpened:'LastOpened',ELoadLevelAtStartup_MAX:'ELoadLevelAtStartup_MAX', };
-declare class AutoReimportWildcard { 
-	wildcard: string;
-	bInclude: boolean;
-	clone() : AutoReimportWildcard;
-	static C(Other: UObject | any): AutoReimportWildcard;
+declare class MovieSceneRootEvaluationTemplateInstance { 
+	DirectorInstances: any;
+	clone() : MovieSceneRootEvaluationTemplateInstance;
+	static C(Other: UObject | any): MovieSceneRootEvaluationTemplateInstance;
 }
 
-declare class AutoReimportDirectoryConfig { 
-	SourceDirectory: string;
-	MountPoint: string;
-	Wildcards: AutoReimportWildcard[];
-	clone() : AutoReimportDirectoryConfig;
-	static C(Other: UObject | any): AutoReimportDirectoryConfig;
+declare class MovieSceneSequenceReplProperties { 
+	LastKnownPosition: FrameTime;
+	LastKnownStatus: EMovieScenePlayerStatus;
+	LastKnownNumLoops: number;
+	clone() : MovieSceneSequenceReplProperties;
+	static C(Other: UObject | any): MovieSceneSequenceReplProperties;
 }
 
-declare class EditorLoadingSavingSettings extends UObject { 
-	LoadLevelAtStartup: ELoadLevelAtStartup;
-	bForceCompilationAtStartup: boolean;
-	bRestoreOpenAssetTabsOnRestart: boolean;
-	bEnableSourceControlCompatabilityCheck: boolean;
-	bMonitorContentDirectories: boolean;
-	AutoReimportDirectories: string[];
-	AutoReimportDirectorySettings: AutoReimportDirectoryConfig[];
-	AutoReimportThreshold: number;
-	bAutoCreateAssets: boolean;
-	bAutoDeleteAssets: boolean;
-	bDetectChangesOnStartup: boolean;
-	bPromptBeforeAutoImporting: boolean;
-	bDeleteSourceFilesWithAssets: boolean;
-	bAutoReimportTextures: boolean;
-	bAutoReimportCSV: boolean;
-	bDirtyMigratedBlueprints: boolean;
-	bAutoSaveEnable: boolean;
-	bAutoSaveMaps: boolean;
-	bAutoSaveContent: boolean;
-	AutoSaveTimeMinutes: number;
-	AutoSaveWarningInSeconds: number;
-	bAutomaticallyCheckoutOnAssetModification: boolean;
-	bPromptForCheckoutOnAssetModification: boolean;
-	bSCCAutoAddNewFiles: boolean;
-	bSCCUseGlobalSettings: boolean;
-	TextDiffToolPath: FilePath;
-	static Load(ResourceName: string): EditorLoadingSavingSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorLoadingSavingSettings;
-	static GetDefaultObject(): EditorLoadingSavingSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLoadingSavingSettings;
-	static C(Other: UObject | any): EditorLoadingSavingSettings;
-}
-
-declare class EditorMiscSettings extends UObject { 
-	static Load(ResourceName: string): EditorMiscSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorMiscSettings;
-	static GetDefaultObject(): EditorMiscSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorMiscSettings;
-	static C(Other: UObject | any): EditorMiscSettings;
+declare type EUpdatePositionMethod = 'Play' | 'Jump' | 'Scrub' | 'EUpdatePositionMethod_MAX';
+declare var EUpdatePositionMethod : { Play:'Play',Jump:'Jump',Scrub:'Scrub',EUpdatePositionMethod_MAX:'EUpdatePositionMethod_MAX', };
+declare class MovieSceneSequencePlayer extends UObject { 
+	OnPlay: UnrealEngineMulticastDelegate<() => void>;
+	OnPlayReverse: UnrealEngineMulticastDelegate<() => void>;
+	OnStop: UnrealEngineMulticastDelegate<() => void>;
+	OnPause: UnrealEngineMulticastDelegate<() => void>;
+	OnFinished: UnrealEngineMulticastDelegate<() => void>;
+	Status: EMovieScenePlayerStatus;
+	bReversePlayback: boolean;
+	Sequence: MovieSceneSequence;
+	StartTime: FrameNumber;
+	DurationFrames: number;
+	CurrentNumLoops: number;
+	PlaybackSettings: MovieSceneSequencePlaybackSettings;
+	RootTemplateInstance: MovieSceneRootEvaluationTemplateInstance;
+	NetSyncProps: MovieSceneSequenceReplProperties;
+	PlaybackClient: any;
+	static Load(ResourceName: string): MovieSceneSequencePlayer;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneSequencePlayer;
+	static GetDefaultObject(): MovieSceneSequencePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneSequencePlayer;
+	StopAtCurrentTime(): void;
+	Stop(): void;
+	SetTimeRange(StartTime: number,Duration: number): void;
+	SetPlayRate(PlayRate: number): void;
+	SetPlaybackRange(NewStartTime: number,NewEndTime: number): void;
+	SetPlaybackPosition(NewPlaybackPosition: number): void;
+	SetFrameRate(FrameRate: FrameRate): void;
+	SetFrameRange(StartFrame: number,Duration: number): void;
+	SetDisableCameraCuts(bInDisableCameraCuts: boolean): void;
+	ScrubToSeconds(TimeInSeconds: number): void;
+	ScrubToMarkedFrame(InLabel: string): boolean;
+	ScrubToFrame(NewPosition: FrameTime): void;
+	Scrub(): void;
+	RPC_OnStopEvent(StoppedTime: FrameTime): void;
+	RPC_ExplicitServerUpdateEvent(Method: EUpdatePositionMethod,RelevantTime: FrameTime): void;
+	PlayToSeconds(TimeInSeconds: number): void;
+	PlayToMarkedFrame(InLabel: string): boolean;
+	PlayToFrame(NewPosition: FrameTime): void;
+	PlayReverse(): void;
+	PlayLooping(NumLoops: number): void;
+	Play(): void;
+	Pause(): void;
+	JumpToSeconds(TimeInSeconds: number): void;
+	JumpToPosition(NewPlaybackPosition: number): void;
+	JumpToMarkedFrame(InLabel: string): boolean;
+	JumpToFrame(NewPosition: FrameTime): void;
+	IsReversed(): boolean;
+	IsPlaying(): boolean;
+	IsPaused(): boolean;
+	GoToEndAndStop(): void;
+	GetStartTime(): QualifiedFrameTime;
+	GetPlayRate(): number;
+	GetPlaybackStart(): number;
+	GetPlaybackPosition(): number;
+	GetPlaybackEnd(): number;
+	GetObjectBindings(InObject: UObject): MovieSceneObjectBindingID[];
+	GetLength(): number;
+	GetFrameRate(): FrameRate;
+	GetFrameDuration(): number;
+	GetEndTime(): QualifiedFrameTime;
+	GetDuration(): QualifiedFrameTime;
+	GetDisableCameraCuts(): boolean;
+	GetCurrentTime(): QualifiedFrameTime;
+	GetBoundObjects(ObjectBinding: MovieSceneObjectBindingID): UObject[];
+	ChangePlaybackDirection(): void;
+	static C(Other: UObject | any): MovieSceneSequencePlayer;
 }
 
-declare class EditorNotifyObject extends EditorAnimBaseObj { 
-	Event: AnimNotifyEvent;
-	static Load(ResourceName: string): EditorNotifyObject;
-	static Find(Outer: UObject, ResourceName: string): EditorNotifyObject;
-	static GetDefaultObject(): EditorNotifyObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorNotifyObject;
-	static C(Other: UObject | any): EditorNotifyObject;
+declare class TestMovieSceneTrack extends MovieSceneTrack { 
+	bHighPassFilter: boolean;
+	SectionArray: MovieSceneSection[];
+	static Load(ResourceName: string): TestMovieSceneTrack;
+	static Find(Outer: UObject, ResourceName: string): TestMovieSceneTrack;
+	static GetDefaultObject(): TestMovieSceneTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestMovieSceneTrack;
+	static C(Other: UObject | any): TestMovieSceneTrack;
 }
 
-declare class EditorParentPlayerListObj extends UObject { 
-	Overrides: AnimParentNodeAssetOverride[];
-	static Load(ResourceName: string): EditorParentPlayerListObj;
-	static Find(Outer: UObject, ResourceName: string): EditorParentPlayerListObj;
-	static GetDefaultObject(): EditorParentPlayerListObj;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorParentPlayerListObj;
-	static C(Other: UObject | any): EditorParentPlayerListObj;
+declare class TestMovieSceneSection extends MovieSceneSection { 
+	static Load(ResourceName: string): TestMovieSceneSection;
+	static Find(Outer: UObject, ResourceName: string): TestMovieSceneSection;
+	static GetDefaultObject(): TestMovieSceneSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestMovieSceneSection;
+	static C(Other: UObject | any): TestMovieSceneSection;
 }
 
-declare class EditorPerformanceSettings extends DeveloperSettings { 
-	bShowFrameRateAndMemory: boolean;
-	bThrottleCPUWhenNotForeground: boolean;
-	bMonitorEditorPerformance: boolean;
-	bOverrideDPIBasedEditorViewportScaling: boolean;
-	bEnableSharedDDCPerformanceNotifications: boolean;
-	static Load(ResourceName: string): EditorPerformanceSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorPerformanceSettings;
-	static GetDefaultObject(): EditorPerformanceSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorPerformanceSettings;
-	static C(Other: UObject | any): EditorPerformanceSettings;
+declare class TestMovieSceneSequence extends MovieSceneSequence { 
+	MovieScene: MovieScene;
+	static Load(ResourceName: string): TestMovieSceneSequence;
+	static Find(Outer: UObject, ResourceName: string): TestMovieSceneSequence;
+	static GetDefaultObject(): TestMovieSceneSequence;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestMovieSceneSequence;
+	static C(Other: UObject | any): TestMovieSceneSequence;
 }
 
-declare class EditorPerProjectUserSettings extends UObject { 
-	bDisplayUIExtensionPoints: boolean;
-	bDisplayDocumentationLink: boolean;
-	bDisplayActionListItemRefIds: boolean;
-	bAlwaysGatherBehaviorTreeDebuggerData: boolean;
-	bDisplayEngineVersionInBadge: boolean;
-	bUseSimplygonSwarm: boolean;
-	SimplygonServerIP: string;
-	bEnableSwarmDebugging: boolean;
-	SimplygonSwarmDelay: any;
-	SwarmNumOfConcurrentJobs: any;
-	SwarmMaxUploadChunkSizeInMB: any;
-	SwarmIntermediateFolder: string;
-	bAutomaticallyHotReloadNewClasses: boolean;
-	bShowCompilerLogOnCompileError: boolean;
-	bShowImportDialogAtReimport: boolean;
-	DataSourceFolder: DirectoryPath;
-	bKeepAttachHierarchy: boolean;
-	bAnimationReimportWarnings: boolean;
-	bUseCurvesForDistributions: boolean;
-	PropertyMatrix_NumberOfPasteOperationsBeforeWarning: number;
-	bSCSEditorShowGrid: boolean;
-	bSCSEditorShowFloor: boolean;
-	SCSViewportCameraSpeed: number;
-	bAutoloadCheckedOutPackages: boolean;
-	bSuppressFullyLoadPrompt: boolean;
-	bAllowSelectTranslucent: boolean;
-	BlueprintFavorites: BlueprintPaletteFavorites;
-	AssetViewerProfileIndex: number;
-	AssetViewerProfileName: string;
-	MaterialQualityLevel: number;
-	static Load(ResourceName: string): EditorPerProjectUserSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorPerProjectUserSettings;
-	static GetDefaultObject(): EditorPerProjectUserSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorPerProjectUserSettings;
-	static C(Other: UObject | any): EditorPerProjectUserSettings;
+declare class DefaultLevelSequenceInstanceData extends UObject { 
+	TransformOriginActor: Actor;
+	TransformOrigin: Transform;
+	static Load(ResourceName: string): DefaultLevelSequenceInstanceData;
+	static Find(Outer: UObject, ResourceName: string): DefaultLevelSequenceInstanceData;
+	static GetDefaultObject(): DefaultLevelSequenceInstanceData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultLevelSequenceInstanceData;
+	static C(Other: UObject | any): DefaultLevelSequenceInstanceData;
 }
 
-declare type EUnit = 'Micrometers' | 'Millimeters' | 'Centimeters' | 'Meters' | 'Kilometers' | 'Inches' | 'Feet' | 'Yards' | 'Miles' | 'Lightyears' | 'Degrees' | 'Radians' | 'MetersPerSecond' | 'KilometersPerHour' | 'MilesPerHour' | 'Celsius' | 'Farenheit' | 'Kelvin' | 'Micrograms' | 'Milligrams' | 'Grams' | 'Kilograms' | 'MetricTons' | 'Ounces' | 'Pounds' | 'Stones' | 'Newtons' | 'PoundsForce' | 'KilogramsForce' | 'Hertz' | 'Kilohertz' | 'Megahertz' | 'Gigahertz' | 'RevolutionsPerMinute' | 'Bytes' | 'Kilobytes' | 'Megabytes' | 'Gigabytes' | 'Terabytes' | 'Lumens' | 'Milliseconds' | 'Seconds' | 'Minutes' | 'Hours' | 'Days' | 'Months' | 'Years' | 'Multiplier' | 'Percentage' | 'Unspecified' | 'EUnit_MAX';
-declare var EUnit : { Micrometers:'Micrometers',Millimeters:'Millimeters',Centimeters:'Centimeters',Meters:'Meters',Kilometers:'Kilometers',Inches:'Inches',Feet:'Feet',Yards:'Yards',Miles:'Miles',Lightyears:'Lightyears',Degrees:'Degrees',Radians:'Radians',MetersPerSecond:'MetersPerSecond',KilometersPerHour:'KilometersPerHour',MilesPerHour:'MilesPerHour',Celsius:'Celsius',Farenheit:'Farenheit',Kelvin:'Kelvin',Micrograms:'Micrograms',Milligrams:'Milligrams',Grams:'Grams',Kilograms:'Kilograms',MetricTons:'MetricTons',Ounces:'Ounces',Pounds:'Pounds',Stones:'Stones',Newtons:'Newtons',PoundsForce:'PoundsForce',KilogramsForce:'KilogramsForce',Hertz:'Hertz',Kilohertz:'Kilohertz',Megahertz:'Megahertz',Gigahertz:'Gigahertz',RevolutionsPerMinute:'RevolutionsPerMinute',Bytes:'Bytes',Kilobytes:'Kilobytes',Megabytes:'Megabytes',Gigabytes:'Gigabytes',Terabytes:'Terabytes',Lumens:'Lumens',Milliseconds:'Milliseconds',Seconds:'Seconds',Minutes:'Minutes',Hours:'Hours',Days:'Days',Months:'Months',Years:'Years',Multiplier:'Multiplier',Percentage:'Percentage',Unspecified:'Unspecified',EUnit_MAX:'EUnit_MAX', };
-declare type EUnitDisplay = 'None' | 'Metric' | 'Imperial' | 'Invalid' | 'EUnitDisplay_MAX';
-declare var EUnitDisplay : { None:'None',Metric:'Metric',Imperial:'Imperial',Invalid:'Invalid',EUnitDisplay_MAX:'EUnitDisplay_MAX', };
-declare type EDefaultLocationUnit = 'Micrometers' | 'Millimeters' | 'Centimeters' | 'Meters' | 'Kilometers' | 'Inches' | 'Feet' | 'Yards' | 'Miles' | 'Invalid' | 'EDefaultLocationUnit_MAX';
-declare var EDefaultLocationUnit : { Micrometers:'Micrometers',Millimeters:'Millimeters',Centimeters:'Centimeters',Meters:'Meters',Kilometers:'Kilometers',Inches:'Inches',Feet:'Feet',Yards:'Yards',Miles:'Miles',Invalid:'Invalid',EDefaultLocationUnit_MAX:'EDefaultLocationUnit_MAX', };
-declare class EditorProjectAppearanceSettings extends DeveloperSettings { 
-	bDisplayUnits: boolean;
-	bDisplayUnitsOnComponentTransforms: boolean;
-	DistanceUnits: EUnit[];
-	MassUnits: EUnit[];
-	TimeUnits: EUnit[];
-	AngleUnits: EUnit;
-	SpeedUnits: EUnit;
-	TemperatureUnits: EUnit;
-	ForceUnits: EUnit;
-	UnitDisplay: EUnitDisplay;
-	DefaultInputUnits: EDefaultLocationUnit;
-	static Load(ResourceName: string): EditorProjectAppearanceSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorProjectAppearanceSettings;
-	static GetDefaultObject(): EditorProjectAppearanceSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorProjectAppearanceSettings;
-	static C(Other: UObject | any): EditorProjectAppearanceSettings;
+declare class LevelSequenceMetaData extends Interface { 
+	static Load(ResourceName: string): LevelSequenceMetaData;
+	static Find(Outer: UObject, ResourceName: string): LevelSequenceMetaData;
+	static GetDefaultObject(): LevelSequenceMetaData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceMetaData;
+	static C(Other: UObject | any): LevelSequenceMetaData;
 }
 
-declare type ELevelEditor2DAxis = 'X' | 'Y' | 'Z' | 'ELevelEditor2DAxis_MAX';
-declare var ELevelEditor2DAxis : { X:'X',Y:'Y',Z:'Z',ELevelEditor2DAxis_MAX:'ELevelEditor2DAxis_MAX', };
-declare class Mode2DLayer { 
-	Name: string;
-	Depth: number;
-	clone() : Mode2DLayer;
-	static C(Other: UObject | any): Mode2DLayer;
+declare class LevelSequenceObjectReferenceMap { 
+	clone() : LevelSequenceObjectReferenceMap;
+	static C(Other: UObject | any): LevelSequenceObjectReferenceMap;
 }
 
-declare class LevelEditor2DSettings extends DeveloperSettings { 
-	bEnable2DWidget: boolean;
-	bEnableSnapLayers: boolean;
-	SnapAxis: ELevelEditor2DAxis;
-	SnapLayers: Mode2DLayer[];
-	static Load(ResourceName: string): LevelEditor2DSettings;
-	static Find(Outer: UObject, ResourceName: string): LevelEditor2DSettings;
-	static GetDefaultObject(): LevelEditor2DSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditor2DSettings;
-	static C(Other: UObject | any): LevelEditor2DSettings;
+declare class LevelSequenceBindingReferences { 
+	BindingIdToReferences: any;
+	AnimSequenceInstances: any;
+	clone() : LevelSequenceBindingReferences;
+	static C(Other: UObject | any): LevelSequenceBindingReferences;
 }
 
-declare class BlueprintEditorProjectSettings extends DeveloperSettings { 
-	bUseCompilationManager: boolean;
-	bSkipUnneededDependencyCompilation: boolean;
-	bValidateUnloadedSoftActorReferences: boolean;
-	static Load(ResourceName: string): BlueprintEditorProjectSettings;
-	static Find(Outer: UObject, ResourceName: string): BlueprintEditorProjectSettings;
-	static GetDefaultObject(): BlueprintEditorProjectSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEditorProjectSettings;
-	static C(Other: UObject | any): BlueprintEditorProjectSettings;
+declare class LevelSequence extends MovieSceneSequence { 
+	MovieScene: MovieScene;
+	ObjectReferences: LevelSequenceObjectReferenceMap;
+	BindingReferences: LevelSequenceBindingReferences;
+	PossessedObjects: any;
+	DirectorBlueprint: Blueprint;
+	DirectorClass: UnrealEngineClass;
+	MetaDataObjects: UObject[];
+	static Load(ResourceName: string): LevelSequence;
+	static Find(Outer: UObject, ResourceName: string): LevelSequence;
+	static GetDefaultObject(): LevelSequence;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequence;
+	RemoveMetaDataByClass(InClass: UnrealEngineClass): void;
+	FindOrAddMetaDataByClass(InClass: UnrealEngineClass): UObject;
+	FindMetaDataByClass(InClass: UnrealEngineClass): UObject;
+	CopyMetaData(InMetaData: UObject): UObject;
+	static C(Other: UObject | any): LevelSequence;
 }
 
-declare class EditorSettings extends UObject { 
-	bLoadTheMostRecentlyLoadedProjectAtStartup: boolean;
-	bEditorAnalyticsEnabled: boolean;
-	LocalDerivedDataCache: DirectoryPath;
-	SharedDerivedDataCache: DirectoryPath;
-	RecentlyOpenedProjectFiles: string[];
-	CreatedProjectPaths: string[];
-	bCopyStarterContentPreference: boolean;
-	CompletedSurveys: Guid[];
-	InProgressSurveys: Guid[];
-	AutoScalabilityWorkScaleAmount: number;
-	static Load(ResourceName: string): EditorSettings;
-	static Find(Outer: UObject, ResourceName: string): EditorSettings;
-	static GetDefaultObject(): EditorSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSettings;
-	static C(Other: UObject | any): EditorSettings;
+declare class LevelSequencePlayer extends MovieSceneSequencePlayer { 
+	OnCameraCut: UnrealEngineMulticastDelegate<(CameraComponent: CameraComponent) => void>;
+	static Load(ResourceName: string): LevelSequencePlayer;
+	static Find(Outer: UObject, ResourceName: string): LevelSequencePlayer;
+	static GetDefaultObject(): LevelSequencePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequencePlayer;
+	GetActiveCameraComponent(): CameraComponent;
+	static CreateLevelSequencePlayer(WorldContextObject: UObject,LevelSequence: LevelSequence,Settings: MovieSceneSequencePlaybackSettings,OutActor?: LevelSequenceActor): {OutActor: LevelSequenceActor, $: LevelSequencePlayer};
+	static C(Other: UObject | any): LevelSequencePlayer;
 }
 
-declare class EditorSkeletonNotifyObj extends UObject { 
-	Name: string;
-	static Load(ResourceName: string): EditorSkeletonNotifyObj;
-	static Find(Outer: UObject, ResourceName: string): EditorSkeletonNotifyObj;
-	static GetDefaultObject(): EditorSkeletonNotifyObj;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSkeletonNotifyObj;
-	static C(Other: UObject | any): EditorSkeletonNotifyObj;
+declare class LevelSequenceSnapshotSettings { 
+	ZeroPadAmount: number;
+	FrameRate: FrameRate;
+	clone() : LevelSequenceSnapshotSettings;
+	static C(Other: UObject | any): LevelSequenceSnapshotSettings;
 }
 
-declare class EnumFactory extends Factory { 
-	static Load(ResourceName: string): EnumFactory;
-	static Find(Outer: UObject, ResourceName: string): EnumFactory;
-	static GetDefaultObject(): EnumFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnumFactory;
-	static C(Other: UObject | any): EnumFactory;
+declare class LevelSequencePlayerSnapshot { 
+	MasterName: string;
+	MasterTime: QualifiedFrameTime;
+	SourceTime: QualifiedFrameTime;
+	CurrentShotName: string;
+	CurrentShotLocalTime: QualifiedFrameTime;
+	CurrentShotSourceTime: QualifiedFrameTime;
+	SourceTimecode: string;
+	CameraComponent: CameraComponent;
+	Settings: LevelSequenceSnapshotSettings;
+	ActiveShot: LevelSequence;
+	ShotID: MovieSceneSequenceID;
+	clone() : LevelSequencePlayerSnapshot;
+	static C(Other: UObject | any): LevelSequencePlayerSnapshot;
 }
 
-declare class GatherTextCommandletBase extends Commandlet { 
-	static Load(ResourceName: string): GatherTextCommandletBase;
-	static Find(Outer: UObject, ResourceName: string): GatherTextCommandletBase;
-	static GetDefaultObject(): GatherTextCommandletBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextCommandletBase;
-	static C(Other: UObject | any): GatherTextCommandletBase;
+declare class LevelSequenceBurnIn extends UserWidget { 
+	FrameInformation: LevelSequencePlayerSnapshot;
+	LevelSequenceActor: LevelSequenceActor;
+	static Load(ResourceName: string): LevelSequenceBurnIn;
+	static Find(Outer: UObject, ResourceName: string): LevelSequenceBurnIn;
+	static GetDefaultObject(): LevelSequenceBurnIn;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceBurnIn;
+	SetSettings(InSettings: UObject): void;
+	GetSettingsClass(): UnrealEngineClass;
+	static C(Other: UObject | any): LevelSequenceBurnIn;
 }
 
-declare class ExportDialogueScriptCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): ExportDialogueScriptCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ExportDialogueScriptCommandlet;
-	static GetDefaultObject(): ExportDialogueScriptCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExportDialogueScriptCommandlet;
-	static C(Other: UObject | any): ExportDialogueScriptCommandlet;
+declare class LevelSequenceActor extends Actor { 
+	PlaybackSettings: MovieSceneSequencePlaybackSettings;
+	SequencePlayer: LevelSequencePlayer;
+	LevelSequence: SoftObjectPath;
+	AdditionalEventReceivers: Actor[];
+	BurnInOptions: LevelSequenceBurnInOptions;
+	BindingOverrides: MovieSceneBindingOverrides;
+	bAutoPlay: boolean;
+	bOverrideInstanceData: boolean;
+	bReplicatePlayback: boolean;
+	DefaultInstanceData: UObject;
+	BurnInInstance: LevelSequenceBurnIn;
+	static GetDefaultObject(): LevelSequenceActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceActor;
+	SetSequence(InSequence: LevelSequence): void;
+	SetReplicatePlayback(ReplicatePlayback: boolean): void;
+	SetEventReceivers(AdditionalReceivers: Actor[]): void;
+	SetBinding(Binding: MovieSceneObjectBindingID,Actors: Actor[],bAllowBindingsFromAsset: boolean): void;
+	ResetBindings(): void;
+	ResetBinding(Binding: MovieSceneObjectBindingID): void;
+	RemoveBinding(Binding: MovieSceneObjectBindingID,Actor: Actor): void;
+	LoadSequence(): LevelSequence;
+	GetSequencePlayer(): LevelSequencePlayer;
+	GetSequence(): LevelSequence;
+	AddBinding(Binding: MovieSceneObjectBindingID,Actor: Actor,bAllowBindingsFromAsset: boolean): void;
+	static C(Other: UObject | any): LevelSequenceActor;
 }
 
-declare class ExportTextContainer extends UObject { 
-	ExportText: string;
-	static Load(ResourceName: string): ExportTextContainer;
-	static Find(Outer: UObject, ResourceName: string): ExportTextContainer;
-	static GetDefaultObject(): ExportTextContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExportTextContainer;
-	static C(Other: UObject | any): ExportTextContainer;
+declare class LevelSequenceDirector extends UObject { 
+	Player: LevelSequencePlayer;
+	static Load(ResourceName: string): LevelSequenceDirector;
+	static Find(Outer: UObject, ResourceName: string): LevelSequenceDirector;
+	static GetDefaultObject(): LevelSequenceDirector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelSequenceDirector;
+	OnCreated(): void;
+	static C(Other: UObject | any): LevelSequenceDirector;
 }
 
-declare class FbxSceneImportData extends UObject { 
-	SourceFbxFile: string;
-	static Load(ResourceName: string): FbxSceneImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxSceneImportData;
-	static GetDefaultObject(): FbxSceneImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportData;
-	static C(Other: UObject | any): FbxSceneImportData;
+declare class LegacyLevelSequenceDirectorBlueprint extends Blueprint { 
+	static Load(ResourceName: string): LegacyLevelSequenceDirectorBlueprint;
+	static Find(Outer: UObject, ResourceName: string): LegacyLevelSequenceDirectorBlueprint;
+	static GetDefaultObject(): LegacyLevelSequenceDirectorBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LegacyLevelSequenceDirectorBlueprint;
+	static C(Other: UObject | any): LegacyLevelSequenceDirectorBlueprint;
 }
 
-declare class FbxAssetImportData extends AssetImportData { 
-	ImportTranslation: Vector;
-	ImportRotation: Rotator;
-	ImportUniformScale: number;
-	bConvertScene: boolean;
-	bForceFrontXAxis: boolean;
-	bConvertSceneUnit: boolean;
-	bImportAsScene: boolean;
-	FbxSceneImportDataReference: FbxSceneImportData;
-	static Load(ResourceName: string): FbxAssetImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxAssetImportData;
-	static GetDefaultObject(): FbxAssetImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxAssetImportData;
-	static C(Other: UObject | any): FbxAssetImportData;
+declare class ActorFactory extends UObject { 
+	DisplayName: string;
+	MenuPriority: number;
+	NewActorClassName: string;
+	NewActorClass: UnrealEngineClass;
+	bShowInEditorQuickMenu: boolean;
+	bUseSurfaceOrientation: boolean;
+	SpawnPositionOffset: Vector;
+	static Load(ResourceName: string): ActorFactory;
+	static Find(Outer: UObject, ResourceName: string): ActorFactory;
+	static GetDefaultObject(): ActorFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactory;
+	static C(Other: UObject | any): ActorFactory;
 }
 
-declare type EFBXAnimationLengthImportType = 'FBXALIT_ExportedTime' | 'FBXALIT_AnimatedKey' | 'FBXALIT_SetRange' | 'FBXALIT_MAX';
-declare var EFBXAnimationLengthImportType : { FBXALIT_ExportedTime:'FBXALIT_ExportedTime',FBXALIT_AnimatedKey:'FBXALIT_AnimatedKey',FBXALIT_SetRange:'FBXALIT_SetRange',FBXALIT_MAX:'FBXALIT_MAX', };
-declare class Int32Interval { 
-	Min: number;
-	Max: number;
-	clone() : Int32Interval;
-	static C(Other: UObject | any): Int32Interval;
+declare class ActorFactoryAmbientSound extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryAmbientSound;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryAmbientSound;
+	static GetDefaultObject(): ActorFactoryAmbientSound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAmbientSound;
+	static C(Other: UObject | any): ActorFactoryAmbientSound;
 }
 
-declare class FbxAnimSequenceImportData extends FbxAssetImportData { 
-	bImportMeshesInBoneHierarchy: boolean;
-	AnimationLength: EFBXAnimationLengthImportType;
-	StartFrame: number;
-	EndFrame: number;
-	FrameImportRange: Int32Interval;
-	bUseDefaultSampleRate: boolean;
-	SourceAnimationName: string;
-	bImportCustomAttribute: boolean;
-	bImportBoneTracks: boolean;
-	bSetMaterialDriveParameterOnCustomAttribute: boolean;
-	MaterialCurveSuffixes: string[];
-	bRemoveRedundantKeys: boolean;
-	bDeleteExistingMorphTargetCurves: boolean;
-	bDoNotImportCurveWithZero: boolean;
-	bPreserveLocalTransform: boolean;
-	static Load(ResourceName: string): FbxAnimSequenceImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxAnimSequenceImportData;
-	static GetDefaultObject(): FbxAnimSequenceImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxAnimSequenceImportData;
-	static C(Other: UObject | any): FbxAnimSequenceImportData;
+declare class ActorFactorySkeletalMesh extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactorySkeletalMesh;
+	static Find(Outer: UObject, ResourceName: string): ActorFactorySkeletalMesh;
+	static GetDefaultObject(): ActorFactorySkeletalMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySkeletalMesh;
+	static C(Other: UObject | any): ActorFactorySkeletalMesh;
 }
 
-declare type EFBXTestPlanActionType = 'Import' | 'Reimport' | 'AddLOD' | 'ReimportLOD' | 'ImportReload' | 'EFBXTestPlanActionType_MAX';
-declare var EFBXTestPlanActionType : { Import:'Import',Reimport:'Reimport',AddLOD:'AddLOD',ReimportLOD:'ReimportLOD',ImportReload:'ImportReload',EFBXTestPlanActionType_MAX:'EFBXTestPlanActionType_MAX', };
-declare type EFBXExpectedResultPreset = 'Error_Number' | 'Warning_Number' | 'Created_Staticmesh_Number' | 'Created_Skeletalmesh_Number' | 'Materials_Created_Number' | 'Material_Slot_Imported_Name' | 'Vertex_Number' | 'Lod_Number' | 'Vertex_Number_Lod' | 'Mesh_Materials_Number' | 'Mesh_LOD_Section_Number' | 'Mesh_LOD_Section_Vertex_Number' | 'Mesh_LOD_Section_Triangle_Number' | 'Mesh_LOD_Section_Material_Name' | 'Mesh_LOD_Section_Material_Index' | 'Mesh_LOD_Section_Material_Imported_Name' | 'Mesh_LOD_Vertex_Position' | 'Mesh_LOD_Vertex_Normal' | 'LOD_UV_Channel_Number' | 'Bone_Number' | 'Bone_Position' | 'Animation_Frame_Number' | 'Animation_Length' | 'EFBXExpectedResultPreset_MAX';
-declare var EFBXExpectedResultPreset : { Error_Number:'Error_Number',Warning_Number:'Warning_Number',Created_Staticmesh_Number:'Created_Staticmesh_Number',Created_Skeletalmesh_Number:'Created_Skeletalmesh_Number',Materials_Created_Number:'Materials_Created_Number',Material_Slot_Imported_Name:'Material_Slot_Imported_Name',Vertex_Number:'Vertex_Number',Lod_Number:'Lod_Number',Vertex_Number_Lod:'Vertex_Number_Lod',Mesh_Materials_Number:'Mesh_Materials_Number',Mesh_LOD_Section_Number:'Mesh_LOD_Section_Number',Mesh_LOD_Section_Vertex_Number:'Mesh_LOD_Section_Vertex_Number',Mesh_LOD_Section_Triangle_Number:'Mesh_LOD_Section_Triangle_Number',Mesh_LOD_Section_Material_Name:'Mesh_LOD_Section_Material_Name',Mesh_LOD_Section_Material_Index:'Mesh_LOD_Section_Material_Index',Mesh_LOD_Section_Material_Imported_Name:'Mesh_LOD_Section_Material_Imported_Name',Mesh_LOD_Vertex_Position:'Mesh_LOD_Vertex_Position',Mesh_LOD_Vertex_Normal:'Mesh_LOD_Vertex_Normal',LOD_UV_Channel_Number:'LOD_UV_Channel_Number',Bone_Number:'Bone_Number',Bone_Position:'Bone_Position',Animation_Frame_Number:'Animation_Frame_Number',Animation_Length:'Animation_Length',EFBXExpectedResultPreset_MAX:'EFBXExpectedResultPreset_MAX', };
-declare class FbxTestPlanExpectedResult { 
-	ExpectedPresetsType: EFBXExpectedResultPreset;
-	ExpectedPresetsDataInteger: number[];
-	ExpectedPresetsDataFloat: number[];
-	ExpectedPresetsDataDouble: any[];
-	ExpectedPresetsDataString: string[];
-	clone() : FbxTestPlanExpectedResult;
-	static C(Other: UObject | any): FbxTestPlanExpectedResult;
+declare class ActorFactoryAnimationAsset extends ActorFactorySkeletalMesh { 
+	static Load(ResourceName: string): ActorFactoryAnimationAsset;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryAnimationAsset;
+	static GetDefaultObject(): ActorFactoryAnimationAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAnimationAsset;
+	static C(Other: UObject | any): ActorFactoryAnimationAsset;
 }
 
-declare type EFBXImportType = 'FBXIT_StaticMesh' | 'FBXIT_SkeletalMesh' | 'FBXIT_Animation' | 'FBXIT_MAX';
-declare var EFBXImportType : { FBXIT_StaticMesh:'FBXIT_StaticMesh',FBXIT_SkeletalMesh:'FBXIT_SkeletalMesh',FBXIT_Animation:'FBXIT_Animation',FBXIT_MAX:'FBXIT_MAX', };
-declare type EFBXNormalImportMethod = 'FBXNIM_ComputeNormals' | 'FBXNIM_ImportNormals' | 'FBXNIM_ImportNormalsAndTangents' | 'FBXNIM_MAX';
-declare var EFBXNormalImportMethod : { FBXNIM_ComputeNormals:'FBXNIM_ComputeNormals',FBXNIM_ImportNormals:'FBXNIM_ImportNormals',FBXNIM_ImportNormalsAndTangents:'FBXNIM_ImportNormalsAndTangents',FBXNIM_MAX:'FBXNIM_MAX', };
-declare type EFBXNormalGenerationMethod = 'BuiltIn' | 'MikkTSpace' | 'EFBXNormalGenerationMethod_MAX';
-declare var EFBXNormalGenerationMethod : { BuiltIn:'BuiltIn',MikkTSpace:'MikkTSpace',EFBXNormalGenerationMethod_MAX:'EFBXNormalGenerationMethod_MAX', };
-declare class ImportMeshLodSectionsData { 
-	SectionOriginalMaterialName: string[];
-	clone() : ImportMeshLodSectionsData;
-	static C(Other: UObject | any): ImportMeshLodSectionsData;
+declare class ActorFactoryAtmosphericFog extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryAtmosphericFog;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryAtmosphericFog;
+	static GetDefaultObject(): ActorFactoryAtmosphericFog;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryAtmosphericFog;
+	static C(Other: UObject | any): ActorFactoryAtmosphericFog;
 }
 
-declare class FbxMeshImportData extends FbxAssetImportData { 
-	bTransformVertexToAbsolute: boolean;
-	bBakePivotInVertex: boolean;
-	bImportMeshLODs: boolean;
-	NormalImportMethod: EFBXNormalImportMethod;
-	NormalGenerationMethod: EFBXNormalGenerationMethod;
-	ImportMaterialOriginalNameData: string[];
-	ImportMeshLodData: ImportMeshLodSectionsData[];
-	static Load(ResourceName: string): FbxMeshImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxMeshImportData;
-	static GetDefaultObject(): FbxMeshImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxMeshImportData;
-	static C(Other: UObject | any): FbxMeshImportData;
+declare class ActorFactoryStaticMesh extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryStaticMesh;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryStaticMesh;
+	static GetDefaultObject(): ActorFactoryStaticMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryStaticMesh;
+	static C(Other: UObject | any): ActorFactoryStaticMesh;
 }
 
-declare type EVertexColorImportOption = 'Replace' | 'Ignore' | 'Override' | 'EVertexColorImportOption_MAX';
-declare var EVertexColorImportOption : { Replace:'Replace',Ignore:'Ignore',Override:'Override',EVertexColorImportOption_MAX:'EVertexColorImportOption_MAX', };
-declare class FbxStaticMeshImportData extends FbxMeshImportData { 
-	StaticMeshLODGroup: string;
-	VertexColorImportOption: EVertexColorImportOption;
-	VertexOverrideColor: Color;
-	bRemoveDegenerates: boolean;
-	bBuildAdjacencyBuffer: boolean;
-	bBuildReversedIndexBuffer: boolean;
-	bGenerateLightmapUVs: boolean;
-	bOneConvexHullPerUCX: boolean;
-	bAutoGenerateCollision: boolean;
-	bCombineMeshes: boolean;
-	static Load(ResourceName: string): FbxStaticMeshImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxStaticMeshImportData;
-	static GetDefaultObject(): FbxStaticMeshImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxStaticMeshImportData;
-	static C(Other: UObject | any): FbxStaticMeshImportData;
+declare class ActorFactoryBasicShape extends ActorFactoryStaticMesh { 
+	static Load(ResourceName: string): ActorFactoryBasicShape;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryBasicShape;
+	static GetDefaultObject(): ActorFactoryBasicShape;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBasicShape;
+	static C(Other: UObject | any): ActorFactoryBasicShape;
 }
 
-declare class FbxSkeletalMeshImportData extends FbxMeshImportData { 
-	bUpdateSkeletonReferencePose: boolean;
-	bUseT0AsRefPose: boolean;
-	bPreserveSmoothingGroups: boolean;
-	bImportMeshesInBoneHierarchy: boolean;
-	bImportMorphTargets: boolean;
-	ThresholdPosition: number;
-	ThresholdTangentNormal: number;
-	ThresholdUV: number;
-	static Load(ResourceName: string): FbxSkeletalMeshImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxSkeletalMeshImportData;
-	static GetDefaultObject(): FbxSkeletalMeshImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSkeletalMeshImportData;
-	static C(Other: UObject | any): FbxSkeletalMeshImportData;
+declare class ActorFactoryBlueprint extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryBlueprint;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryBlueprint;
+	static GetDefaultObject(): ActorFactoryBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBlueprint;
+	static C(Other: UObject | any): ActorFactoryBlueprint;
 }
 
-declare type EMaterialSearchLocation = 'Local' | 'UnderParent' | 'UnderRoot' | 'AllAssets' | 'EMaterialSearchLocation_MAX';
-declare var EMaterialSearchLocation : { Local:'Local',UnderParent:'UnderParent',UnderRoot:'UnderRoot',AllAssets:'AllAssets',EMaterialSearchLocation_MAX:'EMaterialSearchLocation_MAX', };
-declare class FbxTextureImportData extends FbxAssetImportData { 
-	bInvertNormalMaps: boolean;
-	MaterialSearchLocation: EMaterialSearchLocation;
-	BaseMaterialName: SoftObjectPath;
-	BaseColorName: string;
-	BaseDiffuseTextureName: string;
-	BaseNormalTextureName: string;
-	BaseEmissiveColorName: string;
-	BaseEmmisiveTextureName: string;
-	BaseSpecularTextureName: string;
-	static Load(ResourceName: string): FbxTextureImportData;
-	static Find(Outer: UObject, ResourceName: string): FbxTextureImportData;
-	static GetDefaultObject(): FbxTextureImportData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxTextureImportData;
-	static C(Other: UObject | any): FbxTextureImportData;
+declare class ActorFactoryBoxReflectionCapture extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryBoxReflectionCapture;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryBoxReflectionCapture;
+	static GetDefaultObject(): ActorFactoryBoxReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBoxReflectionCapture;
+	static C(Other: UObject | any): ActorFactoryBoxReflectionCapture;
 }
 
-declare class FbxImportUI extends UObject { 
-	bIsObjImport: boolean;
-	OriginalImportType: EFBXImportType;
-	MeshTypeToImport: EFBXImportType;
-	bOverrideFullName: boolean;
-	bImportAsSkeletal: boolean;
-	bImportMesh: boolean;
-	Skeleton: Skeleton;
-	bCreatePhysicsAsset: boolean;
-	PhysicsAsset: PhysicsAsset;
-	bAutoComputeLodDistances: boolean;
-	LodDistance0: number;
-	LodDistance1: number;
-	LodDistance2: number;
-	LodDistance3: number;
-	LodDistance4: number;
-	LodDistance5: number;
-	LodDistance6: number;
-	LodDistance7: number;
-	MinimumLodNumber: number;
-	LodNumber: number;
-	bImportAnimations: boolean;
-	OverrideAnimationName: string;
-	bImportRigidMesh: boolean;
-	bImportMaterials: boolean;
-	bImportTextures: boolean;
-	StaticMeshImportData: FbxStaticMeshImportData;
-	SkeletalMeshImportData: FbxSkeletalMeshImportData;
-	AnimSequenceImportData: FbxAnimSequenceImportData;
-	TextureImportData: FbxTextureImportData;
-	bAutomatedImportShouldDetectType: boolean;
-	bResetMaterialSlots: boolean;
-	static Load(ResourceName: string): FbxImportUI;
-	static Find(Outer: UObject, ResourceName: string): FbxImportUI;
-	static GetDefaultObject(): FbxImportUI;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxImportUI;
-	static C(Other: UObject | any): FbxImportUI;
+declare class ActorFactoryVolume extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryVolume;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryVolume;
+	static GetDefaultObject(): ActorFactoryVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryVolume;
+	static C(Other: UObject | any): ActorFactoryVolume;
 }
 
-declare class FbxTestPlan extends UObject { 
-	TestPlanName: string;
-	Action: EFBXTestPlanActionType;
-	LODIndex: number;
-	bDeleteFolderAssets: boolean;
-	ExpectedResult: FbxTestPlanExpectedResult[];
-	ImportUI: FbxImportUI;
-	static Load(ResourceName: string): FbxTestPlan;
-	static Find(Outer: UObject, ResourceName: string): FbxTestPlan;
-	static GetDefaultObject(): FbxTestPlan;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxTestPlan;
-	static C(Other: UObject | any): FbxTestPlan;
+declare class ActorFactoryBoxVolume extends ActorFactoryVolume { 
+	static Load(ResourceName: string): ActorFactoryBoxVolume;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryBoxVolume;
+	static GetDefaultObject(): ActorFactoryBoxVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryBoxVolume;
+	static C(Other: UObject | any): ActorFactoryBoxVolume;
 }
 
-declare type EFbxExportCompatibility = 'FBX_2011' | 'FBX_2012' | 'FBX_2013' | 'FBX_2014' | 'FBX_2016' | 'FBX_2018' | 'FBX_MAX';
-declare var EFbxExportCompatibility : { FBX_2011:'FBX_2011',FBX_2012:'FBX_2012',FBX_2013:'FBX_2013',FBX_2014:'FBX_2014',FBX_2016:'FBX_2016',FBX_2018:'FBX_2018',FBX_MAX:'FBX_MAX', };
-declare class FbxExportOption extends UObject { 
-	FbxExportCompatibility: EFbxExportCompatibility;
-	bForceFrontXAxis: boolean;
-	VertexColor: boolean;
-	LevelOfDetail: boolean;
-	Collision: boolean;
-	WeldedVertices: boolean;
-	MapSkeletalMotionToRoot: boolean;
-	static Load(ResourceName: string): FbxExportOption;
-	static Find(Outer: UObject, ResourceName: string): FbxExportOption;
-	static GetDefaultObject(): FbxExportOption;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxExportOption;
-	static C(Other: UObject | any): FbxExportOption;
+declare class ActorFactoryCameraActor extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryCameraActor;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryCameraActor;
+	static GetDefaultObject(): ActorFactoryCameraActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCameraActor;
+	static C(Other: UObject | any): ActorFactoryCameraActor;
 }
 
-declare class FbxFactory extends Factory { 
-	ImportUI: FbxImportUI;
-	static Load(ResourceName: string): FbxFactory;
-	static Find(Outer: UObject, ResourceName: string): FbxFactory;
-	static GetDefaultObject(): FbxFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxFactory;
-	static C(Other: UObject | any): FbxFactory;
+declare class ActorFactoryCharacter extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryCharacter;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryCharacter;
+	static GetDefaultObject(): ActorFactoryCharacter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCharacter;
+	static C(Other: UObject | any): ActorFactoryCharacter;
 }
 
-declare class SceneImportFactory extends Factory { 
-	static Load(ResourceName: string): SceneImportFactory;
-	static Find(Outer: UObject, ResourceName: string): SceneImportFactory;
-	static GetDefaultObject(): SceneImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneImportFactory;
-	static C(Other: UObject | any): SceneImportFactory;
+declare class ActorFactoryClass extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryClass;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryClass;
+	static GetDefaultObject(): ActorFactoryClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryClass;
+	static C(Other: UObject | any): ActorFactoryClass;
 }
 
-declare type EFBXSceneOptionsCreateHierarchyType = 'FBXSOCHT_CreateLevelActors' | 'FBXSOCHT_CreateActorComponents' | 'FBXSOCHT_CreateBlueprint' | 'FBXSOCHT_MAX';
-declare var EFBXSceneOptionsCreateHierarchyType : { FBXSOCHT_CreateLevelActors:'FBXSOCHT_CreateLevelActors',FBXSOCHT_CreateActorComponents:'FBXSOCHT_CreateActorComponents',FBXSOCHT_CreateBlueprint:'FBXSOCHT_CreateBlueprint',FBXSOCHT_MAX:'FBXSOCHT_MAX', };
-declare class FbxSceneImportOptions extends UObject { 
-	bCreateContentFolderHierarchy: boolean;
-	bImportAsDynamic: boolean;
-	HierarchyType: EFBXSceneOptionsCreateHierarchyType;
-	bForceFrontXAxis: boolean;
-	ImportTranslation: Vector;
-	ImportRotation: Rotator;
-	ImportUniformScale: number;
-	bTransformVertexToAbsolute: boolean;
-	bBakePivotInVertex: boolean;
-	bImportStaticMeshLODs: boolean;
-	bImportSkeletalMeshLODs: boolean;
-	bInvertNormalMaps: boolean;
-	static Load(ResourceName: string): FbxSceneImportOptions;
-	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptions;
-	static GetDefaultObject(): FbxSceneImportOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptions;
-	static C(Other: UObject | any): FbxSceneImportOptions;
+declare class ActorFactoryCylinderVolume extends ActorFactoryVolume { 
+	static Load(ResourceName: string): ActorFactoryCylinderVolume;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryCylinderVolume;
+	static GetDefaultObject(): ActorFactoryCylinderVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryCylinderVolume;
+	static C(Other: UObject | any): ActorFactoryCylinderVolume;
 }
 
-declare type EFbxSceneVertexColorImportOption = 'Replace' | 'Ignore' | 'Override' | 'EFbxSceneVertexColorImportOption_MAX';
-declare var EFbxSceneVertexColorImportOption : { Replace:'Replace',Ignore:'Ignore',Override:'Override',EFbxSceneVertexColorImportOption_MAX:'EFbxSceneVertexColorImportOption_MAX', };
-declare type EFBXSceneNormalImportMethod = 'FBXSceneNIM_ComputeNormals' | 'FBXSceneNIM_ImportNormals' | 'FBXSceneNIM_ImportNormalsAndTangents' | 'FBXSceneNIM_MAX';
-declare var EFBXSceneNormalImportMethod : { FBXSceneNIM_ComputeNormals:'FBXSceneNIM_ComputeNormals',FBXSceneNIM_ImportNormals:'FBXSceneNIM_ImportNormals',FBXSceneNIM_ImportNormalsAndTangents:'FBXSceneNIM_ImportNormalsAndTangents',FBXSceneNIM_MAX:'FBXSceneNIM_MAX', };
-declare type EFBXSceneNormalGenerationMethod = 'BuiltIn' | 'MikkTSpace' | 'EFBXSceneNormalGenerationMethod_MAX';
-declare var EFBXSceneNormalGenerationMethod : { BuiltIn:'BuiltIn',MikkTSpace:'MikkTSpace',EFBXSceneNormalGenerationMethod_MAX:'EFBXSceneNormalGenerationMethod_MAX', };
-declare class FbxSceneImportOptionsStaticMesh extends UObject { 
-	StaticMeshLODGroup: string;
-	bAutoGenerateCollision: boolean;
-	VertexColorImportOption: EFbxSceneVertexColorImportOption;
-	VertexOverrideColor: Color;
-	bRemoveDegenerates: boolean;
-	bBuildAdjacencyBuffer: boolean;
-	bBuildReversedIndexBuffer: boolean;
-	bGenerateLightmapUVs: boolean;
-	bOneConvexHullPerUCX: boolean;
-	NormalImportMethod: EFBXSceneNormalImportMethod;
-	NormalGenerationMethod: EFBXSceneNormalGenerationMethod;
-	static Load(ResourceName: string): FbxSceneImportOptionsStaticMesh;
-	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptionsStaticMesh;
-	static GetDefaultObject(): FbxSceneImportOptionsStaticMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptionsStaticMesh;
-	static C(Other: UObject | any): FbxSceneImportOptionsStaticMesh;
+declare class ActorFactoryDeferredDecal extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryDeferredDecal;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryDeferredDecal;
+	static GetDefaultObject(): ActorFactoryDeferredDecal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryDeferredDecal;
+	static C(Other: UObject | any): ActorFactoryDeferredDecal;
 }
 
-declare class FbxSceneImportOptionsSkeletalMesh extends UObject { 
-	bUpdateSkeletonReferencePose: boolean;
-	bCreatePhysicsAsset: boolean;
-	bUseT0AsRefPose: boolean;
-	bPreserveSmoothingGroups: boolean;
-	bImportMeshesInBoneHierarchy: boolean;
-	bImportMorphTargets: boolean;
-	ThresholdPosition: number;
-	ThresholdTangentNormal: number;
-	ThresholdUV: number;
-	bImportAnimations: boolean;
-	AnimationLength: EFBXAnimationLengthImportType;
-	FrameImportRange: Int32Interval;
-	bUseDefaultSampleRate: boolean;
-	bImportCustomAttribute: boolean;
-	bPreserveLocalTransform: boolean;
-	bDeleteExistingMorphTargetCurves: boolean;
-	static Load(ResourceName: string): FbxSceneImportOptionsSkeletalMesh;
-	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptionsSkeletalMesh;
-	static GetDefaultObject(): FbxSceneImportOptionsSkeletalMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptionsSkeletalMesh;
-	static C(Other: UObject | any): FbxSceneImportOptionsSkeletalMesh;
+declare class ActorFactoryDirectionalLight extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryDirectionalLight;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryDirectionalLight;
+	static GetDefaultObject(): ActorFactoryDirectionalLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryDirectionalLight;
+	static C(Other: UObject | any): ActorFactoryDirectionalLight;
 }
 
-declare class FbxSceneImportFactory extends SceneImportFactory { 
-	SceneImportOptions: FbxSceneImportOptions;
-	SceneImportOptionsStaticMesh: FbxSceneImportOptionsStaticMesh;
-	SceneImportOptionsSkeletalMesh: FbxSceneImportOptionsSkeletalMesh;
-	StaticMeshImportData: FbxStaticMeshImportData;
-	SkeletalMeshImportData: FbxSkeletalMeshImportData;
-	AnimSequenceImportData: FbxAnimSequenceImportData;
-	TextureImportData: FbxTextureImportData;
-	ReimportData: FbxSceneImportData;
-	static Load(ResourceName: string): FbxSceneImportFactory;
-	static Find(Outer: UObject, ResourceName: string): FbxSceneImportFactory;
-	static GetDefaultObject(): FbxSceneImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportFactory;
-	static C(Other: UObject | any): FbxSceneImportFactory;
+declare class ActorFactoryEmitter extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryEmitter;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryEmitter;
+	static GetDefaultObject(): ActorFactoryEmitter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryEmitter;
+	static C(Other: UObject | any): ActorFactoryEmitter;
 }
 
-declare class EditorLoadingAndSavingUtils extends UObject { 
-	static Load(ResourceName: string): EditorLoadingAndSavingUtils;
-	static Find(Outer: UObject, ResourceName: string): EditorLoadingAndSavingUtils;
-	static GetDefaultObject(): EditorLoadingAndSavingUtils;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLoadingAndSavingUtils;
-	static SavePackagesWithDialog(PackagesToSave: Package[],bOnlyDirty: boolean): boolean;
-	static SavePackages(PackagesToSave: Package[],bOnlyDirty: boolean): boolean;
-	static SaveMap(World: World,AssetPath: string): boolean;
-	static SaveDirtyPackagesWithDialog(bSaveMapPackages: boolean,bSaveContentPackages: boolean): boolean;
-	static SaveDirtyPackages(bSaveMapPackages: boolean,bSaveContentPackages: boolean): boolean;
-	static SaveCurrentLevel(): boolean;
-	static NewMapFromTemplate(PathToTemplateLevel: string,bSaveExistingMap: boolean): World;
-	static NewBlankMap(bSaveExistingMap: boolean): World;
-	static LoadMapWithDialog(): World;
-	static LoadMap(Filename: string): World;
-	static ImportScene(Filename: string): void;
-	static GetDirtyMapPackages(OutDirtyPackages?: Package[]): {OutDirtyPackages: Package[]};
-	static GetDirtyContentPackages(OutDirtyPackages?: Package[]): {OutDirtyPackages: Package[]};
-	static ExportScene(bExportSelectedActorsOnly: boolean): void;
-	static C(Other: UObject | any): EditorLoadingAndSavingUtils;
+declare class ActorFactoryEmptyActor extends ActorFactory { 
+	bVisualizeActor: boolean;
+	static Load(ResourceName: string): ActorFactoryEmptyActor;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryEmptyActor;
+	static GetDefaultObject(): ActorFactoryEmptyActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryEmptyActor;
+	static C(Other: UObject | any): ActorFactoryEmptyActor;
 }
 
-declare class FileServerCommandlet extends Commandlet { 
-	static Load(ResourceName: string): FileServerCommandlet;
-	static Find(Outer: UObject, ResourceName: string): FileServerCommandlet;
-	static GetDefaultObject(): FileServerCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FileServerCommandlet;
-	static C(Other: UObject | any): FileServerCommandlet;
+declare class ActorFactoryExponentialHeightFog extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryExponentialHeightFog;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryExponentialHeightFog;
+	static GetDefaultObject(): ActorFactoryExponentialHeightFog;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryExponentialHeightFog;
+	static C(Other: UObject | any): ActorFactoryExponentialHeightFog;
 }
 
-declare class FixConflictingLocalizationKeysCommandlet extends Commandlet { 
-	static Load(ResourceName: string): FixConflictingLocalizationKeysCommandlet;
-	static Find(Outer: UObject, ResourceName: string): FixConflictingLocalizationKeysCommandlet;
-	static GetDefaultObject(): FixConflictingLocalizationKeysCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FixConflictingLocalizationKeysCommandlet;
-	static C(Other: UObject | any): FixConflictingLocalizationKeysCommandlet;
+declare class ActorFactoryInteractiveFoliage extends ActorFactoryStaticMesh { 
+	static Load(ResourceName: string): ActorFactoryInteractiveFoliage;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryInteractiveFoliage;
+	static GetDefaultObject(): ActorFactoryInteractiveFoliage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryInteractiveFoliage;
+	static C(Other: UObject | any): ActorFactoryInteractiveFoliage;
 }
 
-declare class ResavePackagesCommandlet extends Commandlet { 
-	static Load(ResourceName: string): ResavePackagesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ResavePackagesCommandlet;
-	static GetDefaultObject(): ResavePackagesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ResavePackagesCommandlet;
-	static C(Other: UObject | any): ResavePackagesCommandlet;
+declare class ActorFactoryMatineeActor extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryMatineeActor;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryMatineeActor;
+	static GetDefaultObject(): ActorFactoryMatineeActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryMatineeActor;
+	static C(Other: UObject | any): ActorFactoryMatineeActor;
 }
 
-declare class FixupNeedsLoadForEditorGameCommandlet extends ResavePackagesCommandlet { 
-	static Load(ResourceName: string): FixupNeedsLoadForEditorGameCommandlet;
-	static Find(Outer: UObject, ResourceName: string): FixupNeedsLoadForEditorGameCommandlet;
-	static GetDefaultObject(): FixupNeedsLoadForEditorGameCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FixupNeedsLoadForEditorGameCommandlet;
-	static C(Other: UObject | any): FixupNeedsLoadForEditorGameCommandlet;
+declare class ActorFactoryMovieScene extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryMovieScene;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryMovieScene;
+	static GetDefaultObject(): ActorFactoryMovieScene;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryMovieScene;
+	static C(Other: UObject | any): ActorFactoryMovieScene;
 }
 
-declare class FontFactory extends Factory { 
-	static Load(ResourceName: string): FontFactory;
-	static Find(Outer: UObject, ResourceName: string): FontFactory;
-	static GetDefaultObject(): FontFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFactory;
-	static C(Other: UObject | any): FontFactory;
+declare class ActorFactoryNote extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryNote;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryNote;
+	static GetDefaultObject(): ActorFactoryNote;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryNote;
+	static C(Other: UObject | any): ActorFactoryNote;
 }
 
-declare class FontFileImportFactory extends Factory { 
-	static Load(ResourceName: string): FontFileImportFactory;
-	static Find(Outer: UObject, ResourceName: string): FontFileImportFactory;
-	static GetDefaultObject(): FontFileImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFileImportFactory;
-	static C(Other: UObject | any): FontFileImportFactory;
+declare class ActorFactoryPawn extends ActorFactoryEmptyActor { 
+	static Load(ResourceName: string): ActorFactoryPawn;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPawn;
+	static GetDefaultObject(): ActorFactoryPawn;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPawn;
+	static C(Other: UObject | any): ActorFactoryPawn;
 }
 
-declare class TextureThumbnailRenderer extends ThumbnailRenderer { 
-	static Load(ResourceName: string): TextureThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): TextureThumbnailRenderer;
-	static GetDefaultObject(): TextureThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureThumbnailRenderer;
-	static C(Other: UObject | any): TextureThumbnailRenderer;
+declare class ActorFactoryPhysicsAsset extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryPhysicsAsset;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPhysicsAsset;
+	static GetDefaultObject(): ActorFactoryPhysicsAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPhysicsAsset;
+	static C(Other: UObject | any): ActorFactoryPhysicsAsset;
 }
 
-declare class FontThumbnailRenderer extends TextureThumbnailRenderer { 
-	static Load(ResourceName: string): FontThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): FontThumbnailRenderer;
-	static GetDefaultObject(): FontThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontThumbnailRenderer;
-	static C(Other: UObject | any): FontThumbnailRenderer;
+declare class ActorFactoryPlanarReflection extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryPlanarReflection;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlanarReflection;
+	static GetDefaultObject(): ActorFactoryPlanarReflection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlanarReflection;
+	static C(Other: UObject | any): ActorFactoryPlanarReflection;
 }
 
-declare class ForceFeedbackAttenuationFactory extends Factory { 
-	static Load(ResourceName: string): ForceFeedbackAttenuationFactory;
-	static Find(Outer: UObject, ResourceName: string): ForceFeedbackAttenuationFactory;
-	static GetDefaultObject(): ForceFeedbackAttenuationFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ForceFeedbackAttenuationFactory;
-	static C(Other: UObject | any): ForceFeedbackAttenuationFactory;
+declare class ActorFactoryPlaneReflectionCapture extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryPlaneReflectionCapture;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlaneReflectionCapture;
+	static GetDefaultObject(): ActorFactoryPlaneReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlaneReflectionCapture;
+	static C(Other: UObject | any): ActorFactoryPlaneReflectionCapture;
 }
 
-declare class ForceFeedbackEffectFactory extends Factory { 
-	static Load(ResourceName: string): ForceFeedbackEffectFactory;
-	static Find(Outer: UObject, ResourceName: string): ForceFeedbackEffectFactory;
-	static GetDefaultObject(): ForceFeedbackEffectFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ForceFeedbackEffectFactory;
-	static C(Other: UObject | any): ForceFeedbackEffectFactory;
+declare class ActorFactoryPlayerStart extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryPlayerStart;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPlayerStart;
+	static GetDefaultObject(): ActorFactoryPlayerStart;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPlayerStart;
+	static C(Other: UObject | any): ActorFactoryPlayerStart;
 }
 
-declare class GatherTextCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GatherTextCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GatherTextCommandlet;
-	static GetDefaultObject(): GatherTextCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextCommandlet;
-	static C(Other: UObject | any): GatherTextCommandlet;
+declare class ActorFactoryPointLight extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryPointLight;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryPointLight;
+	static GetDefaultObject(): ActorFactoryPointLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryPointLight;
+	static C(Other: UObject | any): ActorFactoryPointLight;
 }
 
-declare class GatherTextFromAssetsCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GatherTextFromAssetsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GatherTextFromAssetsCommandlet;
-	static GetDefaultObject(): GatherTextFromAssetsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromAssetsCommandlet;
-	static C(Other: UObject | any): GatherTextFromAssetsCommandlet;
+declare class ActorFactoryRectLight extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryRectLight;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryRectLight;
+	static GetDefaultObject(): ActorFactoryRectLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryRectLight;
+	static C(Other: UObject | any): ActorFactoryRectLight;
 }
 
-declare class GatherTextFromMetaDataCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GatherTextFromMetaDataCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GatherTextFromMetaDataCommandlet;
-	static GetDefaultObject(): GatherTextFromMetaDataCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromMetaDataCommandlet;
-	static C(Other: UObject | any): GatherTextFromMetaDataCommandlet;
+declare class ActorFactorySkyLight extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactorySkyLight;
+	static Find(Outer: UObject, ResourceName: string): ActorFactorySkyLight;
+	static GetDefaultObject(): ActorFactorySkyLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySkyLight;
+	static C(Other: UObject | any): ActorFactorySkyLight;
 }
 
-declare class GatherTextFromSourceCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GatherTextFromSourceCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GatherTextFromSourceCommandlet;
-	static GetDefaultObject(): GatherTextFromSourceCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromSourceCommandlet;
-	static C(Other: UObject | any): GatherTextFromSourceCommandlet;
+declare class ActorFactorySphereReflectionCapture extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactorySphereReflectionCapture;
+	static Find(Outer: UObject, ResourceName: string): ActorFactorySphereReflectionCapture;
+	static GetDefaultObject(): ActorFactorySphereReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySphereReflectionCapture;
+	static C(Other: UObject | any): ActorFactorySphereReflectionCapture;
 }
 
-declare class GenerateAssetManifestCommandlet extends Commandlet { 
-	static Load(ResourceName: string): GenerateAssetManifestCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateAssetManifestCommandlet;
-	static GetDefaultObject(): GenerateAssetManifestCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateAssetManifestCommandlet;
-	static C(Other: UObject | any): GenerateAssetManifestCommandlet;
+declare class ActorFactorySphereVolume extends ActorFactoryVolume { 
+	static Load(ResourceName: string): ActorFactorySphereVolume;
+	static Find(Outer: UObject, ResourceName: string): ActorFactorySphereVolume;
+	static GetDefaultObject(): ActorFactorySphereVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySphereVolume;
+	static C(Other: UObject | any): ActorFactorySphereVolume;
 }
 
-declare class GenerateBlueprintAPICommandlet extends Commandlet { 
-	static Load(ResourceName: string): GenerateBlueprintAPICommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateBlueprintAPICommandlet;
-	static GetDefaultObject(): GenerateBlueprintAPICommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateBlueprintAPICommandlet;
-	static C(Other: UObject | any): GenerateBlueprintAPICommandlet;
+declare class ActorFactorySpotLight extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactorySpotLight;
+	static Find(Outer: UObject, ResourceName: string): ActorFactorySpotLight;
+	static GetDefaultObject(): ActorFactorySpotLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactorySpotLight;
+	static C(Other: UObject | any): ActorFactorySpotLight;
 }
 
-declare class GenerateDistillFileSetsCommandlet extends Commandlet { 
-	static Load(ResourceName: string): GenerateDistillFileSetsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateDistillFileSetsCommandlet;
-	static GetDefaultObject(): GenerateDistillFileSetsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateDistillFileSetsCommandlet;
-	static C(Other: UObject | any): GenerateDistillFileSetsCommandlet;
+declare class ActorFactoryTargetPoint extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryTargetPoint;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryTargetPoint;
+	static GetDefaultObject(): ActorFactoryTargetPoint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTargetPoint;
+	static C(Other: UObject | any): ActorFactoryTargetPoint;
 }
 
-declare class GenerateGatherArchiveCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GenerateGatherArchiveCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateGatherArchiveCommandlet;
-	static GetDefaultObject(): GenerateGatherArchiveCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateGatherArchiveCommandlet;
-	static C(Other: UObject | any): GenerateGatherArchiveCommandlet;
+declare class ActorFactoryTextRender extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryTextRender;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryTextRender;
+	static GetDefaultObject(): ActorFactoryTextRender;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTextRender;
+	static C(Other: UObject | any): ActorFactoryTextRender;
 }
 
-declare class GenerateGatherManifestCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GenerateGatherManifestCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateGatherManifestCommandlet;
-	static GetDefaultObject(): GenerateGatherManifestCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateGatherManifestCommandlet;
-	static C(Other: UObject | any): GenerateGatherManifestCommandlet;
+declare class ActorFactoryTriggerBox extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryTriggerBox;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerBox;
+	static GetDefaultObject(): ActorFactoryTriggerBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerBox;
+	static C(Other: UObject | any): ActorFactoryTriggerBox;
 }
 
-declare class GenerateTextLocalizationReportCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GenerateTextLocalizationReportCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateTextLocalizationReportCommandlet;
-	static GetDefaultObject(): GenerateTextLocalizationReportCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateTextLocalizationReportCommandlet;
-	static C(Other: UObject | any): GenerateTextLocalizationReportCommandlet;
+declare class ActorFactoryTriggerCapsule extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryTriggerCapsule;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerCapsule;
+	static GetDefaultObject(): ActorFactoryTriggerCapsule;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerCapsule;
+	static C(Other: UObject | any): ActorFactoryTriggerCapsule;
 }
 
-declare class GenerateTextLocalizationResourceCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): GenerateTextLocalizationResourceCommandlet;
-	static Find(Outer: UObject, ResourceName: string): GenerateTextLocalizationResourceCommandlet;
-	static GetDefaultObject(): GenerateTextLocalizationResourceCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateTextLocalizationResourceCommandlet;
-	static C(Other: UObject | any): GenerateTextLocalizationResourceCommandlet;
+declare class ActorFactoryTriggerSphere extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryTriggerSphere;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryTriggerSphere;
+	static GetDefaultObject(): ActorFactoryTriggerSphere;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryTriggerSphere;
+	static C(Other: UObject | any): ActorFactoryTriggerSphere;
 }
 
-declare class HapticFeedbackEffectBufferFactory extends Factory { 
-	static Load(ResourceName: string): HapticFeedbackEffectBufferFactory;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectBufferFactory;
-	static GetDefaultObject(): HapticFeedbackEffectBufferFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectBufferFactory;
-	static C(Other: UObject | any): HapticFeedbackEffectBufferFactory;
+declare class ActorFactoryVectorFieldVolume extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryVectorFieldVolume;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryVectorFieldVolume;
+	static GetDefaultObject(): ActorFactoryVectorFieldVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryVectorFieldVolume;
+	static C(Other: UObject | any): ActorFactoryVectorFieldVolume;
 }
 
-declare class HapticFeedbackEffectCurveFactory extends Factory { 
-	static Load(ResourceName: string): HapticFeedbackEffectCurveFactory;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectCurveFactory;
-	static GetDefaultObject(): HapticFeedbackEffectCurveFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectCurveFactory;
-	static C(Other: UObject | any): HapticFeedbackEffectCurveFactory;
+declare class ActorGroupingUtils extends UObject { 
+	static Load(ResourceName: string): ActorGroupingUtils;
+	static Find(Outer: UObject, ResourceName: string): ActorGroupingUtils;
+	static GetDefaultObject(): ActorGroupingUtils;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorGroupingUtils;
+	UnlockSelectedGroups(): void;
+	UngroupSelected(): void;
+	UngroupActors(ActorsToUngroup: Actor[]): void;
+	static SetGroupingActive(bInGroupingActive: boolean): void;
+	RemoveSelectedFromGroup(): void;
+	LockSelectedGroups(): void;
+	static IsGroupingActive(): boolean;
+	GroupSelected(): void;
+	GroupActors(ActorsToGroup: Actor[]): void;
+	static Get(): ActorGroupingUtils;
+	AddSelectedToGroup(): void;
+	static C(Other: UObject | any): ActorGroupingUtils;
 }
 
-declare class HapticFeedbackEffectSoundWaveFactory extends Factory { 
-	static Load(ResourceName: string): HapticFeedbackEffectSoundWaveFactory;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectSoundWaveFactory;
-	static GetDefaultObject(): HapticFeedbackEffectSoundWaveFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectSoundWaveFactory;
-	static C(Other: UObject | any): HapticFeedbackEffectSoundWaveFactory;
+declare class BlendSpaceFactory1D extends Factory { 
+	TargetSkeleton: Skeleton;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): BlendSpaceFactory1D;
+	static Find(Outer: UObject, ResourceName: string): BlendSpaceFactory1D;
+	static GetDefaultObject(): BlendSpaceFactory1D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceFactory1D;
+	static C(Other: UObject | any): BlendSpaceFactory1D;
 }
 
-declare class HierarchicalLODSettings extends DeveloperSettings { 
-	bForceSettingsInAllMaps: boolean;
-	DefaultSetup: any;
-	DirectoriesForHLODCommandlet: DirectoryPath[];
-	MapsToBuild: FilePath[];
-	static Load(ResourceName: string): HierarchicalLODSettings;
-	static Find(Outer: UObject, ResourceName: string): HierarchicalLODSettings;
-	static GetDefaultObject(): HierarchicalLODSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODSettings;
-	static C(Other: UObject | any): HierarchicalLODSettings;
+declare class AimOffsetBlendSpaceFactory1D extends BlendSpaceFactory1D { 
+	static Load(ResourceName: string): AimOffsetBlendSpaceFactory1D;
+	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpaceFactory1D;
+	static GetDefaultObject(): AimOffsetBlendSpaceFactory1D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpaceFactory1D;
+	static C(Other: UObject | any): AimOffsetBlendSpaceFactory1D;
 }
 
-declare class HierarchicalLODVolume extends Volume { 
-	bIncludeOverlappingActors: boolean;
-	static GetDefaultObject(): HierarchicalLODVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODVolume;
-	static C(Other: UObject | any): HierarchicalLODVolume;
+declare class BlendSpaceFactoryNew extends Factory { 
+	TargetSkeleton: Skeleton;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): BlendSpaceFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): BlendSpaceFactoryNew;
+	static GetDefaultObject(): BlendSpaceFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceFactoryNew;
+	static C(Other: UObject | any): BlendSpaceFactoryNew;
 }
 
-declare class ImportAssetsCommandlet extends Commandlet { 
-	GlobalImportData: AutomatedAssetImportData;
-	ImportDataList: AutomatedAssetImportData[];
-	static Load(ResourceName: string): ImportAssetsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ImportAssetsCommandlet;
-	static GetDefaultObject(): ImportAssetsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportAssetsCommandlet;
-	static C(Other: UObject | any): ImportAssetsCommandlet;
+declare class AimOffsetBlendSpaceFactoryNew extends BlendSpaceFactoryNew { 
+	static Load(ResourceName: string): AimOffsetBlendSpaceFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpaceFactoryNew;
+	static GetDefaultObject(): AimOffsetBlendSpaceFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpaceFactoryNew;
+	static C(Other: UObject | any): AimOffsetBlendSpaceFactoryNew;
 }
 
-declare class ImportDialogueScriptCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): ImportDialogueScriptCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ImportDialogueScriptCommandlet;
-	static GetDefaultObject(): ImportDialogueScriptCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportDialogueScriptCommandlet;
-	static C(Other: UObject | any): ImportDialogueScriptCommandlet;
+declare class AnalyticsPrivacySettings extends UObject { 
+	bSendUsageData: boolean;
+	static Load(ResourceName: string): AnalyticsPrivacySettings;
+	static Find(Outer: UObject, ResourceName: string): AnalyticsPrivacySettings;
+	static GetDefaultObject(): AnalyticsPrivacySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnalyticsPrivacySettings;
+	static C(Other: UObject | any): AnalyticsPrivacySettings;
 }
 
-declare class ImportLocalizedDialogueCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): ImportLocalizedDialogueCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ImportLocalizedDialogueCommandlet;
-	static GetDefaultObject(): ImportLocalizedDialogueCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportLocalizedDialogueCommandlet;
-	static C(Other: UObject | any): ImportLocalizedDialogueCommandlet;
+declare class CompressionHolder extends UObject { 
+	Compression: AnimCompress;
+	static Load(ResourceName: string): CompressionHolder;
+	static Find(Outer: UObject, ResourceName: string): CompressionHolder;
+	static GetDefaultObject(): CompressionHolder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompressionHolder;
+	static C(Other: UObject | any): CompressionHolder;
 }
 
-declare class InternationalizationConditioningCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): InternationalizationConditioningCommandlet;
-	static Find(Outer: UObject, ResourceName: string): InternationalizationConditioningCommandlet;
-	static GetDefaultObject(): InternationalizationConditioningCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationConditioningCommandlet;
-	static C(Other: UObject | any): InternationalizationConditioningCommandlet;
+declare class AnimBlueprintFactory extends Factory { 
+	BlueprintType: EBlueprintType;
+	ParentClass: UnrealEngineClass;
+	TargetSkeleton: Skeleton;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): AnimBlueprintFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimBlueprintFactory;
+	static GetDefaultObject(): AnimBlueprintFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintFactory;
+	static C(Other: UObject | any): AnimBlueprintFactory;
 }
 
-declare class InternationalizationExportCommandlet extends GatherTextCommandletBase { 
-	static Load(ResourceName: string): InternationalizationExportCommandlet;
-	static Find(Outer: UObject, ResourceName: string): InternationalizationExportCommandlet;
-	static GetDefaultObject(): InternationalizationExportCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationExportCommandlet;
-	static C(Other: UObject | any): InternationalizationExportCommandlet;
+declare class ThumbnailRenderer extends UObject { 
+	static Load(ResourceName: string): ThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): ThumbnailRenderer;
+	static GetDefaultObject(): ThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ThumbnailRenderer;
+	static C(Other: UObject | any): ThumbnailRenderer;
 }
 
-declare class InterpDataFactoryNew extends Factory { 
-	static Load(ResourceName: string): InterpDataFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): InterpDataFactoryNew;
-	static GetDefaultObject(): InterpDataFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpDataFactoryNew;
-	static C(Other: UObject | any): InterpDataFactoryNew;
+declare class DefaultSizedThumbnailRenderer extends ThumbnailRenderer { 
+	DefaultSizeX: number;
+	DefaultSizeY: number;
+	static Load(ResourceName: string): DefaultSizedThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): DefaultSizedThumbnailRenderer;
+	static GetDefaultObject(): DefaultSizedThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DefaultSizedThumbnailRenderer;
+	static C(Other: UObject | any): DefaultSizedThumbnailRenderer;
 }
 
-declare class LevelEditorMiscSettings extends DeveloperSettings { 
-	bAutoApplyLightingEnable: boolean;
-	bBSPAutoUpdate: boolean;
-	bAutoMoveBSPPivotOffset: boolean;
-	bNavigationAutoUpdate: boolean;
-	bReplaceRespectsScale: boolean;
-	bAllowBackgroundAudio: boolean;
-	bEnableRealTimeAudio: boolean;
-	EditorVolumeLevel: number;
-	bEnableEditorSounds: boolean;
-	DefaultLevelStreamingClass: UnrealEngineClass;
-	EditorScreenshotSaveDirectory: DirectoryPath;
-	static Load(ResourceName: string): LevelEditorMiscSettings;
-	static Find(Outer: UObject, ResourceName: string): LevelEditorMiscSettings;
-	static GetDefaultObject(): LevelEditorMiscSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorMiscSettings;
-	static C(Other: UObject | any): LevelEditorMiscSettings;
+declare class AnimBlueprintThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): AnimBlueprintThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): AnimBlueprintThumbnailRenderer;
+	static GetDefaultObject(): AnimBlueprintThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintThumbnailRenderer;
+	static C(Other: UObject | any): AnimBlueprintThumbnailRenderer;
 }
 
-declare type ELabelAnchorMode = 'LabelAnchorMode_TopLeft' | 'LabelAnchorMode_TopCenter' | 'LabelAnchorMode_TopRight' | 'LabelAnchorMode_CenterLeft' | 'LabelAnchorMode_Centered' | 'LabelAnchorMode_CenterRight' | 'LabelAnchorMode_BottomLeft' | 'LabelAnchorMode_BottomCenter' | 'LabelAnchorMode_BottomRight' | 'LabelAnchorMode_MAX';
-declare var ELabelAnchorMode : { LabelAnchorMode_TopLeft:'LabelAnchorMode_TopLeft',LabelAnchorMode_TopCenter:'LabelAnchorMode_TopCenter',LabelAnchorMode_TopRight:'LabelAnchorMode_TopRight',LabelAnchorMode_CenterLeft:'LabelAnchorMode_CenterLeft',LabelAnchorMode_Centered:'LabelAnchorMode_Centered',LabelAnchorMode_CenterRight:'LabelAnchorMode_CenterRight',LabelAnchorMode_BottomLeft:'LabelAnchorMode_BottomLeft',LabelAnchorMode_BottomCenter:'LabelAnchorMode_BottomCenter',LabelAnchorMode_BottomRight:'LabelAnchorMode_BottomRight',LabelAnchorMode_MAX:'LabelAnchorMode_MAX', };
-declare type EPlayOnBuildMode = 'PlayOnBuild_Always' | 'PlayOnBuild_Never' | 'PlayOnBuild_Default' | 'PlayOnBuild_IfEditorBuiltLocally' | 'PlayOnBuild_MAX';
-declare var EPlayOnBuildMode : { PlayOnBuild_Always:'PlayOnBuild_Always',PlayOnBuild_Never:'PlayOnBuild_Never',PlayOnBuild_Default:'PlayOnBuild_Default',PlayOnBuild_IfEditorBuiltLocally:'PlayOnBuild_IfEditorBuiltLocally',PlayOnBuild_MAX:'PlayOnBuild_MAX', };
-declare type EPlayOnLaunchConfiguration = 'LaunchConfig_Default' | 'LaunchConfig_Debug' | 'LaunchConfig_Development' | 'LaunchConfig_Test' | 'LaunchConfig_Shipping' | 'LaunchConfig_MAX';
-declare var EPlayOnLaunchConfiguration : { LaunchConfig_Default:'LaunchConfig_Default',LaunchConfig_Debug:'LaunchConfig_Debug',LaunchConfig_Development:'LaunchConfig_Development',LaunchConfig_Test:'LaunchConfig_Test',LaunchConfig_Shipping:'LaunchConfig_Shipping',LaunchConfig_MAX:'LaunchConfig_MAX', };
-declare type EPlayNetMode = 'PIE_Standalone' | 'PIE_ListenServer' | 'PIE_Client' | 'PIE_MAX';
-declare var EPlayNetMode : { PIE_Standalone:'PIE_Standalone',PIE_ListenServer:'PIE_ListenServer',PIE_Client:'PIE_Client',PIE_MAX:'PIE_MAX', };
-declare type ELaunchModeType = 'LaunchMode_OnDevice' | 'LaunchMode_MAX';
-declare var ELaunchModeType : { LaunchMode_OnDevice:'LaunchMode_OnDevice',LaunchMode_MAX:'LaunchMode_MAX', };
-declare type EPlayModeLocations = 'PlayLocation_CurrentCameraLocation' | 'PlayLocation_DefaultPlayerStart' | 'PlayLocation_MAX';
-declare var EPlayModeLocations : { PlayLocation_CurrentCameraLocation:'PlayLocation_CurrentCameraLocation',PlayLocation_DefaultPlayerStart:'PlayLocation_DefaultPlayerStart',PlayLocation_MAX:'PlayLocation_MAX', };
-declare type EPlayModeType = 'PlayMode_InViewPort' | 'PlayMode_InEditorFloating' | 'PlayMode_InMobilePreview' | 'PlayMode_InTargetedMobilePreview' | 'PlayMode_InVulkanPreview' | 'PlayMode_InNewProcess' | 'PlayMode_InVR' | 'PlayMode_Simulate' | 'PlayMode_Count' | 'PlayMode_MAX';
-declare var EPlayModeType : { PlayMode_InViewPort:'PlayMode_InViewPort',PlayMode_InEditorFloating:'PlayMode_InEditorFloating',PlayMode_InMobilePreview:'PlayMode_InMobilePreview',PlayMode_InTargetedMobilePreview:'PlayMode_InTargetedMobilePreview',PlayMode_InVulkanPreview:'PlayMode_InVulkanPreview',PlayMode_InNewProcess:'PlayMode_InNewProcess',PlayMode_InVR:'PlayMode_InVR',PlayMode_Simulate:'PlayMode_Simulate',PlayMode_Count:'PlayMode_Count',PlayMode_MAX:'PlayMode_MAX', };
-declare class PlayScreenResolution { 
-	Description: string;
-	Width: number;
-	Height: number;
-	AspectRatio: string;
-	clone() : PlayScreenResolution;
-	static C(Other: UObject | any): PlayScreenResolution;
+declare class AnimCompositeFactory extends Factory { 
+	TargetSkeleton: Skeleton;
+	SourceAnimation: AnimSequence;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): AnimCompositeFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimCompositeFactory;
+	static GetDefaultObject(): AnimCompositeFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompositeFactory;
+	static C(Other: UObject | any): AnimCompositeFactory;
 }
 
-declare class LevelEditorPlaySettings extends UObject { 
-	PlayFromHerePlayerStartClassName: string;
-	GameGetsMouseControl: boolean;
-	ShowMouseControlLabel: boolean;
-	MouseControlLabelPosition: ELabelAnchorMode;
-	ViewportGetsHMDControl: boolean;
-	ShouldMinimizeEditorOnVRPIE: boolean;
-	AutoRecompileBlueprints: boolean;
-	EnableGameSound: boolean;
-	EnablePIEEnterAndExitSounds: boolean;
-	PlayInEditorSoundQualityLevel: number;
-	bOnlyLoadVisibleLevelsInPIE: boolean;
-	bPreferToStreamLevelsInPIE: boolean;
-	bBindSequencerToPIE: boolean;
-	bBindSequencerToSimulate: boolean;
-	PIEAlwaysOnTop: boolean;
-	NewWindowWidth: number;
-	NewWindowHeight: number;
-	NewWindowPosition: IntPoint;
-	CenterNewWindow: boolean;
-	StandaloneWindowWidth: number;
-	StandaloneWindowHeight: number;
-	StandaloneWindowPosition: IntPoint;
-	CenterStandaloneWindow: boolean;
-	DisableStandaloneSound: boolean;
-	AdditionalLaunchParameters: string;
-	BuildGameBeforeLaunch: EPlayOnBuildMode;
-	LaunchConfiguration: EPlayOnLaunchConfiguration;
-	bAutoCompileBlueprintsOnLaunch: boolean;
-	PlayNetMode: EPlayNetMode;
-	RunUnderOneProcess: boolean;
-	PlayNetDedicated: boolean;
-	PlayNumberOfClients: number;
-	ServerPort: any;
-	ClientWindowWidth: number;
-	AutoConnectToServer: boolean;
-	RouteGamepadToSecondWindow: boolean;
-	CreateAudioDeviceForEveryPlayer: boolean;
-	ClientWindowHeight: number;
-	AdditionalServerGameOptions: string;
-	AdditionalLaunchOptions: string;
-	MultipleInstanceLastHeight: number;
-	MultipleInstanceLastWidth: number;
-	MultipleInstancePositions: IntPoint[];
-	LastExecutedLaunchDevice: string;
-	LastExecutedLaunchName: string;
-	LastExecutedLaunchModeType: ELaunchModeType;
-	LastExecutedPlayModeLocation: EPlayModeLocations;
-	LastExecutedPlayModeType: EPlayModeType;
-	LastExecutedPIEPreviewDevice: string;
-	LaptopScreenResolutions: PlayScreenResolution[];
-	MonitorScreenResolutions: PlayScreenResolution[];
-	PhoneScreenResolutions: PlayScreenResolution[];
-	TabletScreenResolutions: PlayScreenResolution[];
-	TelevisionScreenResolutions: PlayScreenResolution[];
-	static Load(ResourceName: string): LevelEditorPlaySettings;
-	static Find(Outer: UObject, ResourceName: string): LevelEditorPlaySettings;
-	static GetDefaultObject(): LevelEditorPlaySettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorPlaySettings;
-	static C(Other: UObject | any): LevelEditorPlaySettings;
+declare class AnimCurveCompressionSettingsFactory extends Factory { 
+	static Load(ResourceName: string): AnimCurveCompressionSettingsFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimCurveCompressionSettingsFactory;
+	static GetDefaultObject(): AnimCurveCompressionSettingsFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCurveCompressionSettingsFactory;
+	static C(Other: UObject | any): AnimCurveCompressionSettingsFactory;
 }
 
-declare type EWASDType = 'WASD_Always' | 'WASD_RMBOnly' | 'WASD_Never' | 'WASD_MAX';
-declare var EWASDType : { WASD_Always:'WASD_Always',WASD_RMBOnly:'WASD_RMBOnly',WASD_Never:'WASD_Never',WASD_MAX:'WASD_MAX', };
-declare type ELandscapeFoliageEditorControlType = 'IgnoreCtrl' | 'RequireCtrl' | 'RequireNoCtrl' | 'ELandscapeFoliageEditorControlType_MAX';
-declare var ELandscapeFoliageEditorControlType : { IgnoreCtrl:'IgnoreCtrl',RequireCtrl:'RequireCtrl',RequireNoCtrl:'RequireNoCtrl',ELandscapeFoliageEditorControlType_MAX:'ELandscapeFoliageEditorControlType_MAX', };
-declare type EScrollGestureDirection = 'UseSystemSetting' | 'Standard' | 'Natural' | 'EScrollGestureDirection_MAX';
-declare var EScrollGestureDirection : { UseSystemSetting:'UseSystemSetting',Standard:'Standard',Natural:'Natural',EScrollGestureDirection_MAX:'EScrollGestureDirection_MAX', };
-declare class SnapToSurfaceSettings { 
-	bEnabled: boolean;
-	SnapOffsetExtent: number;
-	bSnapRotation: boolean;
-	clone() : SnapToSurfaceSettings;
-	static C(Other: UObject | any): SnapToSurfaceSettings;
+declare class AnimMontageFactory extends Factory { 
+	TargetSkeleton: Skeleton;
+	SourceAnimation: AnimSequence;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): AnimMontageFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimMontageFactory;
+	static GetDefaultObject(): AnimMontageFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimMontageFactory;
+	static C(Other: UObject | any): AnimMontageFactory;
 }
 
-declare type ERotationGridMode = 'GridMode_DivisionsOf360' | 'GridMode_Common' | 'GridMode_MAX';
-declare var ERotationGridMode : { GridMode_DivisionsOf360:'GridMode_DivisionsOf360',GridMode_Common:'GridMode_Common',GridMode_MAX:'GridMode_MAX', };
-declare type EMeasuringToolUnits = 'MeasureUnits_Centimeters' | 'MeasureUnits_Meters' | 'MeasureUnits_Kilometers' | 'MeasureUnits_MAX';
-declare var EMeasuringToolUnits : { MeasureUnits_Centimeters:'MeasureUnits_Centimeters',MeasureUnits_Meters:'MeasureUnits_Meters',MeasureUnits_Kilometers:'MeasureUnits_Kilometers',MeasureUnits_MAX:'MeasureUnits_MAX', };
-declare type ELevelViewportType = 'LVT_OrthoXY' | 'LVT_OrthoXZ' | 'LVT_OrthoYZ' | 'LVT_Perspective' | 'LVT_OrthoFreelook' | 'LVT_OrthoNegativeXY' | 'LVT_OrthoNegativeXZ' | 'LVT_OrthoNegativeYZ' | 'LVT_MAX' | 'LVT_None';
-declare var ELevelViewportType : { LVT_OrthoXY:'LVT_OrthoXY',LVT_OrthoXZ:'LVT_OrthoXZ',LVT_OrthoYZ:'LVT_OrthoYZ',LVT_Perspective:'LVT_Perspective',LVT_OrthoFreelook:'LVT_OrthoFreelook',LVT_OrthoNegativeXY:'LVT_OrthoNegativeXY',LVT_OrthoNegativeXZ:'LVT_OrthoNegativeXZ',LVT_OrthoNegativeYZ:'LVT_OrthoNegativeYZ',LVT_MAX:'LVT_MAX',LVT_None:'LVT_None', };
-declare type EViewModeIndex = 'VMI_BrushWireframe' | 'VMI_Wireframe' | 'VMI_Unlit' | 'VMI_Lit' | 'VMI_Lit_DetailLighting' | 'VMI_LightingOnly' | 'VMI_LightComplexity' | 'VMI_ShaderComplexity' | 'VMI_LightmapDensity' | 'VMI_LitLightmapDensity' | 'VMI_ReflectionOverride' | 'VMI_VisualizeBuffer' | 'VMI_StationaryLightOverlap' | 'VMI_CollisionPawn' | 'VMI_CollisionVisibility' | 'VMI_LODColoration' | 'VMI_QuadOverdraw' | 'VMI_PrimitiveDistanceAccuracy' | 'VMI_MeshUVDensityAccuracy' | 'VMI_ShaderComplexityWithQuadOverdraw' | 'VMI_HLODColoration' | 'VMI_GroupLODColoration' | 'VMI_MaterialTextureScaleAccuracy' | 'VMI_RequiredTextureResolution' | 'VMI_Max' | 'VMI_Unknown';
-declare var EViewModeIndex : { VMI_BrushWireframe:'VMI_BrushWireframe',VMI_Wireframe:'VMI_Wireframe',VMI_Unlit:'VMI_Unlit',VMI_Lit:'VMI_Lit',VMI_Lit_DetailLighting:'VMI_Lit_DetailLighting',VMI_LightingOnly:'VMI_LightingOnly',VMI_LightComplexity:'VMI_LightComplexity',VMI_ShaderComplexity:'VMI_ShaderComplexity',VMI_LightmapDensity:'VMI_LightmapDensity',VMI_LitLightmapDensity:'VMI_LitLightmapDensity',VMI_ReflectionOverride:'VMI_ReflectionOverride',VMI_VisualizeBuffer:'VMI_VisualizeBuffer',VMI_StationaryLightOverlap:'VMI_StationaryLightOverlap',VMI_CollisionPawn:'VMI_CollisionPawn',VMI_CollisionVisibility:'VMI_CollisionVisibility',VMI_LODColoration:'VMI_LODColoration',VMI_QuadOverdraw:'VMI_QuadOverdraw',VMI_PrimitiveDistanceAccuracy:'VMI_PrimitiveDistanceAccuracy',VMI_MeshUVDensityAccuracy:'VMI_MeshUVDensityAccuracy',VMI_ShaderComplexityWithQuadOverdraw:'VMI_ShaderComplexityWithQuadOverdraw',VMI_HLODColoration:'VMI_HLODColoration',VMI_GroupLODColoration:'VMI_GroupLODColoration',VMI_MaterialTextureScaleAccuracy:'VMI_MaterialTextureScaleAccuracy',VMI_RequiredTextureResolution:'VMI_RequiredTextureResolution',VMI_Max:'VMI_Max',VMI_Unknown:'VMI_Unknown', };
-declare class ExposureSettings { 
-	FixedEV100: number;
-	bFixed: boolean;
-	clone() : ExposureSettings;
-	static C(Other: UObject | any): ExposureSettings;
+declare class ExporterFBX extends Exporter { 
+	static Load(ResourceName: string): ExporterFBX;
+	static Find(Outer: UObject, ResourceName: string): ExporterFBX;
+	static GetDefaultObject(): ExporterFBX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExporterFBX;
+	static C(Other: UObject | any): ExporterFBX;
 }
 
-declare class LevelEditorViewportInstanceSettings { 
-	ViewportType: ELevelViewportType;
-	PerspViewModeIndex: EViewModeIndex;
-	OrthoViewModeIndex: EViewModeIndex;
-	EditorShowFlagsString: string;
-	GameShowFlagsString: string;
-	BufferVisualizationMode: string;
-	ExposureSettings: ExposureSettings;
-	FOVAngle: number;
-	FarViewPlane: number;
-	bIsRealtime: boolean;
-	bShowFPS: boolean;
-	bShowOnScreenStats: boolean;
-	EnabledStats: string[];
-	bShowFullToolbar: boolean;
-	clone() : LevelEditorViewportInstanceSettings;
-	static C(Other: UObject | any): LevelEditorViewportInstanceSettings;
+declare class AnimSequenceExporterFBX extends ExporterFBX { 
+	static Load(ResourceName: string): AnimSequenceExporterFBX;
+	static Find(Outer: UObject, ResourceName: string): AnimSequenceExporterFBX;
+	static GetDefaultObject(): AnimSequenceExporterFBX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceExporterFBX;
+	static C(Other: UObject | any): AnimSequenceExporterFBX;
 }
 
-declare class LevelEditorViewportInstanceSettingsKeyValuePair { 
-	ConfigName: string;
-	ConfigSettings: LevelEditorViewportInstanceSettings;
-	clone() : LevelEditorViewportInstanceSettingsKeyValuePair;
-	static C(Other: UObject | any): LevelEditorViewportInstanceSettingsKeyValuePair;
+declare class AnimSequenceFactory extends Factory { 
+	TargetSkeleton: Skeleton;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): AnimSequenceFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimSequenceFactory;
+	static GetDefaultObject(): AnimSequenceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceFactory;
+	static C(Other: UObject | any): AnimSequenceFactory;
 }
 
-declare class LevelEditorViewportSettings extends UObject { 
-	FlightCameraControlType: EWASDType;
-	LandscapeEditorControlType: ELandscapeFoliageEditorControlType;
-	FoliageEditorControlType: ELandscapeFoliageEditorControlType;
-	bPanMovesCanvas: boolean;
-	bCenterZoomAroundCursor: boolean;
-	bAllowTranslateRotateZWidget: boolean;
-	bClickBSPSelectsBrush: boolean;
-	CameraSpeed: number;
-	CameraSpeedScalar: number;
-	MouseScrollCameraSpeed: number;
-	MouseSensitivty: number;
-	bInvertMouseLookYAxis: boolean;
-	bInvertOrbitYAxis: boolean;
-	bInvertMiddleMousePan: boolean;
-	bUseAbsoluteTranslation: boolean;
-	bLevelStreamingVolumePrevis: boolean;
-	bUseUE3OrbitControls: boolean;
-	ScrollGestureDirectionFor3DViewports: EScrollGestureDirection;
-	ScrollGestureDirectionForOrthoViewports: EScrollGestureDirection;
-	bLevelEditorJoystickControls: boolean;
-	bUsePowerOf2SnapSize: boolean;
-	DecimalGridSizes: number[];
-	DecimalGridIntervals: number[];
-	Pow2GridSizes: number[];
-	Pow2GridIntervals: number[];
-	CommonRotGridSizes: number[];
-	DivisionsOf360RotGridSizes: number[];
-	ScalingGridSizes: number[];
-	GridEnabled: boolean;
-	RotGridEnabled: boolean;
-	SnapScaleEnabled: boolean;
-	SnapToSurface: SnapToSurfaceSettings;
-	bUsePercentageBasedScaling: boolean;
-	bEnableLayerSnap: boolean;
-	ActiveSnapLayerIndex: number;
-	bEnableActorSnap: boolean;
-	ActorSnapScale: number;
-	ActorSnapDistance: number;
-	bSnapVertices: boolean;
-	SnapDistance: number;
-	CurrentPosGridSize: number;
-	CurrentRotGridSize: number;
-	CurrentScalingGridSize: number;
-	PreserveNonUniformScale: boolean;
-	CurrentRotGridMode: ERotationGridMode;
-	AspectRatioAxisConstraint: EAspectRatioAxisConstraint;
-	bEnableViewportHoverFeedback: boolean;
-	bHighlightWithBrackets: boolean;
-	bUseLinkedOrthographicViewports: boolean;
-	bStrictBoxSelection: boolean;
-	bTransparentBoxSelection: boolean;
-	bUseSelectionOutline: boolean;
-	SelectionHighlightIntensity: number;
-	BSPSelectionHighlightIntensity: number;
-	HoverHighlightIntensity: number;
-	bEnableViewportCameraToUpdateFromPIV: boolean;
-	bPreviewSelectedCameras: boolean;
-	CameraPreviewSize: number;
-	BackgroundDropDistance: number;
-	PreviewMeshes: SoftObjectPath[];
-	BillboardScale: number;
-	TransformWidgetSizeAdjustment: number;
-	bSaveEngineStats: boolean;
-	MeasuringToolUnits: EMeasuringToolUnits;
-	PerInstanceSettings: LevelEditorViewportInstanceSettingsKeyValuePair[];
-	static Load(ResourceName: string): LevelEditorViewportSettings;
-	static Find(Outer: UObject, ResourceName: string): LevelEditorViewportSettings;
-	static GetDefaultObject(): LevelEditorViewportSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorViewportSettings;
-	static C(Other: UObject | any): LevelEditorViewportSettings;
+declare class AnimSequenceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): AnimSequenceThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): AnimSequenceThumbnailRenderer;
+	static GetDefaultObject(): AnimSequenceThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSequenceThumbnailRenderer;
+	static C(Other: UObject | any): AnimSequenceThumbnailRenderer;
 }
 
-declare class LevelExporterFBX extends Exporter { 
-	static Load(ResourceName: string): LevelExporterFBX;
-	static Find(Outer: UObject, ResourceName: string): LevelExporterFBX;
-	static GetDefaultObject(): LevelExporterFBX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterFBX;
-	static C(Other: UObject | any): LevelExporterFBX;
+declare class Commandlet extends UObject { 
+	HelpDescription: string;
+	HelpUsage: string;
+	HelpWebLink: string;
+	HelpParamNames: string[];
+	HelpParamDescriptions: string[];
+	IsServer: boolean;
+	IsClient: boolean;
+	IsEditor: boolean;
+	LogToConsole: boolean;
+	ShowErrorCount: boolean;
+	ShowProgress: boolean;
+	static Load(ResourceName: string): Commandlet;
+	static Find(Outer: UObject, ResourceName: string): Commandlet;
+	static GetDefaultObject(): Commandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Commandlet;
+	static C(Other: UObject | any): Commandlet;
 }
 
-declare class LevelExporterLOD extends Exporter { 
-	static Load(ResourceName: string): LevelExporterLOD;
-	static Find(Outer: UObject, ResourceName: string): LevelExporterLOD;
-	static GetDefaultObject(): LevelExporterLOD;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterLOD;
-	static C(Other: UObject | any): LevelExporterLOD;
+declare class AssetRegUtilCommandlet extends Commandlet { 
+	static Load(ResourceName: string): AssetRegUtilCommandlet;
+	static Find(Outer: UObject, ResourceName: string): AssetRegUtilCommandlet;
+	static GetDefaultObject(): AssetRegUtilCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetRegUtilCommandlet;
+	static C(Other: UObject | any): AssetRegUtilCommandlet;
 }
 
-declare class LevelExporterOBJ extends Exporter { 
-	static Load(ResourceName: string): LevelExporterOBJ;
-	static Find(Outer: UObject, ResourceName: string): LevelExporterOBJ;
-	static GetDefaultObject(): LevelExporterOBJ;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterOBJ;
-	static C(Other: UObject | any): LevelExporterOBJ;
+declare class AudioMixerCommandlet extends Commandlet { 
+	static Load(ResourceName: string): AudioMixerCommandlet;
+	static Find(Outer: UObject, ResourceName: string): AudioMixerCommandlet;
+	static GetDefaultObject(): AudioMixerCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioMixerCommandlet;
+	static C(Other: UObject | any): AudioMixerCommandlet;
 }
 
-declare class LevelExporterSTL extends Exporter { 
-	static Load(ResourceName: string): LevelExporterSTL;
-	static Find(Outer: UObject, ResourceName: string): LevelExporterSTL;
-	static GetDefaultObject(): LevelExporterSTL;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterSTL;
-	static C(Other: UObject | any): LevelExporterSTL;
+declare class AudioTestCommandlet extends Commandlet { 
+	static Load(ResourceName: string): AudioTestCommandlet;
+	static Find(Outer: UObject, ResourceName: string): AudioTestCommandlet;
+	static GetDefaultObject(): AudioTestCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioTestCommandlet;
+	static C(Other: UObject | any): AudioTestCommandlet;
 }
 
-declare class LevelExporterT3D extends Exporter { 
-	static Load(ResourceName: string): LevelExporterT3D;
-	static Find(Outer: UObject, ResourceName: string): LevelExporterT3D;
-	static GetDefaultObject(): LevelExporterT3D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterT3D;
-	static C(Other: UObject | any): LevelExporterT3D;
+declare class AutoReimportManager extends UObject { 
+	static Load(ResourceName: string): AutoReimportManager;
+	static Find(Outer: UObject, ResourceName: string): AutoReimportManager;
+	static GetDefaultObject(): AutoReimportManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutoReimportManager;
+	static C(Other: UObject | any): AutoReimportManager;
 }
 
-declare class LevelFactory extends Factory { 
-	static Load(ResourceName: string): LevelFactory;
-	static Find(Outer: UObject, ResourceName: string): LevelFactory;
-	static GetDefaultObject(): LevelFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelFactory;
-	static C(Other: UObject | any): LevelFactory;
+declare class BlendSpaceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): BlendSpaceThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): BlendSpaceThumbnailRenderer;
+	static GetDefaultObject(): BlendSpaceThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpaceThumbnailRenderer;
+	static C(Other: UObject | any): BlendSpaceThumbnailRenderer;
 }
 
-declare class LevelThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): LevelThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): LevelThumbnailRenderer;
-	static GetDefaultObject(): LevelThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelThumbnailRenderer;
-	static C(Other: UObject | any): LevelThumbnailRenderer;
+declare class BlueprintFactory extends Factory { 
+	ParentClass: UnrealEngineClass;
+	static Load(ResourceName: string): BlueprintFactory;
+	static Find(Outer: UObject, ResourceName: string): BlueprintFactory;
+	static GetDefaultObject(): BlueprintFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFactory;
+	static C(Other: UObject | any): BlueprintFactory;
 }
 
-declare class LightmassDebugOptions { 
-	bDebugMode: boolean;
-	bStatsEnabled: boolean;
-	bGatherBSPSurfacesAcrossComponents: boolean;
-	CoplanarTolerance: number;
-	bUseImmediateImport: boolean;
-	bImmediateProcessMappings: boolean;
-	bSortMappings: boolean;
-	bDumpBinaryFiles: boolean;
-	bDebugMaterials: boolean;
-	bPadMappings: boolean;
-	bDebugPaddings: boolean;
-	bOnlyCalcDebugTexelMappings: boolean;
-	bUseRandomColors: boolean;
-	bColorBordersGreen: boolean;
-	bColorByExecutionTime: boolean;
-	ExecutionTimeDivisor: number;
-	clone() : LightmassDebugOptions;
-	static C(Other: UObject | any): LightmassDebugOptions;
+declare class BlueprintFunctionLibraryFactory extends BlueprintFactory { 
+	static Load(ResourceName: string): BlueprintFunctionLibraryFactory;
+	static Find(Outer: UObject, ResourceName: string): BlueprintFunctionLibraryFactory;
+	static GetDefaultObject(): BlueprintFunctionLibraryFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintFunctionLibraryFactory;
+	static C(Other: UObject | any): BlueprintFunctionLibraryFactory;
 }
 
-declare class SwarmDebugOptions { 
-	bDistributionEnabled: boolean;
-	bForceContentExport: boolean;
-	bInitialized: boolean;
-	clone() : SwarmDebugOptions;
-	static C(Other: UObject | any): SwarmDebugOptions;
+declare class BlueprintInterfaceFactory extends Factory { 
+	static Load(ResourceName: string): BlueprintInterfaceFactory;
+	static Find(Outer: UObject, ResourceName: string): BlueprintInterfaceFactory;
+	static GetDefaultObject(): BlueprintInterfaceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintInterfaceFactory;
+	static C(Other: UObject | any): BlueprintInterfaceFactory;
 }
 
-declare class LightmassOptionsObject extends UObject { 
-	DebugSettings: LightmassDebugOptions;
-	SwarmSettings: SwarmDebugOptions;
-	static Load(ResourceName: string): LightmassOptionsObject;
-	static Find(Outer: UObject, ResourceName: string): LightmassOptionsObject;
-	static GetDefaultObject(): LightmassOptionsObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassOptionsObject;
-	static C(Other: UObject | any): LightmassOptionsObject;
+declare class BlueprintMacroFactory extends BlueprintFactory { 
+	static Load(ResourceName: string): BlueprintMacroFactory;
+	static Find(Outer: UObject, ResourceName: string): BlueprintMacroFactory;
+	static GetDefaultObject(): BlueprintMacroFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintMacroFactory;
+	static C(Other: UObject | any): BlueprintMacroFactory;
 }
 
-declare class LinearStairBuilder extends EditorBrushBuilder { 
-	StepLength: number;
-	StepHeight: number;
-	StepWidth: number;
-	NumSteps: number;
-	AddToFirstStep: number;
-	GroupName: string;
-	static Load(ResourceName: string): LinearStairBuilder;
-	static Find(Outer: UObject, ResourceName: string): LinearStairBuilder;
-	static GetDefaultObject(): LinearStairBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinearStairBuilder;
-	static C(Other: UObject | any): LinearStairBuilder;
-}
-
-declare class ListMaterialsUsedWithMeshEmittersCommandlet extends Commandlet { 
-	static Load(ResourceName: string): ListMaterialsUsedWithMeshEmittersCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ListMaterialsUsedWithMeshEmittersCommandlet;
-	static GetDefaultObject(): ListMaterialsUsedWithMeshEmittersCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListMaterialsUsedWithMeshEmittersCommandlet;
-	static C(Other: UObject | any): ListMaterialsUsedWithMeshEmittersCommandlet;
+declare class BlueprintThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): BlueprintThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): BlueprintThumbnailRenderer;
+	static GetDefaultObject(): BlueprintThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintThumbnailRenderer;
+	static C(Other: UObject | any): BlueprintThumbnailRenderer;
 }
 
-declare class ListStaticMeshesImportedFromSpeedTreesCommandlet extends Commandlet { 
-	static Load(ResourceName: string): ListStaticMeshesImportedFromSpeedTreesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ListStaticMeshesImportedFromSpeedTreesCommandlet;
-	static GetDefaultObject(): ListStaticMeshesImportedFromSpeedTreesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListStaticMeshesImportedFromSpeedTreesCommandlet;
-	static C(Other: UObject | any): ListStaticMeshesImportedFromSpeedTreesCommandlet;
+declare class CameraAnimFactory extends Factory { 
+	static Load(ResourceName: string): CameraAnimFactory;
+	static Find(Outer: UObject, ResourceName: string): CameraAnimFactory;
+	static GetDefaultObject(): CameraAnimFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraAnimFactory;
+	static C(Other: UObject | any): CameraAnimFactory;
 }
 
-declare class LoadPackageCommandlet extends Commandlet { 
-	static Load(ResourceName: string): LoadPackageCommandlet;
-	static Find(Outer: UObject, ResourceName: string): LoadPackageCommandlet;
-	static GetDefaultObject(): LoadPackageCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LoadPackageCommandlet;
-	static C(Other: UObject | any): LoadPackageCommandlet;
+declare class CanvasRenderTarget2DFactoryNew extends Factory { 
+	Width: number;
+	Height: number;
+	Format: number;
+	static Load(ResourceName: string): CanvasRenderTarget2DFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): CanvasRenderTarget2DFactoryNew;
+	static GetDefaultObject(): CanvasRenderTarget2DFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasRenderTarget2DFactoryNew;
+	static C(Other: UObject | any): CanvasRenderTarget2DFactoryNew;
 }
 
-declare class EditorParameterGroup { 
-	GroupName: string;
-	GroupAssociation: EMaterialParameterAssociation;
-	Parameters: DEditorParameterValue[];
-	GroupSortPriority: number;
-	clone() : EditorParameterGroup;
-	static C(Other: UObject | any): EditorParameterGroup;
+declare class CascadeOptions extends UObject { 
+	bShowModuleDump: boolean;
+	BackgroundColor: Color;
+	bUseSubMenus: boolean;
+	bUseSpaceBarReset: boolean;
+	bUseSpaceBarResetInLevel: boolean;
+	Empty_Background: Color;
+	Emitter_Background: Color;
+	Emitter_Unselected: Color;
+	Emitter_Selected: Color;
+	ModuleColor_General_Unselected: Color;
+	ModuleColor_General_Selected: Color;
+	ModuleColor_TypeData_Unselected: Color;
+	ModuleColor_TypeData_Selected: Color;
+	ModuleColor_Beam_Unselected: Color;
+	ModuleColor_Beam_Selected: Color;
+	ModuleColor_Trail_Unselected: Color;
+	ModuleColor_Trail_Selected: Color;
+	ModuleColor_Spawn_Unselected: Color;
+	ModuleColor_Spawn_Selected: Color;
+	ModuleColor_Light_Unselected: Color;
+	ModuleColor_Light_Selected: Color;
+	ModuleColor_SubUV_Unselected: Color;
+	ModuleColor_SubUV_Selected: Color;
+	ModuleColor_Required_Unselected: Color;
+	ModuleColor_Required_Selected: Color;
+	ModuleColor_Event_Unselected: Color;
+	ModuleColor_Event_Selected: Color;
+	bShowGrid: boolean;
+	GridColor_Hi: Color;
+	GridColor_Low: Color;
+	GridPerspectiveSize: number;
+	bShowParticleCounts: boolean;
+	bShowParticleEvents: boolean;
+	bShowParticleTimes: boolean;
+	bShowParticleDistance: boolean;
+	bShowParticleMemory: boolean;
+	ParticleMemoryUpdateTime: number;
+	bShowFloor: boolean;
+	FloorMesh: string;
+	FloorPosition: Vector;
+	FloorRotation: Rotator;
+	FloorScale: number;
+	FloorScale3D: Vector;
+	ShowPPFlags: number;
+	bUseSlimCascadeDraw: boolean;
+	SlimCascadeDrawHeight: number;
+	bCenterCascadeModuleText: boolean;
+	Cascade_MouseMoveThreshold: number;
+	MotionModeRadius: number;
+	static Load(ResourceName: string): CascadeOptions;
+	static Find(Outer: UObject, ResourceName: string): CascadeOptions;
+	static GetDefaultObject(): CascadeOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CascadeOptions;
+	static C(Other: UObject | any): CascadeOptions;
 }
 
-declare class MaterialFunctionInstance extends MaterialFunctionInterface { 
-	Parent: MaterialFunctionInterface;
-	Base: MaterialFunctionInterface;
-	ScalarParameterValues: ScalarParameterValue[];
-	VectorParameterValues: VectorParameterValue[];
-	TextureParameterValues: TextureParameterValue[];
-	FontParameterValues: FontParameterValue[];
-	StaticSwitchParameterValues: StaticSwitchParameter[];
-	StaticComponentMaskParameterValues: StaticComponentMaskParameter[];
-	PreviewMaterial: MaterialInstanceConstant;
-	static Load(ResourceName: string): MaterialFunctionInstance;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionInstance;
-	static GetDefaultObject(): MaterialFunctionInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionInstance;
-	static C(Other: UObject | any): MaterialFunctionInstance;
+declare class ChunkDependency { 
+	ChunkID: number;
+	ParentChunkID: number;
+	clone() : ChunkDependency;
+	static C(Other: UObject | any): ChunkDependency;
 }
 
-declare class LightmassParameterValue { 
-	bOverride: boolean;
-	clone() : LightmassParameterValue;
-	static C(Other: UObject | any): LightmassParameterValue;
+declare class ChunkDependencyInfo extends UObject { 
+	DependencyArray: ChunkDependency[];
+	static Load(ResourceName: string): ChunkDependencyInfo;
+	static Find(Outer: UObject, ResourceName: string): ChunkDependencyInfo;
+	static GetDefaultObject(): ChunkDependencyInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChunkDependencyInfo;
+	static C(Other: UObject | any): ChunkDependencyInfo;
 }
 
-declare class LightmassBooleanParameterValue extends LightmassParameterValue { 
-	ParameterValue: boolean;
-	clone() : LightmassBooleanParameterValue;
-	static C(Other: UObject | any): LightmassBooleanParameterValue;
+declare class ClassThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): ClassThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): ClassThumbnailRenderer;
+	static GetDefaultObject(): ClassThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassThumbnailRenderer;
+	static C(Other: UObject | any): ClassThumbnailRenderer;
 }
 
-declare class LightmassScalarParameterValue extends LightmassParameterValue { 
-	ParameterValue: number;
-	clone() : LightmassScalarParameterValue;
-	static C(Other: UObject | any): LightmassScalarParameterValue;
+declare type EClassViewerDeveloperType = 'CVDT_None' | 'CVDT_CurrentUser' | 'CVDT_All' | 'CVDT_Max';
+declare var EClassViewerDeveloperType : { CVDT_None:'CVDT_None',CVDT_CurrentUser:'CVDT_CurrentUser',CVDT_All:'CVDT_All',CVDT_Max:'CVDT_Max', };
+declare class ClassViewerSettings extends UObject { 
+	DisplayInternalClasses: boolean;
+	DeveloperFolderType: EClassViewerDeveloperType;
+	static Load(ResourceName: string): ClassViewerSettings;
+	static Find(Outer: UObject, ResourceName: string): ClassViewerSettings;
+	static GetDefaultObject(): ClassViewerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClassViewerSettings;
+	static C(Other: UObject | any): ClassViewerSettings;
 }
 
-declare class LightmassParameterizedMaterialSettings { 
-	CastShadowAsMasked: LightmassBooleanParameterValue;
-	EmissiveBoost: LightmassScalarParameterValue;
-	DiffuseBoost: LightmassScalarParameterValue;
-	ExportResolutionScale: LightmassScalarParameterValue;
-	clone() : LightmassParameterizedMaterialSettings;
-	static C(Other: UObject | any): LightmassParameterizedMaterialSettings;
+declare class CompileAllBlueprintsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): CompileAllBlueprintsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): CompileAllBlueprintsCommandlet;
+	static GetDefaultObject(): CompileAllBlueprintsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompileAllBlueprintsCommandlet;
+	static C(Other: UObject | any): CompileAllBlueprintsCommandlet;
 }
 
-declare class MaterialEditorInstanceConstant extends UObject { 
-	PhysMaterial: PhysicalMaterial;
-	Parent: MaterialInterface;
-	ParameterGroups: EditorParameterGroup[];
-	RefractionDepthBias: number;
-	SubsurfaceProfile: SubsurfaceProfile;
-	bOverrideSubsurfaceProfile: boolean;
-	bOverrideBaseProperties: boolean;
-	bIsFunctionPreviewMaterial: boolean;
-	bIsFunctionInstanceDirty: boolean;
-	BasePropertyOverrides: MaterialInstanceBasePropertyOverrides;
-	SourceInstance: MaterialInstanceConstant;
-	SourceFunction: MaterialFunctionInstance;
-	VisibleExpressions: MaterialParameterInfo[];
-	LightmassSettings: LightmassParameterizedMaterialSettings;
-	bUseOldStyleMICEditorGroups: boolean;
-	StoredLayerPreviews: MaterialInstanceConstant[];
-	StoredBlendPreviews: MaterialInstanceConstant[];
-	static Load(ResourceName: string): MaterialEditorInstanceConstant;
-	static Find(Outer: UObject, ResourceName: string): MaterialEditorInstanceConstant;
-	static GetDefaultObject(): MaterialEditorInstanceConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorInstanceConstant;
-	static C(Other: UObject | any): MaterialEditorInstanceConstant;
+declare class CompositeCurveTableFactory extends Factory { 
+	static Load(ResourceName: string): CompositeCurveTableFactory;
+	static Find(Outer: UObject, ResourceName: string): CompositeCurveTableFactory;
+	static GetDefaultObject(): CompositeCurveTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositeCurveTableFactory;
+	static C(Other: UObject | any): CompositeCurveTableFactory;
 }
 
-declare class MaterialEditorMeshComponent extends StaticMeshComponent { 
-	static Load(ResourceName: string): MaterialEditorMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): MaterialEditorMeshComponent;
-	static GetDefaultObject(): MaterialEditorMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorMeshComponent;
-	static C(Other: UObject | any): MaterialEditorMeshComponent;
+declare class DataTableFactory extends Factory { 
+	struct: ScriptStruct;
+	static Load(ResourceName: string): DataTableFactory;
+	static Find(Outer: UObject, ResourceName: string): DataTableFactory;
+	static GetDefaultObject(): DataTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTableFactory;
+	static C(Other: UObject | any): DataTableFactory;
 }
 
-declare class MaterialEditorOptions extends UObject { 
-	bShowGrid: boolean;
-	bHideUnusedConnectors: boolean;
-	bRealtimeMaterialViewport: boolean;
-	bRealtimeExpressionViewport: boolean;
-	bLivePreviewUpdate: boolean;
-	bAlwaysRefreshAllPreviews: boolean;
-	bUseUnsortedMenus: boolean;
-	bShowMobileStats: boolean;
-	FavoriteExpressions: string[];
-	static Load(ResourceName: string): MaterialEditorOptions;
-	static Find(Outer: UObject, ResourceName: string): MaterialEditorOptions;
-	static GetDefaultObject(): MaterialEditorOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorOptions;
-	static C(Other: UObject | any): MaterialEditorOptions;
+declare class CompositeDataTableFactory extends DataTableFactory { 
+	static Load(ResourceName: string): CompositeDataTableFactory;
+	static Find(Outer: UObject, ResourceName: string): CompositeDataTableFactory;
+	static GetDefaultObject(): CompositeDataTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositeDataTableFactory;
+	static C(Other: UObject | any): CompositeDataTableFactory;
 }
 
-declare class MaterialEditorPreviewParameters extends UObject { 
-	ParameterGroups: EditorParameterGroup[];
-	PreviewMaterial: Material;
-	OriginalFunction: MaterialFunction;
-	OriginalMaterial: Material;
-	static Load(ResourceName: string): MaterialEditorPreviewParameters;
-	static Find(Outer: UObject, ResourceName: string): MaterialEditorPreviewParameters;
-	static GetDefaultObject(): MaterialEditorPreviewParameters;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorPreviewParameters;
-	static C(Other: UObject | any): MaterialEditorPreviewParameters;
+declare class CompressAnimationsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): CompressAnimationsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): CompressAnimationsCommandlet;
+	static GetDefaultObject(): CompressAnimationsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompressAnimationsCommandlet;
+	static C(Other: UObject | any): CompressAnimationsCommandlet;
 }
 
-declare class MaterialFactoryNew extends Factory { 
-	InitialTexture: Texture;
-	static Load(ResourceName: string): MaterialFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): MaterialFactoryNew;
-	static GetDefaultObject(): MaterialFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFactoryNew;
-	static C(Other: UObject | any): MaterialFactoryNew;
+declare class EditorBrushBuilder extends BrushBuilder { 
+	static Load(ResourceName: string): EditorBrushBuilder;
+	static Find(Outer: UObject, ResourceName: string): EditorBrushBuilder;
+	static GetDefaultObject(): EditorBrushBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorBrushBuilder;
+	static C(Other: UObject | any): EditorBrushBuilder;
 }
 
-declare class MaterialFunctionFactoryNew extends Factory { 
-	static Load(ResourceName: string): MaterialFunctionFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionFactoryNew;
-	static GetDefaultObject(): MaterialFunctionFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionFactoryNew;
-	static C(Other: UObject | any): MaterialFunctionFactoryNew;
-}
-
-declare class MaterialFunctionInstanceFactory extends Factory { 
-	InitialParent: MaterialFunctionInterface;
-	static Load(ResourceName: string): MaterialFunctionInstanceFactory;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionInstanceFactory;
-	static GetDefaultObject(): MaterialFunctionInstanceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionInstanceFactory;
-	static C(Other: UObject | any): MaterialFunctionInstanceFactory;
+declare class ConeBuilder extends EditorBrushBuilder { 
+	Z: number;
+	CapZ: number;
+	OuterRadius: number;
+	InnerRadius: number;
+	Sides: number;
+	GroupName: string;
+	AlignToSide: boolean;
+	Hollow: boolean;
+	static Load(ResourceName: string): ConeBuilder;
+	static Find(Outer: UObject, ResourceName: string): ConeBuilder;
+	static GetDefaultObject(): ConeBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ConeBuilder;
+	static C(Other: UObject | any): ConeBuilder;
 }
 
-declare class MaterialFunctionMaterialLayerInstanceFactory extends MaterialFunctionInstanceFactory { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerInstanceFactory;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerInstanceFactory;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerInstanceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerInstanceFactory;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerInstanceFactory;
+declare class ContentBrowserSettings extends UObject { 
+	NumObjectsToLoadBeforeWarning: number;
+	bOpenSourcesPanelByDefault: boolean;
+	RealTimeThumbnails: boolean;
+	DisplayFolders: boolean;
+	DisplayEmptyFolders: boolean;
+	NumObjectsInRecentList: number;
+	bShowFullCollectionNameInToolTip: boolean;
+	DisplayEngineFolder: boolean;
+	DisplayDevelopersFolder: boolean;
+	DisplayL10NFolder: boolean;
+	DisplayPluginFolders: boolean;
+	DisplayCollections: boolean;
+	DisplayFavorites: boolean;
+	DisplayCppFolders: boolean;
+	IncludeClassNames: boolean;
+	IncludeAssetPaths: boolean;
+	IncludeCollectionNames: boolean;
+	static Load(ResourceName: string): ContentBrowserSettings;
+	static Find(Outer: UObject, ResourceName: string): ContentBrowserSettings;
+	static GetDefaultObject(): ContentBrowserSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ContentBrowserSettings;
+	static C(Other: UObject | any): ContentBrowserSettings;
 }
 
-declare class MaterialFunctionMaterialLayerBlendInstanceFactory extends MaterialFunctionInstanceFactory { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendInstanceFactory;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendInstanceFactory;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendInstanceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendInstanceFactory;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendInstanceFactory;
+declare class CookCommandlet extends Commandlet { 
+	FullGCAssetClassNames: string[];
+	static Load(ResourceName: string): CookCommandlet;
+	static Find(Outer: UObject, ResourceName: string): CookCommandlet;
+	static GetDefaultObject(): CookCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookCommandlet;
+	static C(Other: UObject | any): CookCommandlet;
 }
 
-declare class MaterialFunctionMaterialLayerBlendFactory extends Factory { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendFactory;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendFactory;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendFactory;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendFactory;
+declare type ECookProgressDisplayMode = 'Nothing' | 'RemainingPackages' | 'PackageNames' | 'NamesAndRemainingPackages' | 'Max' | 'ECookProgressDisplayMode_MAX';
+declare var ECookProgressDisplayMode : { Nothing:'Nothing',RemainingPackages:'RemainingPackages',PackageNames:'PackageNames',NamesAndRemainingPackages:'NamesAndRemainingPackages',Max:'Max',ECookProgressDisplayMode_MAX:'ECookProgressDisplayMode_MAX', };
+declare type EBlueprintComponentDataCookingMethod = 'Disabled' | 'AllBlueprints' | 'EnabledBlueprintsOnly' | 'EBlueprintComponentDataCookingMethod_MAX';
+declare var EBlueprintComponentDataCookingMethod : { Disabled:'Disabled',AllBlueprints:'AllBlueprints',EnabledBlueprintsOnly:'EnabledBlueprintsOnly',EBlueprintComponentDataCookingMethod_MAX:'EBlueprintComponentDataCookingMethod_MAX', };
+declare class CookerSettings extends DeveloperSettings { 
+	bEnableCookOnTheSide: boolean;
+	bEnableBuildDDCInBackground: boolean;
+	bIterativeCookingForLaunchOn: boolean;
+	bIterativeCookingForFileCookContent: boolean;
+	bCookOnTheFlyForLaunchOn: boolean;
+	CookProgressDisplayMode: ECookProgressDisplayMode;
+	bIgnoreIniSettingsOutOfDateForIteration: boolean;
+	bIgnoreScriptPackagesOutOfDateForIteration: boolean;
+	bCompileBlueprintsInDevelopmentMode: boolean;
+	BlueprintComponentDataCookingMethod: EBlueprintComponentDataCookingMethod;
+	ClassesExcludedOnDedicatedServer: string[];
+	ModulesExcludedOnDedicatedServer: string[];
+	ClassesExcludedOnDedicatedClient: string[];
+	ModulesExcludedOnDedicatedClient: string[];
+	VersionedIntRValues: string[];
+	DefaultPVRTCQuality: number;
+	DefaultASTCQualityBySpeed: number;
+	DefaultASTCQualityBySize: number;
+	bAllowCookedDataInEditorBuilds: boolean;
+	bCookBlueprintComponentTemplateData: boolean;
+	static Load(ResourceName: string): CookerSettings;
+	static Find(Outer: UObject, ResourceName: string): CookerSettings;
+	static GetDefaultObject(): CookerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookerSettings;
+	static C(Other: UObject | any): CookerSettings;
 }
 
-declare class MaterialFunctionMaterialLayerFactory extends Factory { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerFactory;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerFactory;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerFactory;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerFactory;
+declare class CookOnTheFlyServer extends UObject { 
+	static Load(ResourceName: string): CookOnTheFlyServer;
+	static Find(Outer: UObject, ResourceName: string): CookOnTheFlyServer;
+	static GetDefaultObject(): CookOnTheFlyServer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CookOnTheFlyServer;
+	static C(Other: UObject | any): CookOnTheFlyServer;
 }
 
-declare class MaterialFunctionThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): MaterialFunctionThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionThumbnailRenderer;
-	static GetDefaultObject(): MaterialFunctionThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionThumbnailRenderer;
-	static C(Other: UObject | any): MaterialFunctionThumbnailRenderer;
+declare class CrashReporterSettings extends UObject { 
+	UploadSymbolsPath: string;
+	DownstreamStorage: string;
+	RemoteStorage: string[];
+	static Load(ResourceName: string): CrashReporterSettings;
+	static Find(Outer: UObject, ResourceName: string): CrashReporterSettings;
+	static GetDefaultObject(): CrashReporterSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrashReporterSettings;
+	static C(Other: UObject | any): CrashReporterSettings;
 }
 
-declare class MaterialGraphNode_Base extends EdGraphNode { 
-	static Load(ResourceName: string): MaterialGraphNode_Base;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Base;
-	static GetDefaultObject(): MaterialGraphNode_Base;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Base;
-	static C(Other: UObject | any): MaterialGraphNode_Base;
+declare class CrashReportsPrivacySettings extends UObject { 
+	bSendUnattendedBugReports: boolean;
+	static Load(ResourceName: string): CrashReportsPrivacySettings;
+	static Find(Outer: UObject, ResourceName: string): CrashReportsPrivacySettings;
+	static GetDefaultObject(): CrashReportsPrivacySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CrashReportsPrivacySettings;
+	static C(Other: UObject | any): CrashReportsPrivacySettings;
 }
 
-declare class MaterialGraphNode_Root extends MaterialGraphNode_Base { 
-	Material: Material;
-	static Load(ResourceName: string): MaterialGraphNode_Root;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Root;
-	static GetDefaultObject(): MaterialGraphNode_Root;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Root;
-	static C(Other: UObject | any): MaterialGraphNode_Root;
+declare type ECSVImportType = 'ECSV_DataTable' | 'ECSV_CurveTable' | 'ECSV_CurveFloat' | 'ECSV_CurveVector' | 'ECSV_CurveLinearColor' | 'ECSV_MAX';
+declare var ECSVImportType : { ECSV_DataTable:'ECSV_DataTable',ECSV_CurveTable:'ECSV_CurveTable',ECSV_CurveFloat:'ECSV_CurveFloat',ECSV_CurveVector:'ECSV_CurveVector',ECSV_CurveLinearColor:'ECSV_CurveLinearColor',ECSV_MAX:'ECSV_MAX', };
+declare class CSVImportSettings { 
+	ImportRowStruct: ScriptStruct;
+	ImportType: ECSVImportType;
+	ImportCurveInterpMode: ERichCurveInterpMode;
+	clone() : CSVImportSettings;
+	static C(Other: UObject | any): CSVImportSettings;
 }
 
-declare class MaterialGraph extends EdGraph { 
-	Material: Material;
-	MaterialFunction: MaterialFunction;
-	RootNode: MaterialGraphNode_Root;
-	OriginalMaterialFullName: string;
-	static Load(ResourceName: string): MaterialGraph;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraph;
-	static GetDefaultObject(): MaterialGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraph;
-	static C(Other: UObject | any): MaterialGraph;
+declare class CSVImportFactory extends Factory { 
+	AutomatedImportSettings: CSVImportSettings;
+	static Load(ResourceName: string): CSVImportFactory;
+	static Find(Outer: UObject, ResourceName: string): CSVImportFactory;
+	static GetDefaultObject(): CSVImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CSVImportFactory;
+	static C(Other: UObject | any): CSVImportFactory;
 }
 
-declare class MaterialGraphNode extends MaterialGraphNode_Base { 
-	MaterialExpression: MaterialExpression;
-	static Load(ResourceName: string): MaterialGraphNode;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode;
-	static GetDefaultObject(): MaterialGraphNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode;
-	static C(Other: UObject | any): MaterialGraphNode;
+declare class CubeBuilder extends EditorBrushBuilder { 
+	X: number;
+	Y: number;
+	Z: number;
+	WallThickness: number;
+	GroupName: string;
+	Hollow: boolean;
+	Tessellated: boolean;
+	static Load(ResourceName: string): CubeBuilder;
+	static Find(Outer: UObject, ResourceName: string): CubeBuilder;
+	static GetDefaultObject(): CubeBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CubeBuilder;
+	static C(Other: UObject | any): CubeBuilder;
 }
 
-declare class MaterialGraphNode_Comment extends EdGraphNode_Comment { 
-	MaterialExpressionComment: MaterialExpressionComment;
-	static Load(ResourceName: string): MaterialGraphNode_Comment;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Comment;
-	static GetDefaultObject(): MaterialGraphNode_Comment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Comment;
-	static C(Other: UObject | any): MaterialGraphNode_Comment;
+declare class CurvedStairBuilder extends EditorBrushBuilder { 
+	InnerRadius: number;
+	StepHeight: number;
+	StepWidth: number;
+	AngleOfCurve: number;
+	NumSteps: number;
+	AddToFirstStep: number;
+	GroupName: string;
+	CounterClockwise: boolean;
+	static Load(ResourceName: string): CurvedStairBuilder;
+	static Find(Outer: UObject, ResourceName: string): CurvedStairBuilder;
+	static GetDefaultObject(): CurvedStairBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurvedStairBuilder;
+	static C(Other: UObject | any): CurvedStairBuilder;
 }
 
-declare class MaterialGraphNode_Knot extends MaterialGraphNode { 
-	static Load(ResourceName: string): MaterialGraphNode_Knot;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Knot;
-	static GetDefaultObject(): MaterialGraphNode_Knot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Knot;
-	static C(Other: UObject | any): MaterialGraphNode_Knot;
+declare class CurveEdOptions extends UObject { 
+	MinViewRange: number;
+	MaxViewRange: number;
+	BackgroundColor: LinearColor;
+	LabelColor: LinearColor;
+	SelectedLabelColor: LinearColor;
+	GridColor: LinearColor;
+	GridTextColor: LinearColor;
+	LabelBlockBkgColor: LinearColor;
+	SelectedKeyColor: LinearColor;
+	static Load(ResourceName: string): CurveEdOptions;
+	static Find(Outer: UObject, ResourceName: string): CurveEdOptions;
+	static GetDefaultObject(): CurveEdOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEdOptions;
+	static C(Other: UObject | any): CurveEdOptions;
 }
 
-declare class MaterialGraphSchema extends EdGraphSchema { 
-	static Load(ResourceName: string): MaterialGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): MaterialGraphSchema;
-	static GetDefaultObject(): MaterialGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphSchema;
-	static C(Other: UObject | any): MaterialGraphSchema;
+declare class CurveFactory extends Factory { 
+	CurveClass: UnrealEngineClass;
+	static Load(ResourceName: string): CurveFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveFactory;
+	static GetDefaultObject(): CurveFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveFactory;
+	static C(Other: UObject | any): CurveFactory;
 }
 
-declare class MaterialImportHelpers extends UObject { 
-	static Load(ResourceName: string): MaterialImportHelpers;
-	static Find(Outer: UObject, ResourceName: string): MaterialImportHelpers;
-	static GetDefaultObject(): MaterialImportHelpers;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialImportHelpers;
-	static FindExistingMaterialFromSearchLocation(MaterialFullName: string,BasePackagePath: string,SearchLocation: EMaterialSearchLocation,OutError?: string): {OutError: string, $: MaterialInterface};
-	static FindExistingMaterial(BasePath: string,MaterialFullName: string,OutError?: string): {OutError: string, $: MaterialInterface};
-	static C(Other: UObject | any): MaterialImportHelpers;
+declare class CurveFloatFactory extends CurveFactory { 
+	static Load(ResourceName: string): CurveFloatFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveFloatFactory;
+	static GetDefaultObject(): CurveFloatFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveFloatFactory;
+	static C(Other: UObject | any): CurveFloatFactory;
 }
 
-declare class MaterialInstanceConstantFactoryNew extends Factory { 
-	InitialParent: MaterialInterface;
-	static Load(ResourceName: string): MaterialInstanceConstantFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): MaterialInstanceConstantFactoryNew;
-	static GetDefaultObject(): MaterialInstanceConstantFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceConstantFactoryNew;
-	static C(Other: UObject | any): MaterialInstanceConstantFactoryNew;
+declare class CurveLinearColorFactory extends CurveFactory { 
+	static Load(ResourceName: string): CurveLinearColorFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveLinearColorFactory;
+	static GetDefaultObject(): CurveLinearColorFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColorFactory;
+	static C(Other: UObject | any): CurveLinearColorFactory;
 }
 
-declare class MaterialInstanceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): MaterialInstanceThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): MaterialInstanceThumbnailRenderer;
-	static GetDefaultObject(): MaterialInstanceThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceThumbnailRenderer;
-	static C(Other: UObject | any): MaterialInstanceThumbnailRenderer;
+declare class CurveVectorFactory extends CurveFactory { 
+	static Load(ResourceName: string): CurveVectorFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveVectorFactory;
+	static GetDefaultObject(): CurveVectorFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveVectorFactory;
+	static C(Other: UObject | any): CurveVectorFactory;
 }
 
-declare class MaterialParameterCollectionFactoryNew extends Factory { 
-	static Load(ResourceName: string): MaterialParameterCollectionFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollectionFactoryNew;
-	static GetDefaultObject(): MaterialParameterCollectionFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollectionFactoryNew;
-	static C(Other: UObject | any): MaterialParameterCollectionFactoryNew;
+declare class CurveImportFactory extends Factory { 
+	static Load(ResourceName: string): CurveImportFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveImportFactory;
+	static GetDefaultObject(): CurveImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveImportFactory;
+	static C(Other: UObject | any): CurveImportFactory;
 }
 
-declare class ModelExporterT3D extends Exporter { 
-	static Load(ResourceName: string): ModelExporterT3D;
-	static Find(Outer: UObject, ResourceName: string): ModelExporterT3D;
-	static GetDefaultObject(): ModelExporterT3D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ModelExporterT3D;
-	static C(Other: UObject | any): ModelExporterT3D;
+declare class CurveLinearColorAtlasFactory extends Factory { 
+	Width: number;
+	Height: number;
+	Format: number;
+	static Load(ResourceName: string): CurveLinearColorAtlasFactory;
+	static Find(Outer: UObject, ResourceName: string): CurveLinearColorAtlasFactory;
+	static GetDefaultObject(): CurveLinearColorAtlasFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColorAtlasFactory;
+	static C(Other: UObject | any): CurveLinearColorAtlasFactory;
 }
 
-declare class ModelFactory extends Factory { 
-	static Load(ResourceName: string): ModelFactory;
-	static Find(Outer: UObject, ResourceName: string): ModelFactory;
-	static GetDefaultObject(): ModelFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ModelFactory;
-	static C(Other: UObject | any): ModelFactory;
+declare class CurveLinearColorThumbnailRenderer extends ThumbnailRenderer { 
+	static Load(ResourceName: string): CurveLinearColorThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): CurveLinearColorThumbnailRenderer;
+	static GetDefaultObject(): CurveLinearColorThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveLinearColorThumbnailRenderer;
+	static C(Other: UObject | any): CurveLinearColorThumbnailRenderer;
 }
 
-declare class NativeCodeGenCommandlet extends Commandlet { 
-	static Load(ResourceName: string): NativeCodeGenCommandlet;
-	static Find(Outer: UObject, ResourceName: string): NativeCodeGenCommandlet;
-	static GetDefaultObject(): NativeCodeGenCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeCodeGenCommandlet;
-	static C(Other: UObject | any): NativeCodeGenCommandlet;
+declare class CylinderBuilder extends EditorBrushBuilder { 
+	Z: number;
+	OuterRadius: number;
+	InnerRadius: number;
+	Sides: number;
+	GroupName: string;
+	AlignToSide: boolean;
+	Hollow: boolean;
+	static Load(ResourceName: string): CylinderBuilder;
+	static Find(Outer: UObject, ResourceName: string): CylinderBuilder;
+	static GetDefaultObject(): CylinderBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CylinderBuilder;
+	static C(Other: UObject | any): CylinderBuilder;
 }
 
-declare class ObjectExporterT3D extends Exporter { 
-	static Load(ResourceName: string): ObjectExporterT3D;
-	static Find(Outer: UObject, ResourceName: string): ObjectExporterT3D;
-	static GetDefaultObject(): ObjectExporterT3D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectExporterT3D;
-	static C(Other: UObject | any): ObjectExporterT3D;
+declare class DataAssetFactory extends Factory { 
+	DataAssetClass: UnrealEngineClass;
+	static Load(ResourceName: string): DataAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): DataAssetFactory;
+	static GetDefaultObject(): DataAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataAssetFactory;
+	static C(Other: UObject | any): DataAssetFactory;
 }
 
-declare class ObjectLibraryFactory extends Factory { 
-	static Load(ResourceName: string): ObjectLibraryFactory;
-	static Find(Outer: UObject, ResourceName: string): ObjectLibraryFactory;
-	static GetDefaultObject(): ObjectLibraryFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectLibraryFactory;
-	static C(Other: UObject | any): ObjectLibraryFactory;
+declare class DebugSkelMeshComponent extends SkeletalMeshComponent { 
+	bRenderRawSkeleton: boolean;
+	bDrawMesh: boolean;
+	bShowBoneNames: boolean;
+	bDrawBoneInfluences: boolean;
+	bDrawMorphTargetVerts: boolean;
+	bDrawNormals: boolean;
+	bDrawTangents: boolean;
+	bDrawBinormals: boolean;
+	bDrawSockets: boolean;
+	bSkeletonSocketsVisible: boolean;
+	bMeshSocketsVisible: boolean;
+	bDisplayRawAnimation: boolean;
+	bDisplayNonRetargetedPose: boolean;
+	bDisplayAdditiveBasePose: boolean;
+	bDisplayBakedAnimation: boolean;
+	bDisplaySourceAnimation: boolean;
+	bDisplayBound: boolean;
+	bDisplayVertexColors: boolean;
+	bPreviewRootMotion: boolean;
+	bShowClothData: boolean;
+	MinClothPropertyView: number;
+	MaxClothPropertyView: number;
+	ClothMeshOpacity: number;
+	bClothFlipNormal: boolean;
+	bClothCullBackface: boolean;
+	BonesOfInterest: number[];
+	MorphTargetOfInterests: MorphTarget[];
+	SkelMaterials: MaterialInterface[];
+	PreviewInstance: AnimPreviewInstance;
+	SavedAnimScriptInstance: AnimInstance;
+	bIsUsingInGameBounds: boolean;
+	bPerformSingleClothingTick: boolean;
+	bPauseClothingSimulationWithAnim: boolean;
+	static Load(ResourceName: string): DebugSkelMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): DebugSkelMeshComponent;
+	static GetDefaultObject(): DebugSkelMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugSkelMeshComponent;
+	static C(Other: UObject | any): DebugSkelMeshComponent;
 }
 
-declare class PackageFactory extends Factory { 
-	static Load(ResourceName: string): PackageFactory;
-	static Find(Outer: UObject, ResourceName: string): PackageFactory;
-	static GetDefaultObject(): PackageFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageFactory;
-	static C(Other: UObject | any): PackageFactory;
+declare class DEditorParameterValue extends UObject { 
+	bOverride: boolean;
+	ParameterInfo: MaterialParameterInfo;
+	ExpressionId: Guid;
+	SortPriority: number;
+	static Load(ResourceName: string): DEditorParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorParameterValue;
+	static GetDefaultObject(): DEditorParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorParameterValue;
+	static C(Other: UObject | any): DEditorParameterValue;
 }
 
-declare class PackFactory extends Factory { 
-	static Load(ResourceName: string): PackFactory;
-	static Find(Outer: UObject, ResourceName: string): PackFactory;
-	static GetDefaultObject(): PackFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackFactory;
-	static C(Other: UObject | any): PackFactory;
+declare class DFontParameters { 
+	FontValue: Font;
+	FontPage: number;
+	clone() : DFontParameters;
+	static C(Other: UObject | any): DFontParameters;
 }
 
-declare class ParticleSystemAuditCommandlet extends Commandlet { 
-	HighSpawnRateOrBurstThreshold: number;
-	FarLODDistanceTheshold: number;
-	static Load(ResourceName: string): ParticleSystemAuditCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ParticleSystemAuditCommandlet;
-	static GetDefaultObject(): ParticleSystemAuditCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemAuditCommandlet;
-	static C(Other: UObject | any): ParticleSystemAuditCommandlet;
+declare class DEditorFontParameterValue extends DEditorParameterValue { 
+	ParameterValue: DFontParameters;
+	static Load(ResourceName: string): DEditorFontParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorFontParameterValue;
+	static GetDefaultObject(): DEditorFontParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorFontParameterValue;
+	static C(Other: UObject | any): DEditorFontParameterValue;
 }
 
-declare class ParticleSystemFactoryNew extends Factory { 
-	static Load(ResourceName: string): ParticleSystemFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): ParticleSystemFactoryNew;
-	static GetDefaultObject(): ParticleSystemFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemFactoryNew;
-	static C(Other: UObject | any): ParticleSystemFactoryNew;
+declare class DEditorMaterialLayersParameterValue extends DEditorParameterValue { 
+	ParameterValue: MaterialLayersFunctions;
+	static Load(ResourceName: string): DEditorMaterialLayersParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorMaterialLayersParameterValue;
+	static GetDefaultObject(): DEditorMaterialLayersParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorMaterialLayersParameterValue;
+	static C(Other: UObject | any): DEditorMaterialLayersParameterValue;
 }
 
-declare class ParticleSystemThumbnailRenderer extends TextureThumbnailRenderer { 
-	NoImage: Texture2D;
-	OutOfDate: Texture2D;
-	static Load(ResourceName: string): ParticleSystemThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): ParticleSystemThumbnailRenderer;
-	static GetDefaultObject(): ParticleSystemThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemThumbnailRenderer;
-	static C(Other: UObject | any): ParticleSystemThumbnailRenderer;
+declare class ScalarParameterAtlasData { 
+	bIsUsedAsAtlasPosition: boolean;
+	Curve: CurveLinearColor;
+	Atlas: CurveLinearColorAtlas;
+	clone() : ScalarParameterAtlasData;
+	static C(Other: UObject | any): ScalarParameterAtlasData;
 }
 
-declare type EAnimationViewportCameraFollowMode = 'None' | 'Bounds' | 'Bone' | 'EAnimationViewportCameraFollowMode_MAX';
-declare var EAnimationViewportCameraFollowMode : { None:'None',Bounds:'Bounds',Bone:'Bone',EAnimationViewportCameraFollowMode_MAX:'EAnimationViewportCameraFollowMode_MAX', };
-declare class ViewportConfigOptions { 
-	ViewModeIndex: EViewModeIndex;
-	ViewFOV: number;
-	CameraFollowMode: EAnimationViewportCameraFollowMode;
-	CameraFollowBoneName: string;
-	clone() : ViewportConfigOptions;
-	static C(Other: UObject | any): ViewportConfigOptions;
+declare class DEditorScalarParameterValue extends DEditorParameterValue { 
+	ParameterValue: number;
+	AtlasData: ScalarParameterAtlasData;
+	static Load(ResourceName: string): DEditorScalarParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorScalarParameterValue;
+	static GetDefaultObject(): DEditorScalarParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorScalarParameterValue;
+	static C(Other: UObject | any): DEditorScalarParameterValue;
 }
 
-declare class AssetEditorOptions { 
-	Context: string;
-	ViewportConfigs: ViewportConfigOptions;
-	clone() : AssetEditorOptions;
-	static C(Other: UObject | any): AssetEditorOptions;
+declare class DComponentMaskParameter { 
+	R: boolean;
+	G: boolean;
+	B: boolean;
+	A: boolean;
+	clone() : DComponentMaskParameter;
+	static C(Other: UObject | any): DComponentMaskParameter;
 }
 
-declare class PersonaOptions extends UObject { 
-	bAutoAlignFloorToMesh: boolean;
-	bShowGrid: boolean;
-	bHighlightOrigin: boolean;
-	bMuteAudio: boolean;
-	bUseAudioAttenuation: boolean;
-	ShowMeshStats: number;
-	DefaultLocalAxesSelection: any;
-	DefaultBoneDrawSelection: any;
-	SectionTimingNodeColor: LinearColor;
-	NotifyTimingNodeColor: LinearColor;
-	BranchingPointTimingNodeColor: LinearColor;
-	bUseInlineSocketEditor: boolean;
-	bFlattenSkeletonHierarchyWhenFiltering: boolean;
-	bHideParentsWhenFiltering: boolean;
-	bAllowPreviewMeshCollectionsToSelectFromDifferentSkeletons: boolean;
-	bAllowMeshSectionSelection: boolean;
-	NumFolderFiltersInAssetBrowser: any;
-	AssetEditorOptions: AssetEditorOptions[];
-	static Load(ResourceName: string): PersonaOptions;
-	static Find(Outer: UObject, ResourceName: string): PersonaOptions;
-	static GetDefaultObject(): PersonaOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaOptions;
-	static C(Other: UObject | any): PersonaOptions;
+declare class DEditorStaticComponentMaskParameterValue extends DEditorParameterValue { 
+	ParameterValue: DComponentMaskParameter;
+	static Load(ResourceName: string): DEditorStaticComponentMaskParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorStaticComponentMaskParameterValue;
+	static GetDefaultObject(): DEditorStaticComponentMaskParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorStaticComponentMaskParameterValue;
+	static C(Other: UObject | any): DEditorStaticComponentMaskParameterValue;
 }
 
-declare class PhysicalMaterialFactoryNew extends Factory { 
-	PhysicalMaterialClass: UnrealEngineClass;
-	static Load(ResourceName: string): PhysicalMaterialFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): PhysicalMaterialFactoryNew;
-	static GetDefaultObject(): PhysicalMaterialFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalMaterialFactoryNew;
-	static C(Other: UObject | any): PhysicalMaterialFactoryNew;
+declare class DEditorStaticSwitchParameterValue extends DEditorParameterValue { 
+	ParameterValue: boolean;
+	static Load(ResourceName: string): DEditorStaticSwitchParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorStaticSwitchParameterValue;
+	static GetDefaultObject(): DEditorStaticSwitchParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorStaticSwitchParameterValue;
+	static C(Other: UObject | any): DEditorStaticSwitchParameterValue;
 }
 
-declare type EPhysicsAssetEditorRenderMode = 'Solid' | 'Wireframe' | 'None' | 'EPhysicsAssetEditorRenderMode_MAX';
-declare var EPhysicsAssetEditorRenderMode : { Solid:'Solid',Wireframe:'Wireframe',None:'None',EPhysicsAssetEditorRenderMode_MAX:'EPhysicsAssetEditorRenderMode_MAX', };
-declare type EPhysicsAssetEditorConstraintViewMode = 'None' | 'AllPositions' | 'AllLimits' | 'EPhysicsAssetEditorConstraintViewMode_MAX';
-declare var EPhysicsAssetEditorConstraintViewMode : { None:'None',AllPositions:'AllPositions',AllLimits:'AllLimits',EPhysicsAssetEditorConstraintViewMode_MAX:'EPhysicsAssetEditorConstraintViewMode_MAX', };
-declare class PhysicsAssetEditorOptions extends UObject { 
-	PhysicsBlend: number;
-	bUpdateJointsFromAnimation: boolean;
-	PhysicsUpdateMode: EPhysicsTransformUpdateMode;
-	PokePauseTime: number;
-	PokeBlendTime: number;
-	GravScale: number;
-	MaxFPS: number;
-	HandleLinearDamping: number;
-	HandleLinearStiffness: number;
-	HandleAngularDamping: number;
-	HandleAngularStiffness: number;
-	InterpolationSpeed: number;
-	PokeStrength: number;
-	bShowConstraintsAsPoints: boolean;
-	bRenderOnlySelectedConstraints: boolean;
-	ConstraintDrawSize: number;
-	MeshViewMode: EPhysicsAssetEditorRenderMode;
-	CollisionViewMode: EPhysicsAssetEditorRenderMode;
-	ConstraintViewMode: EPhysicsAssetEditorConstraintViewMode;
-	SimulationMeshViewMode: EPhysicsAssetEditorRenderMode;
-	SimulationCollisionViewMode: EPhysicsAssetEditorRenderMode;
-	SimulationConstraintViewMode: EPhysicsAssetEditorConstraintViewMode;
-	CollisionOpacity: number;
-	bSolidRenderingForSelectedOnly: boolean;
-	bResetClothWhenSimulating: boolean;
-	static Load(ResourceName: string): PhysicsAssetEditorOptions;
-	static Find(Outer: UObject, ResourceName: string): PhysicsAssetEditorOptions;
-	static GetDefaultObject(): PhysicsAssetEditorOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetEditorOptions;
-	static C(Other: UObject | any): PhysicsAssetEditorOptions;
-}
-
-declare class PhysicsAssetFactory extends Factory { 
-	TargetSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): PhysicsAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): PhysicsAssetFactory;
-	static GetDefaultObject(): PhysicsAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetFactory;
-	static C(Other: UObject | any): PhysicsAssetFactory;
+declare class DEditorTextureParameterValue extends DEditorParameterValue { 
+	ParameterValue: Texture;
+	static Load(ResourceName: string): DEditorTextureParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorTextureParameterValue;
+	static GetDefaultObject(): DEditorTextureParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorTextureParameterValue;
+	static C(Other: UObject | any): DEditorTextureParameterValue;
 }
 
-declare type EPhysAssetFitGeomType = 'EFG_Box' | 'EFG_Sphyl' | 'EFG_Sphere' | 'EFG_SingleConvexHull' | 'EFG_MultiConvexHull' | 'EFG_MAX';
-declare var EPhysAssetFitGeomType : { EFG_Box:'EFG_Box',EFG_Sphyl:'EFG_Sphyl',EFG_Sphere:'EFG_Sphere',EFG_SingleConvexHull:'EFG_SingleConvexHull',EFG_MultiConvexHull:'EFG_MultiConvexHull',EFG_MAX:'EFG_MAX', };
-declare type EPhysAssetFitVertWeight = 'EVW_AnyWeight' | 'EVW_DominantWeight' | 'EVW_MAX';
-declare var EPhysAssetFitVertWeight : { EVW_AnyWeight:'EVW_AnyWeight',EVW_DominantWeight:'EVW_DominantWeight',EVW_MAX:'EVW_MAX', };
-declare class PhysAssetCreateParams { 
-	MinBoneSize: number;
-	MinWeldSize: number;
-	GeomType: EPhysAssetFitGeomType;
-	VertWeight: EPhysAssetFitVertWeight;
-	bAutoOrientToBone: boolean;
-	bCreateConstraints: boolean;
-	bWalkPastSmall: boolean;
-	bBodyForAll: boolean;
-	AngularConstraintMode: EAngularConstraintMotion;
-	HullCount: number;
-	MaxHullVerts: number;
-	clone() : PhysAssetCreateParams;
-	static C(Other: UObject | any): PhysAssetCreateParams;
+declare class DEditorVectorParameterValue extends DEditorParameterValue { 
+	ParameterValue: LinearColor;
+	bIsUsedAsChannelMask: boolean;
+	static Load(ResourceName: string): DEditorVectorParameterValue;
+	static Find(Outer: UObject, ResourceName: string): DEditorVectorParameterValue;
+	static GetDefaultObject(): DEditorVectorParameterValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DEditorVectorParameterValue;
+	static C(Other: UObject | any): DEditorVectorParameterValue;
 }
 
-declare class PhysicsAssetGenerationSettings extends UObject { 
-	CreateParams: PhysAssetCreateParams;
-	static Load(ResourceName: string): PhysicsAssetGenerationSettings;
-	static Find(Outer: UObject, ResourceName: string): PhysicsAssetGenerationSettings;
-	static GetDefaultObject(): PhysicsAssetGenerationSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetGenerationSettings;
-	static C(Other: UObject | any): PhysicsAssetGenerationSettings;
+declare class DerivedDataCacheCommandlet extends Commandlet { 
+	static Load(ResourceName: string): DerivedDataCacheCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DerivedDataCacheCommandlet;
+	static GetDefaultObject(): DerivedDataCacheCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DerivedDataCacheCommandlet;
+	static C(Other: UObject | any): DerivedDataCacheCommandlet;
 }
 
-declare class PhysicsAssetThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): PhysicsAssetThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): PhysicsAssetThumbnailRenderer;
-	static GetDefaultObject(): PhysicsAssetThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetThumbnailRenderer;
-	static C(Other: UObject | any): PhysicsAssetThumbnailRenderer;
+declare class DiffAssetRegistriesCommandlet extends Commandlet { 
+	AssetRegistrySearchPath: string[];
+	static Load(ResourceName: string): DiffAssetRegistriesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DiffAssetRegistriesCommandlet;
+	static GetDefaultObject(): DiffAssetRegistriesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffAssetRegistriesCommandlet;
+	static C(Other: UObject | any): DiffAssetRegistriesCommandlet;
 }
 
-declare class PkgInfoCommandlet extends Commandlet { 
-	static Load(ResourceName: string): PkgInfoCommandlet;
-	static Find(Outer: UObject, ResourceName: string): PkgInfoCommandlet;
-	static GetDefaultObject(): PkgInfoCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PkgInfoCommandlet;
-	static C(Other: UObject | any): PkgInfoCommandlet;
+declare class DiffAssetsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): DiffAssetsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DiffAssetsCommandlet;
+	static GetDefaultObject(): DiffAssetsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffAssetsCommandlet;
+	static C(Other: UObject | any): DiffAssetsCommandlet;
 }
 
-declare class PolysExporterOBJ extends Exporter { 
-	static Load(ResourceName: string): PolysExporterOBJ;
-	static Find(Outer: UObject, ResourceName: string): PolysExporterOBJ;
-	static GetDefaultObject(): PolysExporterOBJ;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysExporterOBJ;
-	static C(Other: UObject | any): PolysExporterOBJ;
+declare class DiffFilesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): DiffFilesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DiffFilesCommandlet;
+	static GetDefaultObject(): DiffFilesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffFilesCommandlet;
+	static C(Other: UObject | any): DiffFilesCommandlet;
 }
 
-declare class PolysExporterT3D extends Exporter { 
-	static Load(ResourceName: string): PolysExporterT3D;
-	static Find(Outer: UObject, ResourceName: string): PolysExporterT3D;
-	static GetDefaultObject(): PolysExporterT3D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysExporterT3D;
-	static C(Other: UObject | any): PolysExporterT3D;
+declare class DiffPackagesCommandlet extends Commandlet { 
+	Packages: Package;
+	static Load(ResourceName: string): DiffPackagesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DiffPackagesCommandlet;
+	static GetDefaultObject(): DiffPackagesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DiffPackagesCommandlet;
+	static C(Other: UObject | any): DiffPackagesCommandlet;
 }
 
-declare class PolysFactory extends Factory { 
-	static Load(ResourceName: string): PolysFactory;
-	static Find(Outer: UObject, ResourceName: string): PolysFactory;
-	static GetDefaultObject(): PolysFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysFactory;
-	static C(Other: UObject | any): PolysFactory;
+declare class DumpBlueprintsInfoCommandlet extends Commandlet { 
+	static Load(ResourceName: string): DumpBlueprintsInfoCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DumpBlueprintsInfoCommandlet;
+	static GetDefaultObject(): DumpBlueprintsInfoCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DumpBlueprintsInfoCommandlet;
+	static C(Other: UObject | any): DumpBlueprintsInfoCommandlet;
 }
 
-declare class PopulateDialogueWaveFromCharacterSheetCommandlet extends Commandlet { 
-	static Load(ResourceName: string): PopulateDialogueWaveFromCharacterSheetCommandlet;
-	static Find(Outer: UObject, ResourceName: string): PopulateDialogueWaveFromCharacterSheetCommandlet;
-	static GetDefaultObject(): PopulateDialogueWaveFromCharacterSheetCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PopulateDialogueWaveFromCharacterSheetCommandlet;
-	static C(Other: UObject | any): PopulateDialogueWaveFromCharacterSheetCommandlet;
+declare class DumpHiddenCategoriesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): DumpHiddenCategoriesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): DumpHiddenCategoriesCommandlet;
+	static GetDefaultObject(): DumpHiddenCategoriesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DumpHiddenCategoriesCommandlet;
+	static C(Other: UObject | any): DumpHiddenCategoriesCommandlet;
 }
 
-declare class PoseAssetFactory extends Factory { 
-	TargetSkeleton: Skeleton;
-	SourceAnimation: AnimSequence;
-	PreviewSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): PoseAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): PoseAssetFactory;
-	static GetDefaultObject(): PoseAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PoseAssetFactory;
-	static C(Other: UObject | any): PoseAssetFactory;
+declare type ECommentBoxMode = 'GroupMovement' | 'NoGroupMovement' | 'ECommentBoxMode_MAX';
+declare var ECommentBoxMode : { GroupMovement:'GroupMovement',NoGroupMovement:'NoGroupMovement',ECommentBoxMode_MAX:'ECommentBoxMode_MAX', };
+declare class EdGraphNode_Comment extends EdGraphNode { 
+	CommentColor: LinearColor;
+	FontSize: number;
+	bCommentBubbleVisible_InDetailsPanel: boolean;
+	bColorCommentBubble: boolean;
+	MoveMode: ECommentBoxMode;
+	CommentDepth: number;
+	static Load(ResourceName: string): EdGraphNode_Comment;
+	static Find(Outer: UObject, ResourceName: string): EdGraphNode_Comment;
+	static GetDefaultObject(): EdGraphNode_Comment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphNode_Comment;
+	static C(Other: UObject | any): EdGraphNode_Comment;
 }
 
-declare class PreviewMaterial extends Material { 
-	static Load(ResourceName: string): PreviewMaterial;
-	static Find(Outer: UObject, ResourceName: string): PreviewMaterial;
-	static GetDefaultObject(): PreviewMaterial;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMaterial;
-	static C(Other: UObject | any): PreviewMaterial;
+declare class EditorActorFolders extends UObject { 
+	static Load(ResourceName: string): EditorActorFolders;
+	static Find(Outer: UObject, ResourceName: string): EditorActorFolders;
+	static GetDefaultObject(): EditorActorFolders;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorActorFolders;
+	static C(Other: UObject | any): EditorActorFolders;
 }
 
-declare class PreviewMeshCollectionFactory extends Factory { 
-	CurrentSkeleton: any;
-	static Load(ResourceName: string): PreviewMeshCollectionFactory;
-	static Find(Outer: UObject, ResourceName: string): PreviewMeshCollectionFactory;
-	static GetDefaultObject(): PreviewMeshCollectionFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMeshCollectionFactory;
-	static C(Other: UObject | any): PreviewMeshCollectionFactory;
+declare class EditorAnimBaseObj extends UObject { 
+	static Load(ResourceName: string): EditorAnimBaseObj;
+	static Find(Outer: UObject, ResourceName: string): EditorAnimBaseObj;
+	static GetDefaultObject(): EditorAnimBaseObj;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimBaseObj;
+	static C(Other: UObject | any): EditorAnimBaseObj;
 }
 
-declare type EProjectPackagingBuild = 'Always' | 'Never' | 'IfProjectHasCode' | 'IfEditorWasBuiltLocally' | 'EProjectPackagingBuild_MAX';
-declare var EProjectPackagingBuild : { Always:'Always',Never:'Never',IfProjectHasCode:'IfProjectHasCode',IfEditorWasBuiltLocally:'IfEditorWasBuiltLocally',EProjectPackagingBuild_MAX:'EProjectPackagingBuild_MAX', };
-declare type EProjectPackagingBuildConfigurations = 'PPBC_DebugGame' | 'PPBC_DebugGameClient' | 'PPBC_Development' | 'PPBC_DevelopmentClient' | 'PPBC_Shipping' | 'PPBC_ShippingClient' | 'PPBC_MAX';
-declare var EProjectPackagingBuildConfigurations : { PPBC_DebugGame:'PPBC_DebugGame',PPBC_DebugGameClient:'PPBC_DebugGameClient',PPBC_Development:'PPBC_Development',PPBC_DevelopmentClient:'PPBC_DevelopmentClient',PPBC_Shipping:'PPBC_Shipping',PPBC_ShippingClient:'PPBC_ShippingClient',PPBC_MAX:'PPBC_MAX', };
-declare type EProjectPackagingBlueprintNativizationMethod = 'Disabled' | 'Inclusive' | 'Exclusive' | 'EProjectPackagingBlueprintNativizationMethod_MAX';
-declare var EProjectPackagingBlueprintNativizationMethod : { Disabled:'Disabled',Inclusive:'Inclusive',Exclusive:'Exclusive',EProjectPackagingBlueprintNativizationMethod_MAX:'EProjectPackagingBlueprintNativizationMethod_MAX', };
-declare type EProjectPackagingInternationalizationPresets = 'English' | 'EFIGS' | 'EFIGSCJK' | 'CJK' | 'All' | 'EProjectPackagingInternationalizationPresets_MAX';
-declare var EProjectPackagingInternationalizationPresets : { English:'English',EFIGS:'EFIGS',EFIGSCJK:'EFIGSCJK',CJK:'CJK',All:'All',EProjectPackagingInternationalizationPresets_MAX:'EProjectPackagingInternationalizationPresets_MAX', };
-declare class ProjectPackagingSettings extends UObject { 
-	Build: EProjectPackagingBuild;
-	BuildConfiguration: EProjectPackagingBuildConfigurations;
-	StagingDirectory: DirectoryPath;
-	FullRebuild: boolean;
-	ForDistribution: boolean;
-	IncludeDebugFiles: boolean;
-	BlueprintNativizationMethod: EProjectPackagingBlueprintNativizationMethod;
-	NativizeBlueprintAssets: FilePath[];
-	bIncludeNativizedAssetsInProjectGeneration: boolean;
-	UsePakFile: boolean;
-	bGenerateChunks: boolean;
-	bGenerateNoChunks: boolean;
-	bChunkHardReferencesOnly: boolean;
-	bBuildHttpChunkInstallData: boolean;
-	HttpChunkInstallDataDirectory: DirectoryPath;
-	HttpChunkInstallDataVersion: string;
-	IncludePrerequisites: boolean;
-	IncludeAppLocalPrerequisites: boolean;
-	bShareMaterialShaderCode: boolean;
-	bSharedMaterialNativeLibraries: boolean;
-	ApplocalPrerequisitesDirectory: DirectoryPath;
-	IncludeCrashReporter: boolean;
-	InternationalizationPreset: EProjectPackagingInternationalizationPresets;
-	CulturesToStage: string[];
-	bCookAll: boolean;
-	bCookMapsOnly: boolean;
-	bCompressed: boolean;
-	bEncryptIniFiles: boolean;
-	bEncryptPakIndex: boolean;
-	bSkipEditorContent: boolean;
-	MapsToCook: FilePath[];
-	DirectoriesToAlwaysCook: DirectoryPath[];
-	DirectoriesToNeverCook: DirectoryPath[];
-	DirectoriesToAlwaysStageAsUFS: DirectoryPath[];
-	DirectoriesToAlwaysStageAsNonUFS: DirectoryPath[];
-	DirectoriesToAlwaysStageAsUFSServer: DirectoryPath[];
-	DirectoriesToAlwaysStageAsNonUFSServer: DirectoryPath[];
-	bNativizeBlueprintAssets: boolean;
-	bNativizeOnlySelectedBlueprints: boolean;
-	static Load(ResourceName: string): ProjectPackagingSettings;
-	static Find(Outer: UObject, ResourceName: string): ProjectPackagingSettings;
-	static GetDefaultObject(): ProjectPackagingSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProjectPackagingSettings;
-	static C(Other: UObject | any): ProjectPackagingSettings;
+declare class EditorAnimCompositeSegment extends EditorAnimBaseObj { 
+	AnimSegment: AnimSegment;
+	static Load(ResourceName: string): EditorAnimCompositeSegment;
+	static Find(Outer: UObject, ResourceName: string): EditorAnimCompositeSegment;
+	static GetDefaultObject(): EditorAnimCompositeSegment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimCompositeSegment;
+	static C(Other: UObject | any): EditorAnimCompositeSegment;
 }
 
-declare type PropertEditorTestEnum = 'PropertyEditorTest_Enum1' | 'PropertyEditorTest_Enum2' | 'PropertyEditorTest_Enum3' | 'PropertyEditorTest_Enum4' | 'PropertyEditorTest_Enum5' | 'PropertyEditorTest_Enum6' | 'PropertyEditorTest_MAX';
-declare var PropertEditorTestEnum : { PropertyEditorTest_Enum1:'PropertyEditorTest_Enum1',PropertyEditorTest_Enum2:'PropertyEditorTest_Enum2',PropertyEditorTest_Enum3:'PropertyEditorTest_Enum3',PropertyEditorTest_Enum4:'PropertyEditorTest_Enum4',PropertyEditorTest_Enum5:'PropertyEditorTest_Enum5',PropertyEditorTest_Enum6:'PropertyEditorTest_Enum6',PropertyEditorTest_MAX:'PropertyEditorTest_MAX', };
-declare class PropertyEditorTestSubStruct { 
-	FirstProperty: number;
-	SecondProperty: number;
-	CustomizedStructInsideUncustomizedStruct: LinearColor;
-	CustomizedStructInsideUncustomizedStruct2: SoftObjectPath;
-	clone() : PropertyEditorTestSubStruct;
-	static C(Other: UObject | any): PropertyEditorTestSubStruct;
-}
-
-declare class PropertyEditorTestBasicStruct { 
-	IntPropertyInsideAStruct: number;
-	FloatPropertyInsideAStruct: number;
-	ObjectPropertyInsideAStruct: UObject;
-	InnerStruct: PropertyEditorTestSubStruct;
-	clone() : PropertyEditorTestBasicStruct;
-	static C(Other: UObject | any): PropertyEditorTestBasicStruct;
+declare class EditorAnimCurveBoneLinks extends UObject { 
+	CurveName: SmartName;
+	ConnectedBones: BoneReference[];
+	MaxLOD: number;
+	static Load(ResourceName: string): EditorAnimCurveBoneLinks;
+	static Find(Outer: UObject, ResourceName: string): EditorAnimCurveBoneLinks;
+	static GetDefaultObject(): EditorAnimCurveBoneLinks;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimCurveBoneLinks;
+	static C(Other: UObject | any): EditorAnimCurveBoneLinks;
 }
 
-declare class PropertyEditorTestObject extends UObject { 
-	Int8Property: any;
-	Int16roperty: any;
-	Int32Property: number;
-	Int64Property: any;
-	ByteProperty: number;
-	UnsignedInt16Property: any;
-	UnsignedInt32Property: any;
-	UnsignedInt64Property: any;
-	FloatProperty: number;
-	DoubleProperty: any;
-	NameProperty: string;
-	BoolProperty: boolean;
-	StringProperty: string;
-	TextProperty: string;
-	IntPointProperty: IntPoint;
-	Vector3Property: Vector;
-	Vector2Property: Vector2D;
-	Vector4Property: Vector4;
-	RotatorProperty: Rotator;
-	ObjectProperty: UObject;
-	ClassProperty: UnrealEngineClass;
-	LinearColorProperty: LinearColor;
-	ColorProperty: Color;
-	EnumProperty: PropertEditorTestEnum;
-	MatrixProperty: Matrix;
-	TransformProperty: Transform;
-	IntProperty32Array: number[];
-	BytePropertyArray: number[];
-	FloatPropertyArray: number[];
-	NamePropertyArray: string[];
-	BoolPropertyArray: boolean[];
-	StringPropertyArray: string[];
-	TextPropertyArray: string[];
-	Vector3PropertyArray: Vector[];
-	Vector2PropertyArray: Vector2D[];
-	Vector4PropertyArray: Vector4[];
-	RotatorPropertyArray: Rotator[];
-	ObjectPropertyArray: UObject[];
-	ActorPropertyArray: Actor[];
-	LinearColorPropertyArray: LinearColor[];
-	ColorPropertyArray: Color[];
-	EnumPropertyArray: PropertEditorTestEnum[];
-	StructPropertyArray: PropertyEditorTestBasicStruct[];
-	FixedArrayOfInts: number[];
-	StaticArrayOfInts: number;
-	StaticArrayOfIntsWithEnumLabels: number;
-	FloatPropertyWithClampedRange: number;
-	IntPropertyWithClampedRange: number;
-	IntThatCannotBeChanged: number;
-	StringThatCannotBeChanged: string;
-	ObjectThatCannotBeChanged: PrimitiveComponent;
-	StringPasswordProperty: string;
-	TextPasswordProperty: string;
-	ThisIsBrokenIfItsVisibleInADetailsView: PropertyEditorTestBasicStruct;
-	StructWithMultipleInstances1: PropertyEditorTestBasicStruct;
-	bEditConditionStructWithMultipleInstances2: boolean;
-	StructWithMultipleInstances2: PropertyEditorTestBasicStruct;
-	AssetReferenceCustomStruct: SoftObjectPath;
-	AssetReferenceCustomStructWithThumbnail: SoftObjectPath;
-	bEditCondition: boolean;
-	SimplePropertyWithEditCondition: number;
-	bEditConditionAssetReferenceCustomStructWithEditCondition: boolean;
-	AssetReferenceCustomStructWithEditCondition: SoftObjectPath;
-	ArrayOfStructs: PropertyEditorTestBasicStruct[];
-	EditInlineNewStaticMeshComponent: StaticMeshComponent;
-	ArrayOfEditInlineNewSMCs: StaticMeshComponent[];
-	TextureProp: Texture;
-	StaticMeshProp: StaticMesh;
-	AnyMaterialInterface: MaterialInterface;
-	OnlyActorsAllowed: Actor;
-	Int32Set: any;
-	FloatSet: any;
-	StringSet: any;
-	ObjectSet: any;
-	ActorSet: any;
-	EditColorSet: any;
-	NameSet: any;
-	Int32ToStringMap: any;
-	StringToColorMap: any;
-	Int32ToStructMap: any;
-	StringToFloatMap: any;
-	StringToObjectMap: any;
-	StringToActorMap: any;
-	ObjectToInt32Map: any;
-	ObjectToColorMap: any;
-	IntToEnumMap: any;
-	NameToNameMap: any;
-	LinearColorSet: any;
-	VectorSet: any;
-	LinearColorToStringMap: any;
-	VectorToFloatMap: any;
-	LinearColorToVectorMap: any;
-	BlendableInterface: any;
-	AnimClassInterface: any;
-	LightPropagationVolumeBlendable: any;
-	TextureOrBlendableInterface: UObject;
-	static Load(ResourceName: string): PropertyEditorTestObject;
-	static Find(Outer: UObject, ResourceName: string): PropertyEditorTestObject;
-	static GetDefaultObject(): PropertyEditorTestObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyEditorTestObject;
-	static C(Other: UObject | any): PropertyEditorTestObject;
+declare class EditorAnimSegment extends EditorAnimBaseObj { 
+	AnimSegment: AnimSegment;
+	static Load(ResourceName: string): EditorAnimSegment;
+	static Find(Outer: UObject, ResourceName: string): EditorAnimSegment;
+	static GetDefaultObject(): EditorAnimSegment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAnimSegment;
+	static C(Other: UObject | any): EditorAnimSegment;
 }
 
-declare class ReimportCurveFactory extends CSVImportFactory { 
-	static Load(ResourceName: string): ReimportCurveFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportCurveFactory;
-	static GetDefaultObject(): ReimportCurveFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportCurveFactory;
-	static C(Other: UObject | any): ReimportCurveFactory;
+declare class EditorCompositeSection extends EditorAnimBaseObj { 
+	CompositeSection: CompositeSection;
+	static Load(ResourceName: string): EditorCompositeSection;
+	static Find(Outer: UObject, ResourceName: string): EditorCompositeSection;
+	static GetDefaultObject(): EditorCompositeSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorCompositeSection;
+	static C(Other: UObject | any): EditorCompositeSection;
 }
 
-declare class ReimportCurveTableFactory extends CSVImportFactory { 
-	static Load(ResourceName: string): ReimportCurveTableFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportCurveTableFactory;
-	static GetDefaultObject(): ReimportCurveTableFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportCurveTableFactory;
-	static C(Other: UObject | any): ReimportCurveTableFactory;
+declare type EWindowMode = 'Fullscreen' | 'WindowedFullscreen' | 'Windowed' | 'EWindowMode_MAX';
+declare var EWindowMode : { Fullscreen:'Fullscreen',WindowedFullscreen:'WindowedFullscreen',Windowed:'Windowed',EWindowMode_MAX:'EWindowMode_MAX', };
+declare class GameUserSettings extends UObject { 
+	bUseVSync: boolean;
+	bUseDynamicResolution: boolean;
+	ResolutionSizeX: any;
+	ResolutionSizeY: any;
+	LastUserConfirmedResolutionSizeX: any;
+	LastUserConfirmedResolutionSizeY: any;
+	WindowPosX: number;
+	WindowPosY: number;
+	FullscreenMode: number;
+	LastConfirmedFullscreenMode: number;
+	PreferredFullscreenMode: number;
+	Version: any;
+	AudioQualityLevel: number;
+	LastConfirmedAudioQualityLevel: number;
+	FrameRateLimit: number;
+	DesiredScreenWidth: number;
+	bUseDesiredScreenHeight: boolean;
+	DesiredScreenHeight: number;
+	LastUserConfirmedDesiredScreenWidth: number;
+	LastUserConfirmedDesiredScreenHeight: number;
+	LastRecommendedScreenWidth: number;
+	LastRecommendedScreenHeight: number;
+	LastCPUBenchmarkResult: number;
+	LastGPUBenchmarkResult: number;
+	LastCPUBenchmarkSteps: number[];
+	LastGPUBenchmarkSteps: number[];
+	LastGPUBenchmarkMultiplier: number;
+	bUseHDRDisplayOutput: boolean;
+	HDRDisplayOutputNits: number;
+	OnGameUserSettingsUINeedsUpdate: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): GameUserSettings;
+	static Find(Outer: UObject, ResourceName: string): GameUserSettings;
+	static GetDefaultObject(): GameUserSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameUserSettings;
+	ValidateSettings(): void;
+	SupportsHDRDisplayOutput(): boolean;
+	SetVSyncEnabled(bEnable: boolean): void;
+	SetVisualEffectQuality(Value: number): void;
+	SetViewDistanceQuality(Value: number): void;
+	SetToDefaults(): void;
+	SetTextureQuality(Value: number): void;
+	SetShadowQuality(Value: number): void;
+	SetScreenResolution(Resolution: IntPoint): void;
+	SetResolutionScaleValueEx(NewScaleValue: number): void;
+	SetResolutionScaleValue(NewScaleValue: number): void;
+	SetResolutionScaleNormalized(NewScaleNormalized: number): void;
+	SetPostProcessingQuality(Value: number): void;
+	SetOverallScalabilityLevel(Value: number): void;
+	SetFullscreenMode(InFullscreenMode: EWindowMode): void;
+	SetFrameRateLimit(NewLimit: number): void;
+	SetFoliageQuality(Value: number): void;
+	SetDynamicResolutionEnabled(bEnable: boolean): void;
+	SetBenchmarkFallbackValues(): void;
+	SetAudioQualityLevel(QualityLevel: number): void;
+	SetAntiAliasingQuality(Value: number): void;
+	SaveSettings(): void;
+	RunHardwareBenchmark(WorkScale: number,CPUMultiplier: number,GPUMultiplier: number): void;
+	RevertVideoMode(): void;
+	ResetToCurrentSettings(): void;
+	LoadSettings(bForceReload: boolean): void;
+	IsVSyncEnabled(): boolean;
+	IsVSyncDirty(): boolean;
+	IsScreenResolutionDirty(): boolean;
+	IsHDREnabled(): boolean;
+	IsFullscreenModeDirty(): boolean;
+	IsDynamicResolutionEnabled(): boolean;
+	IsDynamicResolutionDirty(): boolean;
+	IsDirty(): boolean;
+	GetVisualEffectQuality(): number;
+	GetViewDistanceQuality(): number;
+	GetTextureQuality(): number;
+	static GetSyncInterval(): number;
+	GetShadowQuality(): number;
+	GetScreenResolution(): IntPoint;
+	GetResolutionScaleInformationEx(CurrentScaleNormalized?: number,CurrentScaleValue?: number,MinScaleValue?: number,MaxScaleValue?: number): {CurrentScaleNormalized: number, CurrentScaleValue: number, MinScaleValue: number, MaxScaleValue: number};
+	GetResolutionScaleInformation(CurrentScaleNormalized?: number,CurrentScaleValue?: number,MinScaleValue?: number,MaxScaleValue?: number): {CurrentScaleNormalized: number, CurrentScaleValue: number, MinScaleValue: number, MaxScaleValue: number};
+	GetRecommendedResolutionScale(): number;
+	GetPreferredFullscreenMode(): EWindowMode;
+	GetPostProcessingQuality(): number;
+	GetOverallScalabilityLevel(): number;
+	GetLastConfirmedScreenResolution(): IntPoint;
+	GetLastConfirmedFullscreenMode(): EWindowMode;
+	static GetGameUserSettings(): GameUserSettings;
+	GetFullscreenMode(): EWindowMode;
+	GetFrameRateLimit(): number;
+	GetFoliageQuality(): number;
+	GetDesktopResolution(): IntPoint;
+	static GetDefaultWindowPosition(): IntPoint;
+	static GetDefaultWindowMode(): EWindowMode;
+	GetDefaultResolutionScale(): number;
+	static GetDefaultResolution(): IntPoint;
+	GetCurrentHDRDisplayNits(): number;
+	GetAudioQualityLevel(): number;
+	GetAntiAliasingQuality(): number;
+	EnableHDRDisplayOutput(bEnable: boolean,DisplayNits: number): void;
+	ConfirmVideoMode(): void;
+	ApplySettings(bCheckForCommandLineOverrides: boolean): void;
+	ApplyResolutionSettings(bCheckForCommandLineOverrides: boolean): void;
+	ApplyNonResolutionSettings(): void;
+	ApplyHardwareBenchmarkResults(): void;
+	static C(Other: UObject | any): GameUserSettings;
 }
 
-declare class ReimportDataTableFactory extends CSVImportFactory { 
-	static Load(ResourceName: string): ReimportDataTableFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportDataTableFactory;
-	static GetDefaultObject(): ReimportDataTableFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportDataTableFactory;
-	static C(Other: UObject | any): ReimportDataTableFactory;
-}
-
-declare class ReimportFbxAnimSequenceFactory extends FbxFactory { 
-	static Load(ResourceName: string): ReimportFbxAnimSequenceFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportFbxAnimSequenceFactory;
-	static GetDefaultObject(): ReimportFbxAnimSequenceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxAnimSequenceFactory;
-	static C(Other: UObject | any): ReimportFbxAnimSequenceFactory;
-}
-
-declare class ReimportFbxSceneFactory extends FbxSceneImportFactory { 
-	static Load(ResourceName: string): ReimportFbxSceneFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportFbxSceneFactory;
-	static GetDefaultObject(): ReimportFbxSceneFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxSceneFactory;
-	static C(Other: UObject | any): ReimportFbxSceneFactory;
-}
-
-declare class ReimportFbxSkeletalMeshFactory extends FbxFactory { 
-	static Load(ResourceName: string): ReimportFbxSkeletalMeshFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportFbxSkeletalMeshFactory;
-	static GetDefaultObject(): ReimportFbxSkeletalMeshFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxSkeletalMeshFactory;
-	static C(Other: UObject | any): ReimportFbxSkeletalMeshFactory;
-}
-
-declare class ReimportFbxStaticMeshFactory extends FbxFactory { 
-	static Load(ResourceName: string): ReimportFbxStaticMeshFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportFbxStaticMeshFactory;
-	static GetDefaultObject(): ReimportFbxStaticMeshFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxStaticMeshFactory;
-	static C(Other: UObject | any): ReimportFbxStaticMeshFactory;
-}
-
-declare class TextureFactory extends Factory { 
-	NoCompression: boolean;
-	NoAlpha: boolean;
-	bDeferCompression: boolean;
-	CompressionSettings: TextureCompressionSettings;
-	bCreateMaterial: boolean;
-	bRGBToBaseColor: boolean;
-	bRGBToEmissive: boolean;
-	bAlphaToRoughness: boolean;
-	bAlphaToEmissive: boolean;
-	bAlphaToOpacity: boolean;
-	bAlphaToOpacityMask: boolean;
-	bTwoSided: boolean;
-	Blending: EBlendMode;
-	ShadingModel: EMaterialShadingModel;
-	MipGenSettings: TextureMipGenSettings;
-	LODGroup: TextureGroup;
-	bDitherMipMapAlpha: boolean;
-	AlphaCoverageThresholds: Vector4;
-	bPreserveBorder: boolean;
-	bFlipNormalMapGreenChannel: boolean;
-	bUsingExistingSettings: boolean;
-	static Load(ResourceName: string): TextureFactory;
-	static Find(Outer: UObject, ResourceName: string): TextureFactory;
-	static GetDefaultObject(): TextureFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureFactory;
-	static C(Other: UObject | any): TextureFactory;
-}
-
-declare class ReimportTextureFactory extends TextureFactory { 
-	pOriginalTex: Texture;
-	static Load(ResourceName: string): ReimportTextureFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportTextureFactory;
-	static GetDefaultObject(): ReimportTextureFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportTextureFactory;
-	static C(Other: UObject | any): ReimportTextureFactory;
-}
-
-declare class VectorFieldStaticFactory extends Factory { 
-	static Load(ResourceName: string): VectorFieldStaticFactory;
-	static Find(Outer: UObject, ResourceName: string): VectorFieldStaticFactory;
-	static GetDefaultObject(): VectorFieldStaticFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldStaticFactory;
-	static C(Other: UObject | any): VectorFieldStaticFactory;
-}
-
-declare class ReimportVectorFieldStaticFactory extends VectorFieldStaticFactory { 
-	static Load(ResourceName: string): ReimportVectorFieldStaticFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportVectorFieldStaticFactory;
-	static GetDefaultObject(): ReimportVectorFieldStaticFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportVectorFieldStaticFactory;
-	static C(Other: UObject | any): ReimportVectorFieldStaticFactory;
-}
-
-declare class RenderTargetExporterHDR extends Exporter { 
-	static Load(ResourceName: string): RenderTargetExporterHDR;
-	static Find(Outer: UObject, ResourceName: string): RenderTargetExporterHDR;
-	static GetDefaultObject(): RenderTargetExporterHDR;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RenderTargetExporterHDR;
-	static C(Other: UObject | any): RenderTargetExporterHDR;
-}
-
-declare class ReplaceActorCommandlet extends Commandlet { 
-	static Load(ResourceName: string): ReplaceActorCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ReplaceActorCommandlet;
-	static GetDefaultObject(): ReplaceActorCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplaceActorCommandlet;
-	static C(Other: UObject | any): ReplaceActorCommandlet;
+declare class AssetManager extends UObject { 
+	ObjectReferenceList: UObject[];
+	bIsGlobalAsyncScanEnvironment: boolean;
+	bShouldGuessTypeAndName: boolean;
+	bShouldUseSynchronousLoad: boolean;
+	bIsLoadingFromPakFiles: boolean;
+	bShouldAcquireMissingChunksOnLoad: boolean;
+	bOnlyCookProductionAssets: boolean;
+	bIsBulkScanning: boolean;
+	bIsPrimaryAssetDirectoryCurrent: boolean;
+	bIsManagementDatabaseCurrent: boolean;
+	bUpdateManagementDatabaseAfterScan: boolean;
+	bIncludeOnlyOnDiskAssets: boolean;
+	NumberOfSpawnedNotifications: number;
+	static Load(ResourceName: string): AssetManager;
+	static Find(Outer: UObject, ResourceName: string): AssetManager;
+	static GetDefaultObject(): AssetManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetManager;
+	static C(Other: UObject | any): AssetManager;
 }
 
-declare class ReplaceAssetsCommandlet extends Commandlet { 
-	static Load(ResourceName: string): ReplaceAssetsCommandlet;
-	static Find(Outer: UObject, ResourceName: string): ReplaceAssetsCommandlet;
-	static GetDefaultObject(): ReplaceAssetsCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplaceAssetsCommandlet;
-	static C(Other: UObject | any): ReplaceAssetsCommandlet;
+declare class StatColorMapEntry { 
+	In: number;
+	Out: Color;
+	clone() : StatColorMapEntry;
+	static C(Other: UObject | any): StatColorMapEntry;
 }
 
-declare class SceneThumbnailInfo extends ThumbnailInfo { 
-	OrbitPitch: number;
-	OrbitYaw: number;
-	OrbitZoom: number;
-	static Load(ResourceName: string): SceneThumbnailInfo;
-	static Find(Outer: UObject, ResourceName: string): SceneThumbnailInfo;
-	static GetDefaultObject(): SceneThumbnailInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneThumbnailInfo;
-	static C(Other: UObject | any): SceneThumbnailInfo;
+declare class StatColorMapping { 
+	StatName: string;
+	ColorMap: StatColorMapEntry[];
+	DisableBlend: boolean;
+	clone() : StatColorMapping;
+	static C(Other: UObject | any): StatColorMapping;
 }
 
-declare type EThumbnailPrimType = 'TPT_None' | 'TPT_Sphere' | 'TPT_Cube' | 'TPT_Plane' | 'TPT_Cylinder' | 'TPT_MAX';
-declare var EThumbnailPrimType : { TPT_None:'TPT_None',TPT_Sphere:'TPT_Sphere',TPT_Cube:'TPT_Cube',TPT_Plane:'TPT_Plane',TPT_Cylinder:'TPT_Cylinder',TPT_MAX:'TPT_MAX', };
-declare class SceneThumbnailInfoWithPrimitive extends SceneThumbnailInfo { 
-	PrimitiveType: EThumbnailPrimType;
-	PreviewMesh: SoftObjectPath;
-	bUserModifiedShape: boolean;
-	static Load(ResourceName: string): SceneThumbnailInfoWithPrimitive;
-	static Find(Outer: UObject, ResourceName: string): SceneThumbnailInfoWithPrimitive;
-	static GetDefaultObject(): SceneThumbnailInfoWithPrimitive;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneThumbnailInfoWithPrimitive;
-	static C(Other: UObject | any): SceneThumbnailInfoWithPrimitive;
+declare class GameNameRedirect { 
+	OldGameName: string;
+	NewGameName: string;
+	clone() : GameNameRedirect;
+	static C(Other: UObject | any): GameNameRedirect;
 }
 
-declare class SequenceExporterT3D extends Exporter { 
-	static Load(ResourceName: string): SequenceExporterT3D;
-	static Find(Outer: UObject, ResourceName: string): SequenceExporterT3D;
-	static GetDefaultObject(): SequenceExporterT3D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequenceExporterT3D;
-	static C(Other: UObject | any): SequenceExporterT3D;
+declare class ClassRedirect { 
+	ObjectName: string;
+	OldClassName: string;
+	NewClassName: string;
+	OldSubobjName: string;
+	NewSubobjName: string;
+	NewClassClass: string;
+	NewClassPackage: string;
+	InstanceOnly: boolean;
+	clone() : ClassRedirect;
+	static C(Other: UObject | any): ClassRedirect;
 }
 
-declare type ESheetAxis = 'AX_Horizontal' | 'AX_XAxis' | 'AX_YAxis' | 'AX_MAX';
-declare var ESheetAxis : { AX_Horizontal:'AX_Horizontal',AX_XAxis:'AX_XAxis',AX_YAxis:'AX_YAxis',AX_MAX:'AX_MAX', };
-declare class SheetBuilder extends EditorBrushBuilder { 
-	X: number;
-	Y: number;
-	XSegments: number;
-	YSegments: number;
-	Axis: ESheetAxis;
-	GroupName: string;
-	static Load(ResourceName: string): SheetBuilder;
-	static Find(Outer: UObject, ResourceName: string): SheetBuilder;
-	static GetDefaultObject(): SheetBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SheetBuilder;
-	static C(Other: UObject | any): SheetBuilder;
+declare class PluginRedirect { 
+	OldPluginName: string;
+	NewPluginName: string;
+	clone() : PluginRedirect;
+	static C(Other: UObject | any): PluginRedirect;
 }
 
-declare class SkeletalMeshEditorSettings extends UObject { 
-	AnimPreviewFloorColor: Color;
-	AnimPreviewSkyColor: Color;
-	AnimPreviewSkyBrightness: number;
-	AnimPreviewLightBrightness: number;
-	AnimPreviewLightingDirection: Rotator;
-	AnimPreviewDirectionalColor: Color;
-	static Load(ResourceName: string): SkeletalMeshEditorSettings;
-	static Find(Outer: UObject, ResourceName: string): SkeletalMeshEditorSettings;
-	static GetDefaultObject(): SkeletalMeshEditorSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshEditorSettings;
-	static C(Other: UObject | any): SkeletalMeshEditorSettings;
+declare class StructRedirect { 
+	OldStructName: string;
+	NewStructName: string;
+	clone() : StructRedirect;
+	static C(Other: UObject | any): StructRedirect;
 }
 
-declare class SkeletalMeshExporterFBX extends Exporter { 
-	static Load(ResourceName: string): SkeletalMeshExporterFBX;
-	static Find(Outer: UObject, ResourceName: string): SkeletalMeshExporterFBX;
-	static GetDefaultObject(): SkeletalMeshExporterFBX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshExporterFBX;
-	static C(Other: UObject | any): SkeletalMeshExporterFBX;
+declare type ETimecodeProviderSynchronizationState = 'Closed' | 'Error' | 'Synchronized' | 'Synchronizing' | 'ETimecodeProviderSynchronizationState_MAX';
+declare var ETimecodeProviderSynchronizationState : { Closed:'Closed',Error:'Error',Synchronized:'Synchronized',Synchronizing:'Synchronizing',ETimecodeProviderSynchronizationState_MAX:'ETimecodeProviderSynchronizationState_MAX', };
+declare class TimecodeProvider extends UObject { 
+	static Load(ResourceName: string): TimecodeProvider;
+	static Find(Outer: UObject, ResourceName: string): TimecodeProvider;
+	static GetDefaultObject(): TimecodeProvider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimecodeProvider;
+	GetTimecode(): Timecode;
+	GetSynchronizationState(): ETimecodeProviderSynchronizationState;
+	GetFrameRate(): FrameRate;
+	static C(Other: UObject | any): TimecodeProvider;
 }
 
-declare class SkeletalMeshThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): SkeletalMeshThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): SkeletalMeshThumbnailRenderer;
-	static GetDefaultObject(): SkeletalMeshThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshThumbnailRenderer;
-	static C(Other: UObject | any): SkeletalMeshThumbnailRenderer;
+declare type ETransitionType = 'TT_None' | 'TT_Paused' | 'TT_Loading' | 'TT_Saving' | 'TT_Connecting' | 'TT_Precaching' | 'TT_WaitingToConnect' | 'TT_MAX';
+declare var ETransitionType : { TT_None:'TT_None',TT_Paused:'TT_Paused',TT_Loading:'TT_Loading',TT_Saving:'TT_Saving',TT_Connecting:'TT_Connecting',TT_Precaching:'TT_Precaching',TT_WaitingToConnect:'TT_WaitingToConnect',TT_MAX:'TT_MAX', };
+declare class DropNoteInfo { 
+	Location: Vector;
+	Rotation: Rotator;
+	Comment: string;
+	clone() : DropNoteInfo;
+	static C(Other: UObject | any): DropNoteInfo;
 }
 
-declare class SkeletonFactory extends Factory { 
-	TargetSkeletalMesh: SkeletalMesh;
-	static Load(ResourceName: string): SkeletonFactory;
-	static Find(Outer: UObject, ResourceName: string): SkeletonFactory;
-	static GetDefaultObject(): SkeletonFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletonFactory;
-	static C(Other: UObject | any): SkeletonFactory;
+declare class NetDriverDefinition { 
+	DefName: string;
+	DriverClassName: string;
+	DriverClassNameFallback: string;
+	clone() : NetDriverDefinition;
+	static C(Other: UObject | any): NetDriverDefinition;
 }
 
-declare class SlateBrushAssetFactory extends Factory { 
-	InitialTexture: Texture2D;
-	static Load(ResourceName: string): SlateBrushAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): SlateBrushAssetFactory;
-	static GetDefaultObject(): SlateBrushAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBrushAssetFactory;
-	static C(Other: UObject | any): SlateBrushAssetFactory;
-}
-
-declare class SlateBrushThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): SlateBrushThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): SlateBrushThumbnailRenderer;
-	static GetDefaultObject(): SlateBrushThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBrushThumbnailRenderer;
-	static C(Other: UObject | any): SlateBrushThumbnailRenderer;
+declare class Engine extends UObject { 
+	TinyFont: Font;
+	TinyFontName: SoftObjectPath;
+	SmallFont: Font;
+	SmallFontName: SoftObjectPath;
+	MediumFont: Font;
+	MediumFontName: SoftObjectPath;
+	LargeFont: Font;
+	LargeFontName: SoftObjectPath;
+	SubtitleFont: Font;
+	SubtitleFontName: SoftObjectPath;
+	AdditionalFonts: Font[];
+	AdditionalFontNames: string[];
+	ConsoleClass: UnrealEngineClass;
+	ConsoleClassName: SoftClassPath;
+	GameViewportClientClass: UnrealEngineClass;
+	GameViewportClientClassName: SoftClassPath;
+	LocalPlayerClass: UnrealEngineClass;
+	LocalPlayerClassName: SoftClassPath;
+	WorldSettingsClass: UnrealEngineClass;
+	WorldSettingsClassName: SoftClassPath;
+	NavigationSystemClassName: SoftClassPath;
+	NavigationSystemClass: UnrealEngineClass;
+	NavigationSystemConfigClassName: SoftClassPath;
+	NavigationSystemConfigClass: UnrealEngineClass;
+	AvoidanceManagerClassName: SoftClassPath;
+	AvoidanceManagerClass: UnrealEngineClass;
+	PhysicsCollisionHandlerClass: UnrealEngineClass;
+	PhysicsCollisionHandlerClassName: SoftClassPath;
+	GameUserSettingsClassName: SoftClassPath;
+	GameUserSettingsClass: UnrealEngineClass;
+	AIControllerClassName: SoftClassPath;
+	GameUserSettings: GameUserSettings;
+	LevelScriptActorClass: UnrealEngineClass;
+	LevelScriptActorClassName: SoftClassPath;
+	DefaultBlueprintBaseClassName: SoftClassPath;
+	GameSingletonClassName: SoftClassPath;
+	GameSingleton: UObject;
+	AssetManagerClassName: SoftClassPath;
+	AssetManager: AssetManager;
+	DefaultTexture: Texture2D;
+	DefaultTextureName: SoftObjectPath;
+	DefaultDiffuseTexture: Texture;
+	DefaultDiffuseTextureName: SoftObjectPath;
+	DefaultBSPVertexTexture: Texture2D;
+	DefaultBSPVertexTextureName: SoftObjectPath;
+	HighFrequencyNoiseTexture: Texture2D;
+	HighFrequencyNoiseTextureName: SoftObjectPath;
+	DefaultBokehTexture: Texture2D;
+	DefaultBokehTextureName: SoftObjectPath;
+	DefaultBloomKernelTexture: Texture2D;
+	DefaultBloomKernelTextureName: SoftObjectPath;
+	WireframeMaterial: Material;
+	WireframeMaterialName: string;
+	GeomMaterial: Material;
+	GeomMaterialName: SoftObjectPath;
+	DebugMeshMaterial: Material;
+	DebugMeshMaterialName: SoftObjectPath;
+	LevelColorationLitMaterial: Material;
+	LevelColorationLitMaterialName: string;
+	LevelColorationUnlitMaterial: Material;
+	LevelColorationUnlitMaterialName: string;
+	LightingTexelDensityMaterial: Material;
+	LightingTexelDensityName: string;
+	ShadedLevelColorationLitMaterial: Material;
+	ShadedLevelColorationLitMaterialName: string;
+	ShadedLevelColorationUnlitMaterial: Material;
+	ShadedLevelColorationUnlitMaterialName: string;
+	RemoveSurfaceMaterial: Material;
+	RemoveSurfaceMaterialName: SoftObjectPath;
+	VertexColorMaterial: Material;
+	VertexColorMaterialName: string;
+	VertexColorViewModeMaterial_ColorOnly: Material;
+	VertexColorViewModeMaterialName_ColorOnly: string;
+	VertexColorViewModeMaterial_AlphaAsColor: Material;
+	VertexColorViewModeMaterialName_AlphaAsColor: string;
+	VertexColorViewModeMaterial_RedOnly: Material;
+	VertexColorViewModeMaterialName_RedOnly: string;
+	VertexColorViewModeMaterial_GreenOnly: Material;
+	VertexColorViewModeMaterialName_GreenOnly: string;
+	VertexColorViewModeMaterial_BlueOnly: Material;
+	VertexColorViewModeMaterialName_BlueOnly: string;
+	BoneWeightMaterial: Material;
+	BoneWeightMaterialName: SoftObjectPath;
+	ClothPaintMaterial: Material;
+	ClothPaintMaterialWireframe: Material;
+	ClothPaintMaterialInstance: MaterialInstanceDynamic;
+	ClothPaintMaterialWireframeInstance: MaterialInstanceDynamic;
+	ClothPaintMaterialName: SoftObjectPath;
+	ClothPaintMaterialWireframeName: SoftObjectPath;
+	DebugEditorMaterial: Material;
+	DebugEditorMaterialName: SoftObjectPath;
+	ConstraintLimitMaterial: Material;
+	ConstraintLimitMaterialX: MaterialInstanceDynamic;
+	ConstraintLimitMaterialXAxis: MaterialInstanceDynamic;
+	ConstraintLimitMaterialY: MaterialInstanceDynamic;
+	ConstraintLimitMaterialYAxis: MaterialInstanceDynamic;
+	ConstraintLimitMaterialZ: MaterialInstanceDynamic;
+	ConstraintLimitMaterialZAxis: MaterialInstanceDynamic;
+	ConstraintLimitMaterialPrismatic: MaterialInstanceDynamic;
+	InvalidLightmapSettingsMaterial: Material;
+	InvalidLightmapSettingsMaterialName: SoftObjectPath;
+	PreviewShadowsIndicatorMaterial: Material;
+	PreviewShadowsIndicatorMaterialName: SoftObjectPath;
+	ArrowMaterial: Material;
+	ArrowMaterialYellow: MaterialInstanceDynamic;
+	ArrowMaterialName: SoftObjectPath;
+	LightingOnlyBrightness: LinearColor;
+	ShaderComplexityColors: LinearColor[];
+	QuadComplexityColors: LinearColor[];
+	LightComplexityColors: LinearColor[];
+	StationaryLightOverlapColors: LinearColor[];
+	LODColorationColors: LinearColor[];
+	HLODColorationColors: LinearColor[];
+	StreamingAccuracyColors: LinearColor[];
+	MaxPixelShaderAdditiveComplexityCount: number;
+	MaxES2PixelShaderAdditiveComplexityCount: number;
+	MaxES3PixelShaderAdditiveComplexityCount: number;
+	MinLightMapDensity: number;
+	IdealLightMapDensity: number;
+	MaxLightMapDensity: number;
+	bRenderLightMapDensityGrayscale: boolean;
+	RenderLightMapDensityGrayscaleScale: number;
+	RenderLightMapDensityColorScale: number;
+	LightMapDensityVertexMappedColor: LinearColor;
+	LightMapDensitySelectedColor: LinearColor;
+	StatColorMappings: StatColorMapping[];
+	EditorBrushMaterial: Material;
+	EditorBrushMaterialName: SoftObjectPath;
+	DefaultPhysMaterial: PhysicalMaterial;
+	DefaultPhysMaterialName: SoftObjectPath;
+	ActiveGameNameRedirects: GameNameRedirect[];
+	ActiveClassRedirects: ClassRedirect[];
+	ActivePluginRedirects: PluginRedirect[];
+	ActiveStructRedirects: StructRedirect[];
+	PreIntegratedSkinBRDFTexture: Texture2D;
+	PreIntegratedSkinBRDFTextureName: SoftObjectPath;
+	MiniFontTexture: Texture2D;
+	MiniFontTextureName: SoftObjectPath;
+	WeightMapPlaceholderTexture: Texture;
+	WeightMapPlaceholderTextureName: SoftObjectPath;
+	LightMapDensityTexture: Texture2D;
+	LightMapDensityTextureName: SoftObjectPath;
+	GameViewport: GameViewportClient;
+	DeferredCommands: string[];
+	TickCycles: number;
+	GameCycles: number;
+	ClientCycles: number;
+	NearClipPlane: number;
+	bHardwareSurveyEnabled: boolean;
+	bSubtitlesEnabled: boolean;
+	bSubtitlesForcedOff: boolean;
+	MaximumLoopIterationCount: number;
+	bCanBlueprintsTickByDefault: boolean;
+	bOptimizeAnimBlueprintMemberVariableAccess: boolean;
+	bAllowMultiThreadedAnimationUpdate: boolean;
+	bEnableEditorPSysRealtimeLOD: boolean;
+	bSmoothFrameRate: boolean;
+	bUseFixedFrameRate: boolean;
+	FixedFrameRate: number;
+	SmoothedFrameRateRange: FloatRange;
+	DefaultCustomTimeStep: EngineCustomTimeStep;
+	CurrentCustomTimeStep: EngineCustomTimeStep;
+	CustomTimeStepClassName: SoftClassPath;
+	DefaultTimecodeProvider: TimecodeProvider;
+	CustomTimecodeProvider: TimecodeProvider;
+	DefaultTimecodeProviderClassName: SoftClassPath;
+	TimecodeProviderClassName: SoftClassPath;
+	DefaultTimecodeFrameRate: FrameRate;
+	bCheckForMultiplePawnsSpawnedInAFrame: boolean;
+	NumPawnsAllowedToBeSpawnedInAFrame: number;
+	bShouldGenerateLowQualityLightmaps: boolean;
+	C_WorldBox: Color;
+	C_BrushWire: Color;
+	C_AddWire: Color;
+	C_SubtractWire: Color;
+	C_SemiSolidWire: Color;
+	C_NonSolidWire: Color;
+	C_WireBackground: Color;
+	C_ScaleBoxHi: Color;
+	C_VolumeCollision: Color;
+	C_BSPCollision: Color;
+	C_OrthoBackground: Color;
+	C_Volume: Color;
+	C_BrushShape: Color;
+	StreamingDistanceFactor: number;
+	GameScreenshotSaveDirectory: DirectoryPath;
+	TransitionType: ETransitionType;
+	TransitionDescription: string;
+	TransitionGameMode: string;
+	MeshLODRange: number;
+	bAllowMatureLanguage: boolean;
+	CameraRotationThreshold: number;
+	CameraTranslationThreshold: number;
+	PrimitiveProbablyVisibleTime: number;
+	MaxOcclusionPixelsFraction: number;
+	bPauseOnLossOfFocus: boolean;
+	MaxParticleResize: number;
+	MaxParticleResizeWarn: number;
+	PendingDroppedNotes: DropNoteInfo[];
+	NetClientTicksPerSecond: number;
+	DisplayGamma: number;
+	MinDesiredFrameRate: number;
+	DefaultSelectedMaterialColor: LinearColor;
+	SelectedMaterialColor: LinearColor;
+	SelectionOutlineColor: LinearColor;
+	SubduedSelectionOutlineColor: LinearColor;
+	SelectedMaterialColorOverride: LinearColor;
+	bIsOverridingSelectedColor: boolean;
+	bEnableOnScreenDebugMessages: boolean;
+	bEnableOnScreenDebugMessagesDisplay: boolean;
+	bSuppressMapWarnings: boolean;
+	bDisableAILogging: boolean;
+	bEnableVisualLogRecordingOnStart: any;
+	ScreenSaverInhibitorSemaphore: number;
+	bLockReadOnlyLevels: boolean;
+	ParticleEventManagerClassPath: string;
+	SelectionHighlightIntensity: number;
+	BSPSelectionHighlightIntensity: number;
+	SelectionHighlightIntensityBillboards: number;
+	NetDriverDefinitions: NetDriverDefinition[];
+	ServerActors: string[];
+	RuntimeServerActors: string[];
+	NetErrorLogInterval: number;
+	bStartedLoadMapMovie: boolean;
+	NextWorldContextHandle: number;
+	static Load(ResourceName: string): Engine;
+	static Find(Outer: UObject, ResourceName: string): Engine;
+	static GetDefaultObject(): Engine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Engine;
+	static C(Other: UObject | any): Engine;
+	GetEditorWorld(): World;
+	GetPIEWorld(): World;
+	HasUndo(): boolean;
+	SetClientTravel(InWorld: World,NextURL: string,InTravelType: ETravelType): void;
+	static GetEditorWorld(Engine: Engine): World;
+	static GetPIEWorld(Engine: Engine): World;
+	static HasUndo(Engine: Engine): boolean;
+	static SetClientTravel(Engine: Engine,InWorld: World,NextURL: string,InTravelType: ETravelType): void;
 }
 
-declare class SlateWidgetStyleAssetFactory extends Factory { 
-	StyleType: UnrealEngineClass;
-	static Load(ResourceName: string): SlateWidgetStyleAssetFactory;
-	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleAssetFactory;
-	static GetDefaultObject(): SlateWidgetStyleAssetFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleAssetFactory;
-	static C(Other: UObject | any): SlateWidgetStyleAssetFactory;
+declare class JavascriptTransaction { 
+	clone() : JavascriptTransaction;
+	static C(Other: UObject | any): JavascriptTransaction;
+	GetContext(): string;
+	GetPrimaryObject(): UObject;
+	GetTitle(): string;
+	static GetContext(Transaction: JavascriptTransaction): string;
+	static GetPrimaryObject(Transaction: JavascriptTransaction): UObject;
+	static GetTitle(Transaction: JavascriptTransaction): string;
 }
 
-declare class SoundExporterOGG extends Exporter { 
-	static Load(ResourceName: string): SoundExporterOGG;
-	static Find(Outer: UObject, ResourceName: string): SoundExporterOGG;
-	static GetDefaultObject(): SoundExporterOGG;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundExporterOGG;
-	static C(Other: UObject | any): SoundExporterOGG;
-}
-
-declare class SoundExporterWAV extends Exporter { 
-	static Load(ResourceName: string): SoundExporterWAV;
-	static Find(Outer: UObject, ResourceName: string): SoundExporterWAV;
-	static GetDefaultObject(): SoundExporterWAV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundExporterWAV;
-	static C(Other: UObject | any): SoundExporterWAV;
+declare class Transactor extends UObject { 
+	static Load(ResourceName: string): Transactor;
+	static Find(Outer: UObject, ResourceName: string): Transactor;
+	static GetDefaultObject(): Transactor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Transactor;
+	static C(Other: UObject | any): Transactor;
+	GetQueueLength(): number;
+	GetTransaction(QueueIndex: number): JavascriptTransaction;
+	IsActive(): boolean;
+	static GetQueueLength(Transactor: Transactor): number;
+	static GetTransaction(Transactor: Transactor,QueueIndex: number): JavascriptTransaction;
+	static IsActive(Transactor: Transactor): boolean;
 }
 
-declare class SoundSurroundExporterWAV extends Exporter { 
-	static Load(ResourceName: string): SoundSurroundExporterWAV;
-	static Find(Outer: UObject, ResourceName: string): SoundSurroundExporterWAV;
-	static GetDefaultObject(): SoundSurroundExporterWAV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSurroundExporterWAV;
-	static C(Other: UObject | any): SoundSurroundExporterWAV;
+declare class EditorWorldExtensionCollection extends UObject { 
+	static Load(ResourceName: string): EditorWorldExtensionCollection;
+	static Find(Outer: UObject, ResourceName: string): EditorWorldExtensionCollection;
+	static GetDefaultObject(): EditorWorldExtensionCollection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtensionCollection;
+	static C(Other: UObject | any): EditorWorldExtensionCollection;
 }
 
-declare class SoundWaveThumbnailRenderer extends ThumbnailRenderer { 
-	static Load(ResourceName: string): SoundWaveThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): SoundWaveThumbnailRenderer;
-	static GetDefaultObject(): SoundWaveThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundWaveThumbnailRenderer;
-	static C(Other: UObject | any): SoundWaveThumbnailRenderer;
+declare class EditorWorldExtensionManager extends UObject { 
+	EditorWorldExtensionCollection: EditorWorldExtensionCollection[];
+	static Load(ResourceName: string): EditorWorldExtensionManager;
+	static Find(Outer: UObject, ResourceName: string): EditorWorldExtensionManager;
+	static GetDefaultObject(): EditorWorldExtensionManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorWorldExtensionManager;
+	static C(Other: UObject | any): EditorWorldExtensionManager;
 }
 
-declare class SpiralStairBuilder extends EditorBrushBuilder { 
-	InnerRadius: number;
-	StepWidth: number;
-	StepHeight: number;
-	StepThickness: number;
-	NumStepsPer360: number;
-	NumSteps: number;
-	GroupName: string;
-	SlopedCeiling: boolean;
-	SlopedFloor: boolean;
-	CounterClockwise: boolean;
-	static Load(ResourceName: string): SpiralStairBuilder;
-	static Find(Outer: UObject, ResourceName: string): SpiralStairBuilder;
-	static GetDefaultObject(): SpiralStairBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpiralStairBuilder;
-	static C(Other: UObject | any): SpiralStairBuilder;
+declare type ECsgOper = 'CSG_Active' | 'CSG_Add' | 'CSG_Subtract' | 'CSG_Intersect' | 'CSG_Deintersect' | 'CSG_None' | 'CSG_MAX';
+declare var ECsgOper : { CSG_Active:'CSG_Active',CSG_Add:'CSG_Add',CSG_Subtract:'CSG_Subtract',CSG_Intersect:'CSG_Intersect',CSG_Deintersect:'CSG_Deintersect',CSG_None:'CSG_None',CSG_MAX:'CSG_MAX', };
+declare class USelection extends UObject { 
+	static Load(ResourceName: string): USelection;
+	static Find(Outer: UObject, ResourceName: string): USelection;
+	static GetDefaultObject(): USelection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): USelection;
+	static C(Other: UObject | any): USelection;
+	Deselect(InObject: UObject): void;
+	DeselectAll(InClass: UnrealEngineClass): void;
+	GetSelectedObjects(Out?: UObject[]): {Out: UObject[], $: number};
+	Select(InObject: UObject): void;
+	ToggleSelect(InObject: UObject): void;
+	static Deselect(USelection: USelection,InObject: UObject): void;
+	static DeselectAll(USelection: USelection,InClass: UnrealEngineClass): void;
+	static GetSelectedObjects(USelection: USelection,Out?: UObject[]): {Out: UObject[], $: number};
+	static Select(USelection: USelection,InObject: UObject): void;
+	static ToggleSelect(USelection: USelection,InObject: UObject): void;
 }
 
-declare class StabilizeLocalizationKeysCommandlet extends Commandlet { 
-	static Load(ResourceName: string): StabilizeLocalizationKeysCommandlet;
-	static Find(Outer: UObject, ResourceName: string): StabilizeLocalizationKeysCommandlet;
-	static GetDefaultObject(): StabilizeLocalizationKeysCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StabilizeLocalizationKeysCommandlet;
-	static C(Other: UObject | any): StabilizeLocalizationKeysCommandlet;
+declare class GroupActor extends Actor { 
+	bLocked: boolean;
+	GroupActors: Actor[];
+	SubGroups: GroupActor[];
+	static GetDefaultObject(): GroupActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GroupActor;
+	static C(Other: UObject | any): GroupActor;
 }
 
-declare class StaticMeshExporterFBX extends Exporter { 
-	static Load(ResourceName: string): StaticMeshExporterFBX;
-	static Find(Outer: UObject, ResourceName: string): StaticMeshExporterFBX;
-	static GetDefaultObject(): StaticMeshExporterFBX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshExporterFBX;
-	static C(Other: UObject | any): StaticMeshExporterFBX;
+declare class EditorEngine extends Engine { 
+	TempModel: Model;
+	ConversionTempModel: Model;
+	Trans: Transactor;
+	Bad: Texture2D;
+	EditorFont: Font;
+	PreviewSoundCue: SoundCue;
+	PreviewAudioComponent: AudioComponent;
+	EditorCube: StaticMesh;
+	EditorSphere: StaticMesh;
+	EditorPlane: StaticMesh;
+	EditorCylinder: StaticMesh;
+	bFastRebuild: boolean;
+	IsImportingT3D: boolean;
+	ClickFlags: any;
+	ParentContext: Package;
+	UnsnappedClickLocation: Vector;
+	ClickLocation: Vector;
+	ClickPlane: Plane;
+	MouseMovement: Vector;
+	DetailMode: EDetailMode;
+	UseSizingBox: boolean;
+	UseAxisIndicator: boolean;
+	GodMode: boolean;
+	GameCommandLine: string;
+	bShowBrushMarkerPolys: boolean;
+	bEnableSocketSnapping: boolean;
+	bEnableLODLocking: boolean;
+	HeightMapExportClassName: string;
+	ActorFactories: ActorFactory[];
+	UserOpenedFile: string;
+	InEditorGameURLOptions: string;
+	PlayWorld: World;
+	PlayWorldLocation: Vector;
+	PlayWorldRotation: Rotator;
+	bIsPlayWorldQueued: boolean;
+	bIsToggleBetweenPIEandSIEQueued: boolean;
+	bIsSimulateInEditorQueued: boolean;
+	bAllowMultiplePIEWorlds: boolean;
+	bRequestEndPlayMapQueued: boolean;
+	bHasPlayWorldPlacement: boolean;
+	bUseMobilePreviewForPlayWorld: boolean;
+	bUseVRPreviewForPlayWorld: boolean;
+	bIsSimulatingInEditor: boolean;
+	bSquelchTransactionNotification: boolean;
+	bNotifyUndoRedoSelectionChange: boolean;
+	PlayFromHerePlayerStartClass: UnrealEngineClass;
+	EditorWorld: World;
+	ActorsThatWereSelected: any[];
+	PlayWorldDestination: number;
+	CurrentPlayWorldDestination: number;
+	bMobilePreviewPortrait: boolean;
+	BuildPlayDevice: number;
+	PlayInEditorViewportIndex: number;
+	UserEditedPlayWorldURL: string;
+	ScratchRenderTarget2048: TextureRenderTarget2D;
+	ScratchRenderTarget1024: TextureRenderTarget2D;
+	ScratchRenderTarget512: TextureRenderTarget2D;
+	ScratchRenderTarget256: TextureRenderTarget2D;
+	PreviewMeshComp: StaticMeshComponent;
+	PreviewMeshIndex: number;
+	bShowPreviewMesh: boolean;
+	bCustomCameraAlignEmitter: boolean;
+	CustomCameraAlignEmitterDistance: number;
+	bDrawSocketsInGMode: boolean;
+	bDrawParticleHelpers: boolean;
+	BrushBuilders: BrushBuilder[];
+	EditorWorldExtensionsManager: EditorWorldExtensionManager;
+	ActorGroupingUtilsClassName: SoftClassPath;
+	ActorGroupingUtils: ActorGroupingUtils;
+	static Load(ResourceName: string): EditorEngine;
+	static Find(Outer: UObject, ResourceName: string): EditorEngine;
+	static GetDefaultObject(): EditorEngine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorEngine;
+	static C(Other: UObject | any): EditorEngine;
+	bspBrushCSG(Actor: Brush,Model: Model,PolyFlags: number,BrushType: EBrushType,CSGOper: ECsgOper,bBuildBounds: boolean,bMergePolys: boolean,bReplaceNULLMaterialRefs: boolean,bShowProgressBar: boolean): number;
+	CanSelectActor(Actor: Actor,bInSelected: boolean,bSelectEvenIfHidden: boolean,bWarnIfLevelLocked: boolean): boolean;
+	Exec(InWorld: World,Command: string,Out?: string): {Out: string, $: boolean};
+	FindBrushBuilder(BrushBuilderClass: UnrealEngineClass): BrushBuilder;
+	GetSelectedComponents(): USelection;
+	GetSelectedObjects(): USelection;
+	GetSelectedSet(Class: UnrealEngineClass): USelection;
+	RebuildLevel(Level: Level): void;
+	RebuildStaticNavigableGeometry(Level: Level): void;
+	RedrawAllViewports(bInvalidateHitProxies: boolean): void;
+	SelectActor(Actor: Actor,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean,bForceRefresh: boolean): void;
+	SelectComponent(Component: ActorComponent,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean): void;
+	SelectGroup(InGroupActor: GroupActor,bForceSelection: boolean,bInSelected: boolean,bNotify: boolean): void;
+	SelectNone(bNoteSelectionChange: boolean,bDeselectBSPSurfs: boolean,WarnAboutManyActors: boolean): void;
+	SetMaterial(InModel: Model,Material: MaterialInterface,Surfaces: number[]): void;
+	static bspBrushCSG(Engine: EditorEngine,Actor: Brush,Model: Model,PolyFlags: number,BrushType: EBrushType,CSGOper: ECsgOper,bBuildBounds: boolean,bMergePolys: boolean,bReplaceNULLMaterialRefs: boolean,bShowProgressBar: boolean): number;
+	static CanSelectActor(Engine: EditorEngine,Actor: Actor,bInSelected: boolean,bSelectEvenIfHidden: boolean,bWarnIfLevelLocked: boolean): boolean;
+	static Exec(Engine: EditorEngine,InWorld: World,Command: string,Out?: string): {Out: string, $: boolean};
+	static FindBrushBuilder(Engine: EditorEngine,BrushBuilderClass: UnrealEngineClass): BrushBuilder;
+	static GetSelectedComponents(Engine: EditorEngine): USelection;
+	static GetSelectedObjects(Engine: EditorEngine): USelection;
+	static GetSelectedSet(Engine: EditorEngine,Class: UnrealEngineClass): USelection;
+	static RebuildLevel(Engine: EditorEngine,Level: Level): void;
+	static RebuildStaticNavigableGeometry(Engine: EditorEngine,Level: Level): void;
+	static RedrawAllViewports(Engine: EditorEngine,bInvalidateHitProxies: boolean): void;
+	static SelectActor(Engine: EditorEngine,Actor: Actor,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean,bForceRefresh: boolean): void;
+	static SelectComponent(Engine: EditorEngine,Component: ActorComponent,bInSelected: boolean,bNotify: boolean,bSelectEvenIfHidden: boolean): void;
+	static SelectGroup(Engine: EditorEngine,InGroupActor: GroupActor,bForceSelection: boolean,bInSelected: boolean,bNotify: boolean): void;
+	static SelectNone(Engine: EditorEngine,bNoteSelectionChange: boolean,bDeselectBSPSurfs: boolean,WarnAboutManyActors: boolean): void;
+	static SetMaterial(Engine: EditorEngine,InModel: Model,Material: MaterialInterface,Surfaces: number[]): void;
 }
 
-declare class StaticMeshExporterOBJ extends Exporter { 
-	static Load(ResourceName: string): StaticMeshExporterOBJ;
-	static Find(Outer: UObject, ResourceName: string): StaticMeshExporterOBJ;
-	static GetDefaultObject(): StaticMeshExporterOBJ;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshExporterOBJ;
-	static C(Other: UObject | any): StaticMeshExporterOBJ;
+declare type EConsoleForGamepadLabels = 'None' | 'XBoxOne' | 'PS4' | 'EConsoleForGamepadLabels_MAX';
+declare var EConsoleForGamepadLabels : { None:'None',XBoxOne:'XBoxOne',PS4:'PS4',EConsoleForGamepadLabels_MAX:'EConsoleForGamepadLabels_MAX', };
+declare class EditorExperimentalSettings extends UObject { 
+	bProceduralFoliage: boolean;
+	bProceduralLandscape: boolean;
+	bEnableLocalizationDashboard: boolean;
+	bEnableTranslationPicker: boolean;
+	bEnableEditorUtilityBlueprints: boolean;
+	bEnableFavoriteSystem: boolean;
+	ConsoleForGamepadLabels: EConsoleForGamepadLabels;
+	bToolbarCustomization: boolean;
+	bBreakOnExceptions: boolean;
+	bEnableFindAndReplaceReferences: boolean;
+	bDrawMidpointArrowsInBlueprints: boolean;
+	bContextMenuChunkAssignments: boolean;
+	bDisableCookInEditor: boolean;
+	bSharedCookedBuilds: boolean;
+	MultiProcessCooking: number;
+	bEQSEditor: boolean;
+	bAllowLateJoinInPIE: boolean;
+	bAllowVulkanPreview: boolean;
+	bEnableMultithreadedLightmapEncoding: boolean;
+	bEnableMultithreadedShadowmapEncoding: boolean;
+	bUseOpenCLForConvexHullDecomp: boolean;
+	bAllowPotentiallyUnsafePropertyEditing: boolean;
+	bFacialAnimationImporter: boolean;
+	bMobilePIEPreviewDeviceLaunch: boolean;
+	bTextAssetFormatSupport: boolean;
+	bExampleLayersAndBlends: boolean;
+	bEnableLongPathsSupport: boolean;
+	static Load(ResourceName: string): EditorExperimentalSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorExperimentalSettings;
+	static GetDefaultObject(): EditorExperimentalSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorExperimentalSettings;
+	static C(Other: UObject | any): EditorExperimentalSettings;
 }
 
-declare class StaticMeshThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): StaticMeshThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): StaticMeshThumbnailRenderer;
-	static GetDefaultObject(): StaticMeshThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshThumbnailRenderer;
-	static C(Other: UObject | any): StaticMeshThumbnailRenderer;
+declare type ELevelVisibilityDirtyMode = 'ModifyOnChange' | 'DontModify' | 'ELevelVisibilityDirtyMode_MAX';
+declare var ELevelVisibilityDirtyMode : { ModifyOnChange:'ModifyOnChange',DontModify:'DontModify',ELevelVisibilityDirtyMode_MAX:'ELevelVisibilityDirtyMode_MAX', };
+declare class EditorLevelUtils extends UObject { 
+	static Load(ResourceName: string): EditorLevelUtils;
+	static Find(Outer: UObject, ResourceName: string): EditorLevelUtils;
+	static GetDefaultObject(): EditorLevelUtils;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLevelUtils;
+	static SetLevelVisibility(Level: Level,bShouldBeVisible: boolean,bForceLayersVisible: boolean,ModifyMode: ELevelVisibilityDirtyMode): void;
+	static MoveSelectedActorsToLevel(DestLevel: LevelStreaming,bWarnAboutReferences: boolean): number;
+	static MoveActorsToLevel(ActorsToMove: Actor[],DestStreamingLevel: LevelStreaming,bWarnAboutReferences: boolean): number;
+	static MakeLevelCurrent(InStreamingLevel: LevelStreaming): void;
+	static CreateNewStreamingLevel(LevelStreamingClass: UnrealEngineClass,NewLevelPath: string,bMoveSelectedActorsIntoNewLevel: boolean): LevelStreaming;
+	static C(Other: UObject | any): EditorLevelUtils;
 }
 
-declare class StringTableFactory extends Factory { 
-	static Load(ResourceName: string): StringTableFactory;
-	static Find(Outer: UObject, ResourceName: string): StringTableFactory;
-	static GetDefaultObject(): StringTableFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StringTableFactory;
-	static C(Other: UObject | any): StringTableFactory;
-}
-
-declare class StructureFactory extends Factory { 
-	static Load(ResourceName: string): StructureFactory;
-	static Find(Outer: UObject, ResourceName: string): StructureFactory;
-	static GetDefaultObject(): StructureFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StructureFactory;
-	static C(Other: UObject | any): StructureFactory;
+declare type ELoadLevelAtStartup = 'None' | 'ProjectDefault' | 'LastOpened' | 'ELoadLevelAtStartup_MAX';
+declare var ELoadLevelAtStartup : { None:'None',ProjectDefault:'ProjectDefault',LastOpened:'LastOpened',ELoadLevelAtStartup_MAX:'ELoadLevelAtStartup_MAX', };
+declare class AutoReimportWildcard { 
+	wildcard: string;
+	bInclude: boolean;
+	clone() : AutoReimportWildcard;
+	static C(Other: UObject | any): AutoReimportWildcard;
 }
 
-declare class SubsurfaceProfileFactory extends Factory { 
-	static Load(ResourceName: string): SubsurfaceProfileFactory;
-	static Find(Outer: UObject, ResourceName: string): SubsurfaceProfileFactory;
-	static GetDefaultObject(): SubsurfaceProfileFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsurfaceProfileFactory;
-	static C(Other: UObject | any): SubsurfaceProfileFactory;
+declare class AutoReimportDirectoryConfig { 
+	SourceDirectory: string;
+	MountPoint: string;
+	Wildcards: AutoReimportWildcard[];
+	clone() : AutoReimportDirectoryConfig;
+	static C(Other: UObject | any): AutoReimportDirectoryConfig;
 }
 
-declare class SubsurfaceProfileRenderer extends TextureThumbnailRenderer { 
-	static Load(ResourceName: string): SubsurfaceProfileRenderer;
-	static Find(Outer: UObject, ResourceName: string): SubsurfaceProfileRenderer;
-	static GetDefaultObject(): SubsurfaceProfileRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsurfaceProfileRenderer;
-	static C(Other: UObject | any): SubsurfaceProfileRenderer;
+declare class EditorLoadingSavingSettings extends UObject { 
+	LoadLevelAtStartup: ELoadLevelAtStartup;
+	bForceCompilationAtStartup: boolean;
+	bRestoreOpenAssetTabsOnRestart: boolean;
+	bEnableSourceControlCompatabilityCheck: boolean;
+	bMonitorContentDirectories: boolean;
+	AutoReimportDirectories: string[];
+	AutoReimportDirectorySettings: AutoReimportDirectoryConfig[];
+	AutoReimportThreshold: number;
+	bAutoCreateAssets: boolean;
+	bAutoDeleteAssets: boolean;
+	bDetectChangesOnStartup: boolean;
+	bPromptBeforeAutoImporting: boolean;
+	bDeleteSourceFilesWithAssets: boolean;
+	bAutoReimportTextures: boolean;
+	bAutoReimportCSV: boolean;
+	bDirtyMigratedBlueprints: boolean;
+	bAutoSaveEnable: boolean;
+	bAutoSaveMaps: boolean;
+	bAutoSaveContent: boolean;
+	AutoSaveTimeMinutes: number;
+	AutoSaveWarningInSeconds: number;
+	bAutomaticallyCheckoutOnAssetModification: boolean;
+	bPromptForCheckoutOnAssetModification: boolean;
+	bSCCAutoAddNewFiles: boolean;
+	bSCCUseGlobalSettings: boolean;
+	TextDiffToolPath: FilePath;
+	static Load(ResourceName: string): EditorLoadingSavingSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorLoadingSavingSettings;
+	static GetDefaultObject(): EditorLoadingSavingSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLoadingSavingSettings;
+	static C(Other: UObject | any): EditorLoadingSavingSettings;
 }
 
-declare class SubUVAnimationFactory extends Factory { 
-	InitialTexture: Texture2D;
-	static Load(ResourceName: string): SubUVAnimationFactory;
-	static Find(Outer: UObject, ResourceName: string): SubUVAnimationFactory;
-	static GetDefaultObject(): SubUVAnimationFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubUVAnimationFactory;
-	static C(Other: UObject | any): SubUVAnimationFactory;
+declare class EditorMiscSettings extends UObject { 
+	static Load(ResourceName: string): EditorMiscSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorMiscSettings;
+	static GetDefaultObject(): EditorMiscSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorMiscSettings;
+	static C(Other: UObject | any): EditorMiscSettings;
 }
 
-declare class SwapSoundForDialogueInCuesCommandlet extends Commandlet { 
-	static Load(ResourceName: string): SwapSoundForDialogueInCuesCommandlet;
-	static Find(Outer: UObject, ResourceName: string): SwapSoundForDialogueInCuesCommandlet;
-	static GetDefaultObject(): SwapSoundForDialogueInCuesCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SwapSoundForDialogueInCuesCommandlet;
-	static C(Other: UObject | any): SwapSoundForDialogueInCuesCommandlet;
+declare class EditorNotifyObject extends EditorAnimBaseObj { 
+	Event: AnimNotifyEvent;
+	static Load(ResourceName: string): EditorNotifyObject;
+	static Find(Outer: UObject, ResourceName: string): EditorNotifyObject;
+	static GetDefaultObject(): EditorNotifyObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorNotifyObject;
+	static C(Other: UObject | any): EditorNotifyObject;
 }
 
-declare class TemplateMapMetadata extends UObject { 
-	static Load(ResourceName: string): TemplateMapMetadata;
-	static Find(Outer: UObject, ResourceName: string): TemplateMapMetadata;
-	static GetDefaultObject(): TemplateMapMetadata;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TemplateMapMetadata;
-	static C(Other: UObject | any): TemplateMapMetadata;
+declare class EditorParentPlayerListObj extends UObject { 
+	Overrides: AnimParentNodeAssetOverride[];
+	static Load(ResourceName: string): EditorParentPlayerListObj;
+	static Find(Outer: UObject, ResourceName: string): EditorParentPlayerListObj;
+	static GetDefaultObject(): EditorParentPlayerListObj;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorParentPlayerListObj;
+	static C(Other: UObject | any): EditorParentPlayerListObj;
 }
 
-declare class TetrahedronBuilder extends EditorBrushBuilder { 
-	Radius: number;
-	SphereExtrapolation: number;
-	GroupName: string;
-	static Load(ResourceName: string): TetrahedronBuilder;
-	static Find(Outer: UObject, ResourceName: string): TetrahedronBuilder;
-	static GetDefaultObject(): TetrahedronBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TetrahedronBuilder;
-	static C(Other: UObject | any): TetrahedronBuilder;
+declare class EditorPerformanceSettings extends DeveloperSettings { 
+	bShowFrameRateAndMemory: boolean;
+	bThrottleCPUWhenNotForeground: boolean;
+	bMonitorEditorPerformance: boolean;
+	bOverrideDPIBasedEditorViewportScaling: boolean;
+	bEnableSharedDDCPerformanceNotifications: boolean;
+	static Load(ResourceName: string): EditorPerformanceSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorPerformanceSettings;
+	static GetDefaultObject(): EditorPerformanceSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorPerformanceSettings;
+	static C(Other: UObject | any): EditorPerformanceSettings;
 }
 
-declare type ETexAlign = 'TEXALIGN_None' | 'TEXALIGN_Default' | 'TEXALIGN_Box' | 'TEXALIGN_Planar' | 'TEXALIGN_Fit' | 'TEXALIGN_PlanarAuto' | 'TEXALIGN_PlanarWall' | 'TEXALIGN_PlanarFloor' | 'TEXALIGN_MAX';
-declare var ETexAlign : { TEXALIGN_None:'TEXALIGN_None',TEXALIGN_Default:'TEXALIGN_Default',TEXALIGN_Box:'TEXALIGN_Box',TEXALIGN_Planar:'TEXALIGN_Planar',TEXALIGN_Fit:'TEXALIGN_Fit',TEXALIGN_PlanarAuto:'TEXALIGN_PlanarAuto',TEXALIGN_PlanarWall:'TEXALIGN_PlanarWall',TEXALIGN_PlanarFloor:'TEXALIGN_PlanarFloor',TEXALIGN_MAX:'TEXALIGN_MAX', };
-declare class TexAligner extends UObject { 
-	DefTexAlign: ETexAlign;
-	TAxis: number;
-	UTile: number;
-	VTile: number;
-	Desc: string;
-	static Load(ResourceName: string): TexAligner;
-	static Find(Outer: UObject, ResourceName: string): TexAligner;
-	static GetDefaultObject(): TexAligner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAligner;
-	static C(Other: UObject | any): TexAligner;
+declare class EditorPerProjectUserSettings extends UObject { 
+	bDisplayUIExtensionPoints: boolean;
+	bDisplayDocumentationLink: boolean;
+	bDisplayActionListItemRefIds: boolean;
+	bAlwaysGatherBehaviorTreeDebuggerData: boolean;
+	bDisplayEngineVersionInBadge: boolean;
+	bUseSimplygonSwarm: boolean;
+	SimplygonServerIP: string;
+	bEnableSwarmDebugging: boolean;
+	SimplygonSwarmDelay: any;
+	SwarmNumOfConcurrentJobs: any;
+	SwarmMaxUploadChunkSizeInMB: any;
+	SwarmIntermediateFolder: string;
+	bAutomaticallyHotReloadNewClasses: boolean;
+	bShowCompilerLogOnCompileError: boolean;
+	bKeepFbxNamespace: boolean;
+	bShowImportDialogAtReimport: boolean;
+	DataSourceFolder: DirectoryPath;
+	bKeepAttachHierarchy: boolean;
+	bAnimationReimportWarnings: boolean;
+	bUseCurvesForDistributions: boolean;
+	PropertyMatrix_NumberOfPasteOperationsBeforeWarning: number;
+	bSCSEditorShowGrid: boolean;
+	bSCSEditorShowFloor: boolean;
+	SCSViewportCameraSpeed: number;
+	bAutoloadCheckedOutPackages: boolean;
+	bSuppressFullyLoadPrompt: boolean;
+	bAllowSelectTranslucent: boolean;
+	BlueprintFavorites: BlueprintPaletteFavorites;
+	AssetViewerProfileIndex: number;
+	AssetViewerProfileName: string;
+	MaterialQualityLevel: number;
+	PreviewShaderPlatformName: string;
+	bIsMaterialQualityOverridePlatform: boolean;
+	static Load(ResourceName: string): EditorPerProjectUserSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorPerProjectUserSettings;
+	static GetDefaultObject(): EditorPerProjectUserSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorPerProjectUserSettings;
+	static C(Other: UObject | any): EditorPerProjectUserSettings;
 }
 
-declare class TexAlignerBox extends TexAligner { 
-	static Load(ResourceName: string): TexAlignerBox;
-	static Find(Outer: UObject, ResourceName: string): TexAlignerBox;
-	static GetDefaultObject(): TexAlignerBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerBox;
-	static C(Other: UObject | any): TexAlignerBox;
+declare type EUnit = 'Micrometers' | 'Millimeters' | 'Centimeters' | 'Meters' | 'Kilometers' | 'Inches' | 'Feet' | 'Yards' | 'Miles' | 'Lightyears' | 'Degrees' | 'Radians' | 'MetersPerSecond' | 'KilometersPerHour' | 'MilesPerHour' | 'Celsius' | 'Farenheit' | 'Kelvin' | 'Micrograms' | 'Milligrams' | 'Grams' | 'Kilograms' | 'MetricTons' | 'Ounces' | 'Pounds' | 'Stones' | 'Newtons' | 'PoundsForce' | 'KilogramsForce' | 'Hertz' | 'Kilohertz' | 'Megahertz' | 'Gigahertz' | 'RevolutionsPerMinute' | 'Bytes' | 'Kilobytes' | 'Megabytes' | 'Gigabytes' | 'Terabytes' | 'Lumens' | 'Milliseconds' | 'Seconds' | 'Minutes' | 'Hours' | 'Days' | 'Months' | 'Years' | 'Multiplier' | 'Percentage' | 'Unspecified' | 'EUnit_MAX';
+declare var EUnit : { Micrometers:'Micrometers',Millimeters:'Millimeters',Centimeters:'Centimeters',Meters:'Meters',Kilometers:'Kilometers',Inches:'Inches',Feet:'Feet',Yards:'Yards',Miles:'Miles',Lightyears:'Lightyears',Degrees:'Degrees',Radians:'Radians',MetersPerSecond:'MetersPerSecond',KilometersPerHour:'KilometersPerHour',MilesPerHour:'MilesPerHour',Celsius:'Celsius',Farenheit:'Farenheit',Kelvin:'Kelvin',Micrograms:'Micrograms',Milligrams:'Milligrams',Grams:'Grams',Kilograms:'Kilograms',MetricTons:'MetricTons',Ounces:'Ounces',Pounds:'Pounds',Stones:'Stones',Newtons:'Newtons',PoundsForce:'PoundsForce',KilogramsForce:'KilogramsForce',Hertz:'Hertz',Kilohertz:'Kilohertz',Megahertz:'Megahertz',Gigahertz:'Gigahertz',RevolutionsPerMinute:'RevolutionsPerMinute',Bytes:'Bytes',Kilobytes:'Kilobytes',Megabytes:'Megabytes',Gigabytes:'Gigabytes',Terabytes:'Terabytes',Lumens:'Lumens',Milliseconds:'Milliseconds',Seconds:'Seconds',Minutes:'Minutes',Hours:'Hours',Days:'Days',Months:'Months',Years:'Years',Multiplier:'Multiplier',Percentage:'Percentage',Unspecified:'Unspecified',EUnit_MAX:'EUnit_MAX', };
+declare type EUnitDisplay = 'None' | 'Metric' | 'Imperial' | 'Invalid' | 'EUnitDisplay_MAX';
+declare var EUnitDisplay : { None:'None',Metric:'Metric',Imperial:'Imperial',Invalid:'Invalid',EUnitDisplay_MAX:'EUnitDisplay_MAX', };
+declare type EDefaultLocationUnit = 'Micrometers' | 'Millimeters' | 'Centimeters' | 'Meters' | 'Kilometers' | 'Inches' | 'Feet' | 'Yards' | 'Miles' | 'Invalid' | 'EDefaultLocationUnit_MAX';
+declare var EDefaultLocationUnit : { Micrometers:'Micrometers',Millimeters:'Millimeters',Centimeters:'Centimeters',Meters:'Meters',Kilometers:'Kilometers',Inches:'Inches',Feet:'Feet',Yards:'Yards',Miles:'Miles',Invalid:'Invalid',EDefaultLocationUnit_MAX:'EDefaultLocationUnit_MAX', };
+declare class EditorProjectAppearanceSettings extends DeveloperSettings { 
+	bDisplayUnits: boolean;
+	bDisplayUnitsOnComponentTransforms: boolean;
+	DistanceUnits: EUnit[];
+	MassUnits: EUnit[];
+	TimeUnits: EUnit[];
+	AngleUnits: EUnit;
+	SpeedUnits: EUnit;
+	TemperatureUnits: EUnit;
+	ForceUnits: EUnit;
+	UnitDisplay: EUnitDisplay;
+	DefaultInputUnits: EDefaultLocationUnit;
+	static Load(ResourceName: string): EditorProjectAppearanceSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorProjectAppearanceSettings;
+	static GetDefaultObject(): EditorProjectAppearanceSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorProjectAppearanceSettings;
+	static C(Other: UObject | any): EditorProjectAppearanceSettings;
 }
 
-declare class TexAlignerDefault extends TexAligner { 
-	static Load(ResourceName: string): TexAlignerDefault;
-	static Find(Outer: UObject, ResourceName: string): TexAlignerDefault;
-	static GetDefaultObject(): TexAlignerDefault;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerDefault;
-	static C(Other: UObject | any): TexAlignerDefault;
+declare type ELevelEditor2DAxis = 'X' | 'Y' | 'Z' | 'ELevelEditor2DAxis_MAX';
+declare var ELevelEditor2DAxis : { X:'X',Y:'Y',Z:'Z',ELevelEditor2DAxis_MAX:'ELevelEditor2DAxis_MAX', };
+declare class Mode2DLayer { 
+	Name: string;
+	Depth: number;
+	clone() : Mode2DLayer;
+	static C(Other: UObject | any): Mode2DLayer;
 }
 
-declare class TexAlignerFit extends TexAligner { 
-	static Load(ResourceName: string): TexAlignerFit;
-	static Find(Outer: UObject, ResourceName: string): TexAlignerFit;
-	static GetDefaultObject(): TexAlignerFit;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerFit;
-	static C(Other: UObject | any): TexAlignerFit;
+declare class LevelEditor2DSettings extends DeveloperSettings { 
+	bEnable2DWidget: boolean;
+	bEnableSnapLayers: boolean;
+	SnapAxis: ELevelEditor2DAxis;
+	SnapLayers: Mode2DLayer[];
+	static Load(ResourceName: string): LevelEditor2DSettings;
+	static Find(Outer: UObject, ResourceName: string): LevelEditor2DSettings;
+	static GetDefaultObject(): LevelEditor2DSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditor2DSettings;
+	static C(Other: UObject | any): LevelEditor2DSettings;
 }
 
-declare class TexAlignerPlanar extends TexAligner { 
-	static Load(ResourceName: string): TexAlignerPlanar;
-	static Find(Outer: UObject, ResourceName: string): TexAlignerPlanar;
-	static GetDefaultObject(): TexAlignerPlanar;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerPlanar;
-	static C(Other: UObject | any): TexAlignerPlanar;
+declare class BlueprintEditorProjectSettings extends DeveloperSettings { 
+	bDisableCompilationManager: boolean;
+	bForceAllDependenciesToRecompile: boolean;
+	bValidateUnloadedSoftActorReferences: boolean;
+	DisabledCompilerMessagesExceptEditor: string[];
+	DisabledCompilerMessages: string[];
+	static Load(ResourceName: string): BlueprintEditorProjectSettings;
+	static Find(Outer: UObject, ResourceName: string): BlueprintEditorProjectSettings;
+	static GetDefaultObject(): BlueprintEditorProjectSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintEditorProjectSettings;
+	static C(Other: UObject | any): BlueprintEditorProjectSettings;
 }
 
-declare class TextAssetCommandlet extends Commandlet { 
-	static Load(ResourceName: string): TextAssetCommandlet;
-	static Find(Outer: UObject, ResourceName: string): TextAssetCommandlet;
-	static GetDefaultObject(): TextAssetCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextAssetCommandlet;
-	static C(Other: UObject | any): TextAssetCommandlet;
-}
-
-declare class TextBufferExporterTXT extends Exporter { 
-	static Load(ResourceName: string): TextBufferExporterTXT;
-	static Find(Outer: UObject, ResourceName: string): TextBufferExporterTXT;
-	static GetDefaultObject(): TextBufferExporterTXT;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBufferExporterTXT;
-	static C(Other: UObject | any): TextBufferExporterTXT;
+declare class EditorSettings extends UObject { 
+	bLoadTheMostRecentlyLoadedProjectAtStartup: boolean;
+	bEditorAnalyticsEnabled: boolean;
+	LocalDerivedDataCache: DirectoryPath;
+	SharedDerivedDataCache: DirectoryPath;
+	RecentlyOpenedProjectFiles: string[];
+	CreatedProjectPaths: string[];
+	bCopyStarterContentPreference: boolean;
+	CompletedSurveys: Guid[];
+	InProgressSurveys: Guid[];
+	AutoScalabilityWorkScaleAmount: number;
+	static Load(ResourceName: string): EditorSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorSettings;
+	static GetDefaultObject(): EditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSettings;
+	static C(Other: UObject | any): EditorSettings;
 }
 
-declare class Texture2DFactoryNew extends Factory { 
-	Width: number;
-	Height: number;
-	static Load(ResourceName: string): Texture2DFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): Texture2DFactoryNew;
-	static GetDefaultObject(): Texture2DFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture2DFactoryNew;
-	static C(Other: UObject | any): Texture2DFactoryNew;
+declare class EditorSkeletonNotifyObj extends UObject { 
+	Name: string;
+	static Load(ResourceName: string): EditorSkeletonNotifyObj;
+	static Find(Outer: UObject, ResourceName: string): EditorSkeletonNotifyObj;
+	static GetDefaultObject(): EditorSkeletonNotifyObj;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSkeletonNotifyObj;
+	static C(Other: UObject | any): EditorSkeletonNotifyObj;
 }
 
-declare class TextureCubeExporterHDR extends Exporter { 
-	static Load(ResourceName: string): TextureCubeExporterHDR;
-	static Find(Outer: UObject, ResourceName: string): TextureCubeExporterHDR;
-	static GetDefaultObject(): TextureCubeExporterHDR;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureCubeExporterHDR;
-	static C(Other: UObject | any): TextureCubeExporterHDR;
+declare class EditorSubsystemBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): EditorSubsystemBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): EditorSubsystemBlueprintLibrary;
+	static GetDefaultObject(): EditorSubsystemBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorSubsystemBlueprintLibrary;
+	static GetEditorSubsystem(Class: UnrealEngineClass): EditorSubsystem;
+	static C(Other: UObject | any): EditorSubsystemBlueprintLibrary;
 }
 
-declare class TextureCubeThumbnailRenderer extends TextureThumbnailRenderer { 
-	static Load(ResourceName: string): TextureCubeThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): TextureCubeThumbnailRenderer;
-	static GetDefaultObject(): TextureCubeThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureCubeThumbnailRenderer;
-	static C(Other: UObject | any): TextureCubeThumbnailRenderer;
+declare class EnumFactory extends Factory { 
+	static Load(ResourceName: string): EnumFactory;
+	static Find(Outer: UObject, ResourceName: string): EnumFactory;
+	static GetDefaultObject(): EnumFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EnumFactory;
+	static C(Other: UObject | any): EnumFactory;
 }
 
-declare class TextureExporterBMP extends Exporter { 
-	static Load(ResourceName: string): TextureExporterBMP;
-	static Find(Outer: UObject, ResourceName: string): TextureExporterBMP;
-	static GetDefaultObject(): TextureExporterBMP;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterBMP;
-	static C(Other: UObject | any): TextureExporterBMP;
+declare class GatherTextCommandletBase extends Commandlet { 
+	static Load(ResourceName: string): GatherTextCommandletBase;
+	static Find(Outer: UObject, ResourceName: string): GatherTextCommandletBase;
+	static GetDefaultObject(): GatherTextCommandletBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextCommandletBase;
+	static C(Other: UObject | any): GatherTextCommandletBase;
 }
 
-declare class TextureExporterHDR extends Exporter { 
-	static Load(ResourceName: string): TextureExporterHDR;
-	static Find(Outer: UObject, ResourceName: string): TextureExporterHDR;
-	static GetDefaultObject(): TextureExporterHDR;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterHDR;
-	static C(Other: UObject | any): TextureExporterHDR;
+declare class ExportDialogueScriptCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): ExportDialogueScriptCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ExportDialogueScriptCommandlet;
+	static GetDefaultObject(): ExportDialogueScriptCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExportDialogueScriptCommandlet;
+	static C(Other: UObject | any): ExportDialogueScriptCommandlet;
 }
 
-declare class TextureExporterPCX extends Exporter { 
-	static Load(ResourceName: string): TextureExporterPCX;
-	static Find(Outer: UObject, ResourceName: string): TextureExporterPCX;
-	static GetDefaultObject(): TextureExporterPCX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterPCX;
-	static C(Other: UObject | any): TextureExporterPCX;
+declare class ExportPakDependenciesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ExportPakDependenciesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ExportPakDependenciesCommandlet;
+	static GetDefaultObject(): ExportPakDependenciesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExportPakDependenciesCommandlet;
+	static C(Other: UObject | any): ExportPakDependenciesCommandlet;
 }
 
-declare class TextureExporterTGA extends Exporter { 
-	static Load(ResourceName: string): TextureExporterTGA;
-	static Find(Outer: UObject, ResourceName: string): TextureExporterTGA;
-	static GetDefaultObject(): TextureExporterTGA;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterTGA;
-	static C(Other: UObject | any): TextureExporterTGA;
+declare class ExportTextContainer extends UObject { 
+	ExportText: string;
+	static Load(ResourceName: string): ExportTextContainer;
+	static Find(Outer: UObject, ResourceName: string): ExportTextContainer;
+	static GetDefaultObject(): ExportTextContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExportTextContainer;
+	static C(Other: UObject | any): ExportTextContainer;
 }
 
-declare class TextureRenderTargetCubeFactoryNew extends Factory { 
-	Width: number;
-	Format: number;
-	static Load(ResourceName: string): TextureRenderTargetCubeFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetCubeFactoryNew;
-	static GetDefaultObject(): TextureRenderTargetCubeFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetCubeFactoryNew;
-	static C(Other: UObject | any): TextureRenderTargetCubeFactoryNew;
+declare class FbxSceneImportData extends UObject { 
+	SourceFbxFile: string;
+	static Load(ResourceName: string): FbxSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxSceneImportData;
+	static GetDefaultObject(): FbxSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportData;
+	static C(Other: UObject | any): FbxSceneImportData;
 }
 
-declare class TextureRenderTargetFactoryNew extends Factory { 
-	Width: number;
-	Height: number;
-	Format: number;
-	static Load(ResourceName: string): TextureRenderTargetFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetFactoryNew;
-	static GetDefaultObject(): TextureRenderTargetFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetFactoryNew;
-	static C(Other: UObject | any): TextureRenderTargetFactoryNew;
+declare class FbxAssetImportData extends AssetImportData { 
+	ImportTranslation: Vector;
+	ImportRotation: Rotator;
+	ImportUniformScale: number;
+	bConvertScene: boolean;
+	bForceFrontXAxis: boolean;
+	bConvertSceneUnit: boolean;
+	bImportAsScene: boolean;
+	FbxSceneImportDataReference: FbxSceneImportData;
+	static Load(ResourceName: string): FbxAssetImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxAssetImportData;
+	static GetDefaultObject(): FbxAssetImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxAssetImportData;
+	static C(Other: UObject | any): FbxAssetImportData;
 }
 
-declare class SkeletalMeshActor extends Actor { 
-	bShouldDoAnimNotifies: boolean;
-	bWakeOnLevelStart: boolean;
-	SkeletalMeshComponent: SkeletalMeshComponent;
-	ReplicatedMesh: SkeletalMesh;
-	ReplicatedPhysAsset: PhysicsAsset;
-	ReplicatedMaterial0: MaterialInterface;
-	ReplicatedMaterial1: MaterialInterface;
-	static GetDefaultObject(): SkeletalMeshActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshActor;
-	OnRep_ReplicatedPhysAsset(): void;
-	OnRep_ReplicatedMesh(): void;
-	OnRep_ReplicatedMaterial1(): void;
-	OnRep_ReplicatedMaterial0(): void;
-	static C(Other: UObject | any): SkeletalMeshActor;
+declare type EFBXAnimationLengthImportType = 'FBXALIT_ExportedTime' | 'FBXALIT_AnimatedKey' | 'FBXALIT_SetRange' | 'FBXALIT_MAX';
+declare var EFBXAnimationLengthImportType : { FBXALIT_ExportedTime:'FBXALIT_ExportedTime',FBXALIT_AnimatedKey:'FBXALIT_AnimatedKey',FBXALIT_SetRange:'FBXALIT_SetRange',FBXALIT_MAX:'FBXALIT_MAX', };
+declare class Int32Interval { 
+	Min: number;
+	Max: number;
+	clone() : Int32Interval;
+	static C(Other: UObject | any): Int32Interval;
 }
 
-declare class AnimationThumbnailSkeletalMeshActor extends SkeletalMeshActor { 
-	static GetDefaultObject(): AnimationThumbnailSkeletalMeshActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationThumbnailSkeletalMeshActor;
-	static C(Other: UObject | any): AnimationThumbnailSkeletalMeshActor;
+declare class FbxAnimSequenceImportData extends FbxAssetImportData { 
+	bImportMeshesInBoneHierarchy: boolean;
+	AnimationLength: EFBXAnimationLengthImportType;
+	StartFrame: number;
+	EndFrame: number;
+	FrameImportRange: Int32Interval;
+	bUseDefaultSampleRate: boolean;
+	CustomSampleRate: number;
+	SourceAnimationName: string;
+	bImportCustomAttribute: boolean;
+	bImportBoneTracks: boolean;
+	bSetMaterialDriveParameterOnCustomAttribute: boolean;
+	MaterialCurveSuffixes: string[];
+	bRemoveRedundantKeys: boolean;
+	bDeleteExistingMorphTargetCurves: boolean;
+	bDoNotImportCurveWithZero: boolean;
+	bPreserveLocalTransform: boolean;
+	static Load(ResourceName: string): FbxAnimSequenceImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxAnimSequenceImportData;
+	static GetDefaultObject(): FbxAnimSequenceImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxAnimSequenceImportData;
+	static C(Other: UObject | any): FbxAnimSequenceImportData;
 }
 
-declare class ThumbnailRenderingInfo { 
-	ClassNeedingThumbnailName: string;
-	ClassNeedingThumbnail: UnrealEngineClass;
-	RendererClassName: string;
-	Renderer: ThumbnailRenderer;
-	clone() : ThumbnailRenderingInfo;
-	static C(Other: UObject | any): ThumbnailRenderingInfo;
+declare type EFBXTestPlanActionType = 'Import' | 'Reimport' | 'AddLOD' | 'ReimportLOD' | 'ImportReload' | 'EFBXTestPlanActionType_MAX';
+declare var EFBXTestPlanActionType : { Import:'Import',Reimport:'Reimport',AddLOD:'AddLOD',ReimportLOD:'ReimportLOD',ImportReload:'ImportReload',EFBXTestPlanActionType_MAX:'EFBXTestPlanActionType_MAX', };
+declare type EFBXExpectedResultPreset = 'Error_Number' | 'Warning_Number' | 'Created_Staticmesh_Number' | 'Created_Skeletalmesh_Number' | 'Materials_Created_Number' | 'Material_Slot_Imported_Name' | 'Vertex_Number' | 'Lod_Number' | 'Vertex_Number_Lod' | 'Mesh_Materials_Number' | 'Mesh_LOD_Section_Number' | 'Mesh_LOD_Section_Vertex_Number' | 'Mesh_LOD_Section_Triangle_Number' | 'Mesh_LOD_Section_Material_Name' | 'Mesh_LOD_Section_Material_Index' | 'Mesh_LOD_Section_Material_Imported_Name' | 'Mesh_LOD_Vertex_Position' | 'Mesh_LOD_Vertex_Normal' | 'LOD_UV_Channel_Number' | 'Bone_Number' | 'Bone_Position' | 'Animation_Frame_Number' | 'Animation_Length' | 'EFBXExpectedResultPreset_MAX';
+declare var EFBXExpectedResultPreset : { Error_Number:'Error_Number',Warning_Number:'Warning_Number',Created_Staticmesh_Number:'Created_Staticmesh_Number',Created_Skeletalmesh_Number:'Created_Skeletalmesh_Number',Materials_Created_Number:'Materials_Created_Number',Material_Slot_Imported_Name:'Material_Slot_Imported_Name',Vertex_Number:'Vertex_Number',Lod_Number:'Lod_Number',Vertex_Number_Lod:'Vertex_Number_Lod',Mesh_Materials_Number:'Mesh_Materials_Number',Mesh_LOD_Section_Number:'Mesh_LOD_Section_Number',Mesh_LOD_Section_Vertex_Number:'Mesh_LOD_Section_Vertex_Number',Mesh_LOD_Section_Triangle_Number:'Mesh_LOD_Section_Triangle_Number',Mesh_LOD_Section_Material_Name:'Mesh_LOD_Section_Material_Name',Mesh_LOD_Section_Material_Index:'Mesh_LOD_Section_Material_Index',Mesh_LOD_Section_Material_Imported_Name:'Mesh_LOD_Section_Material_Imported_Name',Mesh_LOD_Vertex_Position:'Mesh_LOD_Vertex_Position',Mesh_LOD_Vertex_Normal:'Mesh_LOD_Vertex_Normal',LOD_UV_Channel_Number:'LOD_UV_Channel_Number',Bone_Number:'Bone_Number',Bone_Position:'Bone_Position',Animation_Frame_Number:'Animation_Frame_Number',Animation_Length:'Animation_Length',EFBXExpectedResultPreset_MAX:'EFBXExpectedResultPreset_MAX', };
+declare class FbxTestPlanExpectedResult { 
+	ExpectedPresetsType: EFBXExpectedResultPreset;
+	ExpectedPresetsDataInteger: number[];
+	ExpectedPresetsDataFloat: number[];
+	ExpectedPresetsDataDouble: any[];
+	ExpectedPresetsDataString: string[];
+	clone() : FbxTestPlanExpectedResult;
+	static C(Other: UObject | any): FbxTestPlanExpectedResult;
 }
 
-declare class ThumbnailManager extends UObject { 
-	RenderableThumbnailTypes: ThumbnailRenderingInfo[];
-	NotSupported: ThumbnailRenderingInfo;
-	EditorCube: StaticMesh;
-	EditorSphere: StaticMesh;
-	EditorCylinder: StaticMesh;
-	EditorPlane: StaticMesh;
-	EditorSkySphere: StaticMesh;
-	FloorPlaneMaterial: Material;
-	AmbientCubemap: TextureCube;
-	CheckerboardTexture: Texture2D;
-	ThumbnailManagerClassName: string;
-	static Load(ResourceName: string): ThumbnailManager;
-	static Find(Outer: UObject, ResourceName: string): ThumbnailManager;
-	static GetDefaultObject(): ThumbnailManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ThumbnailManager;
-	static C(Other: UObject | any): ThumbnailManager;
+declare type EFBXImportType = 'FBXIT_StaticMesh' | 'FBXIT_SkeletalMesh' | 'FBXIT_Animation' | 'FBXIT_MAX';
+declare var EFBXImportType : { FBXIT_StaticMesh:'FBXIT_StaticMesh',FBXIT_SkeletalMesh:'FBXIT_SkeletalMesh',FBXIT_Animation:'FBXIT_Animation',FBXIT_MAX:'FBXIT_MAX', };
+declare type EFBXNormalImportMethod = 'FBXNIM_ComputeNormals' | 'FBXNIM_ImportNormals' | 'FBXNIM_ImportNormalsAndTangents' | 'FBXNIM_MAX';
+declare var EFBXNormalImportMethod : { FBXNIM_ComputeNormals:'FBXNIM_ComputeNormals',FBXNIM_ImportNormals:'FBXNIM_ImportNormals',FBXNIM_ImportNormalsAndTangents:'FBXNIM_ImportNormalsAndTangents',FBXNIM_MAX:'FBXNIM_MAX', };
+declare type EFBXNormalGenerationMethod = 'BuiltIn' | 'MikkTSpace' | 'EFBXNormalGenerationMethod_MAX';
+declare var EFBXNormalGenerationMethod : { BuiltIn:'BuiltIn',MikkTSpace:'MikkTSpace',EFBXNormalGenerationMethod_MAX:'EFBXNormalGenerationMethod_MAX', };
+declare class ImportMeshLodSectionsData { 
+	SectionOriginalMaterialName: string[];
+	clone() : ImportMeshLodSectionsData;
+	static C(Other: UObject | any): ImportMeshLodSectionsData;
 }
 
-declare class TouchInterfaceFactory extends Factory { 
-	static Load(ResourceName: string): TouchInterfaceFactory;
-	static Find(Outer: UObject, ResourceName: string): TouchInterfaceFactory;
-	static GetDefaultObject(): TouchInterfaceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TouchInterfaceFactory;
-	static C(Other: UObject | any): TouchInterfaceFactory;
+declare class FbxMeshImportData extends FbxAssetImportData { 
+	bTransformVertexToAbsolute: boolean;
+	bBakePivotInVertex: boolean;
+	bImportMeshLODs: boolean;
+	NormalImportMethod: EFBXNormalImportMethod;
+	NormalGenerationMethod: EFBXNormalGenerationMethod;
+	ImportMaterialOriginalNameData: string[];
+	ImportMeshLodData: ImportMeshLodSectionsData[];
+	static Load(ResourceName: string): FbxMeshImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxMeshImportData;
+	static GetDefaultObject(): FbxMeshImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxMeshImportData;
+	static C(Other: UObject | any): FbxMeshImportData;
 }
 
-declare class TransBuffer extends Transactor { 
-	static Load(ResourceName: string): TransBuffer;
-	static Find(Outer: UObject, ResourceName: string): TransBuffer;
-	static GetDefaultObject(): TransBuffer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TransBuffer;
-	static C(Other: UObject | any): TransBuffer;
-}
-
-declare class FontImportOptions extends UObject { 
-	Data: FontImportOptionsData;
-	static Load(ResourceName: string): FontImportOptions;
-	static Find(Outer: UObject, ResourceName: string): FontImportOptions;
-	static GetDefaultObject(): FontImportOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontImportOptions;
-	static C(Other: UObject | any): FontImportOptions;
+declare type EVertexColorImportOption = 'Replace' | 'Ignore' | 'Override' | 'EVertexColorImportOption_MAX';
+declare var EVertexColorImportOption : { Replace:'Replace',Ignore:'Ignore',Override:'Override',EVertexColorImportOption_MAX:'EVertexColorImportOption_MAX', };
+declare class FbxStaticMeshImportData extends FbxMeshImportData { 
+	StaticMeshLODGroup: string;
+	VertexColorImportOption: EVertexColorImportOption;
+	VertexOverrideColor: Color;
+	bRemoveDegenerates: boolean;
+	bBuildAdjacencyBuffer: boolean;
+	bBuildReversedIndexBuffer: boolean;
+	bGenerateLightmapUVs: boolean;
+	bOneConvexHullPerUCX: boolean;
+	bAutoGenerateCollision: boolean;
+	bCombineMeshes: boolean;
+	static Load(ResourceName: string): FbxStaticMeshImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxStaticMeshImportData;
+	static GetDefaultObject(): FbxStaticMeshImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxStaticMeshImportData;
+	static C(Other: UObject | any): FbxStaticMeshImportData;
 }
 
-declare class TrueTypeFontFactory extends TextureFactory { 
-	ImportOptions: FontImportOptions;
-	bPropertiesConfigured: boolean;
-	bFontSelected: boolean;
-	static Load(ResourceName: string): TrueTypeFontFactory;
-	static Find(Outer: UObject, ResourceName: string): TrueTypeFontFactory;
-	static GetDefaultObject(): TrueTypeFontFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TrueTypeFontFactory;
-	static C(Other: UObject | any): TrueTypeFontFactory;
+declare type EFBXImportContentType = 'FBXICT_All' | 'FBXICT_Geometry' | 'FBXICT_SkinningWeights' | 'FBXICT_MAX';
+declare var EFBXImportContentType : { FBXICT_All:'FBXICT_All',FBXICT_Geometry:'FBXICT_Geometry',FBXICT_SkinningWeights:'FBXICT_SkinningWeights',FBXICT_MAX:'FBXICT_MAX', };
+declare class FbxSkeletalMeshImportData extends FbxMeshImportData { 
+	ImportContentType: EFBXImportContentType;
+	LastImportContentType: EFBXImportContentType;
+	VertexColorImportOption: EVertexColorImportOption;
+	VertexOverrideColor: Color;
+	bUpdateSkeletonReferencePose: boolean;
+	bUseT0AsRefPose: boolean;
+	bPreserveSmoothingGroups: boolean;
+	bImportMeshesInBoneHierarchy: boolean;
+	bImportMorphTargets: boolean;
+	ThresholdPosition: number;
+	ThresholdTangentNormal: number;
+	ThresholdUV: number;
+	static Load(ResourceName: string): FbxSkeletalMeshImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxSkeletalMeshImportData;
+	static GetDefaultObject(): FbxSkeletalMeshImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSkeletalMeshImportData;
+	static C(Other: UObject | any): FbxSkeletalMeshImportData;
 }
 
-declare class EditorCommandCategory { 
-	Parent: string;
-	Name: string;
-	clone() : EditorCommandCategory;
-	static C(Other: UObject | any): EditorCommandCategory;
+declare type EMaterialSearchLocation = 'Local' | 'UnderParent' | 'UnderRoot' | 'AllAssets' | 'EMaterialSearchLocation_MAX';
+declare var EMaterialSearchLocation : { Local:'Local',UnderParent:'UnderParent',UnderRoot:'UnderRoot',AllAssets:'AllAssets',EMaterialSearchLocation_MAX:'EMaterialSearchLocation_MAX', };
+declare class FbxTextureImportData extends FbxAssetImportData { 
+	bInvertNormalMaps: boolean;
+	MaterialSearchLocation: EMaterialSearchLocation;
+	BaseMaterialName: SoftObjectPath;
+	BaseColorName: string;
+	BaseDiffuseTextureName: string;
+	BaseNormalTextureName: string;
+	BaseEmissiveColorName: string;
+	BaseEmmisiveTextureName: string;
+	BaseSpecularTextureName: string;
+	static Load(ResourceName: string): FbxTextureImportData;
+	static Find(Outer: UObject, ResourceName: string): FbxTextureImportData;
+	static GetDefaultObject(): FbxTextureImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxTextureImportData;
+	static C(Other: UObject | any): FbxTextureImportData;
 }
 
-declare class EditorCommand { 
-	Parent: string;
-	CommandName: string;
-	ExecCommand: string;
-	Description: string;
-	clone() : EditorCommand;
-	static C(Other: UObject | any): EditorCommand;
+declare class FbxImportUI extends UObject { 
+	bIsObjImport: boolean;
+	OriginalImportType: EFBXImportType;
+	MeshTypeToImport: EFBXImportType;
+	bOverrideFullName: boolean;
+	bImportAsSkeletal: boolean;
+	bImportMesh: boolean;
+	Skeleton: Skeleton;
+	bCreatePhysicsAsset: boolean;
+	PhysicsAsset: PhysicsAsset;
+	bAutoComputeLodDistances: boolean;
+	LodDistance0: number;
+	LodDistance1: number;
+	LodDistance2: number;
+	LodDistance3: number;
+	LodDistance4: number;
+	LodDistance5: number;
+	LodDistance6: number;
+	LodDistance7: number;
+	MinimumLodNumber: number;
+	LodNumber: number;
+	bImportAnimations: boolean;
+	OverrideAnimationName: string;
+	bImportRigidMesh: boolean;
+	bImportMaterials: boolean;
+	bImportTextures: boolean;
+	StaticMeshImportData: FbxStaticMeshImportData;
+	SkeletalMeshImportData: FbxSkeletalMeshImportData;
+	AnimSequenceImportData: FbxAnimSequenceImportData;
+	TextureImportData: FbxTextureImportData;
+	bAutomatedImportShouldDetectType: boolean;
+	FileVersion: string;
+	FileCreator: string;
+	FileCreatorApplication: string;
+	FileUnits: string;
+	FileAxisDirection: string;
+	FileSampleRate: string;
+	AnimStartFrame: string;
+	AnimEndFrame: string;
+	static Load(ResourceName: string): FbxImportUI;
+	static Find(Outer: UObject, ResourceName: string): FbxImportUI;
+	static GetDefaultObject(): FbxImportUI;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxImportUI;
+	ResetToDefault(): void;
+	static C(Other: UObject | any): FbxImportUI;
 }
 
-declare class EditorKeyBinding { 
-	bCtrlDown: boolean;
-	bAltDown: boolean;
-	bShiftDown: boolean;
-	Key: Key;
-	CommandName: string;
-	clone() : EditorKeyBinding;
-	static C(Other: UObject | any): EditorKeyBinding;
+declare class FbxTestPlan extends UObject { 
+	TestPlanName: string;
+	Action: EFBXTestPlanActionType;
+	LODIndex: number;
+	bDeleteFolderAssets: boolean;
+	ExpectedResult: FbxTestPlanExpectedResult[];
+	ImportUI: FbxImportUI;
+	static Load(ResourceName: string): FbxTestPlan;
+	static Find(Outer: UObject, ResourceName: string): FbxTestPlan;
+	static GetDefaultObject(): FbxTestPlan;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxTestPlan;
+	static C(Other: UObject | any): FbxTestPlan;
 }
 
-declare class UnrealEdKeyBindings extends UObject { 
-	KeyBindings: EditorKeyBinding[];
-	static Load(ResourceName: string): UnrealEdKeyBindings;
-	static Find(Outer: UObject, ResourceName: string): UnrealEdKeyBindings;
-	static GetDefaultObject(): UnrealEdKeyBindings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdKeyBindings;
-	static C(Other: UObject | any): UnrealEdKeyBindings;
+declare type EFbxExportCompatibility = 'FBX_2011' | 'FBX_2012' | 'FBX_2013' | 'FBX_2014' | 'FBX_2016' | 'FBX_2018' | 'FBX_MAX';
+declare var EFbxExportCompatibility : { FBX_2011:'FBX_2011',FBX_2012:'FBX_2012',FBX_2013:'FBX_2013',FBX_2014:'FBX_2014',FBX_2016:'FBX_2016',FBX_2018:'FBX_2018',FBX_MAX:'FBX_MAX', };
+declare class FbxExportOption extends UObject { 
+	FbxExportCompatibility: EFbxExportCompatibility;
+	bASCII: boolean;
+	bForceFrontXAxis: boolean;
+	VertexColor: boolean;
+	LevelOfDetail: boolean;
+	Collision: boolean;
+	bExportPreviewMesh: boolean;
+	MapSkeletalMotionToRoot: boolean;
+	static Load(ResourceName: string): FbxExportOption;
+	static Find(Outer: UObject, ResourceName: string): FbxExportOption;
+	static GetDefaultObject(): FbxExportOption;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxExportOption;
+	static C(Other: UObject | any): FbxExportOption;
 }
 
-declare class ClassPickerDefaults { 
-	ClassName: string;
-	AssetClass: string;
-	clone() : ClassPickerDefaults;
-	static C(Other: UObject | any): ClassPickerDefaults;
+declare class FbxFactory extends Factory { 
+	ImportUI: FbxImportUI;
+	OriginalImportUI: FbxImportUI;
+	static Load(ResourceName: string): FbxFactory;
+	static Find(Outer: UObject, ResourceName: string): FbxFactory;
+	static GetDefaultObject(): FbxFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxFactory;
+	static C(Other: UObject | any): FbxFactory;
 }
 
-declare class UnrealEdOptions extends UObject { 
-	EditorCategories: EditorCommandCategory[];
-	EditorCommands: EditorCommand[];
-	EditorKeyBindings: UnrealEdKeyBindings;
-	bExpandClassPickerClassList: boolean;
-	NewAssetDefaultClasses: ClassPickerDefaults[];
-	static Load(ResourceName: string): UnrealEdOptions;
-	static Find(Outer: UObject, ResourceName: string): UnrealEdOptions;
-	static GetDefaultObject(): UnrealEdOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdOptions;
-	static C(Other: UObject | any): UnrealEdOptions;
+declare class SceneImportFactory extends Factory { 
+	static Load(ResourceName: string): SceneImportFactory;
+	static Find(Outer: UObject, ResourceName: string): SceneImportFactory;
+	static GetDefaultObject(): SceneImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneImportFactory;
+	static C(Other: UObject | any): SceneImportFactory;
 }
 
-declare class TemplateMapInfo { 
-	ThumbnailTexture: Texture2D;
-	Map: string;
-	clone() : TemplateMapInfo;
-	static C(Other: UObject | any): TemplateMapInfo;
+declare type EFBXSceneOptionsCreateHierarchyType = 'FBXSOCHT_CreateLevelActors' | 'FBXSOCHT_CreateActorComponents' | 'FBXSOCHT_CreateBlueprint' | 'FBXSOCHT_MAX';
+declare var EFBXSceneOptionsCreateHierarchyType : { FBXSOCHT_CreateLevelActors:'FBXSOCHT_CreateLevelActors',FBXSOCHT_CreateActorComponents:'FBXSOCHT_CreateActorComponents',FBXSOCHT_CreateBlueprint:'FBXSOCHT_CreateBlueprint',FBXSOCHT_MAX:'FBXSOCHT_MAX', };
+declare class FbxSceneImportOptions extends UObject { 
+	bCreateContentFolderHierarchy: boolean;
+	bImportAsDynamic: boolean;
+	HierarchyType: EFBXSceneOptionsCreateHierarchyType;
+	bForceFrontXAxis: boolean;
+	ImportTranslation: Vector;
+	ImportRotation: Rotator;
+	ImportUniformScale: number;
+	bTransformVertexToAbsolute: boolean;
+	bBakePivotInVertex: boolean;
+	bImportStaticMeshLODs: boolean;
+	bImportSkeletalMeshLODs: boolean;
+	bInvertNormalMaps: boolean;
+	static Load(ResourceName: string): FbxSceneImportOptions;
+	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptions;
+	static GetDefaultObject(): FbxSceneImportOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptions;
+	static C(Other: UObject | any): FbxSceneImportOptions;
 }
 
-declare class UnrealEdEngine extends EditorEngine { 
-	EditorOptionsInst: UnrealEdOptions;
-	AutoReimportManager: AutoReimportManager;
-	MaterialCopyPasteBuffer: Material;
-	MatineeCopyPasteBuffer: UObject[];
-	SoundCueCopyPasteBuffer: SoundCue;
-	AnimationCompressionAlgorithms: AnimCompress[];
-	PackagesToBeFullyLoadedAtStartup: string[];
-	CurrentLODParentActor: Actor;
-	bNeedWarningForPkgEngineVer: boolean;
-	bNeedWarningForWritePermission: boolean;
-	SortedSpriteCategories: string[];
-	TemplateMapInfos: TemplateMapInfo[];
-	CookServer: CookOnTheFlyServer;
-	static Load(ResourceName: string): UnrealEdEngine;
-	static Find(Outer: UObject, ResourceName: string): UnrealEdEngine;
-	static GetDefaultObject(): UnrealEdEngine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdEngine;
-	static C(Other: UObject | any): UnrealEdEngine;
+declare type EFbxSceneVertexColorImportOption = 'Replace' | 'Ignore' | 'Override' | 'EFbxSceneVertexColorImportOption_MAX';
+declare var EFbxSceneVertexColorImportOption : { Replace:'Replace',Ignore:'Ignore',Override:'Override',EFbxSceneVertexColorImportOption_MAX:'EFbxSceneVertexColorImportOption_MAX', };
+declare type EFBXSceneNormalImportMethod = 'FBXSceneNIM_ComputeNormals' | 'FBXSceneNIM_ImportNormals' | 'FBXSceneNIM_ImportNormalsAndTangents' | 'FBXSceneNIM_MAX';
+declare var EFBXSceneNormalImportMethod : { FBXSceneNIM_ComputeNormals:'FBXSceneNIM_ComputeNormals',FBXSceneNIM_ImportNormals:'FBXSceneNIM_ImportNormals',FBXSceneNIM_ImportNormalsAndTangents:'FBXSceneNIM_ImportNormalsAndTangents',FBXSceneNIM_MAX:'FBXSceneNIM_MAX', };
+declare type EFBXSceneNormalGenerationMethod = 'BuiltIn' | 'MikkTSpace' | 'EFBXSceneNormalGenerationMethod_MAX';
+declare var EFBXSceneNormalGenerationMethod : { BuiltIn:'BuiltIn',MikkTSpace:'MikkTSpace',EFBXSceneNormalGenerationMethod_MAX:'EFBXSceneNormalGenerationMethod_MAX', };
+declare class FbxSceneImportOptionsStaticMesh extends UObject { 
+	StaticMeshLODGroup: string;
+	bAutoGenerateCollision: boolean;
+	VertexColorImportOption: EFbxSceneVertexColorImportOption;
+	VertexOverrideColor: Color;
+	bRemoveDegenerates: boolean;
+	bBuildAdjacencyBuffer: boolean;
+	bBuildReversedIndexBuffer: boolean;
+	bGenerateLightmapUVs: boolean;
+	bOneConvexHullPerUCX: boolean;
+	NormalImportMethod: EFBXSceneNormalImportMethod;
+	NormalGenerationMethod: EFBXSceneNormalGenerationMethod;
+	static Load(ResourceName: string): FbxSceneImportOptionsStaticMesh;
+	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptionsStaticMesh;
+	static GetDefaultObject(): FbxSceneImportOptionsStaticMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptionsStaticMesh;
+	static C(Other: UObject | any): FbxSceneImportOptionsStaticMesh;
 }
 
-declare class UnrealEdTypes extends UObject { 
-	static Load(ResourceName: string): UnrealEdTypes;
-	static Find(Outer: UObject, ResourceName: string): UnrealEdTypes;
-	static GetDefaultObject(): UnrealEdTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdTypes;
-	static C(Other: UObject | any): UnrealEdTypes;
+declare class FbxSceneImportOptionsSkeletalMesh extends UObject { 
+	bUpdateSkeletonReferencePose: boolean;
+	bCreatePhysicsAsset: boolean;
+	bUseT0AsRefPose: boolean;
+	bPreserveSmoothingGroups: boolean;
+	bImportMeshesInBoneHierarchy: boolean;
+	bImportMorphTargets: boolean;
+	ThresholdPosition: number;
+	ThresholdTangentNormal: number;
+	ThresholdUV: number;
+	bImportAnimations: boolean;
+	AnimationLength: EFBXAnimationLengthImportType;
+	FrameImportRange: Int32Interval;
+	bUseDefaultSampleRate: boolean;
+	CustomSampleRate: number;
+	bImportCustomAttribute: boolean;
+	bPreserveLocalTransform: boolean;
+	bDeleteExistingMorphTargetCurves: boolean;
+	static Load(ResourceName: string): FbxSceneImportOptionsSkeletalMesh;
+	static Find(Outer: UObject, ResourceName: string): FbxSceneImportOptionsSkeletalMesh;
+	static GetDefaultObject(): FbxSceneImportOptionsSkeletalMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportOptionsSkeletalMesh;
+	static C(Other: UObject | any): FbxSceneImportOptionsSkeletalMesh;
 }
 
-declare class UpdateGameProjectCommandlet extends Commandlet { 
-	static Load(ResourceName: string): UpdateGameProjectCommandlet;
-	static Find(Outer: UObject, ResourceName: string): UpdateGameProjectCommandlet;
-	static GetDefaultObject(): UpdateGameProjectCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UpdateGameProjectCommandlet;
-	static C(Other: UObject | any): UpdateGameProjectCommandlet;
+declare class FbxSceneImportFactory extends SceneImportFactory { 
+	SceneImportOptions: FbxSceneImportOptions;
+	SceneImportOptionsStaticMesh: FbxSceneImportOptionsStaticMesh;
+	SceneImportOptionsSkeletalMesh: FbxSceneImportOptionsSkeletalMesh;
+	StaticMeshImportData: FbxStaticMeshImportData;
+	SkeletalMeshImportData: FbxSkeletalMeshImportData;
+	AnimSequenceImportData: FbxAnimSequenceImportData;
+	TextureImportData: FbxTextureImportData;
+	ReimportData: FbxSceneImportData;
+	static Load(ResourceName: string): FbxSceneImportFactory;
+	static Find(Outer: UObject, ResourceName: string): FbxSceneImportFactory;
+	static GetDefaultObject(): FbxSceneImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FbxSceneImportFactory;
+	static C(Other: UObject | any): FbxSceneImportFactory;
 }
 
-declare class StructVariableDescription { 
-	VarName: string;
-	VarGuid: Guid;
-	FriendlyName: string;
-	DefaultValue: string;
-	Category: string;
-	SubCategory: string;
-	SubCategoryObject: any;
-	PinValueType: EdGraphTerminalType;
-	ContainerType: EPinContainerType;
-	bIsArray: boolean;
-	bIsSet: boolean;
-	bIsMap: boolean;
-	bInvalidMember: boolean;
-	bDontEditoOnInstance: boolean;
-	bEnableMultiLineText: boolean;
-	bEnable3dWidget: boolean;
-	CurrentDefaultValue: string;
-	Tooltip: string;
-	clone() : StructVariableDescription;
-	static C(Other: UObject | any): StructVariableDescription;
+declare class EditorLoadingAndSavingUtils extends UObject { 
+	static Load(ResourceName: string): EditorLoadingAndSavingUtils;
+	static Find(Outer: UObject, ResourceName: string): EditorLoadingAndSavingUtils;
+	static GetDefaultObject(): EditorLoadingAndSavingUtils;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorLoadingAndSavingUtils;
+	static UnloadPackages(PackagesToUnload: Package[],bOutAnyPackagesUnloaded?: boolean,OutErrorMessage?: string): {bOutAnyPackagesUnloaded: boolean, OutErrorMessage: string};
+	static SavePackagesWithDialog(PackagesToSave: Package[],bOnlyDirty: boolean): boolean;
+	static SavePackages(PackagesToSave: Package[],bOnlyDirty: boolean): boolean;
+	static SaveMap(World: World,AssetPath: string): boolean;
+	static SaveDirtyPackagesWithDialog(bSaveMapPackages: boolean,bSaveContentPackages: boolean): boolean;
+	static SaveDirtyPackages(bSaveMapPackages: boolean,bSaveContentPackages: boolean): boolean;
+	static SaveCurrentLevel(): boolean;
+	static NewMapFromTemplate(PathToTemplateLevel: string,bSaveExistingMap: boolean): World;
+	static NewBlankMap(bSaveExistingMap: boolean): World;
+	static LoadMapWithDialog(): World;
+	static LoadMap(Filename: string): World;
+	static ImportScene(Filename: string): void;
+	static GetDirtyMapPackages(OutDirtyPackages?: Package[]): {OutDirtyPackages: Package[]};
+	static GetDirtyContentPackages(OutDirtyPackages?: Package[]): {OutDirtyPackages: Package[]};
+	static ExportScene(bExportSelectedActorsOnly: boolean): void;
+	static C(Other: UObject | any): EditorLoadingAndSavingUtils;
 }
 
-declare class UserDefinedStructEditorData extends UObject { 
-	UniqueNameId: any;
-	VariablesDescriptions: StructVariableDescription[];
-	Tooltip: string;
-	static Load(ResourceName: string): UserDefinedStructEditorData;
-	static Find(Outer: UObject, ResourceName: string): UserDefinedStructEditorData;
-	static GetDefaultObject(): UserDefinedStructEditorData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedStructEditorData;
-	static C(Other: UObject | any): UserDefinedStructEditorData;
+declare class FileServerCommandlet extends Commandlet { 
+	static Load(ResourceName: string): FileServerCommandlet;
+	static Find(Outer: UObject, ResourceName: string): FileServerCommandlet;
+	static GetDefaultObject(): FileServerCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FileServerCommandlet;
+	static C(Other: UObject | any): FileServerCommandlet;
 }
 
-declare class VolumetricBuilder extends EditorBrushBuilder { 
-	Z: number;
-	Radius: number;
-	NumSheets: number;
-	GroupName: string;
-	static Load(ResourceName: string): VolumetricBuilder;
-	static Find(Outer: UObject, ResourceName: string): VolumetricBuilder;
-	static GetDefaultObject(): VolumetricBuilder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumetricBuilder;
-	static C(Other: UObject | any): VolumetricBuilder;
+declare class FixConflictingLocalizationKeysCommandlet extends Commandlet { 
+	static Load(ResourceName: string): FixConflictingLocalizationKeysCommandlet;
+	static Find(Outer: UObject, ResourceName: string): FixConflictingLocalizationKeysCommandlet;
+	static GetDefaultObject(): FixConflictingLocalizationKeysCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FixConflictingLocalizationKeysCommandlet;
+	static C(Other: UObject | any): FixConflictingLocalizationKeysCommandlet;
 }
 
-declare class WorldFactory extends Factory { 
-	static Load(ResourceName: string): WorldFactory;
-	static Find(Outer: UObject, ResourceName: string): WorldFactory;
-	static GetDefaultObject(): WorldFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldFactory;
-	static C(Other: UObject | any): WorldFactory;
+declare class ResavePackagesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ResavePackagesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ResavePackagesCommandlet;
+	static GetDefaultObject(): ResavePackagesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ResavePackagesCommandlet;
+	static C(Other: UObject | any): ResavePackagesCommandlet;
 }
 
-declare type EOrthoThumbnailDirection = 'Top' | 'Bottom' | 'Left' | 'Right' | 'Front' | 'Back' | 'EOrthoThumbnailDirection_MAX';
-declare var EOrthoThumbnailDirection : { Top:'Top',Bottom:'Bottom',Left:'Left',Right:'Right',Front:'Front',Back:'Back',EOrthoThumbnailDirection_MAX:'EOrthoThumbnailDirection_MAX', };
-declare class WorldThumbnailInfo extends SceneThumbnailInfo { 
-	CameraMode: ECameraProjectionMode;
-	OrthoDirection: EOrthoThumbnailDirection;
-	static Load(ResourceName: string): WorldThumbnailInfo;
-	static Find(Outer: UObject, ResourceName: string): WorldThumbnailInfo;
-	static GetDefaultObject(): WorldThumbnailInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldThumbnailInfo;
-	static C(Other: UObject | any): WorldThumbnailInfo;
+declare class FixupNeedsLoadForEditorGameCommandlet extends ResavePackagesCommandlet { 
+	static Load(ResourceName: string): FixupNeedsLoadForEditorGameCommandlet;
+	static Find(Outer: UObject, ResourceName: string): FixupNeedsLoadForEditorGameCommandlet;
+	static GetDefaultObject(): FixupNeedsLoadForEditorGameCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FixupNeedsLoadForEditorGameCommandlet;
+	static C(Other: UObject | any): FixupNeedsLoadForEditorGameCommandlet;
 }
 
-declare class WorldThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	GlobalOrbitPitchOffset: number;
-	GlobalOrbitYawOffset: number;
-	bUseUnlitScene: boolean;
-	bAllowWorldThumbnails: boolean;
-	static Load(ResourceName: string): WorldThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): WorldThumbnailRenderer;
-	static GetDefaultObject(): WorldThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldThumbnailRenderer;
-	static C(Other: UObject | any): WorldThumbnailRenderer;
+declare class FontFactory extends Factory { 
+	static Load(ResourceName: string): FontFactory;
+	static Find(Outer: UObject, ResourceName: string): FontFactory;
+	static GetDefaultObject(): FontFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFactory;
+	static C(Other: UObject | any): FontFactory;
 }
 
-declare class WrangleContentCommandlet extends Commandlet { 
-	static Load(ResourceName: string): WrangleContentCommandlet;
-	static Find(Outer: UObject, ResourceName: string): WrangleContentCommandlet;
-	static GetDefaultObject(): WrangleContentCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrangleContentCommandlet;
-	static C(Other: UObject | any): WrangleContentCommandlet;
+declare class FontFileImportFactory extends Factory { 
+	static Load(ResourceName: string): FontFileImportFactory;
+	static Find(Outer: UObject, ResourceName: string): FontFileImportFactory;
+	static GetDefaultObject(): FontFileImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFileImportFactory;
+	static C(Other: UObject | any): FontFileImportFactory;
 }
 
-declare class InstancedStaticMeshInstanceData { 
-	Transform: Matrix;
-	clone() : InstancedStaticMeshInstanceData;
-	static C(Other: UObject | any): InstancedStaticMeshInstanceData;
+declare class TextureThumbnailRenderer extends ThumbnailRenderer { 
+	static Load(ResourceName: string): TextureThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): TextureThumbnailRenderer;
+	static GetDefaultObject(): TextureThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureThumbnailRenderer;
+	static C(Other: UObject | any): TextureThumbnailRenderer;
 }
 
-declare class PhysicsSerializer extends UObject { 
-	static Load(ResourceName: string): PhysicsSerializer;
-	static Find(Outer: UObject, ResourceName: string): PhysicsSerializer;
-	static GetDefaultObject(): PhysicsSerializer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsSerializer;
-	static C(Other: UObject | any): PhysicsSerializer;
+declare class FontThumbnailRenderer extends TextureThumbnailRenderer { 
+	static Load(ResourceName: string): FontThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): FontThumbnailRenderer;
+	static GetDefaultObject(): FontThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontThumbnailRenderer;
+	static C(Other: UObject | any): FontThumbnailRenderer;
 }
 
-declare class InstancedStaticMeshMappingInfo { 
-	clone() : InstancedStaticMeshMappingInfo;
-	static C(Other: UObject | any): InstancedStaticMeshMappingInfo;
+declare class ForceFeedbackAttenuationFactory extends Factory { 
+	static Load(ResourceName: string): ForceFeedbackAttenuationFactory;
+	static Find(Outer: UObject, ResourceName: string): ForceFeedbackAttenuationFactory;
+	static GetDefaultObject(): ForceFeedbackAttenuationFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ForceFeedbackAttenuationFactory;
+	static C(Other: UObject | any): ForceFeedbackAttenuationFactory;
 }
 
-declare class InstancedStaticMeshComponent extends StaticMeshComponent { 
-	PerInstanceSMData: InstancedStaticMeshInstanceData[];
-	InstancingRandomSeed: number;
-	InstanceStartCullDistance: number;
-	InstanceEndCullDistance: number;
-	InstanceReorderTable: number[];
-	RemovedInstances: number[];
-	UseDynamicInstanceBuffer: boolean;
-	KeepInstanceBufferCPUAccess: boolean;
-	PhysicsSerializer: PhysicsSerializer;
-	NumPendingLightmaps: number;
-	CachedMappings: InstancedStaticMeshMappingInfo[];
-	static Load(ResourceName: string): InstancedStaticMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): InstancedStaticMeshComponent;
-	static GetDefaultObject(): InstancedStaticMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InstancedStaticMeshComponent;
-	UpdateInstanceTransform(InstanceIndex: number,NewInstanceTransform: Transform,bWorldSpace: boolean,bMarkRenderStateDirty: boolean,bTeleport: boolean): boolean;
-	SetCullDistances(StartCullDistance: number,EndCullDistance: number): void;
-	RemoveInstance(InstanceIndex: number): boolean;
-	GetInstanceTransform(InstanceIndex: number,OutInstanceTransform?: Transform,bWorldSpace?: boolean): {OutInstanceTransform: Transform, $: boolean};
-	GetInstancesOverlappingSphere(Center: Vector,Radius: number,bSphereInWorldSpace: boolean): number[];
-	GetInstancesOverlappingBox(Box: Box,bBoxInWorldSpace: boolean): number[];
-	GetInstanceCount(): number;
-	ClearInstances(): void;
-	AddInstanceWorldSpace(WorldTransform: Transform): number;
-	AddInstance(InstanceTransform: Transform): number;
-	static C(Other: UObject | any): InstancedStaticMeshComponent;
+declare class ForceFeedbackEffectFactory extends Factory { 
+	static Load(ResourceName: string): ForceFeedbackEffectFactory;
+	static Find(Outer: UObject, ResourceName: string): ForceFeedbackEffectFactory;
+	static GetDefaultObject(): ForceFeedbackEffectFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ForceFeedbackEffectFactory;
+	static C(Other: UObject | any): ForceFeedbackEffectFactory;
 }
 
-declare class HierarchicalInstancedStaticMeshComponent extends InstancedStaticMeshComponent { 
-	SortedInstances: number[];
-	NumBuiltInstances: number;
-	BuiltInstanceBounds: Box;
-	UnbuiltInstanceBounds: Box;
-	UnbuiltInstanceBoundsList: Box[];
-	UnbuiltInstanceIndexList: number[];
-	bEnableDensityScaling: boolean;
-	OcclusionLayerNumNodes: number;
-	CacheMeshExtendedBounds: BoxSphereBounds;
-	bDisableCollision: boolean;
-	static Load(ResourceName: string): HierarchicalInstancedStaticMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): HierarchicalInstancedStaticMeshComponent;
-	static GetDefaultObject(): HierarchicalInstancedStaticMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalInstancedStaticMeshComponent;
-	RemoveInstances(InstancesToRemove: number[]): boolean;
-	static C(Other: UObject | any): HierarchicalInstancedStaticMeshComponent;
+declare class GatherTextCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GatherTextCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GatherTextCommandlet;
+	static GetDefaultObject(): GatherTextCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextCommandlet;
+	static C(Other: UObject | any): GatherTextCommandlet;
 }
 
-declare class FoliageInstancedStaticMeshComponent extends HierarchicalInstancedStaticMeshComponent { 
-	OnInstanceTakePointDamage: UnrealEngineMulticastDelegate<(InstanceIndex: number, Damage: number, InstigatedBy: Controller, HitLocation: Vector, ShotFromDirection: Vector, DamageType: DamageType, DamageCauser: Actor) => void>;
-	OnInstanceTakeRadialDamage: UnrealEngineMulticastDelegate<(Instances: number[], Damages: number[], InstigatedBy: Controller, Origin: Vector, MaxRadius: number, DamageType: DamageType, DamageCauser: Actor) => void>;
-	FoliageHiddenEditorViews: any;
-	static Load(ResourceName: string): FoliageInstancedStaticMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): FoliageInstancedStaticMeshComponent;
-	static GetDefaultObject(): FoliageInstancedStaticMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageInstancedStaticMeshComponent;
-	static C(Other: UObject | any): FoliageInstancedStaticMeshComponent;
+declare class GatherTextFromAssetsCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GatherTextFromAssetsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GatherTextFromAssetsCommandlet;
+	static GetDefaultObject(): GatherTextFromAssetsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromAssetsCommandlet;
+	static C(Other: UObject | any): GatherTextFromAssetsCommandlet;
 }
 
-declare class FoliageStatistics extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): FoliageStatistics;
-	static Find(Outer: UObject, ResourceName: string): FoliageStatistics;
-	static GetDefaultObject(): FoliageStatistics;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageStatistics;
-	static FoliageOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	static FoliageOverlappingBoxCount(WorldContextObject: UObject,StaticMesh: StaticMesh,Box: Box): number;
-	static C(Other: UObject | any): FoliageStatistics;
+declare class GatherTextFromMetaDataCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GatherTextFromMetaDataCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GatherTextFromMetaDataCommandlet;
+	static GetDefaultObject(): GatherTextFromMetaDataCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromMetaDataCommandlet;
+	static C(Other: UObject | any): GatherTextFromMetaDataCommandlet;
 }
 
-declare type EFoliageScaling = 'Uniform' | 'Free' | 'LockXY' | 'LockXZ' | 'LockYZ' | 'EFoliageScaling_MAX';
-declare var EFoliageScaling : { Uniform:'Uniform',Free:'Free',LockXY:'LockXY',LockXZ:'LockXZ',LockYZ:'LockYZ',EFoliageScaling_MAX:'EFoliageScaling_MAX', };
-declare class FloatInterval { 
-	Min: number;
-	Max: number;
-	clone() : FloatInterval;
-	static C(Other: UObject | any): FloatInterval;
+declare class GatherTextFromSourceCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GatherTextFromSourceCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GatherTextFromSourceCommandlet;
+	static GetDefaultObject(): GatherTextFromSourceCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GatherTextFromSourceCommandlet;
+	static C(Other: UObject | any): GatherTextFromSourceCommandlet;
 }
 
-declare class FoliageVertexColorChannelMask { 
-	UseMask: boolean;
-	MaskThreshold: number;
-	InvertMask: boolean;
-	clone() : FoliageVertexColorChannelMask;
-	static C(Other: UObject | any): FoliageVertexColorChannelMask;
+declare class GenerateAssetManifestCommandlet extends Commandlet { 
+	static Load(ResourceName: string): GenerateAssetManifestCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateAssetManifestCommandlet;
+	static GetDefaultObject(): GenerateAssetManifestCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateAssetManifestCommandlet;
+	static C(Other: UObject | any): GenerateAssetManifestCommandlet;
 }
 
-declare type FoliageVertexColorMask = 'FOLIAGEVERTEXCOLORMASK_Disabled' | 'FOLIAGEVERTEXCOLORMASK_Red' | 'FOLIAGEVERTEXCOLORMASK_Green' | 'FOLIAGEVERTEXCOLORMASK_Blue' | 'FOLIAGEVERTEXCOLORMASK_Alpha' | 'FOLIAGEVERTEXCOLORMASK_MAX';
-declare var FoliageVertexColorMask : { FOLIAGEVERTEXCOLORMASK_Disabled:'FOLIAGEVERTEXCOLORMASK_Disabled',FOLIAGEVERTEXCOLORMASK_Red:'FOLIAGEVERTEXCOLORMASK_Red',FOLIAGEVERTEXCOLORMASK_Green:'FOLIAGEVERTEXCOLORMASK_Green',FOLIAGEVERTEXCOLORMASK_Blue:'FOLIAGEVERTEXCOLORMASK_Blue',FOLIAGEVERTEXCOLORMASK_Alpha:'FOLIAGEVERTEXCOLORMASK_Alpha',FOLIAGEVERTEXCOLORMASK_MAX:'FOLIAGEVERTEXCOLORMASK_MAX', };
-declare class FoliageType extends UObject { 
-	UpdateGuid: Guid;
-	Density: number;
-	DensityAdjustmentFactor: number;
-	Radius: number;
-	Scaling: EFoliageScaling;
-	ScaleX: FloatInterval;
-	ScaleY: FloatInterval;
-	ScaleZ: FloatInterval;
-	VertexColorMaskByChannel: FoliageVertexColorChannelMask;
-	VertexColorMask: FoliageVertexColorMask;
-	VertexColorMaskThreshold: number;
-	VertexColorMaskInvert: boolean;
-	ZOffset: FloatInterval;
-	AlignToNormal: boolean;
-	AlignMaxAngle: number;
-	RandomYaw: boolean;
-	RandomPitchAngle: number;
-	GroundSlopeAngle: FloatInterval;
-	Height: FloatInterval;
-	LandscapeLayers: string[];
-	LandscapeLayer: string;
-	CollisionWithWorld: boolean;
-	CollisionScale: Vector;
-	MinimumLayerWeight: number;
-	MeshBounds: BoxSphereBounds;
-	LowBoundOriginRadius: Vector;
-	Mobility: EComponentMobility;
-	CullDistance: Int32Interval;
-	bEnableStaticLighting: boolean;
-	CastShadow: boolean;
-	bAffectDynamicIndirectLighting: boolean;
-	bAffectDistanceFieldLighting: boolean;
-	bCastDynamicShadow: boolean;
-	bCastStaticShadow: boolean;
-	bCastShadowAsTwoSided: boolean;
-	bReceivesDecals: boolean;
-	bOverrideLightMapRes: boolean;
-	OverriddenLightMapRes: number;
-	LightmapType: ELightmapType;
-	bUseAsOccluder: boolean;
-	BodyInstance: BodyInstance;
-	CustomNavigableGeometry: EHasCustomNavigableGeometry;
-	LightingChannels: LightingChannels;
-	bRenderCustomDepth: boolean;
-	CustomDepthStencilValue: number;
-	HiddenEditorViews: any;
-	IsSelected: boolean;
-	CollisionRadius: number;
-	ShadeRadius: number;
-	NumSteps: number;
-	InitialSeedDensity: number;
-	AverageSpreadDistance: number;
-	SpreadVariance: number;
-	SeedsPerStep: number;
-	DistributionSeed: number;
-	MaxInitialSeedOffset: number;
-	bCanGrowInShade: boolean;
-	bSpawnsInShade: boolean;
-	MaxInitialAge: number;
-	MaxAge: number;
-	OverlapPriority: number;
-	ProceduralScale: FloatInterval;
-	ScaleCurve: RuntimeFloatCurve;
-	ChangeCount: number;
-	ReapplyDensity: boolean;
-	ReapplyRadius: boolean;
-	ReapplyAlignToNormal: boolean;
-	ReapplyRandomYaw: boolean;
-	ReapplyScaling: boolean;
-	ReapplyScaleX: boolean;
-	ReapplyScaleY: boolean;
-	ReapplyScaleZ: boolean;
-	ReapplyRandomPitchAngle: boolean;
-	ReapplyGroundSlope: boolean;
-	ReapplyHeight: boolean;
-	ReapplyLandscapeLayers: boolean;
-	ReapplyZOffset: boolean;
-	ReapplyCollisionWithWorld: boolean;
-	ReapplyVertexColorMask: boolean;
-	bEnableDensityScaling: boolean;
-	ScaleMinX: number;
-	ScaleMinY: number;
-	ScaleMinZ: number;
-	ScaleMaxX: number;
-	ScaleMaxY: number;
-	ScaleMaxZ: number;
-	HeightMin: number;
-	HeightMax: number;
-	ZOffsetMin: number;
-	ZOffsetMax: number;
-	StartCullDistance: number;
-	EndCullDistance: number;
-	UniformScale: boolean;
-	LockScaleX: boolean;
-	LockScaleY: boolean;
-	LockScaleZ: boolean;
-	GroundSlope: number;
-	MinGroundSlope: number;
-	MinScale: number;
-	MaxScale: number;
-	static Load(ResourceName: string): FoliageType;
-	static Find(Outer: UObject, ResourceName: string): FoliageType;
-	static GetDefaultObject(): FoliageType;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageType;
-	static C(Other: UObject | any): FoliageType;
+declare class GenerateBlueprintAPICommandlet extends Commandlet { 
+	static Load(ResourceName: string): GenerateBlueprintAPICommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateBlueprintAPICommandlet;
+	static GetDefaultObject(): GenerateBlueprintAPICommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateBlueprintAPICommandlet;
+	static C(Other: UObject | any): GenerateBlueprintAPICommandlet;
 }
 
-declare class FoliageType_InstancedStaticMesh extends FoliageType { 
-	Mesh: StaticMesh;
-	OverrideMaterials: MaterialInterface[];
-	ComponentClass: UnrealEngineClass;
-	static Load(ResourceName: string): FoliageType_InstancedStaticMesh;
-	static Find(Outer: UObject, ResourceName: string): FoliageType_InstancedStaticMesh;
-	static GetDefaultObject(): FoliageType_InstancedStaticMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageType_InstancedStaticMesh;
-	static C(Other: UObject | any): FoliageType_InstancedStaticMesh;
+declare class GenerateDistillFileSetsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): GenerateDistillFileSetsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateDistillFileSetsCommandlet;
+	static GetDefaultObject(): GenerateDistillFileSetsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateDistillFileSetsCommandlet;
+	static C(Other: UObject | any): GenerateDistillFileSetsCommandlet;
 }
 
-declare class InstancedFoliageActor extends Actor { 
-	static GetDefaultObject(): InstancedFoliageActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InstancedFoliageActor;
-	static C(Other: UObject | any): InstancedFoliageActor;
+declare class GenerateGatherArchiveCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GenerateGatherArchiveCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateGatherArchiveCommandlet;
+	static GetDefaultObject(): GenerateGatherArchiveCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateGatherArchiveCommandlet;
+	static C(Other: UObject | any): GenerateGatherArchiveCommandlet;
 }
 
-declare type ENavDataGatheringMode = 'Default' | 'Instant' | 'Lazy' | 'ENavDataGatheringMode_MAX';
-declare var ENavDataGatheringMode : { Default:'Default',Instant:'Instant',Lazy:'Lazy',ENavDataGatheringMode_MAX:'ENavDataGatheringMode_MAX', };
-declare class StaticMeshActor extends Actor { 
-	StaticMeshComponent: StaticMeshComponent;
-	bStaticMeshReplicateMovement: boolean;
-	NavigationGeometryGatheringMode: ENavDataGatheringMode;
-	static GetDefaultObject(): StaticMeshActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshActor;
-	static C(Other: UObject | any): StaticMeshActor;
+declare class GenerateGatherManifestCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GenerateGatherManifestCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateGatherManifestCommandlet;
+	static GetDefaultObject(): GenerateGatherManifestCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateGatherManifestCommandlet;
+	static C(Other: UObject | any): GenerateGatherManifestCommandlet;
 }
 
-declare class InteractiveFoliageActor extends StaticMeshActor { 
-	CapsuleComponent: CapsuleComponent;
-	TouchingActorEntryPosition: Vector;
-	FoliageVelocity: Vector;
-	FoliageForce: Vector;
-	FoliagePosition: Vector;
-	FoliageDamageImpulseScale: number;
-	FoliageTouchImpulseScale: number;
-	FoliageStiffness: number;
-	FoliageStiffnessQuadratic: number;
-	FoliageDamping: number;
-	MaxDamageImpulse: number;
-	MaxTouchImpulse: number;
-	MaxForce: number;
-	Mass: number;
-	static GetDefaultObject(): InteractiveFoliageActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InteractiveFoliageActor;
-	CapsuleTouched(OverlappedComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,OtherBodyIndex: number,bFromSweep: boolean,OverlapInfo: HitResult): void;
-	static C(Other: UObject | any): InteractiveFoliageActor;
+declare class GenerateTextLocalizationReportCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GenerateTextLocalizationReportCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateTextLocalizationReportCommandlet;
+	static GetDefaultObject(): GenerateTextLocalizationReportCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateTextLocalizationReportCommandlet;
+	static C(Other: UObject | any): GenerateTextLocalizationReportCommandlet;
 }
 
-declare class InteractiveFoliageComponent extends StaticMeshComponent { 
-	static Load(ResourceName: string): InteractiveFoliageComponent;
-	static Find(Outer: UObject, ResourceName: string): InteractiveFoliageComponent;
-	static GetDefaultObject(): InteractiveFoliageComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InteractiveFoliageComponent;
-	static C(Other: UObject | any): InteractiveFoliageComponent;
+declare class GenerateTextLocalizationResourceCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): GenerateTextLocalizationResourceCommandlet;
+	static Find(Outer: UObject, ResourceName: string): GenerateTextLocalizationResourceCommandlet;
+	static GetDefaultObject(): GenerateTextLocalizationResourceCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GenerateTextLocalizationResourceCommandlet;
+	static C(Other: UObject | any): GenerateTextLocalizationResourceCommandlet;
 }
 
-declare class FoliageTypeObject { 
-	FoliageTypeObject: UObject;
-	TypeInstance: FoliageType_InstancedStaticMesh;
-	bIsAsset: boolean;
-	Type: UnrealEngineClass;
-	clone() : FoliageTypeObject;
-	static C(Other: UObject | any): FoliageTypeObject;
+declare class HapticFeedbackEffectBufferFactory extends Factory { 
+	static Load(ResourceName: string): HapticFeedbackEffectBufferFactory;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectBufferFactory;
+	static GetDefaultObject(): HapticFeedbackEffectBufferFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectBufferFactory;
+	static C(Other: UObject | any): HapticFeedbackEffectBufferFactory;
 }
 
-declare class ProceduralFoliageSpawner extends UObject { 
-	RandomSeed: number;
-	TileSize: number;
-	NumUniqueTiles: number;
-	MinimumQuadTreeSize: number;
-	FoliageTypes: FoliageTypeObject[];
-	bNeedsSimulation: boolean;
-	static Load(ResourceName: string): ProceduralFoliageSpawner;
-	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageSpawner;
-	static GetDefaultObject(): ProceduralFoliageSpawner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageSpawner;
-	Simulate(NumSteps: number): void;
-	static C(Other: UObject | any): ProceduralFoliageSpawner;
+declare class HapticFeedbackEffectCurveFactory extends Factory { 
+	static Load(ResourceName: string): HapticFeedbackEffectCurveFactory;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectCurveFactory;
+	static GetDefaultObject(): HapticFeedbackEffectCurveFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectCurveFactory;
+	static C(Other: UObject | any): HapticFeedbackEffectCurveFactory;
 }
 
-declare class ProceduralFoliageComponent extends ActorComponent { 
-	FoliageSpawner: ProceduralFoliageSpawner;
-	TileOverlap: number;
-	bAllowLandscape: boolean;
-	bAllowBSP: boolean;
-	bAllowStaticMesh: boolean;
-	bAllowTranslucent: boolean;
-	bAllowFoliage: boolean;
-	bShowDebugTiles: boolean;
-	SpawningVolume: Volume;
-	ProceduralGuid: Guid;
-	static Load(ResourceName: string): ProceduralFoliageComponent;
-	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageComponent;
-	static GetDefaultObject(): ProceduralFoliageComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageComponent;
-	static C(Other: UObject | any): ProceduralFoliageComponent;
+declare class HapticFeedbackEffectSoundWaveFactory extends Factory { 
+	static Load(ResourceName: string): HapticFeedbackEffectSoundWaveFactory;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffectSoundWaveFactory;
+	static GetDefaultObject(): HapticFeedbackEffectSoundWaveFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffectSoundWaveFactory;
+	static C(Other: UObject | any): HapticFeedbackEffectSoundWaveFactory;
 }
 
-declare class ProceduralFoliageVolume extends Volume { 
-	ProceduralComponent: ProceduralFoliageComponent;
-	static GetDefaultObject(): ProceduralFoliageVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageVolume;
-	static C(Other: UObject | any): ProceduralFoliageVolume;
+declare class HierarchicalLODSettings extends DeveloperSettings { 
+	bForceSettingsInAllMaps: boolean;
+	DefaultSetup: Class;
+	DirectoriesForHLODCommandlet: DirectoryPath[];
+	MapsToBuild: FilePath[];
+	bInvalidateHLODClusters: boolean;
+	bDeleteHLODAssets: boolean;
+	BaseMaterial: MaterialInterface;
+	static Load(ResourceName: string): HierarchicalLODSettings;
+	static Find(Outer: UObject, ResourceName: string): HierarchicalLODSettings;
+	static GetDefaultObject(): HierarchicalLODSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODSettings;
+	static C(Other: UObject | any): HierarchicalLODSettings;
 }
 
-declare class ProceduralFoliageBlockingVolume extends Volume { 
-	ProceduralFoliageVolume: ProceduralFoliageVolume;
-	static GetDefaultObject(): ProceduralFoliageBlockingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageBlockingVolume;
-	static C(Other: UObject | any): ProceduralFoliageBlockingVolume;
+declare class HierarchicalLODVolume extends Volume { 
+	bIncludeOverlappingActors: boolean;
+	static GetDefaultObject(): HierarchicalLODVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODVolume;
+	static C(Other: UObject | any): HierarchicalLODVolume;
 }
 
-declare class ProceduralFoliageInstance { 
-	Location: Vector;
-	Rotation: Quat;
-	Normal: Vector;
-	Age: number;
-	Scale: number;
-	Type: FoliageType_InstancedStaticMesh;
-	clone() : ProceduralFoliageInstance;
-	static C(Other: UObject | any): ProceduralFoliageInstance;
+declare class ImportAssetsCommandlet extends Commandlet { 
+	GlobalImportData: AutomatedAssetImportData;
+	ImportDataList: AutomatedAssetImportData[];
+	static Load(ResourceName: string): ImportAssetsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ImportAssetsCommandlet;
+	static GetDefaultObject(): ImportAssetsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportAssetsCommandlet;
+	static C(Other: UObject | any): ImportAssetsCommandlet;
 }
 
-declare class ProceduralFoliageTile extends UObject { 
-	FoliageSpawner: ProceduralFoliageSpawner;
-	InstancesArray: ProceduralFoliageInstance[];
-	static Load(ResourceName: string): ProceduralFoliageTile;
-	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageTile;
-	static GetDefaultObject(): ProceduralFoliageTile;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageTile;
-	static C(Other: UObject | any): ProceduralFoliageTile;
+declare class ImportDialogueScriptCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): ImportDialogueScriptCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ImportDialogueScriptCommandlet;
+	static GetDefaultObject(): ImportDialogueScriptCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportDialogueScriptCommandlet;
+	static C(Other: UObject | any): ImportDialogueScriptCommandlet;
 }
 
-declare class ControlPointMeshComponent extends StaticMeshComponent { 
-	bSelected: boolean;
-	static Load(ResourceName: string): ControlPointMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): ControlPointMeshComponent;
-	static GetDefaultObject(): ControlPointMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlPointMeshComponent;
-	static C(Other: UObject | any): ControlPointMeshComponent;
+declare class ImportLocalizedDialogueCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): ImportLocalizedDialogueCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ImportLocalizedDialogueCommandlet;
+	static GetDefaultObject(): ImportLocalizedDialogueCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportLocalizedDialogueCommandlet;
+	static C(Other: UObject | any): ImportLocalizedDialogueCommandlet;
 }
 
-declare class LandscapeSplineSegmentConnection { 
-	ControlPoint: LandscapeSplineControlPoint;
-	TangentLen: number;
-	SocketName: string;
-	clone() : LandscapeSplineSegmentConnection;
-	static C(Other: UObject | any): LandscapeSplineSegmentConnection;
+declare class ImportSubsystem extends EditorSubsystem { 
+	OnAssetPreImport_BP: UnrealEngineMulticastDelegate<(InFactory: Factory, InClass: UnrealEngineClass, InParent: UObject, Name: string, Type: string) => void>;
+	OnAssetPostImport_BP: UnrealEngineMulticastDelegate<(InFactory: Factory, InCreatedObject: UObject) => void>;
+	OnAssetReimport_BP: UnrealEngineMulticastDelegate<(InCreatedObject: UObject) => void>;
+	OnAssetPostLODImport_BP: UnrealEngineMulticastDelegate<(InObject: UObject, InLODIndex: number) => void>;
+	static Load(ResourceName: string): ImportSubsystem;
+	static Find(Outer: UObject, ResourceName: string): ImportSubsystem;
+	static GetDefaultObject(): ImportSubsystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportSubsystem;
+	static C(Other: UObject | any): ImportSubsystem;
 }
 
-declare type LandscapeSplineMeshOrientation = 'LSMO_XUp' | 'LSMO_YUp' | 'LSMO_MAX';
-declare var LandscapeSplineMeshOrientation : { LSMO_XUp:'LSMO_XUp',LSMO_YUp:'LSMO_YUp',LSMO_MAX:'LSMO_MAX', };
-declare class LandscapeSplineMeshEntry { 
-	Mesh: StaticMesh;
-	MaterialOverrides: MaterialInterface[];
-	bCenterH: boolean;
-	CenterAdjust: Vector2D;
-	bScaleToWidth: boolean;
-	Scale: Vector;
-	Orientation: LandscapeSplineMeshOrientation;
-	ForwardAxis: ESplineMeshAxis;
-	UpAxis: ESplineMeshAxis;
-	clone() : LandscapeSplineMeshEntry;
-	static C(Other: UObject | any): LandscapeSplineMeshEntry;
+declare class InternationalizationConditioningCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): InternationalizationConditioningCommandlet;
+	static Find(Outer: UObject, ResourceName: string): InternationalizationConditioningCommandlet;
+	static GetDefaultObject(): InternationalizationConditioningCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationConditioningCommandlet;
+	static C(Other: UObject | any): InternationalizationConditioningCommandlet;
 }
 
-declare class LandscapeSplineInterpPoint { 
-	Center: Vector;
-	Left: Vector;
-	Right: Vector;
-	FalloffLeft: Vector;
-	FalloffRight: Vector;
-	StartEndFalloff: number;
-	clone() : LandscapeSplineInterpPoint;
-	static C(Other: UObject | any): LandscapeSplineInterpPoint;
+declare class InternationalizationExportCommandlet extends GatherTextCommandletBase { 
+	static Load(ResourceName: string): InternationalizationExportCommandlet;
+	static Find(Outer: UObject, ResourceName: string): InternationalizationExportCommandlet;
+	static GetDefaultObject(): InternationalizationExportCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InternationalizationExportCommandlet;
+	static C(Other: UObject | any): InternationalizationExportCommandlet;
 }
 
-declare class LandscapeSplineSegment extends UObject { 
-	Connections: LandscapeSplineSegmentConnection;
-	LayerName: string;
-	bRaiseTerrain: boolean;
-	bLowerTerrain: boolean;
-	SplineMeshes: LandscapeSplineMeshEntry[];
-	bEnableCollision: boolean;
-	bCastShadow: boolean;
-	RandomSeed: number;
-	LDMaxDrawDistance: number;
-	TranslucencySortPriority: number;
-	bPlaceSplineMeshesInStreamingLevels: boolean;
-	bSelected: boolean;
-	bNavDirty: boolean;
-	SplineInfo: InterpCurveVector;
-	Points: LandscapeSplineInterpPoint[];
-	Bounds: Box;
-	LocalMeshComponents: SplineMeshComponent[];
-	ForeignWorlds: any[];
-	ModificationKey: Guid;
-	static Load(ResourceName: string): LandscapeSplineSegment;
-	static Find(Outer: UObject, ResourceName: string): LandscapeSplineSegment;
-	static GetDefaultObject(): LandscapeSplineSegment;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplineSegment;
-	static C(Other: UObject | any): LandscapeSplineSegment;
+declare class InterpDataFactoryNew extends Factory { 
+	static Load(ResourceName: string): InterpDataFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): InterpDataFactoryNew;
+	static GetDefaultObject(): InterpDataFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpDataFactoryNew;
+	static C(Other: UObject | any): InterpDataFactoryNew;
 }
 
-declare class LandscapeSplineConnection { 
-	Segment: LandscapeSplineSegment;
-	End: boolean;
-	clone() : LandscapeSplineConnection;
-	static C(Other: UObject | any): LandscapeSplineConnection;
+declare class LevelEditorMiscSettings extends DeveloperSettings { 
+	bAutoApplyLightingEnable: boolean;
+	bBSPAutoUpdate: boolean;
+	bAutoMoveBSPPivotOffset: boolean;
+	bNavigationAutoUpdate: boolean;
+	bReplaceRespectsScale: boolean;
+	bAllowBackgroundAudio: boolean;
+	bEnableRealTimeAudio: boolean;
+	EditorVolumeLevel: number;
+	bEnableEditorSounds: boolean;
+	DefaultLevelStreamingClass: UnrealEngineClass;
+	EditorScreenshotSaveDirectory: DirectoryPath;
+	static Load(ResourceName: string): LevelEditorMiscSettings;
+	static Find(Outer: UObject, ResourceName: string): LevelEditorMiscSettings;
+	static GetDefaultObject(): LevelEditorMiscSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorMiscSettings;
+	static C(Other: UObject | any): LevelEditorMiscSettings;
 }
 
-declare class LandscapeSplineControlPoint extends UObject { 
-	Location: Vector;
-	Rotation: Rotator;
+declare type ELabelAnchorMode = 'LabelAnchorMode_TopLeft' | 'LabelAnchorMode_TopCenter' | 'LabelAnchorMode_TopRight' | 'LabelAnchorMode_CenterLeft' | 'LabelAnchorMode_Centered' | 'LabelAnchorMode_CenterRight' | 'LabelAnchorMode_BottomLeft' | 'LabelAnchorMode_BottomCenter' | 'LabelAnchorMode_BottomRight' | 'LabelAnchorMode_MAX';
+declare var ELabelAnchorMode : { LabelAnchorMode_TopLeft:'LabelAnchorMode_TopLeft',LabelAnchorMode_TopCenter:'LabelAnchorMode_TopCenter',LabelAnchorMode_TopRight:'LabelAnchorMode_TopRight',LabelAnchorMode_CenterLeft:'LabelAnchorMode_CenterLeft',LabelAnchorMode_Centered:'LabelAnchorMode_Centered',LabelAnchorMode_CenterRight:'LabelAnchorMode_CenterRight',LabelAnchorMode_BottomLeft:'LabelAnchorMode_BottomLeft',LabelAnchorMode_BottomCenter:'LabelAnchorMode_BottomCenter',LabelAnchorMode_BottomRight:'LabelAnchorMode_BottomRight',LabelAnchorMode_MAX:'LabelAnchorMode_MAX', };
+declare type EPlayOnBuildMode = 'PlayOnBuild_Always' | 'PlayOnBuild_Never' | 'PlayOnBuild_Default' | 'PlayOnBuild_IfEditorBuiltLocally' | 'PlayOnBuild_MAX';
+declare var EPlayOnBuildMode : { PlayOnBuild_Always:'PlayOnBuild_Always',PlayOnBuild_Never:'PlayOnBuild_Never',PlayOnBuild_Default:'PlayOnBuild_Default',PlayOnBuild_IfEditorBuiltLocally:'PlayOnBuild_IfEditorBuiltLocally',PlayOnBuild_MAX:'PlayOnBuild_MAX', };
+declare type EPlayOnLaunchConfiguration = 'LaunchConfig_Default' | 'LaunchConfig_Debug' | 'LaunchConfig_Development' | 'LaunchConfig_Test' | 'LaunchConfig_Shipping' | 'LaunchConfig_MAX';
+declare var EPlayOnLaunchConfiguration : { LaunchConfig_Default:'LaunchConfig_Default',LaunchConfig_Debug:'LaunchConfig_Debug',LaunchConfig_Development:'LaunchConfig_Development',LaunchConfig_Test:'LaunchConfig_Test',LaunchConfig_Shipping:'LaunchConfig_Shipping',LaunchConfig_MAX:'LaunchConfig_MAX', };
+declare type EPlayNetMode = 'PIE_Standalone' | 'PIE_ListenServer' | 'PIE_Client' | 'PIE_MAX';
+declare var EPlayNetMode : { PIE_Standalone:'PIE_Standalone',PIE_ListenServer:'PIE_ListenServer',PIE_Client:'PIE_Client',PIE_MAX:'PIE_MAX', };
+declare type ELaunchModeType = 'LaunchMode_OnDevice' | 'LaunchMode_MAX';
+declare var ELaunchModeType : { LaunchMode_OnDevice:'LaunchMode_OnDevice',LaunchMode_MAX:'LaunchMode_MAX', };
+declare type EPlayModeLocations = 'PlayLocation_CurrentCameraLocation' | 'PlayLocation_DefaultPlayerStart' | 'PlayLocation_MAX';
+declare var EPlayModeLocations : { PlayLocation_CurrentCameraLocation:'PlayLocation_CurrentCameraLocation',PlayLocation_DefaultPlayerStart:'PlayLocation_DefaultPlayerStart',PlayLocation_MAX:'PlayLocation_MAX', };
+declare type EPlayModeType = 'PlayMode_InViewPort' | 'PlayMode_InEditorFloating' | 'PlayMode_InMobilePreview' | 'PlayMode_InTargetedMobilePreview' | 'PlayMode_InVulkanPreview' | 'PlayMode_InNewProcess' | 'PlayMode_InVR' | 'PlayMode_Simulate' | 'PlayMode_Count' | 'PlayMode_MAX';
+declare var EPlayModeType : { PlayMode_InViewPort:'PlayMode_InViewPort',PlayMode_InEditorFloating:'PlayMode_InEditorFloating',PlayMode_InMobilePreview:'PlayMode_InMobilePreview',PlayMode_InTargetedMobilePreview:'PlayMode_InTargetedMobilePreview',PlayMode_InVulkanPreview:'PlayMode_InVulkanPreview',PlayMode_InNewProcess:'PlayMode_InNewProcess',PlayMode_InVR:'PlayMode_InVR',PlayMode_Simulate:'PlayMode_Simulate',PlayMode_Count:'PlayMode_Count',PlayMode_MAX:'PlayMode_MAX', };
+declare class PlayScreenResolution { 
+	Description: string;
 	Width: number;
-	SideFalloff: number;
-	EndFalloff: number;
-	SegmentMeshOffset: number;
-	LayerName: string;
-	bRaiseTerrain: boolean;
-	bLowerTerrain: boolean;
-	Mesh: StaticMesh;
-	MaterialOverrides: MaterialInterface[];
-	MeshScale: Vector;
-	bEnableCollision: boolean;
-	bCastShadow: boolean;
-	LDMaxDrawDistance: number;
-	TranslucencySortPriority: number;
-	bPlaceSplineMeshesInStreamingLevels: boolean;
-	bSelected: boolean;
-	bNavDirty: boolean;
-	ConnectedSegments: LandscapeSplineConnection[];
-	Points: LandscapeSplineInterpPoint[];
-	Bounds: Box;
-	LocalMeshComponent: ControlPointMeshComponent;
-	ForeignWorld: any;
-	ModificationKey: Guid;
-	static Load(ResourceName: string): LandscapeSplineControlPoint;
-	static Find(Outer: UObject, ResourceName: string): LandscapeSplineControlPoint;
-	static GetDefaultObject(): LandscapeSplineControlPoint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplineControlPoint;
-	static C(Other: UObject | any): LandscapeSplineControlPoint;
+	Height: number;
+	AspectRatio: string;
+	bCanSwapAspectRatio: boolean;
+	ProfileName: string;
+	clone() : PlayScreenResolution;
+	static C(Other: UObject | any): PlayScreenResolution;
 }
 
-declare class LandscapeSplinesComponent extends PrimitiveComponent { 
-	SplineResolution: number;
-	SplineColor: Color;
-	ControlPointSprite: Texture2D;
-	SplineEditorMesh: StaticMesh;
-	bShowSplineEditorMesh: boolean;
-	ControlPoints: LandscapeSplineControlPoint[];
-	Segments: LandscapeSplineSegment[];
-	ForeignWorldSplineDataMap: any;
-	CookedForeignMeshComponents: MeshComponent[];
-	static Load(ResourceName: string): LandscapeSplinesComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeSplinesComponent;
-	static GetDefaultObject(): LandscapeSplinesComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplinesComponent;
-	static C(Other: UObject | any): LandscapeSplinesComponent;
-}
-
-declare type ELandscapeLODFalloff = 'Linear' | 'SquareRoot' | 'ELandscapeLODFalloff_MAX';
-declare var ELandscapeLODFalloff : { Linear:'Linear',SquareRoot:'SquareRoot',ELandscapeLODFalloff_MAX:'ELandscapeLODFalloff_MAX', };
-declare type ELandscapeLayerDisplayMode = 'Default' | 'Alphabetical' | 'UserSpecific' | 'ELandscapeLayerDisplayMode_MAX';
-declare var ELandscapeLayerDisplayMode : { Default:'Default',Alphabetical:'Alphabetical',UserSpecific:'UserSpecific',ELandscapeLayerDisplayMode_MAX:'ELandscapeLayerDisplayMode_MAX', };
-declare class LandscapeLayerInfoObject extends UObject { 
-	LayerName: string;
-	PhysMaterial: PhysicalMaterial;
-	Hardness: number;
-	bNoWeightBlend: boolean;
-	IsReferencedFromLoadedData: boolean;
-	LayerUsageDebugColor: LinearColor;
-	static Load(ResourceName: string): LandscapeLayerInfoObject;
-	static Find(Outer: UObject, ResourceName: string): LandscapeLayerInfoObject;
-	static GetDefaultObject(): LandscapeLayerInfoObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeLayerInfoObject;
-	static C(Other: UObject | any): LandscapeLayerInfoObject;
-}
-
-declare class WeightmapLayerAllocationInfo { 
-	LayerInfo: LandscapeLayerInfoObject;
-	WeightmapTextureIndex: number;
-	WeightmapTextureChannel: number;
-	clone() : WeightmapLayerAllocationInfo;
-	static C(Other: UObject | any): WeightmapLayerAllocationInfo;
+declare class LevelEditorPlaySettings extends UObject { 
+	PlayFromHerePlayerStartClassName: string;
+	GameGetsMouseControl: boolean;
+	UseMouseForTouch: boolean;
+	ShowMouseControlLabel: boolean;
+	MouseControlLabelPosition: ELabelAnchorMode;
+	ViewportGetsHMDControl: boolean;
+	ShouldMinimizeEditorOnVRPIE: boolean;
+	AutoRecompileBlueprints: boolean;
+	EnableGameSound: boolean;
+	EnablePIEEnterAndExitSounds: boolean;
+	PlayInEditorSoundQualityLevel: number;
+	bOnlyLoadVisibleLevelsInPIE: boolean;
+	bPreferToStreamLevelsInPIE: boolean;
+	NewWindowWidth: number;
+	NewWindowHeight: number;
+	NewWindowPosition: IntPoint;
+	CenterNewWindow: boolean;
+	PIEAlwaysOnTop: boolean;
+	DisableStandaloneSound: boolean;
+	AdditionalLaunchParameters: string;
+	BuildGameBeforeLaunch: EPlayOnBuildMode;
+	LaunchConfiguration: EPlayOnLaunchConfiguration;
+	bAutoCompileBlueprintsOnLaunch: boolean;
+	PlayNetMode: EPlayNetMode;
+	RunUnderOneProcess: boolean;
+	PlayNetDedicated: boolean;
+	PlayNumberOfClients: number;
+	ServerPort: any;
+	ClientWindowWidth: number;
+	AutoConnectToServer: boolean;
+	RouteGamepadToSecondWindow: boolean;
+	CreateAudioDeviceForEveryPlayer: boolean;
+	ClientWindowHeight: number;
+	AdditionalServerGameOptions: string;
+	AdditionalLaunchOptions: string;
+	MultipleInstanceLastHeight: number;
+	MultipleInstanceLastWidth: number;
+	MultipleInstancePositions: IntPoint[];
+	LastExecutedLaunchDevice: string;
+	LastExecutedLaunchName: string;
+	LastExecutedLaunchModeType: ELaunchModeType;
+	LastExecutedPlayModeLocation: EPlayModeLocations;
+	LastExecutedPlayModeType: EPlayModeType;
+	LastExecutedPIEPreviewDevice: string;
+	LaptopScreenResolutions: PlayScreenResolution[];
+	MonitorScreenResolutions: PlayScreenResolution[];
+	PhoneScreenResolutions: PlayScreenResolution[];
+	TabletScreenResolutions: PlayScreenResolution[];
+	TelevisionScreenResolutions: PlayScreenResolution[];
+	DeviceToEmulate: string;
+	PIESafeZoneOverride: Margin;
+	CustomUnsafeZoneStarts: Vector2D[];
+	CustomUnsafeZoneDimensions: Vector2D[];
+	static Load(ResourceName: string): LevelEditorPlaySettings;
+	static Find(Outer: UObject, ResourceName: string): LevelEditorPlaySettings;
+	static GetDefaultObject(): LevelEditorPlaySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorPlaySettings;
+	static C(Other: UObject | any): LevelEditorPlaySettings;
 }
 
-declare class LandscapeEditToolRenderData { 
-	ToolMaterial: MaterialInterface;
-	GizmoMaterial: MaterialInterface;
-	SelectedType: number;
-	DebugChannelR: number;
-	DebugChannelG: number;
-	DebugChannelB: number;
-	DataTexture: Texture2D;
-	clone() : LandscapeEditToolRenderData;
-	static C(Other: UObject | any): LandscapeEditToolRenderData;
+declare type EWASDType = 'WASD_Always' | 'WASD_RMBOnly' | 'WASD_Never' | 'WASD_MAX';
+declare var EWASDType : { WASD_Always:'WASD_Always',WASD_RMBOnly:'WASD_RMBOnly',WASD_Never:'WASD_Never',WASD_MAX:'WASD_MAX', };
+declare type ELandscapeFoliageEditorControlType = 'IgnoreCtrl' | 'RequireCtrl' | 'RequireNoCtrl' | 'ELandscapeFoliageEditorControlType_MAX';
+declare var ELandscapeFoliageEditorControlType : { IgnoreCtrl:'IgnoreCtrl',RequireCtrl:'RequireCtrl',RequireNoCtrl:'RequireNoCtrl',ELandscapeFoliageEditorControlType_MAX:'ELandscapeFoliageEditorControlType_MAX', };
+declare type EScrollGestureDirection = 'UseSystemSetting' | 'Standard' | 'Natural' | 'EScrollGestureDirection_MAX';
+declare var EScrollGestureDirection : { UseSystemSetting:'UseSystemSetting',Standard:'Standard',Natural:'Natural',EScrollGestureDirection_MAX:'EScrollGestureDirection_MAX', };
+declare class SnapToSurfaceSettings { 
+	bEnabled: boolean;
+	SnapOffsetExtent: number;
+	bSnapRotation: boolean;
+	clone() : SnapToSurfaceSettings;
+	static C(Other: UObject | any): SnapToSurfaceSettings;
 }
 
-declare class LandscapeComponent extends PrimitiveComponent { 
-	SectionBaseX: number;
-	SectionBaseY: number;
-	ComponentSizeQuads: number;
-	SubsectionSizeQuads: number;
-	NumSubsections: number;
-	OverrideMaterial: MaterialInterface;
-	OverrideHoleMaterial: MaterialInterface;
-	MaterialInstance: MaterialInstanceConstant;
-	MaterialInstances: MaterialInstanceConstant[];
-	MaterialInstancesDynamic: MaterialInstanceDynamic[];
-	WeightmapLayerAllocations: WeightmapLayerAllocationInfo[];
-	WeightmapTextures: Texture2D[];
-	XYOffsetmapTexture: Texture2D;
-	WeightmapScaleBias: Vector4;
-	WeightmapSubsectionOffset: number;
-	HeightmapScaleBias: Vector4;
-	HeightmapTexture: Texture2D;
-	CachedLocalBox: Box;
-	CollisionComponent: any;
-	LightingGuid: Guid;
-	MapBuildDataId: Guid;
-	IrrelevantLights: Guid[];
-	CollisionMipLevel: number;
-	SimpleCollisionMipLevel: number;
-	NegativeZBoundsExtension: number;
-	PositiveZBoundsExtension: number;
-	StaticLightingResolution: number;
-	ForcedLOD: number;
-	LODBias: number;
-	StateId: Guid;
-	BakedTextureMaterialGuid: Guid;
-	GIBakedBaseColorTexture: Texture2D;
-	LightingLODBias: number;
-	LayerWhitelist: LandscapeLayerInfoObject[];
-	EditToolRenderData: LandscapeEditToolRenderData;
-	MobileDataSourceHash: Guid;
-	MobileBlendableLayerMask: number;
-	MobileMaterialInterface: MaterialInterface;
-	MobileWeightNormalmapTexture: Texture2D;
-	static Load(ResourceName: string): LandscapeComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeComponent;
-	static GetDefaultObject(): LandscapeComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeComponent;
-	GetMaterialInstanceDynamic(InIndex: number): MaterialInstanceDynamic;
-	static C(Other: UObject | any): LandscapeComponent;
+declare type ERotationGridMode = 'GridMode_DivisionsOf360' | 'GridMode_Common' | 'GridMode_MAX';
+declare var ERotationGridMode : { GridMode_DivisionsOf360:'GridMode_DivisionsOf360',GridMode_Common:'GridMode_Common',GridMode_MAX:'GridMode_MAX', };
+declare type EMeasuringToolUnits = 'MeasureUnits_Centimeters' | 'MeasureUnits_Meters' | 'MeasureUnits_Kilometers' | 'MeasureUnits_MAX';
+declare var EMeasuringToolUnits : { MeasureUnits_Centimeters:'MeasureUnits_Centimeters',MeasureUnits_Meters:'MeasureUnits_Meters',MeasureUnits_Kilometers:'MeasureUnits_Kilometers',MeasureUnits_MAX:'MeasureUnits_MAX', };
+declare type ELevelViewportType = 'LVT_OrthoXY' | 'LVT_OrthoXZ' | 'LVT_OrthoYZ' | 'LVT_Perspective' | 'LVT_OrthoFreelook' | 'LVT_OrthoNegativeXY' | 'LVT_OrthoNegativeXZ' | 'LVT_OrthoNegativeYZ' | 'LVT_MAX' | 'LVT_None';
+declare var ELevelViewportType : { LVT_OrthoXY:'LVT_OrthoXY',LVT_OrthoXZ:'LVT_OrthoXZ',LVT_OrthoYZ:'LVT_OrthoYZ',LVT_Perspective:'LVT_Perspective',LVT_OrthoFreelook:'LVT_OrthoFreelook',LVT_OrthoNegativeXY:'LVT_OrthoNegativeXY',LVT_OrthoNegativeXZ:'LVT_OrthoNegativeXZ',LVT_OrthoNegativeYZ:'LVT_OrthoNegativeYZ',LVT_MAX:'LVT_MAX',LVT_None:'LVT_None', };
+declare type EViewModeIndex = 'VMI_BrushWireframe' | 'VMI_Wireframe' | 'VMI_Unlit' | 'VMI_Lit' | 'VMI_Lit_DetailLighting' | 'VMI_LightingOnly' | 'VMI_LightComplexity' | 'VMI_ShaderComplexity' | 'VMI_LightmapDensity' | 'VMI_LitLightmapDensity' | 'VMI_ReflectionOverride' | 'VMI_VisualizeBuffer' | 'VMI_StationaryLightOverlap' | 'VMI_CollisionPawn' | 'VMI_CollisionVisibility' | 'VMI_LODColoration' | 'VMI_QuadOverdraw' | 'VMI_PrimitiveDistanceAccuracy' | 'VMI_MeshUVDensityAccuracy' | 'VMI_ShaderComplexityWithQuadOverdraw' | 'VMI_HLODColoration' | 'VMI_GroupLODColoration' | 'VMI_MaterialTextureScaleAccuracy' | 'VMI_RequiredTextureResolution' | 'VMI_PathTracing' | 'VMI_RayTracingDebug' | 'VMI_Max' | 'VMI_Unknown';
+declare var EViewModeIndex : { VMI_BrushWireframe:'VMI_BrushWireframe',VMI_Wireframe:'VMI_Wireframe',VMI_Unlit:'VMI_Unlit',VMI_Lit:'VMI_Lit',VMI_Lit_DetailLighting:'VMI_Lit_DetailLighting',VMI_LightingOnly:'VMI_LightingOnly',VMI_LightComplexity:'VMI_LightComplexity',VMI_ShaderComplexity:'VMI_ShaderComplexity',VMI_LightmapDensity:'VMI_LightmapDensity',VMI_LitLightmapDensity:'VMI_LitLightmapDensity',VMI_ReflectionOverride:'VMI_ReflectionOverride',VMI_VisualizeBuffer:'VMI_VisualizeBuffer',VMI_StationaryLightOverlap:'VMI_StationaryLightOverlap',VMI_CollisionPawn:'VMI_CollisionPawn',VMI_CollisionVisibility:'VMI_CollisionVisibility',VMI_LODColoration:'VMI_LODColoration',VMI_QuadOverdraw:'VMI_QuadOverdraw',VMI_PrimitiveDistanceAccuracy:'VMI_PrimitiveDistanceAccuracy',VMI_MeshUVDensityAccuracy:'VMI_MeshUVDensityAccuracy',VMI_ShaderComplexityWithQuadOverdraw:'VMI_ShaderComplexityWithQuadOverdraw',VMI_HLODColoration:'VMI_HLODColoration',VMI_GroupLODColoration:'VMI_GroupLODColoration',VMI_MaterialTextureScaleAccuracy:'VMI_MaterialTextureScaleAccuracy',VMI_RequiredTextureResolution:'VMI_RequiredTextureResolution',VMI_PathTracing:'VMI_PathTracing',VMI_RayTracingDebug:'VMI_RayTracingDebug',VMI_Max:'VMI_Max',VMI_Unknown:'VMI_Unknown', };
+declare class ExposureSettings { 
+	FixedEV100: number;
+	bFixed: boolean;
+	clone() : ExposureSettings;
+	static C(Other: UObject | any): ExposureSettings;
 }
 
-declare class LandscapeHeightfieldCollisionComponent extends PrimitiveComponent { 
-	ComponentLayerInfos: LandscapeLayerInfoObject[];
-	SectionBaseX: number;
-	SectionBaseY: number;
-	CollisionSizeQuads: number;
-	CollisionScale: number;
-	SimpleCollisionSizeQuads: number;
-	CollisionQuadFlags: number[];
-	HeightfieldGuid: Guid;
-	CachedLocalBox: Box;
-	RenderComponent: any;
-	CookedPhysicalMaterials: PhysicalMaterial[];
-	static Load(ResourceName: string): LandscapeHeightfieldCollisionComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeHeightfieldCollisionComponent;
-	static GetDefaultObject(): LandscapeHeightfieldCollisionComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeHeightfieldCollisionComponent;
-	static C(Other: UObject | any): LandscapeHeightfieldCollisionComponent;
+declare class LevelEditorViewportInstanceSettings { 
+	ViewportType: ELevelViewportType;
+	PerspViewModeIndex: EViewModeIndex;
+	OrthoViewModeIndex: EViewModeIndex;
+	EditorShowFlagsString: string;
+	GameShowFlagsString: string;
+	BufferVisualizationMode: string;
+	ExposureSettings: ExposureSettings;
+	FOVAngle: number;
+	FarViewPlane: number;
+	bIsRealtime: boolean;
+	bShowFPS: boolean;
+	bShowOnScreenStats: boolean;
+	EnabledStats: string[];
+	bShowFullToolbar: boolean;
+	clone() : LevelEditorViewportInstanceSettings;
+	static C(Other: UObject | any): LevelEditorViewportInstanceSettings;
 }
 
-declare class LandscapeEditorLayerSettings { 
-	LayerInfoObj: LandscapeLayerInfoObject;
-	ReimportLayerFilePath: string;
-	clone() : LandscapeEditorLayerSettings;
-	static C(Other: UObject | any): LandscapeEditorLayerSettings;
+declare class LevelEditorViewportInstanceSettingsKeyValuePair { 
+	ConfigName: string;
+	ConfigSettings: LevelEditorViewportInstanceSettings;
+	clone() : LevelEditorViewportInstanceSettingsKeyValuePair;
+	static C(Other: UObject | any): LevelEditorViewportInstanceSettingsKeyValuePair;
 }
 
-declare class LandscapeProxy extends Actor { 
-	SplineComponent: LandscapeSplinesComponent;
-	LandscapeGuid: Guid;
-	LandscapeSectionOffset: IntPoint;
-	MaxLODLevel: number;
-	LODDistanceFactor: number;
-	LODFalloff: ELandscapeLODFalloff;
-	ComponentScreenSizeToUseSubSections: number;
-	LOD0DistributionSetting: number;
-	LODDistributionSetting: number;
-	TessellationComponentScreenSize: number;
-	UseTessellationComponentScreenSizeFalloff: boolean;
-	TessellationComponentScreenSizeFalloff: number;
-	ExportLOD: number;
-	TargetDisplayOrderList: string[];
-	TargetDisplayOrder: ELandscapeLayerDisplayMode;
-	StaticLightingLOD: number;
-	DefaultPhysMaterial: PhysicalMaterial;
-	StreamingDistanceMultiplier: number;
-	LandscapeMaterial: MaterialInterface;
-	LandscapeHoleMaterial: MaterialInterface;
-	NegativeZBoundsExtension: number;
-	PositiveZBoundsExtension: number;
-	LandscapeComponents: LandscapeComponent[];
-	CollisionComponents: LandscapeHeightfieldCollisionComponent[];
-	FoliageComponents: HierarchicalInstancedStaticMeshComponent[];
-	bHasLandscapeGrass: boolean;
-	StaticLightingResolution: number;
-	bCastStaticShadow: boolean;
-	bCastShadowAsTwoSided: boolean;
-	bCastFarShadow: boolean;
-	LightingChannels: LightingChannels;
-	bUseMaterialPositionOffsetInStaticLighting: boolean;
-	bRenderCustomDepth: boolean;
-	CustomDepthStencilValue: number;
-	bIsMovingToLevel: boolean;
-	LightmassSettings: LightmassPrimitiveSettings;
-	CollisionMipLevel: number;
-	SimpleCollisionMipLevel: number;
-	CollisionThickness: number;
-	BodyInstance: BodyInstance;
-	bGenerateOverlapEvents: boolean;
-	bBakeMaterialPositionOffsetIntoCollision: boolean;
-	EditorCachedLayerInfos: LandscapeLayerInfoObject[];
-	ReimportHeightmapFilePath: string;
-	EditorLayerSettings: LandscapeEditorLayerSettings[];
-	ComponentSizeQuads: number;
-	SubsectionSizeQuads: number;
-	NumSubsections: number;
-	bUsedForNavigation: boolean;
-	bUseDynamicMaterialInstance: boolean;
-	NavigationGeometryGatheringMode: ENavDataGatheringMode;
-	MaxPaintedLayersPerComponent: number;
-	bUseLandscapeForCullingInvisibleHLODVertices: boolean;
-	static GetDefaultObject(): LandscapeProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeProxy;
-	SetLandscapeMaterialVectorParameterValue(ParameterName: string,Value: LinearColor): void;
-	SetLandscapeMaterialTextureParameterValue(ParameterName: string,Value: Texture): void;
-	SetLandscapeMaterialScalarParameterValue(ParameterName: string,Value: number): void;
-	EditorApplySpline(InSplineComponent: SplineComponent,StartWidth: number,EndWidth: number,StartSideFalloff: number,EndSideFalloff: number,StartRoll: number,EndRoll: number,NumSubdivisions: number,bRaiseHeights: boolean,bLowerHeights: boolean,PaintLayer: LandscapeLayerInfoObject): void;
-	ChangeUseTessellationComponentScreenSizeFalloff(InComponentScreenSizeToUseSubSections: boolean): void;
-	ChangeTessellationComponentScreenSizeFalloff(InUseTessellationComponentScreenSizeFalloff: number): void;
-	ChangeTessellationComponentScreenSize(InTessellationComponentScreenSize: number): void;
-	ChangeLODDistanceFactor(InLODDistanceFactor: number): void;
-	ChangeComponentScreenSizeToUseSubSections(InComponentScreenSizeToUseSubSections: number): void;
-	static C(Other: UObject | any): LandscapeProxy;
-}
-
-declare class LandscapeInfoLayerSettings { 
-	LayerInfoObj: LandscapeLayerInfoObject;
-	LayerName: string;
-	ThumbnailMIC: MaterialInstanceConstant;
-	Owner: LandscapeProxy;
-	DebugColorChannel: number;
-	bValid: boolean;
-	clone() : LandscapeInfoLayerSettings;
-	static C(Other: UObject | any): LandscapeInfoLayerSettings;
-}
-
-declare type ELandscapeLayerPaintingRestriction = 'None' | 'UseMaxLayers' | 'ExistingOnly' | 'UseComponentWhitelist' | 'ELandscapeLayerPaintingRestriction_MAX';
-declare var ELandscapeLayerPaintingRestriction : { None:'None',UseMaxLayers:'UseMaxLayers',ExistingOnly:'ExistingOnly',UseComponentWhitelist:'UseComponentWhitelist',ELandscapeLayerPaintingRestriction_MAX:'ELandscapeLayerPaintingRestriction_MAX', };
-declare class LandscapeInfo extends UObject { 
-	LandscapeActor: any;
-	LandscapeGuid: Guid;
-	ComponentSizeQuads: number;
-	SubsectionSizeQuads: number;
-	ComponentNumSubsections: number;
-	DrawScale: Vector;
-	Layers: LandscapeInfoLayerSettings[];
-	Proxies: any;
-	static Load(ResourceName: string): LandscapeInfo;
-	static Find(Outer: UObject, ResourceName: string): LandscapeInfo;
-	static GetDefaultObject(): LandscapeInfo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeInfo;
-	static C(Other: UObject | any): LandscapeInfo;
-	GetAlphamapDataToMemory(LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
-	GetHeightmapDataToMemory(MinX: number,MinY: number,MaxX: number,MaxY: number): void;
-	GetLandscapeExtent(MinX?: number,MinY?: number,MaxX?: number,MaxY?: number): {MinX: number, MinY: number, MaxX: number, MaxY: number, $: boolean};
-	GetLayerInfoByName(LayerName: string,Owner: LandscapeProxy): LandscapeLayerInfoObject;
-	SetAlphamapDataFromMemory(LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number,PaintingRestriction: ELandscapeLayerPaintingRestriction): void;
-	SetHeightmapDataFromMemory(MinX: number,MinY: number,MaxX: number,MaxY: number): void;
-	static GetAlphamapDataToMemory(LandscapeInfo: LandscapeInfo,LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
-	static GetHeightmapDataToMemory(LandscapeInfo: LandscapeInfo,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
-	static GetLandscapeExtent(LandscapeInfo: LandscapeInfo,MinX?: number,MinY?: number,MaxX?: number,MaxY?: number): {MinX: number, MinY: number, MaxX: number, MaxY: number, $: boolean};
-	static GetLayerInfoByName(LandscapeInfo: LandscapeInfo,LayerName: string,Owner: LandscapeProxy): LandscapeLayerInfoObject;
-	static SetAlphamapDataFromMemory(LandscapeInfo: LandscapeInfo,LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number,PaintingRestriction: ELandscapeLayerPaintingRestriction): void;
-	static SetHeightmapDataFromMemory(LandscapeInfo: LandscapeInfo,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+declare class LevelEditorViewportSettings extends UObject { 
+	FlightCameraControlType: EWASDType;
+	LandscapeEditorControlType: ELandscapeFoliageEditorControlType;
+	FoliageEditorControlType: ELandscapeFoliageEditorControlType;
+	bPanMovesCanvas: boolean;
+	bCenterZoomAroundCursor: boolean;
+	bAllowTranslateRotateZWidget: boolean;
+	bClickBSPSelectsBrush: boolean;
+	CameraSpeed: number;
+	CameraSpeedScalar: number;
+	MouseScrollCameraSpeed: number;
+	MouseSensitivty: number;
+	bInvertMouseLookYAxis: boolean;
+	bInvertOrbitYAxis: boolean;
+	bInvertMiddleMousePan: boolean;
+	bInvertRightMouseDollyYAxis: boolean;
+	bUseAbsoluteTranslation: boolean;
+	bLevelStreamingVolumePrevis: boolean;
+	bUseUE3OrbitControls: boolean;
+	ScrollGestureDirectionFor3DViewports: EScrollGestureDirection;
+	ScrollGestureDirectionForOrthoViewports: EScrollGestureDirection;
+	bLevelEditorJoystickControls: boolean;
+	bUseDistanceScaledCameraSpeed: boolean;
+	bOrbitCameraAroundSelection: boolean;
+	bUsePowerOf2SnapSize: boolean;
+	DecimalGridSizes: number[];
+	DecimalGridIntervals: number[];
+	Pow2GridSizes: number[];
+	Pow2GridIntervals: number[];
+	CommonRotGridSizes: number[];
+	DivisionsOf360RotGridSizes: number[];
+	ScalingGridSizes: number[];
+	GridEnabled: boolean;
+	RotGridEnabled: boolean;
+	SnapScaleEnabled: boolean;
+	SnapToSurface: SnapToSurfaceSettings;
+	bUsePercentageBasedScaling: boolean;
+	bEnableLayerSnap: boolean;
+	ActiveSnapLayerIndex: number;
+	bEnableActorSnap: boolean;
+	ActorSnapScale: number;
+	ActorSnapDistance: number;
+	bSnapVertices: boolean;
+	SnapDistance: number;
+	CurrentPosGridSize: number;
+	CurrentRotGridSize: number;
+	CurrentScalingGridSize: number;
+	PreserveNonUniformScale: boolean;
+	CurrentRotGridMode: ERotationGridMode;
+	AspectRatioAxisConstraint: EAspectRatioAxisConstraint;
+	bEnableViewportHoverFeedback: boolean;
+	bHighlightWithBrackets: boolean;
+	bUseLinkedOrthographicViewports: boolean;
+	bStrictBoxSelection: boolean;
+	bTransparentBoxSelection: boolean;
+	bUseSelectionOutline: boolean;
+	SelectionHighlightIntensity: number;
+	BSPSelectionHighlightIntensity: number;
+	bEnableViewportCameraToUpdateFromPIV: boolean;
+	bPreviewSelectedCameras: boolean;
+	CameraPreviewSize: number;
+	BackgroundDropDistance: number;
+	PreviewMeshes: SoftObjectPath[];
+	BillboardScale: number;
+	TransformWidgetSizeAdjustment: number;
+	bSaveEngineStats: boolean;
+	MeasuringToolUnits: EMeasuringToolUnits;
+	PerInstanceSettings: LevelEditorViewportInstanceSettingsKeyValuePair[];
+	static Load(ResourceName: string): LevelEditorViewportSettings;
+	static Find(Outer: UObject, ResourceName: string): LevelEditorViewportSettings;
+	static GetDefaultObject(): LevelEditorViewportSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelEditorViewportSettings;
+	static C(Other: UObject | any): LevelEditorViewportSettings;
 }
 
-declare class Landscape extends LandscapeProxy { 
-	static GetDefaultObject(): Landscape;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Landscape;
-	static C(Other: UObject | any): Landscape;
-	GetLandscapeInfo(bSpawnNewActor: boolean): LandscapeInfo;
-	static GetLandscapeInfo(Landscape: Landscape,bSpawnNewActor: boolean): LandscapeInfo;
+declare class LevelExporterFBX extends ExporterFBX { 
+	static Load(ResourceName: string): LevelExporterFBX;
+	static Find(Outer: UObject, ResourceName: string): LevelExporterFBX;
+	static GetDefaultObject(): LevelExporterFBX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterFBX;
+	static C(Other: UObject | any): LevelExporterFBX;
 }
 
-declare class LandscapeGizmoActor extends Actor { 
-	Width: number;
-	Height: number;
-	LengthZ: number;
-	MarginZ: number;
-	MinRelativeZ: number;
-	RelativeScaleZ: number;
-	TargetLandscapeInfo: LandscapeInfo;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): LandscapeGizmoActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoActor;
-	static C(Other: UObject | any): LandscapeGizmoActor;
+declare class LevelExporterLOD extends Exporter { 
+	static Load(ResourceName: string): LevelExporterLOD;
+	static Find(Outer: UObject, ResourceName: string): LevelExporterLOD;
+	static GetDefaultObject(): LevelExporterLOD;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterLOD;
+	static C(Other: UObject | any): LevelExporterLOD;
 }
 
-declare type ELandscapeGizmoType = 'LGT_None' | 'LGT_Height' | 'LGT_Weight' | 'LGT_MAX';
-declare var ELandscapeGizmoType : { LGT_None:'LGT_None',LGT_Height:'LGT_Height',LGT_Weight:'LGT_Weight',LGT_MAX:'LGT_MAX', };
-declare class LandscapeGizmoActiveActor extends LandscapeGizmoActor { 
-	DataType: ELandscapeGizmoType;
-	GizmoTexture: Texture2D;
-	TextureScale: Vector2D;
-	SampledHeight: Vector[];
-	SampledNormal: Vector[];
-	SampleSizeX: number;
-	SampleSizeY: number;
-	CachedWidth: number;
-	CachedHeight: number;
-	CachedScaleXY: number;
-	FrustumVerts: Vector;
-	GizmoMaterial: Material;
-	GizmoDataMaterial: MaterialInstance;
-	GizmoMeshMaterial: Material;
-	LayerInfos: LandscapeLayerInfoObject[];
-	bSnapToLandscapeGrid: boolean;
-	UnsnappedRotation: Rotator;
-	static GetDefaultObject(): LandscapeGizmoActiveActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoActiveActor;
-	static C(Other: UObject | any): LandscapeGizmoActiveActor;
+declare class LevelExporterOBJ extends Exporter { 
+	static Load(ResourceName: string): LevelExporterOBJ;
+	static Find(Outer: UObject, ResourceName: string): LevelExporterOBJ;
+	static GetDefaultObject(): LevelExporterOBJ;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterOBJ;
+	static C(Other: UObject | any): LevelExporterOBJ;
 }
 
-declare class LandscapeGizmoRenderComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): LandscapeGizmoRenderComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeGizmoRenderComponent;
-	static GetDefaultObject(): LandscapeGizmoRenderComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoRenderComponent;
-	static C(Other: UObject | any): LandscapeGizmoRenderComponent;
+declare class LevelExporterSTL extends Exporter { 
+	static Load(ResourceName: string): LevelExporterSTL;
+	static Find(Outer: UObject, ResourceName: string): LevelExporterSTL;
+	static GetDefaultObject(): LevelExporterSTL;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterSTL;
+	static C(Other: UObject | any): LevelExporterSTL;
 }
 
-declare type EGrassScaling = 'Uniform' | 'Free' | 'LockXY' | 'EGrassScaling_MAX';
-declare var EGrassScaling : { Uniform:'Uniform',Free:'Free',LockXY:'LockXY',EGrassScaling_MAX:'EGrassScaling_MAX', };
-declare class GrassVariety { 
-	GrassMesh: StaticMesh;
-	GrassDensity: number;
-	bUseGrid: boolean;
-	PlacementJitter: number;
-	StartCullDistance: number;
-	EndCullDistance: number;
-	MinLOD: number;
-	Scaling: EGrassScaling;
-	ScaleX: FloatInterval;
-	ScaleY: FloatInterval;
-	ScaleZ: FloatInterval;
-	RandomRotation: boolean;
-	AlignToSurface: boolean;
-	bUseLandscapeLightmap: boolean;
-	LightingChannels: LightingChannels;
-	bReceivesDecals: boolean;
-	clone() : GrassVariety;
-	static C(Other: UObject | any): GrassVariety;
+declare class LevelExporterT3D extends Exporter { 
+	static Load(ResourceName: string): LevelExporterT3D;
+	static Find(Outer: UObject, ResourceName: string): LevelExporterT3D;
+	static GetDefaultObject(): LevelExporterT3D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelExporterT3D;
+	static C(Other: UObject | any): LevelExporterT3D;
 }
 
-declare class LandscapeGrassType extends UObject { 
-	GrassVarieties: GrassVariety[];
-	GrassMesh: StaticMesh;
-	GrassDensity: number;
-	PlacementJitter: number;
-	StartCullDistance: number;
-	EndCullDistance: number;
-	RandomRotation: boolean;
-	AlignToSurface: boolean;
-	static Load(ResourceName: string): LandscapeGrassType;
-	static Find(Outer: UObject, ResourceName: string): LandscapeGrassType;
-	static GetDefaultObject(): LandscapeGrassType;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGrassType;
-	static C(Other: UObject | any): LandscapeGrassType;
+declare class LevelFactory extends Factory { 
+	static Load(ResourceName: string): LevelFactory;
+	static Find(Outer: UObject, ResourceName: string): LevelFactory;
+	static GetDefaultObject(): LevelFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelFactory;
+	static C(Other: UObject | any): LevelFactory;
 }
 
-declare class LandscapeInfoMap extends UObject { 
-	static Load(ResourceName: string): LandscapeInfoMap;
-	static Find(Outer: UObject, ResourceName: string): LandscapeInfoMap;
-	static GetDefaultObject(): LandscapeInfoMap;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeInfoMap;
-	static C(Other: UObject | any): LandscapeInfoMap;
+declare class LevelThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): LevelThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): LevelThumbnailRenderer;
+	static GetDefaultObject(): LevelThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelThumbnailRenderer;
+	static C(Other: UObject | any): LevelThumbnailRenderer;
 }
 
-declare class LandscapeMaterialInstanceConstant extends MaterialInstanceConstant { 
-	bIsLayerThumbnail: boolean;
-	bDisableTessellation: boolean;
-	static Load(ResourceName: string): LandscapeMaterialInstanceConstant;
-	static Find(Outer: UObject, ResourceName: string): LandscapeMaterialInstanceConstant;
-	static GetDefaultObject(): LandscapeMaterialInstanceConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMaterialInstanceConstant;
-	static C(Other: UObject | any): LandscapeMaterialInstanceConstant;
+declare class LightmassDebugOptions { 
+	bDebugMode: boolean;
+	bStatsEnabled: boolean;
+	bGatherBSPSurfacesAcrossComponents: boolean;
+	CoplanarTolerance: number;
+	bUseImmediateImport: boolean;
+	bImmediateProcessMappings: boolean;
+	bSortMappings: boolean;
+	bDumpBinaryFiles: boolean;
+	bDebugMaterials: boolean;
+	bPadMappings: boolean;
+	bDebugPaddings: boolean;
+	bOnlyCalcDebugTexelMappings: boolean;
+	bUseRandomColors: boolean;
+	bColorBordersGreen: boolean;
+	bColorByExecutionTime: boolean;
+	ExecutionTimeDivisor: number;
+	clone() : LightmassDebugOptions;
+	static C(Other: UObject | any): LightmassDebugOptions;
 }
 
-declare class LandscapeMeshCollisionComponent extends LandscapeHeightfieldCollisionComponent { 
-	MeshGuid: Guid;
-	static Load(ResourceName: string): LandscapeMeshCollisionComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeMeshCollisionComponent;
-	static GetDefaultObject(): LandscapeMeshCollisionComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshCollisionComponent;
-	static C(Other: UObject | any): LandscapeMeshCollisionComponent;
+declare class SwarmDebugOptions { 
+	bDistributionEnabled: boolean;
+	bForceContentExport: boolean;
+	bInitialized: boolean;
+	clone() : SwarmDebugOptions;
+	static C(Other: UObject | any): SwarmDebugOptions;
 }
 
-declare class LandscapeMeshProxyComponent extends StaticMeshComponent { 
-	LandscapeGuid: Guid;
-	ProxyComponentBases: IntPoint[];
-	ProxyLOD: any;
-	static Load(ResourceName: string): LandscapeMeshProxyComponent;
-	static Find(Outer: UObject, ResourceName: string): LandscapeMeshProxyComponent;
-	static GetDefaultObject(): LandscapeMeshProxyComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshProxyComponent;
-	static C(Other: UObject | any): LandscapeMeshProxyComponent;
+declare class LightmassOptionsObject extends UObject { 
+	DebugSettings: LightmassDebugOptions;
+	SwarmSettings: SwarmDebugOptions;
+	static Load(ResourceName: string): LightmassOptionsObject;
+	static Find(Outer: UObject, ResourceName: string): LightmassOptionsObject;
+	static GetDefaultObject(): LightmassOptionsObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassOptionsObject;
+	static C(Other: UObject | any): LightmassOptionsObject;
 }
 
-declare class LandscapeMeshProxyActor extends Actor { 
-	LandscapeMeshProxyComponent: LandscapeMeshProxyComponent;
-	static GetDefaultObject(): LandscapeMeshProxyActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshProxyActor;
-	static C(Other: UObject | any): LandscapeMeshProxyActor;
+declare class LinearStairBuilder extends EditorBrushBuilder { 
+	StepLength: number;
+	StepHeight: number;
+	StepWidth: number;
+	NumSteps: number;
+	AddToFirstStep: number;
+	GroupName: string;
+	static Load(ResourceName: string): LinearStairBuilder;
+	static Find(Outer: UObject, ResourceName: string): LinearStairBuilder;
+	static GetDefaultObject(): LinearStairBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LinearStairBuilder;
+	static C(Other: UObject | any): LinearStairBuilder;
 }
 
-declare class LandscapeStreamingProxy extends LandscapeProxy { 
-	LandscapeActor: any;
-	static GetDefaultObject(): LandscapeStreamingProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeStreamingProxy;
-	static C(Other: UObject | any): LandscapeStreamingProxy;
+declare class ListMaterialsUsedWithMeshEmittersCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ListMaterialsUsedWithMeshEmittersCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ListMaterialsUsedWithMeshEmittersCommandlet;
+	static GetDefaultObject(): ListMaterialsUsedWithMeshEmittersCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListMaterialsUsedWithMeshEmittersCommandlet;
+	static C(Other: UObject | any): ListMaterialsUsedWithMeshEmittersCommandlet;
 }
 
-declare class MaterialExpressionCustomOutput extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionCustomOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCustomOutput;
-	static GetDefaultObject(): MaterialExpressionCustomOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCustomOutput;
-	static C(Other: UObject | any): MaterialExpressionCustomOutput;
+declare class ListStaticMeshesImportedFromSpeedTreesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ListStaticMeshesImportedFromSpeedTreesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ListStaticMeshesImportedFromSpeedTreesCommandlet;
+	static GetDefaultObject(): ListStaticMeshesImportedFromSpeedTreesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ListStaticMeshesImportedFromSpeedTreesCommandlet;
+	static C(Other: UObject | any): ListStaticMeshesImportedFromSpeedTreesCommandlet;
 }
 
-declare class GrassInput { 
-	Name: string;
-	GrassType: LandscapeGrassType;
-	Input: ExpressionInput;
-	clone() : GrassInput;
-	static C(Other: UObject | any): GrassInput;
+declare class LoadPackageCommandlet extends Commandlet { 
+	static Load(ResourceName: string): LoadPackageCommandlet;
+	static Find(Outer: UObject, ResourceName: string): LoadPackageCommandlet;
+	static GetDefaultObject(): LoadPackageCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LoadPackageCommandlet;
+	static C(Other: UObject | any): LoadPackageCommandlet;
 }
 
-declare class MaterialExpressionLandscapeGrassOutput extends MaterialExpressionCustomOutput { 
-	GrassTypes: GrassInput[];
-	static Load(ResourceName: string): MaterialExpressionLandscapeGrassOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeGrassOutput;
-	static GetDefaultObject(): MaterialExpressionLandscapeGrassOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeGrassOutput;
-	static C(Other: UObject | any): MaterialExpressionLandscapeGrassOutput;
+declare class EditorParameterGroup { 
+	GroupName: string;
+	GroupAssociation: EMaterialParameterAssociation;
+	Parameters: DEditorParameterValue[];
+	GroupSortPriority: number;
+	clone() : EditorParameterGroup;
+	static C(Other: UObject | any): EditorParameterGroup;
 }
 
-declare type ELandscapeLayerBlendType = 'LB_WeightBlend' | 'LB_AlphaBlend' | 'LB_HeightBlend' | 'LB_MAX';
-declare var ELandscapeLayerBlendType : { LB_WeightBlend:'LB_WeightBlend',LB_AlphaBlend:'LB_AlphaBlend',LB_HeightBlend:'LB_HeightBlend',LB_MAX:'LB_MAX', };
-declare class LayerBlendInput { 
-	LayerName: string;
-	BlendType: ELandscapeLayerBlendType;
-	LayerInput: ExpressionInput;
-	HeightInput: ExpressionInput;
-	PreviewWeight: number;
-	ConstLayerInput: Vector;
-	ConstHeightInput: number;
-	clone() : LayerBlendInput;
-	static C(Other: UObject | any): LayerBlendInput;
+declare class MaterialFunctionInstance extends MaterialFunctionInterface { 
+	Parent: MaterialFunctionInterface;
+	Base: MaterialFunctionInterface;
+	ScalarParameterValues: ScalarParameterValue[];
+	VectorParameterValues: VectorParameterValue[];
+	TextureParameterValues: TextureParameterValue[];
+	FontParameterValues: FontParameterValue[];
+	StaticSwitchParameterValues: StaticSwitchParameter[];
+	StaticComponentMaskParameterValues: StaticComponentMaskParameter[];
+	PreviewMaterial: MaterialInstanceConstant;
+	static Load(ResourceName: string): MaterialFunctionInstance;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionInstance;
+	static GetDefaultObject(): MaterialFunctionInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionInstance;
+	static C(Other: UObject | any): MaterialFunctionInstance;
 }
 
-declare class MaterialExpressionLandscapeLayerBlend extends MaterialExpression { 
-	Layers: LayerBlendInput[];
-	ExpressionGUID: Guid;
-	static Load(ResourceName: string): MaterialExpressionLandscapeLayerBlend;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerBlend;
-	static GetDefaultObject(): MaterialExpressionLandscapeLayerBlend;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerBlend;
-	static C(Other: UObject | any): MaterialExpressionLandscapeLayerBlend;
+declare class LightmassParameterValue { 
+	bOverride: boolean;
+	clone() : LightmassParameterValue;
+	static C(Other: UObject | any): LightmassParameterValue;
 }
 
-declare type ETerrainCoordMappingType = 'TCMT_Auto' | 'TCMT_XY' | 'TCMT_XZ' | 'TCMT_YZ' | 'TCMT_MAX';
-declare var ETerrainCoordMappingType : { TCMT_Auto:'TCMT_Auto',TCMT_XY:'TCMT_XY',TCMT_XZ:'TCMT_XZ',TCMT_YZ:'TCMT_YZ',TCMT_MAX:'TCMT_MAX', };
-declare type ELandscapeCustomizedCoordType = 'LCCT_None' | 'LCCT_CustomUV0' | 'LCCT_CustomUV1' | 'LCCT_CustomUV2' | 'LCCT_WeightMapUV' | 'LCCT_MAX';
-declare var ELandscapeCustomizedCoordType : { LCCT_None:'LCCT_None',LCCT_CustomUV0:'LCCT_CustomUV0',LCCT_CustomUV1:'LCCT_CustomUV1',LCCT_CustomUV2:'LCCT_CustomUV2',LCCT_WeightMapUV:'LCCT_WeightMapUV',LCCT_MAX:'LCCT_MAX', };
-declare class MaterialExpressionLandscapeLayerCoords extends MaterialExpression { 
-	MappingType: ETerrainCoordMappingType;
-	CustomUVType: ELandscapeCustomizedCoordType;
-	MappingScale: number;
-	MappingRotation: number;
-	MappingPanU: number;
-	MappingPanV: number;
-	static Load(ResourceName: string): MaterialExpressionLandscapeLayerCoords;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerCoords;
-	static GetDefaultObject(): MaterialExpressionLandscapeLayerCoords;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerCoords;
-	static C(Other: UObject | any): MaterialExpressionLandscapeLayerCoords;
+declare class LightmassBooleanParameterValue extends LightmassParameterValue { 
+	ParameterValue: boolean;
+	clone() : LightmassBooleanParameterValue;
+	static C(Other: UObject | any): LightmassBooleanParameterValue;
 }
 
-declare class MaterialExpressionLandscapeLayerSample extends MaterialExpression { 
-	ParameterName: string;
-	PreviewWeight: number;
-	ExpressionGUID: Guid;
-	static Load(ResourceName: string): MaterialExpressionLandscapeLayerSample;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerSample;
-	static GetDefaultObject(): MaterialExpressionLandscapeLayerSample;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerSample;
-	static C(Other: UObject | any): MaterialExpressionLandscapeLayerSample;
+declare class LightmassScalarParameterValue extends LightmassParameterValue { 
+	ParameterValue: number;
+	clone() : LightmassScalarParameterValue;
+	static C(Other: UObject | any): LightmassScalarParameterValue;
 }
 
-declare class MaterialExpressionLandscapeLayerSwitch extends MaterialExpression { 
-	LayerUsed: ExpressionInput;
-	LayerNotUsed: ExpressionInput;
-	ParameterName: string;
-	PreviewUsed: boolean;
-	ExpressionGUID: Guid;
-	static Load(ResourceName: string): MaterialExpressionLandscapeLayerSwitch;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerSwitch;
-	static GetDefaultObject(): MaterialExpressionLandscapeLayerSwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerSwitch;
-	static C(Other: UObject | any): MaterialExpressionLandscapeLayerSwitch;
+declare class LightmassParameterizedMaterialSettings { 
+	CastShadowAsMasked: LightmassBooleanParameterValue;
+	EmissiveBoost: LightmassScalarParameterValue;
+	DiffuseBoost: LightmassScalarParameterValue;
+	ExportResolutionScale: LightmassScalarParameterValue;
+	clone() : LightmassParameterizedMaterialSettings;
+	static C(Other: UObject | any): LightmassParameterizedMaterialSettings;
 }
 
-declare class MaterialExpressionLandscapeLayerWeight extends MaterialExpression { 
-	Base: ExpressionInput;
-	Layer: ExpressionInput;
-	ParameterName: string;
-	PreviewWeight: number;
-	ConstBase: Vector;
-	ExpressionGUID: Guid;
-	static Load(ResourceName: string): MaterialExpressionLandscapeLayerWeight;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerWeight;
-	static GetDefaultObject(): MaterialExpressionLandscapeLayerWeight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerWeight;
-	static C(Other: UObject | any): MaterialExpressionLandscapeLayerWeight;
+declare class MaterialEditorInstanceConstant extends UObject { 
+	PhysMaterial: PhysicalMaterial;
+	Parent: MaterialInterface;
+	ParameterGroups: EditorParameterGroup[];
+	RefractionDepthBias: number;
+	SubsurfaceProfile: SubsurfaceProfile;
+	bOverrideSubsurfaceProfile: boolean;
+	bOverrideBaseProperties: boolean;
+	bIsFunctionPreviewMaterial: boolean;
+	bIsFunctionInstanceDirty: boolean;
+	BasePropertyOverrides: MaterialInstanceBasePropertyOverrides;
+	SourceInstance: MaterialInstanceConstant;
+	SourceFunction: MaterialFunctionInstance;
+	VisibleExpressions: MaterialParameterInfo[];
+	LightmassSettings: LightmassParameterizedMaterialSettings;
+	bUseOldStyleMICEditorGroups: boolean;
+	StoredLayerPreviews: MaterialInstanceConstant[];
+	StoredBlendPreviews: MaterialInstanceConstant[];
+	static Load(ResourceName: string): MaterialEditorInstanceConstant;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditorInstanceConstant;
+	static GetDefaultObject(): MaterialEditorInstanceConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorInstanceConstant;
+	static C(Other: UObject | any): MaterialEditorInstanceConstant;
 }
 
-declare class MaterialExpressionLandscapeVisibilityMask extends MaterialExpression { 
-	ExpressionGUID: Guid;
-	static Load(ResourceName: string): MaterialExpressionLandscapeVisibilityMask;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeVisibilityMask;
-	static GetDefaultObject(): MaterialExpressionLandscapeVisibilityMask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeVisibilityMask;
-	static C(Other: UObject | any): MaterialExpressionLandscapeVisibilityMask;
-}
-
-declare class AbstractNavData extends NavigationData { 
-	static GetDefaultObject(): AbstractNavData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AbstractNavData;
-	static C(Other: UObject | any): AbstractNavData;
+declare class MaterialEditorMeshComponent extends StaticMeshComponent { 
+	static Load(ResourceName: string): MaterialEditorMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditorMeshComponent;
+	static GetDefaultObject(): MaterialEditorMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorMeshComponent;
+	static C(Other: UObject | any): MaterialEditorMeshComponent;
 }
 
-declare class ActorChannel extends Channel { 
-	Actor: Actor;
-	CreateSubObjects: UObject[];
-	static Load(ResourceName: string): ActorChannel;
-	static Find(Outer: UObject, ResourceName: string): ActorChannel;
-	static GetDefaultObject(): ActorChannel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorChannel;
-	static C(Other: UObject | any): ActorChannel;
+declare class MaterialEditorOptions extends UObject { 
+	bShowGrid: boolean;
+	bHideUnusedConnectors: boolean;
+	bRealtimeMaterialViewport: boolean;
+	bRealtimeExpressionViewport: boolean;
+	bLivePreviewUpdate: boolean;
+	bAlwaysRefreshAllPreviews: boolean;
+	bUseUnsortedMenus: boolean;
+	FavoriteExpressions: string[];
+	static Load(ResourceName: string): MaterialEditorOptions;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditorOptions;
+	static GetDefaultObject(): MaterialEditorOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorOptions;
+	static C(Other: UObject | any): MaterialEditorOptions;
 }
 
-declare type EBlendSpaceAxis = 'BSA_None' | 'BSA_X' | 'BSA_Y' | 'BSA_Max';
-declare var EBlendSpaceAxis : { BSA_None:'BSA_None',BSA_X:'BSA_X',BSA_Y:'BSA_Y',BSA_Max:'BSA_Max', };
-declare class BlendSpace extends BlendSpaceBase { 
-	AxisToScaleAnimation: EBlendSpaceAxis;
-	static Load(ResourceName: string): BlendSpace;
-	static Find(Outer: UObject, ResourceName: string): BlendSpace;
-	static GetDefaultObject(): BlendSpace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpace;
-	static C(Other: UObject | any): BlendSpace;
+declare class MaterialEditorPreviewParameters extends UObject { 
+	ParameterGroups: EditorParameterGroup[];
+	PreviewMaterial: Material;
+	OriginalFunction: MaterialFunction;
+	OriginalMaterial: Material;
+	static Load(ResourceName: string): MaterialEditorPreviewParameters;
+	static Find(Outer: UObject, ResourceName: string): MaterialEditorPreviewParameters;
+	static GetDefaultObject(): MaterialEditorPreviewParameters;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialEditorPreviewParameters;
+	static C(Other: UObject | any): MaterialEditorPreviewParameters;
 }
 
-declare class AimOffsetBlendSpace extends BlendSpace { 
-	static Load(ResourceName: string): AimOffsetBlendSpace;
-	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpace;
-	static GetDefaultObject(): AimOffsetBlendSpace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpace;
-	static C(Other: UObject | any): AimOffsetBlendSpace;
+declare class MaterialFactoryNew extends Factory { 
+	InitialTexture: Texture;
+	static Load(ResourceName: string): MaterialFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): MaterialFactoryNew;
+	static GetDefaultObject(): MaterialFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFactoryNew;
+	static C(Other: UObject | any): MaterialFactoryNew;
 }
 
-declare class BlendSpace1D extends BlendSpaceBase { 
-	bDisplayEditorVertically: boolean;
-	bScaleAnimation: boolean;
-	static Load(ResourceName: string): BlendSpace1D;
-	static Find(Outer: UObject, ResourceName: string): BlendSpace1D;
-	static GetDefaultObject(): BlendSpace1D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpace1D;
-	static C(Other: UObject | any): BlendSpace1D;
+declare class MaterialFunctionFactoryNew extends Factory { 
+	static Load(ResourceName: string): MaterialFunctionFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionFactoryNew;
+	static GetDefaultObject(): MaterialFunctionFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionFactoryNew;
+	static C(Other: UObject | any): MaterialFunctionFactoryNew;
 }
 
-declare class AimOffsetBlendSpace1D extends BlendSpace1D { 
-	static Load(ResourceName: string): AimOffsetBlendSpace1D;
-	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpace1D;
-	static GetDefaultObject(): AimOffsetBlendSpace1D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpace1D;
-	static C(Other: UObject | any): AimOffsetBlendSpace1D;
+declare class MaterialFunctionInstanceFactory extends Factory { 
+	InitialParent: MaterialFunctionInterface;
+	static Load(ResourceName: string): MaterialFunctionInstanceFactory;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionInstanceFactory;
+	static GetDefaultObject(): MaterialFunctionInstanceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionInstanceFactory;
+	static C(Other: UObject | any): MaterialFunctionInstanceFactory;
 }
 
-declare class AmbientSound extends Actor { 
-	AudioComponent: AudioComponent;
-	static GetDefaultObject(): AmbientSound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AmbientSound;
-	Stop(): void;
-	Play(StartTime: number): void;
-	FadeOut(FadeOutDuration: number,FadeVolumeLevel: number): void;
-	FadeIn(FadeInDuration: number,FadeVolumeLevel: number): void;
-	AdjustVolume(AdjustVolumeDuration: number,AdjustVolumeLevel: number): void;
-	static C(Other: UObject | any): AmbientSound;
+declare class MaterialFunctionMaterialLayerInstanceFactory extends MaterialFunctionInstanceFactory { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerInstanceFactory;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerInstanceFactory;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerInstanceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerInstanceFactory;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerInstanceFactory;
 }
 
-declare class AnimationSettings extends DeveloperSettings { 
-	CompressCommandletVersion: number;
-	KeyEndEffectorsMatchNameArray: string[];
-	DefaultCompressionAlgorithm: UnrealEngineClass;
-	RotationCompressionFormat: AnimationCompressionFormat;
-	TranslationCompressionFormat: AnimationCompressionFormat;
-	MaxCurveError: number;
-	AlternativeCompressionThreshold: number;
-	ForceRecompression: boolean;
-	bOnlyCheckForMissingSkeletalMeshes: boolean;
-	bForceBelowThreshold: boolean;
-	bFirstRecompressUsingCurrentOrDefault: boolean;
-	bRaiseMaxErrorToExisting: boolean;
-	bTryFixedBitwiseCompression: boolean;
-	bTryPerTrackBitwiseCompression: boolean;
-	bTryLinearKeyRemovalCompression: boolean;
-	bTryIntervalKeyRemoval: boolean;
-	bEnablePerformanceLog: boolean;
-	bStripAnimationDataOnDedicatedServer: boolean;
-	bTickAnimationOnSkeletalMeshInit: boolean;
-	static Load(ResourceName: string): AnimationSettings;
-	static Find(Outer: UObject, ResourceName: string): AnimationSettings;
-	static GetDefaultObject(): AnimationSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSettings;
-	static C(Other: UObject | any): AnimationSettings;
+declare class MaterialFunctionMaterialLayerBlendInstanceFactory extends MaterialFunctionInstanceFactory { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendInstanceFactory;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendInstanceFactory;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendInstanceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendInstanceFactory;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendInstanceFactory;
 }
 
-declare class BakedStateExitTransition { 
-	CanTakeDelegateIndex: number;
-	CustomResultNodeIndex: number;
-	TransitionIndex: number;
-	bDesiredTransitionReturnValue: boolean;
-	bAutomaticRemainingTimeRule: boolean;
-	PoseEvaluatorLinks: number[];
-	clone() : BakedStateExitTransition;
-	static C(Other: UObject | any): BakedStateExitTransition;
+declare class MaterialFunctionMaterialLayerBlendFactory extends Factory { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendFactory;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendFactory;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendFactory;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendFactory;
 }
 
-declare class BakedAnimationState { 
-	StateName: string;
-	Transitions: BakedStateExitTransition[];
-	StateRootNodeIndex: number;
-	StartNotify: number;
-	EndNotify: number;
-	FullyBlendedNotify: number;
-	bIsAConduit: boolean;
-	EntryRuleNodeIndex: number;
-	PlayerNodeIndices: number[];
-	bAlwaysResetOnEntry: boolean;
-	clone() : BakedAnimationState;
-	static C(Other: UObject | any): BakedAnimationState;
+declare class MaterialFunctionMaterialLayerFactory extends Factory { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerFactory;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerFactory;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerFactory;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerFactory;
 }
 
-declare class AnimationStateBase { 
-	StateName: string;
-	clone() : AnimationStateBase;
-	static C(Other: UObject | any): AnimationStateBase;
+declare class MaterialFunctionThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): MaterialFunctionThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionThumbnailRenderer;
+	static GetDefaultObject(): MaterialFunctionThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionThumbnailRenderer;
+	static C(Other: UObject | any): MaterialFunctionThumbnailRenderer;
 }
 
-declare class AnimationTransitionBetweenStates extends AnimationStateBase { 
-	PreviousState: number;
-	NextState: number;
-	CrossfadeDuration: number;
-	StartNotify: number;
-	EndNotify: number;
-	InterruptNotify: number;
-	BlendMode: EAlphaBlendOption;
-	CustomCurve: CurveFloat;
-	BlendProfile: BlendProfile;
-	LogicType: ETransitionLogicType;
-	clone() : AnimationTransitionBetweenStates;
-	static C(Other: UObject | any): AnimationTransitionBetweenStates;
+declare class MaterialGraphNode_Base extends EdGraphNode { 
+	static Load(ResourceName: string): MaterialGraphNode_Base;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Base;
+	static GetDefaultObject(): MaterialGraphNode_Base;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Base;
+	static C(Other: UObject | any): MaterialGraphNode_Base;
 }
 
-declare class BakedAnimationStateMachine { 
-	MachineName: string;
-	InitialState: number;
-	States: BakedAnimationState[];
-	Transitions: AnimationTransitionBetweenStates[];
-	clone() : BakedAnimationStateMachine;
-	static C(Other: UObject | any): BakedAnimationStateMachine;
+declare class MaterialGraphNode_Root extends MaterialGraphNode_Base { 
+	Material: Material;
+	static Load(ResourceName: string): MaterialGraphNode_Root;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Root;
+	static GetDefaultObject(): MaterialGraphNode_Root;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Root;
+	static C(Other: UObject | any): MaterialGraphNode_Root;
 }
 
-declare class AnimBlueprintGeneratedClass extends BlueprintGeneratedClass { 
-	BakedStateMachines: BakedAnimationStateMachine[];
-	TargetSkeleton: Skeleton;
-	AnimNotifies: AnimNotifyEvent[];
-	RootAnimNodeIndex: number;
-	OrderedSavedPoseIndices: number[];
-	SyncGroupNames: string[];
-	static Load(ResourceName: string): AnimBlueprintGeneratedClass;
-	static Find(Outer: UObject, ResourceName: string): AnimBlueprintGeneratedClass;
-	static GetDefaultObject(): AnimBlueprintGeneratedClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintGeneratedClass;
-	static C(Other: UObject | any): AnimBlueprintGeneratedClass;
+declare class MaterialGraph extends EdGraph { 
+	Material: Material;
+	MaterialFunction: MaterialFunction;
+	RootNode: MaterialGraphNode_Root;
+	OriginalMaterialFullName: string;
+	static Load(ResourceName: string): MaterialGraph;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraph;
+	static GetDefaultObject(): MaterialGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraph;
+	static C(Other: UObject | any): MaterialGraph;
 }
 
-declare class AnimClassData extends UObject { 
-	BakedStateMachines: BakedAnimationStateMachine[];
-	TargetSkeleton: Skeleton;
-	AnimNotifies: AnimNotifyEvent[];
-	RootAnimNodeIndex: number;
-	OrderedSavedPoseIndices: number[];
-	RootAnimNodeProperty: StructProperty;
-	AnimNodeProperties: StructProperty[];
-	SyncGroupNames: string[];
-	static Load(ResourceName: string): AnimClassData;
-	static Find(Outer: UObject, ResourceName: string): AnimClassData;
-	static GetDefaultObject(): AnimClassData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimClassData;
-	static C(Other: UObject | any): AnimClassData;
+declare class MaterialGraphNode extends MaterialGraphNode_Base { 
+	MaterialExpression: MaterialExpression;
+	static Load(ResourceName: string): MaterialGraphNode;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode;
+	static GetDefaultObject(): MaterialGraphNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode;
+	static C(Other: UObject | any): MaterialGraphNode;
 }
 
-declare class AnimClassInterface extends Interface { 
-	static Load(ResourceName: string): AnimClassInterface;
-	static Find(Outer: UObject, ResourceName: string): AnimClassInterface;
-	static GetDefaultObject(): AnimClassInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimClassInterface;
-	static C(Other: UObject | any): AnimClassInterface;
+declare class MaterialGraphNode_Comment extends EdGraphNode_Comment { 
+	MaterialExpressionComment: MaterialExpressionComment;
+	static Load(ResourceName: string): MaterialGraphNode_Comment;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Comment;
+	static GetDefaultObject(): MaterialGraphNode_Comment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Comment;
+	static C(Other: UObject | any): MaterialGraphNode_Comment;
 }
 
-declare class AnimComposite extends AnimCompositeBase { 
-	AnimationTrack: AnimTrack;
-	PreviewBasePose: AnimSequence;
-	static Load(ResourceName: string): AnimComposite;
-	static Find(Outer: UObject, ResourceName: string): AnimComposite;
-	static GetDefaultObject(): AnimComposite;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimComposite;
-	static C(Other: UObject | any): AnimComposite;
+declare class MaterialGraphNode_Knot extends MaterialGraphNode { 
+	static Load(ResourceName: string): MaterialGraphNode_Knot;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphNode_Knot;
+	static GetDefaultObject(): MaterialGraphNode_Knot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphNode_Knot;
+	static C(Other: UObject | any): MaterialGraphNode_Knot;
 }
 
-declare class AnimCompress_Automatic extends AnimCompress { 
-	MaxEndEffectorError: number;
-	bTryFixedBitwiseCompression: boolean;
-	bTryPerTrackBitwiseCompression: boolean;
-	bTryLinearKeyRemovalCompression: boolean;
-	bTryIntervalKeyRemoval: boolean;
-	bRunCurrentDefaultCompressor: boolean;
-	bAutoReplaceIfExistingErrorTooGreat: boolean;
-	bRaiseMaxErrorToExisting: boolean;
-	static Load(ResourceName: string): AnimCompress_Automatic;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_Automatic;
-	static GetDefaultObject(): AnimCompress_Automatic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_Automatic;
-	static C(Other: UObject | any): AnimCompress_Automatic;
+declare class MaterialGraphSchema extends EdGraphSchema { 
+	static Load(ResourceName: string): MaterialGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): MaterialGraphSchema;
+	static GetDefaultObject(): MaterialGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialGraphSchema;
+	static C(Other: UObject | any): MaterialGraphSchema;
 }
 
-declare class AnimCompress_BitwiseCompressOnly extends AnimCompress { 
-	static Load(ResourceName: string): AnimCompress_BitwiseCompressOnly;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_BitwiseCompressOnly;
-	static GetDefaultObject(): AnimCompress_BitwiseCompressOnly;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_BitwiseCompressOnly;
-	static C(Other: UObject | any): AnimCompress_BitwiseCompressOnly;
+declare class MaterialImportHelpers extends UObject { 
+	static Load(ResourceName: string): MaterialImportHelpers;
+	static Find(Outer: UObject, ResourceName: string): MaterialImportHelpers;
+	static GetDefaultObject(): MaterialImportHelpers;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialImportHelpers;
+	static FindExistingMaterialFromSearchLocation(MaterialFullName: string,BasePackagePath: string,SearchLocation: EMaterialSearchLocation,OutError?: string): {OutError: string, $: MaterialInterface};
+	static FindExistingMaterial(BasePath: string,MaterialFullName: string,bRecursivePaths: boolean,OutError?: string): {OutError: string, $: MaterialInterface};
+	static C(Other: UObject | any): MaterialImportHelpers;
 }
 
-declare class AnimCompress_LeastDestructive extends AnimCompress { 
-	static Load(ResourceName: string): AnimCompress_LeastDestructive;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_LeastDestructive;
-	static GetDefaultObject(): AnimCompress_LeastDestructive;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_LeastDestructive;
-	static C(Other: UObject | any): AnimCompress_LeastDestructive;
+declare class MaterialInstanceConstantFactoryNew extends Factory { 
+	InitialParent: MaterialInterface;
+	static Load(ResourceName: string): MaterialInstanceConstantFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): MaterialInstanceConstantFactoryNew;
+	static GetDefaultObject(): MaterialInstanceConstantFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceConstantFactoryNew;
+	static C(Other: UObject | any): MaterialInstanceConstantFactoryNew;
 }
 
-declare class AnimCompress_RemoveLinearKeys extends AnimCompress { 
-	MaxPosDiff: number;
-	MaxAngleDiff: number;
-	MaxScaleDiff: number;
-	MaxEffectorDiff: number;
-	MinEffectorDiff: number;
-	EffectorDiffSocket: number;
-	ParentKeyScale: number;
-	bRetarget: boolean;
-	bActuallyFilterLinearKeys: boolean;
-	static Load(ResourceName: string): AnimCompress_RemoveLinearKeys;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveLinearKeys;
-	static GetDefaultObject(): AnimCompress_RemoveLinearKeys;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveLinearKeys;
-	static C(Other: UObject | any): AnimCompress_RemoveLinearKeys;
+declare class MaterialInstanceThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): MaterialInstanceThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): MaterialInstanceThumbnailRenderer;
+	static GetDefaultObject(): MaterialInstanceThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceThumbnailRenderer;
+	static C(Other: UObject | any): MaterialInstanceThumbnailRenderer;
 }
 
-declare class AnimCompress_PerTrackCompression extends AnimCompress_RemoveLinearKeys { 
-	MaxZeroingThreshold: number;
-	MaxPosDiffBitwise: number;
-	MaxAngleDiffBitwise: number;
-	MaxScaleDiffBitwise: number;
-	AllowedRotationFormats: AnimationCompressionFormat[];
-	AllowedTranslationFormats: AnimationCompressionFormat[];
-	AllowedScaleFormats: AnimationCompressionFormat[];
-	bResampleAnimation: boolean;
-	ResampledFramerate: number;
-	MinKeysForResampling: number;
-	bUseAdaptiveError: boolean;
-	bUseOverrideForEndEffectors: boolean;
-	TrackHeightBias: number;
-	ParentingDivisor: number;
-	ParentingDivisorExponent: number;
-	bUseAdaptiveError2: boolean;
-	RotationErrorSourceRatio: number;
-	TranslationErrorSourceRatio: number;
-	ScaleErrorSourceRatio: number;
-	MaxErrorPerTrackRatio: number;
-	PerturbationProbeSize: number;
-	static Load(ResourceName: string): AnimCompress_PerTrackCompression;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_PerTrackCompression;
-	static GetDefaultObject(): AnimCompress_PerTrackCompression;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_PerTrackCompression;
-	static C(Other: UObject | any): AnimCompress_PerTrackCompression;
+declare class MaterialParameterCollectionFactoryNew extends Factory { 
+	static Load(ResourceName: string): MaterialParameterCollectionFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): MaterialParameterCollectionFactoryNew;
+	static GetDefaultObject(): MaterialParameterCollectionFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialParameterCollectionFactoryNew;
+	static C(Other: UObject | any): MaterialParameterCollectionFactoryNew;
 }
 
-declare class AnimCompress_RemoveEverySecondKey extends AnimCompress { 
-	MinKeys: number;
-	bStartAtSecondKey: boolean;
-	static Load(ResourceName: string): AnimCompress_RemoveEverySecondKey;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveEverySecondKey;
-	static GetDefaultObject(): AnimCompress_RemoveEverySecondKey;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveEverySecondKey;
-	static C(Other: UObject | any): AnimCompress_RemoveEverySecondKey;
+declare class MaterialStatsOptions extends UObject { 
+	bPlatformUsed: number;
+	bMaterialQualityUsed: number;
+	static Load(ResourceName: string): MaterialStatsOptions;
+	static Find(Outer: UObject, ResourceName: string): MaterialStatsOptions;
+	static GetDefaultObject(): MaterialStatsOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialStatsOptions;
+	static C(Other: UObject | any): MaterialStatsOptions;
 }
 
-declare class AnimCompress_RemoveTrivialKeys extends AnimCompress { 
-	MaxPosDiff: number;
-	MaxAngleDiff: number;
-	MaxScaleDiff: number;
-	static Load(ResourceName: string): AnimCompress_RemoveTrivialKeys;
-	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveTrivialKeys;
-	static GetDefaultObject(): AnimCompress_RemoveTrivialKeys;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveTrivialKeys;
-	static C(Other: UObject | any): AnimCompress_RemoveTrivialKeys;
+declare class MergeShaderPipelineCachesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): MergeShaderPipelineCachesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): MergeShaderPipelineCachesCommandlet;
+	static GetDefaultObject(): MergeShaderPipelineCachesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MergeShaderPipelineCachesCommandlet;
+	static C(Other: UObject | any): MergeShaderPipelineCachesCommandlet;
 }
 
-declare class AnimNotify_PlayParticleEffect extends AnimNotify { 
-	PSTemplate: ParticleSystem;
-	LocationOffset: Vector;
-	RotationOffset: Rotator;
-	Scale: Vector;
-	Attached: boolean;
-	SocketName: string;
-	static Load(ResourceName: string): AnimNotify_PlayParticleEffect;
-	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayParticleEffect;
-	static GetDefaultObject(): AnimNotify_PlayParticleEffect;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayParticleEffect;
-	static C(Other: UObject | any): AnimNotify_PlayParticleEffect;
+declare class ModelExporterT3D extends Exporter { 
+	static Load(ResourceName: string): ModelExporterT3D;
+	static Find(Outer: UObject, ResourceName: string): ModelExporterT3D;
+	static GetDefaultObject(): ModelExporterT3D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ModelExporterT3D;
+	static C(Other: UObject | any): ModelExporterT3D;
 }
 
-declare class AnimNotify_PlaySound extends AnimNotify { 
-	Sound: SoundBase;
-	VolumeMultiplier: number;
-	PitchMultiplier: number;
-	bFollow: boolean;
-	AttachName: string;
-	static Load(ResourceName: string): AnimNotify_PlaySound;
-	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlaySound;
-	static GetDefaultObject(): AnimNotify_PlaySound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlaySound;
-	static C(Other: UObject | any): AnimNotify_PlaySound;
+declare class ModelFactory extends Factory { 
+	static Load(ResourceName: string): ModelFactory;
+	static Find(Outer: UObject, ResourceName: string): ModelFactory;
+	static GetDefaultObject(): ModelFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ModelFactory;
+	static C(Other: UObject | any): ModelFactory;
 }
 
-declare class AnimNotify_ResetClothingSimulation extends AnimNotify { 
-	static Load(ResourceName: string): AnimNotify_ResetClothingSimulation;
-	static Find(Outer: UObject, ResourceName: string): AnimNotify_ResetClothingSimulation;
-	static GetDefaultObject(): AnimNotify_ResetClothingSimulation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_ResetClothingSimulation;
-	static C(Other: UObject | any): AnimNotify_ResetClothingSimulation;
+declare class NativeCodeGenCommandlet extends Commandlet { 
+	static Load(ResourceName: string): NativeCodeGenCommandlet;
+	static Find(Outer: UObject, ResourceName: string): NativeCodeGenCommandlet;
+	static GetDefaultObject(): NativeCodeGenCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NativeCodeGenCommandlet;
+	static C(Other: UObject | any): NativeCodeGenCommandlet;
 }
 
-declare class AnimNotifyState_DisableRootMotion extends AnimNotifyState { 
-	static Load(ResourceName: string): AnimNotifyState_DisableRootMotion;
-	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_DisableRootMotion;
-	static GetDefaultObject(): AnimNotifyState_DisableRootMotion;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_DisableRootMotion;
-	static C(Other: UObject | any): AnimNotifyState_DisableRootMotion;
+declare class ObjectExporterT3D extends Exporter { 
+	static Load(ResourceName: string): ObjectExporterT3D;
+	static Find(Outer: UObject, ResourceName: string): ObjectExporterT3D;
+	static GetDefaultObject(): ObjectExporterT3D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectExporterT3D;
+	static C(Other: UObject | any): ObjectExporterT3D;
 }
 
-declare class AnimNotifyState_TimedParticleEffect extends AnimNotifyState { 
-	PSTemplate: ParticleSystem;
-	SocketName: string;
-	LocationOffset: Vector;
-	RotationOffset: Rotator;
-	bDestroyAtEnd: boolean;
-	PreviousPSTemplates: ParticleSystem[];
-	PreviousSocketNames: string[];
-	static Load(ResourceName: string): AnimNotifyState_TimedParticleEffect;
-	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_TimedParticleEffect;
-	static GetDefaultObject(): AnimNotifyState_TimedParticleEffect;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_TimedParticleEffect;
-	static C(Other: UObject | any): AnimNotifyState_TimedParticleEffect;
+declare class ObjectLibraryFactory extends Factory { 
+	static Load(ResourceName: string): ObjectLibraryFactory;
+	static Find(Outer: UObject, ResourceName: string): ObjectLibraryFactory;
+	static GetDefaultObject(): ObjectLibraryFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectLibraryFactory;
+	static C(Other: UObject | any): ObjectLibraryFactory;
 }
 
-declare class AnimNotifyState_Trail extends AnimNotifyState { 
-	PSTemplate: ParticleSystem;
-	FirstSocketName: string;
-	SecondSocketName: string;
-	WidthScaleMode: ETrailWidthMode;
-	WidthScaleCurve: string;
-	bRecycleSpawnedSystems: boolean;
-	bRenderGeometry: boolean;
-	bRenderSpawnPoints: boolean;
-	bRenderTangents: boolean;
-	bRenderTessellation: boolean;
-	static Load(ResourceName: string): AnimNotifyState_Trail;
-	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_Trail;
-	static GetDefaultObject(): AnimNotifyState_Trail;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_Trail;
-	OverridePSTemplate(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase): ParticleSystem;
-	static C(Other: UObject | any): AnimNotifyState_Trail;
+declare class PackageFactory extends Factory { 
+	static Load(ResourceName: string): PackageFactory;
+	static Find(Outer: UObject, ResourceName: string): PackageFactory;
+	static GetDefaultObject(): PackageFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageFactory;
+	static C(Other: UObject | any): PackageFactory;
 }
 
-declare class AnimSetMeshLinkup { 
-	BoneToTrackTable: number[];
-	clone() : AnimSetMeshLinkup;
-	static C(Other: UObject | any): AnimSetMeshLinkup;
+declare class PackageTools extends UObject { 
+	static Load(ResourceName: string): PackageTools;
+	static Find(Outer: UObject, ResourceName: string): PackageTools;
+	static GetDefaultObject(): PackageTools;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageTools;
+	static SanitizePackageName(InPackageName: string): string;
+	static C(Other: UObject | any): PackageTools;
 }
 
-declare class AnimSet extends UObject { 
-	bAnimRotationOnly: boolean;
-	TrackBoneNames: string[];
-	Sequences: AnimSequence[];
-	LinkupCache: AnimSetMeshLinkup[];
-	BoneUseAnimTranslation: number[];
-	ForceUseMeshTranslation: number[];
-	UseTranslationBoneNames: string[];
-	ForceMeshTranslationBoneNames: string[];
-	PreviewSkelMeshName: string;
-	BestRatioSkelMeshName: string;
-	static Load(ResourceName: string): AnimSet;
-	static Find(Outer: UObject, ResourceName: string): AnimSet;
-	static GetDefaultObject(): AnimSet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSet;
-	static C(Other: UObject | any): AnimSet;
-}
-
-declare class AnimStateMachineTypes extends UObject { 
-	static Load(ResourceName: string): AnimStateMachineTypes;
-	static Find(Outer: UObject, ResourceName: string): AnimStateMachineTypes;
-	static GetDefaultObject(): AnimStateMachineTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateMachineTypes;
-	static C(Other: UObject | any): AnimStateMachineTypes;
+declare class PackFactory extends Factory { 
+	static Load(ResourceName: string): PackFactory;
+	static Find(Outer: UObject, ResourceName: string): PackFactory;
+	static GetDefaultObject(): PackFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackFactory;
+	static C(Other: UObject | any): PackFactory;
 }
 
-declare class ApplicationLifecycleComponent extends ActorComponent { 
-	ApplicationWillDeactivateDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationHasReactivatedDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationWillEnterBackgroundDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationHasEnteredForegroundDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationWillTerminateDelegate: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): ApplicationLifecycleComponent;
-	static Find(Outer: UObject, ResourceName: string): ApplicationLifecycleComponent;
-	static GetDefaultObject(): ApplicationLifecycleComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ApplicationLifecycleComponent;
-	static C(Other: UObject | any): ApplicationLifecycleComponent;
+declare class ParticleSystemAuditCommandlet extends Commandlet { 
+	HighSpawnRateOrBurstThreshold: number;
+	FarLODDistanceTheshold: number;
+	static Load(ResourceName: string): ParticleSystemAuditCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ParticleSystemAuditCommandlet;
+	static GetDefaultObject(): ParticleSystemAuditCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemAuditCommandlet;
+	static C(Other: UObject | any): ParticleSystemAuditCommandlet;
 }
 
-declare type EPrimaryAssetCookRule = 'Unknown' | 'NeverCook' | 'DevelopmentCook' | 'AlwaysCook' | 'EPrimaryAssetCookRule_MAX';
-declare var EPrimaryAssetCookRule : { Unknown:'Unknown',NeverCook:'NeverCook',DevelopmentCook:'DevelopmentCook',AlwaysCook:'AlwaysCook',EPrimaryAssetCookRule_MAX:'EPrimaryAssetCookRule_MAX', };
-declare class PrimaryAssetRules { 
-	Priority: number;
-	bApplyRecursively: boolean;
-	ChunkID: number;
-	CookRule: EPrimaryAssetCookRule;
-	clone() : PrimaryAssetRules;
-	static C(Other: UObject | any): PrimaryAssetRules;
+declare class ParticleSystemFactoryNew extends Factory { 
+	static Load(ResourceName: string): ParticleSystemFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): ParticleSystemFactoryNew;
+	static GetDefaultObject(): ParticleSystemFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemFactoryNew;
+	static C(Other: UObject | any): ParticleSystemFactoryNew;
 }
 
-declare class PrimaryAssetTypeInfo { 
-	PrimaryAssetType: string;
-	AssetBaseClass: any;
-	AssetBaseClassLoaded: UnrealEngineClass;
-	bHasBlueprintClasses: boolean;
-	bIsEditorOnly: boolean;
-	Directories: DirectoryPath[];
-	SpecificAssets: SoftObjectPath[];
-	Rules: PrimaryAssetRules;
-	AssetScanPaths: string[];
-	bIsDynamicAsset: boolean;
-	NumberOfAssets: number;
-	clone() : PrimaryAssetTypeInfo;
-	static C(Other: UObject | any): PrimaryAssetTypeInfo;
+declare class ParticleSystemThumbnailRenderer extends TextureThumbnailRenderer { 
+	NoImage: Texture2D;
+	OutOfDate: Texture2D;
+	static Load(ResourceName: string): ParticleSystemThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): ParticleSystemThumbnailRenderer;
+	static GetDefaultObject(): ParticleSystemThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSystemThumbnailRenderer;
+	static C(Other: UObject | any): ParticleSystemThumbnailRenderer;
 }
 
-declare class PrimaryAssetRulesOverride { 
-	PrimaryAssetId: PrimaryAssetId;
-	Rules: PrimaryAssetRules;
-	clone() : PrimaryAssetRulesOverride;
-	static C(Other: UObject | any): PrimaryAssetRulesOverride;
+declare type EAnimationViewportCameraFollowMode = 'None' | 'Bounds' | 'Bone' | 'EAnimationViewportCameraFollowMode_MAX';
+declare var EAnimationViewportCameraFollowMode : { None:'None',Bounds:'Bounds',Bone:'Bone',EAnimationViewportCameraFollowMode_MAX:'EAnimationViewportCameraFollowMode_MAX', };
+declare class ViewportConfigOptions { 
+	ViewModeIndex: EViewModeIndex;
+	ViewFOV: number;
+	CameraFollowMode: EAnimationViewportCameraFollowMode;
+	CameraFollowBoneName: string;
+	clone() : ViewportConfigOptions;
+	static C(Other: UObject | any): ViewportConfigOptions;
 }
 
-declare class AssetManagerRedirect { 
-	Old: string;
-	New: string;
-	clone() : AssetManagerRedirect;
-	static C(Other: UObject | any): AssetManagerRedirect;
+declare class AssetEditorOptions { 
+	Context: string;
+	ViewportConfigs: ViewportConfigOptions;
+	clone() : AssetEditorOptions;
+	static C(Other: UObject | any): AssetEditorOptions;
 }
 
-declare class AssetManagerSettings extends DeveloperSettings { 
-	PrimaryAssetTypesToScan: PrimaryAssetTypeInfo[];
-	DirectoriesToExclude: DirectoryPath[];
-	PrimaryAssetRules: PrimaryAssetRulesOverride[];
-	bOnlyCookProductionAssets: boolean;
-	bShouldManagerDetermineTypeAndName: boolean;
-	bShouldGuessTypeAndNameInEditor: boolean;
-	bShouldAcquireMissingChunksOnLoad: boolean;
-	PrimaryAssetIdRedirects: AssetManagerRedirect[];
-	PrimaryAssetTypeRedirects: AssetManagerRedirect[];
-	AssetPathRedirects: AssetManagerRedirect[];
-	static Load(ResourceName: string): AssetManagerSettings;
-	static Find(Outer: UObject, ResourceName: string): AssetManagerSettings;
-	static GetDefaultObject(): AssetManagerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetManagerSettings;
-	static C(Other: UObject | any): AssetManagerSettings;
+declare class PersonaOptions extends UObject { 
+	bAutoAlignFloorToMesh: boolean;
+	bShowGrid: boolean;
+	bHighlightOrigin: boolean;
+	bMuteAudio: boolean;
+	bUseAudioAttenuation: boolean;
+	ShowMeshStats: number;
+	DefaultLocalAxesSelection: any;
+	DefaultBoneDrawSelection: any;
+	SectionTimingNodeColor: LinearColor;
+	NotifyTimingNodeColor: LinearColor;
+	BranchingPointTimingNodeColor: LinearColor;
+	bUseInlineSocketEditor: boolean;
+	bFlattenSkeletonHierarchyWhenFiltering: boolean;
+	bHideParentsWhenFiltering: boolean;
+	bAllowPreviewMeshCollectionsToSelectFromDifferentSkeletons: boolean;
+	bAllowPreviewMeshCollectionsToUseCustomAnimBP: boolean;
+	bAllowMeshSectionSelection: boolean;
+	NumFolderFiltersInAssetBrowser: any;
+	AssetEditorOptions: AssetEditorOptions[];
+	static Load(ResourceName: string): PersonaOptions;
+	static Find(Outer: UObject, ResourceName: string): PersonaOptions;
+	static GetDefaultObject(): PersonaOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaOptions;
+	static C(Other: UObject | any): PersonaOptions;
 }
 
-declare class AsyncActionLoadPrimaryAssetBase extends BlueprintAsyncActionBase { 
-	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetBase;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetBase;
-	static GetDefaultObject(): AsyncActionLoadPrimaryAssetBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetBase;
-	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetBase;
+declare class PhysicalMaterialFactoryNew extends Factory { 
+	PhysicalMaterialClass: UnrealEngineClass;
+	static Load(ResourceName: string): PhysicalMaterialFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): PhysicalMaterialFactoryNew;
+	static GetDefaultObject(): PhysicalMaterialFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalMaterialFactoryNew;
+	static C(Other: UObject | any): PhysicalMaterialFactoryNew;
 }
 
-declare class AsyncActionLoadPrimaryAsset extends AsyncActionLoadPrimaryAssetBase { 
-	Completed: UnrealEngineMulticastDelegate<(Loaded: UObject) => void>;
-	static Load(ResourceName: string): AsyncActionLoadPrimaryAsset;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAsset;
-	static GetDefaultObject(): AsyncActionLoadPrimaryAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAsset;
-	static AsyncLoadPrimaryAsset(PrimaryAsset: PrimaryAssetId,LoadBundles: string[]): AsyncActionLoadPrimaryAsset;
-	static C(Other: UObject | any): AsyncActionLoadPrimaryAsset;
+declare type EPhysicsAssetEditorRenderMode = 'Solid' | 'Wireframe' | 'None' | 'EPhysicsAssetEditorRenderMode_MAX';
+declare var EPhysicsAssetEditorRenderMode : { Solid:'Solid',Wireframe:'Wireframe',None:'None',EPhysicsAssetEditorRenderMode_MAX:'EPhysicsAssetEditorRenderMode_MAX', };
+declare type EPhysicsAssetEditorConstraintViewMode = 'None' | 'AllPositions' | 'AllLimits' | 'EPhysicsAssetEditorConstraintViewMode_MAX';
+declare var EPhysicsAssetEditorConstraintViewMode : { None:'None',AllPositions:'AllPositions',AllLimits:'AllLimits',EPhysicsAssetEditorConstraintViewMode_MAX:'EPhysicsAssetEditorConstraintViewMode_MAX', };
+declare class PhysicsAssetEditorOptions extends UObject { 
+	PhysicsBlend: number;
+	bUpdateJointsFromAnimation: boolean;
+	PhysicsUpdateMode: EPhysicsTransformUpdateMode;
+	PokePauseTime: number;
+	PokeBlendTime: number;
+	GravScale: number;
+	GravityOverrideZ: number;
+	bUseGravityOverride: boolean;
+	MaxFPS: number;
+	HandleLinearDamping: number;
+	HandleLinearStiffness: number;
+	HandleAngularDamping: number;
+	HandleAngularStiffness: number;
+	InterpolationSpeed: number;
+	PokeStrength: number;
+	bShowConstraintsAsPoints: boolean;
+	bRenderOnlySelectedConstraints: boolean;
+	ConstraintDrawSize: number;
+	MeshViewMode: EPhysicsAssetEditorRenderMode;
+	CollisionViewMode: EPhysicsAssetEditorRenderMode;
+	ConstraintViewMode: EPhysicsAssetEditorConstraintViewMode;
+	SimulationMeshViewMode: EPhysicsAssetEditorRenderMode;
+	SimulationCollisionViewMode: EPhysicsAssetEditorRenderMode;
+	SimulationConstraintViewMode: EPhysicsAssetEditorConstraintViewMode;
+	CollisionOpacity: number;
+	bSolidRenderingForSelectedOnly: boolean;
+	bResetClothWhenSimulating: boolean;
+	static Load(ResourceName: string): PhysicsAssetEditorOptions;
+	static Find(Outer: UObject, ResourceName: string): PhysicsAssetEditorOptions;
+	static GetDefaultObject(): PhysicsAssetEditorOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetEditorOptions;
+	static C(Other: UObject | any): PhysicsAssetEditorOptions;
 }
 
-declare class AsyncActionLoadPrimaryAssetClass extends AsyncActionLoadPrimaryAssetBase { 
-	Completed: UnrealEngineMulticastDelegate<(Loaded: UnrealEngineClass) => void>;
-	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetClass;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetClass;
-	static GetDefaultObject(): AsyncActionLoadPrimaryAssetClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetClass;
-	static AsyncLoadPrimaryAssetClass(PrimaryAsset: PrimaryAssetId,LoadBundles: string[]): AsyncActionLoadPrimaryAssetClass;
-	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetClass;
+declare class PhysicsAssetFactory extends Factory { 
+	TargetSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): PhysicsAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): PhysicsAssetFactory;
+	static GetDefaultObject(): PhysicsAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetFactory;
+	static C(Other: UObject | any): PhysicsAssetFactory;
 }
 
-declare class AsyncActionLoadPrimaryAssetList extends AsyncActionLoadPrimaryAssetBase { 
-	Completed: UnrealEngineMulticastDelegate<(Loaded: UObject[]) => void>;
-	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetList;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetList;
-	static GetDefaultObject(): AsyncActionLoadPrimaryAssetList;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetList;
-	static AsyncLoadPrimaryAssetList(PrimaryAssetList: PrimaryAssetId[],LoadBundles: string[]): AsyncActionLoadPrimaryAssetList;
-	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetList;
+declare type EPhysAssetFitGeomType = 'EFG_Box' | 'EFG_Sphyl' | 'EFG_Sphere' | 'EFG_TaperedCapsule' | 'EFG_SingleConvexHull' | 'EFG_MultiConvexHull' | 'EFG_MAX';
+declare var EPhysAssetFitGeomType : { EFG_Box:'EFG_Box',EFG_Sphyl:'EFG_Sphyl',EFG_Sphere:'EFG_Sphere',EFG_TaperedCapsule:'EFG_TaperedCapsule',EFG_SingleConvexHull:'EFG_SingleConvexHull',EFG_MultiConvexHull:'EFG_MultiConvexHull',EFG_MAX:'EFG_MAX', };
+declare type EPhysAssetFitVertWeight = 'EVW_AnyWeight' | 'EVW_DominantWeight' | 'EVW_MAX';
+declare var EPhysAssetFitVertWeight : { EVW_AnyWeight:'EVW_AnyWeight',EVW_DominantWeight:'EVW_DominantWeight',EVW_MAX:'EVW_MAX', };
+declare class PhysAssetCreateParams { 
+	MinBoneSize: number;
+	MinWeldSize: number;
+	GeomType: EPhysAssetFitGeomType;
+	VertWeight: EPhysAssetFitVertWeight;
+	bAutoOrientToBone: boolean;
+	bCreateConstraints: boolean;
+	bWalkPastSmall: boolean;
+	bBodyForAll: boolean;
+	bDisableCollisionsByDefault: boolean;
+	AngularConstraintMode: EAngularConstraintMotion;
+	HullCount: number;
+	MaxHullVerts: number;
+	clone() : PhysAssetCreateParams;
+	static C(Other: UObject | any): PhysAssetCreateParams;
 }
 
-declare class AsyncActionLoadPrimaryAssetClassList extends AsyncActionLoadPrimaryAssetBase { 
-	Completed: UnrealEngineMulticastDelegate<(Loaded: UnrealEngineClass[]) => void>;
-	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetClassList;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetClassList;
-	static GetDefaultObject(): AsyncActionLoadPrimaryAssetClassList;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetClassList;
-	static AsyncLoadPrimaryAssetClassList(PrimaryAssetList: PrimaryAssetId[],LoadBundles: string[]): AsyncActionLoadPrimaryAssetClassList;
-	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetClassList;
+declare class PhysicsAssetGenerationSettings extends UObject { 
+	CreateParams: PhysAssetCreateParams;
+	static Load(ResourceName: string): PhysicsAssetGenerationSettings;
+	static Find(Outer: UObject, ResourceName: string): PhysicsAssetGenerationSettings;
+	static GetDefaultObject(): PhysicsAssetGenerationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetGenerationSettings;
+	static C(Other: UObject | any): PhysicsAssetGenerationSettings;
 }
 
-declare class AsyncActionChangePrimaryAssetBundles extends AsyncActionLoadPrimaryAssetBase { 
-	Completed: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): AsyncActionChangePrimaryAssetBundles;
-	static Find(Outer: UObject, ResourceName: string): AsyncActionChangePrimaryAssetBundles;
-	static GetDefaultObject(): AsyncActionChangePrimaryAssetBundles;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionChangePrimaryAssetBundles;
-	static AsyncChangeBundleStateForPrimaryAssetList(PrimaryAssetList: PrimaryAssetId[],AddBundles: string[],RemoveBundles: string[]): AsyncActionChangePrimaryAssetBundles;
-	static AsyncChangeBundleStateForMatchingPrimaryAssets(NewBundles: string[],OldBundles: string[]): AsyncActionChangePrimaryAssetBundles;
-	static C(Other: UObject | any): AsyncActionChangePrimaryAssetBundles;
+declare class PhysicsAssetThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): PhysicsAssetThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): PhysicsAssetThumbnailRenderer;
+	static GetDefaultObject(): PhysicsAssetThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsAssetThumbnailRenderer;
+	static C(Other: UObject | any): PhysicsAssetThumbnailRenderer;
 }
 
-declare class AtmospherePrecomputeParameters { 
-	DensityHeight: number;
-	DecayHeight: number;
-	MaxScatteringOrder: number;
-	TransmittanceTexWidth: number;
-	TransmittanceTexHeight: number;
-	IrradianceTexWidth: number;
-	IrradianceTexHeight: number;
-	InscatterAltitudeSampleNum: number;
-	InscatterMuNum: number;
-	InscatterMuSNum: number;
-	InscatterNuNum: number;
-	clone() : AtmospherePrecomputeParameters;
-	static C(Other: UObject | any): AtmospherePrecomputeParameters;
+declare class PkgInfoCommandlet extends Commandlet { 
+	static Load(ResourceName: string): PkgInfoCommandlet;
+	static Find(Outer: UObject, ResourceName: string): PkgInfoCommandlet;
+	static GetDefaultObject(): PkgInfoCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PkgInfoCommandlet;
+	static C(Other: UObject | any): PkgInfoCommandlet;
 }
 
-declare class AtmosphericFogComponent extends SceneComponent { 
-	SunMultiplier: number;
-	FogMultiplier: number;
-	DensityMultiplier: number;
-	DensityOffset: number;
-	DistanceScale: number;
-	AltitudeScale: number;
-	DistanceOffset: number;
-	GroundOffset: number;
-	StartDistance: number;
-	SunDiscScale: number;
-	DefaultBrightness: number;
-	DefaultLightColor: Color;
-	bDisableSunDisk: boolean;
-	bDisableGroundScattering: boolean;
-	PrecomputeParams: AtmospherePrecomputeParameters;
-	TransmittanceTexture: Texture2D;
-	IrradianceTexture: Texture2D;
-	static Load(ResourceName: string): AtmosphericFogComponent;
-	static Find(Outer: UObject, ResourceName: string): AtmosphericFogComponent;
-	static GetDefaultObject(): AtmosphericFogComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AtmosphericFogComponent;
-	StartPrecompute(): void;
-	SetSunMultiplier(NewSunMultiplier: number): void;
-	SetStartDistance(NewStartDistance: number): void;
-	SetPrecomputeParams(DensityHeight: number,MaxScatteringOrder: number,InscatterAltitudeSampleNum: number): void;
-	SetFogMultiplier(NewFogMultiplier: number): void;
-	SetDistanceScale(NewDistanceScale: number): void;
-	SetDistanceOffset(NewDistanceOffset: number): void;
-	SetDensityOffset(NewDensityOffset: number): void;
-	SetDensityMultiplier(NewDensityMultiplier: number): void;
-	SetDefaultLightColor(NewLightColor: LinearColor): void;
-	SetDefaultBrightness(NewBrightness: number): void;
-	SetAltitudeScale(NewAltitudeScale: number): void;
-	DisableSunDisk(NewSunDisk: boolean): void;
-	DisableGroundScattering(NewGroundScattering: boolean): void;
-	static C(Other: UObject | any): AtmosphericFogComponent;
+declare class PolysExporterOBJ extends Exporter { 
+	static Load(ResourceName: string): PolysExporterOBJ;
+	static Find(Outer: UObject, ResourceName: string): PolysExporterOBJ;
+	static GetDefaultObject(): PolysExporterOBJ;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysExporterOBJ;
+	static C(Other: UObject | any): PolysExporterOBJ;
 }
 
-declare class AtmosphericFog extends Info { 
-	AtmosphericFogComponent: AtmosphericFogComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): AtmosphericFog;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AtmosphericFog;
-	static C(Other: UObject | any): AtmosphericFog;
+declare class PolysExporterT3D extends Exporter { 
+	static Load(ResourceName: string): PolysExporterT3D;
+	static Find(Outer: UObject, ResourceName: string): PolysExporterT3D;
+	static GetDefaultObject(): PolysExporterT3D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysExporterT3D;
+	static C(Other: UObject | any): PolysExporterT3D;
 }
 
-declare type EVoiceSampleRate = 'Low16000Hz' | 'Normal24000Hz' | 'EVoiceSampleRate_MAX';
-declare var EVoiceSampleRate : { Low16000Hz:'Low16000Hz',Normal24000Hz:'Normal24000Hz',EVoiceSampleRate_MAX:'EVoiceSampleRate_MAX', };
-declare class AudioQualitySettings { 
-	DisplayName: string;
-	MaxChannels: number;
-	clone() : AudioQualitySettings;
-	static C(Other: UObject | any): AudioQualitySettings;
+declare class PolysFactory extends Factory { 
+	static Load(ResourceName: string): PolysFactory;
+	static Find(Outer: UObject, ResourceName: string): PolysFactory;
+	static GetDefaultObject(): PolysFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PolysFactory;
+	static C(Other: UObject | any): PolysFactory;
 }
 
-declare class AudioSettings extends DeveloperSettings { 
-	DefaultSoundClassName: SoftObjectPath;
-	DefaultSoundConcurrencyName: SoftObjectPath;
-	DefaultBaseSoundMix: SoftObjectPath;
-	VoiPSoundClass: SoftObjectPath;
-	VoiPSampleRate: EVoiceSampleRate;
-	VoipBufferingDelay: number;
-	DefaultReverbSendLevel: number;
-	LowPassFilterResonance: number;
-	MaximumConcurrentStreams: number;
-	QualityLevels: AudioQualitySettings[];
-	bAllowVirtualizedSounds: boolean;
-	bDisableMasterEQ: boolean;
-	bDisableMasterReverb: boolean;
-	bAllowCenterChannel3DPanning: boolean;
-	DialogueFilenameFormat: string;
-	static Load(ResourceName: string): AudioSettings;
-	static Find(Outer: UObject, ResourceName: string): AudioSettings;
-	static GetDefaultObject(): AudioSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioSettings;
-	static C(Other: UObject | any): AudioSettings;
+declare class PopulateDialogueWaveFromCharacterSheetCommandlet extends Commandlet { 
+	static Load(ResourceName: string): PopulateDialogueWaveFromCharacterSheetCommandlet;
+	static Find(Outer: UObject, ResourceName: string): PopulateDialogueWaveFromCharacterSheetCommandlet;
+	static GetDefaultObject(): PopulateDialogueWaveFromCharacterSheetCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PopulateDialogueWaveFromCharacterSheetCommandlet;
+	static C(Other: UObject | any): PopulateDialogueWaveFromCharacterSheetCommandlet;
 }
 
-declare class AudioVolume extends Volume { 
-	Priority: number;
-	bEnabled: boolean;
-	Settings: ReverbSettings;
-	AmbientZoneSettings: InteriorSettings;
-	static GetDefaultObject(): AudioVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioVolume;
-	SetReverbSettings(NewReverbSettings: ReverbSettings): void;
-	SetPriority(NewPriority: number): void;
-	SetInteriorSettings(NewInteriorSettings: InteriorSettings): void;
-	SetEnabled(bNewEnabled: boolean): void;
-	OnRep_bEnabled(): void;
-	static C(Other: UObject | any): AudioVolume;
+declare class PoseAssetFactory extends Factory { 
+	SourceAnimation: AnimSequence;
+	PoseNames: string[];
+	TargetSkeleton: Skeleton;
+	PreviewSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): PoseAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): PoseAssetFactory;
+	static GetDefaultObject(): PoseAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PoseAssetFactory;
+	static C(Other: UObject | any): PoseAssetFactory;
 }
 
-declare class EditorMapPerformanceTestDefinition { 
-	PerformanceTestmap: SoftObjectPath;
-	TestTimer: number;
-	clone() : EditorMapPerformanceTestDefinition;
-	static C(Other: UObject | any): EditorMapPerformanceTestDefinition;
+declare class PreviewMaterial extends Material { 
+	static Load(ResourceName: string): PreviewMaterial;
+	static Find(Outer: UObject, ResourceName: string): PreviewMaterial;
+	static GetDefaultObject(): PreviewMaterial;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMaterial;
+	static C(Other: UObject | any): PreviewMaterial;
 }
 
-declare class ImportFactorySettingValues { 
-	SettingName: string;
-	Value: string;
-	clone() : ImportFactorySettingValues;
-	static C(Other: UObject | any): ImportFactorySettingValues;
+declare class PreviewMeshCollectionFactory extends Factory { 
+	CurrentSkeleton: any;
+	static Load(ResourceName: string): PreviewMeshCollectionFactory;
+	static Find(Outer: UObject, ResourceName: string): PreviewMeshCollectionFactory;
+	static GetDefaultObject(): PreviewMeshCollectionFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMeshCollectionFactory;
+	static C(Other: UObject | any): PreviewMeshCollectionFactory;
 }
 
-declare class EditorImportWorkflowDefinition { 
-	ImportFilePath: FilePath;
-	FactorySettings: ImportFactorySettingValues[];
-	clone() : EditorImportWorkflowDefinition;
-	static C(Other: UObject | any): EditorImportWorkflowDefinition;
+declare type EProjectPackagingBuild = 'Always' | 'Never' | 'IfProjectHasCode' | 'IfEditorWasBuiltLocally' | 'EProjectPackagingBuild_MAX';
+declare var EProjectPackagingBuild : { Always:'Always',Never:'Never',IfProjectHasCode:'IfProjectHasCode',IfEditorWasBuiltLocally:'IfEditorWasBuiltLocally',EProjectPackagingBuild_MAX:'EProjectPackagingBuild_MAX', };
+declare type EProjectPackagingBuildConfigurations = 'PPBC_DebugGame' | 'PPBC_DebugGameClient' | 'PPBC_Development' | 'PPBC_DevelopmentClient' | 'PPBC_Shipping' | 'PPBC_ShippingClient' | 'PPBC_MAX';
+declare var EProjectPackagingBuildConfigurations : { PPBC_DebugGame:'PPBC_DebugGame',PPBC_DebugGameClient:'PPBC_DebugGameClient',PPBC_Development:'PPBC_Development',PPBC_DevelopmentClient:'PPBC_DevelopmentClient',PPBC_Shipping:'PPBC_Shipping',PPBC_ShippingClient:'PPBC_ShippingClient',PPBC_MAX:'PPBC_MAX', };
+declare type EProjectPackagingBlueprintNativizationMethod = 'Disabled' | 'Inclusive' | 'Exclusive' | 'EProjectPackagingBlueprintNativizationMethod_MAX';
+declare var EProjectPackagingBlueprintNativizationMethod : { Disabled:'Disabled',Inclusive:'Inclusive',Exclusive:'Exclusive',EProjectPackagingBlueprintNativizationMethod_MAX:'EProjectPackagingBlueprintNativizationMethod_MAX', };
+declare type EProjectPackagingInternationalizationPresets = 'English' | 'EFIGS' | 'EFIGSCJK' | 'CJK' | 'All' | 'EProjectPackagingInternationalizationPresets_MAX';
+declare var EProjectPackagingInternationalizationPresets : { English:'English',EFIGS:'EFIGS',EFIGSCJK:'EFIGSCJK',CJK:'CJK',All:'All',EProjectPackagingInternationalizationPresets_MAX:'EProjectPackagingInternationalizationPresets_MAX', };
+declare class ProjectPackagingSettings extends UObject { 
+	Build: EProjectPackagingBuild;
+	BuildConfiguration: EProjectPackagingBuildConfigurations;
+	StagingDirectory: DirectoryPath;
+	FullRebuild: boolean;
+	ForDistribution: boolean;
+	IncludeDebugFiles: boolean;
+	BlueprintNativizationMethod: EProjectPackagingBlueprintNativizationMethod;
+	NativizeBlueprintAssets: FilePath[];
+	bIncludeNativizedAssetsInProjectGeneration: boolean;
+	bExcludeMonolithicEngineHeadersInNativizedCode: boolean;
+	UsePakFile: boolean;
+	bGenerateChunks: boolean;
+	bGenerateNoChunks: boolean;
+	bChunkHardReferencesOnly: boolean;
+	bForceOneChunkPerFile: boolean;
+	MaxChunkSize: any;
+	bBuildHttpChunkInstallData: boolean;
+	HttpChunkInstallDataDirectory: DirectoryPath;
+	PakFileCompressionFormats: string;
+	PakFileAdditionalCompressionOptions: string;
+	HttpChunkInstallDataVersion: string;
+	IncludePrerequisites: boolean;
+	IncludeAppLocalPrerequisites: boolean;
+	bShareMaterialShaderCode: boolean;
+	bSharedMaterialNativeLibraries: boolean;
+	ApplocalPrerequisitesDirectory: DirectoryPath;
+	IncludeCrashReporter: boolean;
+	InternationalizationPreset: EProjectPackagingInternationalizationPresets;
+	CulturesToStage: string[];
+	bCookAll: boolean;
+	bCookMapsOnly: boolean;
+	bCompressed: boolean;
+	bEncryptIniFiles: boolean;
+	bEncryptPakIndex: boolean;
+	GenerateEarlyDownloaderPakFile: boolean;
+	bSkipEditorContent: boolean;
+	bSkipMovies: boolean;
+	UFSMovies: string[];
+	NonUFSMovies: string[];
+	CompressedChunkWildcard: string[];
+	EarlyDownloaderPakFileFiles: string[];
+	MapsToCook: FilePath[];
+	DirectoriesToAlwaysCook: DirectoryPath[];
+	DirectoriesToNeverCook: DirectoryPath[];
+	DirectoriesToAlwaysStageAsUFS: DirectoryPath[];
+	DirectoriesToAlwaysStageAsNonUFS: DirectoryPath[];
+	DirectoriesToAlwaysStageAsUFSServer: DirectoryPath[];
+	DirectoriesToAlwaysStageAsNonUFSServer: DirectoryPath[];
+	bNativizeBlueprintAssets: boolean;
+	bNativizeOnlySelectedBlueprints: boolean;
+	static Load(ResourceName: string): ProjectPackagingSettings;
+	static Find(Outer: UObject, ResourceName: string): ProjectPackagingSettings;
+	static GetDefaultObject(): ProjectPackagingSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProjectPackagingSettings;
+	static C(Other: UObject | any): ProjectPackagingSettings;
 }
 
-declare class BuildPromotionImportWorkflowSettings { 
-	Diffuse: EditorImportWorkflowDefinition;
-	Normal: EditorImportWorkflowDefinition;
-	StaticMesh: EditorImportWorkflowDefinition;
-	ReimportStaticMesh: EditorImportWorkflowDefinition;
-	BlendShapeMesh: EditorImportWorkflowDefinition;
-	MorphMesh: EditorImportWorkflowDefinition;
-	SkeletalMesh: EditorImportWorkflowDefinition;
-	Animation: EditorImportWorkflowDefinition;
-	Sound: EditorImportWorkflowDefinition;
-	SurroundSound: EditorImportWorkflowDefinition;
-	OtherAssetsToImport: EditorImportWorkflowDefinition[];
-	clone() : BuildPromotionImportWorkflowSettings;
-	static C(Other: UObject | any): BuildPromotionImportWorkflowSettings;
+declare type PropertEditorTestEnum = 'PropertyEditorTest_Enum1' | 'PropertyEditorTest_Enum2' | 'PropertyEditorTest_Enum3' | 'PropertyEditorTest_Enum4' | 'PropertyEditorTest_Enum5' | 'PropertyEditorTest_Enum6' | 'PropertyEditorTest_MAX';
+declare var PropertEditorTestEnum : { PropertyEditorTest_Enum1:'PropertyEditorTest_Enum1',PropertyEditorTest_Enum2:'PropertyEditorTest_Enum2',PropertyEditorTest_Enum3:'PropertyEditorTest_Enum3',PropertyEditorTest_Enum4:'PropertyEditorTest_Enum4',PropertyEditorTest_Enum5:'PropertyEditorTest_Enum5',PropertyEditorTest_Enum6:'PropertyEditorTest_Enum6',PropertyEditorTest_MAX:'PropertyEditorTest_MAX', };
+declare class PropertyEditorTestSubStruct { 
+	FirstProperty: number;
+	SecondProperty: number;
+	CustomizedStructInsideUncustomizedStruct: LinearColor;
+	CustomizedStructInsideUncustomizedStruct2: SoftObjectPath;
+	clone() : PropertyEditorTestSubStruct;
+	static C(Other: UObject | any): PropertyEditorTestSubStruct;
 }
 
-declare class BuildPromotionOpenAssetSettings { 
-	BlueprintAsset: FilePath;
-	MaterialAsset: FilePath;
-	ParticleSystemAsset: FilePath;
-	SkeletalMeshAsset: FilePath;
-	StaticMeshAsset: FilePath;
-	TextureAsset: FilePath;
-	clone() : BuildPromotionOpenAssetSettings;
-	static C(Other: UObject | any): BuildPromotionOpenAssetSettings;
+declare class PropertyEditorTestBasicStruct { 
+	IntPropertyInsideAStruct: number;
+	FloatPropertyInsideAStruct: number;
+	ObjectPropertyInsideAStruct: UObject;
+	InnerStruct: PropertyEditorTestSubStruct;
+	clone() : PropertyEditorTestBasicStruct;
+	static C(Other: UObject | any): PropertyEditorTestBasicStruct;
 }
 
-declare class BuildPromotionNewProjectSettings { 
-	NewProjectFolderOverride: DirectoryPath;
-	NewProjectNameOverride: string;
-	clone() : BuildPromotionNewProjectSettings;
-	static C(Other: UObject | any): BuildPromotionNewProjectSettings;
+declare class PropertyEditorTestObject extends UObject { 
+	Int8Property: any;
+	Int16roperty: any;
+	Int32Property: number;
+	Int64Property: any;
+	ByteProperty: number;
+	UnsignedInt16Property: any;
+	UnsignedInt32Property: any;
+	UnsignedInt64Property: any;
+	FloatProperty: number;
+	DoubleProperty: any;
+	NameProperty: string;
+	BoolProperty: boolean;
+	StringProperty: string;
+	TextProperty: string;
+	IntPointProperty: IntPoint;
+	Vector3Property: Vector;
+	Vector2Property: Vector2D;
+	Vector4Property: Vector4;
+	RotatorProperty: Rotator;
+	ObjectProperty: UObject;
+	ClassProperty: UnrealEngineClass;
+	LinearColorProperty: LinearColor;
+	ColorProperty: Color;
+	EnumProperty: PropertEditorTestEnum;
+	MatrixProperty: Matrix;
+	TransformProperty: Transform;
+	IntProperty32Array: number[];
+	BytePropertyArray: number[];
+	FloatPropertyArray: number[];
+	NamePropertyArray: string[];
+	BoolPropertyArray: boolean[];
+	StringPropertyArray: string[];
+	TextPropertyArray: string[];
+	Vector3PropertyArray: Vector[];
+	Vector2PropertyArray: Vector2D[];
+	Vector4PropertyArray: Vector4[];
+	RotatorPropertyArray: Rotator[];
+	ObjectPropertyArray: UObject[];
+	ActorPropertyArray: Actor[];
+	LinearColorPropertyArray: LinearColor[];
+	ColorPropertyArray: Color[];
+	EnumPropertyArray: PropertEditorTestEnum[];
+	StructPropertyArray: PropertyEditorTestBasicStruct[];
+	FixedArrayOfInts: number[];
+	StaticArrayOfInts: number;
+	StaticArrayOfIntsWithEnumLabels: number;
+	FloatPropertyWithClampedRange: number;
+	IntPropertyWithClampedRange: number;
+	IntThatCannotBeChanged: number;
+	StringThatCannotBeChanged: string;
+	ObjectThatCannotBeChanged: PrimitiveComponent;
+	StringPasswordProperty: string;
+	TextPasswordProperty: string;
+	ThisIsBrokenIfItsVisibleInADetailsView: PropertyEditorTestBasicStruct;
+	StructWithMultipleInstances1: PropertyEditorTestBasicStruct;
+	bEditConditionStructWithMultipleInstances2: boolean;
+	StructWithMultipleInstances2: PropertyEditorTestBasicStruct;
+	AssetReferenceCustomStruct: SoftObjectPath;
+	AssetReferenceCustomStructWithThumbnail: SoftObjectPath;
+	bEditCondition: boolean;
+	SimplePropertyWithEditCondition: number;
+	bEditConditionAssetReferenceCustomStructWithEditCondition: boolean;
+	AssetReferenceCustomStructWithEditCondition: SoftObjectPath;
+	ArrayOfStructs: PropertyEditorTestBasicStruct[];
+	EditInlineNewStaticMeshComponent: StaticMeshComponent;
+	ArrayOfEditInlineNewSMCs: StaticMeshComponent[];
+	TextureProp: Texture;
+	StaticMeshProp: StaticMesh;
+	AnyMaterialInterface: MaterialInterface;
+	OnlyActorsAllowed: Actor;
+	Int32Set: any;
+	FloatSet: any;
+	StringSet: any;
+	ObjectSet: any;
+	ActorSet: any;
+	EditColorSet: any;
+	NameSet: any;
+	Int32ToStringMap: any;
+	StringToColorMap: any;
+	Int32ToStructMap: any;
+	StringToFloatMap: any;
+	StringToObjectMap: any;
+	StringToActorMap: any;
+	ObjectToInt32Map: any;
+	ObjectToColorMap: any;
+	IntToEnumMap: any;
+	NameToNameMap: any;
+	LinearColorSet: any;
+	VectorSet: any;
+	LinearColorToStringMap: any;
+	VectorToFloatMap: any;
+	LinearColorToVectorMap: any;
+	BlendableInterface: any;
+	AnimClassInterface: any;
+	LightPropagationVolumeBlendable: any;
+	TextureOrBlendableInterface: UObject;
+	static Load(ResourceName: string): PropertyEditorTestObject;
+	static Find(Outer: UObject, ResourceName: string): PropertyEditorTestObject;
+	static GetDefaultObject(): PropertyEditorTestObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyEditorTestObject;
+	static C(Other: UObject | any): PropertyEditorTestObject;
 }
 
-declare class BuildPromotionTestSettings { 
-	DefaultStaticMeshAsset: FilePath;
-	ImportWorkflow: BuildPromotionImportWorkflowSettings;
-	OpenAssets: BuildPromotionOpenAssetSettings;
-	NewProjectSettings: BuildPromotionNewProjectSettings;
-	SourceControlMaterial: FilePath;
-	clone() : BuildPromotionTestSettings;
-	static C(Other: UObject | any): BuildPromotionTestSettings;
+declare class ReimportCurveFactory extends CSVImportFactory { 
+	static Load(ResourceName: string): ReimportCurveFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportCurveFactory;
+	static GetDefaultObject(): ReimportCurveFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportCurveFactory;
+	static C(Other: UObject | any): ReimportCurveFactory;
 }
 
-declare class MaterialEditorPromotionSettings { 
-	DefaultMaterialAsset: FilePath;
-	DefaultDiffuseTexture: FilePath;
-	DefaultNormalTexture: FilePath;
-	clone() : MaterialEditorPromotionSettings;
-	static C(Other: UObject | any): MaterialEditorPromotionSettings;
+declare class ReimportCurveTableFactory extends CSVImportFactory { 
+	static Load(ResourceName: string): ReimportCurveTableFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportCurveTableFactory;
+	static GetDefaultObject(): ReimportCurveTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportCurveTableFactory;
+	static C(Other: UObject | any): ReimportCurveTableFactory;
 }
 
-declare class ParticleEditorPromotionSettings { 
-	DefaultParticleAsset: FilePath;
-	clone() : ParticleEditorPromotionSettings;
-	static C(Other: UObject | any): ParticleEditorPromotionSettings;
+declare class ReimportDataTableFactory extends CSVImportFactory { 
+	static Load(ResourceName: string): ReimportDataTableFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportDataTableFactory;
+	static GetDefaultObject(): ReimportDataTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportDataTableFactory;
+	static C(Other: UObject | any): ReimportDataTableFactory;
 }
 
-declare class BlueprintEditorPromotionSettings { 
-	FirstMeshPath: FilePath;
-	SecondMeshPath: FilePath;
-	DefaultParticleAsset: FilePath;
-	clone() : BlueprintEditorPromotionSettings;
-	static C(Other: UObject | any): BlueprintEditorPromotionSettings;
+declare class ReimportFbxAnimSequenceFactory extends FbxFactory { 
+	static Load(ResourceName: string): ReimportFbxAnimSequenceFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportFbxAnimSequenceFactory;
+	static GetDefaultObject(): ReimportFbxAnimSequenceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxAnimSequenceFactory;
+	static C(Other: UObject | any): ReimportFbxAnimSequenceFactory;
 }
 
-declare class ExternalToolDefinition { 
-	ToolName: string;
-	ExecutablePath: FilePath;
-	CommandLineOptions: string;
-	WorkingDirectory: DirectoryPath;
-	ScriptExtension: string;
-	ScriptDirectory: DirectoryPath;
-	clone() : ExternalToolDefinition;
-	static C(Other: UObject | any): ExternalToolDefinition;
+declare class ReimportFbxSceneFactory extends FbxSceneImportFactory { 
+	static Load(ResourceName: string): ReimportFbxSceneFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportFbxSceneFactory;
+	static GetDefaultObject(): ReimportFbxSceneFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxSceneFactory;
+	static C(Other: UObject | any): ReimportFbxSceneFactory;
 }
 
-declare class EditorImportExportTestDefinition { 
-	ImportFilePath: FilePath;
-	ExportFileExtension: string;
-	bSkipExport: boolean;
-	FactorySettings: ImportFactorySettingValues[];
-	clone() : EditorImportExportTestDefinition;
-	static C(Other: UObject | any): EditorImportExportTestDefinition;
+declare class ReimportFbxSkeletalMeshFactory extends FbxFactory { 
+	static Load(ResourceName: string): ReimportFbxSkeletalMeshFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportFbxSkeletalMeshFactory;
+	static GetDefaultObject(): ReimportFbxSkeletalMeshFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxSkeletalMeshFactory;
+	static C(Other: UObject | any): ReimportFbxSkeletalMeshFactory;
 }
 
-declare class LaunchOnTestSettings { 
-	LaunchOnTestmap: FilePath;
-	DeviceID: string;
-	clone() : LaunchOnTestSettings;
-	static C(Other: UObject | any): LaunchOnTestSettings;
+declare class ReimportFbxStaticMeshFactory extends FbxFactory { 
+	static Load(ResourceName: string): ReimportFbxStaticMeshFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportFbxStaticMeshFactory;
+	static GetDefaultObject(): ReimportFbxStaticMeshFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportFbxStaticMeshFactory;
+	static C(Other: UObject | any): ReimportFbxStaticMeshFactory;
 }
 
-declare class AutomationTestSettings extends UObject { 
-	EngineTestModules: string[];
-	EditorTestModules: string[];
-	AutomationTestmap: SoftObjectPath;
-	EditorPerformanceTestMaps: EditorMapPerformanceTestDefinition[];
-	AssetsToOpen: SoftObjectPath[];
-	BuildPromotionTest: BuildPromotionTestSettings;
-	MaterialEditorPromotionTest: MaterialEditorPromotionSettings;
-	ParticleEditorPromotionTest: ParticleEditorPromotionSettings;
-	BlueprintEditorPromotionTest: BlueprintEditorPromotionSettings;
-	TestLevelFolders: string[];
-	ExternalTools: ExternalToolDefinition[];
-	ImportExportTestDefinitions: EditorImportExportTestDefinition[];
-	LaunchOnSettings: LaunchOnTestSettings[];
-	DefaultScreenshotResolution: IntPoint;
-	static Load(ResourceName: string): AutomationTestSettings;
-	static Find(Outer: UObject, ResourceName: string): AutomationTestSettings;
-	static GetDefaultObject(): AutomationTestSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomationTestSettings;
-	static C(Other: UObject | any): AutomationTestSettings;
+declare class TextureFactory extends Factory { 
+	NoCompression: boolean;
+	NoAlpha: boolean;
+	bDeferCompression: boolean;
+	CompressionSettings: TextureCompressionSettings;
+	bCreateMaterial: boolean;
+	bRGBToBaseColor: boolean;
+	bRGBToEmissive: boolean;
+	bAlphaToRoughness: boolean;
+	bAlphaToEmissive: boolean;
+	bAlphaToOpacity: boolean;
+	bAlphaToOpacityMask: boolean;
+	bTwoSided: boolean;
+	Blending: EBlendMode;
+	ShadingModel: EMaterialShadingModel;
+	MipGenSettings: TextureMipGenSettings;
+	LODGroup: TextureGroup;
+	bDitherMipMapAlpha: boolean;
+	AlphaCoverageThresholds: Vector4;
+	bPreserveBorder: boolean;
+	bFlipNormalMapGreenChannel: boolean;
+	bUsingExistingSettings: boolean;
+	static Load(ResourceName: string): TextureFactory;
+	static Find(Outer: UObject, ResourceName: string): TextureFactory;
+	static GetDefaultObject(): TextureFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureFactory;
+	static C(Other: UObject | any): TextureFactory;
 }
 
-declare class BlendableInterface extends Interface { 
-	static Load(ResourceName: string): BlendableInterface;
-	static Find(Outer: UObject, ResourceName: string): BlendableInterface;
-	static GetDefaultObject(): BlendableInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendableInterface;
-	static C(Other: UObject | any): BlendableInterface;
+declare class ReimportTextureFactory extends TextureFactory { 
+	pOriginalTex: Texture;
+	static Load(ResourceName: string): ReimportTextureFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportTextureFactory;
+	static GetDefaultObject(): ReimportTextureFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportTextureFactory;
+	static C(Other: UObject | any): ReimportTextureFactory;
 }
 
-declare class BlockingVolume extends Volume { 
-	static GetDefaultObject(): BlockingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlockingVolume;
-	static C(Other: UObject | any): BlockingVolume;
-}
+declare class VectorFieldStaticFactory extends Factory { 
+	static Load(ResourceName: string): VectorFieldStaticFactory;
+	static Find(Outer: UObject, ResourceName: string): VectorFieldStaticFactory;
+	static GetDefaultObject(): VectorFieldStaticFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldStaticFactory;
+	static C(Other: UObject | any): VectorFieldStaticFactory;
+}
 
-declare class BlueprintMapLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): BlueprintMapLibrary;
-	static Find(Outer: UObject, ResourceName: string): BlueprintMapLibrary;
-	static GetDefaultObject(): BlueprintMapLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintMapLibrary;
-	static SetMapPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static Map_Values(TargetMap: any,Values?: number[]): {Values: number[]};
-	static Map_Remove(TargetMap: any,Key: number): boolean;
-	static Map_Length(TargetMap: any): number;
-	static Map_Keys(TargetMap: any,Keys?: number[]): {Keys: number[]};
-	static Map_Find(TargetMap: any,Key: number,Value?: number): {Value: number, $: boolean};
-	static Map_Contains(TargetMap: any,Key: number): boolean;
-	static Map_Clear(TargetMap: any): void;
-	static Map_Add(TargetMap: any,Key: number,Value: number): void;
-	static C(Other: UObject | any): BlueprintMapLibrary;
+declare class ReimportVectorFieldStaticFactory extends VectorFieldStaticFactory { 
+	static Load(ResourceName: string): ReimportVectorFieldStaticFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportVectorFieldStaticFactory;
+	static GetDefaultObject(): ReimportVectorFieldStaticFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportVectorFieldStaticFactory;
+	static C(Other: UObject | any): ReimportVectorFieldStaticFactory;
 }
 
-declare type EApplicationState = 'Unknown' | 'Inactive' | 'Background' | 'Active' | 'EApplicationState_MAX';
-declare var EApplicationState : { Unknown:'Unknown',Inactive:'Inactive',Background:'Background',Active:'Active',EApplicationState_MAX:'EApplicationState_MAX', };
-declare type EScreenOrientation = 'Unknown' | 'Portrait' | 'PortraitUpsideDown' | 'LandscapeLeft' | 'LandscapeRight' | 'FaceUp' | 'FaceDown' | 'EScreenOrientation_MAX';
-declare var EScreenOrientation : { Unknown:'Unknown',Portrait:'Portrait',PortraitUpsideDown:'PortraitUpsideDown',LandscapeLeft:'LandscapeLeft',LandscapeRight:'LandscapeRight',FaceUp:'FaceUp',FaceDown:'FaceDown',EScreenOrientation_MAX:'EScreenOrientation_MAX', };
-declare class PlatformGameInstance extends GameInstance { 
-	ApplicationWillDeactivateDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationHasReactivatedDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationWillEnterBackgroundDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationHasEnteredForegroundDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationWillTerminateDelegate: UnrealEngineMulticastDelegate<() => void>;
-	ApplicationRegisteredForRemoteNotificationsDelegate: UnrealEngineMulticastDelegate<(inArray: number[]) => void>;
-	ApplicationRegisteredForUserNotificationsDelegate: UnrealEngineMulticastDelegate<(inInt: number) => void>;
-	ApplicationFailedToRegisterForRemoteNotificationsDelegate: UnrealEngineMulticastDelegate<(inString: string) => void>;
-	ApplicationReceivedRemoteNotificationDelegate: UnrealEngineMulticastDelegate<(inString: string, inAppState: EApplicationState) => void>;
-	ApplicationReceivedLocalNotificationDelegate: UnrealEngineMulticastDelegate<(inString: string, inInt: number, inAppState: EApplicationState) => void>;
-	ApplicationReceivedScreenOrientationChangedNotificationDelegate: UnrealEngineMulticastDelegate<(inScreenOrientation: EScreenOrientation) => void>;
-	static Load(ResourceName: string): PlatformGameInstance;
-	static Find(Outer: UObject, ResourceName: string): PlatformGameInstance;
-	static GetDefaultObject(): PlatformGameInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformGameInstance;
-	static C(Other: UObject | any): PlatformGameInstance;
+declare class RenderTargetExporterHDR extends Exporter { 
+	static Load(ResourceName: string): RenderTargetExporterHDR;
+	static Find(Outer: UObject, ResourceName: string): RenderTargetExporterHDR;
+	static GetDefaultObject(): RenderTargetExporterHDR;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RenderTargetExporterHDR;
+	static C(Other: UObject | any): RenderTargetExporterHDR;
 }
 
-declare class Timespan { 
-	clone() : Timespan;
-	static C(Other: UObject | any): Timespan;
-	AsTimespan_Timespan(): string;
-	Add_TimespanTimespan(B: Timespan): Timespan;
-	BreakTimespan(Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
-	BreakTimespan2(Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
-	Divide_TimespanFloat(Scalar: number): Timespan;
-	EqualEqual_TimespanTimespan(B: Timespan): boolean;
-	GetDays(): number;
-	GetDuration(): Timespan;
-	GetHours(): number;
-	GetMilliseconds(): number;
-	GetMinutes(): number;
-	GetSeconds(): number;
-	GetTotalDays(): number;
-	GetTotalHours(): number;
-	GetTotalMilliseconds(): number;
-	GetTotalMinutes(): number;
-	GetTotalSeconds(): number;
-	Greater_TimespanTimespan(B: Timespan): boolean;
-	GreaterEqual_TimespanTimespan(B: Timespan): boolean;
-	Less_TimespanTimespan(B: Timespan): boolean;
-	LessEqual_TimespanTimespan(B: Timespan): boolean;
-	Multiply_TimespanFloat(Scalar: number): Timespan;
-	NotEqual_TimespanTimespan(B: Timespan): boolean;
-	Subtract_TimespanTimespan(B: Timespan): Timespan;
-	TimespanRatio(B: Timespan): number;
-	static AsTimespan_Timespan(InTimespan: Timespan): string;
-	static Add_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
-	static BreakTimespan(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
-	static BreakTimespan2(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
-	static Divide_TimespanFloat(A: Timespan,Scalar: number): Timespan;
-	static EqualEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static GetDays(A: Timespan): number;
-	static GetDuration(A: Timespan): Timespan;
-	static GetHours(A: Timespan): number;
-	static GetMilliseconds(A: Timespan): number;
-	static GetMinutes(A: Timespan): number;
-	static GetSeconds(A: Timespan): number;
-	static GetTotalDays(A: Timespan): number;
-	static GetTotalHours(A: Timespan): number;
-	static GetTotalMilliseconds(A: Timespan): number;
-	static GetTotalMinutes(A: Timespan): number;
-	static GetTotalSeconds(A: Timespan): number;
-	static Greater_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static GreaterEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static Less_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static LessEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static Multiply_TimespanFloat(A: Timespan,Scalar: number): Timespan;
-	static NotEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static Subtract_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
-	static TimespanRatio(A: Timespan,B: Timespan): number;
-	static FromDays(Days: number): Timespan;
-	static FromHours(Hours: number): Timespan;
-	static FromMilliseconds(Milliseconds: number): Timespan;
-	static FromMinutes(Minutes: number): Timespan;
-	static FromSeconds(Seconds: number): Timespan;
-	static MakeTimespan(Days: number,Hours: number,Minutes: number,Seconds: number,Milliseconds: number): Timespan;
-	static MakeTimespan2(Days: number,Hours: number,Minutes: number,Seconds: number,FractionNano: number): Timespan;
-	static TimespanMaxValue(): Timespan;
-	static TimespanMinValue(): Timespan;
-	static TimespanZeroValue(): Timespan;
+declare class ReplaceActorCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ReplaceActorCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ReplaceActorCommandlet;
+	static GetDefaultObject(): ReplaceActorCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplaceActorCommandlet;
+	static C(Other: UObject | any): ReplaceActorCommandlet;
 }
 
-declare class DateTime { 
-	clone() : DateTime;
-	static C(Other: UObject | any): DateTime;
-	AsDate_DateTime(): string;
-	AsDateTime_DateTime(): string;
-	AsTime_DateTime(): string;
-	AsTimeZoneDate_DateTime(InTimeZone: string): string;
-	AsTimeZoneDateTime_DateTime(InTimeZone: string): string;
-	AsTimeZoneTime_DateTime(InTimeZone: string): string;
-	Add_DateTimeTimespan(B: Timespan): DateTime;
-	BreakDateTime(Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
-	EqualEqual_DateTimeDateTime(B: DateTime): boolean;
-	GetDate(): DateTime;
-	GetDay(): number;
-	GetDayOfYear(): number;
-	GetHour(): number;
-	GetHour12(): number;
-	GetMillisecond(): number;
-	GetMinute(): number;
-	GetMonth(): number;
-	GetSecond(): number;
-	GetTimeOfDay(): Timespan;
-	GetYear(): number;
-	Greater_DateTimeDateTime(B: DateTime): boolean;
-	GreaterEqual_DateTimeDateTime(B: DateTime): boolean;
-	IsAfternoon(): boolean;
-	IsMorning(): boolean;
-	Less_DateTimeDateTime(B: DateTime): boolean;
-	LessEqual_DateTimeDateTime(B: DateTime): boolean;
-	NotEqual_DateTimeDateTime(B: DateTime): boolean;
-	Subtract_DateTimeDateTime(B: DateTime): Timespan;
-	Subtract_DateTimeTimespan(B: Timespan): DateTime;
-	ScheduleLocalNotificationAtTime(LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
-	ScheduleLocalNotificationBadgeAtTime(LocalTime: boolean,ActivationEvent: string): void;
-	static AsDate_DateTime(InDateTime: DateTime): string;
-	static AsDateTime_DateTime(In: DateTime): string;
-	static AsTime_DateTime(In: DateTime): string;
-	static AsTimeZoneDate_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static AsTimeZoneDateTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static AsTimeZoneTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static Add_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
-	static BreakDateTime(InDateTime: DateTime,Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
-	static EqualEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static GetDate(A: DateTime): DateTime;
-	static GetDay(A: DateTime): number;
-	static GetDayOfYear(A: DateTime): number;
-	static GetHour(A: DateTime): number;
-	static GetHour12(A: DateTime): number;
-	static GetMillisecond(A: DateTime): number;
-	static GetMinute(A: DateTime): number;
-	static GetMonth(A: DateTime): number;
-	static GetSecond(A: DateTime): number;
-	static GetTimeOfDay(A: DateTime): Timespan;
-	static GetYear(A: DateTime): number;
-	static Greater_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static GreaterEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static IsAfternoon(A: DateTime): boolean;
-	static IsMorning(A: DateTime): boolean;
-	static Less_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static LessEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static NotEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static Subtract_DateTimeDateTime(A: DateTime,B: DateTime): Timespan;
-	static Subtract_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
-	static ScheduleLocalNotificationAtTime(FireDateTime: DateTime,LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
-	static ScheduleLocalNotificationBadgeAtTime(FireDateTime: DateTime,LocalTime: boolean,ActivationEvent: string): void;
-	static DateTimeMaxValue(): DateTime;
-	static DateTimeMinValue(): DateTime;
-	static MakeDateTime(Year: number,Month: number,Day: number,Hour: number,Minute: number,Second: number,Millisecond: number): DateTime;
-	static Now(): DateTime;
-	static Today(): DateTime;
-	static UtcNow(): DateTime;
+declare class ReplaceAssetsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ReplaceAssetsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ReplaceAssetsCommandlet;
+	static GetDefaultObject(): ReplaceAssetsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplaceAssetsCommandlet;
+	static C(Other: UObject | any): ReplaceAssetsCommandlet;
 }
 
-declare class BlueprintPlatformLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): BlueprintPlatformLibrary;
-	static Find(Outer: UObject, ResourceName: string): BlueprintPlatformLibrary;
-	static GetDefaultObject(): BlueprintPlatformLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPlatformLibrary;
-	static ScheduleLocalNotificationFromNow(inSecondsFromNow: number,Title: string,Body: string,Action: string,ActivationEvent: string): void;
-	static ScheduleLocalNotificationBadgeFromNow(inSecondsFromNow: number,ActivationEvent: string): void;
-	static ScheduleLocalNotificationBadgeAtTime(FireDateTime: DateTime,LocalTime: boolean,ActivationEvent: string): void;
-	static ScheduleLocalNotificationAtTime(FireDateTime: DateTime,LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
-	static GetLaunchNotification(NotificationLaunchedApp?: boolean,ActivationEvent?: string,FireDate?: number): {NotificationLaunchedApp: boolean, ActivationEvent: string, FireDate: number};
-	static ClearAllLocalNotifications(): void;
-	static CancelLocalNotification(ActivationEvent: string): void;
-	static C(Other: UObject | any): BlueprintPlatformLibrary;
+declare class SceneThumbnailInfo extends ThumbnailInfo { 
+	OrbitPitch: number;
+	OrbitYaw: number;
+	OrbitZoom: number;
+	static Load(ResourceName: string): SceneThumbnailInfo;
+	static Find(Outer: UObject, ResourceName: string): SceneThumbnailInfo;
+	static GetDefaultObject(): SceneThumbnailInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneThumbnailInfo;
+	static C(Other: UObject | any): SceneThumbnailInfo;
 }
 
-declare class BlueprintSetLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): BlueprintSetLibrary;
-	static Find(Outer: UObject, ResourceName: string): BlueprintSetLibrary;
-	static GetDefaultObject(): BlueprintSetLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintSetLibrary;
-	static SetSetPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static Set_Union(A: any,B: any,Result?: any): {Result: any};
-	static Set_ToArray(A: any,Result?: number[]): {Result: number[]};
-	static Set_RemoveItems(TargetSet: any,Items: number[]): void;
-	static Set_Remove(TargetSet: any,Item: number): boolean;
-	static Set_Length(TargetSet: any): number;
-	static Set_Intersection(A: any,B: any,Result?: any): {Result: any};
-	static Set_Difference(A: any,B: any,Result?: any): {Result: any};
-	static Set_Contains(TargetSet: any,ItemToFind: number): boolean;
-	static Set_Clear(TargetSet: any): void;
-	static Set_AddItems(TargetSet: any,NewItems: number[]): void;
-	static Set_Add(TargetSet: any,NewItem: number): void;
-	static C(Other: UObject | any): BlueprintSetLibrary;
+declare type EThumbnailPrimType = 'TPT_None' | 'TPT_Sphere' | 'TPT_Cube' | 'TPT_Plane' | 'TPT_Cylinder' | 'TPT_MAX';
+declare var EThumbnailPrimType : { TPT_None:'TPT_None',TPT_Sphere:'TPT_Sphere',TPT_Cube:'TPT_Cube',TPT_Plane:'TPT_Plane',TPT_Cylinder:'TPT_Cylinder',TPT_MAX:'TPT_MAX', };
+declare class SceneThumbnailInfoWithPrimitive extends SceneThumbnailInfo { 
+	PrimitiveType: EThumbnailPrimType;
+	PreviewMesh: SoftObjectPath;
+	bUserModifiedShape: boolean;
+	static Load(ResourceName: string): SceneThumbnailInfoWithPrimitive;
+	static Find(Outer: UObject, ResourceName: string): SceneThumbnailInfoWithPrimitive;
+	static GetDefaultObject(): SceneThumbnailInfoWithPrimitive;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneThumbnailInfoWithPrimitive;
+	static C(Other: UObject | any): SceneThumbnailInfoWithPrimitive;
 }
 
-declare class BoneMaskFilter extends UObject { 
-	BlendPoses: InputBlendPose[];
-	static Load(ResourceName: string): BoneMaskFilter;
-	static Find(Outer: UObject, ResourceName: string): BoneMaskFilter;
-	static GetDefaultObject(): BoneMaskFilter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoneMaskFilter;
-	static C(Other: UObject | any): BoneMaskFilter;
+declare class SequenceExporterT3D extends Exporter { 
+	static Load(ResourceName: string): SequenceExporterT3D;
+	static Find(Outer: UObject, ResourceName: string): SequenceExporterT3D;
+	static GetDefaultObject(): SequenceExporterT3D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SequenceExporterT3D;
+	static C(Other: UObject | any): SequenceExporterT3D;
 }
 
-declare class BookMark2D extends UObject { 
-	Zoom2D: number;
-	Location: IntPoint;
-	static Load(ResourceName: string): BookMark2D;
-	static Find(Outer: UObject, ResourceName: string): BookMark2D;
-	static GetDefaultObject(): BookMark2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BookMark2D;
-	static C(Other: UObject | any): BookMark2D;
+declare class ShaderPipelineCacheToolsCommandlet extends Commandlet { 
+	static Load(ResourceName: string): ShaderPipelineCacheToolsCommandlet;
+	static Find(Outer: UObject, ResourceName: string): ShaderPipelineCacheToolsCommandlet;
+	static GetDefaultObject(): ShaderPipelineCacheToolsCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShaderPipelineCacheToolsCommandlet;
+	static C(Other: UObject | any): ShaderPipelineCacheToolsCommandlet;
 }
 
-declare class BoxComponent extends ShapeComponent { 
-	BoxExtent: Vector;
-	static Load(ResourceName: string): BoxComponent;
-	static Find(Outer: UObject, ResourceName: string): BoxComponent;
-	static GetDefaultObject(): BoxComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxComponent;
-	SetBoxExtent(InBoxExtent: Vector,bUpdateOverlaps: boolean): void;
-	GetUnscaledBoxExtent(): Vector;
-	GetScaledBoxExtent(): Vector;
-	static C(Other: UObject | any): BoxComponent;
+declare type ESheetAxis = 'AX_Horizontal' | 'AX_XAxis' | 'AX_YAxis' | 'AX_MAX';
+declare var ESheetAxis : { AX_Horizontal:'AX_Horizontal',AX_XAxis:'AX_XAxis',AX_YAxis:'AX_YAxis',AX_MAX:'AX_MAX', };
+declare class SheetBuilder extends EditorBrushBuilder { 
+	X: number;
+	Y: number;
+	XSegments: number;
+	YSegments: number;
+	Axis: ESheetAxis;
+	GroupName: string;
+	static Load(ResourceName: string): SheetBuilder;
+	static Find(Outer: UObject, ResourceName: string): SheetBuilder;
+	static GetDefaultObject(): SheetBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SheetBuilder;
+	static C(Other: UObject | any): SheetBuilder;
 }
 
-declare type EReflectionSourceType = 'CapturedScene' | 'SpecifiedCubemap' | 'EReflectionSourceType_MAX';
-declare var EReflectionSourceType : { CapturedScene:'CapturedScene',SpecifiedCubemap:'SpecifiedCubemap',EReflectionSourceType_MAX:'EReflectionSourceType_MAX', };
-declare class ReflectionCaptureComponent extends SceneComponent { 
-	CaptureOffsetComponent: BillboardComponent;
-	ReflectionSourceType: EReflectionSourceType;
-	Cubemap: TextureCube;
-	SourceCubemapAngle: number;
-	Brightness: number;
-	CaptureOffset: Vector;
-	MapBuildDataId: Guid;
-	static Load(ResourceName: string): ReflectionCaptureComponent;
-	static Find(Outer: UObject, ResourceName: string): ReflectionCaptureComponent;
-	static GetDefaultObject(): ReflectionCaptureComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReflectionCaptureComponent;
-	static C(Other: UObject | any): ReflectionCaptureComponent;
+declare class SkeletalMeshEditorSettings extends UObject { 
+	AnimPreviewFloorColor: Color;
+	AnimPreviewSkyColor: Color;
+	AnimPreviewSkyBrightness: number;
+	AnimPreviewLightBrightness: number;
+	AnimPreviewLightingDirection: Rotator;
+	AnimPreviewDirectionalColor: Color;
+	static Load(ResourceName: string): SkeletalMeshEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): SkeletalMeshEditorSettings;
+	static GetDefaultObject(): SkeletalMeshEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshEditorSettings;
+	static C(Other: UObject | any): SkeletalMeshEditorSettings;
 }
 
-declare class ReflectionCapture extends Actor { 
-	CaptureComponent: ReflectionCaptureComponent;
-	SpriteComponent: BillboardComponent;
-	CaptureOffsetComponent: BillboardComponent;
-	static GetDefaultObject(): ReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReflectionCapture;
-	static C(Other: UObject | any): ReflectionCapture;
+declare class SkeletalMeshExporterFBX extends ExporterFBX { 
+	static Load(ResourceName: string): SkeletalMeshExporterFBX;
+	static Find(Outer: UObject, ResourceName: string): SkeletalMeshExporterFBX;
+	static GetDefaultObject(): SkeletalMeshExporterFBX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshExporterFBX;
+	static C(Other: UObject | any): SkeletalMeshExporterFBX;
 }
 
-declare class BoxReflectionCapture extends ReflectionCapture { 
-	static GetDefaultObject(): BoxReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxReflectionCapture;
-	static C(Other: UObject | any): BoxReflectionCapture;
+declare class SkeletalMeshThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): SkeletalMeshThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): SkeletalMeshThumbnailRenderer;
+	static GetDefaultObject(): SkeletalMeshThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshThumbnailRenderer;
+	static C(Other: UObject | any): SkeletalMeshThumbnailRenderer;
 }
 
-declare class BoxReflectionCaptureComponent extends ReflectionCaptureComponent { 
-	BoxTransitionDistance: number;
-	PreviewInfluenceBox: BoxComponent;
-	PreviewCaptureBox: BoxComponent;
-	static Load(ResourceName: string): BoxReflectionCaptureComponent;
-	static Find(Outer: UObject, ResourceName: string): BoxReflectionCaptureComponent;
-	static GetDefaultObject(): BoxReflectionCaptureComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxReflectionCaptureComponent;
-	static C(Other: UObject | any): BoxReflectionCaptureComponent;
+declare class SkeletonFactory extends Factory { 
+	TargetSkeletalMesh: SkeletalMesh;
+	static Load(ResourceName: string): SkeletonFactory;
+	static Find(Outer: UObject, ResourceName: string): SkeletonFactory;
+	static GetDefaultObject(): SkeletonFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletonFactory;
+	static C(Other: UObject | any): SkeletonFactory;
 }
 
-declare class BrushShape extends Brush { 
-	static GetDefaultObject(): BrushShape;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushShape;
-	static C(Other: UObject | any): BrushShape;
+declare class SlateBrushAssetFactory extends Factory { 
+	InitialTexture: Texture2D;
+	static Load(ResourceName: string): SlateBrushAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): SlateBrushAssetFactory;
+	static GetDefaultObject(): SlateBrushAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBrushAssetFactory;
+	static C(Other: UObject | any): SlateBrushAssetFactory;
 }
 
-declare class ButtonStyleAsset extends UObject { 
-	ButtonStyle: ButtonStyle;
-	static Load(ResourceName: string): ButtonStyleAsset;
-	static Find(Outer: UObject, ResourceName: string): ButtonStyleAsset;
-	static GetDefaultObject(): ButtonStyleAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonStyleAsset;
-	static C(Other: UObject | any): ButtonStyleAsset;
+declare class SlateBrushThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): SlateBrushThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): SlateBrushThumbnailRenderer;
+	static GetDefaultObject(): SlateBrushThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateBrushThumbnailRenderer;
+	static C(Other: UObject | any): SlateBrushThumbnailRenderer;
 }
 
-declare class CameraBlockingVolume extends Volume { 
-	static GetDefaultObject(): CameraBlockingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraBlockingVolume;
-	static C(Other: UObject | any): CameraBlockingVolume;
+declare class SlateWidgetStyleAssetFactory extends Factory { 
+	StyleType: UnrealEngineClass;
+	static Load(ResourceName: string): SlateWidgetStyleAssetFactory;
+	static Find(Outer: UObject, ResourceName: string): SlateWidgetStyleAssetFactory;
+	static GetDefaultObject(): SlateWidgetStyleAssetFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateWidgetStyleAssetFactory;
+	static C(Other: UObject | any): SlateWidgetStyleAssetFactory;
 }
 
-declare class CanvasRenderTarget2D extends TextureRenderTarget2D { 
-	OnCanvasRenderTargetUpdate: UnrealEngineMulticastDelegate<(Canvas: Canvas, Width: number, Height: number) => void>;
-	World: any;
-	bShouldClearRenderTargetOnReceiveUpdate: boolean;
-	static Load(ResourceName: string): CanvasRenderTarget2D;
-	static Find(Outer: UObject, ResourceName: string): CanvasRenderTarget2D;
-	static GetDefaultObject(): CanvasRenderTarget2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasRenderTarget2D;
-	UpdateResource(): void;
-	ReceiveUpdate(Canvas: Canvas,Width: number,Height: number): void;
-	GetSize(Width?: number,Height?: number): {Width: number, Height: number};
-	static CreateCanvasRenderTarget2D(WorldContextObject: UObject,CanvasRenderTarget2DClass: UnrealEngineClass,Width: number,Height: number): CanvasRenderTarget2D;
-	static C(Other: UObject | any): CanvasRenderTarget2D;
+declare class SoundExporterOGG extends Exporter { 
+	static Load(ResourceName: string): SoundExporterOGG;
+	static Find(Outer: UObject, ResourceName: string): SoundExporterOGG;
+	static GetDefaultObject(): SoundExporterOGG;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundExporterOGG;
+	static C(Other: UObject | any): SoundExporterOGG;
 }
 
-declare class CheckBoxStyleAsset extends UObject { 
-	CheckBoxStyle: CheckBoxStyle;
-	static Load(ResourceName: string): CheckBoxStyleAsset;
-	static Find(Outer: UObject, ResourceName: string): CheckBoxStyleAsset;
-	static GetDefaultObject(): CheckBoxStyleAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBoxStyleAsset;
-	static C(Other: UObject | any): CheckBoxStyleAsset;
+declare class SoundExporterWAV extends Exporter { 
+	static Load(ResourceName: string): SoundExporterWAV;
+	static Find(Outer: UObject, ResourceName: string): SoundExporterWAV;
+	static GetDefaultObject(): SoundExporterWAV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundExporterWAV;
+	static C(Other: UObject | any): SoundExporterWAV;
 }
 
-declare type EPlatformInterfaceDataType = 'PIDT_None' | 'PIDT_Int' | 'PIDT_Float' | 'PIDT_String' | 'PIDT_Object' | 'PIDT_Custom' | 'PIDT_MAX';
-declare var EPlatformInterfaceDataType : { PIDT_None:'PIDT_None',PIDT_Int:'PIDT_Int',PIDT_Float:'PIDT_Float',PIDT_String:'PIDT_String',PIDT_Object:'PIDT_Object',PIDT_Custom:'PIDT_Custom',PIDT_MAX:'PIDT_MAX', };
-declare class PlatformInterfaceData { 
-	DataName: string;
-	Type: EPlatformInterfaceDataType;
-	IntValue: number;
-	FloatValue: number;
-	StringValue: string;
-	ObjectValue: UObject;
-	clone() : PlatformInterfaceData;
-	static C(Other: UObject | any): PlatformInterfaceData;
+declare class SoundSurroundExporterWAV extends Exporter { 
+	static Load(ResourceName: string): SoundSurroundExporterWAV;
+	static Find(Outer: UObject, ResourceName: string): SoundSurroundExporterWAV;
+	static GetDefaultObject(): SoundSurroundExporterWAV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSurroundExporterWAV;
+	static C(Other: UObject | any): SoundSurroundExporterWAV;
 }
 
-declare class PlatformInterfaceDelegateResult { 
-	bSuccessful: boolean;
-	Data: PlatformInterfaceData;
-	clone() : PlatformInterfaceDelegateResult;
-	static C(Other: UObject | any): PlatformInterfaceDelegateResult;
+declare class SoundWaveThumbnailRenderer extends ThumbnailRenderer { 
+	static Load(ResourceName: string): SoundWaveThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): SoundWaveThumbnailRenderer;
+	static GetDefaultObject(): SoundWaveThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundWaveThumbnailRenderer;
+	static C(Other: UObject | any): SoundWaveThumbnailRenderer;
 }
 
-declare class DelegateArray { 
-	Delegates: UnrealEngineDelegate<(Result: PlatformInterfaceDelegateResult) => void>[];
-	clone() : DelegateArray;
-	static C(Other: UObject | any): DelegateArray;
+declare class SpiralStairBuilder extends EditorBrushBuilder { 
+	InnerRadius: number;
+	StepWidth: number;
+	StepHeight: number;
+	StepThickness: number;
+	NumStepsPer360: number;
+	NumSteps: number;
+	GroupName: string;
+	SlopedCeiling: boolean;
+	SlopedFloor: boolean;
+	CounterClockwise: boolean;
+	static Load(ResourceName: string): SpiralStairBuilder;
+	static Find(Outer: UObject, ResourceName: string): SpiralStairBuilder;
+	static GetDefaultObject(): SpiralStairBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpiralStairBuilder;
+	static C(Other: UObject | any): SpiralStairBuilder;
 }
 
-declare class PlatformInterfaceBase extends UObject { 
-	AllDelegates: DelegateArray[];
-	static Load(ResourceName: string): PlatformInterfaceBase;
-	static Find(Outer: UObject, ResourceName: string): PlatformInterfaceBase;
-	static GetDefaultObject(): PlatformInterfaceBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformInterfaceBase;
-	static C(Other: UObject | any): PlatformInterfaceBase;
+declare class StabilizeLocalizationKeysCommandlet extends Commandlet { 
+	static Load(ResourceName: string): StabilizeLocalizationKeysCommandlet;
+	static Find(Outer: UObject, ResourceName: string): StabilizeLocalizationKeysCommandlet;
+	static GetDefaultObject(): StabilizeLocalizationKeysCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StabilizeLocalizationKeysCommandlet;
+	static C(Other: UObject | any): StabilizeLocalizationKeysCommandlet;
 }
 
-declare class CloudStorageBase extends PlatformInterfaceBase { 
-	LocalCloudFiles: string[];
-	bSuppressDelegateCalls: boolean;
-	static Load(ResourceName: string): CloudStorageBase;
-	static Find(Outer: UObject, ResourceName: string): CloudStorageBase;
-	static GetDefaultObject(): CloudStorageBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CloudStorageBase;
-	static C(Other: UObject | any): CloudStorageBase;
+declare class StaticMeshExporterFBX extends ExporterFBX { 
+	static Load(ResourceName: string): StaticMeshExporterFBX;
+	static Find(Outer: UObject, ResourceName: string): StaticMeshExporterFBX;
+	static GetDefaultObject(): StaticMeshExporterFBX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshExporterFBX;
+	static C(Other: UObject | any): StaticMeshExporterFBX;
 }
 
-declare class CollisionResponseTemplate { 
-	Name: string;
-	CollisionEnabled: ECollisionEnabled;
-	ObjectTypeName: string;
-	CustomResponses: ResponseChannel[];
-	HelpMessage: string;
-	bCanModify: boolean;
-	clone() : CollisionResponseTemplate;
-	static C(Other: UObject | any): CollisionResponseTemplate;
-}
+declare class StaticMeshExporterOBJ extends Exporter { 
+	static Load(ResourceName: string): StaticMeshExporterOBJ;
+	static Find(Outer: UObject, ResourceName: string): StaticMeshExporterOBJ;
+	static GetDefaultObject(): StaticMeshExporterOBJ;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshExporterOBJ;
+	static C(Other: UObject | any): StaticMeshExporterOBJ;
+}
 
-declare class CustomChannelSetup { 
-	Channel: ECollisionChannel;
-	Name: string;
-	DefaultResponse: ECollisionResponse;
-	bTraceType: boolean;
-	bStaticObject: boolean;
-	clone() : CustomChannelSetup;
-	static C(Other: UObject | any): CustomChannelSetup;
+declare class StaticMeshThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): StaticMeshThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): StaticMeshThumbnailRenderer;
+	static GetDefaultObject(): StaticMeshThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshThumbnailRenderer;
+	static C(Other: UObject | any): StaticMeshThumbnailRenderer;
 }
 
-declare class CustomProfile { 
-	Name: string;
-	CustomResponses: ResponseChannel[];
-	clone() : CustomProfile;
-	static C(Other: UObject | any): CustomProfile;
+declare class StringTableFactory extends Factory { 
+	static Load(ResourceName: string): StringTableFactory;
+	static Find(Outer: UObject, ResourceName: string): StringTableFactory;
+	static GetDefaultObject(): StringTableFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StringTableFactory;
+	static C(Other: UObject | any): StringTableFactory;
 }
 
-declare class Redirector { 
-	OldName: string;
-	NewName: string;
-	clone() : Redirector;
-	static C(Other: UObject | any): Redirector;
+declare class StructureFactory extends Factory { 
+	static Load(ResourceName: string): StructureFactory;
+	static Find(Outer: UObject, ResourceName: string): StructureFactory;
+	static GetDefaultObject(): StructureFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StructureFactory;
+	static C(Other: UObject | any): StructureFactory;
 }
 
-declare class CollisionProfile extends DeveloperSettings { 
-	Profiles: CollisionResponseTemplate[];
-	DefaultChannelResponses: CustomChannelSetup[];
-	EditProfiles: CustomProfile[];
-	ProfileRedirects: Redirector[];
-	CollisionChannelRedirects: Redirector[];
-	static Load(ResourceName: string): CollisionProfile;
-	static Find(Outer: UObject, ResourceName: string): CollisionProfile;
-	static GetDefaultObject(): CollisionProfile;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CollisionProfile;
-	static C(Other: UObject | any): CollisionProfile;
+declare class SubsurfaceProfileFactory extends Factory { 
+	static Load(ResourceName: string): SubsurfaceProfileFactory;
+	static Find(Outer: UObject, ResourceName: string): SubsurfaceProfileFactory;
+	static GetDefaultObject(): SubsurfaceProfileFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsurfaceProfileFactory;
+	static C(Other: UObject | any): SubsurfaceProfileFactory;
 }
 
-declare class BlueprintComponentDelegateBinding { 
-	ComponentPropertyName: string;
-	DelegatePropertyName: string;
-	FunctionNameToBind: string;
-	clone() : BlueprintComponentDelegateBinding;
-	static C(Other: UObject | any): BlueprintComponentDelegateBinding;
+declare class SubsurfaceProfileRenderer extends TextureThumbnailRenderer { 
+	static Load(ResourceName: string): SubsurfaceProfileRenderer;
+	static Find(Outer: UObject, ResourceName: string): SubsurfaceProfileRenderer;
+	static GetDefaultObject(): SubsurfaceProfileRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsurfaceProfileRenderer;
+	static C(Other: UObject | any): SubsurfaceProfileRenderer;
 }
 
-declare class ComponentDelegateBinding extends DynamicBlueprintBinding { 
-	ComponentDelegateBindings: BlueprintComponentDelegateBinding[];
-	static Load(ResourceName: string): ComponentDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): ComponentDelegateBinding;
-	static GetDefaultObject(): ComponentDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComponentDelegateBinding;
-	static C(Other: UObject | any): ComponentDelegateBinding;
+declare class SubUVAnimationFactory extends Factory { 
+	InitialTexture: Texture2D;
+	static Load(ResourceName: string): SubUVAnimationFactory;
+	static Find(Outer: UObject, ResourceName: string): SubUVAnimationFactory;
+	static GetDefaultObject(): SubUVAnimationFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubUVAnimationFactory;
+	static C(Other: UObject | any): SubUVAnimationFactory;
 }
 
-declare class ControlChannel extends Channel { 
-	static Load(ResourceName: string): ControlChannel;
-	static Find(Outer: UObject, ResourceName: string): ControlChannel;
-	static GetDefaultObject(): ControlChannel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlChannel;
-	static C(Other: UObject | any): ControlChannel;
+declare class SwapSoundForDialogueInCuesCommandlet extends Commandlet { 
+	static Load(ResourceName: string): SwapSoundForDialogueInCuesCommandlet;
+	static Find(Outer: UObject, ResourceName: string): SwapSoundForDialogueInCuesCommandlet;
+	static GetDefaultObject(): SwapSoundForDialogueInCuesCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SwapSoundForDialogueInCuesCommandlet;
+	static C(Other: UObject | any): SwapSoundForDialogueInCuesCommandlet;
 }
 
-declare class ControlRigInterface extends Interface { 
-	static Load(ResourceName: string): ControlRigInterface;
-	static Find(Outer: UObject, ResourceName: string): ControlRigInterface;
-	static GetDefaultObject(): ControlRigInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlRigInterface;
-	static C(Other: UObject | any): ControlRigInterface;
+declare class TemplateMapMetadata extends UObject { 
+	static Load(ResourceName: string): TemplateMapMetadata;
+	static Find(Outer: UObject, ResourceName: string): TemplateMapMetadata;
+	static GetDefaultObject(): TemplateMapMetadata;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TemplateMapMetadata;
+	static C(Other: UObject | any): TemplateMapMetadata;
 }
 
-declare class StreamingSettings extends DeveloperSettings { 
-	AsyncLoadingThreadEnabled: boolean;
-	WarnIfTimeLimitExceeded: boolean;
-	TimeLimitExceededMultiplier: number;
-	TimeLimitExceededMinTime: number;
-	MinBulkDataSizeForAsyncLoading: number;
-	UseBackgroundLevelStreaming: boolean;
-	AsyncLoadingUseFullTimeLimit: boolean;
-	AsyncLoadingTimeLimit: number;
-	PriorityAsyncLoadingExtraTime: number;
-	LevelStreamingActorsUpdateTimeLimit: number;
-	LevelStreamingComponentsRegistrationGranularity: number;
-	LevelStreamingUnregisterComponentsTimeLimit: number;
-	LevelStreamingComponentsUnregistrationGranularity: number;
-	EventDrivenLoaderEnabled: boolean;
-	static Load(ResourceName: string): StreamingSettings;
-	static Find(Outer: UObject, ResourceName: string): StreamingSettings;
-	static GetDefaultObject(): StreamingSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StreamingSettings;
-	static C(Other: UObject | any): StreamingSettings;
+declare class TetrahedronBuilder extends EditorBrushBuilder { 
+	Radius: number;
+	SphereExtrapolation: number;
+	GroupName: string;
+	static Load(ResourceName: string): TetrahedronBuilder;
+	static Find(Outer: UObject, ResourceName: string): TetrahedronBuilder;
+	static GetDefaultObject(): TetrahedronBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TetrahedronBuilder;
+	static C(Other: UObject | any): TetrahedronBuilder;
 }
 
-declare class GarbageCollectionSettings extends DeveloperSettings { 
-	TimeBetweenPurgingPendingKillObjects: number;
-	FlushStreamingOnGC: boolean;
-	AllowParallelGC: boolean;
-	CreateGCClusters: boolean;
-	MergeGCClusters: boolean;
-	ActorClusteringEnabled: boolean;
-	BlueprintClusteringEnabled: boolean;
-	UseDisregardForGCOnDedicatedServers: boolean;
-	NumRetriesBeforeForcingGC: number;
-	MaxObjectsNotConsideredByGC: number;
-	SizeOfPermanentObjectPool: number;
-	MaxObjectsInGame: number;
-	MaxObjectsInEditor: number;
-	static Load(ResourceName: string): GarbageCollectionSettings;
-	static Find(Outer: UObject, ResourceName: string): GarbageCollectionSettings;
-	static GetDefaultObject(): GarbageCollectionSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GarbageCollectionSettings;
-	static C(Other: UObject | any): GarbageCollectionSettings;
+declare type ETexAlign = 'TEXALIGN_None' | 'TEXALIGN_Default' | 'TEXALIGN_Box' | 'TEXALIGN_Planar' | 'TEXALIGN_Fit' | 'TEXALIGN_PlanarAuto' | 'TEXALIGN_PlanarWall' | 'TEXALIGN_PlanarFloor' | 'TEXALIGN_MAX';
+declare var ETexAlign : { TEXALIGN_None:'TEXALIGN_None',TEXALIGN_Default:'TEXALIGN_Default',TEXALIGN_Box:'TEXALIGN_Box',TEXALIGN_Planar:'TEXALIGN_Planar',TEXALIGN_Fit:'TEXALIGN_Fit',TEXALIGN_PlanarAuto:'TEXALIGN_PlanarAuto',TEXALIGN_PlanarWall:'TEXALIGN_PlanarWall',TEXALIGN_PlanarFloor:'TEXALIGN_PlanarFloor',TEXALIGN_MAX:'TEXALIGN_MAX', };
+declare class TexAligner extends UObject { 
+	DefTexAlign: ETexAlign;
+	TAxis: number;
+	UTile: number;
+	VTile: number;
+	Desc: string;
+	static Load(ResourceName: string): TexAligner;
+	static Find(Outer: UObject, ResourceName: string): TexAligner;
+	static GetDefaultObject(): TexAligner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAligner;
+	static C(Other: UObject | any): TexAligner;
 }
 
-declare class CullDistanceSizePair { 
-	Size: number;
-	CullDistance: number;
-	clone() : CullDistanceSizePair;
-	static C(Other: UObject | any): CullDistanceSizePair;
+declare class TexAlignerBox extends TexAligner { 
+	static Load(ResourceName: string): TexAlignerBox;
+	static Find(Outer: UObject, ResourceName: string): TexAlignerBox;
+	static GetDefaultObject(): TexAlignerBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerBox;
+	static C(Other: UObject | any): TexAlignerBox;
 }
 
-declare class CullDistanceVolume extends Volume { 
-	CullDistances: CullDistanceSizePair[];
-	bEnabled: boolean;
-	static GetDefaultObject(): CullDistanceVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CullDistanceVolume;
-	static C(Other: UObject | any): CullDistanceVolume;
+declare class TexAlignerDefault extends TexAligner { 
+	static Load(ResourceName: string): TexAlignerDefault;
+	static Find(Outer: UObject, ResourceName: string): TexAlignerDefault;
+	static GetDefaultObject(): TexAlignerDefault;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerDefault;
+	static C(Other: UObject | any): TexAlignerDefault;
 }
 
-declare class CurveEdPresetCurve extends UObject { 
-	static Load(ResourceName: string): CurveEdPresetCurve;
-	static Find(Outer: UObject, ResourceName: string): CurveEdPresetCurve;
-	static GetDefaultObject(): CurveEdPresetCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEdPresetCurve;
-	static C(Other: UObject | any): CurveEdPresetCurve;
+declare class TexAlignerFit extends TexAligner { 
+	static Load(ResourceName: string): TexAlignerFit;
+	static Find(Outer: UObject, ResourceName: string): TexAlignerFit;
+	static GetDefaultObject(): TexAlignerFit;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerFit;
+	static C(Other: UObject | any): TexAlignerFit;
 }
 
-declare class NamedCurveValue { 
-	Name: string;
-	Value: number;
-	clone() : NamedCurveValue;
-	static C(Other: UObject | any): NamedCurveValue;
+declare class TexAlignerPlanar extends TexAligner { 
+	static Load(ResourceName: string): TexAlignerPlanar;
+	static Find(Outer: UObject, ResourceName: string): TexAlignerPlanar;
+	static GetDefaultObject(): TexAlignerPlanar;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TexAlignerPlanar;
+	static C(Other: UObject | any): TexAlignerPlanar;
 }
 
-declare class CurveSourceInterface extends Interface { 
-	static Load(ResourceName: string): CurveSourceInterface;
-	static Find(Outer: UObject, ResourceName: string): CurveSourceInterface;
-	static GetDefaultObject(): CurveSourceInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveSourceInterface;
-	GetCurveValue(CurveName: string): number;
-	GetCurves(OutValues?: NamedCurveValue[]): {OutValues: NamedCurveValue[]};
-	GetBindingName(): string;
-	static C(Other: UObject | any): CurveSourceInterface;
+declare class TextAssetCommandlet extends Commandlet { 
+	static Load(ResourceName: string): TextAssetCommandlet;
+	static Find(Outer: UObject, ResourceName: string): TextAssetCommandlet;
+	static GetDefaultObject(): TextAssetCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextAssetCommandlet;
+	static C(Other: UObject | any): TextAssetCommandlet;
 }
 
-declare class AssetBundleEntry { 
-	BundleScope: PrimaryAssetId;
-	BundleName: string;
-	BundleAssets: SoftObjectPath[];
-	clone() : AssetBundleEntry;
-	static C(Other: UObject | any): AssetBundleEntry;
+declare class TextBufferExporterTXT extends Exporter { 
+	static Load(ResourceName: string): TextBufferExporterTXT;
+	static Find(Outer: UObject, ResourceName: string): TextBufferExporterTXT;
+	static GetDefaultObject(): TextBufferExporterTXT;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextBufferExporterTXT;
+	static C(Other: UObject | any): TextBufferExporterTXT;
 }
 
-declare class AssetBundleData { 
-	Bundles: AssetBundleEntry[];
-	clone() : AssetBundleData;
-	static C(Other: UObject | any): AssetBundleData;
+declare class Texture2DFactoryNew extends Factory { 
+	Width: number;
+	Height: number;
+	static Load(ResourceName: string): Texture2DFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): Texture2DFactoryNew;
+	static GetDefaultObject(): Texture2DFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Texture2DFactoryNew;
+	static C(Other: UObject | any): Texture2DFactoryNew;
 }
 
-declare class PrimaryDataAsset extends DataAsset { 
-	AssetBundleData: AssetBundleData;
-	static Load(ResourceName: string): PrimaryDataAsset;
-	static Find(Outer: UObject, ResourceName: string): PrimaryDataAsset;
-	static GetDefaultObject(): PrimaryDataAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimaryDataAsset;
-	static C(Other: UObject | any): PrimaryDataAsset;
+declare class TextureCubeExporterHDR extends Exporter { 
+	static Load(ResourceName: string): TextureCubeExporterHDR;
+	static Find(Outer: UObject, ResourceName: string): TextureCubeExporterHDR;
+	static GetDefaultObject(): TextureCubeExporterHDR;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureCubeExporterHDR;
+	static C(Other: UObject | any): TextureCubeExporterHDR;
 }
 
-declare class DataTableFunctionLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): DataTableFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): DataTableFunctionLibrary;
-	static GetDefaultObject(): DataTableFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTableFunctionLibrary;
-	static GetDataTableRowNames(Table: DataTable,OutRowNames?: string[]): {OutRowNames: string[]};
-	static GetDataTableRowFromName(Table: DataTable,RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
-	static GetDataTableColumnAsString(DataTable: DataTable,PropertyName: string): string[];
-	static EvaluateCurveTableRow(CurveTable: CurveTable,RowName: string,InXY: number,OutResult?: EEvaluateCurveTableResult,OutXY?: number,ContextString?: string): {OutResult: EEvaluateCurveTableResult, OutXY: number};
-	static C(Other: UObject | any): DataTableFunctionLibrary;
+declare class TextureCubeThumbnailRenderer extends TextureThumbnailRenderer { 
+	static Load(ResourceName: string): TextureCubeThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): TextureCubeThumbnailRenderer;
+	static GetDefaultObject(): TextureCubeThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureCubeThumbnailRenderer;
+	static C(Other: UObject | any): TextureCubeThumbnailRenderer;
 }
 
-declare class DebugCameraHUD extends HUD { 
-	static GetDefaultObject(): DebugCameraHUD;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugCameraHUD;
-	static C(Other: UObject | any): DebugCameraHUD;
+declare class TextureExporterBMP extends Exporter { 
+	static Load(ResourceName: string): TextureExporterBMP;
+	static Find(Outer: UObject, ResourceName: string): TextureExporterBMP;
+	static GetDefaultObject(): TextureExporterBMP;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterBMP;
+	static C(Other: UObject | any): TextureExporterBMP;
 }
 
-declare class DebugDrawService extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): DebugDrawService;
-	static Find(Outer: UObject, ResourceName: string): DebugDrawService;
-	static GetDefaultObject(): DebugDrawService;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugDrawService;
-	static C(Other: UObject | any): DebugDrawService;
+declare class TextureExporterHDR extends Exporter { 
+	static Load(ResourceName: string): TextureExporterHDR;
+	static Find(Outer: UObject, ResourceName: string): TextureExporterHDR;
+	static GetDefaultObject(): TextureExporterHDR;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterHDR;
+	static C(Other: UObject | any): TextureExporterHDR;
 }
 
-declare class DecalActor extends Actor { 
-	Decal: DecalComponent;
-	ArrowComponent: ArrowComponent;
-	SpriteComponent: BillboardComponent;
-	BoxComponent: BoxComponent;
-	static GetDefaultObject(): DecalActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DecalActor;
-	SetDecalMaterial(NewDecalMaterial: MaterialInterface): void;
-	GetDecalMaterial(): MaterialInterface;
-	CreateDynamicMaterialInstance(): MaterialInstanceDynamic;
-	static C(Other: UObject | any): DecalActor;
+declare class TextureExporterPCX extends Exporter { 
+	static Load(ResourceName: string): TextureExporterPCX;
+	static Find(Outer: UObject, ResourceName: string): TextureExporterPCX;
+	static GetDefaultObject(): TextureExporterPCX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterPCX;
+	static C(Other: UObject | any): TextureExporterPCX;
 }
 
-declare class DemoNetConnection extends NetConnection { 
-	static Load(ResourceName: string): DemoNetConnection;
-	static Find(Outer: UObject, ResourceName: string): DemoNetConnection;
-	static GetDefaultObject(): DemoNetConnection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoNetConnection;
-	static C(Other: UObject | any): DemoNetConnection;
+declare class TextureExporterTGA extends Exporter { 
+	static Load(ResourceName: string): TextureExporterTGA;
+	static Find(Outer: UObject, ResourceName: string): TextureExporterTGA;
+	static GetDefaultObject(): TextureExporterTGA;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureExporterTGA;
+	static C(Other: UObject | any): TextureExporterTGA;
 }
 
-declare class PendingNetGame extends UObject { 
-	NetDriver: NetDriver;
-	DemoNetDriver: DemoNetDriver;
-	static Load(ResourceName: string): PendingNetGame;
-	static Find(Outer: UObject, ResourceName: string): PendingNetGame;
-	static GetDefaultObject(): PendingNetGame;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PendingNetGame;
-	static C(Other: UObject | any): PendingNetGame;
+declare class TextureRenderTargetCubeFactoryNew extends Factory { 
+	Width: number;
+	Format: number;
+	static Load(ResourceName: string): TextureRenderTargetCubeFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetCubeFactoryNew;
+	static GetDefaultObject(): TextureRenderTargetCubeFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetCubeFactoryNew;
+	static C(Other: UObject | any): TextureRenderTargetCubeFactoryNew;
 }
 
-declare class DemoPendingNetGame extends PendingNetGame { 
-	static Load(ResourceName: string): DemoPendingNetGame;
-	static Find(Outer: UObject, ResourceName: string): DemoPendingNetGame;
-	static GetDefaultObject(): DemoPendingNetGame;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoPendingNetGame;
-	static C(Other: UObject | any): DemoPendingNetGame;
+declare class TextureRenderTargetFactoryNew extends Factory { 
+	Width: number;
+	Height: number;
+	Format: number;
+	static Load(ResourceName: string): TextureRenderTargetFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetFactoryNew;
+	static GetDefaultObject(): TextureRenderTargetFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetFactoryNew;
+	static C(Other: UObject | any): TextureRenderTargetFactoryNew;
 }
 
-declare class DestructibleInterface extends Interface { 
-	static Load(ResourceName: string): DestructibleInterface;
-	static Find(Outer: UObject, ResourceName: string): DestructibleInterface;
-	static GetDefaultObject(): DestructibleInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DestructibleInterface;
-	static C(Other: UObject | any): DestructibleInterface;
+declare class SkeletalMeshActor extends Actor { 
+	bShouldDoAnimNotifies: boolean;
+	bWakeOnLevelStart: boolean;
+	SkeletalMeshComponent: SkeletalMeshComponent;
+	ReplicatedMesh: SkeletalMesh;
+	ReplicatedPhysAsset: PhysicsAsset;
+	ReplicatedMaterial0: MaterialInterface;
+	ReplicatedMaterial1: MaterialInterface;
+	static GetDefaultObject(): SkeletalMeshActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshActor;
+	OnRep_ReplicatedPhysAsset(): void;
+	OnRep_ReplicatedMesh(): void;
+	OnRep_ReplicatedMaterial1(): void;
+	OnRep_ReplicatedMaterial0(): void;
+	static C(Other: UObject | any): SkeletalMeshActor;
 }
 
-declare class TextureLODGroup { 
-	Group: TextureGroup;
-	LODBias: number;
-	NumStreamedMips: number;
-	MipGenSettings: TextureMipGenSettings;
-	MinLODSize: number;
-	MaxLODSize: number;
-	MinMagFilter: string;
-	MipFilter: string;
-	clone() : TextureLODGroup;
-	static C(Other: UObject | any): TextureLODGroup;
+declare class AnimationThumbnailSkeletalMeshActor extends SkeletalMeshActor { 
+	static GetDefaultObject(): AnimationThumbnailSkeletalMeshActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationThumbnailSkeletalMeshActor;
+	static C(Other: UObject | any): AnimationThumbnailSkeletalMeshActor;
 }
 
-declare class TextureLODSettings extends UObject { 
-	TextureLODGroups: TextureLODGroup[];
-	static Load(ResourceName: string): TextureLODSettings;
-	static Find(Outer: UObject, ResourceName: string): TextureLODSettings;
-	static GetDefaultObject(): TextureLODSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureLODSettings;
-	static C(Other: UObject | any): TextureLODSettings;
+declare class ThumbnailRenderingInfo { 
+	ClassNeedingThumbnailName: string;
+	ClassNeedingThumbnail: UnrealEngineClass;
+	RendererClassName: string;
+	Renderer: ThumbnailRenderer;
+	clone() : ThumbnailRenderingInfo;
+	static C(Other: UObject | any): ThumbnailRenderingInfo;
 }
 
-declare class DeviceProfile extends TextureLODSettings { 
-	DeviceType: string;
-	BaseProfileName: string;
-	Parent: UObject;
-	CVars: string[];
-	static Load(ResourceName: string): DeviceProfile;
-	static Find(Outer: UObject, ResourceName: string): DeviceProfile;
-	static GetDefaultObject(): DeviceProfile;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeviceProfile;
-	static C(Other: UObject | any): DeviceProfile;
+declare class ThumbnailManager extends UObject { 
+	RenderableThumbnailTypes: ThumbnailRenderingInfo[];
+	NotSupported: ThumbnailRenderingInfo;
+	EditorCube: StaticMesh;
+	EditorSphere: StaticMesh;
+	EditorCylinder: StaticMesh;
+	EditorPlane: StaticMesh;
+	EditorSkySphere: StaticMesh;
+	FloorPlaneMaterial: Material;
+	AmbientCubemap: TextureCube;
+	CheckerboardTexture: Texture2D;
+	ThumbnailManagerClassName: string;
+	static Load(ResourceName: string): ThumbnailManager;
+	static Find(Outer: UObject, ResourceName: string): ThumbnailManager;
+	static GetDefaultObject(): ThumbnailManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ThumbnailManager;
+	static C(Other: UObject | any): ThumbnailManager;
 }
 
-declare class DeviceProfileManager extends UObject { 
-	Profiles: UObject[];
-	static Load(ResourceName: string): DeviceProfileManager;
-	static Find(Outer: UObject, ResourceName: string): DeviceProfileManager;
-	static GetDefaultObject(): DeviceProfileManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeviceProfileManager;
-	static C(Other: UObject | any): DeviceProfileManager;
+declare class TouchInterfaceFactory extends Factory { 
+	static Load(ResourceName: string): TouchInterfaceFactory;
+	static Find(Outer: UObject, ResourceName: string): TouchInterfaceFactory;
+	static GetDefaultObject(): TouchInterfaceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TouchInterfaceFactory;
+	static C(Other: UObject | any): TouchInterfaceFactory;
 }
 
-declare class LightComponentBase extends SceneComponent { 
-	LightGuid: Guid;
-	Brightness: number;
-	Intensity: number;
-	LightColor: Color;
-	bAffectsWorld: boolean;
-	CastShadows: boolean;
-	CastStaticShadows: boolean;
-	CastDynamicShadows: boolean;
-	bAffectTranslucentLighting: boolean;
-	bCastVolumetricShadow: boolean;
-	IndirectLightingIntensity: number;
-	VolumetricScatteringIntensity: number;
-	StaticEditorTexture: Texture2D;
-	StaticEditorTextureScale: number;
-	DynamicEditorTexture: Texture2D;
-	DynamicEditorTextureScale: number;
-	static Load(ResourceName: string): LightComponentBase;
-	static Find(Outer: UObject, ResourceName: string): LightComponentBase;
-	static GetDefaultObject(): LightComponentBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightComponentBase;
-	SetCastVolumetricShadow(bNewValue: boolean): void;
-	SetCastShadows(bNewValue: boolean): void;
-	GetLightColor(): LinearColor;
-	static C(Other: UObject | any): LightComponentBase;
+declare class TransBuffer extends Transactor { 
+	static Load(ResourceName: string): TransBuffer;
+	static Find(Outer: UObject, ResourceName: string): TransBuffer;
+	static GetDefaultObject(): TransBuffer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TransBuffer;
+	static C(Other: UObject | any): TransBuffer;
 }
 
-declare class TextureLightProfile extends Texture2D { 
-	Brightness: number;
-	TextureMultiplier: number;
-	static Load(ResourceName: string): TextureLightProfile;
-	static Find(Outer: UObject, ResourceName: string): TextureLightProfile;
-	static GetDefaultObject(): TextureLightProfile;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureLightProfile;
-	static C(Other: UObject | any): TextureLightProfile;
-}
-
-declare class LightComponent extends LightComponentBase { 
-	Temperature: number;
-	MaxDrawDistance: number;
-	MaxDistanceFadeRange: number;
-	bUseTemperature: boolean;
-	ShadowMapChannel: number;
-	MinRoughness: number;
-	ShadowResolutionScale: number;
-	ShadowBias: number;
-	ShadowSharpen: number;
-	ContactShadowLength: number;
-	InverseSquaredFalloff: boolean;
-	CastTranslucentShadows: boolean;
-	bCastShadowsFromCinematicObjectsOnly: boolean;
-	bAffectDynamicIndirectLighting: boolean;
-	bForceCachedShadowsForMovablePrimitives: boolean;
-	LightingChannels: LightingChannels;
-	LightFunctionMaterial: MaterialInterface;
-	LightFunctionScale: Vector;
-	IESTexture: TextureLightProfile;
-	bUseIESBrightness: boolean;
-	IESBrightnessScale: number;
-	LightFunctionFadeDistance: number;
-	DisabledBrightness: number;
-	bEnableLightShaftBloom: boolean;
-	BloomScale: number;
-	BloomThreshold: number;
-	BloomTint: Color;
-	bUseRayTracedDistanceFieldShadows: boolean;
-	RayStartOffsetDepthScale: number;
-	static Load(ResourceName: string): LightComponent;
-	static Find(Outer: UObject, ResourceName: string): LightComponent;
-	static GetDefaultObject(): LightComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightComponent;
-	SetVolumetricScatteringIntensity(NewIntensity: number): void;
-	SetTemperature(NewTemperature: number): void;
-	SetShadowBias(NewValue: number): void;
-	SetLightFunctionScale(NewLightFunctionScale: Vector): void;
-	SetLightFunctionMaterial(NewLightFunctionMaterial: MaterialInterface): void;
-	SetLightFunctionFadeDistance(NewLightFunctionFadeDistance: number): void;
-	SetLightFunctionDisabledBrightness(NewValue: number): void;
-	SetLightColor(NewLightColor: LinearColor,bSRGB: boolean): void;
-	SetIntensity(NewIntensity: number): void;
-	SetIndirectLightingIntensity(NewIntensity: number): void;
-	SetIESTexture(NewValue: TextureLightProfile): void;
-	SetForceCachedShadowsForMovablePrimitives(bNewValue: boolean): void;
-	SetEnableLightShaftBloom(bNewValue: boolean): void;
-	SetBloomTint(NewValue: Color): void;
-	SetBloomThreshold(NewValue: number): void;
-	SetBloomScale(NewValue: number): void;
-	SetAffectTranslucentLighting(bNewValue: boolean): void;
-	SetAffectDynamicIndirectLighting(bNewValue: boolean): void;
-	static C(Other: UObject | any): LightComponent;
+declare class FontImportOptions extends UObject { 
+	Data: FontImportOptionsData;
+	static Load(ResourceName: string): FontImportOptions;
+	static Find(Outer: UObject, ResourceName: string): FontImportOptions;
+	static GetDefaultObject(): FontImportOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontImportOptions;
+	static C(Other: UObject | any): FontImportOptions;
 }
 
-declare class Light extends Actor { 
-	LightComponent: LightComponent;
-	bEnabled: boolean;
-	static GetDefaultObject(): Light;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Light;
-	ToggleEnabled(): void;
-	SetLightFunctionScale(NewLightFunctionScale: Vector): void;
-	SetLightFunctionMaterial(NewLightFunctionMaterial: MaterialInterface): void;
-	SetLightFunctionFadeDistance(NewLightFunctionFadeDistance: number): void;
-	SetLightColor(NewLightColor: LinearColor): void;
-	SetEnabled(bSetEnabled: boolean): void;
-	SetCastShadows(bNewValue: boolean): void;
-	SetBrightness(NewBrightness: number): void;
-	SetAffectTranslucentLighting(bNewValue: boolean): void;
-	OnRep_bEnabled(): void;
-	IsEnabled(): boolean;
-	GetLightColor(): LinearColor;
-	GetBrightness(): number;
-	static C(Other: UObject | any): Light;
+declare class TrueTypeFontFactory extends TextureFactory { 
+	ImportOptions: FontImportOptions;
+	bPropertiesConfigured: boolean;
+	bFontSelected: boolean;
+	static Load(ResourceName: string): TrueTypeFontFactory;
+	static Find(Outer: UObject, ResourceName: string): TrueTypeFontFactory;
+	static GetDefaultObject(): TrueTypeFontFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TrueTypeFontFactory;
+	static C(Other: UObject | any): TrueTypeFontFactory;
 }
 
-declare class DirectionalLight extends Light { 
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): DirectionalLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DirectionalLight;
-	static C(Other: UObject | any): DirectionalLight;
-}
-
-declare class LightmassLightSettings { 
-	IndirectLightingSaturation: number;
-	ShadowExponent: number;
-	bUseAreaShadowsForStationaryLight: boolean;
-	clone() : LightmassLightSettings;
-	static C(Other: UObject | any): LightmassLightSettings;
+declare class EditorCommandCategory { 
+	Parent: string;
+	Name: string;
+	clone() : EditorCommandCategory;
+	static C(Other: UObject | any): EditorCommandCategory;
 }
 
-declare class LightmassDirectionalLightSettings extends LightmassLightSettings { 
-	LightSourceAngle: number;
-	clone() : LightmassDirectionalLightSettings;
-	static C(Other: UObject | any): LightmassDirectionalLightSettings;
+declare class EditorCommand { 
+	Parent: string;
+	CommandName: string;
+	ExecCommand: string;
+	Description: string;
+	clone() : EditorCommand;
+	static C(Other: UObject | any): EditorCommand;
 }
 
-declare class DirectionalLightComponent extends LightComponent { 
-	bEnableLightShaftOcclusion: boolean;
-	OcclusionMaskDarkness: number;
-	OcclusionDepthRange: number;
-	LightShaftOverrideDirection: Vector;
-	WholeSceneDynamicShadowRadius: number;
-	DynamicShadowDistanceMovableLight: number;
-	DynamicShadowDistanceStationaryLight: number;
-	DynamicShadowCascades: number;
-	CascadeDistributionExponent: number;
-	CascadeTransitionFraction: number;
-	ShadowDistanceFadeoutFraction: number;
-	bUseInsetShadowsForMovableObjects: boolean;
-	FarShadowCascadeCount: number;
-	FarShadowDistance: number;
-	DistanceFieldShadowDistance: number;
-	LightSourceAngle: number;
-	TraceDistance: number;
-	LightmassSettings: LightmassDirectionalLightSettings;
-	bCastModulatedShadows: boolean;
-	ModulatedShadowColor: Color;
-	bUsedAsAtmosphereSunLight: boolean;
-	static Load(ResourceName: string): DirectionalLightComponent;
-	static Find(Outer: UObject, ResourceName: string): DirectionalLightComponent;
-	static GetDefaultObject(): DirectionalLightComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DirectionalLightComponent;
-	SetShadowDistanceFadeoutFraction(NewValue: number): void;
-	SetOcclusionMaskDarkness(NewValue: number): void;
-	SetLightShaftOverrideDirection(NewValue: Vector): void;
-	SetEnableLightShaftOcclusion(bNewValue: boolean): void;
-	SetDynamicShadowDistanceStationaryLight(NewValue: number): void;
-	SetDynamicShadowDistanceMovableLight(NewValue: number): void;
-	SetDynamicShadowCascades(NewValue: number): void;
-	SetCascadeTransitionFraction(NewValue: number): void;
-	SetCascadeDistributionExponent(NewValue: number): void;
-	static C(Other: UObject | any): DirectionalLightComponent;
+declare class EditorKeyBinding { 
+	bCtrlDown: boolean;
+	bAltDown: boolean;
+	bShiftDown: boolean;
+	Key: Key;
+	CommandName: string;
+	clone() : EditorKeyBinding;
+	static C(Other: UObject | any): EditorKeyBinding;
 }
 
-declare class DistributionFloatConstant extends DistributionFloat { 
-	Constant: number;
-	static Load(ResourceName: string): DistributionFloatConstant;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatConstant;
-	static GetDefaultObject(): DistributionFloatConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatConstant;
-	static C(Other: UObject | any): DistributionFloatConstant;
+declare class UnrealEdKeyBindings extends UObject { 
+	KeyBindings: EditorKeyBinding[];
+	static Load(ResourceName: string): UnrealEdKeyBindings;
+	static Find(Outer: UObject, ResourceName: string): UnrealEdKeyBindings;
+	static GetDefaultObject(): UnrealEdKeyBindings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdKeyBindings;
+	static C(Other: UObject | any): UnrealEdKeyBindings;
 }
 
-declare class DistributionFloatConstantCurve extends DistributionFloat { 
-	ConstantCurve: InterpCurveFloat;
-	static Load(ResourceName: string): DistributionFloatConstantCurve;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatConstantCurve;
-	static GetDefaultObject(): DistributionFloatConstantCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatConstantCurve;
-	static C(Other: UObject | any): DistributionFloatConstantCurve;
+declare class ClassPickerDefaults { 
+	ClassName: string;
+	AssetClass: string;
+	clone() : ClassPickerDefaults;
+	static C(Other: UObject | any): ClassPickerDefaults;
 }
 
-declare type DistributionParamMode = 'DPM_Normal' | 'DPM_Abs' | 'DPM_Direct' | 'DPM_MAX';
-declare var DistributionParamMode : { DPM_Normal:'DPM_Normal',DPM_Abs:'DPM_Abs',DPM_Direct:'DPM_Direct',DPM_MAX:'DPM_MAX', };
-declare class DistributionFloatParameterBase extends DistributionFloatConstant { 
-	ParameterName: string;
-	MinInput: number;
-	MaxInput: number;
-	MinOutput: number;
-	MaxOutput: number;
-	ParamMode: DistributionParamMode;
-	static Load(ResourceName: string): DistributionFloatParameterBase;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatParameterBase;
-	static GetDefaultObject(): DistributionFloatParameterBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatParameterBase;
-	static C(Other: UObject | any): DistributionFloatParameterBase;
+declare class UnrealEdOptions extends UObject { 
+	EditorCategories: EditorCommandCategory[];
+	EditorCommands: EditorCommand[];
+	EditorKeyBindings: UnrealEdKeyBindings;
+	bExpandClassPickerClassList: boolean;
+	NewAssetDefaultClasses: ClassPickerDefaults[];
+	static Load(ResourceName: string): UnrealEdOptions;
+	static Find(Outer: UObject, ResourceName: string): UnrealEdOptions;
+	static GetDefaultObject(): UnrealEdOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdOptions;
+	static C(Other: UObject | any): UnrealEdOptions;
 }
 
-declare class DistributionFloatParticleParameter extends DistributionFloatParameterBase { 
-	static Load(ResourceName: string): DistributionFloatParticleParameter;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatParticleParameter;
-	static GetDefaultObject(): DistributionFloatParticleParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatParticleParameter;
-	static C(Other: UObject | any): DistributionFloatParticleParameter;
+declare class TemplateMapInfo { 
+	ThumbnailTexture: Texture2D;
+	Map: string;
+	clone() : TemplateMapInfo;
+	static C(Other: UObject | any): TemplateMapInfo;
 }
 
-declare class DistributionFloatUniform extends DistributionFloat { 
-	Min: number;
-	Max: number;
-	static Load(ResourceName: string): DistributionFloatUniform;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatUniform;
-	static GetDefaultObject(): DistributionFloatUniform;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatUniform;
-	static C(Other: UObject | any): DistributionFloatUniform;
+declare class UnrealEdEngine extends EditorEngine { 
+	EditorOptionsInst: UnrealEdOptions;
+	AutoReimportManager: AutoReimportManager;
+	MaterialCopyPasteBuffer: Material;
+	MatineeCopyPasteBuffer: UObject[];
+	SoundCueCopyPasteBuffer: SoundCue;
+	AnimationCompressionAlgorithms: AnimCompress[];
+	PackagesToBeFullyLoadedAtStartup: string[];
+	CurrentLODParentActor: Actor;
+	bNeedWarningForPkgEngineVer: boolean;
+	bNeedWarningForWritePermission: boolean;
+	SortedSpriteCategories: string[];
+	TemplateMapInfos: TemplateMapInfo[];
+	CookServer: CookOnTheFlyServer;
+	static Load(ResourceName: string): UnrealEdEngine;
+	static Find(Outer: UObject, ResourceName: string): UnrealEdEngine;
+	static GetDefaultObject(): UnrealEdEngine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdEngine;
+	static C(Other: UObject | any): UnrealEdEngine;
 }
 
-declare class InterpCurvePointVector2D { 
-	InVal: number;
-	OutVal: Vector2D;
-	ArriveTangent: Vector2D;
-	LeaveTangent: Vector2D;
-	InterpMode: EInterpCurveMode;
-	clone() : InterpCurvePointVector2D;
-	static C(Other: UObject | any): InterpCurvePointVector2D;
+declare class UnrealEdTypes extends UObject { 
+	static Load(ResourceName: string): UnrealEdTypes;
+	static Find(Outer: UObject, ResourceName: string): UnrealEdTypes;
+	static GetDefaultObject(): UnrealEdTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealEdTypes;
+	static C(Other: UObject | any): UnrealEdTypes;
 }
 
-declare class InterpCurveVector2D { 
-	Points: InterpCurvePointVector2D[];
-	bIsLooped: boolean;
-	LoopKeyOffset: number;
-	clone() : InterpCurveVector2D;
-	static C(Other: UObject | any): InterpCurveVector2D;
+declare class UnrealPakCommandlet extends Commandlet { 
+	static Load(ResourceName: string): UnrealPakCommandlet;
+	static Find(Outer: UObject, ResourceName: string): UnrealPakCommandlet;
+	static GetDefaultObject(): UnrealPakCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UnrealPakCommandlet;
+	static C(Other: UObject | any): UnrealPakCommandlet;
 }
 
-declare class DistributionFloatUniformCurve extends DistributionFloat { 
-	ConstantCurve: InterpCurveVector2D;
-	static Load(ResourceName: string): DistributionFloatUniformCurve;
-	static Find(Outer: UObject, ResourceName: string): DistributionFloatUniformCurve;
-	static GetDefaultObject(): DistributionFloatUniformCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatUniformCurve;
-	static C(Other: UObject | any): DistributionFloatUniformCurve;
+declare class UpdateGameProjectCommandlet extends Commandlet { 
+	static Load(ResourceName: string): UpdateGameProjectCommandlet;
+	static Find(Outer: UObject, ResourceName: string): UpdateGameProjectCommandlet;
+	static GetDefaultObject(): UpdateGameProjectCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UpdateGameProjectCommandlet;
+	static C(Other: UObject | any): UpdateGameProjectCommandlet;
 }
 
-declare type EDistributionVectorLockFlags = 'EDVLF_None' | 'EDVLF_XY' | 'EDVLF_XZ' | 'EDVLF_YZ' | 'EDVLF_XYZ' | 'EDVLF_MAX';
-declare var EDistributionVectorLockFlags : { EDVLF_None:'EDVLF_None',EDVLF_XY:'EDVLF_XY',EDVLF_XZ:'EDVLF_XZ',EDVLF_YZ:'EDVLF_YZ',EDVLF_XYZ:'EDVLF_XYZ',EDVLF_MAX:'EDVLF_MAX', };
-declare class DistributionVectorConstant extends DistributionVector { 
-	Constant: Vector;
-	bLockAxes: boolean;
-	LockedAxes: EDistributionVectorLockFlags;
-	static Load(ResourceName: string): DistributionVectorConstant;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorConstant;
-	static GetDefaultObject(): DistributionVectorConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorConstant;
-	static C(Other: UObject | any): DistributionVectorConstant;
+declare class StructVariableDescription { 
+	VarName: string;
+	VarGuid: Guid;
+	FriendlyName: string;
+	DefaultValue: string;
+	Category: string;
+	SubCategory: string;
+	SubCategoryObject: UObject;
+	PinValueType: EdGraphTerminalType;
+	ContainerType: EPinContainerType;
+	bIsArray: boolean;
+	bIsSet: boolean;
+	bIsMap: boolean;
+	bInvalidMember: boolean;
+	bDontEditoOnInstance: boolean;
+	bEnableMultiLineText: boolean;
+	bEnable3dWidget: boolean;
+	CurrentDefaultValue: string;
+	Tooltip: string;
+	clone() : StructVariableDescription;
+	static C(Other: UObject | any): StructVariableDescription;
 }
 
-declare class DistributionVectorConstantCurve extends DistributionVector { 
-	ConstantCurve: InterpCurveVector;
-	bLockAxes: boolean;
-	LockedAxes: EDistributionVectorLockFlags;
-	static Load(ResourceName: string): DistributionVectorConstantCurve;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorConstantCurve;
-	static GetDefaultObject(): DistributionVectorConstantCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorConstantCurve;
-	static C(Other: UObject | any): DistributionVectorConstantCurve;
+declare class UserDefinedStructEditorData extends UObject { 
+	UniqueNameId: any;
+	VariablesDescriptions: StructVariableDescription[];
+	Tooltip: string;
+	static Load(ResourceName: string): UserDefinedStructEditorData;
+	static Find(Outer: UObject, ResourceName: string): UserDefinedStructEditorData;
+	static GetDefaultObject(): UserDefinedStructEditorData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedStructEditorData;
+	static C(Other: UObject | any): UserDefinedStructEditorData;
 }
 
-declare class DistributionVectorParameterBase extends DistributionVectorConstant { 
-	ParameterName: string;
-	MinInput: Vector;
-	MaxInput: Vector;
-	MinOutput: Vector;
-	MaxOutput: Vector;
-	ParamModes: DistributionParamMode;
-	static Load(ResourceName: string): DistributionVectorParameterBase;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorParameterBase;
-	static GetDefaultObject(): DistributionVectorParameterBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorParameterBase;
-	static C(Other: UObject | any): DistributionVectorParameterBase;
+declare class VolumeTextureFactory extends Factory { 
+	InitialTexture: Texture2D;
+	static Load(ResourceName: string): VolumeTextureFactory;
+	static Find(Outer: UObject, ResourceName: string): VolumeTextureFactory;
+	static GetDefaultObject(): VolumeTextureFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumeTextureFactory;
+	static C(Other: UObject | any): VolumeTextureFactory;
 }
 
-declare class DistributionVectorParticleParameter extends DistributionVectorParameterBase { 
-	static Load(ResourceName: string): DistributionVectorParticleParameter;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorParticleParameter;
-	static GetDefaultObject(): DistributionVectorParticleParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorParticleParameter;
-	static C(Other: UObject | any): DistributionVectorParticleParameter;
+declare class VolumeTextureThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	MaterialInstance: MaterialInstanceConstant;
+	static Load(ResourceName: string): VolumeTextureThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): VolumeTextureThumbnailRenderer;
+	static GetDefaultObject(): VolumeTextureThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumeTextureThumbnailRenderer;
+	static C(Other: UObject | any): VolumeTextureThumbnailRenderer;
 }
 
-declare type EDistributionVectorMirrorFlags = 'EDVMF_Same' | 'EDVMF_Different' | 'EDVMF_Mirror' | 'EDVMF_MAX';
-declare var EDistributionVectorMirrorFlags : { EDVMF_Same:'EDVMF_Same',EDVMF_Different:'EDVMF_Different',EDVMF_Mirror:'EDVMF_Mirror',EDVMF_MAX:'EDVMF_MAX', };
-declare class DistributionVectorUniform extends DistributionVector { 
-	Max: Vector;
-	Min: Vector;
-	bLockAxes: boolean;
-	LockedAxes: EDistributionVectorLockFlags;
-	MirrorFlags: EDistributionVectorMirrorFlags;
-	bUseExtremes: boolean;
-	static Load(ResourceName: string): DistributionVectorUniform;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorUniform;
-	static GetDefaultObject(): DistributionVectorUniform;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorUniform;
-	static C(Other: UObject | any): DistributionVectorUniform;
-}
-
-declare class TwoVectors { 
-	v1: Vector;
-	v2: Vector;
-	clone() : TwoVectors;
-	static C(Other: UObject | any): TwoVectors;
-}
-
-declare class InterpCurvePointTwoVectors { 
-	InVal: number;
-	OutVal: TwoVectors;
-	ArriveTangent: TwoVectors;
-	LeaveTangent: TwoVectors;
-	InterpMode: EInterpCurveMode;
-	clone() : InterpCurvePointTwoVectors;
-	static C(Other: UObject | any): InterpCurvePointTwoVectors;
-}
-
-declare class InterpCurveTwoVectors { 
-	Points: InterpCurvePointTwoVectors[];
-	bIsLooped: boolean;
-	LoopKeyOffset: number;
-	clone() : InterpCurveTwoVectors;
-	static C(Other: UObject | any): InterpCurveTwoVectors;
+declare class VolumetricBuilder extends EditorBrushBuilder { 
+	Z: number;
+	Radius: number;
+	NumSheets: number;
+	GroupName: string;
+	static Load(ResourceName: string): VolumetricBuilder;
+	static Find(Outer: UObject, ResourceName: string): VolumetricBuilder;
+	static GetDefaultObject(): VolumetricBuilder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumetricBuilder;
+	static C(Other: UObject | any): VolumetricBuilder;
 }
 
-declare class DistributionVectorUniformCurve extends DistributionVector { 
-	ConstantCurve: InterpCurveTwoVectors;
-	bLockAxes1: boolean;
-	bLockAxes2: boolean;
-	LockedAxes: EDistributionVectorLockFlags;
-	MirrorFlags: EDistributionVectorMirrorFlags;
-	bUseExtremes: boolean;
-	static Load(ResourceName: string): DistributionVectorUniformCurve;
-	static Find(Outer: UObject, ResourceName: string): DistributionVectorUniformCurve;
-	static GetDefaultObject(): DistributionVectorUniformCurve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorUniformCurve;
-	static C(Other: UObject | any): DistributionVectorUniformCurve;
+declare class WorldFactory extends Factory { 
+	static Load(ResourceName: string): WorldFactory;
+	static Find(Outer: UObject, ResourceName: string): WorldFactory;
+	static GetDefaultObject(): WorldFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldFactory;
+	static C(Other: UObject | any): WorldFactory;
 }
 
-declare class MaterialSpriteElement { 
-	Material: MaterialInterface;
-	DistanceToOpacityCurve: CurveFloat;
-	bSizeIsInScreenSpace: boolean;
-	BaseSizeX: number;
-	BaseSizeY: number;
-	DistanceToSizeCurve: CurveFloat;
-	clone() : MaterialSpriteElement;
-	static C(Other: UObject | any): MaterialSpriteElement;
+declare type EOrthoThumbnailDirection = 'Top' | 'Bottom' | 'Left' | 'Right' | 'Front' | 'Back' | 'EOrthoThumbnailDirection_MAX';
+declare var EOrthoThumbnailDirection : { Top:'Top',Bottom:'Bottom',Left:'Left',Right:'Right',Front:'Front',Back:'Back',EOrthoThumbnailDirection_MAX:'EOrthoThumbnailDirection_MAX', };
+declare class WorldThumbnailInfo extends SceneThumbnailInfo { 
+	CameraMode: ECameraProjectionMode;
+	OrthoDirection: EOrthoThumbnailDirection;
+	static Load(ResourceName: string): WorldThumbnailInfo;
+	static Find(Outer: UObject, ResourceName: string): WorldThumbnailInfo;
+	static GetDefaultObject(): WorldThumbnailInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldThumbnailInfo;
+	static C(Other: UObject | any): WorldThumbnailInfo;
 }
 
-declare class MaterialBillboardComponent extends PrimitiveComponent { 
-	Elements: MaterialSpriteElement[];
-	static Load(ResourceName: string): MaterialBillboardComponent;
-	static Find(Outer: UObject, ResourceName: string): MaterialBillboardComponent;
-	static GetDefaultObject(): MaterialBillboardComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialBillboardComponent;
-	SetElements(NewElements: MaterialSpriteElement[]): void;
-	AddElement(Material: MaterialInterface,DistanceToOpacityCurve: CurveFloat,bSizeIsInScreenSpace: boolean,BaseSizeX: number,BaseSizeY: number,DistanceToSizeCurve: CurveFloat): void;
-	static C(Other: UObject | any): MaterialBillboardComponent;
+declare class WorldThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	GlobalOrbitPitchOffset: number;
+	GlobalOrbitYawOffset: number;
+	bUseUnlitScene: boolean;
+	bAllowWorldThumbnails: boolean;
+	static Load(ResourceName: string): WorldThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): WorldThumbnailRenderer;
+	static GetDefaultObject(): WorldThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WorldThumbnailRenderer;
+	static C(Other: UObject | any): WorldThumbnailRenderer;
 }
 
-declare class DocumentationActor extends Actor { 
-	DocumentLink: string;
-	Billboard: MaterialBillboardComponent;
-	static GetDefaultObject(): DocumentationActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DocumentationActor;
-	static C(Other: UObject | any): DocumentationActor;
+declare class WrangleContentCommandlet extends Commandlet { 
+	static Load(ResourceName: string): WrangleContentCommandlet;
+	static Find(Outer: UObject, ResourceName: string): WrangleContentCommandlet;
+	static GetDefaultObject(): WrangleContentCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WrangleContentCommandlet;
+	static C(Other: UObject | any): WrangleContentCommandlet;
 }
 
-declare class DPICustomScalingRule extends UObject { 
-	static Load(ResourceName: string): DPICustomScalingRule;
-	static Find(Outer: UObject, ResourceName: string): DPICustomScalingRule;
-	static GetDefaultObject(): DPICustomScalingRule;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DPICustomScalingRule;
-	static C(Other: UObject | any): DPICustomScalingRule;
+declare class InstancedStaticMeshInstanceData { 
+	Transform: Matrix;
+	clone() : InstancedStaticMeshInstanceData;
+	static C(Other: UObject | any): InstancedStaticMeshInstanceData;
 }
 
-declare class DrawSphereComponent extends SphereComponent { 
-	static Load(ResourceName: string): DrawSphereComponent;
-	static Find(Outer: UObject, ResourceName: string): DrawSphereComponent;
-	static GetDefaultObject(): DrawSphereComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DrawSphereComponent;
-	static C(Other: UObject | any): DrawSphereComponent;
+declare class InstancedStaticMeshMappingInfo { 
+	clone() : InstancedStaticMeshMappingInfo;
+	static C(Other: UObject | any): InstancedStaticMeshMappingInfo;
 }
 
-declare class EdGraphNode_Documentation extends EdGraphNode { 
-	Link: string;
-	Excerpt: string;
-	static Load(ResourceName: string): EdGraphNode_Documentation;
-	static Find(Outer: UObject, ResourceName: string): EdGraphNode_Documentation;
-	static GetDefaultObject(): EdGraphNode_Documentation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphNode_Documentation;
-	static C(Other: UObject | any): EdGraphNode_Documentation;
+declare class InstancedStaticMeshComponent extends StaticMeshComponent { 
+	PerInstanceSMData: InstancedStaticMeshInstanceData[];
+	InstancingRandomSeed: number;
+	InstanceStartCullDistance: number;
+	InstanceEndCullDistance: number;
+	InstanceReorderTable: number[];
+	NumPendingLightmaps: number;
+	CachedMappings: InstancedStaticMeshMappingInfo[];
+	static Load(ResourceName: string): InstancedStaticMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): InstancedStaticMeshComponent;
+	static GetDefaultObject(): InstancedStaticMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InstancedStaticMeshComponent;
+	UpdateInstanceTransform(InstanceIndex: number,NewInstanceTransform: Transform,bWorldSpace: boolean,bMarkRenderStateDirty: boolean,bTeleport: boolean): boolean;
+	SetCullDistances(StartCullDistance: number,EndCullDistance: number): void;
+	RemoveInstance(InstanceIndex: number): boolean;
+	GetInstanceTransform(InstanceIndex: number,OutInstanceTransform?: Transform,bWorldSpace?: boolean): {OutInstanceTransform: Transform, $: boolean};
+	GetInstancesOverlappingSphere(Center: Vector,Radius: number,bSphereInWorldSpace: boolean): number[];
+	GetInstancesOverlappingBox(Box: Box,bBoxInWorldSpace: boolean): number[];
+	GetInstanceCount(): number;
+	ClearInstances(): void;
+	AddInstanceWorldSpace(WorldTransform: Transform): number;
+	AddInstance(InstanceTransform: Transform): number;
+	static C(Other: UObject | any): InstancedStaticMeshComponent;
 }
 
-declare class EndUserSettings extends UObject { 
-	bSendAnonymousUsageDataToEpic: boolean;
-	bSendMeanTimeBetweenFailureDataToEpic: boolean;
-	bAllowUserIdInUsageData: boolean;
-	static Load(ResourceName: string): EndUserSettings;
-	static Find(Outer: UObject, ResourceName: string): EndUserSettings;
-	static GetDefaultObject(): EndUserSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EndUserSettings;
-	static C(Other: UObject | any): EndUserSettings;
+declare class HierarchicalInstancedStaticMeshComponent extends InstancedStaticMeshComponent { 
+	SortedInstances: number[];
+	NumBuiltInstances: number;
+	BuiltInstanceBounds: Box;
+	UnbuiltInstanceBounds: Box;
+	UnbuiltInstanceBoundsList: Box[];
+	bEnableDensityScaling: boolean;
+	OcclusionLayerNumNodes: number;
+	CacheMeshExtendedBounds: BoxSphereBounds;
+	bDisableCollision: boolean;
+	InstanceCountToRender: number;
+	static Load(ResourceName: string): HierarchicalInstancedStaticMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): HierarchicalInstancedStaticMeshComponent;
+	static GetDefaultObject(): HierarchicalInstancedStaticMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalInstancedStaticMeshComponent;
+	RemoveInstances(InstancesToRemove: number[]): boolean;
+	static C(Other: UObject | any): HierarchicalInstancedStaticMeshComponent;
 }
 
-declare class EngineBaseTypes extends UObject { 
-	static Load(ResourceName: string): EngineBaseTypes;
-	static Find(Outer: UObject, ResourceName: string): EngineBaseTypes;
-	static GetDefaultObject(): EngineBaseTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineBaseTypes;
-	static C(Other: UObject | any): EngineBaseTypes;
+declare class FoliageInstancedStaticMeshComponent extends HierarchicalInstancedStaticMeshComponent { 
+	OnInstanceTakePointDamage: UnrealEngineMulticastDelegate<(InstanceIndex: number, Damage: number, InstigatedBy: Controller, HitLocation: Vector, ShotFromDirection: Vector, DamageType: DamageType, DamageCauser: Actor) => void>;
+	OnInstanceTakeRadialDamage: UnrealEngineMulticastDelegate<(Instances: number[], Damages: number[], InstigatedBy: Controller, Origin: Vector, MaxRadius: number, DamageType: DamageType, DamageCauser: Actor) => void>;
+	FoliageHiddenEditorViews: any;
+	static Load(ResourceName: string): FoliageInstancedStaticMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): FoliageInstancedStaticMeshComponent;
+	static GetDefaultObject(): FoliageInstancedStaticMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageInstancedStaticMeshComponent;
+	static C(Other: UObject | any): FoliageInstancedStaticMeshComponent;
 }
 
-declare class EngineHandlerComponentFactory extends HandlerComponentFactory { 
-	static Load(ResourceName: string): EngineHandlerComponentFactory;
-	static Find(Outer: UObject, ResourceName: string): EngineHandlerComponentFactory;
-	static GetDefaultObject(): EngineHandlerComponentFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineHandlerComponentFactory;
-	static C(Other: UObject | any): EngineHandlerComponentFactory;
+declare class FoliageStatistics extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): FoliageStatistics;
+	static Find(Outer: UObject, ResourceName: string): FoliageStatistics;
+	static GetDefaultObject(): FoliageStatistics;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageStatistics;
+	static FoliageOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	static FoliageOverlappingBoxCount(WorldContextObject: UObject,StaticMesh: StaticMesh,Box: Box): number;
+	static C(Other: UObject | any): FoliageStatistics;
 }
 
-declare class EngineMessage extends LocalMessage { 
-	FailedPlaceMessage: string;
-	MaxedOutMessage: string;
-	EnteredMessage: string;
-	LeftMessage: string;
-	GlobalNameChange: string;
-	SpecEnteredMessage: string;
-	NewPlayerMessage: string;
-	NewSpecMessage: string;
-	static Load(ResourceName: string): EngineMessage;
-	static Find(Outer: UObject, ResourceName: string): EngineMessage;
-	static GetDefaultObject(): EngineMessage;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineMessage;
-	static C(Other: UObject | any): EngineMessage;
+declare type EFoliageScaling = 'Uniform' | 'Free' | 'LockXY' | 'LockXZ' | 'LockYZ' | 'EFoliageScaling_MAX';
+declare var EFoliageScaling : { Uniform:'Uniform',Free:'Free',LockXY:'LockXY',LockXZ:'LockXZ',LockYZ:'LockYZ',EFoliageScaling_MAX:'EFoliageScaling_MAX', };
+declare class FloatInterval { 
+	Min: number;
+	Max: number;
+	clone() : FloatInterval;
+	static C(Other: UObject | any): FloatInterval;
 }
 
-declare class EngineTypes extends UObject { 
-	static Load(ResourceName: string): EngineTypes;
-	static Find(Outer: UObject, ResourceName: string): EngineTypes;
-	static GetDefaultObject(): EngineTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineTypes;
-	static C(Other: UObject | any): EngineTypes;
+declare class FoliageVertexColorChannelMask { 
+	UseMask: boolean;
+	MaskThreshold: number;
+	InvertMask: boolean;
+	clone() : FoliageVertexColorChannelMask;
+	static C(Other: UObject | any): FoliageVertexColorChannelMask;
 }
 
-declare class ExponentialHeightFogComponent extends SceneComponent { 
-	FogDensity: number;
-	FogInscatteringColor: LinearColor;
-	InscatteringColorCubemap: TextureCube;
-	InscatteringColorCubemapAngle: number;
-	InscatteringTextureTint: LinearColor;
-	FullyDirectionalInscatteringColorDistance: number;
-	NonDirectionalInscatteringColorDistance: number;
-	DirectionalInscatteringExponent: number;
-	DirectionalInscatteringStartDistance: number;
-	DirectionalInscatteringColor: LinearColor;
-	FogHeightFalloff: number;
-	FogMaxOpacity: number;
-	StartDistance: number;
-	FogCutoffDistance: number;
-	bEnableVolumetricFog: boolean;
-	VolumetricFogScatteringDistribution: number;
-	VolumetricFogAlbedo: Color;
-	VolumetricFogEmissive: LinearColor;
-	VolumetricFogExtinctionScale: number;
-	VolumetricFogDistance: number;
-	VolumetricFogStaticLightingScatteringIntensity: number;
-	bOverrideLightColorsWithFogInscatteringColors: boolean;
-	static Load(ResourceName: string): ExponentialHeightFogComponent;
-	static Find(Outer: UObject, ResourceName: string): ExponentialHeightFogComponent;
-	static GetDefaultObject(): ExponentialHeightFogComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExponentialHeightFogComponent;
-	SetVolumetricFogScatteringDistribution(NewValue: number): void;
-	SetVolumetricFogExtinctionScale(NewValue: number): void;
-	SetVolumetricFogEmissive(NewValue: LinearColor): void;
-	SetVolumetricFogDistance(NewValue: number): void;
-	SetVolumetricFogAlbedo(NewValue: Color): void;
-	SetVolumetricFog(bNewValue: boolean): void;
-	SetStartDistance(Value: number): void;
-	SetNonDirectionalInscatteringColorDistance(Value: number): void;
-	SetInscatteringTextureTint(Value: LinearColor): void;
-	SetInscatteringColorCubemapAngle(Value: number): void;
-	SetInscatteringColorCubemap(Value: TextureCube): void;
-	SetFullyDirectionalInscatteringColorDistance(Value: number): void;
-	SetFogMaxOpacity(Value: number): void;
-	SetFogInscatteringColor(Value: LinearColor): void;
-	SetFogHeightFalloff(Value: number): void;
-	SetFogDensity(Value: number): void;
-	SetFogCutoffDistance(Value: number): void;
-	SetDirectionalInscatteringStartDistance(Value: number): void;
-	SetDirectionalInscatteringExponent(Value: number): void;
-	SetDirectionalInscatteringColor(Value: LinearColor): void;
-	static C(Other: UObject | any): ExponentialHeightFogComponent;
+declare type FoliageVertexColorMask = 'FOLIAGEVERTEXCOLORMASK_Disabled' | 'FOLIAGEVERTEXCOLORMASK_Red' | 'FOLIAGEVERTEXCOLORMASK_Green' | 'FOLIAGEVERTEXCOLORMASK_Blue' | 'FOLIAGEVERTEXCOLORMASK_Alpha' | 'FOLIAGEVERTEXCOLORMASK_MAX';
+declare var FoliageVertexColorMask : { FOLIAGEVERTEXCOLORMASK_Disabled:'FOLIAGEVERTEXCOLORMASK_Disabled',FOLIAGEVERTEXCOLORMASK_Red:'FOLIAGEVERTEXCOLORMASK_Red',FOLIAGEVERTEXCOLORMASK_Green:'FOLIAGEVERTEXCOLORMASK_Green',FOLIAGEVERTEXCOLORMASK_Blue:'FOLIAGEVERTEXCOLORMASK_Blue',FOLIAGEVERTEXCOLORMASK_Alpha:'FOLIAGEVERTEXCOLORMASK_Alpha',FOLIAGEVERTEXCOLORMASK_MAX:'FOLIAGEVERTEXCOLORMASK_MAX', };
+declare class FoliageType extends UObject { 
+	UpdateGuid: Guid;
+	Density: number;
+	DensityAdjustmentFactor: number;
+	Radius: number;
+	Scaling: EFoliageScaling;
+	ScaleX: FloatInterval;
+	ScaleY: FloatInterval;
+	ScaleZ: FloatInterval;
+	VertexColorMaskByChannel: FoliageVertexColorChannelMask;
+	VertexColorMask: FoliageVertexColorMask;
+	VertexColorMaskThreshold: number;
+	VertexColorMaskInvert: boolean;
+	ZOffset: FloatInterval;
+	AlignToNormal: boolean;
+	AlignMaxAngle: number;
+	RandomYaw: boolean;
+	RandomPitchAngle: number;
+	GroundSlopeAngle: FloatInterval;
+	Height: FloatInterval;
+	LandscapeLayers: string[];
+	LandscapeLayer: string;
+	CollisionWithWorld: boolean;
+	CollisionScale: Vector;
+	MinimumLayerWeight: number;
+	MeshBounds: BoxSphereBounds;
+	LowBoundOriginRadius: Vector;
+	Mobility: EComponentMobility;
+	CullDistance: Int32Interval;
+	bEnableStaticLighting: boolean;
+	CastShadow: boolean;
+	bAffectDynamicIndirectLighting: boolean;
+	bAffectDistanceFieldLighting: boolean;
+	bCastDynamicShadow: boolean;
+	bCastStaticShadow: boolean;
+	bCastShadowAsTwoSided: boolean;
+	bReceivesDecals: boolean;
+	bOverrideLightMapRes: boolean;
+	OverriddenLightMapRes: number;
+	LightmapType: ELightmapType;
+	bUseAsOccluder: boolean;
+	BodyInstance: BodyInstance;
+	CustomNavigableGeometry: EHasCustomNavigableGeometry;
+	LightingChannels: LightingChannels;
+	bRenderCustomDepth: boolean;
+	CustomDepthStencilValue: number;
+	HiddenEditorViews: any;
+	IsSelected: boolean;
+	CollisionRadius: number;
+	ShadeRadius: number;
+	NumSteps: number;
+	InitialSeedDensity: number;
+	AverageSpreadDistance: number;
+	SpreadVariance: number;
+	SeedsPerStep: number;
+	DistributionSeed: number;
+	MaxInitialSeedOffset: number;
+	bCanGrowInShade: boolean;
+	bSpawnsInShade: boolean;
+	MaxInitialAge: number;
+	MaxAge: number;
+	OverlapPriority: number;
+	ProceduralScale: FloatInterval;
+	ScaleCurve: RuntimeFloatCurve;
+	ChangeCount: number;
+	ReapplyDensity: boolean;
+	ReapplyRadius: boolean;
+	ReapplyAlignToNormal: boolean;
+	ReapplyRandomYaw: boolean;
+	ReapplyScaling: boolean;
+	ReapplyScaleX: boolean;
+	ReapplyScaleY: boolean;
+	ReapplyScaleZ: boolean;
+	ReapplyRandomPitchAngle: boolean;
+	ReapplyGroundSlope: boolean;
+	ReapplyHeight: boolean;
+	ReapplyLandscapeLayers: boolean;
+	ReapplyZOffset: boolean;
+	ReapplyCollisionWithWorld: boolean;
+	ReapplyVertexColorMask: boolean;
+	bEnableDensityScaling: boolean;
+	ScaleMinX: number;
+	ScaleMinY: number;
+	ScaleMinZ: number;
+	ScaleMaxX: number;
+	ScaleMaxY: number;
+	ScaleMaxZ: number;
+	HeightMin: number;
+	HeightMax: number;
+	ZOffsetMin: number;
+	ZOffsetMax: number;
+	StartCullDistance: number;
+	EndCullDistance: number;
+	UniformScale: boolean;
+	LockScaleX: boolean;
+	LockScaleY: boolean;
+	LockScaleZ: boolean;
+	GroundSlope: number;
+	MinGroundSlope: number;
+	MinScale: number;
+	MaxScale: number;
+	static Load(ResourceName: string): FoliageType;
+	static Find(Outer: UObject, ResourceName: string): FoliageType;
+	static GetDefaultObject(): FoliageType;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageType;
+	static C(Other: UObject | any): FoliageType;
 }
 
-declare class ExponentialHeightFog extends Info { 
-	Component: ExponentialHeightFogComponent;
-	bEnabled: boolean;
-	static GetDefaultObject(): ExponentialHeightFog;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExponentialHeightFog;
-	OnRep_bEnabled(): void;
-	static C(Other: UObject | any): ExponentialHeightFog;
+declare class FoliageType_InstancedStaticMesh extends FoliageType { 
+	Mesh: StaticMesh;
+	OverrideMaterials: MaterialInterface[];
+	ComponentClass: UnrealEngineClass;
+	static Load(ResourceName: string): FoliageType_InstancedStaticMesh;
+	static Find(Outer: UObject, ResourceName: string): FoliageType_InstancedStaticMesh;
+	static GetDefaultObject(): FoliageType_InstancedStaticMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FoliageType_InstancedStaticMesh;
+	static C(Other: UObject | any): FoliageType_InstancedStaticMesh;
 }
 
-declare class FloatingPawnMovement extends PawnMovementComponent { 
-	MaxSpeed: number;
-	Acceleration: number;
-	Deceleration: number;
-	TurningBoost: number;
-	bPositionCorrected: boolean;
-	static Load(ResourceName: string): FloatingPawnMovement;
-	static Find(Outer: UObject, ResourceName: string): FloatingPawnMovement;
-	static GetDefaultObject(): FloatingPawnMovement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatingPawnMovement;
-	static C(Other: UObject | any): FloatingPawnMovement;
+declare class InstancedFoliageActor extends Actor { 
+	static GetDefaultObject(): InstancedFoliageActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InstancedFoliageActor;
+	static C(Other: UObject | any): InstancedFoliageActor;
 }
 
-declare type EFontLayoutMethod = 'Metrics' | 'BoundingBox' | 'EFontLayoutMethod_MAX';
-declare var EFontLayoutMethod : { Metrics:'Metrics',BoundingBox:'BoundingBox',EFontLayoutMethod_MAX:'EFontLayoutMethod_MAX', };
-declare class FontFace extends UObject { 
-	SourceFilename: string;
-	Hinting: EFontHinting;
-	LoadingPolicy: EFontLoadingPolicy;
-	LayoutMethod: EFontLayoutMethod;
-	FontFaceData: number[];
-	static Load(ResourceName: string): FontFace;
-	static Find(Outer: UObject, ResourceName: string): FontFace;
-	static GetDefaultObject(): FontFace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFace;
-	static C(Other: UObject | any): FontFace;
+declare type ENavDataGatheringMode = 'Default' | 'Instant' | 'Lazy' | 'ENavDataGatheringMode_MAX';
+declare var ENavDataGatheringMode : { Default:'Default',Instant:'Instant',Lazy:'Lazy',ENavDataGatheringMode_MAX:'ENavDataGatheringMode_MAX', };
+declare class StaticMeshActor extends Actor { 
+	StaticMeshComponent: StaticMeshComponent;
+	bStaticMeshReplicateMovement: boolean;
+	NavigationGeometryGatheringMode: ENavDataGatheringMode;
+	static GetDefaultObject(): StaticMeshActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshActor;
+	SetMobility(InMobility: EComponentMobility): void;
+	static C(Other: UObject | any): StaticMeshActor;
 }
 
-declare class GameEngine extends Engine { 
-	MaxDeltaTime: number;
-	ServerFlushLogInterval: number;
-	GameInstance: GameInstance;
-	static Load(ResourceName: string): GameEngine;
-	static Find(Outer: UObject, ResourceName: string): GameEngine;
-	static GetDefaultObject(): GameEngine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameEngine;
-	static C(Other: UObject | any): GameEngine;
+declare class InteractiveFoliageActor extends StaticMeshActor { 
+	CapsuleComponent: CapsuleComponent;
+	TouchingActorEntryPosition: Vector;
+	FoliageVelocity: Vector;
+	FoliageForce: Vector;
+	FoliagePosition: Vector;
+	FoliageDamageImpulseScale: number;
+	FoliageTouchImpulseScale: number;
+	FoliageStiffness: number;
+	FoliageStiffnessQuadratic: number;
+	FoliageDamping: number;
+	MaxDamageImpulse: number;
+	MaxTouchImpulse: number;
+	MaxForce: number;
+	Mass: number;
+	static GetDefaultObject(): InteractiveFoliageActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InteractiveFoliageActor;
+	CapsuleTouched(OverlappedComp: PrimitiveComponent,Other: Actor,OtherComp: PrimitiveComponent,OtherBodyIndex: number,bFromSweep: boolean,OverlapInfo: HitResult): void;
+	static C(Other: UObject | any): InteractiveFoliageActor;
 }
 
-declare class GameMode extends GameModeBase { 
-	MatchState: string;
-	bDelayedStart: boolean;
-	NumSpectators: number;
-	NumPlayers: number;
-	NumBots: number;
-	MinRespawnDelay: number;
-	NumTravellingPlayers: number;
-	EngineMessageClass: UnrealEngineClass;
-	InactivePlayerArray: PlayerState[];
-	InactivePlayerStateLifeSpan: number;
-	MaxInactivePlayers: number;
-	bHandleDedicatedServerReplays: boolean;
-	static GetDefaultObject(): GameMode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameMode;
-	StartMatch(): void;
-	SetBandwidthLimit(AsyncIOBandwidthLimit: number): void;
-	Say(Msg: string): void;
-	RestartGame(): void;
-	ReadyToStartMatch(): boolean;
-	ReadyToEndMatch(): boolean;
-	K2_OnSetMatchState(NewState: string): void;
-	IsMatchInProgress(): boolean;
-	HasMatchEnded(): boolean;
-	GetMatchState(): string;
-	EndMatch(): void;
-	AbortMatch(): void;
-	static C(Other: UObject | any): GameMode;
+declare class InteractiveFoliageComponent extends StaticMeshComponent { 
+	static Load(ResourceName: string): InteractiveFoliageComponent;
+	static Find(Outer: UObject, ResourceName: string): InteractiveFoliageComponent;
+	static GetDefaultObject(): InteractiveFoliageComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InteractiveFoliageComponent;
+	static C(Other: UObject | any): InteractiveFoliageComponent;
 }
 
-declare class GameplayStatics extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): GameplayStatics;
-	static Find(Outer: UObject, ResourceName: string): GameplayStatics;
-	static GetDefaultObject(): GameplayStatics;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayStatics;
-	static UnloadStreamLevel(WorldContextObject: UObject,LevelName: string,LatentInfo: LatentActionInfo): void;
-	static SuggestProjectileVelocity_CustomArc(WorldContextObject: UObject,OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
-	static SpawnSoundAttached(Sound: SoundBase,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
-	static SpawnSoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
-	static SpawnSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	static SpawnObject(ObjectClass: UnrealEngineClass,Outer: UObject): UObject;
-	static SpawnForceFeedbackAttached(ForceFeedbackEffect: ForceFeedbackEffect,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
-	static SpawnForceFeedbackAtLocation(WorldContextObject: UObject,ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
-	static SpawnEmitterAttached(EmitterTemplate: ParticleSystem,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean): ParticleSystemComponent;
-	static SpawnEmitterAtLocation(WorldContextObject: UObject,EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean): ParticleSystemComponent;
-	static SpawnDialogueAttached(Dialogue: DialogueWave,Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-	static SpawnDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
-	static SpawnDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
-	static SpawnDecalAttached(DecalMaterial: MaterialInterface,DecalSize: Vector,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,LifeSpan: number): DecalComponent;
-	static SpawnDecalAtLocation(WorldContextObject: UObject,DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
-	static SetWorldOriginLocation(WorldContextObject: UObject,NewLocation: IntVector): void;
-	static SetSubtitlesEnabled(bEnabled: boolean): void;
-	static SetSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
-	static SetPlayerControllerID(Player: PlayerController,ControllerId: number): void;
-	static SetGlobalTimeDilation(WorldContextObject: UObject,TimeDilation: number): void;
-	static SetGlobalPitchModulation(WorldContextObject: UObject,PitchModulation: number,TimeSec: number): void;
-	static SetGlobalListenerFocusParameters(WorldContextObject: UObject,FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
-	static SetGamePaused(WorldContextObject: UObject,bPaused: boolean): boolean;
-	static SetBaseSoundMix(WorldContextObject: UObject,InSoundMix: SoundMix): void;
-	static SaveGameToSlot(SaveGameObject: SaveGame,SlotName: string,UserIndex: number): boolean;
-	static RemovePlayer(Player: PlayerController,bDestroyPawn: boolean): void;
-	static RebaseZeroOriginOntoLocal(WorldContextObject: UObject,WorldLocation: Vector): Vector;
-	static RebaseLocalOriginOntoZero(WorldContextObject: UObject,WorldLocation: Vector): Vector;
-	static PushSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
-	static ProjectWorldToScreen(Player: PlayerController,WorldPosition: Vector,ScreenPosition?: Vector2D,bPlayerViewportRelative?: boolean): {ScreenPosition: Vector2D, $: boolean};
-	static PopSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
-	static PlayWorldCameraShake(WorldContextObject: UObject,Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
-	static PlaySoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	static PlaySound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
-	static PlayDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
-	static PlayDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
-	static ParseOption(Options: string,Key: string): string;
-	static OpenLevel(WorldContextObject: UObject,LevelName: string,bAbsolute: boolean,Options: string): void;
-	static MakeHitResult(bBlockingHit: boolean,bInitialOverlap: boolean,Time: number,Distance: number,Location: Vector,ImpactPoint: Vector,Normal: Vector,ImpactNormal: Vector,PhysMat: PhysicalMaterial,HitActor: Actor,HitComponent: PrimitiveComponent,HitBoneName: string,HitItem: number,FaceIndex: number,TraceStart: Vector,TraceEnd: Vector): HitResult;
-	static LoadStreamLevel(WorldContextObject: UObject,LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
-	static LoadGameFromSlot(SlotName: string,UserIndex: number): SaveGame;
-	static IsGamePaused(WorldContextObject: UObject): boolean;
-	static HasOption(Options: string,InKey: string): boolean;
-	static HasLaunchOption(OptionToCheck: string): boolean;
-	static GrassOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
-	static GetWorldOriginLocation(WorldContextObject: UObject): IntVector;
-	static GetWorldDeltaSeconds(WorldContextObject: UObject): number;
-	static GetUnpausedTimeSeconds(WorldContextObject: UObject): number;
-	static GetTimeSeconds(WorldContextObject: UObject): number;
-	static GetSurfaceType(Hit: HitResult): EPhysicalSurface;
-	static GetStreamingLevel(WorldContextObject: UObject,PackageName: string): LevelStreaming;
-	static GetRealTimeSeconds(WorldContextObject: UObject): number;
-	static GetPlayerPawn(WorldContextObject: UObject,PlayerIndex: number): Pawn;
-	static GetPlayerControllerID(Player: PlayerController): number;
-	static GetPlayerController(WorldContextObject: UObject,PlayerIndex: number): PlayerController;
-	static GetPlayerCharacter(WorldContextObject: UObject,PlayerIndex: number): Character;
-	static GetPlayerCameraManager(WorldContextObject: UObject,PlayerIndex: number): PlayerCameraManager;
-	static GetPlatformName(): string;
-	static GetObjectClass(UObject: UObject): UnrealEngineClass;
-	static GetKeyValue(Pair: string,Key?: string,Value?: string): {Key: string, Value: string};
-	static GetIntOption(Options: string,Key: string,DefaultValue: number): number;
-	static GetGlobalTimeDilation(WorldContextObject: UObject): number;
-	static GetGameState(WorldContextObject: UObject): GameStateBase;
-	static GetGameMode(WorldContextObject: UObject): GameModeBase;
-	static GetGameInstance(WorldContextObject: UObject): GameInstance;
-	static GetCurrentReverbEffect(WorldContextObject: UObject): ReverbEffect;
-	static GetCurrentLevelName(WorldContextObject: UObject,bRemovePrefixString: boolean): string;
-	static GetAudioTimeSeconds(WorldContextObject: UObject): number;
-	static GetAllActorsWithTag(WorldContextObject: UObject,Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetAllActorsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetAllActorsOfClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
-	static GetActorArrayBounds(Actors: Actor[],bOnlyCollidingComponents: boolean,Center?: Vector,BoxExtent?: Vector): {Center: Vector, BoxExtent: Vector};
-	static GetActorArrayAverageLocation(Actors: Actor[]): Vector;
-	static GetAccurateRealTime(WorldContextObject: UObject,Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
-	static FlushLevelStreaming(WorldContextObject: UObject): void;
-	static FinishSpawningActor(Actor: Actor,SpawnTransform: Transform): Actor;
-	static FindCollisionUV(Hit: HitResult,UVChannel: number,UV?: Vector2D): {UV: Vector2D, $: boolean};
-	static EnableLiveStreaming(Enable: boolean): void;
-	static DoesSaveGameExist(SlotName: string,UserIndex: number): boolean;
-	static DeprojectScreenToWorld(Player: PlayerController,ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
-	static DeleteGameInSlot(SlotName: string,UserIndex: number): boolean;
-	static DeactivateReverbEffect(WorldContextObject: UObject,TagName: string): void;
-	static CreateSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
-	static CreateSaveGameObjectFromBlueprint(SaveGameBlueprint: Blueprint): SaveGame;
-	static CreateSaveGameObject(SaveGameClass: UnrealEngineClass): SaveGame;
-	static CreatePlayer(WorldContextObject: UObject,ControllerId: number,bSpawnPawn: boolean): PlayerController;
-	static ClearSoundMixModifiers(WorldContextObject: UObject): void;
-	static ClearSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
-	static CancelAsyncLoading(): void;
-	static BreakHitResult(Hit: HitResult,bBlockingHit?: boolean,bInitialOverlap?: boolean,Time?: number,Distance?: number,Location?: Vector,ImpactPoint?: Vector,Normal?: Vector,ImpactNormal?: Vector,PhysMat?: PhysicalMaterial,HitActor?: Actor,HitComponent?: PrimitiveComponent,HitBoneName?: string,HitItem?: number,FaceIndex?: number,TraceStart?: Vector,TraceEnd?: Vector): {bBlockingHit: boolean, bInitialOverlap: boolean, Time: number, Distance: number, Location: Vector, ImpactPoint: Vector, Normal: Vector, ImpactNormal: Vector, PhysMat: PhysicalMaterial, HitActor: Actor, HitComponent: PrimitiveComponent, HitBoneName: string, HitItem: number, FaceIndex: number, TraceStart: Vector, TraceEnd: Vector};
-	static BlueprintSuggestProjectileVelocity(WorldContextObject: UObject,TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
-	static Blueprint_PredictProjectilePath_ByTraceChannel(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	static Blueprint_PredictProjectilePath_ByObjectType(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
-	static Blueprint_PredictProjectilePath_Advanced(WorldContextObject: UObject,PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
-	static BeginSpawningActorFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
-	static BeginSpawningActorFromBlueprint(WorldContextObject: UObject,Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
-	static BeginDeferredActorSpawnFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
-	static AreSubtitlesEnabled(): boolean;
-	static AreAnyListenersWithinRange(WorldContextObject: UObject,Location: Vector,MaximumRange: number): boolean;
-	static ApplyRadialDamageWithFalloff(WorldContextObject: UObject,BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
-	static ApplyRadialDamage(WorldContextObject: UObject,BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
-	static ApplyPointDamage(DamagedActor: Actor,BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	static ApplyDamage(DamagedActor: Actor,BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
-	static ActivateReverbEffect(WorldContextObject: UObject,ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
-	static C(Other: UObject | any): GameplayStatics;
-}
-
-declare class GameState extends GameStateBase { 
-	MatchState: string;
-	PreviousMatchState: string;
-	ElapsedTime: number;
-	static GetDefaultObject(): GameState;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameState;
-	OnRep_MatchState(): void;
-	OnRep_ElapsedTime(): void;
-	static C(Other: UObject | any): GameState;
+declare class FoliageTypeObject { 
+	FoliageTypeObject: UObject;
+	TypeInstance: FoliageType_InstancedStaticMesh;
+	bIsAsset: boolean;
+	Type: UnrealEngineClass;
+	clone() : FoliageTypeObject;
+	static C(Other: UObject | any): FoliageTypeObject;
 }
 
-declare type ELightUnits = 'Unitless' | 'Candelas' | 'Lumens' | 'ELightUnits_MAX';
-declare var ELightUnits : { Unitless:'Unitless',Candelas:'Candelas',Lumens:'Lumens',ELightUnits_MAX:'ELightUnits_MAX', };
-declare class LightmassPointLightSettings extends LightmassLightSettings { 
-	clone() : LightmassPointLightSettings;
-	static C(Other: UObject | any): LightmassPointLightSettings;
+declare class ProceduralFoliageSpawner extends UObject { 
+	RandomSeed: number;
+	TileSize: number;
+	NumUniqueTiles: number;
+	MinimumQuadTreeSize: number;
+	FoliageTypes: FoliageTypeObject[];
+	bNeedsSimulation: boolean;
+	static Load(ResourceName: string): ProceduralFoliageSpawner;
+	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageSpawner;
+	static GetDefaultObject(): ProceduralFoliageSpawner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageSpawner;
+	Simulate(NumSteps: number): void;
+	static C(Other: UObject | any): ProceduralFoliageSpawner;
 }
 
-declare class PointLightComponent extends LightComponent { 
-	IntensityUnits: ELightUnits;
-	Radius: number;
-	AttenuationRadius: number;
-	bUseInverseSquaredFalloff: boolean;
-	LightFalloffExponent: number;
-	SourceRadius: number;
-	SoftSourceRadius: number;
-	SourceLength: number;
-	LightmassSettings: LightmassPointLightSettings;
-	static Load(ResourceName: string): PointLightComponent;
-	static Find(Outer: UObject, ResourceName: string): PointLightComponent;
-	static GetDefaultObject(): PointLightComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PointLightComponent;
-	SetSourceRadius(bNewValue: number): void;
-	SetSourceLength(NewValue: number): void;
-	SetSoftSourceRadius(bNewValue: number): void;
-	SetLightFalloffExponent(NewLightFalloffExponent: number): void;
-	SetAttenuationRadius(NewRadius: number): void;
-	static GetUnitsConversionFactor(SrcUnits: ELightUnits,TargetUnits: ELightUnits,CosHalfConeAngle: number): number;
-	static C(Other: UObject | any): PointLightComponent;
+declare class ProceduralFoliageComponent extends ActorComponent { 
+	FoliageSpawner: ProceduralFoliageSpawner;
+	TileOverlap: number;
+	bAllowLandscape: boolean;
+	bAllowBSP: boolean;
+	bAllowStaticMesh: boolean;
+	bAllowTranslucent: boolean;
+	bAllowFoliage: boolean;
+	bShowDebugTiles: boolean;
+	SpawningVolume: Volume;
+	ProceduralGuid: Guid;
+	static Load(ResourceName: string): ProceduralFoliageComponent;
+	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageComponent;
+	static GetDefaultObject(): ProceduralFoliageComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageComponent;
+	static C(Other: UObject | any): ProceduralFoliageComponent;
 }
 
-declare class SpotLightComponent extends PointLightComponent { 
-	InnerConeAngle: number;
-	OuterConeAngle: number;
-	LightShaftConeAngle: number;
-	static Load(ResourceName: string): SpotLightComponent;
-	static Find(Outer: UObject, ResourceName: string): SpotLightComponent;
-	static GetDefaultObject(): SpotLightComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpotLightComponent;
-	SetOuterConeAngle(NewOuterConeAngle: number): void;
-	SetInnerConeAngle(NewInnerConeAngle: number): void;
-	static C(Other: UObject | any): SpotLightComponent;
+declare class ProceduralFoliageVolume extends Volume { 
+	ProceduralComponent: ProceduralFoliageComponent;
+	static GetDefaultObject(): ProceduralFoliageVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageVolume;
+	static C(Other: UObject | any): ProceduralFoliageVolume;
 }
 
-declare class SpotLight extends Light { 
-	SpotLightComponent: SpotLightComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): SpotLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpotLight;
-	SetOuterConeAngle(NewOuterConeAngle: number): void;
-	SetInnerConeAngle(NewInnerConeAngle: number): void;
-	static C(Other: UObject | any): SpotLight;
+declare class ProceduralFoliageBlockingVolume extends Volume { 
+	ProceduralFoliageVolume: ProceduralFoliageVolume;
+	static GetDefaultObject(): ProceduralFoliageBlockingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageBlockingVolume;
+	static C(Other: UObject | any): ProceduralFoliageBlockingVolume;
 }
 
-declare class GeneratedMeshAreaLight extends SpotLight { 
-	static GetDefaultObject(): GeneratedMeshAreaLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneratedMeshAreaLight;
-	static C(Other: UObject | any): GeneratedMeshAreaLight;
+declare class ProceduralFoliageInstance { 
+	Location: Vector;
+	Rotation: Quat;
+	Normal: Vector;
+	Age: number;
+	Scale: number;
+	Type: FoliageType_InstancedStaticMesh;
+	clone() : ProceduralFoliageInstance;
+	static C(Other: UObject | any): ProceduralFoliageInstance;
 }
 
-declare class HapticFeedbackEffect_Buffer extends HapticFeedbackEffect_Base { 
-	Amplitudes: number[];
-	SampleRate: number;
-	static Load(ResourceName: string): HapticFeedbackEffect_Buffer;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_Buffer;
-	static GetDefaultObject(): HapticFeedbackEffect_Buffer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_Buffer;
-	static C(Other: UObject | any): HapticFeedbackEffect_Buffer;
+declare class ProceduralFoliageTile extends UObject { 
+	FoliageSpawner: ProceduralFoliageSpawner;
+	InstancesArray: ProceduralFoliageInstance[];
+	static Load(ResourceName: string): ProceduralFoliageTile;
+	static Find(Outer: UObject, ResourceName: string): ProceduralFoliageTile;
+	static GetDefaultObject(): ProceduralFoliageTile;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProceduralFoliageTile;
+	static C(Other: UObject | any): ProceduralFoliageTile;
 }
 
-declare class HapticFeedbackDetails_Curve { 
-	Frequency: RuntimeFloatCurve;
-	Amplitude: RuntimeFloatCurve;
-	clone() : HapticFeedbackDetails_Curve;
-	static C(Other: UObject | any): HapticFeedbackDetails_Curve;
+declare class ImageWriteBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): ImageWriteBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): ImageWriteBlueprintLibrary;
+	static GetDefaultObject(): ImageWriteBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageWriteBlueprintLibrary;
+	static ExportToDisk(Texture: Texture,Filename: string,Options: ImageWriteOptions): void;
+	static C(Other: UObject | any): ImageWriteBlueprintLibrary;
 }
 
-declare class HapticFeedbackEffect_Curve extends HapticFeedbackEffect_Base { 
-	HapticDetails: HapticFeedbackDetails_Curve;
-	static Load(ResourceName: string): HapticFeedbackEffect_Curve;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_Curve;
-	static GetDefaultObject(): HapticFeedbackEffect_Curve;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_Curve;
-	static C(Other: UObject | any): HapticFeedbackEffect_Curve;
+declare class ControlPointMeshComponent extends StaticMeshComponent { 
+	bSelected: boolean;
+	static Load(ResourceName: string): ControlPointMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): ControlPointMeshComponent;
+	static GetDefaultObject(): ControlPointMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlPointMeshComponent;
+	static C(Other: UObject | any): ControlPointMeshComponent;
 }
 
-declare class HapticFeedbackEffect_SoundWave extends HapticFeedbackEffect_Base { 
-	SoundWave: SoundWave;
-	static Load(ResourceName: string): HapticFeedbackEffect_SoundWave;
-	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_SoundWave;
-	static GetDefaultObject(): HapticFeedbackEffect_SoundWave;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_SoundWave;
-	static C(Other: UObject | any): HapticFeedbackEffect_SoundWave;
+declare class LandscapeSplineSegmentConnection { 
+	ControlPoint: LandscapeSplineControlPoint;
+	TangentLen: number;
+	SocketName: string;
+	clone() : LandscapeSplineSegmentConnection;
+	static C(Other: UObject | any): LandscapeSplineSegmentConnection;
 }
 
-declare class ImportanceSamplingLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): ImportanceSamplingLibrary;
-	static Find(Outer: UObject, ResourceName: string): ImportanceSamplingLibrary;
-	static GetDefaultObject(): ImportanceSamplingLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportanceSamplingLibrary;
-	static RandomSobolFloat(index: number,Dimension: number,Seed: number): number;
-	static RandomSobolCell3D(index: number,NumCells: number,Cell: Vector,Seed: Vector): Vector;
-	static RandomSobolCell2D(index: number,NumCells: number,Cell: Vector2D,Seed: Vector2D): Vector2D;
-	static NextSobolFloat(index: number,Dimension: number,PreviousValue: number): number;
-	static NextSobolCell3D(index: number,NumCells: number,PreviousValue: Vector): Vector;
-	static NextSobolCell2D(index: number,NumCells: number,PreviousValue: Vector2D): Vector2D;
-	static MakeImportanceTexture(Texture: Texture2D,WeightingFunc: EImportanceWeight): ImportanceTexture;
-	static ImportanceSample(Texture: ImportanceTexture,Rand: Vector2D,Samples: number,Intensity: number,SamplePosition?: Vector2D,SampleColor?: LinearColor,SampleIntensity?: number,SampleSize?: number): {SamplePosition: Vector2D, SampleColor: LinearColor, SampleIntensity: number, SampleSize: number};
-	static BreakImportanceTexture(ImportanceTexture: ImportanceTexture,Texture?: Texture2D,WeightingFunc?: EImportanceWeight): {Texture: Texture2D, WeightingFunc: EImportanceWeight};
-	static C(Other: UObject | any): ImportanceSamplingLibrary;
+declare type LandscapeSplineMeshOrientation = 'LSMO_XUp' | 'LSMO_YUp' | 'LSMO_MAX';
+declare var LandscapeSplineMeshOrientation : { LSMO_XUp:'LSMO_XUp',LSMO_YUp:'LSMO_YUp',LSMO_MAX:'LSMO_MAX', };
+declare class LandscapeSplineMeshEntry { 
+	Mesh: StaticMesh;
+	MaterialOverrides: MaterialInterface[];
+	bCenterH: boolean;
+	CenterAdjust: Vector2D;
+	bScaleToWidth: boolean;
+	Scale: Vector;
+	Orientation: LandscapeSplineMeshOrientation;
+	ForwardAxis: ESplineMeshAxis;
+	UpAxis: ESplineMeshAxis;
+	clone() : LandscapeSplineMeshEntry;
+	static C(Other: UObject | any): LandscapeSplineMeshEntry;
 }
 
-declare class ImportantToggleSettingInterface extends Interface { 
-	static Load(ResourceName: string): ImportantToggleSettingInterface;
-	static Find(Outer: UObject, ResourceName: string): ImportantToggleSettingInterface;
-	static GetDefaultObject(): ImportantToggleSettingInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportantToggleSettingInterface;
-	static C(Other: UObject | any): ImportantToggleSettingInterface;
+declare class LandscapeSplineInterpPoint { 
+	Center: Vector;
+	Left: Vector;
+	Right: Vector;
+	FalloffLeft: Vector;
+	FalloffRight: Vector;
+	StartEndFalloff: number;
+	clone() : LandscapeSplineInterpPoint;
+	static C(Other: UObject | any): LandscapeSplineInterpPoint;
 }
 
-declare class InGameAdManager extends PlatformInterfaceBase { 
-	bShouldPauseWhileAdOpen: boolean;
-	ClickedBannerDelegates: UnrealEngineDelegate<() => void>[];
-	ClosedAdDelegates: UnrealEngineDelegate<() => void>[];
-	static Load(ResourceName: string): InGameAdManager;
-	static Find(Outer: UObject, ResourceName: string): InGameAdManager;
-	static GetDefaultObject(): InGameAdManager;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InGameAdManager;
-	static C(Other: UObject | any): InGameAdManager;
+declare class LandscapeSplineSegment extends UObject { 
+	Connections: LandscapeSplineSegmentConnection;
+	LayerName: string;
+	bRaiseTerrain: boolean;
+	bLowerTerrain: boolean;
+	SplineMeshes: LandscapeSplineMeshEntry[];
+	bEnableCollision: boolean;
+	CollisionProfileName: string;
+	bCastShadow: boolean;
+	RandomSeed: number;
+	LDMaxDrawDistance: number;
+	TranslucencySortPriority: number;
+	bHiddenInGame: boolean;
+	bPlaceSplineMeshesInStreamingLevels: boolean;
+	BodyInstance: BodyInstance;
+	bSelected: boolean;
+	bNavDirty: boolean;
+	SplineInfo: InterpCurveVector;
+	Points: LandscapeSplineInterpPoint[];
+	Bounds: Box;
+	LocalMeshComponents: SplineMeshComponent[];
+	ForeignWorlds: World[];
+	ModificationKey: Guid;
+	static Load(ResourceName: string): LandscapeSplineSegment;
+	static Find(Outer: UObject, ResourceName: string): LandscapeSplineSegment;
+	static GetDefaultObject(): LandscapeSplineSegment;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplineSegment;
+	static C(Other: UObject | any): LandscapeSplineSegment;
 }
 
-declare class InputDelegateBinding extends DynamicBlueprintBinding { 
-	static Load(ResourceName: string): InputDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputDelegateBinding;
-	static GetDefaultObject(): InputDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputDelegateBinding;
-	static C(Other: UObject | any): InputDelegateBinding;
+declare class LandscapeSplineConnection { 
+	Segment: LandscapeSplineSegment;
+	End: boolean;
+	clone() : LandscapeSplineConnection;
+	static C(Other: UObject | any): LandscapeSplineConnection;
 }
 
-declare class BlueprintInputDelegateBinding { 
-	bConsumeInput: boolean;
-	bExecuteWhenPaused: boolean;
-	bOverrideParentBinding: boolean;
-	clone() : BlueprintInputDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputDelegateBinding;
+declare class LandscapeSplineControlPoint extends UObject { 
+	Location: Vector;
+	Rotation: Rotator;
+	Width: number;
+	SideFalloff: number;
+	EndFalloff: number;
+	SegmentMeshOffset: number;
+	LayerName: string;
+	bRaiseTerrain: boolean;
+	bLowerTerrain: boolean;
+	Mesh: StaticMesh;
+	MaterialOverrides: MaterialInterface[];
+	MeshScale: Vector;
+	bHiddenInGame: boolean;
+	bEnableCollision: boolean;
+	CollisionProfileName: string;
+	bCastShadow: boolean;
+	LDMaxDrawDistance: number;
+	TranslucencySortPriority: number;
+	bPlaceSplineMeshesInStreamingLevels: boolean;
+	BodyInstance: BodyInstance;
+	bSelected: boolean;
+	bNavDirty: boolean;
+	ConnectedSegments: LandscapeSplineConnection[];
+	Points: LandscapeSplineInterpPoint[];
+	Bounds: Box;
+	LocalMeshComponent: ControlPointMeshComponent;
+	ForeignWorld: World;
+	ModificationKey: Guid;
+	static Load(ResourceName: string): LandscapeSplineControlPoint;
+	static Find(Outer: UObject, ResourceName: string): LandscapeSplineControlPoint;
+	static GetDefaultObject(): LandscapeSplineControlPoint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplineControlPoint;
+	static C(Other: UObject | any): LandscapeSplineControlPoint;
 }
 
-declare class BlueprintInputActionDelegateBinding extends BlueprintInputDelegateBinding { 
-	InputActionName: string;
-	InputKeyEvent: EInputEvent;
-	FunctionNameToBind: string;
-	clone() : BlueprintInputActionDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputActionDelegateBinding;
+declare class LandscapeSplinesComponent extends PrimitiveComponent { 
+	SplineResolution: number;
+	SplineColor: Color;
+	ControlPointSprite: Texture2D;
+	SplineEditorMesh: StaticMesh;
+	bShowSplineEditorMesh: boolean;
+	ControlPoints: LandscapeSplineControlPoint[];
+	Segments: LandscapeSplineSegment[];
+	ForeignWorldSplineDataMap: any;
+	CookedForeignMeshComponents: MeshComponent[];
+	static Load(ResourceName: string): LandscapeSplinesComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeSplinesComponent;
+	static GetDefaultObject(): LandscapeSplinesComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeSplinesComponent;
+	GetSplineMeshComponents(): SplineMeshComponent[];
+	static C(Other: UObject | any): LandscapeSplinesComponent;
 }
 
-declare class InputActionDelegateBinding extends InputDelegateBinding { 
-	InputActionDelegateBindings: BlueprintInputActionDelegateBinding[];
-	static Load(ResourceName: string): InputActionDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputActionDelegateBinding;
-	static GetDefaultObject(): InputActionDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputActionDelegateBinding;
-	static C(Other: UObject | any): InputActionDelegateBinding;
+declare type ELandscapeLODFalloff = 'Linear' | 'SquareRoot' | 'ELandscapeLODFalloff_MAX';
+declare var ELandscapeLODFalloff : { Linear:'Linear',SquareRoot:'SquareRoot',ELandscapeLODFalloff_MAX:'ELandscapeLODFalloff_MAX', };
+declare type ELandscapeLayerDisplayMode = 'Default' | 'Alphabetical' | 'UserSpecific' | 'ELandscapeLayerDisplayMode_MAX';
+declare var ELandscapeLayerDisplayMode : { Default:'Default',Alphabetical:'Alphabetical',UserSpecific:'UserSpecific',ELandscapeLayerDisplayMode_MAX:'ELandscapeLayerDisplayMode_MAX', };
+declare class LandscapeProxyMaterialOverride { 
+	LODIndex: PerPlatformInt;
+	Material: MaterialInterface;
+	clone() : LandscapeProxyMaterialOverride;
+	static C(Other: UObject | any): LandscapeProxyMaterialOverride;
 }
 
-declare class BlueprintInputAxisDelegateBinding extends BlueprintInputDelegateBinding { 
-	InputAxisName: string;
-	FunctionNameToBind: string;
-	clone() : BlueprintInputAxisDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputAxisDelegateBinding;
+declare class LandscapeComponentMaterialOverride { 
+	LODIndex: PerPlatformInt;
+	Material: MaterialInterface;
+	clone() : LandscapeComponentMaterialOverride;
+	static C(Other: UObject | any): LandscapeComponentMaterialOverride;
 }
 
-declare class InputAxisDelegateBinding extends InputDelegateBinding { 
-	InputAxisDelegateBindings: BlueprintInputAxisDelegateBinding[];
-	static Load(ResourceName: string): InputAxisDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputAxisDelegateBinding;
-	static GetDefaultObject(): InputAxisDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputAxisDelegateBinding;
-	static C(Other: UObject | any): InputAxisDelegateBinding;
+declare class LandscapeLayerInfoObject extends UObject { 
+	LayerName: string;
+	PhysMaterial: PhysicalMaterial;
+	Hardness: number;
+	bNoWeightBlend: boolean;
+	IsReferencedFromLoadedData: boolean;
+	LayerUsageDebugColor: LinearColor;
+	static Load(ResourceName: string): LandscapeLayerInfoObject;
+	static Find(Outer: UObject, ResourceName: string): LandscapeLayerInfoObject;
+	static GetDefaultObject(): LandscapeLayerInfoObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeLayerInfoObject;
+	static C(Other: UObject | any): LandscapeLayerInfoObject;
 }
 
-declare class BlueprintInputAxisKeyDelegateBinding extends BlueprintInputDelegateBinding { 
-	AxisKey: Key;
-	FunctionNameToBind: string;
-	clone() : BlueprintInputAxisKeyDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputAxisKeyDelegateBinding;
+declare class WeightmapLayerAllocationInfo { 
+	LayerInfo: LandscapeLayerInfoObject;
+	WeightmapTextureIndex: number;
+	WeightmapTextureChannel: number;
+	clone() : WeightmapLayerAllocationInfo;
+	static C(Other: UObject | any): WeightmapLayerAllocationInfo;
 }
 
-declare class InputAxisKeyDelegateBinding extends InputDelegateBinding { 
-	InputAxisKeyDelegateBindings: BlueprintInputAxisKeyDelegateBinding[];
-	static Load(ResourceName: string): InputAxisKeyDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputAxisKeyDelegateBinding;
-	static GetDefaultObject(): InputAxisKeyDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputAxisKeyDelegateBinding;
-	static C(Other: UObject | any): InputAxisKeyDelegateBinding;
+declare class LandscapeEditToolRenderData { 
+	ToolMaterial: MaterialInterface;
+	GizmoMaterial: MaterialInterface;
+	SelectedType: number;
+	DebugChannelR: number;
+	DebugChannelG: number;
+	DebugChannelB: number;
+	DataTexture: Texture2D;
+	clone() : LandscapeEditToolRenderData;
+	static C(Other: UObject | any): LandscapeEditToolRenderData;
 }
 
-declare class BlueprintInputKeyDelegateBinding extends BlueprintInputDelegateBinding { 
-	InputChord: InputChord;
-	InputKeyEvent: EInputEvent;
-	FunctionNameToBind: string;
-	clone() : BlueprintInputKeyDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputKeyDelegateBinding;
+declare class LandscapeComponent extends PrimitiveComponent { 
+	SectionBaseX: number;
+	SectionBaseY: number;
+	ComponentSizeQuads: number;
+	SubsectionSizeQuads: number;
+	NumSubsections: number;
+	OverrideMaterial: MaterialInterface;
+	OverrideHoleMaterial: MaterialInterface;
+	OverrideMaterials: LandscapeComponentMaterialOverride[];
+	MaterialInstance: MaterialInstanceConstant;
+	MaterialInstances: MaterialInstanceConstant[];
+	MaterialInstancesDynamic: MaterialInstanceDynamic[];
+	LODIndexToMaterialIndex: any[];
+	MaterialIndexToDisabledTessellationMaterial: any[];
+	WeightmapLayerAllocations: WeightmapLayerAllocationInfo[];
+	WeightmapTextures: Texture2D[];
+	XYOffsetmapTexture: Texture2D;
+	WeightmapScaleBias: Vector4;
+	WeightmapSubsectionOffset: number;
+	HeightmapScaleBias: Vector4;
+	CachedLocalBox: Box;
+	CollisionComponent: any;
+	LightingGuid: Guid;
+	CurrentEditingHeightmapTexture: Texture2D;
+	HeightmapTexture: Texture2D;
+	MapBuildDataId: Guid;
+	IrrelevantLights: Guid[];
+	CollisionMipLevel: number;
+	SimpleCollisionMipLevel: number;
+	NegativeZBoundsExtension: number;
+	PositiveZBoundsExtension: number;
+	StaticLightingResolution: number;
+	ForcedLOD: number;
+	LODBias: number;
+	StateId: Guid;
+	BakedTextureMaterialGuid: Guid;
+	GIBakedBaseColorTexture: Texture2D;
+	LightingLODBias: number;
+	LayerWhitelist: LandscapeLayerInfoObject[];
+	EditToolRenderData: LandscapeEditToolRenderData;
+	MobileDataSourceHash: Guid;
+	MaterialPerLOD: any;
+	MobileBlendableLayerMask: number;
+	MobileMaterialInterface: MaterialInterface;
+	MobileMaterialInterfaces: MaterialInterface[];
+	MobileWeightmapTextures: Texture2D[];
+	MobileCombinationMaterialInstances: MaterialInstanceConstant[];
+	MobileCombinationMaterialInstance: MaterialInstanceConstant;
+	static Load(ResourceName: string): LandscapeComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeComponent;
+	static GetDefaultObject(): LandscapeComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeComponent;
+	GetMaterialInstanceDynamic(InIndex: number): MaterialInstanceDynamic;
+	static C(Other: UObject | any): LandscapeComponent;
 }
 
-declare class InputKeyDelegateBinding extends InputDelegateBinding { 
-	InputKeyDelegateBindings: BlueprintInputKeyDelegateBinding[];
-	static Load(ResourceName: string): InputKeyDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputKeyDelegateBinding;
-	static GetDefaultObject(): InputKeyDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputKeyDelegateBinding;
-	static C(Other: UObject | any): InputKeyDelegateBinding;
+declare class LandscapeHeightfieldCollisionComponent extends PrimitiveComponent { 
+	ComponentLayerInfos: LandscapeLayerInfoObject[];
+	SectionBaseX: number;
+	SectionBaseY: number;
+	CollisionSizeQuads: number;
+	CollisionScale: number;
+	SimpleCollisionSizeQuads: number;
+	CollisionQuadFlags: number[];
+	HeightfieldGuid: Guid;
+	CachedLocalBox: Box;
+	RenderComponent: any;
+	CookedPhysicalMaterials: PhysicalMaterial[];
+	static Load(ResourceName: string): LandscapeHeightfieldCollisionComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeHeightfieldCollisionComponent;
+	static GetDefaultObject(): LandscapeHeightfieldCollisionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeHeightfieldCollisionComponent;
+	static C(Other: UObject | any): LandscapeHeightfieldCollisionComponent;
 }
 
-declare class InputAxisProperties { 
-	DeadZone: number;
-	Sensitivity: number;
-	Exponent: number;
-	bInvert: boolean;
-	clone() : InputAxisProperties;
-	static C(Other: UObject | any): InputAxisProperties;
+declare class LandscapeEditorLayerSettings { 
+	LayerInfoObj: LandscapeLayerInfoObject;
+	ReimportLayerFilePath: string;
+	clone() : LandscapeEditorLayerSettings;
+	static C(Other: UObject | any): LandscapeEditorLayerSettings;
 }
 
-declare class InputAxisConfigEntry { 
-	AxisKeyName: string;
-	AxisProperties: InputAxisProperties;
-	clone() : InputAxisConfigEntry;
-	static C(Other: UObject | any): InputAxisConfigEntry;
+declare class LandscapeProxy extends Actor { 
+	SplineComponent: LandscapeSplinesComponent;
+	LandscapeGuid: Guid;
+	LandscapeSectionOffset: IntPoint;
+	MaxLODLevel: number;
+	LODDistanceFactor: number;
+	LODFalloff: ELandscapeLODFalloff;
+	ComponentScreenSizeToUseSubSections: number;
+	LOD0DistributionSetting: number;
+	LODDistributionSetting: number;
+	TessellationComponentScreenSize: number;
+	UseTessellationComponentScreenSizeFalloff: boolean;
+	TessellationComponentScreenSizeFalloff: number;
+	OccluderGeometryLOD: number;
+	ExportLOD: number;
+	TargetDisplayOrderList: string[];
+	TargetDisplayOrder: ELandscapeLayerDisplayMode;
+	StaticLightingLOD: number;
+	DefaultPhysMaterial: PhysicalMaterial;
+	StreamingDistanceMultiplier: number;
+	LandscapeMaterial: MaterialInterface;
+	LandscapeHoleMaterial: MaterialInterface;
+	LandscapeMaterialsOverride: LandscapeProxyMaterialOverride[];
+	NegativeZBoundsExtension: number;
+	PositiveZBoundsExtension: number;
+	LandscapeComponents: LandscapeComponent[];
+	CollisionComponents: LandscapeHeightfieldCollisionComponent[];
+	FoliageComponents: HierarchicalInstancedStaticMeshComponent[];
+	bHasLandscapeGrass: boolean;
+	StaticLightingResolution: number;
+	bCastStaticShadow: boolean;
+	bCastShadowAsTwoSided: boolean;
+	bCastFarShadow: boolean;
+	bAffectDistanceFieldLighting: boolean;
+	LightingChannels: LightingChannels;
+	bUseMaterialPositionOffsetInStaticLighting: boolean;
+	bRenderCustomDepth: boolean;
+	CustomDepthStencilValue: number;
+	LDMaxDrawDistance: number;
+	bIsMovingToLevel: boolean;
+	LightmassSettings: LightmassPrimitiveSettings;
+	CollisionMipLevel: number;
+	SimpleCollisionMipLevel: number;
+	CollisionThickness: number;
+	BodyInstance: BodyInstance;
+	bGenerateOverlapEvents: boolean;
+	bBakeMaterialPositionOffsetIntoCollision: boolean;
+	EditorCachedLayerInfos: LandscapeLayerInfoObject[];
+	ReimportHeightmapFilePath: string;
+	EditorLayerSettings: LandscapeEditorLayerSettings[];
+	ProceduralLayersData: any;
+	HasProceduralContent: boolean;
+	RenderDataPerHeightmap: any;
+	ComponentSizeQuads: number;
+	SubsectionSizeQuads: number;
+	NumSubsections: number;
+	bUsedForNavigation: boolean;
+	bUseDynamicMaterialInstance: boolean;
+	NavigationGeometryGatheringMode: ENavDataGatheringMode;
+	MaxPaintedLayersPerComponent: number;
+	bUseLandscapeForCullingInvisibleHLODVertices: boolean;
+	static GetDefaultObject(): LandscapeProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeProxy;
+	SetLandscapeMaterialVectorParameterValue(ParameterName: string,Value: LinearColor): void;
+	SetLandscapeMaterialTextureParameterValue(ParameterName: string,Value: Texture): void;
+	SetLandscapeMaterialScalarParameterValue(ParameterName: string,Value: number): void;
+	LandscapeImportWeightmapFromRenderTarget(InRenderTarget: TextureRenderTarget2D,InLayerName: string): boolean;
+	LandscapeImportHeightmapFromRenderTarget(InRenderTarget: TextureRenderTarget2D,InImportHeightFromRGChannel: boolean): boolean;
+	LandscapeExportWeightmapToRenderTarget(InRenderTarget: TextureRenderTarget2D,InLayerName: string): boolean;
+	LandscapeExportHeightmapToRenderTarget(InRenderTarget: TextureRenderTarget2D,InExportHeightIntoRGChannel: boolean): boolean;
+	EditorSetLandscapeMaterial(NewLandscapeMaterial: MaterialInterface): void;
+	EditorApplySpline(InSplineComponent: SplineComponent,StartWidth: number,EndWidth: number,StartSideFalloff: number,EndSideFalloff: number,StartRoll: number,EndRoll: number,NumSubdivisions: number,bRaiseHeights: boolean,bLowerHeights: boolean,PaintLayer: LandscapeLayerInfoObject): void;
+	ChangeUseTessellationComponentScreenSizeFalloff(InComponentScreenSizeToUseSubSections: boolean): void;
+	ChangeTessellationComponentScreenSizeFalloff(InUseTessellationComponentScreenSizeFalloff: number): void;
+	ChangeTessellationComponentScreenSize(InTessellationComponentScreenSize: number): void;
+	ChangeLODDistanceFactor(InLODDistanceFactor: number): void;
+	ChangeComponentScreenSizeToUseSubSections(InComponentScreenSizeToUseSubSections: number): void;
+	static C(Other: UObject | any): LandscapeProxy;
 }
 
-declare type EMouseCaptureMode = 'NoCapture' | 'CapturePermanently' | 'CapturePermanently_IncludingInitialMouseDown' | 'CaptureDuringMouseDown' | 'CaptureDuringRightMouseDown' | 'EMouseCaptureMode_MAX';
-declare var EMouseCaptureMode : { NoCapture:'NoCapture',CapturePermanently:'CapturePermanently',CapturePermanently_IncludingInitialMouseDown:'CapturePermanently_IncludingInitialMouseDown',CaptureDuringMouseDown:'CaptureDuringMouseDown',CaptureDuringRightMouseDown:'CaptureDuringRightMouseDown',EMouseCaptureMode_MAX:'EMouseCaptureMode_MAX', };
-declare class InputActionKeyMapping { 
-	ActionName: string;
-	Key: Key;
-	bShift: boolean;
-	bCtrl: boolean;
-	bAlt: boolean;
-	bCmd: boolean;
-	clone() : InputActionKeyMapping;
-	static C(Other: UObject | any): InputActionKeyMapping;
+declare class LandscapeBlueprintCustomBrush extends Actor { 
+	AffectHeightmap: boolean;
+	AffectWeightmap: boolean;
+	OwningLandscape: Landscape;
+	bIsCommited: boolean;
+	bIsInitialized: boolean;
+	PreviousAffectHeightmap: boolean;
+	PreviousAffectWeightmap: boolean;
+	static GetDefaultObject(): LandscapeBlueprintCustomBrush;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeBlueprintCustomBrush;
+	Render(InIsHeightmap: boolean,InCombinedResult: TextureRenderTarget2D): TextureRenderTarget2D;
+	Initialize(InLandscapeSize: IntPoint,InLandscapeRenderTargetSize: IntPoint): void;
+	static C(Other: UObject | any): LandscapeBlueprintCustomBrush;
 }
 
-declare class InputAxisKeyMapping { 
-	AxisName: string;
-	Key: Key;
-	Scale: number;
-	clone() : InputAxisKeyMapping;
-	static C(Other: UObject | any): InputAxisKeyMapping;
+declare class LandscapeProceduralLayerBrush { 
+	BPCustomBrush: LandscapeBlueprintCustomBrush;
+	clone() : LandscapeProceduralLayerBrush;
+	static C(Other: UObject | any): LandscapeProceduralLayerBrush;
 }
 
-declare class InputSettings extends UObject { 
-	AxisConfig: InputAxisConfigEntry[];
-	bAltEnterTogglesFullscreen: boolean;
-	bF11TogglesFullscreen: boolean;
-	bUseMouseForTouch: boolean;
-	bEnableMouseSmoothing: boolean;
-	bEnableFOVScaling: boolean;
-	FOVScale: number;
-	DoubleClickTime: number;
-	bCaptureMouseOnLaunch: boolean;
-	DefaultViewportMouseCaptureMode: EMouseCaptureMode;
-	bDefaultViewportMouseLock: boolean;
-	DefaultViewportMouseLockMode: EMouseLockMode;
-	ActionMappings: InputActionKeyMapping[];
-	AxisMappings: InputAxisKeyMapping[];
-	bAlwaysShowTouchInterface: boolean;
-	bShowConsoleOnFourFingerTap: boolean;
-	DefaultTouchInterface: SoftObjectPath;
-	ConsoleKey: Key;
-	ConsoleKeys: Key[];
-	static Load(ResourceName: string): InputSettings;
-	static Find(Outer: UObject, ResourceName: string): InputSettings;
-	static GetDefaultObject(): InputSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputSettings;
-	SaveKeyMappings(): void;
-	RemoveAxisMapping(KeyMapping: InputAxisKeyMapping,bForceRebuildKeymaps: boolean): void;
-	RemoveActionMapping(KeyMapping: InputActionKeyMapping,bForceRebuildKeymaps: boolean): void;
-	static GetInputSettings(): InputSettings;
-	GetAxisNames(AxisNames?: string[]): {AxisNames: string[]};
-	GetAxisMappingByName(InAxisName: string,OutMappings?: InputAxisKeyMapping[]): {OutMappings: InputAxisKeyMapping[]};
-	GetActionNames(ActionNames?: string[]): {ActionNames: string[]};
-	GetActionMappingByName(InActionName: string,OutMappings?: InputActionKeyMapping[]): {OutMappings: InputActionKeyMapping[]};
-	ForceRebuildKeymaps(): void;
-	AddAxisMapping(KeyMapping: InputAxisKeyMapping,bForceRebuildKeymaps: boolean): void;
-	AddActionMapping(KeyMapping: InputActionKeyMapping,bForceRebuildKeymaps: boolean): void;
-	static C(Other: UObject | any): InputSettings;
+declare class ProceduralLayer { 
+	Name: string;
+	Visible: boolean;
+	Weight: number;
+	Brushes: LandscapeProceduralLayerBrush[];
+	HeightmapBrushOrderIndices: any[];
+	WeightmapBrushOrderIndices: any[];
+	clone() : ProceduralLayer;
+	static C(Other: UObject | any): ProceduralLayer;
 }
 
-declare class BlueprintInputTouchDelegateBinding extends BlueprintInputDelegateBinding { 
-	InputKeyEvent: EInputEvent;
-	FunctionNameToBind: string;
-	clone() : BlueprintInputTouchDelegateBinding;
-	static C(Other: UObject | any): BlueprintInputTouchDelegateBinding;
+declare class LandscapeInfoLayerSettings { 
+	LayerInfoObj: LandscapeLayerInfoObject;
+	LayerName: string;
+	ThumbnailMIC: MaterialInstanceConstant;
+	Owner: LandscapeProxy;
+	DebugColorChannel: number;
+	bValid: boolean;
+	clone() : LandscapeInfoLayerSettings;
+	static C(Other: UObject | any): LandscapeInfoLayerSettings;
 }
 
-declare class InputTouchDelegateBinding extends InputDelegateBinding { 
-	InputTouchDelegateBindings: BlueprintInputTouchDelegateBinding[];
-	static Load(ResourceName: string): InputTouchDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputTouchDelegateBinding;
-	static GetDefaultObject(): InputTouchDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputTouchDelegateBinding;
-	static C(Other: UObject | any): InputTouchDelegateBinding;
+declare type ELandscapeLayerPaintingRestriction = 'None' | 'UseMaxLayers' | 'ExistingOnly' | 'UseComponentWhitelist' | 'ELandscapeLayerPaintingRestriction_MAX';
+declare var ELandscapeLayerPaintingRestriction : { None:'None',UseMaxLayers:'UseMaxLayers',ExistingOnly:'ExistingOnly',UseComponentWhitelist:'UseComponentWhitelist',ELandscapeLayerPaintingRestriction_MAX:'ELandscapeLayerPaintingRestriction_MAX', };
+declare class LandscapeInfo extends UObject { 
+	LandscapeActor: any;
+	LandscapeGuid: Guid;
+	ComponentSizeQuads: number;
+	SubsectionSizeQuads: number;
+	ComponentNumSubsections: number;
+	DrawScale: Vector;
+	Layers: LandscapeInfoLayerSettings[];
+	Proxies: any;
+	static Load(ResourceName: string): LandscapeInfo;
+	static Find(Outer: UObject, ResourceName: string): LandscapeInfo;
+	static GetDefaultObject(): LandscapeInfo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeInfo;
+	static C(Other: UObject | any): LandscapeInfo;
+	GetAlphamapDataToMemory(LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+	GetHeightmapDataToMemory(MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+	GetLandscapeExtent(MinX?: number,MinY?: number,MaxX?: number,MaxY?: number): {MinX: number, MinY: number, MaxX: number, MaxY: number, $: boolean};
+	GetLayerInfoByName(LayerName: string,Owner: LandscapeProxy): LandscapeLayerInfoObject;
+	SetAlphamapDataFromMemory(LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number,PaintingRestriction: ELandscapeLayerPaintingRestriction): void;
+	SetHeightmapDataFromMemory(MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+	static GetAlphamapDataToMemory(LandscapeInfo: LandscapeInfo,LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+	static GetHeightmapDataToMemory(LandscapeInfo: LandscapeInfo,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
+	static GetLandscapeExtent(LandscapeInfo: LandscapeInfo,MinX?: number,MinY?: number,MaxX?: number,MaxY?: number): {MinX: number, MinY: number, MaxX: number, MaxY: number, $: boolean};
+	static GetLayerInfoByName(LandscapeInfo: LandscapeInfo,LayerName: string,Owner: LandscapeProxy): LandscapeLayerInfoObject;
+	static SetAlphamapDataFromMemory(LandscapeInfo: LandscapeInfo,LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number,PaintingRestriction: ELandscapeLayerPaintingRestriction): void;
+	static SetHeightmapDataFromMemory(LandscapeInfo: LandscapeInfo,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
 }
 
-declare class InputVectorAxisDelegateBinding extends InputAxisKeyDelegateBinding { 
-	static Load(ResourceName: string): InputVectorAxisDelegateBinding;
-	static Find(Outer: UObject, ResourceName: string): InputVectorAxisDelegateBinding;
-	static GetDefaultObject(): InputVectorAxisDelegateBinding;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputVectorAxisDelegateBinding;
-	static C(Other: UObject | any): InputVectorAxisDelegateBinding;
+declare class Landscape extends LandscapeProxy { 
+	ProceduralLayers: ProceduralLayer[];
+	PreviousExperimentalLandscapeProcedural: boolean;
+	ProceduralContentUpdateFlags: any;
+	HeightmapRTList: TextureRenderTarget2D[];
+	static GetDefaultObject(): Landscape;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Landscape;
+	static C(Other: UObject | any): Landscape;
+	GetLandscapeInfo(bSpawnNewActor: boolean): LandscapeInfo;
+	static GetLandscapeInfo(Landscape: Landscape,bSpawnNewActor: boolean): LandscapeInfo;
 }
 
-declare class Interface_AssetUserData extends Interface { 
-	static Load(ResourceName: string): Interface_AssetUserData;
-	static Find(Outer: UObject, ResourceName: string): Interface_AssetUserData;
-	static GetDefaultObject(): Interface_AssetUserData;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_AssetUserData;
-	static C(Other: UObject | any): Interface_AssetUserData;
+declare class LandscapeBlueprintCustomSimulationBrush extends LandscapeBlueprintCustomBrush { 
+	static GetDefaultObject(): LandscapeBlueprintCustomSimulationBrush;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeBlueprintCustomSimulationBrush;
+	static C(Other: UObject | any): LandscapeBlueprintCustomSimulationBrush;
 }
 
-declare class Interface_CollisionDataProvider extends Interface { 
-	static Load(ResourceName: string): Interface_CollisionDataProvider;
-	static Find(Outer: UObject, ResourceName: string): Interface_CollisionDataProvider;
-	static GetDefaultObject(): Interface_CollisionDataProvider;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_CollisionDataProvider;
-	static C(Other: UObject | any): Interface_CollisionDataProvider;
+declare class LandscapeGizmoActor extends Actor { 
+	Width: number;
+	Height: number;
+	LengthZ: number;
+	MarginZ: number;
+	MinRelativeZ: number;
+	RelativeScaleZ: number;
+	TargetLandscapeInfo: LandscapeInfo;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): LandscapeGizmoActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoActor;
+	static C(Other: UObject | any): LandscapeGizmoActor;
 }
 
-declare class Interface_PostProcessVolume extends Interface { 
-	static Load(ResourceName: string): Interface_PostProcessVolume;
-	static Find(Outer: UObject, ResourceName: string): Interface_PostProcessVolume;
-	static GetDefaultObject(): Interface_PostProcessVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_PostProcessVolume;
-	static C(Other: UObject | any): Interface_PostProcessVolume;
+declare type ELandscapeGizmoType = 'LGT_None' | 'LGT_Height' | 'LGT_Weight' | 'LGT_MAX';
+declare var ELandscapeGizmoType : { LGT_None:'LGT_None',LGT_Height:'LGT_Height',LGT_Weight:'LGT_Weight',LGT_MAX:'LGT_MAX', };
+declare class LandscapeGizmoActiveActor extends LandscapeGizmoActor { 
+	DataType: ELandscapeGizmoType;
+	GizmoTexture: Texture2D;
+	TextureScale: Vector2D;
+	SampledHeight: Vector[];
+	SampledNormal: Vector[];
+	SampleSizeX: number;
+	SampleSizeY: number;
+	CachedWidth: number;
+	CachedHeight: number;
+	CachedScaleXY: number;
+	FrustumVerts: Vector;
+	GizmoMaterial: Material;
+	GizmoDataMaterial: MaterialInstance;
+	GizmoMeshMaterial: Material;
+	LayerInfos: LandscapeLayerInfoObject[];
+	bSnapToLandscapeGrid: boolean;
+	UnsnappedRotation: Rotator;
+	static GetDefaultObject(): LandscapeGizmoActiveActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoActiveActor;
+	static C(Other: UObject | any): LandscapeGizmoActiveActor;
 }
 
-declare class InterpFilter_Classes extends InterpFilter { 
-	ClassToFilterBy: UnrealEngineClass;
-	TrackClasses: UnrealEngineClass[];
-	static Load(ResourceName: string): InterpFilter_Classes;
-	static Find(Outer: UObject, ResourceName: string): InterpFilter_Classes;
-	static GetDefaultObject(): InterpFilter_Classes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpFilter_Classes;
-	static C(Other: UObject | any): InterpFilter_Classes;
+declare class LandscapeGizmoRenderComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): LandscapeGizmoRenderComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeGizmoRenderComponent;
+	static GetDefaultObject(): LandscapeGizmoRenderComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGizmoRenderComponent;
+	static C(Other: UObject | any): LandscapeGizmoRenderComponent;
 }
 
-declare class InterpFilter_Custom extends InterpFilter { 
-	GroupsToInclude: InterpGroup[];
-	static Load(ResourceName: string): InterpFilter_Custom;
-	static Find(Outer: UObject, ResourceName: string): InterpFilter_Custom;
-	static GetDefaultObject(): InterpFilter_Custom;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpFilter_Custom;
-	static C(Other: UObject | any): InterpFilter_Custom;
-}
-
-declare class CameraPreviewInfo { 
-	PawnClass: UnrealEngineClass;
-	AnimSeq: AnimSequence;
-	Location: Vector;
-	Rotation: Rotator;
-	PawnInst: Pawn;
-	clone() : CameraPreviewInfo;
-	static C(Other: UObject | any): CameraPreviewInfo;
+declare type EGrassScaling = 'Uniform' | 'Free' | 'LockXY' | 'EGrassScaling_MAX';
+declare var EGrassScaling : { Uniform:'Uniform',Free:'Free',LockXY:'LockXY',EGrassScaling_MAX:'EGrassScaling_MAX', };
+declare class GrassVariety { 
+	GrassMesh: StaticMesh;
+	GrassDensity: PerPlatformFloat;
+	bUseGrid: boolean;
+	PlacementJitter: number;
+	StartCullDistance: PerPlatformInt;
+	EndCullDistance: PerPlatformInt;
+	MinLOD: number;
+	Scaling: EGrassScaling;
+	ScaleX: FloatInterval;
+	ScaleY: FloatInterval;
+	ScaleZ: FloatInterval;
+	RandomRotation: boolean;
+	AlignToSurface: boolean;
+	bUseLandscapeLightmap: boolean;
+	LightingChannels: LightingChannels;
+	bReceivesDecals: boolean;
+	bCastDynamicShadow: boolean;
+	bKeepInstanceBufferCPUCopy: boolean;
+	clone() : GrassVariety;
+	static C(Other: UObject | any): GrassVariety;
 }
 
-declare class InterpGroupCamera extends InterpGroup { 
-	CameraAnimInst: CameraAnim;
-	Target: CameraPreviewInfo;
-	CompressTolerance: number;
-	static Load(ResourceName: string): InterpGroupCamera;
-	static Find(Outer: UObject, ResourceName: string): InterpGroupCamera;
-	static GetDefaultObject(): InterpGroupCamera;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupCamera;
-	static C(Other: UObject | any): InterpGroupCamera;
+declare class LandscapeGrassType extends UObject { 
+	GrassVarieties: GrassVariety[];
+	bEnableDensityScaling: boolean;
+	GrassMesh: StaticMesh;
+	GrassDensity: number;
+	PlacementJitter: number;
+	StartCullDistance: number;
+	EndCullDistance: number;
+	RandomRotation: boolean;
+	AlignToSurface: boolean;
+	static Load(ResourceName: string): LandscapeGrassType;
+	static Find(Outer: UObject, ResourceName: string): LandscapeGrassType;
+	static GetDefaultObject(): LandscapeGrassType;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeGrassType;
+	static C(Other: UObject | any): LandscapeGrassType;
 }
 
-declare class InterpGroupInstCamera extends InterpGroupInst { 
-	static Load(ResourceName: string): InterpGroupInstCamera;
-	static Find(Outer: UObject, ResourceName: string): InterpGroupInstCamera;
-	static GetDefaultObject(): InterpGroupInstCamera;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupInstCamera;
-	static C(Other: UObject | any): InterpGroupInstCamera;
+declare class LandscapeInfoMap extends UObject { 
+	static Load(ResourceName: string): LandscapeInfoMap;
+	static Find(Outer: UObject, ResourceName: string): LandscapeInfoMap;
+	static GetDefaultObject(): LandscapeInfoMap;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeInfoMap;
+	static C(Other: UObject | any): LandscapeInfoMap;
 }
 
-declare class InterpGroupInstDirector extends InterpGroupInst { 
-	static Load(ResourceName: string): InterpGroupInstDirector;
-	static Find(Outer: UObject, ResourceName: string): InterpGroupInstDirector;
-	static GetDefaultObject(): InterpGroupInstDirector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupInstDirector;
-	static C(Other: UObject | any): InterpGroupInstDirector;
+declare class LandscapeMaterialInstanceConstant extends MaterialInstanceConstant { 
+	bIsLayerThumbnail: boolean;
+	bDisableTessellation: boolean;
+	bMobile: boolean;
+	bEditorToolUsage: boolean;
+	static Load(ResourceName: string): LandscapeMaterialInstanceConstant;
+	static Find(Outer: UObject, ResourceName: string): LandscapeMaterialInstanceConstant;
+	static GetDefaultObject(): LandscapeMaterialInstanceConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMaterialInstanceConstant;
+	static C(Other: UObject | any): LandscapeMaterialInstanceConstant;
 }
 
-declare type EInterpToBehaviourType = 'OneShot' | 'OneShot_Reverse' | 'Loop_Reset' | 'PingPong' | 'EInterpToBehaviourType_MAX';
-declare var EInterpToBehaviourType : { OneShot:'OneShot',OneShot_Reverse:'OneShot_Reverse',Loop_Reset:'Loop_Reset',PingPong:'PingPong',EInterpToBehaviourType_MAX:'EInterpToBehaviourType_MAX', };
-declare class InterpControlPoint { 
-	PositionControlPoint: Vector;
-	bPositionIsRelative: boolean;
-	clone() : InterpControlPoint;
-	static C(Other: UObject | any): InterpControlPoint;
+declare class LandscapeMeshCollisionComponent extends LandscapeHeightfieldCollisionComponent { 
+	MeshGuid: Guid;
+	static Load(ResourceName: string): LandscapeMeshCollisionComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeMeshCollisionComponent;
+	static GetDefaultObject(): LandscapeMeshCollisionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshCollisionComponent;
+	static C(Other: UObject | any): LandscapeMeshCollisionComponent;
 }
 
-declare class InterpToMovementComponent extends MovementComponent { 
-	Duration: number;
-	bPauseOnImpact: boolean;
-	BehaviourType: EInterpToBehaviourType;
-	bForceSubStepping: boolean;
-	OnInterpToReverse: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
-	OnInterpToStop: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
-	OnWaitBeginDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
-	OnWaitEndDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
-	OnResetDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
-	MaxSimulationTimeStep: number;
-	MaxSimulationIterations: number;
-	ControlPoints: InterpControlPoint[];
-	static Load(ResourceName: string): InterpToMovementComponent;
-	static Find(Outer: UObject, ResourceName: string): InterpToMovementComponent;
-	static GetDefaultObject(): InterpToMovementComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpToMovementComponent;
-	StopSimulating(HitResult: HitResult): void;
-	RestartMovement(InitialDirection: number): void;
-	FinaliseControlPoints(): void;
-	static C(Other: UObject | any): InterpToMovementComponent;
+declare class LandscapeMeshProxyComponent extends StaticMeshComponent { 
+	LandscapeGuid: Guid;
+	ProxyComponentBases: IntPoint[];
+	ProxyLOD: any;
+	static Load(ResourceName: string): LandscapeMeshProxyComponent;
+	static Find(Outer: UObject, ResourceName: string): LandscapeMeshProxyComponent;
+	static GetDefaultObject(): LandscapeMeshProxyComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshProxyComponent;
+	static C(Other: UObject | any): LandscapeMeshProxyComponent;
 }
 
-declare class InterpTrackFloatBase extends InterpTrack { 
-	FloatTrack: InterpCurveFloat;
-	CurveTension: number;
-	static Load(ResourceName: string): InterpTrackFloatBase;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatBase;
-	static GetDefaultObject(): InterpTrackFloatBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatBase;
-	static C(Other: UObject | any): InterpTrackFloatBase;
+declare class LandscapeMeshProxyActor extends Actor { 
+	LandscapeMeshProxyComponent: LandscapeMeshProxyComponent;
+	static GetDefaultObject(): LandscapeMeshProxyActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeMeshProxyActor;
+	static C(Other: UObject | any): LandscapeMeshProxyActor;
 }
 
-declare class AnimControlTrackKey { 
-	StartTime: number;
-	AnimSeq: AnimSequence;
-	AnimStartOffset: number;
-	AnimEndOffset: number;
-	AnimPlayRate: number;
-	bLooping: boolean;
-	bReverse: boolean;
-	clone() : AnimControlTrackKey;
-	static C(Other: UObject | any): AnimControlTrackKey;
+declare class LandscapeStreamingProxy extends LandscapeProxy { 
+	LandscapeActor: any;
+	static GetDefaultObject(): LandscapeStreamingProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LandscapeStreamingProxy;
+	static C(Other: UObject | any): LandscapeStreamingProxy;
 }
 
-declare class InterpTrackAnimControl extends InterpTrackFloatBase { 
-	SlotName: string;
-	AnimSeqs: AnimControlTrackKey[];
-	bSkipAnimNotifiers: boolean;
-	static Load(ResourceName: string): InterpTrackAnimControl;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackAnimControl;
-	static GetDefaultObject(): InterpTrackAnimControl;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackAnimControl;
-	static C(Other: UObject | any): InterpTrackAnimControl;
+declare class MaterialExpressionCustomOutput extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionCustomOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCustomOutput;
+	static GetDefaultObject(): MaterialExpressionCustomOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCustomOutput;
+	static C(Other: UObject | any): MaterialExpressionCustomOutput;
 }
 
-declare class InterpTrackVectorBase extends InterpTrack { 
-	VectorTrack: InterpCurveVector;
-	CurveTension: number;
-	static Load(ResourceName: string): InterpTrackVectorBase;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorBase;
-	static GetDefaultObject(): InterpTrackVectorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorBase;
-	static C(Other: UObject | any): InterpTrackVectorBase;
+declare class GrassInput { 
+	Name: string;
+	GrassType: LandscapeGrassType;
+	Input: ExpressionInput;
+	clone() : GrassInput;
+	static C(Other: UObject | any): GrassInput;
 }
 
-declare class InterpTrackAudioMaster extends InterpTrackVectorBase { 
-	static Load(ResourceName: string): InterpTrackAudioMaster;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackAudioMaster;
-	static GetDefaultObject(): InterpTrackAudioMaster;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackAudioMaster;
-	static C(Other: UObject | any): InterpTrackAudioMaster;
+declare class MaterialExpressionLandscapeGrassOutput extends MaterialExpressionCustomOutput { 
+	GrassTypes: GrassInput[];
+	static Load(ResourceName: string): MaterialExpressionLandscapeGrassOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeGrassOutput;
+	static GetDefaultObject(): MaterialExpressionLandscapeGrassOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeGrassOutput;
+	static C(Other: UObject | any): MaterialExpressionLandscapeGrassOutput;
 }
 
-declare class BoolTrackKey { 
-	Time: number;
-	Value: boolean;
-	clone() : BoolTrackKey;
-	static C(Other: UObject | any): BoolTrackKey;
+declare type ELandscapeLayerBlendType = 'LB_WeightBlend' | 'LB_AlphaBlend' | 'LB_HeightBlend' | 'LB_MAX';
+declare var ELandscapeLayerBlendType : { LB_WeightBlend:'LB_WeightBlend',LB_AlphaBlend:'LB_AlphaBlend',LB_HeightBlend:'LB_HeightBlend',LB_MAX:'LB_MAX', };
+declare class LayerBlendInput { 
+	LayerName: string;
+	BlendType: ELandscapeLayerBlendType;
+	LayerInput: ExpressionInput;
+	HeightInput: ExpressionInput;
+	PreviewWeight: number;
+	ConstLayerInput: Vector;
+	ConstHeightInput: number;
+	clone() : LayerBlendInput;
+	static C(Other: UObject | any): LayerBlendInput;
 }
 
-declare class InterpTrackBoolProp extends InterpTrack { 
-	BoolTrack: BoolTrackKey[];
-	PropertyName: string;
-	static Load(ResourceName: string): InterpTrackBoolProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackBoolProp;
-	static GetDefaultObject(): InterpTrackBoolProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackBoolProp;
-	static C(Other: UObject | any): InterpTrackBoolProp;
+declare class MaterialExpressionLandscapeLayerBlend extends MaterialExpression { 
+	Layers: LayerBlendInput[];
+	ExpressionGUID: Guid;
+	static Load(ResourceName: string): MaterialExpressionLandscapeLayerBlend;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerBlend;
+	static GetDefaultObject(): MaterialExpressionLandscapeLayerBlend;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerBlend;
+	static C(Other: UObject | any): MaterialExpressionLandscapeLayerBlend;
 }
 
-declare class InterpTrackColorProp extends InterpTrackVectorBase { 
-	PropertyName: string;
-	static Load(ResourceName: string): InterpTrackColorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackColorProp;
-	static GetDefaultObject(): InterpTrackColorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackColorProp;
-	static C(Other: UObject | any): InterpTrackColorProp;
+declare type ETerrainCoordMappingType = 'TCMT_Auto' | 'TCMT_XY' | 'TCMT_XZ' | 'TCMT_YZ' | 'TCMT_MAX';
+declare var ETerrainCoordMappingType : { TCMT_Auto:'TCMT_Auto',TCMT_XY:'TCMT_XY',TCMT_XZ:'TCMT_XZ',TCMT_YZ:'TCMT_YZ',TCMT_MAX:'TCMT_MAX', };
+declare type ELandscapeCustomizedCoordType = 'LCCT_None' | 'LCCT_CustomUV0' | 'LCCT_CustomUV1' | 'LCCT_CustomUV2' | 'LCCT_WeightMapUV' | 'LCCT_MAX';
+declare var ELandscapeCustomizedCoordType : { LCCT_None:'LCCT_None',LCCT_CustomUV0:'LCCT_CustomUV0',LCCT_CustomUV1:'LCCT_CustomUV1',LCCT_CustomUV2:'LCCT_CustomUV2',LCCT_WeightMapUV:'LCCT_WeightMapUV',LCCT_MAX:'LCCT_MAX', };
+declare class MaterialExpressionLandscapeLayerCoords extends MaterialExpression { 
+	MappingType: ETerrainCoordMappingType;
+	CustomUVType: ELandscapeCustomizedCoordType;
+	MappingScale: number;
+	MappingRotation: number;
+	MappingPanU: number;
+	MappingPanV: number;
+	static Load(ResourceName: string): MaterialExpressionLandscapeLayerCoords;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerCoords;
+	static GetDefaultObject(): MaterialExpressionLandscapeLayerCoords;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerCoords;
+	static C(Other: UObject | any): MaterialExpressionLandscapeLayerCoords;
 }
 
-declare class InterpTrackColorScale extends InterpTrackVectorBase { 
-	static Load(ResourceName: string): InterpTrackColorScale;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackColorScale;
-	static GetDefaultObject(): InterpTrackColorScale;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackColorScale;
-	static C(Other: UObject | any): InterpTrackColorScale;
+declare class MaterialExpressionLandscapeLayerSample extends MaterialExpression { 
+	ParameterName: string;
+	PreviewWeight: number;
+	ExpressionGUID: Guid;
+	static Load(ResourceName: string): MaterialExpressionLandscapeLayerSample;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerSample;
+	static GetDefaultObject(): MaterialExpressionLandscapeLayerSample;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerSample;
+	static C(Other: UObject | any): MaterialExpressionLandscapeLayerSample;
 }
 
-declare class DirectorTrackCut { 
-	Time: number;
-	TransitionTime: number;
-	TargetCamGroup: string;
-	ShotNumber: number;
-	clone() : DirectorTrackCut;
-	static C(Other: UObject | any): DirectorTrackCut;
+declare class MaterialExpressionLandscapeLayerSwitch extends MaterialExpression { 
+	LayerUsed: ExpressionInput;
+	LayerNotUsed: ExpressionInput;
+	ParameterName: string;
+	PreviewUsed: boolean;
+	ExpressionGUID: Guid;
+	static Load(ResourceName: string): MaterialExpressionLandscapeLayerSwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerSwitch;
+	static GetDefaultObject(): MaterialExpressionLandscapeLayerSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerSwitch;
+	static C(Other: UObject | any): MaterialExpressionLandscapeLayerSwitch;
 }
 
-declare class InterpTrackDirector extends InterpTrack { 
-	CutTrack: DirectorTrackCut[];
-	bSimulateCameraCutsOnClients: boolean;
-	PreviewCamera: CameraActor;
-	static Load(ResourceName: string): InterpTrackDirector;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackDirector;
-	static GetDefaultObject(): InterpTrackDirector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackDirector;
-	static C(Other: UObject | any): InterpTrackDirector;
+declare class MaterialExpressionLandscapeLayerWeight extends MaterialExpression { 
+	Base: ExpressionInput;
+	Layer: ExpressionInput;
+	ParameterName: string;
+	PreviewWeight: number;
+	ConstBase: Vector;
+	ExpressionGUID: Guid;
+	static Load(ResourceName: string): MaterialExpressionLandscapeLayerWeight;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeLayerWeight;
+	static GetDefaultObject(): MaterialExpressionLandscapeLayerWeight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeLayerWeight;
+	static C(Other: UObject | any): MaterialExpressionLandscapeLayerWeight;
 }
 
-declare class EventTrackKey { 
-	Time: number;
-	EventName: string;
-	clone() : EventTrackKey;
-	static C(Other: UObject | any): EventTrackKey;
+declare class MaterialExpressionLandscapeVisibilityMask extends MaterialExpression { 
+	ExpressionGUID: Guid;
+	static Load(ResourceName: string): MaterialExpressionLandscapeVisibilityMask;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLandscapeVisibilityMask;
+	static GetDefaultObject(): MaterialExpressionLandscapeVisibilityMask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLandscapeVisibilityMask;
+	static C(Other: UObject | any): MaterialExpressionLandscapeVisibilityMask;
 }
 
-declare class InterpTrackEvent extends InterpTrack { 
-	EventTrack: EventTrackKey[];
-	bFireEventsWhenForwards: boolean;
-	bFireEventsWhenBackwards: boolean;
-	bFireEventsWhenJumpingForwards: boolean;
-	bUseCustomEventName: boolean;
-	static Load(ResourceName: string): InterpTrackEvent;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackEvent;
-	static GetDefaultObject(): InterpTrackEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackEvent;
-	static C(Other: UObject | any): InterpTrackEvent;
+declare class ActorChannel extends Channel { 
+	Actor: Actor;
+	CreateSubObjects: UObject[];
+	static Load(ResourceName: string): ActorChannel;
+	static Find(Outer: UObject, ResourceName: string): ActorChannel;
+	static GetDefaultObject(): ActorChannel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorChannel;
+	static C(Other: UObject | any): ActorChannel;
 }
 
-declare class InterpTrackFade extends InterpTrackFloatBase { 
-	bPersistFade: boolean;
-	bFadeAudio: boolean;
-	FadeColor: LinearColor;
-	static Load(ResourceName: string): InterpTrackFade;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFade;
-	static GetDefaultObject(): InterpTrackFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFade;
-	static C(Other: UObject | any): InterpTrackFade;
+declare type EBlendSpaceAxis = 'BSA_None' | 'BSA_X' | 'BSA_Y' | 'BSA_Max';
+declare var EBlendSpaceAxis : { BSA_None:'BSA_None',BSA_X:'BSA_X',BSA_Y:'BSA_Y',BSA_Max:'BSA_Max', };
+declare class BlendSpace extends BlendSpaceBase { 
+	AxisToScaleAnimation: EBlendSpaceAxis;
+	static Load(ResourceName: string): BlendSpace;
+	static Find(Outer: UObject, ResourceName: string): BlendSpace;
+	static GetDefaultObject(): BlendSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpace;
+	static C(Other: UObject | any): BlendSpace;
 }
 
-declare class InterpTrackFloatAnimBPParam extends InterpTrackFloatBase { 
-	AnimBlueprintClass: UnrealEngineClass;
-	AnimClass: UnrealEngineClass;
-	ParamName: string;
-	static Load(ResourceName: string): InterpTrackFloatAnimBPParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatAnimBPParam;
-	static GetDefaultObject(): InterpTrackFloatAnimBPParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatAnimBPParam;
-	static C(Other: UObject | any): InterpTrackFloatAnimBPParam;
+declare class AimOffsetBlendSpace extends BlendSpace { 
+	static Load(ResourceName: string): AimOffsetBlendSpace;
+	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpace;
+	static GetDefaultObject(): AimOffsetBlendSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpace;
+	static C(Other: UObject | any): AimOffsetBlendSpace;
 }
 
-declare class InterpTrackFloatMaterialParam extends InterpTrackFloatBase { 
-	TargetMaterials: MaterialInterface[];
-	ParamName: string;
-	static Load(ResourceName: string): InterpTrackFloatMaterialParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatMaterialParam;
-	static GetDefaultObject(): InterpTrackFloatMaterialParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatMaterialParam;
-	static C(Other: UObject | any): InterpTrackFloatMaterialParam;
+declare class BlendSpace1D extends BlendSpaceBase { 
+	bDisplayEditorVertically: boolean;
+	bScaleAnimation: boolean;
+	static Load(ResourceName: string): BlendSpace1D;
+	static Find(Outer: UObject, ResourceName: string): BlendSpace1D;
+	static GetDefaultObject(): BlendSpace1D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendSpace1D;
+	static C(Other: UObject | any): BlendSpace1D;
 }
 
-declare class InterpTrackFloatParticleParam extends InterpTrackFloatBase { 
-	ParamName: string;
-	static Load(ResourceName: string): InterpTrackFloatParticleParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatParticleParam;
-	static GetDefaultObject(): InterpTrackFloatParticleParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatParticleParam;
-	static C(Other: UObject | any): InterpTrackFloatParticleParam;
+declare class AimOffsetBlendSpace1D extends BlendSpace1D { 
+	static Load(ResourceName: string): AimOffsetBlendSpace1D;
+	static Find(Outer: UObject, ResourceName: string): AimOffsetBlendSpace1D;
+	static GetDefaultObject(): AimOffsetBlendSpace1D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AimOffsetBlendSpace1D;
+	static C(Other: UObject | any): AimOffsetBlendSpace1D;
 }
 
-declare class InterpTrackFloatProp extends InterpTrackFloatBase { 
-	PropertyName: string;
-	static Load(ResourceName: string): InterpTrackFloatProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatProp;
-	static GetDefaultObject(): InterpTrackFloatProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatProp;
-	static C(Other: UObject | any): InterpTrackFloatProp;
+declare class AmbientSound extends Actor { 
+	AudioComponent: AudioComponent;
+	static GetDefaultObject(): AmbientSound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AmbientSound;
+	Stop(): void;
+	Play(StartTime: number): void;
+	FadeOut(FadeOutDuration: number,FadeVolumeLevel: number): void;
+	FadeIn(FadeInDuration: number,FadeVolumeLevel: number): void;
+	AdjustVolume(AdjustVolumeDuration: number,AdjustVolumeLevel: number): void;
+	static C(Other: UObject | any): AmbientSound;
 }
 
-declare class InterpTrackInstAnimControl extends InterpTrackInst { 
-	LastUpdatePosition: number;
-	InitPosition: Vector;
-	InitRotation: Rotator;
-	static Load(ResourceName: string): InterpTrackInstAnimControl;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstAnimControl;
-	static GetDefaultObject(): InterpTrackInstAnimControl;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstAnimControl;
-	static C(Other: UObject | any): InterpTrackInstAnimControl;
+declare class AnimationSettings extends DeveloperSettings { 
+	CompressCommandletVersion: number;
+	KeyEndEffectorsMatchNameArray: string[];
+	DefaultCompressionAlgorithm: UnrealEngineClass;
+	RotationCompressionFormat: AnimationCompressionFormat;
+	TranslationCompressionFormat: AnimationCompressionFormat;
+	MaxCurveError: number;
+	AlternativeCompressionThreshold: number;
+	ForceRecompression: boolean;
+	bOnlyCheckForMissingSkeletalMeshes: boolean;
+	bForceBelowThreshold: boolean;
+	bFirstRecompressUsingCurrentOrDefault: boolean;
+	bRaiseMaxErrorToExisting: boolean;
+	bTryExhaustiveSearch: boolean;
+	bEnableSegmenting: boolean;
+	bEnablePerformanceLog: boolean;
+	bStripAnimationDataOnDedicatedServer: boolean;
+	bTickAnimationOnSkeletalMeshInit: boolean;
+	static Load(ResourceName: string): AnimationSettings;
+	static Find(Outer: UObject, ResourceName: string): AnimationSettings;
+	static GetDefaultObject(): AnimationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSettings;
+	static C(Other: UObject | any): AnimationSettings;
 }
 
-declare class InterpTrackInstAudioMaster extends InterpTrackInst { 
-	static Load(ResourceName: string): InterpTrackInstAudioMaster;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstAudioMaster;
-	static GetDefaultObject(): InterpTrackInstAudioMaster;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstAudioMaster;
-	static C(Other: UObject | any): InterpTrackInstAudioMaster;
+declare class BakedStateExitTransition { 
+	CanTakeDelegateIndex: number;
+	CustomResultNodeIndex: number;
+	TransitionIndex: number;
+	bDesiredTransitionReturnValue: boolean;
+	bAutomaticRemainingTimeRule: boolean;
+	PoseEvaluatorLinks: number[];
+	clone() : BakedStateExitTransition;
+	static C(Other: UObject | any): BakedStateExitTransition;
 }
 
-declare class InterpTrackInstProperty extends InterpTrackInst { 
-	InterpProperty: Property;
-	PropertyOuterObjectInst: UObject;
-	static Load(ResourceName: string): InterpTrackInstProperty;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstProperty;
-	static GetDefaultObject(): InterpTrackInstProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstProperty;
-	static C(Other: UObject | any): InterpTrackInstProperty;
+declare class BakedAnimationState { 
+	StateName: string;
+	Transitions: BakedStateExitTransition[];
+	StateRootNodeIndex: number;
+	StartNotify: number;
+	EndNotify: number;
+	FullyBlendedNotify: number;
+	bIsAConduit: boolean;
+	EntryRuleNodeIndex: number;
+	PlayerNodeIndices: number[];
+	bAlwaysResetOnEntry: boolean;
+	clone() : BakedAnimationState;
+	static C(Other: UObject | any): BakedAnimationState;
 }
 
-declare class InterpTrackInstBoolProp extends InterpTrackInstProperty { 
-	BoolProperty: BoolProperty;
-	ResetBool: boolean;
-	static Load(ResourceName: string): InterpTrackInstBoolProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstBoolProp;
-	static GetDefaultObject(): InterpTrackInstBoolProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstBoolProp;
-	static C(Other: UObject | any): InterpTrackInstBoolProp;
+declare class AnimationStateBase { 
+	StateName: string;
+	clone() : AnimationStateBase;
+	static C(Other: UObject | any): AnimationStateBase;
 }
 
-declare class InterpTrackInstColorProp extends InterpTrackInstProperty { 
-	ResetColor: Color;
-	static Load(ResourceName: string): InterpTrackInstColorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstColorProp;
-	static GetDefaultObject(): InterpTrackInstColorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstColorProp;
-	static C(Other: UObject | any): InterpTrackInstColorProp;
+declare class AnimationTransitionBetweenStates extends AnimationStateBase { 
+	PreviousState: number;
+	NextState: number;
+	CrossfadeDuration: number;
+	StartNotify: number;
+	EndNotify: number;
+	InterruptNotify: number;
+	BlendMode: EAlphaBlendOption;
+	CustomCurve: CurveFloat;
+	BlendProfile: BlendProfile;
+	LogicType: ETransitionLogicType;
+	clone() : AnimationTransitionBetweenStates;
+	static C(Other: UObject | any): AnimationTransitionBetweenStates;
 }
 
-declare class InterpTrackInstColorScale extends InterpTrackInst { 
-	static Load(ResourceName: string): InterpTrackInstColorScale;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstColorScale;
-	static GetDefaultObject(): InterpTrackInstColorScale;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstColorScale;
-	static C(Other: UObject | any): InterpTrackInstColorScale;
+declare class BakedAnimationStateMachine { 
+	MachineName: string;
+	InitialState: number;
+	States: BakedAnimationState[];
+	Transitions: AnimationTransitionBetweenStates[];
+	clone() : BakedAnimationStateMachine;
+	static C(Other: UObject | any): BakedAnimationStateMachine;
 }
 
-declare class InterpTrackInstEvent extends InterpTrackInst { 
-	LastUpdatePosition: number;
-	static Load(ResourceName: string): InterpTrackInstEvent;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstEvent;
-	static GetDefaultObject(): InterpTrackInstEvent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstEvent;
-	static C(Other: UObject | any): InterpTrackInstEvent;
+declare type EPostCopyOperation = 'None' | 'LogicalNegateBool' | 'EPostCopyOperation_MAX';
+declare var EPostCopyOperation : { None:'None',LogicalNegateBool:'LogicalNegateBool',EPostCopyOperation_MAX:'EPostCopyOperation_MAX', };
+declare type ECopyType = 'MemCopy' | 'BoolProperty' | 'StructProperty' | 'ObjectProperty' | 'ECopyType_MAX';
+declare var ECopyType : { MemCopy:'MemCopy',BoolProperty:'BoolProperty',StructProperty:'StructProperty',ObjectProperty:'ObjectProperty',ECopyType_MAX:'ECopyType_MAX', };
+declare class ExposedValueCopyRecord { 
+	SourceProperty: Property;
+	SourcePropertyName: string;
+	SourceSubPropertyName: string;
+	SourceArrayIndex: number;
+	bInstanceIsTarget: boolean;
+	PostCopyOperation: EPostCopyOperation;
+	CopyType: ECopyType;
+	DestProperty: Property;
+	DestArrayIndex: number;
+	Size: number;
+	CachedSourceProperty: Property;
+	CachedSourceStructSubProperty: Property;
+	clone() : ExposedValueCopyRecord;
+	static C(Other: UObject | any): ExposedValueCopyRecord;
 }
 
-declare class InterpTrackInstFade extends InterpTrackInst { 
-	static Load(ResourceName: string): InterpTrackInstFade;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFade;
-	static GetDefaultObject(): InterpTrackInstFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFade;
-	static C(Other: UObject | any): InterpTrackInstFade;
+declare class ExposedValueHandler { 
+	BoundFunction: string;
+	CopyRecords: ExposedValueCopyRecord[];
+	UFunction: UFunction;
+	ValueHandlerNodeProperty: StructProperty;
+	clone() : ExposedValueHandler;
+	static C(Other: UObject | any): ExposedValueHandler;
 }
 
-declare class InterpTrackInstFloatAnimBPParam extends InterpTrackInst { 
-	AnimScriptInstance: AnimInstance;
-	ResetFloat: number;
-	static Load(ResourceName: string): InterpTrackInstFloatAnimBPParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatAnimBPParam;
-	static GetDefaultObject(): InterpTrackInstFloatAnimBPParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatAnimBPParam;
-	static C(Other: UObject | any): InterpTrackInstFloatAnimBPParam;
+declare class AnimBlueprintGeneratedClass extends BlueprintGeneratedClass { 
+	BakedStateMachines: BakedAnimationStateMachine[];
+	TargetSkeleton: Skeleton;
+	AnimNotifies: AnimNotifyEvent[];
+	OrderedSavedPoseIndices: number[];
+	SyncGroupNames: string[];
+	EvaluateGraphExposedInputs: ExposedValueHandler[];
+	static Load(ResourceName: string): AnimBlueprintGeneratedClass;
+	static Find(Outer: UObject, ResourceName: string): AnimBlueprintGeneratedClass;
+	static GetDefaultObject(): AnimBlueprintGeneratedClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimBlueprintGeneratedClass;
+	static C(Other: UObject | any): AnimBlueprintGeneratedClass;
 }
 
-declare class PrimitiveMaterialRef { 
-	Primitive: PrimitiveComponent;
-	Decal: DecalComponent;
-	ElementIndex: number;
-	clone() : PrimitiveMaterialRef;
-	static C(Other: UObject | any): PrimitiveMaterialRef;
+declare class AnimClassData extends UObject { 
+	BakedStateMachines: BakedAnimationStateMachine[];
+	TargetSkeleton: Skeleton;
+	AnimNotifies: AnimNotifyEvent[];
+	RootAnimNodeIndex: number;
+	OrderedSavedPoseIndices: number[];
+	RootAnimNodeProperty: StructProperty;
+	AnimNodeProperties: StructProperty[];
+	SyncGroupNames: string[];
+	EvaluateGraphExposedInputs: ExposedValueHandler[];
+	static Load(ResourceName: string): AnimClassData;
+	static Find(Outer: UObject, ResourceName: string): AnimClassData;
+	static GetDefaultObject(): AnimClassData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimClassData;
+	static C(Other: UObject | any): AnimClassData;
 }
 
-declare class InterpTrackInstFloatMaterialParam extends InterpTrackInst { 
-	MaterialInstances: MaterialInstanceDynamic[];
-	ResetFloats: number[];
-	PrimitiveMaterialRefs: PrimitiveMaterialRef[];
-	InstancedTrack: InterpTrackFloatMaterialParam;
-	static Load(ResourceName: string): InterpTrackInstFloatMaterialParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatMaterialParam;
-	static GetDefaultObject(): InterpTrackInstFloatMaterialParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatMaterialParam;
-	static C(Other: UObject | any): InterpTrackInstFloatMaterialParam;
+declare class AnimClassInterface extends Interface { 
+	static Load(ResourceName: string): AnimClassInterface;
+	static Find(Outer: UObject, ResourceName: string): AnimClassInterface;
+	static GetDefaultObject(): AnimClassInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimClassInterface;
+	static C(Other: UObject | any): AnimClassInterface;
 }
 
-declare class InterpTrackInstFloatParticleParam extends InterpTrackInst { 
-	ResetFloat: number;
-	static Load(ResourceName: string): InterpTrackInstFloatParticleParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatParticleParam;
-	static GetDefaultObject(): InterpTrackInstFloatParticleParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatParticleParam;
-	static C(Other: UObject | any): InterpTrackInstFloatParticleParam;
+declare class AnimComposite extends AnimCompositeBase { 
+	AnimationTrack: AnimTrack;
+	PreviewBasePose: AnimSequence;
+	static Load(ResourceName: string): AnimComposite;
+	static Find(Outer: UObject, ResourceName: string): AnimComposite;
+	static GetDefaultObject(): AnimComposite;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimComposite;
+	static C(Other: UObject | any): AnimComposite;
 }
 
-declare class InterpTrackInstFloatProp extends InterpTrackInstProperty { 
-	ResetFloat: number;
-	static Load(ResourceName: string): InterpTrackInstFloatProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatProp;
-	static GetDefaultObject(): InterpTrackInstFloatProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatProp;
-	static C(Other: UObject | any): InterpTrackInstFloatProp;
+declare class AnimCompress_Automatic extends AnimCompress { 
+	MaxEndEffectorError: number;
+	bRunCurrentDefaultCompressor: boolean;
+	bAutoReplaceIfExistingErrorTooGreat: boolean;
+	bRaiseMaxErrorToExisting: boolean;
+	bTryExhaustiveSearch: boolean;
+	static Load(ResourceName: string): AnimCompress_Automatic;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_Automatic;
+	static GetDefaultObject(): AnimCompress_Automatic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_Automatic;
+	static C(Other: UObject | any): AnimCompress_Automatic;
 }
 
-declare class InterpTrackInstLinearColorProp extends InterpTrackInstProperty { 
-	ResetColor: LinearColor;
-	static Load(ResourceName: string): InterpTrackInstLinearColorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstLinearColorProp;
-	static GetDefaultObject(): InterpTrackInstLinearColorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstLinearColorProp;
-	static C(Other: UObject | any): InterpTrackInstLinearColorProp;
+declare class AnimCompress_BitwiseCompressOnly extends AnimCompress { 
+	static Load(ResourceName: string): AnimCompress_BitwiseCompressOnly;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_BitwiseCompressOnly;
+	static GetDefaultObject(): AnimCompress_BitwiseCompressOnly;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_BitwiseCompressOnly;
+	static C(Other: UObject | any): AnimCompress_BitwiseCompressOnly;
 }
 
-declare class InterpTrackInstParticleReplay extends InterpTrackInst { 
-	LastUpdatePosition: number;
-	static Load(ResourceName: string): InterpTrackInstParticleReplay;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstParticleReplay;
-	static GetDefaultObject(): InterpTrackInstParticleReplay;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstParticleReplay;
-	static C(Other: UObject | any): InterpTrackInstParticleReplay;
+declare class AnimCompress_LeastDestructive extends AnimCompress { 
+	static Load(ResourceName: string): AnimCompress_LeastDestructive;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_LeastDestructive;
+	static GetDefaultObject(): AnimCompress_LeastDestructive;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_LeastDestructive;
+	static C(Other: UObject | any): AnimCompress_LeastDestructive;
 }
 
-declare class InterpTrackInstSlomo extends InterpTrackInst { 
-	OldTimeDilation: number;
-	static Load(ResourceName: string): InterpTrackInstSlomo;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstSlomo;
-	static GetDefaultObject(): InterpTrackInstSlomo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstSlomo;
-	static C(Other: UObject | any): InterpTrackInstSlomo;
+declare class AnimCompress_RemoveLinearKeys extends AnimCompress { 
+	MaxPosDiff: number;
+	MaxAngleDiff: number;
+	MaxScaleDiff: number;
+	MaxEffectorDiff: number;
+	MinEffectorDiff: number;
+	EffectorDiffSocket: number;
+	ParentKeyScale: number;
+	bRetarget: boolean;
+	bActuallyFilterLinearKeys: boolean;
+	bOptimizeForForwardPlayback: boolean;
+	bUseDecompression: boolean;
+	bUseMultithreading: boolean;
+	static Load(ResourceName: string): AnimCompress_RemoveLinearKeys;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveLinearKeys;
+	static GetDefaultObject(): AnimCompress_RemoveLinearKeys;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveLinearKeys;
+	static C(Other: UObject | any): AnimCompress_RemoveLinearKeys;
 }
 
-declare class InterpTrackInstSound extends InterpTrackInst { 
-	LastUpdatePosition: number;
-	PlayAudioComp: AudioComponent;
-	static Load(ResourceName: string): InterpTrackInstSound;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstSound;
-	static GetDefaultObject(): InterpTrackInstSound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstSound;
-	static C(Other: UObject | any): InterpTrackInstSound;
+declare class AnimCompress_PerTrackCompression extends AnimCompress_RemoveLinearKeys { 
+	MaxZeroingThreshold: number;
+	MaxPosDiffBitwise: number;
+	MaxAngleDiffBitwise: number;
+	MaxScaleDiffBitwise: number;
+	AllowedRotationFormats: AnimationCompressionFormat[];
+	AllowedTranslationFormats: AnimationCompressionFormat[];
+	AllowedScaleFormats: AnimationCompressionFormat[];
+	bResampleAnimation: boolean;
+	ResampledFramerate: number;
+	MinKeysForResampling: number;
+	bUseAdaptiveError: boolean;
+	bUseOverrideForEndEffectors: boolean;
+	TrackHeightBias: number;
+	ParentingDivisor: number;
+	ParentingDivisorExponent: number;
+	bUseAdaptiveError2: boolean;
+	RotationErrorSourceRatio: number;
+	TranslationErrorSourceRatio: number;
+	ScaleErrorSourceRatio: number;
+	MaxErrorPerTrackRatio: number;
+	PerturbationProbeSize: number;
+	static Load(ResourceName: string): AnimCompress_PerTrackCompression;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_PerTrackCompression;
+	static GetDefaultObject(): AnimCompress_PerTrackCompression;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_PerTrackCompression;
+	static C(Other: UObject | any): AnimCompress_PerTrackCompression;
 }
 
-declare type ETrackToggleAction = 'ETTA_Off' | 'ETTA_On' | 'ETTA_Toggle' | 'ETTA_Trigger' | 'ETTA_MAX';
-declare var ETrackToggleAction : { ETTA_Off:'ETTA_Off',ETTA_On:'ETTA_On',ETTA_Toggle:'ETTA_Toggle',ETTA_Trigger:'ETTA_Trigger',ETTA_MAX:'ETTA_MAX', };
-declare class InterpTrackInstToggle extends InterpTrackInst { 
-	Action: ETrackToggleAction;
-	LastUpdatePosition: number;
-	bSavedActiveState: boolean;
-	static Load(ResourceName: string): InterpTrackInstToggle;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstToggle;
-	static GetDefaultObject(): InterpTrackInstToggle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstToggle;
-	static C(Other: UObject | any): InterpTrackInstToggle;
+declare class AnimCompress_RemoveEverySecondKey extends AnimCompress { 
+	MinKeys: number;
+	bStartAtSecondKey: boolean;
+	static Load(ResourceName: string): AnimCompress_RemoveEverySecondKey;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveEverySecondKey;
+	static GetDefaultObject(): AnimCompress_RemoveEverySecondKey;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveEverySecondKey;
+	static C(Other: UObject | any): AnimCompress_RemoveEverySecondKey;
 }
 
-declare class InterpTrackVectorMaterialParam extends InterpTrackVectorBase { 
-	TargetMaterials: MaterialInterface[];
-	ParamName: string;
-	static Load(ResourceName: string): InterpTrackVectorMaterialParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorMaterialParam;
-	static GetDefaultObject(): InterpTrackVectorMaterialParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorMaterialParam;
-	static C(Other: UObject | any): InterpTrackVectorMaterialParam;
+declare class AnimCompress_RemoveTrivialKeys extends AnimCompress { 
+	MaxPosDiff: number;
+	MaxAngleDiff: number;
+	MaxScaleDiff: number;
+	static Load(ResourceName: string): AnimCompress_RemoveTrivialKeys;
+	static Find(Outer: UObject, ResourceName: string): AnimCompress_RemoveTrivialKeys;
+	static GetDefaultObject(): AnimCompress_RemoveTrivialKeys;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCompress_RemoveTrivialKeys;
+	static C(Other: UObject | any): AnimCompress_RemoveTrivialKeys;
 }
 
-declare class InterpTrackInstVectorMaterialParam extends InterpTrackInst { 
-	MaterialInstances: MaterialInstanceDynamic[];
-	ResetVectors: Vector[];
-	PrimitiveMaterialRefs: PrimitiveMaterialRef[];
-	InstancedTrack: InterpTrackVectorMaterialParam;
-	static Load(ResourceName: string): InterpTrackInstVectorMaterialParam;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVectorMaterialParam;
-	static GetDefaultObject(): InterpTrackInstVectorMaterialParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVectorMaterialParam;
-	static C(Other: UObject | any): InterpTrackInstVectorMaterialParam;
+declare class AnimCurveCompressionCodec_CompressedRichCurve extends AnimCurveCompressionCodec { 
+	MaxCurveError: number;
+	UseAnimSequenceSampleRate: boolean;
+	ErrorSampleRate: number;
+	static Load(ResourceName: string): AnimCurveCompressionCodec_CompressedRichCurve;
+	static Find(Outer: UObject, ResourceName: string): AnimCurveCompressionCodec_CompressedRichCurve;
+	static GetDefaultObject(): AnimCurveCompressionCodec_CompressedRichCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCurveCompressionCodec_CompressedRichCurve;
+	static C(Other: UObject | any): AnimCurveCompressionCodec_CompressedRichCurve;
 }
 
-declare class InterpTrackInstVectorProp extends InterpTrackInstProperty { 
-	ResetVector: Vector;
-	static Load(ResourceName: string): InterpTrackInstVectorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVectorProp;
-	static GetDefaultObject(): InterpTrackInstVectorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVectorProp;
-	static C(Other: UObject | any): InterpTrackInstVectorProp;
+declare class AnimCurveCompressionCodec_UniformlySampled extends AnimCurveCompressionCodec { 
+	UseAnimSequenceSampleRate: boolean;
+	SampleRate: number;
+	static Load(ResourceName: string): AnimCurveCompressionCodec_UniformlySampled;
+	static Find(Outer: UObject, ResourceName: string): AnimCurveCompressionCodec_UniformlySampled;
+	static GetDefaultObject(): AnimCurveCompressionCodec_UniformlySampled;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimCurveCompressionCodec_UniformlySampled;
+	static C(Other: UObject | any): AnimCurveCompressionCodec_UniformlySampled;
 }
 
-declare type EVisibilityTrackAction = 'EVTA_Hide' | 'EVTA_Show' | 'EVTA_Toggle' | 'EVTA_MAX';
-declare var EVisibilityTrackAction : { EVTA_Hide:'EVTA_Hide',EVTA_Show:'EVTA_Show',EVTA_Toggle:'EVTA_Toggle',EVTA_MAX:'EVTA_MAX', };
-declare class InterpTrackInstVisibility extends InterpTrackInst { 
-	Action: EVisibilityTrackAction;
-	LastUpdatePosition: number;
-	static Load(ResourceName: string): InterpTrackInstVisibility;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVisibility;
-	static GetDefaultObject(): InterpTrackInstVisibility;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVisibility;
-	static C(Other: UObject | any): InterpTrackInstVisibility;
+declare class AnimNotify_PauseClothingSimulation extends AnimNotify { 
+	static Load(ResourceName: string): AnimNotify_PauseClothingSimulation;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_PauseClothingSimulation;
+	static GetDefaultObject(): AnimNotify_PauseClothingSimulation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PauseClothingSimulation;
+	static C(Other: UObject | any): AnimNotify_PauseClothingSimulation;
 }
 
-declare class InterpCurvePointLinearColor { 
-	InVal: number;
-	OutVal: LinearColor;
-	ArriveTangent: LinearColor;
-	LeaveTangent: LinearColor;
-	InterpMode: EInterpCurveMode;
-	clone() : InterpCurvePointLinearColor;
-	static C(Other: UObject | any): InterpCurvePointLinearColor;
+declare class AnimNotify_PlayParticleEffect extends AnimNotify { 
+	PSTemplate: ParticleSystem;
+	LocationOffset: Vector;
+	RotationOffset: Rotator;
+	Scale: Vector;
+	Attached: boolean;
+	SocketName: string;
+	static Load(ResourceName: string): AnimNotify_PlayParticleEffect;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlayParticleEffect;
+	static GetDefaultObject(): AnimNotify_PlayParticleEffect;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlayParticleEffect;
+	static C(Other: UObject | any): AnimNotify_PlayParticleEffect;
 }
 
-declare class InterpCurveLinearColor { 
-	Points: InterpCurvePointLinearColor[];
-	bIsLooped: boolean;
-	LoopKeyOffset: number;
-	clone() : InterpCurveLinearColor;
-	static C(Other: UObject | any): InterpCurveLinearColor;
+declare class AnimNotify_PlaySound extends AnimNotify { 
+	Sound: SoundBase;
+	VolumeMultiplier: number;
+	PitchMultiplier: number;
+	bFollow: boolean;
+	AttachName: string;
+	static Load(ResourceName: string): AnimNotify_PlaySound;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_PlaySound;
+	static GetDefaultObject(): AnimNotify_PlaySound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_PlaySound;
+	static C(Other: UObject | any): AnimNotify_PlaySound;
 }
 
-declare class InterpTrackLinearColorBase extends InterpTrack { 
-	LinearColorTrack: InterpCurveLinearColor;
-	CurveTension: number;
-	static Load(ResourceName: string): InterpTrackLinearColorBase;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackLinearColorBase;
-	static GetDefaultObject(): InterpTrackLinearColorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackLinearColorBase;
-	static C(Other: UObject | any): InterpTrackLinearColorBase;
+declare class AnimNotify_ResetClothingSimulation extends AnimNotify { 
+	static Load(ResourceName: string): AnimNotify_ResetClothingSimulation;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_ResetClothingSimulation;
+	static GetDefaultObject(): AnimNotify_ResetClothingSimulation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_ResetClothingSimulation;
+	static C(Other: UObject | any): AnimNotify_ResetClothingSimulation;
 }
 
-declare class InterpTrackLinearColorProp extends InterpTrackLinearColorBase { 
-	PropertyName: string;
-	static Load(ResourceName: string): InterpTrackLinearColorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackLinearColorProp;
-	static GetDefaultObject(): InterpTrackLinearColorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackLinearColorProp;
-	static C(Other: UObject | any): InterpTrackLinearColorProp;
+declare class AnimNotify_ResetDynamics extends AnimNotify { 
+	static Load(ResourceName: string): AnimNotify_ResetDynamics;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_ResetDynamics;
+	static GetDefaultObject(): AnimNotify_ResetDynamics;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_ResetDynamics;
+	static C(Other: UObject | any): AnimNotify_ResetDynamics;
 }
 
-declare type EInterpMoveAxis = 'AXIS_TranslationX' | 'AXIS_TranslationY' | 'AXIS_TranslationZ' | 'AXIS_RotationX' | 'AXIS_RotationY' | 'AXIS_RotationZ' | 'AXIS_MAX';
-declare var EInterpMoveAxis : { AXIS_TranslationX:'AXIS_TranslationX',AXIS_TranslationY:'AXIS_TranslationY',AXIS_TranslationZ:'AXIS_TranslationZ',AXIS_RotationX:'AXIS_RotationX',AXIS_RotationY:'AXIS_RotationY',AXIS_RotationZ:'AXIS_RotationZ',AXIS_MAX:'AXIS_MAX', };
-declare class InterpTrackMoveAxis extends InterpTrackFloatBase { 
-	MoveAxis: EInterpMoveAxis;
-	LookupTrack: InterpLookupTrack;
-	static Load(ResourceName: string): InterpTrackMoveAxis;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackMoveAxis;
-	static GetDefaultObject(): InterpTrackMoveAxis;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackMoveAxis;
-	static C(Other: UObject | any): InterpTrackMoveAxis;
+declare class AnimNotify_ResumeClothingSimulation extends AnimNotify { 
+	static Load(ResourceName: string): AnimNotify_ResumeClothingSimulation;
+	static Find(Outer: UObject, ResourceName: string): AnimNotify_ResumeClothingSimulation;
+	static GetDefaultObject(): AnimNotify_ResumeClothingSimulation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotify_ResumeClothingSimulation;
+	static C(Other: UObject | any): AnimNotify_ResumeClothingSimulation;
 }
 
-declare class ParticleReplayTrackKey { 
-	Time: number;
-	Duration: number;
-	ClipIDNumber: number;
-	clone() : ParticleReplayTrackKey;
-	static C(Other: UObject | any): ParticleReplayTrackKey;
+declare class AnimNotifyState_DisableRootMotion extends AnimNotifyState { 
+	static Load(ResourceName: string): AnimNotifyState_DisableRootMotion;
+	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_DisableRootMotion;
+	static GetDefaultObject(): AnimNotifyState_DisableRootMotion;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_DisableRootMotion;
+	static C(Other: UObject | any): AnimNotifyState_DisableRootMotion;
 }
 
-declare class InterpTrackParticleReplay extends InterpTrack { 
-	TrackKeys: ParticleReplayTrackKey[];
-	bIsCapturingReplay: boolean;
-	FixedTimeStep: number;
-	static Load(ResourceName: string): InterpTrackParticleReplay;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackParticleReplay;
-	static GetDefaultObject(): InterpTrackParticleReplay;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackParticleReplay;
-	static C(Other: UObject | any): InterpTrackParticleReplay;
+declare class AnimNotifyState_TimedParticleEffect extends AnimNotifyState { 
+	PSTemplate: ParticleSystem;
+	SocketName: string;
+	LocationOffset: Vector;
+	RotationOffset: Rotator;
+	bDestroyAtEnd: boolean;
+	PreviousPSTemplates: ParticleSystem[];
+	PreviousSocketNames: string[];
+	static Load(ResourceName: string): AnimNotifyState_TimedParticleEffect;
+	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_TimedParticleEffect;
+	static GetDefaultObject(): AnimNotifyState_TimedParticleEffect;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_TimedParticleEffect;
+	static C(Other: UObject | any): AnimNotifyState_TimedParticleEffect;
 }
 
-declare class InterpTrackSlomo extends InterpTrackFloatBase { 
-	static Load(ResourceName: string): InterpTrackSlomo;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackSlomo;
-	static GetDefaultObject(): InterpTrackSlomo;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackSlomo;
-	static C(Other: UObject | any): InterpTrackSlomo;
+declare class AnimNotifyState_Trail extends AnimNotifyState { 
+	PSTemplate: ParticleSystem;
+	FirstSocketName: string;
+	SecondSocketName: string;
+	WidthScaleMode: ETrailWidthMode;
+	WidthScaleCurve: string;
+	bRecycleSpawnedSystems: boolean;
+	bRenderGeometry: boolean;
+	bRenderSpawnPoints: boolean;
+	bRenderTangents: boolean;
+	bRenderTessellation: boolean;
+	static Load(ResourceName: string): AnimNotifyState_Trail;
+	static Find(Outer: UObject, ResourceName: string): AnimNotifyState_Trail;
+	static GetDefaultObject(): AnimNotifyState_Trail;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimNotifyState_Trail;
+	OverridePSTemplate(MeshComp: SkeletalMeshComponent,Animation: AnimSequenceBase): ParticleSystem;
+	static C(Other: UObject | any): AnimNotifyState_Trail;
 }
 
-declare class SoundTrackKey { 
-	Time: number;
-	Volume: number;
-	Pitch: number;
-	Sound: SoundBase;
-	clone() : SoundTrackKey;
-	static C(Other: UObject | any): SoundTrackKey;
+declare class AnimSetMeshLinkup { 
+	BoneToTrackTable: number[];
+	clone() : AnimSetMeshLinkup;
+	static C(Other: UObject | any): AnimSetMeshLinkup;
 }
 
-declare class InterpTrackSound extends InterpTrackVectorBase { 
-	Sounds: SoundTrackKey[];
-	bPlayOnReverse: boolean;
-	bContinueSoundOnMatineeEnd: boolean;
-	bSuppressSubtitles: boolean;
-	bTreatAsDialogue: boolean;
-	bAttach: boolean;
-	static Load(ResourceName: string): InterpTrackSound;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackSound;
-	static GetDefaultObject(): InterpTrackSound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackSound;
-	static C(Other: UObject | any): InterpTrackSound;
+declare class AnimSet extends UObject { 
+	bAnimRotationOnly: boolean;
+	TrackBoneNames: string[];
+	Sequences: AnimSequence[];
+	LinkupCache: AnimSetMeshLinkup[];
+	BoneUseAnimTranslation: number[];
+	ForceUseMeshTranslation: number[];
+	UseTranslationBoneNames: string[];
+	ForceMeshTranslationBoneNames: string[];
+	PreviewSkelMeshName: string;
+	BestRatioSkelMeshName: string;
+	static Load(ResourceName: string): AnimSet;
+	static Find(Outer: UObject, ResourceName: string): AnimSet;
+	static GetDefaultObject(): AnimSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSet;
+	static C(Other: UObject | any): AnimSet;
 }
 
-declare class ToggleTrackKey { 
-	Time: number;
-	ToggleAction: ETrackToggleAction;
-	clone() : ToggleTrackKey;
-	static C(Other: UObject | any): ToggleTrackKey;
+declare class AnimStateMachineTypes extends UObject { 
+	static Load(ResourceName: string): AnimStateMachineTypes;
+	static Find(Outer: UObject, ResourceName: string): AnimStateMachineTypes;
+	static GetDefaultObject(): AnimStateMachineTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimStateMachineTypes;
+	static C(Other: UObject | any): AnimStateMachineTypes;
 }
 
-declare class InterpTrackToggle extends InterpTrack { 
-	ToggleTrack: ToggleTrackKey[];
-	bActivateSystemEachUpdate: boolean;
-	bActivateWithJustAttachedFlag: boolean;
-	bFireEventsWhenForwards: boolean;
-	bFireEventsWhenBackwards: boolean;
-	bFireEventsWhenJumpingForwards: boolean;
-	static Load(ResourceName: string): InterpTrackToggle;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackToggle;
-	static GetDefaultObject(): InterpTrackToggle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackToggle;
-	static C(Other: UObject | any): InterpTrackToggle;
+declare type ETemperatureSeverityType = 'Unknown' | 'Good' | 'Bad' | 'Serious' | 'Critical' | 'NumSeverities' | 'ETemperatureSeverityType_MAX';
+declare var ETemperatureSeverityType : { Unknown:'Unknown',Good:'Good',Bad:'Bad',Serious:'Serious',Critical:'Critical',NumSeverities:'NumSeverities',ETemperatureSeverityType_MAX:'ETemperatureSeverityType_MAX', };
+declare class ApplicationLifecycleComponent extends ActorComponent { 
+	ApplicationWillDeactivateDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationHasReactivatedDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationWillEnterBackgroundDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationHasEnteredForegroundDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationWillTerminateDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationShouldUnloadResourcesDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationReceivedStartupArgumentsDelegate: UnrealEngineMulticastDelegate<(StartupArguments: string[]) => void>;
+	OnTemperatureChangeDelegate: UnrealEngineMulticastDelegate<(Severity: ETemperatureSeverityType) => void>;
+	OnLowPowerModeDelegate: UnrealEngineMulticastDelegate<(bInLowPowerMode: boolean) => void>;
+	static Load(ResourceName: string): ApplicationLifecycleComponent;
+	static Find(Outer: UObject, ResourceName: string): ApplicationLifecycleComponent;
+	static GetDefaultObject(): ApplicationLifecycleComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ApplicationLifecycleComponent;
+	static C(Other: UObject | any): ApplicationLifecycleComponent;
 }
 
-declare class InterpTrackVectorProp extends InterpTrackVectorBase { 
-	PropertyName: string;
-	static Load(ResourceName: string): InterpTrackVectorProp;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorProp;
-	static GetDefaultObject(): InterpTrackVectorProp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorProp;
-	static C(Other: UObject | any): InterpTrackVectorProp;
+declare type EPrimaryAssetCookRule = 'Unknown' | 'NeverCook' | 'DevelopmentCook' | 'DevelopmentAlwaysCook' | 'AlwaysCook' | 'EPrimaryAssetCookRule_MAX';
+declare var EPrimaryAssetCookRule : { Unknown:'Unknown',NeverCook:'NeverCook',DevelopmentCook:'DevelopmentCook',DevelopmentAlwaysCook:'DevelopmentAlwaysCook',AlwaysCook:'AlwaysCook',EPrimaryAssetCookRule_MAX:'EPrimaryAssetCookRule_MAX', };
+declare class PrimaryAssetRules { 
+	Priority: number;
+	bApplyRecursively: boolean;
+	ChunkID: number;
+	CookRule: EPrimaryAssetCookRule;
+	clone() : PrimaryAssetRules;
+	static C(Other: UObject | any): PrimaryAssetRules;
 }
 
-declare type EVisibilityTrackCondition = 'EVTC_Always' | 'EVTC_GoreEnabled' | 'EVTC_GoreDisabled' | 'EVTC_MAX';
-declare var EVisibilityTrackCondition : { EVTC_Always:'EVTC_Always',EVTC_GoreEnabled:'EVTC_GoreEnabled',EVTC_GoreDisabled:'EVTC_GoreDisabled',EVTC_MAX:'EVTC_MAX', };
-declare class VisibilityTrackKey { 
-	Time: number;
-	Action: EVisibilityTrackAction;
-	ActiveCondition: EVisibilityTrackCondition;
-	clone() : VisibilityTrackKey;
-	static C(Other: UObject | any): VisibilityTrackKey;
+declare class PrimaryAssetTypeInfo { 
+	PrimaryAssetType: string;
+	AssetBaseClass: Class;
+	AssetBaseClassLoaded: UnrealEngineClass;
+	bHasBlueprintClasses: boolean;
+	bIsEditorOnly: boolean;
+	Directories: DirectoryPath[];
+	SpecificAssets: SoftObjectPath[];
+	Rules: PrimaryAssetRules;
+	AssetScanPaths: string[];
+	bIsDynamicAsset: boolean;
+	NumberOfAssets: number;
+	clone() : PrimaryAssetTypeInfo;
+	static C(Other: UObject | any): PrimaryAssetTypeInfo;
 }
 
-declare class InterpTrackVisibility extends InterpTrack { 
-	VisibilityTrack: VisibilityTrackKey[];
-	bFireEventsWhenForwards: boolean;
-	bFireEventsWhenBackwards: boolean;
-	bFireEventsWhenJumpingForwards: boolean;
-	static Load(ResourceName: string): InterpTrackVisibility;
-	static Find(Outer: UObject, ResourceName: string): InterpTrackVisibility;
-	static GetDefaultObject(): InterpTrackVisibility;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVisibility;
-	static C(Other: UObject | any): InterpTrackVisibility;
+declare class PrimaryAssetRulesOverride { 
+	PrimaryAssetId: PrimaryAssetId;
+	Rules: PrimaryAssetRules;
+	clone() : PrimaryAssetRulesOverride;
+	static C(Other: UObject | any): PrimaryAssetRulesOverride;
 }
 
-declare class IntSerialization extends UObject { 
-	UnsignedInt16Variable: any;
-	UnsignedInt32Variable: any;
-	UnsignedInt64Variable: any;
-	SignedInt8Variable: any;
-	SignedInt16Variable: any;
-	SignedInt64Variable: any;
-	UnsignedInt8Variable: number;
-	SignedInt32Variable: number;
-	static Load(ResourceName: string): IntSerialization;
-	static Find(Outer: UObject, ResourceName: string): IntSerialization;
-	static GetDefaultObject(): IntSerialization;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IntSerialization;
-	static C(Other: UObject | any): IntSerialization;
+declare class PrimaryAssetRulesCustomOverride { 
+	PrimaryAssetType: PrimaryAssetType;
+	FilterDirectory: DirectoryPath;
+	FilterString: string;
+	Rules: PrimaryAssetRules;
+	clone() : PrimaryAssetRulesCustomOverride;
+	static C(Other: UObject | any): PrimaryAssetRulesCustomOverride;
 }
 
-declare class KillZVolume extends PhysicsVolume { 
-	static GetDefaultObject(): KillZVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KillZVolume;
-	static C(Other: UObject | any): KillZVolume;
+declare class AssetManagerRedirect { 
+	Old: string;
+	New: string;
+	clone() : AssetManagerRedirect;
+	static C(Other: UObject | any): AssetManagerRedirect;
 }
 
-declare class KismetArrayLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetArrayLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetArrayLibrary;
-	static GetDefaultObject(): KismetArrayLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetArrayLibrary;
-	static SetArrayPropertyByName(UObject: UObject,PropertyName: string,Value: number[]): void;
-	static FilterArray(TargetArray: Actor[],FilterClass: UnrealEngineClass,FilteredArray?: Actor[]): {FilteredArray: Actor[]};
-	static Array_Swap(TargetArray: number[],FirstIndex: number,SecondIndex: number): void;
-	static Array_Shuffle(TargetArray: number[]): void;
-	static Array_Set(TargetArray: number[],index: number,Item: number,bSizeToFit: boolean): void;
-	static Array_Resize(TargetArray: number[],Size: number): void;
-	static Array_RemoveItem(TargetArray: number[],Item: number): boolean;
-	static Array_Remove(TargetArray: number[],IndexToRemove: number): void;
-	static Array_Length(TargetArray: number[]): number;
-	static Array_LastIndex(TargetArray: number[]): number;
-	static Array_IsValidIndex(TargetArray: number[],IndexToTest: number): boolean;
-	static Array_Insert(TargetArray: number[],NewItem: number,index: number): void;
-	static Array_Get(TargetArray: number[],index: number,Item?: number): {Item: number};
-	static Array_Find(TargetArray: number[],ItemToFind: number): number;
-	static Array_Contains(TargetArray: number[],ItemToFind: number): boolean;
-	static Array_Clear(TargetArray: number[]): void;
-	static Array_Append(TargetArray: number[],SourceArray: number[]): void;
-	static Array_AddUnique(TargetArray: number[],NewItem: number): number;
-	static Array_Add(TargetArray: number[],NewItem: number): number;
-	static C(Other: UObject | any): KismetArrayLibrary;
+declare class AssetManagerSettings extends DeveloperSettings { 
+	PrimaryAssetTypesToScan: PrimaryAssetTypeInfo[];
+	DirectoriesToExclude: DirectoryPath[];
+	PrimaryAssetRules: PrimaryAssetRulesOverride[];
+	CustomPrimaryAssetRules: PrimaryAssetRulesCustomOverride[];
+	bOnlyCookProductionAssets: boolean;
+	bShouldManagerDetermineTypeAndName: boolean;
+	bShouldGuessTypeAndNameInEditor: boolean;
+	bShouldAcquireMissingChunksOnLoad: boolean;
+	PrimaryAssetIdRedirects: AssetManagerRedirect[];
+	PrimaryAssetTypeRedirects: AssetManagerRedirect[];
+	AssetPathRedirects: AssetManagerRedirect[];
+	MetaDataTagsForAssetRegistry: any;
+	static Load(ResourceName: string): AssetManagerSettings;
+	static Find(Outer: UObject, ResourceName: string): AssetManagerSettings;
+	static GetDefaultObject(): AssetManagerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetManagerSettings;
+	static C(Other: UObject | any): AssetManagerSettings;
 }
 
-declare class KismetGuidLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetGuidLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetGuidLibrary;
-	static GetDefaultObject(): KismetGuidLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetGuidLibrary;
-	static Parse_StringToGuid(GuidString: string,OutGuid?: Guid,Success?: boolean): {OutGuid: Guid, Success: boolean};
-	static NotEqual_GuidGuid(A: Guid,B: Guid): boolean;
-	static NewGuid(): Guid;
-	static IsValid_Guid(InGuid: Guid): boolean;
-	static Invalidate_Guid(InGuid?: Guid): {InGuid: Guid};
-	static EqualEqual_GuidGuid(A: Guid,B: Guid): boolean;
-	static Conv_GuidToString(InGuid: Guid): string;
-	static C(Other: UObject | any): KismetGuidLibrary;
+declare class AsyncActionLoadPrimaryAssetBase extends BlueprintAsyncActionBase { 
+	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetBase;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetBase;
+	static GetDefaultObject(): AsyncActionLoadPrimaryAssetBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetBase;
+	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetBase;
 }
 
-declare class KismetInputLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetInputLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetInputLibrary;
-	static GetDefaultObject(): KismetInputLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetInputLibrary;
-	static PointerEvent_IsTouchEvent(Input: UPointerEvent): boolean;
-	static PointerEvent_IsMouseButtonDown(Input: UPointerEvent,MouseButton: Key): boolean;
-	static PointerEvent_GetWheelDelta(Input: UPointerEvent): number;
-	static PointerEvent_GetUserIndex(Input: UPointerEvent): number;
-	static PointerEvent_GetTouchpadIndex(Input: UPointerEvent): number;
-	static PointerEvent_GetScreenSpacePosition(Input: UPointerEvent): Vector2D;
-	static PointerEvent_GetPointerIndex(Input: UPointerEvent): number;
-	static PointerEvent_GetLastScreenSpacePosition(Input: UPointerEvent): Vector2D;
-	static PointerEvent_GetGestureType(Input: UPointerEvent): ESlateGesture;
-	static PointerEvent_GetGestureDelta(Input: UPointerEvent): Vector2D;
-	static PointerEvent_GetEffectingButton(Input: UPointerEvent): Key;
-	static PointerEvent_GetCursorDelta(Input: UPointerEvent): Vector2D;
-	static Key_IsVectorAxis(Key: Key): boolean;
-	static Key_IsMouseButton(Key: Key): boolean;
-	static Key_IsModifierKey(Key: Key): boolean;
-	static Key_IsKeyboardKey(Key: Key): boolean;
-	static Key_IsGamepadKey(Key: Key): boolean;
-	static Key_IsFloatAxis(Key: Key): boolean;
-	static Key_GetDisplayName(Key: Key): string;
-	static InputEvent_IsShiftDown(Input: InputEvent): boolean;
-	static InputEvent_IsRightShiftDown(Input: InputEvent): boolean;
-	static InputEvent_IsRightControlDown(Input: InputEvent): boolean;
-	static InputEvent_IsRightCommandDown(Input: InputEvent): boolean;
-	static InputEvent_IsRightAltDown(Input: InputEvent): boolean;
-	static InputEvent_IsRepeat(Input: InputEvent): boolean;
-	static InputEvent_IsLeftShiftDown(Input: InputEvent): boolean;
-	static InputEvent_IsLeftControlDown(Input: InputEvent): boolean;
-	static InputEvent_IsLeftCommandDown(Input: InputEvent): boolean;
-	static InputEvent_IsLeftAltDown(Input: InputEvent): boolean;
-	static InputEvent_IsControlDown(Input: InputEvent): boolean;
-	static InputEvent_IsCommandDown(Input: InputEvent): boolean;
-	static InputEvent_IsAltDown(Input: InputEvent): boolean;
-	static GetUserIndex(Input: KeyEvent): number;
-	static GetKey(Input: KeyEvent): Key;
-	static GetAnalogValue(Input: AnalogInputEvent): number;
-	static EqualEqual_KeyKey(A: Key,B: Key): boolean;
-	static EqualEqual_InputChordInputChord(A: InputChord,B: InputChord): boolean;
-	static CalibrateTilt(): void;
-	static C(Other: UObject | any): KismetInputLibrary;
+declare class AsyncActionLoadPrimaryAsset extends AsyncActionLoadPrimaryAssetBase { 
+	Completed: UnrealEngineMulticastDelegate<(Loaded: UObject) => void>;
+	static Load(ResourceName: string): AsyncActionLoadPrimaryAsset;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAsset;
+	static GetDefaultObject(): AsyncActionLoadPrimaryAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAsset;
+	static AsyncLoadPrimaryAsset(WorldContextObject: UObject,PrimaryAsset: PrimaryAssetId,LoadBundles: string[]): AsyncActionLoadPrimaryAsset;
+	static C(Other: UObject | any): AsyncActionLoadPrimaryAsset;
 }
 
-declare class KismetInternationalizationLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetInternationalizationLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetInternationalizationLibrary;
-	static GetDefaultObject(): KismetInternationalizationLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetInternationalizationLibrary;
-	static SetCurrentLocale(Culture: string,SaveToConfig: boolean): boolean;
-	static SetCurrentLanguageAndLocale(Culture: string,SaveToConfig: boolean): boolean;
-	static SetCurrentLanguage(Culture: string,SaveToConfig: boolean): boolean;
-	static SetCurrentCulture(Culture: string,SaveToConfig: boolean): boolean;
-	static SetCurrentAssetGroupCulture(AssetGroup: string,Culture: string,SaveToConfig: boolean): boolean;
-	static GetCurrentLocale(): string;
-	static GetCurrentLanguage(): string;
-	static GetCurrentCulture(): string;
-	static GetCurrentAssetGroupCulture(AssetGroup: string): string;
-	static ClearCurrentAssetGroupCulture(AssetGroup: string,SaveToConfig: boolean): void;
-	static C(Other: UObject | any): KismetInternationalizationLibrary;
+declare class AsyncActionLoadPrimaryAssetClass extends AsyncActionLoadPrimaryAssetBase { 
+	Completed: UnrealEngineMulticastDelegate<(Loaded: UnrealEngineClass) => void>;
+	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetClass;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetClass;
+	static GetDefaultObject(): AsyncActionLoadPrimaryAssetClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetClass;
+	static AsyncLoadPrimaryAssetClass(WorldContextObject: UObject,PrimaryAsset: PrimaryAssetId,LoadBundles: string[]): AsyncActionLoadPrimaryAssetClass;
+	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetClass;
 }
 
-declare class KismetMaterialLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetMaterialLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetMaterialLibrary;
-	static GetDefaultObject(): KismetMaterialLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetMaterialLibrary;
-	static SetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
-	static SetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
-	static GetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
-	static GetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): number;
-	static CreateDynamicMaterialInstance(WorldContextObject: UObject,Parent: MaterialInterface): MaterialInstanceDynamic;
-	static C(Other: UObject | any): KismetMaterialLibrary;
+declare class AsyncActionLoadPrimaryAssetList extends AsyncActionLoadPrimaryAssetBase { 
+	Completed: UnrealEngineMulticastDelegate<(Loaded: UObject[]) => void>;
+	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetList;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetList;
+	static GetDefaultObject(): AsyncActionLoadPrimaryAssetList;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetList;
+	static AsyncLoadPrimaryAssetList(WorldContextObject: UObject,PrimaryAssetList: PrimaryAssetId[],LoadBundles: string[]): AsyncActionLoadPrimaryAssetList;
+	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetList;
 }
 
-declare class FloatSpringState { 
-	clone() : FloatSpringState;
-	static C(Other: UObject | any): FloatSpringState;
-	ResetFloatSpringState(): {SpringState: FloatSpringState};
-	static ResetFloatSpringState(SpringState?: FloatSpringState): {SpringState: FloatSpringState};
+declare class AsyncActionLoadPrimaryAssetClassList extends AsyncActionLoadPrimaryAssetBase { 
+	Completed: UnrealEngineMulticastDelegate<(Loaded: UnrealEngineClass[]) => void>;
+	static Load(ResourceName: string): AsyncActionLoadPrimaryAssetClassList;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionLoadPrimaryAssetClassList;
+	static GetDefaultObject(): AsyncActionLoadPrimaryAssetClassList;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionLoadPrimaryAssetClassList;
+	static AsyncLoadPrimaryAssetClassList(WorldContextObject: UObject,PrimaryAssetList: PrimaryAssetId[],LoadBundles: string[]): AsyncActionLoadPrimaryAssetClassList;
+	static C(Other: UObject | any): AsyncActionLoadPrimaryAssetClassList;
 }
 
-declare class KismetMathLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetMathLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetMathLibrary;
-	static GetDefaultObject(): KismetMathLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetMathLibrary;
-	static Xor_IntInt(A: number,B: number): number;
-	static VSizeXY(A: Vector): number;
-	static VSizeSquared(A: Vector): number;
-	static VSize2DSquared(A: Vector2D): number;
-	static VSize2D(A: Vector2D): number;
-	static VSize(A: Vector): number;
-	static VLerp(A: Vector,B: Vector,Alpha: number): Vector;
-	static VInterpTo_Constant(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
-	static VInterpTo(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
-	static VectorSpringInterp(Current: Vector,Target: Vector,SpringState?: VectorSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: VectorSpringState, $: Vector};
-	static Vector2DInterpTo_Constant(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
-	static Vector2DInterpTo(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
-	static VEase(A: Vector,B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
-	static UtcNow(): DateTime;
-	static TransformRotation(T: Transform,Rotation: Rotator): Rotator;
-	static TransformLocation(T: Transform,Location: Vector): Vector;
-	static TransformDirection(T: Transform,Direction: Vector): Vector;
-	static Today(): DateTime;
-	static TLerp(A: Transform,B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
-	static TInterpTo(Current: Transform,Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
-	static TimespanZeroValue(): Timespan;
-	static TimespanRatio(A: Timespan,B: Timespan): number;
-	static TimespanMinValue(): Timespan;
-	static TimespanMaxValue(): Timespan;
-	static TimespanFromString(TimespanString: string,Result?: Timespan): {Result: Timespan, $: boolean};
-	static TEase(A: Transform,B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
-	static Tan(A: number): number;
-	static Subtract_VectorVector(A: Vector,B: Vector): Vector;
-	static Subtract_VectorInt(A: Vector,B: number): Vector;
-	static Subtract_VectorFloat(A: Vector,B: number): Vector;
-	static Subtract_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
-	static Subtract_Vector2DFloat(A: Vector2D,B: number): Vector2D;
-	static Subtract_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
-	static Subtract_IntInt(A: number,B: number): number;
-	static Subtract_FloatFloat(A: number,B: number): number;
-	static Subtract_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
-	static Subtract_DateTimeDateTime(A: DateTime,B: DateTime): Timespan;
-	static Subtract_ByteByte(A: number,B: number): number;
-	static Square(A: number): number;
-	static Sqrt(A: number): number;
-	static Sin(A: number): number;
-	static SignOfInteger(A: number): number;
-	static SignOfFloat(A: number): number;
-	static SetRandomStreamSeed(Stream?: RandomStream,NewSeed?: number): {Stream: RandomStream};
-	static SelectVector(A: Vector,B: Vector,bPickA: boolean): Vector;
-	static SelectTransform(A: Transform,B: Transform,bPickA: boolean): Transform;
-	static SelectString(A: string,B: string,bPickA: boolean): string;
-	static SelectRotator(A: Rotator,B: Rotator,bPickA: boolean): Rotator;
-	static SelectObject(A: UObject,B: UObject,bSelectA: boolean): UObject;
-	static SelectInt(A: number,B: number,bPickA: boolean): number;
-	static SelectFloat(A: number,B: number,bPickA: boolean): number;
-	static SelectColor(A: LinearColor,B: LinearColor,bPickA: boolean): LinearColor;
-	static SelectClass(A: UnrealEngineClass,B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
-	static SeedRandomStream(Stream?: RandomStream): {Stream: RandomStream};
-	static Round(A: number): number;
-	static RotatorFromAxisAndAngle(Axis: Vector,Angle: number): Rotator;
-	static RotateAngleAxis(InVect: Vector,AngleDeg: number,Axis: Vector): Vector;
-	static RLerp(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean): Rotator;
-	static RInterpTo_Constant(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
-	static RInterpTo(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
-	static RGBToHSV_Vector(RGB: LinearColor,HSV?: LinearColor): {HSV: LinearColor};
-	static RGBToHSV(InColor: LinearColor,H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
-	static ResetVectorSpringState(SpringState?: VectorSpringState): {SpringState: VectorSpringState};
-	static ResetRandomStream(Stream: RandomStream): void;
-	static ResetFloatSpringState(SpringState?: FloatSpringState): {SpringState: FloatSpringState};
-	static REase(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Rotator;
-	static RandomUnitVectorInEllipticalConeInRadiansFromStream(ConeDir: Vector,MaxYawInRadians: number,MaxPitchInRadians: number,Stream: RandomStream): Vector;
-	static RandomUnitVectorInEllipticalConeInRadians(ConeDir: Vector,MaxYawInRadians: number,MaxPitchInRadians: number): Vector;
-	static RandomUnitVectorInEllipticalConeInDegreesFromStream(ConeDir: Vector,MaxYawInDegrees: number,MaxPitchInDegrees: number,Stream: RandomStream): Vector;
-	static RandomUnitVectorInEllipticalConeInDegrees(ConeDir: Vector,MaxYawInDegrees: number,MaxPitchInDegrees: number): Vector;
-	static RandomUnitVectorInConeInRadiansFromStream(ConeDir: Vector,ConeHalfAngleInRadians: number,Stream: RandomStream): Vector;
-	static RandomUnitVectorInConeInRadians(ConeDir: Vector,ConeHalfAngleInRadians: number): Vector;
-	static RandomUnitVectorInConeInDegreesFromStream(ConeDir: Vector,ConeHalfAngleInDegrees: number,Stream: RandomStream): Vector;
-	static RandomUnitVectorInConeInDegrees(ConeDir: Vector,ConeHalfAngleInDegrees: number): Vector;
-	static RandomUnitVectorFromStream(Stream: RandomStream): Vector;
-	static RandomUnitVector(): Vector;
-	static RandomRotatorFromStream(bRoll: boolean,Stream: RandomStream): Rotator;
-	static RandomRotator(bRoll: boolean): Rotator;
-	static RandomPointInBoundingBox(Origin: Vector,BoxExtent: Vector): Vector;
-	static RandomIntegerInRangeFromStream(Min: number,Max: number,Stream: RandomStream): number;
-	static RandomIntegerInRange(Min: number,Max: number): number;
-	static RandomIntegerFromStream(Max: number,Stream: RandomStream): number;
-	static RandomInteger(Max: number): number;
-	static RandomFloatInRangeFromStream(Min: number,Max: number,Stream: RandomStream): number;
-	static RandomFloatInRange(Min: number,Max: number): number;
-	static RandomFloatFromStream(Stream: RandomStream): number;
-	static RandomFloat(): number;
-	static RandomBoolWithWeightFromStream(Weight: number,RandomStream: RandomStream): boolean;
-	static RandomBoolWithWeight(Weight: number): boolean;
-	static RandomBoolFromStream(Stream: RandomStream): boolean;
-	static RandomBool(): boolean;
-	static RadiansToDegrees(A: number): number;
-	static ProjectVectorOnToVector(V: Vector,Target: Vector): Vector;
-	static ProjectVectorOnToPlane(V: Vector,PlaneNormal: Vector): Vector;
-	static ProjectPointOnToPlane(Point: Vector,PlaneBase: Vector,PlaneNormal: Vector): Vector;
-	static PointsAreCoplanar(Points: Vector[],Tolerance: number): boolean;
-	static Percent_IntInt(A: number,B: number): number;
-	static Percent_FloatFloat(A: number,B: number): number;
-	static Percent_ByteByte(A: number,B: number): number;
-	static Or_IntInt(A: number,B: number): number;
-	static Now(): DateTime;
-	static NotEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
-	static NotEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
-	static NotEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static NotEqual_RotatorRotator(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
-	static NotEqual_ObjectObject(A: UObject,B: UObject): boolean;
-	static NotEqual_NameName(A: string,B: string): boolean;
-	static NotEqual_IntInt(A: number,B: number): boolean;
-	static NotEqual_FloatFloat(A: number,B: number): boolean;
-	static NotEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static NotEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
-	static NotEqual_ByteByte(A: number,B: number): boolean;
-	static NotEqual_BoolBool(A: boolean,B: boolean): boolean;
-	static Not_PreBool(A: boolean): boolean;
-	static Not_Int(A: number): number;
-	static NormalizeToRange(Value: number,RangeMin: number,RangeMax: number): number;
-	static NormalizedDeltaRotator(A: Rotator,B: Rotator): Rotator;
-	static NormalizeAxis(Angle: number): number;
-	static Normal2D(A: Vector2D): Vector2D;
-	static Normal(A: Vector): Vector;
-	static NegateVector(A: Vector): Vector;
-	static NegateRotator(A: Rotator): Rotator;
-	static NearlyEqual_TransformTransform(A: Transform,B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
-	static NearlyEqual_FloatFloat(A: number,B: number,ErrorTolerance: number): boolean;
-	static MultiplyMultiply_FloatFloat(Base: number,Exp: number): number;
-	static MultiplyByPi(Value: number): number;
-	static Multiply_VectorVector(A: Vector,B: Vector): Vector;
-	static Multiply_VectorInt(A: Vector,B: number): Vector;
-	static Multiply_VectorFloat(A: Vector,B: number): Vector;
-	static Multiply_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
-	static Multiply_Vector2DFloat(A: Vector2D,B: number): Vector2D;
-	static Multiply_TimespanFloat(A: Timespan,Scalar: number): Timespan;
-	static Multiply_RotatorInt(A: Rotator,B: number): Rotator;
-	static Multiply_RotatorFloat(A: Rotator,B: number): Rotator;
-	static Multiply_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
-	static Multiply_LinearColorFloat(A: LinearColor,B: number): LinearColor;
-	static Multiply_IntInt(A: number,B: number): number;
-	static Multiply_IntFloat(A: number,B: number): number;
-	static Multiply_FloatFloat(A: number,B: number): number;
-	static Multiply_ByteByte(A: number,B: number): number;
-	static MirrorVectorByNormal(InVect: Vector,InNormal: Vector): Vector;
-	static MinOfIntArray(IntArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
-	static MinOfFloatArray(FloatArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
-	static MinOfByteArray(ByteArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
-	static MinimumAreaRectangle(WorldContextObject: UObject,InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
-	static Min(A: number,B: number): number;
-	static MaxOfIntArray(IntArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
-	static MaxOfFloatArray(FloatArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
-	static MaxOfByteArray(ByteArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
-	static Max(A: number,B: number): number;
-	static MapRangeUnclamped(Value: number,InRangeA: number,InRangeB: number,OutRangeA: number,OutRangeB: number): number;
-	static MapRangeClamped(Value: number,InRangeA: number,InRangeB: number,OutRangeA: number,OutRangeB: number): number;
-	static MakeVector2D(X: number,Y: number): Vector2D;
-	static MakeVector(X: number,Y: number,Z: number): Vector;
-	static MakeTransform(Location: Vector,Rotation: Rotator,Scale: Vector): Transform;
-	static MakeTimespan2(Days: number,Hours: number,Minutes: number,Seconds: number,FractionNano: number): Timespan;
-	static MakeTimespan(Days: number,Hours: number,Minutes: number,Seconds: number,Milliseconds: number): Timespan;
-	static MakeRotFromZY(Z: Vector,Y: Vector): Rotator;
-	static MakeRotFromZX(Z: Vector,X: Vector): Rotator;
-	static MakeRotFromZ(Z: Vector): Rotator;
-	static MakeRotFromYZ(Y: Vector,Z: Vector): Rotator;
-	static MakeRotFromYX(Y: Vector,X: Vector): Rotator;
-	static MakeRotFromY(Y: Vector): Rotator;
-	static MakeRotFromXZ(X: Vector,Z: Vector): Rotator;
-	static MakeRotFromXY(X: Vector,Y: Vector): Rotator;
-	static MakeRotFromX(X: Vector): Rotator;
-	static MakeRotator(Roll: number,Pitch: number,Yaw: number): Rotator;
-	static MakeRotationFromAxes(Forward: Vector,Right: Vector,Up: Vector): Rotator;
-	static MakeRandomStream(InitialSeed: number): RandomStream;
-	static MakePulsatingValue(InCurrentTime: number,InPulsesPerSecond: number,InPhase: number): number;
-	static MakePlaneFromPointAndNormal(Point: Vector,Normal: Vector): Plane;
-	static MakeDateTime(Year: number,Month: number,Day: number,Hour: number,Minute: number,Second: number,Millisecond: number): DateTime;
-	static MakeColor(R: number,G: number,B: number,A: number): LinearColor;
-	static MakeBox2D(Min: Vector2D,Max: Vector2D): Box2D;
-	static MakeBox(Min: Vector,Max: Vector): Box;
-	static Loge(A: number): number;
-	static Log(A: number,Base: number): number;
-	static LinePlaneIntersection_OriginNormal(LineStart: Vector,LineEnd: Vector,PlaneOrigin: Vector,PlaneNormal: Vector,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
-	static LinePlaneIntersection(LineStart: Vector,LineEnd: Vector,APlane: Plane,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
-	static LinearColorLerpUsingHSV(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
-	static LinearColorLerp(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
-	static LessLess_VectorRotator(A: Vector,B: Rotator): Vector;
-	static LessEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static LessEqual_IntInt(A: number,B: number): boolean;
-	static LessEqual_FloatFloat(A: number,B: number): boolean;
-	static LessEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static LessEqual_ByteByte(A: number,B: number): boolean;
-	static Less_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static Less_IntInt(A: number,B: number): boolean;
-	static Less_FloatFloat(A: number,B: number): boolean;
-	static Less_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static Less_ByteByte(A: number,B: number): boolean;
-	static Lerp(A: number,B: number,Alpha: number): number;
-	static IsPointInBoxWithTransform(Point: Vector,BoxWorldTransform: Transform,BoxExtent: Vector): boolean;
-	static IsPointInBox(Point: Vector,BoxOrigin: Vector,BoxExtent: Vector): boolean;
-	static IsMorning(A: DateTime): boolean;
-	static IsLeapYear(Year: number): boolean;
-	static IsAfternoon(A: DateTime): boolean;
-	static InvertTransform(T: Transform): Transform;
-	static InverseTransformRotation(T: Transform,Rotation: Rotator): Rotator;
-	static InverseTransformLocation(T: Transform,Location: Vector): Vector;
-	static InverseTransformDirection(T: Transform,Direction: Vector): Vector;
-	static InRange_IntInt(Value: number,Min: number,Max: number,InclusiveMin: boolean,InclusiveMax: boolean): boolean;
-	static InRange_FloatFloat(Value: number,Min: number,Max: number,InclusiveMin: boolean,InclusiveMax: boolean): boolean;
-	static Hypotenuse(Width: number,Height: number): number;
-	static HSVToRGB_Vector(HSV: LinearColor,RGB?: LinearColor): {RGB: LinearColor};
-	static HSVToRGB(H: number,S: number,V: number,A: number): LinearColor;
-	static GridSnap_Float(Location: number,GridSize: number): number;
-	static GreaterGreater_VectorRotator(A: Vector,B: Rotator): Vector;
-	static GreaterEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static GreaterEqual_IntInt(A: number,B: number): boolean;
-	static GreaterEqual_FloatFloat(A: number,B: number): boolean;
-	static GreaterEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static GreaterEqual_ByteByte(A: number,B: number): boolean;
-	static Greater_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static Greater_IntInt(A: number,B: number): boolean;
-	static Greater_FloatFloat(A: number,B: number): boolean;
-	static Greater_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static Greater_ByteByte(A: number,B: number): boolean;
-	static GetYear(A: DateTime): number;
-	static GetYawPitchFromVector(InVec: Vector,Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
-	static GetVectorArrayAverage(Vectors: Vector[]): Vector;
-	static GetUpVector(InRot: Rotator): Vector;
-	static GetTotalSeconds(A: Timespan): number;
-	static GetTotalMinutes(A: Timespan): number;
-	static GetTotalMilliseconds(A: Timespan): number;
-	static GetTotalHours(A: Timespan): number;
-	static GetTotalDays(A: Timespan): number;
-	static GetTimeOfDay(A: DateTime): Timespan;
-	static GetTAU(): number;
-	static GetSeconds(A: Timespan): number;
-	static GetSecond(A: DateTime): number;
-	static GetRightVector(InRot: Rotator): Vector;
-	static GetReflectionVector(Direction: Vector,SurfaceNormal: Vector): Vector;
-	static GetPointDistanceToSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): number;
-	static GetPointDistanceToLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): number;
-	static GetPI(): number;
-	static GetMonth(A: DateTime): number;
-	static GetMinutes(A: Timespan): number;
-	static GetMinute(A: DateTime): number;
-	static GetMinElement(A: Vector): number;
-	static GetMilliseconds(A: Timespan): number;
-	static GetMillisecond(A: DateTime): number;
-	static GetMaxElement(A: Vector): number;
-	static GetHours(A: Timespan): number;
-	static GetHour12(A: DateTime): number;
-	static GetHour(A: DateTime): number;
-	static GetForwardVector(InRot: Rotator): Vector;
-	static GetDuration(A: Timespan): Timespan;
-	static GetDirectionUnitVector(From: Vector,To: Vector): Vector;
-	static GetDays(A: Timespan): number;
-	static GetDayOfYear(A: DateTime): number;
-	static GetDay(A: DateTime): number;
-	static GetDate(A: DateTime): DateTime;
-	static GetAzimuthAndElevation(InDirection: Vector,ReferenceFrame: Transform,Azimuth?: number,Elevation?: number): {Azimuth: number, Elevation: number};
-	static GetAxes(A: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
-	static FTruncVector(InVector: Vector): IntVector;
-	static FTrunc(A: number): number;
-	static FromSeconds(Seconds: number): Timespan;
-	static FromMinutes(Minutes: number): Timespan;
-	static FromMilliseconds(Milliseconds: number): Timespan;
-	static FromHours(Hours: number): Timespan;
-	static FromDays(Days: number): Timespan;
-	static Fraction(A: number): number;
-	static FMod(Dividend: number,Divisor: number,Remainder?: number): {Remainder: number, $: number};
-	static FMin(A: number,B: number): number;
-	static FMax(A: number,B: number): number;
-	static FloatSpringInterp(Current: number,Target: number,SpringState?: FloatSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: FloatSpringState, $: number};
-	static FixedTurn(InCurrent: number,InDesired: number,InDeltaRate: number): number;
-	static FInterpTo_Constant(Current: number,Target: number,DeltaTime: number,InterpSpeed: number): number;
-	static FInterpTo(Current: number,Target: number,DeltaTime: number,InterpSpeed: number): number;
-	static FInterpEaseInOut(A: number,B: number,Alpha: number,Exponent: number): number;
-	static FindNearestPointsOnLineSegments(Segment1Start: Vector,Segment1End: Vector,Segment2Start: Vector,Segment2End: Vector,Segment1Point?: Vector,Segment2Point?: Vector): {Segment1Point: Vector, Segment2Point: Vector};
-	static FindLookAtRotation(Start: Vector,Target: Vector): Rotator;
-	static FindClosestPointOnSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): Vector;
-	static FindClosestPointOnLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): Vector;
-	static FFloor(A: number): number;
-	static FClamp(Value: number,Min: number,Max: number): number;
-	static FCeil(A: number): number;
-	static Exp(A: number): number;
-	static EqualEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
-	static EqualEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
-	static EqualEqual_TransformTransform(A: Transform,B: Transform): boolean;
-	static EqualEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
-	static EqualEqual_RotatorRotator(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
-	static EqualEqual_ObjectObject(A: UObject,B: UObject): boolean;
-	static EqualEqual_NameName(A: string,B: string): boolean;
-	static EqualEqual_IntInt(A: number,B: number): boolean;
-	static EqualEqual_FloatFloat(A: number,B: number): boolean;
-	static EqualEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
-	static EqualEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
-	static EqualEqual_ByteByte(A: number,B: number): boolean;
-	static EqualEqual_BoolBool(A: boolean,B: boolean): boolean;
-	static Ease(A: number,B: number,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): number;
-	static DotProduct2D(A: Vector2D,B: Vector2D): number;
-	static Dot_VectorVector(A: Vector,B: Vector): number;
-	static Divide_VectorVector(A: Vector,B: Vector): Vector;
-	static Divide_VectorInt(A: Vector,B: number): Vector;
-	static Divide_VectorFloat(A: Vector,B: number): Vector;
-	static Divide_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
-	static Divide_Vector2DFloat(A: Vector2D,B: number): Vector2D;
-	static Divide_TimespanFloat(A: Timespan,Scalar: number): Timespan;
-	static Divide_IntInt(A: number,B: number): number;
-	static Divide_FloatFloat(A: number,B: number): number;
-	static Divide_ByteByte(A: number,B: number): number;
-	static DegTan(A: number): number;
-	static DegSin(A: number): number;
-	static DegreesToRadians(A: number): number;
-	static DegCos(A: number): number;
-	static DegAtan2(A: number,B: number): number;
-	static DegAtan(A: number): number;
-	static DegAsin(A: number): number;
-	static DegAcos(A: number): number;
-	static DaysInYear(Year: number): number;
-	static DaysInMonth(Year: number,Month: number): number;
-	static DateTimeMinValue(): DateTime;
-	static DateTimeMaxValue(): DateTime;
-	static DateTimeFromString(DateTimeString: string,Result?: DateTime): {Result: DateTime, $: boolean};
-	static DateTimeFromIsoString(IsoString: string,Result?: DateTime): {Result: DateTime, $: boolean};
-	static CrossProduct2D(A: Vector2D,B: Vector2D): number;
-	static Cross_VectorVector(A: Vector,B: Vector): Vector;
-	static CreateVectorFromYawPitch(Yaw: number,Pitch: number,Length: number): Vector;
-	static Cos(A: number): number;
-	static ConvertTransformToRelative(Transform: Transform,ParentTransform: Transform): Transform;
-	static Conv_VectorToVector2D(InVector: Vector): Vector2D;
-	static Conv_VectorToTransform(InLocation: Vector): Transform;
-	static Conv_VectorToRotator(InVec: Vector): Rotator;
-	static Conv_VectorToLinearColor(InVec: Vector): LinearColor;
-	static Conv_Vector2DToVector(InVector2D: Vector2D,Z: number): Vector;
-	static Conv_RotatorToVector(InRot: Rotator): Vector;
-	static Conv_LinearColorToVector(InLinearColor: LinearColor): Vector;
-	static Conv_LinearColorToColor(InLinearColor: LinearColor): Color;
-	static Conv_IntVectorToVector(InIntVector: IntVector): Vector;
-	static Conv_IntToIntVector(inInt: number): IntVector;
-	static Conv_IntToFloat(inInt: number): number;
-	static Conv_IntToByte(inInt: number): number;
-	static Conv_IntToBool(inInt: number): boolean;
-	static Conv_FloatToVector(InFloat: number): Vector;
-	static Conv_FloatToLinearColor(InFloat: number): LinearColor;
-	static Conv_ColorToLinearColor(InColor: Color): LinearColor;
-	static Conv_ByteToInt(InByte: number): number;
-	static Conv_ByteToFloat(InByte: number): number;
-	static Conv_BoolToInt(InBool: boolean): number;
-	static Conv_BoolToFloat(InBool: boolean): number;
-	static Conv_BoolToByte(InBool: boolean): number;
-	static ComposeTransforms(A: Transform,B: Transform): Transform;
-	static ComposeRotators(A: Rotator,B: Rotator): Rotator;
-	static ClassIsChildOf(TestClass: UnrealEngineClass,ParentClass: UnrealEngineClass): boolean;
-	static ClampVectorSize(A: Vector,Min: number,Max: number): Vector;
-	static ClampAxis(Angle: number): number;
-	static ClampAngle(AngleDegrees: number,MinAngleDegrees: number,MaxAngleDegrees: number): number;
-	static Clamp(Value: number,Min: number,Max: number): number;
-	static CInterpTo(Current: LinearColor,Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
-	static BreakVector2D(InVec: Vector2D,X?: number,Y?: number): {X: number, Y: number};
-	static BreakVector(InVec: Vector,X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
-	static BreakTransform(InTransform: Transform,Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
-	static BreakTimespan2(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
-	static BreakTimespan(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
-	static BreakRotIntoAxes(InRot: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
-	static BreakRotator(InRot: Rotator,Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
-	static BreakRandomStream(InRandomStream: RandomStream,InitialSeed?: number): {InitialSeed: number};
-	static BreakDateTime(InDateTime: DateTime,Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
-	static BreakColor(InColor: LinearColor,R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
-	static BooleanXOR(A: boolean,B: boolean): boolean;
-	static BooleanOR(A: boolean,B: boolean): boolean;
-	static BooleanNOR(A: boolean,B: boolean): boolean;
-	static BooleanNAND(A: boolean,B: boolean): boolean;
-	static BooleanAND(A: boolean,B: boolean): boolean;
-	static BMin(A: number,B: number): number;
-	static BMax(A: number,B: number): number;
-	static Atan2(A: number,B: number): number;
-	static Atan(A: number): number;
-	static Asin(A: number): number;
-	static And_IntInt(A: number,B: number): number;
-	static Add_VectorVector(A: Vector,B: Vector): Vector;
-	static Add_VectorInt(A: Vector,B: number): Vector;
-	static Add_VectorFloat(A: Vector,B: number): Vector;
-	static Add_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
-	static Add_Vector2DFloat(A: Vector2D,B: number): Vector2D;
+declare class AsyncActionChangePrimaryAssetBundles extends AsyncActionLoadPrimaryAssetBase { 
+	Completed: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): AsyncActionChangePrimaryAssetBundles;
+	static Find(Outer: UObject, ResourceName: string): AsyncActionChangePrimaryAssetBundles;
+	static GetDefaultObject(): AsyncActionChangePrimaryAssetBundles;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AsyncActionChangePrimaryAssetBundles;
+	static AsyncChangeBundleStateForPrimaryAssetList(WorldContextObject: UObject,PrimaryAssetList: PrimaryAssetId[],AddBundles: string[],RemoveBundles: string[]): AsyncActionChangePrimaryAssetBundles;
+	static AsyncChangeBundleStateForMatchingPrimaryAssets(WorldContextObject: UObject,NewBundles: string[],OldBundles: string[]): AsyncActionChangePrimaryAssetBundles;
+	static C(Other: UObject | any): AsyncActionChangePrimaryAssetBundles;
+}
+
+declare class AtmospherePrecomputeParameters { 
+	DensityHeight: number;
+	DecayHeight: number;
+	MaxScatteringOrder: number;
+	TransmittanceTexWidth: number;
+	TransmittanceTexHeight: number;
+	IrradianceTexWidth: number;
+	IrradianceTexHeight: number;
+	InscatterAltitudeSampleNum: number;
+	InscatterMuNum: number;
+	InscatterMuSNum: number;
+	InscatterNuNum: number;
+	clone() : AtmospherePrecomputeParameters;
+	static C(Other: UObject | any): AtmospherePrecomputeParameters;
+}
+
+declare class AtmosphericFogComponent extends SceneComponent { 
+	SunMultiplier: number;
+	FogMultiplier: number;
+	DensityMultiplier: number;
+	DensityOffset: number;
+	DistanceScale: number;
+	AltitudeScale: number;
+	DistanceOffset: number;
+	GroundOffset: number;
+	StartDistance: number;
+	SunDiscScale: number;
+	DefaultBrightness: number;
+	DefaultLightColor: Color;
+	bDisableSunDisk: boolean;
+	bDisableGroundScattering: boolean;
+	PrecomputeParams: AtmospherePrecomputeParameters;
+	TransmittanceTexture: Texture2D;
+	IrradianceTexture: Texture2D;
+	static Load(ResourceName: string): AtmosphericFogComponent;
+	static Find(Outer: UObject, ResourceName: string): AtmosphericFogComponent;
+	static GetDefaultObject(): AtmosphericFogComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AtmosphericFogComponent;
+	StartPrecompute(): void;
+	SetSunMultiplier(NewSunMultiplier: number): void;
+	SetStartDistance(NewStartDistance: number): void;
+	SetPrecomputeParams(DensityHeight: number,MaxScatteringOrder: number,InscatterAltitudeSampleNum: number): void;
+	SetFogMultiplier(NewFogMultiplier: number): void;
+	SetDistanceScale(NewDistanceScale: number): void;
+	SetDistanceOffset(NewDistanceOffset: number): void;
+	SetDensityOffset(NewDensityOffset: number): void;
+	SetDensityMultiplier(NewDensityMultiplier: number): void;
+	SetDefaultLightColor(NewLightColor: LinearColor): void;
+	SetDefaultBrightness(NewBrightness: number): void;
+	SetAltitudeScale(NewAltitudeScale: number): void;
+	DisableSunDisk(NewSunDisk: boolean): void;
+	DisableGroundScattering(NewGroundScattering: boolean): void;
+	static C(Other: UObject | any): AtmosphericFogComponent;
+}
+
+declare class AtmosphericFog extends Info { 
+	AtmosphericFogComponent: AtmosphericFogComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): AtmosphericFog;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AtmosphericFog;
+	static C(Other: UObject | any): AtmosphericFog;
+}
+
+declare type EVoiceSampleRate = 'Low16000Hz' | 'Normal24000Hz' | 'EVoiceSampleRate_MAX';
+declare var EVoiceSampleRate : { Low16000Hz:'Low16000Hz',Normal24000Hz:'Normal24000Hz',EVoiceSampleRate_MAX:'EVoiceSampleRate_MAX', };
+declare class AudioQualitySettings { 
+	DisplayName: string;
+	MaxChannels: number;
+	clone() : AudioQualitySettings;
+	static C(Other: UObject | any): AudioQualitySettings;
+}
+
+declare type EPanningMethod = 'Linear' | 'EqualPower' | 'EPanningMethod_MAX';
+declare var EPanningMethod : { Linear:'Linear',EqualPower:'EqualPower',EPanningMethod_MAX:'EPanningMethod_MAX', };
+declare type EMonoChannelUpmixMethod = 'Linear' | 'EqualPower' | 'FullVolume' | 'EMonoChannelUpmixMethod_MAX';
+declare var EMonoChannelUpmixMethod : { Linear:'Linear',EqualPower:'EqualPower',FullVolume:'FullVolume',EMonoChannelUpmixMethod_MAX:'EMonoChannelUpmixMethod_MAX', };
+declare class AudioSettings extends DeveloperSettings { 
+	DefaultSoundClassName: SoftObjectPath;
+	DefaultMediaSoundClassName: SoftObjectPath;
+	DefaultSoundConcurrencyName: SoftObjectPath;
+	DefaultBaseSoundMix: SoftObjectPath;
+	VoiPSoundClass: SoftObjectPath;
+	VoiPSampleRate: EVoiceSampleRate;
+	VoipBufferingDelay: number;
+	DefaultReverbSendLevel: number;
+	MaximumConcurrentStreams: number;
+	GlobalMinPitchScale: number;
+	GlobalMaxPitchScale: number;
+	QualityLevels: AudioQualitySettings[];
+	bAllowVirtualizedSounds: boolean;
+	bDisableMasterEQ: boolean;
+	bAllowCenterChannel3DPanning: boolean;
+	MaxWaveInstances: any;
+	NumStoppingSources: any;
+	PanningMethod: EPanningMethod;
+	MonoChannelUpmixMethod: EMonoChannelUpmixMethod;
+	DialogueFilenameFormat: string;
+	static Load(ResourceName: string): AudioSettings;
+	static Find(Outer: UObject, ResourceName: string): AudioSettings;
+	static GetDefaultObject(): AudioSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioSettings;
+	static C(Other: UObject | any): AudioSettings;
+}
+
+declare class AudioVolume extends Volume { 
+	Priority: number;
+	bEnabled: boolean;
+	Settings: ReverbSettings;
+	AmbientZoneSettings: InteriorSettings;
+	static GetDefaultObject(): AudioVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AudioVolume;
+	SetReverbSettings(NewReverbSettings: ReverbSettings): void;
+	SetPriority(NewPriority: number): void;
+	SetInteriorSettings(NewInteriorSettings: InteriorSettings): void;
+	SetEnabled(bNewEnabled: boolean): void;
+	OnRep_bEnabled(): void;
+	static C(Other: UObject | any): AudioVolume;
+}
+
+declare class EditorMapPerformanceTestDefinition { 
+	PerformanceTestmap: SoftObjectPath;
+	TestTimer: number;
+	clone() : EditorMapPerformanceTestDefinition;
+	static C(Other: UObject | any): EditorMapPerformanceTestDefinition;
+}
+
+declare class ImportFactorySettingValues { 
+	SettingName: string;
+	Value: string;
+	clone() : ImportFactorySettingValues;
+	static C(Other: UObject | any): ImportFactorySettingValues;
+}
+
+declare class EditorImportWorkflowDefinition { 
+	ImportFilePath: FilePath;
+	FactorySettings: ImportFactorySettingValues[];
+	clone() : EditorImportWorkflowDefinition;
+	static C(Other: UObject | any): EditorImportWorkflowDefinition;
+}
+
+declare class BuildPromotionImportWorkflowSettings { 
+	Diffuse: EditorImportWorkflowDefinition;
+	Normal: EditorImportWorkflowDefinition;
+	StaticMesh: EditorImportWorkflowDefinition;
+	ReimportStaticMesh: EditorImportWorkflowDefinition;
+	BlendShapeMesh: EditorImportWorkflowDefinition;
+	MorphMesh: EditorImportWorkflowDefinition;
+	SkeletalMesh: EditorImportWorkflowDefinition;
+	Animation: EditorImportWorkflowDefinition;
+	Sound: EditorImportWorkflowDefinition;
+	SurroundSound: EditorImportWorkflowDefinition;
+	OtherAssetsToImport: EditorImportWorkflowDefinition[];
+	clone() : BuildPromotionImportWorkflowSettings;
+	static C(Other: UObject | any): BuildPromotionImportWorkflowSettings;
+}
+
+declare class BuildPromotionOpenAssetSettings { 
+	BlueprintAsset: FilePath;
+	MaterialAsset: FilePath;
+	ParticleSystemAsset: FilePath;
+	SkeletalMeshAsset: FilePath;
+	StaticMeshAsset: FilePath;
+	TextureAsset: FilePath;
+	clone() : BuildPromotionOpenAssetSettings;
+	static C(Other: UObject | any): BuildPromotionOpenAssetSettings;
+}
+
+declare class BuildPromotionNewProjectSettings { 
+	NewProjectFolderOverride: DirectoryPath;
+	NewProjectNameOverride: string;
+	clone() : BuildPromotionNewProjectSettings;
+	static C(Other: UObject | any): BuildPromotionNewProjectSettings;
+}
+
+declare class BuildPromotionTestSettings { 
+	DefaultStaticMeshAsset: FilePath;
+	ImportWorkflow: BuildPromotionImportWorkflowSettings;
+	OpenAssets: BuildPromotionOpenAssetSettings;
+	NewProjectSettings: BuildPromotionNewProjectSettings;
+	SourceControlMaterial: FilePath;
+	clone() : BuildPromotionTestSettings;
+	static C(Other: UObject | any): BuildPromotionTestSettings;
+}
+
+declare class MaterialEditorPromotionSettings { 
+	DefaultMaterialAsset: FilePath;
+	DefaultDiffuseTexture: FilePath;
+	DefaultNormalTexture: FilePath;
+	clone() : MaterialEditorPromotionSettings;
+	static C(Other: UObject | any): MaterialEditorPromotionSettings;
+}
+
+declare class ParticleEditorPromotionSettings { 
+	DefaultParticleAsset: FilePath;
+	clone() : ParticleEditorPromotionSettings;
+	static C(Other: UObject | any): ParticleEditorPromotionSettings;
+}
+
+declare class BlueprintEditorPromotionSettings { 
+	FirstMeshPath: FilePath;
+	SecondMeshPath: FilePath;
+	DefaultParticleAsset: FilePath;
+	clone() : BlueprintEditorPromotionSettings;
+	static C(Other: UObject | any): BlueprintEditorPromotionSettings;
+}
+
+declare class ExternalToolDefinition { 
+	ToolName: string;
+	ExecutablePath: FilePath;
+	CommandLineOptions: string;
+	WorkingDirectory: DirectoryPath;
+	ScriptExtension: string;
+	ScriptDirectory: DirectoryPath;
+	clone() : ExternalToolDefinition;
+	static C(Other: UObject | any): ExternalToolDefinition;
+}
+
+declare class EditorImportExportTestDefinition { 
+	ImportFilePath: FilePath;
+	ExportFileExtension: string;
+	bSkipExport: boolean;
+	FactorySettings: ImportFactorySettingValues[];
+	clone() : EditorImportExportTestDefinition;
+	static C(Other: UObject | any): EditorImportExportTestDefinition;
+}
+
+declare class LaunchOnTestSettings { 
+	LaunchOnTestmap: FilePath;
+	DeviceID: string;
+	clone() : LaunchOnTestSettings;
+	static C(Other: UObject | any): LaunchOnTestSettings;
+}
+
+declare class AutomationTestSettings extends UObject { 
+	EngineTestModules: string[];
+	EditorTestModules: string[];
+	AutomationTestmap: SoftObjectPath;
+	EditorPerformanceTestMaps: EditorMapPerformanceTestDefinition[];
+	AssetsToOpen: SoftObjectPath[];
+	BuildPromotionTest: BuildPromotionTestSettings;
+	MaterialEditorPromotionTest: MaterialEditorPromotionSettings;
+	ParticleEditorPromotionTest: ParticleEditorPromotionSettings;
+	BlueprintEditorPromotionTest: BlueprintEditorPromotionSettings;
+	TestLevelFolders: string[];
+	ExternalTools: ExternalToolDefinition[];
+	ImportExportTestDefinitions: EditorImportExportTestDefinition[];
+	LaunchOnSettings: LaunchOnTestSettings[];
+	DefaultScreenshotResolution: IntPoint;
+	static Load(ResourceName: string): AutomationTestSettings;
+	static Find(Outer: UObject, ResourceName: string): AutomationTestSettings;
+	static GetDefaultObject(): AutomationTestSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomationTestSettings;
+	static C(Other: UObject | any): AutomationTestSettings;
+}
+
+declare class BlendableInterface extends Interface { 
+	static Load(ResourceName: string): BlendableInterface;
+	static Find(Outer: UObject, ResourceName: string): BlendableInterface;
+	static GetDefaultObject(): BlendableInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlendableInterface;
+	static C(Other: UObject | any): BlendableInterface;
+}
+
+declare class BlockingVolume extends Volume { 
+	static GetDefaultObject(): BlockingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlockingVolume;
+	static C(Other: UObject | any): BlockingVolume;
+}
+
+declare class BlueprintMapLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BlueprintMapLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintMapLibrary;
+	static GetDefaultObject(): BlueprintMapLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintMapLibrary;
+	static SetMapPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static Map_Values(TargetMap: any,Values?: number[]): {Values: number[]};
+	static Map_Remove(TargetMap: any,Key: number): boolean;
+	static Map_Length(TargetMap: any): number;
+	static Map_Keys(TargetMap: any,Keys?: number[]): {Keys: number[]};
+	static Map_Find(TargetMap: any,Key: number,Value?: number): {Value: number, $: boolean};
+	static Map_Contains(TargetMap: any,Key: number): boolean;
+	static Map_Clear(TargetMap: any): void;
+	static Map_Add(TargetMap: any,Key: number,Value: number): void;
+	static C(Other: UObject | any): BlueprintMapLibrary;
+}
+
+declare class BlueprintPathsLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BlueprintPathsLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintPathsLibrary;
+	static GetDefaultObject(): BlueprintPathsLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPathsLibrary;
+	static VideoCaptureDir(): string;
+	static ValidatePath(InPath: string,bDidSucceed?: boolean,OutReason?: string): {bDidSucceed: boolean, OutReason: string};
+	static Split(InPath: string,PathPart?: string,FilenamePart?: string,ExtensionPart?: string): {PathPart: string, FilenamePart: string, ExtensionPart: string};
+	static SourceConfigDir(): string;
+	static ShouldSaveToUserDir(): boolean;
+	static ShaderWorkingDir(): string;
+	static SetProjectFilePath(NewGameProjectFilePath: string): void;
+	static SetExtension(InPath: string,InNewExtension: string): string;
+	static ScreenShotDir(): string;
+	static SandboxesDir(): string;
+	static RootDir(): string;
+	static RemoveDuplicateSlashes(InPath: string,OutPath?: string): {OutPath: string};
+	static ProjectUserDir(): string;
+	static ProjectSavedDir(): string;
+	static ProjectPluginsDir(): string;
+	static ProjectPersistentDownloadDir(): string;
+	static ProjectModsDir(): string;
+	static ProjectLogDir(): string;
+	static ProjectIntermediateDir(): string;
+	static ProjectDir(): string;
+	static ProjectContentDir(): string;
+	static ProjectConfigDir(): string;
+	static ProfilingDir(): string;
+	static NormalizeFilename(InPath: string,OutPath?: string): {OutPath: string};
+	static NormalizeDirectoryName(InPath: string,OutPath?: string): {OutPath: string};
+	static MakeValidFileName(inString: string,InReplacementChar: string): string;
+	static MakeStandardFilename(InPath: string,OutPath?: string): {OutPath: string};
+	static MakePlatformFilename(InPath: string,OutPath?: string): {OutPath: string};
+	static MakePathRelativeTo(InPath: string,InRelativeTo: string,OutPath?: string): {OutPath: string, $: boolean};
+	static LaunchDir(): string;
+	static IsSamePath(PathA: string,PathB: string): boolean;
+	static IsRestrictedPath(InPath: string): boolean;
+	static IsRelative(InPath: string): boolean;
+	static IsProjectFilePathSet(): boolean;
+	static IsDrive(InPath: string): boolean;
+	static HasProjectPersistentDownloadDir(): boolean;
+	static GetToolTipLocalizationPaths(): string[];
+	static GetRestrictedFolderNames(): string[];
+	static GetRelativePathToRoot(): string;
+	static GetPropertyNameLocalizationPaths(): string[];
+	static GetProjectFilePath(): string;
+	static GetPath(InPath: string): string;
+	static GetInvalidFileSystemChars(): string;
+	static GetGameLocalizationPaths(): string[];
+	static GetExtension(InPath: string,bIncludeDot: boolean): string;
+	static GetEngineLocalizationPaths(): string[];
+	static GetEditorLocalizationPaths(): string[];
+	static GetCleanFilename(InPath: string): string;
+	static GetBaseFilename(InPath: string,bRemovePath: boolean): string;
+	static GeneratedConfigDir(): string;
+	static GameUserDeveloperDir(): string;
+	static GameSourceDir(): string;
+	static GameDevelopersDir(): string;
+	static GameAgnosticSavedDir(): string;
+	static FileExists(InPath: string): boolean;
+	static FeaturePackDir(): string;
+	static EnterprisePluginsDir(): string;
+	static EnterpriseFeaturePackDir(): string;
+	static EnterpriseDir(): string;
+	static EngineVersionAgnosticUserDir(): string;
+	static EngineUserDir(): string;
+	static EngineSourceDir(): string;
+	static EngineSavedDir(): string;
+	static EnginePluginsDir(): string;
+	static EngineIntermediateDir(): string;
+	static EngineDir(): string;
+	static EngineContentDir(): string;
+	static EngineConfigDir(): string;
+	static DirectoryExists(InPath: string): boolean;
+	static DiffDir(): string;
+	static CreateTempFilename(Path: string,Prefix: string,Extension: string): string;
+	static ConvertToSandboxPath(InPath: string,InSandboxName: string): string;
+	static ConvertRelativePathToFull(InPath: string,InBasePath: string): string;
+	static ConvertFromSandboxPath(InPath: string,InSandboxName: string): string;
+	static Combine(InPaths: string[]): string;
+	static CollapseRelativeDirectories(InPath: string,OutPath?: string): {OutPath: string, $: boolean};
+	static CloudDir(): string;
+	static ChangeExtension(InPath: string,InNewExtension: string): string;
+	static BugItDir(): string;
+	static AutomationTransientDir(): string;
+	static AutomationLogDir(): string;
+	static AutomationDir(): string;
+	static C(Other: UObject | any): BlueprintPathsLibrary;
+}
+
+declare type EApplicationState = 'Unknown' | 'Inactive' | 'Background' | 'Active' | 'EApplicationState_MAX';
+declare var EApplicationState : { Unknown:'Unknown',Inactive:'Inactive',Background:'Background',Active:'Active',EApplicationState_MAX:'EApplicationState_MAX', };
+declare type EScreenOrientation = 'Unknown' | 'Portrait' | 'PortraitUpsideDown' | 'LandscapeLeft' | 'LandscapeRight' | 'FaceUp' | 'FaceDown' | 'EScreenOrientation_MAX';
+declare var EScreenOrientation : { Unknown:'Unknown',Portrait:'Portrait',PortraitUpsideDown:'PortraitUpsideDown',LandscapeLeft:'LandscapeLeft',LandscapeRight:'LandscapeRight',FaceUp:'FaceUp',FaceDown:'FaceDown',EScreenOrientation_MAX:'EScreenOrientation_MAX', };
+declare class PlatformGameInstance extends GameInstance { 
+	ApplicationWillDeactivateDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationHasReactivatedDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationWillEnterBackgroundDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationHasEnteredForegroundDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationWillTerminateDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationShouldUnloadResourcesDelegate: UnrealEngineMulticastDelegate<() => void>;
+	ApplicationReceivedStartupArgumentsDelegate: UnrealEngineMulticastDelegate<(StartupArguments: string[]) => void>;
+	ApplicationRegisteredForRemoteNotificationsDelegate: UnrealEngineMulticastDelegate<(inArray: number[]) => void>;
+	ApplicationRegisteredForUserNotificationsDelegate: UnrealEngineMulticastDelegate<(inInt: number) => void>;
+	ApplicationFailedToRegisterForRemoteNotificationsDelegate: UnrealEngineMulticastDelegate<(inString: string) => void>;
+	ApplicationReceivedRemoteNotificationDelegate: UnrealEngineMulticastDelegate<(inString: string, inAppState: EApplicationState) => void>;
+	ApplicationReceivedLocalNotificationDelegate: UnrealEngineMulticastDelegate<(inString: string, inInt: number, inAppState: EApplicationState) => void>;
+	ApplicationReceivedScreenOrientationChangedNotificationDelegate: UnrealEngineMulticastDelegate<(inScreenOrientation: EScreenOrientation) => void>;
+	static Load(ResourceName: string): PlatformGameInstance;
+	static Find(Outer: UObject, ResourceName: string): PlatformGameInstance;
+	static GetDefaultObject(): PlatformGameInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformGameInstance;
+	static C(Other: UObject | any): PlatformGameInstance;
+}
+
+declare class Timespan { 
+	clone() : Timespan;
+	static C(Other: UObject | any): Timespan;
+	AsTimespan_Timespan(): string;
+	Add_TimespanTimespan(B: Timespan): Timespan;
+	BreakTimespan(Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
+	BreakTimespan2(Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
+	Divide_TimespanFloat(Scalar: number): Timespan;
+	EqualEqual_TimespanTimespan(B: Timespan): boolean;
+	GetDays(): number;
+	GetDuration(): Timespan;
+	GetHours(): number;
+	GetMilliseconds(): number;
+	GetMinutes(): number;
+	GetSeconds(): number;
+	GetTotalDays(): number;
+	GetTotalHours(): number;
+	GetTotalMilliseconds(): number;
+	GetTotalMinutes(): number;
+	GetTotalSeconds(): number;
+	Greater_TimespanTimespan(B: Timespan): boolean;
+	GreaterEqual_TimespanTimespan(B: Timespan): boolean;
+	Less_TimespanTimespan(B: Timespan): boolean;
+	LessEqual_TimespanTimespan(B: Timespan): boolean;
+	Multiply_TimespanFloat(Scalar: number): Timespan;
+	NotEqual_TimespanTimespan(B: Timespan): boolean;
+	Subtract_TimespanTimespan(B: Timespan): Timespan;
+	TimespanRatio(B: Timespan): number;
+	static AsTimespan_Timespan(InTimespan: Timespan): string;
 	static Add_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
-	static Add_IntInt(A: number,B: number): number;
-	static Add_FloatFloat(A: number,B: number): number;
+	static BreakTimespan(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
+	static BreakTimespan2(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
+	static Divide_TimespanFloat(A: Timespan,Scalar: number): Timespan;
+	static EqualEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static GetDays(A: Timespan): number;
+	static GetDuration(A: Timespan): Timespan;
+	static GetHours(A: Timespan): number;
+	static GetMilliseconds(A: Timespan): number;
+	static GetMinutes(A: Timespan): number;
+	static GetSeconds(A: Timespan): number;
+	static GetTotalDays(A: Timespan): number;
+	static GetTotalHours(A: Timespan): number;
+	static GetTotalMilliseconds(A: Timespan): number;
+	static GetTotalMinutes(A: Timespan): number;
+	static GetTotalSeconds(A: Timespan): number;
+	static Greater_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static GreaterEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static Less_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static LessEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static Multiply_TimespanFloat(A: Timespan,Scalar: number): Timespan;
+	static NotEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static Subtract_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
+	static TimespanRatio(A: Timespan,B: Timespan): number;
+	static FromDays(Days: number): Timespan;
+	static FromHours(Hours: number): Timespan;
+	static FromMilliseconds(Milliseconds: number): Timespan;
+	static FromMinutes(Minutes: number): Timespan;
+	static FromSeconds(Seconds: number): Timespan;
+	static MakeTimespan(Days: number,Hours: number,Minutes: number,Seconds: number,Milliseconds: number): Timespan;
+	static MakeTimespan2(Days: number,Hours: number,Minutes: number,Seconds: number,FractionNano: number): Timespan;
+	static TimespanMaxValue(): Timespan;
+	static TimespanMinValue(): Timespan;
+	static TimespanZeroValue(): Timespan;
+}
+
+declare class DateTime { 
+	clone() : DateTime;
+	static C(Other: UObject | any): DateTime;
+	AsDate_DateTime(): string;
+	AsDateTime_DateTime(): string;
+	AsTime_DateTime(): string;
+	AsTimeZoneDate_DateTime(InTimeZone: string): string;
+	AsTimeZoneDateTime_DateTime(InTimeZone: string): string;
+	AsTimeZoneTime_DateTime(InTimeZone: string): string;
+	Add_DateTimeTimespan(B: Timespan): DateTime;
+	BreakDateTime(Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
+	EqualEqual_DateTimeDateTime(B: DateTime): boolean;
+	GetDate(): DateTime;
+	GetDay(): number;
+	GetDayOfYear(): number;
+	GetHour(): number;
+	GetHour12(): number;
+	GetMillisecond(): number;
+	GetMinute(): number;
+	GetMonth(): number;
+	GetSecond(): number;
+	GetTimeOfDay(): Timespan;
+	GetYear(): number;
+	Greater_DateTimeDateTime(B: DateTime): boolean;
+	GreaterEqual_DateTimeDateTime(B: DateTime): boolean;
+	IsAfternoon(): boolean;
+	IsMorning(): boolean;
+	Less_DateTimeDateTime(B: DateTime): boolean;
+	LessEqual_DateTimeDateTime(B: DateTime): boolean;
+	NotEqual_DateTimeDateTime(B: DateTime): boolean;
+	Subtract_DateTimeDateTime(B: DateTime): Timespan;
+	Subtract_DateTimeTimespan(B: Timespan): DateTime;
+	ScheduleLocalNotificationAtTime(LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
+	ScheduleLocalNotificationBadgeAtTime(LocalTime: boolean,ActivationEvent: string): void;
+	static AsDate_DateTime(InDateTime: DateTime): string;
+	static AsDateTime_DateTime(In: DateTime): string;
+	static AsTime_DateTime(In: DateTime): string;
+	static AsTimeZoneDate_DateTime(InDateTime: DateTime,InTimeZone: string): string;
+	static AsTimeZoneDateTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
+	static AsTimeZoneTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
 	static Add_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
-	static Add_ByteByte(A: number,B: number): number;
-	static Acos(A: number): number;
-	static Abs_Int(A: number): number;
-	static Abs(A: number): number;
-	static C(Other: UObject | any): KismetMathLibrary;
+	static BreakDateTime(InDateTime: DateTime,Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
+	static EqualEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static GetDate(A: DateTime): DateTime;
+	static GetDay(A: DateTime): number;
+	static GetDayOfYear(A: DateTime): number;
+	static GetHour(A: DateTime): number;
+	static GetHour12(A: DateTime): number;
+	static GetMillisecond(A: DateTime): number;
+	static GetMinute(A: DateTime): number;
+	static GetMonth(A: DateTime): number;
+	static GetSecond(A: DateTime): number;
+	static GetTimeOfDay(A: DateTime): Timespan;
+	static GetYear(A: DateTime): number;
+	static Greater_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static GreaterEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static IsAfternoon(A: DateTime): boolean;
+	static IsMorning(A: DateTime): boolean;
+	static Less_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static LessEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static NotEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static Subtract_DateTimeDateTime(A: DateTime,B: DateTime): Timespan;
+	static Subtract_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
+	static ScheduleLocalNotificationAtTime(FireDateTime: DateTime,LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
+	static ScheduleLocalNotificationBadgeAtTime(FireDateTime: DateTime,LocalTime: boolean,ActivationEvent: string): void;
+	static DateTimeMaxValue(): DateTime;
+	static DateTimeMinValue(): DateTime;
+	static MakeDateTime(Year: number,Month: number,Day: number,Hour: number,Minute: number,Second: number,Millisecond: number): DateTime;
+	static Now(): DateTime;
+	static Today(): DateTime;
+	static UtcNow(): DateTime;
+}
+
+declare class BlueprintPlatformLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BlueprintPlatformLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintPlatformLibrary;
+	static GetDefaultObject(): BlueprintPlatformLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintPlatformLibrary;
+	static ScheduleLocalNotificationFromNow(inSecondsFromNow: number,Title: string,Body: string,Action: string,ActivationEvent: string): void;
+	static ScheduleLocalNotificationBadgeFromNow(inSecondsFromNow: number,ActivationEvent: string): void;
+	static ScheduleLocalNotificationBadgeAtTime(FireDateTime: DateTime,LocalTime: boolean,ActivationEvent: string): void;
+	static ScheduleLocalNotificationAtTime(FireDateTime: DateTime,LocalTime: boolean,Title: string,Body: string,Action: string,ActivationEvent: string): void;
+	static GetLaunchNotification(NotificationLaunchedApp?: boolean,ActivationEvent?: string,FireDate?: number): {NotificationLaunchedApp: boolean, ActivationEvent: string, FireDate: number};
+	static GetDeviceOrientation(): EScreenOrientation;
+	static ClearAllLocalNotifications(): void;
+	static CancelLocalNotification(ActivationEvent: string): void;
+	static C(Other: UObject | any): BlueprintPlatformLibrary;
+}
+
+declare class BlueprintSetLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): BlueprintSetLibrary;
+	static Find(Outer: UObject, ResourceName: string): BlueprintSetLibrary;
+	static GetDefaultObject(): BlueprintSetLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BlueprintSetLibrary;
+	static SetSetPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static Set_Union(A: any,B: any,Result?: any): {Result: any};
+	static Set_ToArray(A: any,Result?: number[]): {Result: number[]};
+	static Set_RemoveItems(TargetSet: any,Items: number[]): void;
+	static Set_Remove(TargetSet: any,Item: number): boolean;
+	static Set_Length(TargetSet: any): number;
+	static Set_Intersection(A: any,B: any,Result?: any): {Result: any};
+	static Set_Difference(A: any,B: any,Result?: any): {Result: any};
+	static Set_Contains(TargetSet: any,ItemToFind: number): boolean;
+	static Set_Clear(TargetSet: any): void;
+	static Set_AddItems(TargetSet: any,NewItems: number[]): void;
+	static Set_Add(TargetSet: any,NewItem: number): void;
+	static C(Other: UObject | any): BlueprintSetLibrary;
+}
+
+declare class BoneMaskFilter extends UObject { 
+	BlendPoses: InputBlendPose[];
+	static Load(ResourceName: string): BoneMaskFilter;
+	static Find(Outer: UObject, ResourceName: string): BoneMaskFilter;
+	static GetDefaultObject(): BoneMaskFilter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoneMaskFilter;
+	static C(Other: UObject | any): BoneMaskFilter;
+}
+
+declare class BookMark2D extends BookmarkBase { 
+	Zoom2D: number;
+	Location: IntPoint;
+	static Load(ResourceName: string): BookMark2D;
+	static Find(Outer: UObject, ResourceName: string): BookMark2D;
+	static GetDefaultObject(): BookMark2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BookMark2D;
+	static C(Other: UObject | any): BookMark2D;
+}
+
+declare class BoxComponent extends ShapeComponent { 
+	BoxExtent: Vector;
+	LineThickness: number;
+	static Load(ResourceName: string): BoxComponent;
+	static Find(Outer: UObject, ResourceName: string): BoxComponent;
+	static GetDefaultObject(): BoxComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxComponent;
+	SetBoxExtent(InBoxExtent: Vector,bUpdateOverlaps: boolean): void;
+	GetUnscaledBoxExtent(): Vector;
+	GetScaledBoxExtent(): Vector;
+	static C(Other: UObject | any): BoxComponent;
+}
+
+declare type EReflectionSourceType = 'CapturedScene' | 'SpecifiedCubemap' | 'EReflectionSourceType_MAX';
+declare var EReflectionSourceType : { CapturedScene:'CapturedScene',SpecifiedCubemap:'SpecifiedCubemap',EReflectionSourceType_MAX:'EReflectionSourceType_MAX', };
+declare class ReflectionCaptureComponent extends SceneComponent { 
+	CaptureOffsetComponent: BillboardComponent;
+	ReflectionSourceType: EReflectionSourceType;
+	Cubemap: TextureCube;
+	SourceCubemapAngle: number;
+	Brightness: number;
+	CaptureOffset: Vector;
+	MapBuildDataId: Guid;
+	static Load(ResourceName: string): ReflectionCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): ReflectionCaptureComponent;
+	static GetDefaultObject(): ReflectionCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReflectionCaptureComponent;
+	static C(Other: UObject | any): ReflectionCaptureComponent;
+}
+
+declare class ReflectionCapture extends Actor { 
+	CaptureComponent: ReflectionCaptureComponent;
+	SpriteComponent: BillboardComponent;
+	CaptureOffsetComponent: BillboardComponent;
+	static GetDefaultObject(): ReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReflectionCapture;
+	static C(Other: UObject | any): ReflectionCapture;
+}
+
+declare class BoxReflectionCapture extends ReflectionCapture { 
+	static GetDefaultObject(): BoxReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxReflectionCapture;
+	static C(Other: UObject | any): BoxReflectionCapture;
+}
+
+declare class BoxReflectionCaptureComponent extends ReflectionCaptureComponent { 
+	BoxTransitionDistance: number;
+	PreviewInfluenceBox: BoxComponent;
+	PreviewCaptureBox: BoxComponent;
+	static Load(ResourceName: string): BoxReflectionCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): BoxReflectionCaptureComponent;
+	static GetDefaultObject(): BoxReflectionCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BoxReflectionCaptureComponent;
+	static C(Other: UObject | any): BoxReflectionCaptureComponent;
+}
+
+declare class BrushShape extends Brush { 
+	static GetDefaultObject(): BrushShape;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BrushShape;
+	static C(Other: UObject | any): BrushShape;
+}
+
+declare class ButtonStyleAsset extends UObject { 
+	ButtonStyle: ButtonStyle;
+	static Load(ResourceName: string): ButtonStyleAsset;
+	static Find(Outer: UObject, ResourceName: string): ButtonStyleAsset;
+	static GetDefaultObject(): ButtonStyleAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ButtonStyleAsset;
+	static C(Other: UObject | any): ButtonStyleAsset;
+}
+
+declare class CameraBlockingVolume extends Volume { 
+	static GetDefaultObject(): CameraBlockingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraBlockingVolume;
+	static C(Other: UObject | any): CameraBlockingVolume;
+}
+
+declare class CanvasRenderTarget2D extends TextureRenderTarget2D { 
+	OnCanvasRenderTargetUpdate: UnrealEngineMulticastDelegate<(Canvas: Canvas, Width: number, Height: number) => void>;
+	World: any;
+	bShouldClearRenderTargetOnReceiveUpdate: boolean;
+	static Load(ResourceName: string): CanvasRenderTarget2D;
+	static Find(Outer: UObject, ResourceName: string): CanvasRenderTarget2D;
+	static GetDefaultObject(): CanvasRenderTarget2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CanvasRenderTarget2D;
+	UpdateResource(): void;
+	ReceiveUpdate(Canvas: Canvas,Width: number,Height: number): void;
+	GetSize(Width?: number,Height?: number): {Width: number, Height: number};
+	static CreateCanvasRenderTarget2D(WorldContextObject: UObject,CanvasRenderTarget2DClass: UnrealEngineClass,Width: number,Height: number): CanvasRenderTarget2D;
+	static C(Other: UObject | any): CanvasRenderTarget2D;
+}
+
+declare class CheckBoxStyleAsset extends UObject { 
+	CheckBoxStyle: CheckBoxStyle;
+	static Load(ResourceName: string): CheckBoxStyleAsset;
+	static Find(Outer: UObject, ResourceName: string): CheckBoxStyleAsset;
+	static GetDefaultObject(): CheckBoxStyleAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CheckBoxStyleAsset;
+	static C(Other: UObject | any): CheckBoxStyleAsset;
+}
+
+declare type EPlatformInterfaceDataType = 'PIDT_None' | 'PIDT_Int' | 'PIDT_Float' | 'PIDT_String' | 'PIDT_Object' | 'PIDT_Custom' | 'PIDT_MAX';
+declare var EPlatformInterfaceDataType : { PIDT_None:'PIDT_None',PIDT_Int:'PIDT_Int',PIDT_Float:'PIDT_Float',PIDT_String:'PIDT_String',PIDT_Object:'PIDT_Object',PIDT_Custom:'PIDT_Custom',PIDT_MAX:'PIDT_MAX', };
+declare class PlatformInterfaceData { 
+	DataName: string;
+	Type: EPlatformInterfaceDataType;
+	IntValue: number;
+	FloatValue: number;
+	StringValue: string;
+	ObjectValue: UObject;
+	clone() : PlatformInterfaceData;
+	static C(Other: UObject | any): PlatformInterfaceData;
+}
+
+declare class PlatformInterfaceDelegateResult { 
+	bSuccessful: boolean;
+	Data: PlatformInterfaceData;
+	clone() : PlatformInterfaceDelegateResult;
+	static C(Other: UObject | any): PlatformInterfaceDelegateResult;
+}
+
+declare class DelegateArray { 
+	Delegates: UnrealEngineDelegate<(Result: PlatformInterfaceDelegateResult) => void>[];
+	clone() : DelegateArray;
+	static C(Other: UObject | any): DelegateArray;
+}
+
+declare class PlatformInterfaceBase extends UObject { 
+	AllDelegates: DelegateArray[];
+	static Load(ResourceName: string): PlatformInterfaceBase;
+	static Find(Outer: UObject, ResourceName: string): PlatformInterfaceBase;
+	static GetDefaultObject(): PlatformInterfaceBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformInterfaceBase;
+	static C(Other: UObject | any): PlatformInterfaceBase;
+}
+
+declare class CloudStorageBase extends PlatformInterfaceBase { 
+	LocalCloudFiles: string[];
+	bSuppressDelegateCalls: boolean;
+	static Load(ResourceName: string): CloudStorageBase;
+	static Find(Outer: UObject, ResourceName: string): CloudStorageBase;
+	static GetDefaultObject(): CloudStorageBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CloudStorageBase;
+	static C(Other: UObject | any): CloudStorageBase;
+}
+
+declare class CollisionResponseTemplate { 
+	Name: string;
+	CollisionEnabled: ECollisionEnabled;
+	ObjectTypeName: string;
+	CustomResponses: ResponseChannel[];
+	HelpMessage: string;
+	bCanModify: boolean;
+	clone() : CollisionResponseTemplate;
+	static C(Other: UObject | any): CollisionResponseTemplate;
+}
+
+declare class CustomChannelSetup { 
+	Channel: ECollisionChannel;
+	Name: string;
+	DefaultResponse: ECollisionResponse;
+	bTraceType: boolean;
+	bStaticObject: boolean;
+	clone() : CustomChannelSetup;
+	static C(Other: UObject | any): CustomChannelSetup;
+}
+
+declare class CustomProfile { 
+	Name: string;
+	CustomResponses: ResponseChannel[];
+	clone() : CustomProfile;
+	static C(Other: UObject | any): CustomProfile;
+}
+
+declare class Redirector { 
+	OldName: string;
+	NewName: string;
+	clone() : Redirector;
+	static C(Other: UObject | any): Redirector;
+}
+
+declare class CollisionProfile extends DeveloperSettings { 
+	Profiles: CollisionResponseTemplate[];
+	DefaultChannelResponses: CustomChannelSetup[];
+	EditProfiles: CustomProfile[];
+	ProfileRedirects: Redirector[];
+	CollisionChannelRedirects: Redirector[];
+	static Load(ResourceName: string): CollisionProfile;
+	static Find(Outer: UObject, ResourceName: string): CollisionProfile;
+	static GetDefaultObject(): CollisionProfile;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CollisionProfile;
+	static C(Other: UObject | any): CollisionProfile;
+}
+
+declare class BlueprintComponentDelegateBinding { 
+	ComponentPropertyName: string;
+	DelegatePropertyName: string;
+	FunctionNameToBind: string;
+	clone() : BlueprintComponentDelegateBinding;
+	static C(Other: UObject | any): BlueprintComponentDelegateBinding;
+}
+
+declare class ComponentDelegateBinding extends DynamicBlueprintBinding { 
+	ComponentDelegateBindings: BlueprintComponentDelegateBinding[];
+	static Load(ResourceName: string): ComponentDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): ComponentDelegateBinding;
+	static GetDefaultObject(): ComponentDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ComponentDelegateBinding;
+	static C(Other: UObject | any): ComponentDelegateBinding;
+}
+
+declare class CompositeCurveTable extends CurveTable { 
+	ParentTables: CurveTable[];
+	OldParentTables: CurveTable[];
+	static Load(ResourceName: string): CompositeCurveTable;
+	static Find(Outer: UObject, ResourceName: string): CompositeCurveTable;
+	static GetDefaultObject(): CompositeCurveTable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositeCurveTable;
+	static C(Other: UObject | any): CompositeCurveTable;
+}
+
+declare class CompositeDataTable extends DataTable { 
+	ParentTables: DataTable[];
+	OldParentTables: DataTable[];
+	static Load(ResourceName: string): CompositeDataTable;
+	static Find(Outer: UObject, ResourceName: string): CompositeDataTable;
+	static GetDefaultObject(): CompositeDataTable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CompositeDataTable;
+	static C(Other: UObject | any): CompositeDataTable;
+}
+
+declare class ControlChannel extends Channel { 
+	static Load(ResourceName: string): ControlChannel;
+	static Find(Outer: UObject, ResourceName: string): ControlChannel;
+	static GetDefaultObject(): ControlChannel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlChannel;
+	static C(Other: UObject | any): ControlChannel;
+}
+
+declare class ControlRigInterface extends Interface { 
+	static Load(ResourceName: string): ControlRigInterface;
+	static Find(Outer: UObject, ResourceName: string): ControlRigInterface;
+	static GetDefaultObject(): ControlRigInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ControlRigInterface;
+	static C(Other: UObject | any): ControlRigInterface;
+}
+
+declare class StreamingSettings extends DeveloperSettings { 
+	AsyncLoadingThreadEnabled: boolean;
+	WarnIfTimeLimitExceeded: boolean;
+	TimeLimitExceededMultiplier: number;
+	TimeLimitExceededMinTime: number;
+	MinBulkDataSizeForAsyncLoading: number;
+	UseBackgroundLevelStreaming: boolean;
+	AsyncLoadingUseFullTimeLimit: boolean;
+	AsyncLoadingTimeLimit: number;
+	PriorityAsyncLoadingExtraTime: number;
+	LevelStreamingActorsUpdateTimeLimit: number;
+	PriorityLevelStreamingActorsUpdateExtraTime: number;
+	LevelStreamingComponentsRegistrationGranularity: number;
+	LevelStreamingUnregisterComponentsTimeLimit: number;
+	LevelStreamingComponentsUnregistrationGranularity: number;
+	EventDrivenLoaderEnabled: boolean;
+	static Load(ResourceName: string): StreamingSettings;
+	static Find(Outer: UObject, ResourceName: string): StreamingSettings;
+	static GetDefaultObject(): StreamingSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StreamingSettings;
+	static C(Other: UObject | any): StreamingSettings;
+}
+
+declare class GarbageCollectionSettings extends DeveloperSettings { 
+	TimeBetweenPurgingPendingKillObjects: number;
+	FlushStreamingOnGC: boolean;
+	AllowParallelGC: boolean;
+	IncrementalBeginDestroyEnabled: boolean;
+	CreateGCClusters: boolean;
+	ActorClusteringEnabled: boolean;
+	BlueprintClusteringEnabled: boolean;
+	UseDisregardForGCOnDedicatedServers: boolean;
+	MinGCClusterSize: number;
+	NumRetriesBeforeForcingGC: number;
+	MaxObjectsNotConsideredByGC: number;
+	SizeOfPermanentObjectPool: number;
+	MaxObjectsInGame: number;
+	MaxObjectsInEditor: number;
+	static Load(ResourceName: string): GarbageCollectionSettings;
+	static Find(Outer: UObject, ResourceName: string): GarbageCollectionSettings;
+	static GetDefaultObject(): GarbageCollectionSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GarbageCollectionSettings;
+	static C(Other: UObject | any): GarbageCollectionSettings;
+}
+
+declare class CullDistanceSizePair { 
+	Size: number;
+	CullDistance: number;
+	clone() : CullDistanceSizePair;
+	static C(Other: UObject | any): CullDistanceSizePair;
+}
+
+declare class CullDistanceVolume extends Volume { 
+	CullDistances: CullDistanceSizePair[];
+	bEnabled: boolean;
+	static GetDefaultObject(): CullDistanceVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CullDistanceVolume;
+	static C(Other: UObject | any): CullDistanceVolume;
+}
+
+declare class CurveEdPresetCurve extends UObject { 
+	static Load(ResourceName: string): CurveEdPresetCurve;
+	static Find(Outer: UObject, ResourceName: string): CurveEdPresetCurve;
+	static GetDefaultObject(): CurveEdPresetCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveEdPresetCurve;
+	static C(Other: UObject | any): CurveEdPresetCurve;
+}
+
+declare class NamedCurveValue { 
+	Name: string;
+	Value: number;
+	clone() : NamedCurveValue;
+	static C(Other: UObject | any): NamedCurveValue;
+}
+
+declare class CurveSourceInterface extends Interface { 
+	static Load(ResourceName: string): CurveSourceInterface;
+	static Find(Outer: UObject, ResourceName: string): CurveSourceInterface;
+	static GetDefaultObject(): CurveSourceInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CurveSourceInterface;
+	GetCurveValue(CurveName: string): number;
+	GetCurves(OutValues?: NamedCurveValue[]): {OutValues: NamedCurveValue[]};
+	GetBindingName(): string;
+	static C(Other: UObject | any): CurveSourceInterface;
+}
+
+declare class AssetBundleEntry { 
+	BundleScope: PrimaryAssetId;
+	BundleName: string;
+	BundleAssets: SoftObjectPath[];
+	clone() : AssetBundleEntry;
+	static C(Other: UObject | any): AssetBundleEntry;
+}
+
+declare class AssetBundleData { 
+	Bundles: AssetBundleEntry[];
+	clone() : AssetBundleData;
+	static C(Other: UObject | any): AssetBundleData;
+}
+
+declare class PrimaryDataAsset extends DataAsset { 
+	AssetBundleData: AssetBundleData;
+	static Load(ResourceName: string): PrimaryDataAsset;
+	static Find(Outer: UObject, ResourceName: string): PrimaryDataAsset;
+	static GetDefaultObject(): PrimaryDataAsset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimaryDataAsset;
+	static C(Other: UObject | any): PrimaryDataAsset;
+}
+
+declare class DataTableFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): DataTableFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): DataTableFunctionLibrary;
+	static GetDefaultObject(): DataTableFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DataTableFunctionLibrary;
+	static GetDataTableRowNames(Table: DataTable,OutRowNames?: string[]): {OutRowNames: string[]};
+	static GetDataTableRowFromName(Table: DataTable,RowName: string,OutRow?: TableRowBase): {OutRow: TableRowBase, $: boolean};
+	static GetDataTableColumnAsString(DataTable: DataTable,PropertyName: string): string[];
+	static FillDataTableFromJSONString(DataTable: DataTable,JsonString: string): boolean;
+	static FillDataTableFromJSONFile(DataTable: DataTable,JSONFilePath: string): boolean;
+	static FillDataTableFromCSVString(DataTable: DataTable,CSVString: string): boolean;
+	static FillDataTableFromCSVFile(DataTable: DataTable,CSVFilePath: string): boolean;
+	static EvaluateCurveTableRow(CurveTable: CurveTable,RowName: string,InXY: number,OutResult?: EEvaluateCurveTableResult,OutXY?: number,ContextString?: string): {OutResult: EEvaluateCurveTableResult, OutXY: number};
+	static DoesDataTableRowExist(Table: DataTable,RowName: string): boolean;
+	static C(Other: UObject | any): DataTableFunctionLibrary;
+}
+
+declare class DebugCameraHUD extends HUD { 
+	static GetDefaultObject(): DebugCameraHUD;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugCameraHUD;
+	static C(Other: UObject | any): DebugCameraHUD;
+}
+
+declare class DebugDrawService extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): DebugDrawService;
+	static Find(Outer: UObject, ResourceName: string): DebugDrawService;
+	static GetDefaultObject(): DebugDrawService;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DebugDrawService;
+	static C(Other: UObject | any): DebugDrawService;
+}
+
+declare class DecalActor extends Actor { 
+	Decal: DecalComponent;
+	ArrowComponent: ArrowComponent;
+	SpriteComponent: BillboardComponent;
+	BoxComponent: BoxComponent;
+	static GetDefaultObject(): DecalActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DecalActor;
+	SetDecalMaterial(NewDecalMaterial: MaterialInterface): void;
+	GetDecalMaterial(): MaterialInterface;
+	CreateDynamicMaterialInstance(): MaterialInstanceDynamic;
+	static C(Other: UObject | any): DecalActor;
+}
+
+declare class DemoNetConnection extends NetConnection { 
+	static Load(ResourceName: string): DemoNetConnection;
+	static Find(Outer: UObject, ResourceName: string): DemoNetConnection;
+	static GetDefaultObject(): DemoNetConnection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoNetConnection;
+	static C(Other: UObject | any): DemoNetConnection;
+}
+
+declare class PendingNetGame extends UObject { 
+	NetDriver: NetDriver;
+	DemoNetDriver: DemoNetDriver;
+	static Load(ResourceName: string): PendingNetGame;
+	static Find(Outer: UObject, ResourceName: string): PendingNetGame;
+	static GetDefaultObject(): PendingNetGame;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PendingNetGame;
+	static C(Other: UObject | any): PendingNetGame;
+}
+
+declare class DemoPendingNetGame extends PendingNetGame { 
+	static Load(ResourceName: string): DemoPendingNetGame;
+	static Find(Outer: UObject, ResourceName: string): DemoPendingNetGame;
+	static GetDefaultObject(): DemoPendingNetGame;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DemoPendingNetGame;
+	static C(Other: UObject | any): DemoPendingNetGame;
+}
+
+declare class DestructibleInterface extends Interface { 
+	static Load(ResourceName: string): DestructibleInterface;
+	static Find(Outer: UObject, ResourceName: string): DestructibleInterface;
+	static GetDefaultObject(): DestructibleInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DestructibleInterface;
+	static C(Other: UObject | any): DestructibleInterface;
+}
+
+declare class TextureLODGroup { 
+	Group: TextureGroup;
+	LODBias: number;
+	LODBias_Smaller: number;
+	LODBias_Smallest: number;
+	NumStreamedMips: number;
+	MipGenSettings: TextureMipGenSettings;
+	MinLODSize: number;
+	MaxLODSize: number;
+	MaxLODSize_Smaller: number;
+	MaxLODSize_Smallest: number;
+	OptionalLODBias: number;
+	OptionalMaxLODSize: number;
+	MinMagFilter: string;
+	MipFilter: string;
+	clone() : TextureLODGroup;
+	static C(Other: UObject | any): TextureLODGroup;
+}
+
+declare class TextureLODSettings extends UObject { 
+	TextureLODGroups: TextureLODGroup[];
+	static Load(ResourceName: string): TextureLODSettings;
+	static Find(Outer: UObject, ResourceName: string): TextureLODSettings;
+	static GetDefaultObject(): TextureLODSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureLODSettings;
+	static C(Other: UObject | any): TextureLODSettings;
+}
+
+declare class DeviceProfile extends TextureLODSettings { 
+	DeviceType: string;
+	BaseProfileName: string;
+	Parent: UObject;
+	CVars: string[];
+	static Load(ResourceName: string): DeviceProfile;
+	static Find(Outer: UObject, ResourceName: string): DeviceProfile;
+	static GetDefaultObject(): DeviceProfile;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeviceProfile;
+	static C(Other: UObject | any): DeviceProfile;
+}
+
+declare class DeviceProfileManager extends UObject { 
+	Profiles: UObject[];
+	static Load(ResourceName: string): DeviceProfileManager;
+	static Find(Outer: UObject, ResourceName: string): DeviceProfileManager;
+	static GetDefaultObject(): DeviceProfileManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeviceProfileManager;
+	static C(Other: UObject | any): DeviceProfileManager;
+}
+
+declare class Light extends Actor { 
+	LightComponent: LightComponent;
+	bEnabled: boolean;
+	static GetDefaultObject(): Light;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Light;
+	ToggleEnabled(): void;
+	SetLightFunctionScale(NewLightFunctionScale: Vector): void;
+	SetLightFunctionMaterial(NewLightFunctionMaterial: MaterialInterface): void;
+	SetLightFunctionFadeDistance(NewLightFunctionFadeDistance: number): void;
+	SetLightColor(NewLightColor: LinearColor): void;
+	SetEnabled(bSetEnabled: boolean): void;
+	SetCastShadows(bNewValue: boolean): void;
+	SetBrightness(NewBrightness: number): void;
+	SetAffectTranslucentLighting(bNewValue: boolean): void;
+	OnRep_bEnabled(): void;
+	IsEnabled(): boolean;
+	GetLightColor(): LinearColor;
+	GetBrightness(): number;
+	static C(Other: UObject | any): Light;
+}
+
+declare class DirectionalLight extends Light { 
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): DirectionalLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DirectionalLight;
+	static C(Other: UObject | any): DirectionalLight;
+}
+
+declare class LightmassDirectionalLightSettings extends LightmassLightSettings { 
+	LightSourceAngle: number;
+	clone() : LightmassDirectionalLightSettings;
+	static C(Other: UObject | any): LightmassDirectionalLightSettings;
+}
+
+declare class DirectionalLightComponent extends LightComponent { 
+	bEnableLightShaftOcclusion: boolean;
+	OcclusionMaskDarkness: number;
+	OcclusionDepthRange: number;
+	LightShaftOverrideDirection: Vector;
+	WholeSceneDynamicShadowRadius: number;
+	DynamicShadowDistanceMovableLight: number;
+	DynamicShadowDistanceStationaryLight: number;
+	DynamicShadowCascades: number;
+	CascadeDistributionExponent: number;
+	CascadeTransitionFraction: number;
+	ShadowDistanceFadeoutFraction: number;
+	bUseInsetShadowsForMovableObjects: boolean;
+	FarShadowCascadeCount: number;
+	FarShadowDistance: number;
+	DistanceFieldShadowDistance: number;
+	LightSourceAngle: number;
+	LightSourceSoftAngle: number;
+	TraceDistance: number;
+	LightmassSettings: LightmassDirectionalLightSettings;
+	bCastModulatedShadows: boolean;
+	ModulatedShadowColor: Color;
+	bUsedAsAtmosphereSunLight: boolean;
+	static Load(ResourceName: string): DirectionalLightComponent;
+	static Find(Outer: UObject, ResourceName: string): DirectionalLightComponent;
+	static GetDefaultObject(): DirectionalLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DirectionalLightComponent;
+	SetShadowDistanceFadeoutFraction(NewValue: number): void;
+	SetOcclusionMaskDarkness(NewValue: number): void;
+	SetLightShaftOverrideDirection(NewValue: Vector): void;
+	SetEnableLightShaftOcclusion(bNewValue: boolean): void;
+	SetDynamicShadowDistanceStationaryLight(NewValue: number): void;
+	SetDynamicShadowDistanceMovableLight(NewValue: number): void;
+	SetDynamicShadowCascades(NewValue: number): void;
+	SetCascadeTransitionFraction(NewValue: number): void;
+	SetCascadeDistributionExponent(NewValue: number): void;
+	static C(Other: UObject | any): DirectionalLightComponent;
+}
+
+declare class DistributionFloatConstant extends DistributionFloat { 
+	Constant: number;
+	static Load(ResourceName: string): DistributionFloatConstant;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatConstant;
+	static GetDefaultObject(): DistributionFloatConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatConstant;
+	static C(Other: UObject | any): DistributionFloatConstant;
+}
+
+declare class DistributionFloatConstantCurve extends DistributionFloat { 
+	ConstantCurve: InterpCurveFloat;
+	static Load(ResourceName: string): DistributionFloatConstantCurve;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatConstantCurve;
+	static GetDefaultObject(): DistributionFloatConstantCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatConstantCurve;
+	static C(Other: UObject | any): DistributionFloatConstantCurve;
+}
+
+declare type DistributionParamMode = 'DPM_Normal' | 'DPM_Abs' | 'DPM_Direct' | 'DPM_MAX';
+declare var DistributionParamMode : { DPM_Normal:'DPM_Normal',DPM_Abs:'DPM_Abs',DPM_Direct:'DPM_Direct',DPM_MAX:'DPM_MAX', };
+declare class DistributionFloatParameterBase extends DistributionFloatConstant { 
+	ParameterName: string;
+	MinInput: number;
+	MaxInput: number;
+	MinOutput: number;
+	MaxOutput: number;
+	ParamMode: DistributionParamMode;
+	static Load(ResourceName: string): DistributionFloatParameterBase;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatParameterBase;
+	static GetDefaultObject(): DistributionFloatParameterBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatParameterBase;
+	static C(Other: UObject | any): DistributionFloatParameterBase;
+}
+
+declare class DistributionFloatParticleParameter extends DistributionFloatParameterBase { 
+	static Load(ResourceName: string): DistributionFloatParticleParameter;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatParticleParameter;
+	static GetDefaultObject(): DistributionFloatParticleParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatParticleParameter;
+	static C(Other: UObject | any): DistributionFloatParticleParameter;
+}
+
+declare class DistributionFloatUniform extends DistributionFloat { 
+	Min: number;
+	Max: number;
+	static Load(ResourceName: string): DistributionFloatUniform;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatUniform;
+	static GetDefaultObject(): DistributionFloatUniform;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatUniform;
+	static C(Other: UObject | any): DistributionFloatUniform;
+}
+
+declare class InterpCurvePointVector2D { 
+	InVal: number;
+	OutVal: Vector2D;
+	ArriveTangent: Vector2D;
+	LeaveTangent: Vector2D;
+	InterpMode: EInterpCurveMode;
+	clone() : InterpCurvePointVector2D;
+	static C(Other: UObject | any): InterpCurvePointVector2D;
+}
+
+declare class InterpCurveVector2D { 
+	Points: InterpCurvePointVector2D[];
+	bIsLooped: boolean;
+	LoopKeyOffset: number;
+	clone() : InterpCurveVector2D;
+	static C(Other: UObject | any): InterpCurveVector2D;
+}
+
+declare class DistributionFloatUniformCurve extends DistributionFloat { 
+	ConstantCurve: InterpCurveVector2D;
+	static Load(ResourceName: string): DistributionFloatUniformCurve;
+	static Find(Outer: UObject, ResourceName: string): DistributionFloatUniformCurve;
+	static GetDefaultObject(): DistributionFloatUniformCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionFloatUniformCurve;
+	static C(Other: UObject | any): DistributionFloatUniformCurve;
+}
+
+declare type EDistributionVectorLockFlags = 'EDVLF_None' | 'EDVLF_XY' | 'EDVLF_XZ' | 'EDVLF_YZ' | 'EDVLF_XYZ' | 'EDVLF_MAX';
+declare var EDistributionVectorLockFlags : { EDVLF_None:'EDVLF_None',EDVLF_XY:'EDVLF_XY',EDVLF_XZ:'EDVLF_XZ',EDVLF_YZ:'EDVLF_YZ',EDVLF_XYZ:'EDVLF_XYZ',EDVLF_MAX:'EDVLF_MAX', };
+declare class DistributionVectorConstant extends DistributionVector { 
+	Constant: Vector;
+	bLockAxes: boolean;
+	LockedAxes: EDistributionVectorLockFlags;
+	static Load(ResourceName: string): DistributionVectorConstant;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorConstant;
+	static GetDefaultObject(): DistributionVectorConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorConstant;
+	static C(Other: UObject | any): DistributionVectorConstant;
+}
+
+declare class DistributionVectorConstantCurve extends DistributionVector { 
+	ConstantCurve: InterpCurveVector;
+	bLockAxes: boolean;
+	LockedAxes: EDistributionVectorLockFlags;
+	static Load(ResourceName: string): DistributionVectorConstantCurve;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorConstantCurve;
+	static GetDefaultObject(): DistributionVectorConstantCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorConstantCurve;
+	static C(Other: UObject | any): DistributionVectorConstantCurve;
 }
 
-declare class KismetNodeHelperLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetNodeHelperLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetNodeHelperLibrary;
-	static GetDefaultObject(): KismetNodeHelperLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetNodeHelperLibrary;
-	static MarkBit(Data?: number,index?: number): {Data: number};
-	static HasUnmarkedBit(Data: number,NumBits: number): boolean;
-	static HasMarkedBit(Data: number,NumBits: number): boolean;
-	static GetValidValue(Enum: Enum,EnumeratorValue: number): number;
-	static GetUnmarkedBit(Data: number,StartIdx: number,NumBits: number,bRandom: boolean): number;
-	static GetRandomUnmarkedBit(Data: number,StartIdx: number,NumBits: number): number;
-	static GetFirstUnmarkedBit(Data: number,StartIdx: number,NumBits: number): number;
-	static GetEnumeratorValueFromIndex(Enum: Enum,EnumeratorIndex: number): number;
-	static GetEnumeratorUserFriendlyName(Enum: Enum,EnumeratorValue: number): string;
-	static GetEnumeratorName(Enum: Enum,EnumeratorValue: number): string;
-	static ClearBit(Data?: number,index?: number): {Data: number};
-	static ClearAllBits(Data?: number): {Data: number};
-	static BitIsMarked(Data: number,index: number): boolean;
-	static C(Other: UObject | any): KismetNodeHelperLibrary;
+declare class DistributionVectorParameterBase extends DistributionVectorConstant { 
+	ParameterName: string;
+	MinInput: Vector;
+	MaxInput: Vector;
+	MinOutput: Vector;
+	MaxOutput: Vector;
+	ParamModes: DistributionParamMode;
+	static Load(ResourceName: string): DistributionVectorParameterBase;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorParameterBase;
+	static GetDefaultObject(): DistributionVectorParameterBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorParameterBase;
+	static C(Other: UObject | any): DistributionVectorParameterBase;
 }
 
-declare class KismetRenderingLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetRenderingLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetRenderingLibrary;
-	static GetDefaultObject(): KismetRenderingLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetRenderingLibrary;
-	static RenderTargetCreateStaticTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
-	static ReleaseRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D): void;
-	static MakeSkinWeightInfo(Bone0: number,Weight0: number,Bone1: number,Weight1: number,Bone2: number,Weight2: number,Bone3: number,Weight3: number): SkelMeshSkinWeightInfo;
-	static ExportTexture2D(WorldContextObject: UObject,Texture: Texture2D,FilePath: string,Filename: string): void;
-	static ExportRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
-	static EndDrawCanvasToRenderTarget(WorldContextObject: UObject,Context: DrawToRenderTargetContext): void;
-	static DrawMaterialToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
-	static CreateRenderTarget2D(WorldContextObject: UObject,Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
-	static ConvertRenderTargetToTexture2DEditorOnly(WorldContextObject: UObject,RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
-	static ClearRenderTarget2D(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
-	static BreakSkinWeightInfo(InWeight: SkelMeshSkinWeightInfo,Bone0?: number,Weight0?: number,Bone1?: number,Weight1?: number,Bone2?: number,Weight2?: number,Bone3?: number,Weight3?: number): {Bone0: number, Weight0: number, Bone1: number, Weight1: number, Bone2: number, Weight2: number, Bone3: number, Weight3: number};
-	static BeginDrawCanvasToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
-	static C(Other: UObject | any): KismetRenderingLibrary;
+declare class DistributionVectorParticleParameter extends DistributionVectorParameterBase { 
+	static Load(ResourceName: string): DistributionVectorParticleParameter;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorParticleParameter;
+	static GetDefaultObject(): DistributionVectorParticleParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorParticleParameter;
+	static C(Other: UObject | any): DistributionVectorParticleParameter;
 }
 
-declare type ESearchCase = 'CaseSensitive' | 'IgnoreCase' | 'ESearchCase_MAX';
-declare var ESearchCase : { CaseSensitive:'CaseSensitive',IgnoreCase:'IgnoreCase',ESearchCase_MAX:'ESearchCase_MAX', };
-declare type ESearchDir = 'FromStart' | 'FromEnd' | 'ESearchDir_MAX';
-declare var ESearchDir : { FromStart:'FromStart',FromEnd:'FromEnd',ESearchDir_MAX:'ESearchDir_MAX', };
-declare class KismetStringLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetStringLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetStringLibrary;
-	static GetDefaultObject(): KismetStringLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetStringLibrary;
-	static TrimTrailing(SourceString: string): string;
-	static Trim(SourceString: string): string;
-	static ToUpper(SourceString: string): string;
-	static ToLower(SourceString: string): string;
-	static TimeSecondsToString(InSeconds: number): string;
-	static StartsWith(SourceString: string,InPrefix: string,SearchCase: ESearchCase): boolean;
-	static Split(SourceString: string,InStr: string,LeftS?: string,RightS?: string,SearchCase?: ESearchCase,SearchDir?: ESearchDir): {LeftS: string, RightS: string, $: boolean};
-	static RightPad(SourceString: string,ChCount: number): string;
-	static RightChop(SourceString: string,Count: number): string;
-	static Right(SourceString: string,Count: number): string;
-	static Reverse(SourceString: string): string;
-	static ReplaceInline(SourceString?: string,SearchText?: string,ReplacementText?: string,SearchCase?: ESearchCase): {SourceString: string, $: number};
-	static Replace(SourceString: string,From: string,To: string,SearchCase: ESearchCase): string;
-	static ParseIntoArray(SourceString: string,Delimiter: string,CullEmptyStrings: boolean): string[];
-	static NotEqual_StrStr(A: string,B: string): boolean;
-	static NotEqual_StriStri(A: string,B: string): boolean;
-	static Mid(SourceString: string,Start: number,Count: number): string;
-	static MatchesWildcard(SourceString: string,wildcard: string,SearchCase: ESearchCase): boolean;
-	static Len(S: string): number;
-	static LeftPad(SourceString: string,ChCount: number): string;
-	static LeftChop(SourceString: string,Count: number): string;
-	static Left(SourceString: string,Count: number): string;
-	static JoinStringArray(SourceArray: string[],Separator: string): string;
-	static IsNumeric(SourceString: string): boolean;
-	static GetSubstring(SourceString: string,StartIndex: number,Length: number): string;
-	static GetCharacterAsNumber(SourceString: string,index: number): number;
-	static GetCharacterArrayFromString(SourceString: string): string[];
-	static FindSubstring(SearchIn: string,Substring: string,bUseCase: boolean,bSearchFromEnd: boolean,StartPosition: number): number;
-	static EqualEqual_StrStr(A: string,B: string): boolean;
-	static EqualEqual_StriStri(A: string,B: string): boolean;
-	static EndsWith(SourceString: string,InSuffix: string,SearchCase: ESearchCase): boolean;
-	static CullArray(SourceString: string,inArray?: string[]): {inArray: string[], $: number};
-	static Conv_VectorToString(InVec: Vector): string;
-	static Conv_Vector2dToString(InVec: Vector2D): string;
-	static Conv_TransformToString(InTrans: Transform): string;
-	static Conv_StringToVector2D(inString: string,OutConvertedVector2D?: Vector2D,OutIsValid?: boolean): {OutConvertedVector2D: Vector2D, OutIsValid: boolean};
-	static Conv_StringToVector(inString: string,OutConvertedVector?: Vector,OutIsValid?: boolean): {OutConvertedVector: Vector, OutIsValid: boolean};
-	static Conv_StringToRotator(inString: string,OutConvertedRotator?: Rotator,OutIsValid?: boolean): {OutConvertedRotator: Rotator, OutIsValid: boolean};
-	static Conv_StringToName(inString: string): string;
-	static Conv_StringToInt(inString: string): number;
-	static Conv_StringToFloat(inString: string): number;
-	static Conv_StringToColor(inString: string,OutConvertedColor?: LinearColor,OutIsValid?: boolean): {OutConvertedColor: LinearColor, OutIsValid: boolean};
-	static Conv_RotatorToString(InRot: Rotator): string;
-	static Conv_ObjectToString(InObj: UObject): string;
-	static Conv_NameToString(InName: string): string;
-	static Conv_IntVectorToString(InIntVec: IntVector): string;
-	static Conv_IntToString(inInt: number): string;
-	static Conv_FloatToString(InFloat: number): string;
-	static Conv_ColorToString(InColor: LinearColor): string;
-	static Conv_ByteToString(InByte: number): string;
-	static Conv_BoolToString(InBool: boolean): string;
-	static Contains(SearchIn: string,Substring: string,bUseCase: boolean,bSearchFromEnd: boolean): boolean;
-	static Concat_StrStr(A: string,B: string): string;
-	static BuildString_Vector2d(AppendTo: string,Prefix: string,InVector2D: Vector2D,Suffix: string): string;
-	static BuildString_Vector(AppendTo: string,Prefix: string,InVector: Vector,Suffix: string): string;
-	static BuildString_Rotator(AppendTo: string,Prefix: string,InRot: Rotator,Suffix: string): string;
-	static BuildString_Object(AppendTo: string,Prefix: string,InObj: UObject,Suffix: string): string;
-	static BuildString_Name(AppendTo: string,Prefix: string,InName: string,Suffix: string): string;
-	static BuildString_IntVector(AppendTo: string,Prefix: string,InIntVector: IntVector,Suffix: string): string;
-	static BuildString_Int(AppendTo: string,Prefix: string,inInt: number,Suffix: string): string;
-	static BuildString_Float(AppendTo: string,Prefix: string,InFloat: number,Suffix: string): string;
-	static BuildString_Color(AppendTo: string,Prefix: string,InColor: LinearColor,Suffix: string): string;
-	static BuildString_Bool(AppendTo: string,Prefix: string,InBool: boolean,Suffix: string): string;
-	static C(Other: UObject | any): KismetStringLibrary;
+declare type EDistributionVectorMirrorFlags = 'EDVMF_Same' | 'EDVMF_Different' | 'EDVMF_Mirror' | 'EDVMF_MAX';
+declare var EDistributionVectorMirrorFlags : { EDVMF_Same:'EDVMF_Same',EDVMF_Different:'EDVMF_Different',EDVMF_Mirror:'EDVMF_Mirror',EDVMF_MAX:'EDVMF_MAX', };
+declare class DistributionVectorUniform extends DistributionVector { 
+	Max: Vector;
+	Min: Vector;
+	bLockAxes: boolean;
+	LockedAxes: EDistributionVectorLockFlags;
+	MirrorFlags: EDistributionVectorMirrorFlags;
+	bUseExtremes: boolean;
+	static Load(ResourceName: string): DistributionVectorUniform;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorUniform;
+	static GetDefaultObject(): DistributionVectorUniform;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorUniform;
+	static C(Other: UObject | any): DistributionVectorUniform;
+}
+
+declare class TwoVectors { 
+	v1: Vector;
+	v2: Vector;
+	clone() : TwoVectors;
+	static C(Other: UObject | any): TwoVectors;
+}
+
+declare class InterpCurvePointTwoVectors { 
+	InVal: number;
+	OutVal: TwoVectors;
+	ArriveTangent: TwoVectors;
+	LeaveTangent: TwoVectors;
+	InterpMode: EInterpCurveMode;
+	clone() : InterpCurvePointTwoVectors;
+	static C(Other: UObject | any): InterpCurvePointTwoVectors;
+}
+
+declare class InterpCurveTwoVectors { 
+	Points: InterpCurvePointTwoVectors[];
+	bIsLooped: boolean;
+	LoopKeyOffset: number;
+	clone() : InterpCurveTwoVectors;
+	static C(Other: UObject | any): InterpCurveTwoVectors;
+}
+
+declare class DistributionVectorUniformCurve extends DistributionVector { 
+	ConstantCurve: InterpCurveTwoVectors;
+	bLockAxes1: boolean;
+	bLockAxes2: boolean;
+	LockedAxes: EDistributionVectorLockFlags;
+	MirrorFlags: EDistributionVectorMirrorFlags;
+	bUseExtremes: boolean;
+	static Load(ResourceName: string): DistributionVectorUniformCurve;
+	static Find(Outer: UObject, ResourceName: string): DistributionVectorUniformCurve;
+	static GetDefaultObject(): DistributionVectorUniformCurve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DistributionVectorUniformCurve;
+	static C(Other: UObject | any): DistributionVectorUniformCurve;
+}
+
+declare class MaterialSpriteElement { 
+	Material: MaterialInterface;
+	DistanceToOpacityCurve: CurveFloat;
+	bSizeIsInScreenSpace: boolean;
+	BaseSizeX: number;
+	BaseSizeY: number;
+	DistanceToSizeCurve: CurveFloat;
+	clone() : MaterialSpriteElement;
+	static C(Other: UObject | any): MaterialSpriteElement;
+}
+
+declare class MaterialBillboardComponent extends PrimitiveComponent { 
+	Elements: MaterialSpriteElement[];
+	static Load(ResourceName: string): MaterialBillboardComponent;
+	static Find(Outer: UObject, ResourceName: string): MaterialBillboardComponent;
+	static GetDefaultObject(): MaterialBillboardComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialBillboardComponent;
+	SetElements(NewElements: MaterialSpriteElement[]): void;
+	AddElement(Material: MaterialInterface,DistanceToOpacityCurve: CurveFloat,bSizeIsInScreenSpace: boolean,BaseSizeX: number,BaseSizeY: number,DistanceToSizeCurve: CurveFloat): void;
+	static C(Other: UObject | any): MaterialBillboardComponent;
+}
+
+declare class DocumentationActor extends Actor { 
+	DocumentLink: string;
+	Billboard: MaterialBillboardComponent;
+	static GetDefaultObject(): DocumentationActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DocumentationActor;
+	static C(Other: UObject | any): DocumentationActor;
+}
+
+declare class DPICustomScalingRule extends UObject { 
+	static Load(ResourceName: string): DPICustomScalingRule;
+	static Find(Outer: UObject, ResourceName: string): DPICustomScalingRule;
+	static GetDefaultObject(): DPICustomScalingRule;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DPICustomScalingRule;
+	static C(Other: UObject | any): DPICustomScalingRule;
+}
+
+declare class DrawSphereComponent extends SphereComponent { 
+	static Load(ResourceName: string): DrawSphereComponent;
+	static Find(Outer: UObject, ResourceName: string): DrawSphereComponent;
+	static GetDefaultObject(): DrawSphereComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DrawSphereComponent;
+	static C(Other: UObject | any): DrawSphereComponent;
+}
+
+declare class EdGraphNode_Documentation extends EdGraphNode { 
+	Link: string;
+	Excerpt: string;
+	static Load(ResourceName: string): EdGraphNode_Documentation;
+	static Find(Outer: UObject, ResourceName: string): EdGraphNode_Documentation;
+	static GetDefaultObject(): EdGraphNode_Documentation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EdGraphNode_Documentation;
+	static C(Other: UObject | any): EdGraphNode_Documentation;
+}
+
+declare class EngineBaseTypes extends UObject { 
+	static Load(ResourceName: string): EngineBaseTypes;
+	static Find(Outer: UObject, ResourceName: string): EngineBaseTypes;
+	static GetDefaultObject(): EngineBaseTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineBaseTypes;
+	static C(Other: UObject | any): EngineBaseTypes;
+}
+
+declare class EngineHandlerComponentFactory extends HandlerComponentFactory { 
+	static Load(ResourceName: string): EngineHandlerComponentFactory;
+	static Find(Outer: UObject, ResourceName: string): EngineHandlerComponentFactory;
+	static GetDefaultObject(): EngineHandlerComponentFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineHandlerComponentFactory;
+	static C(Other: UObject | any): EngineHandlerComponentFactory;
 }
 
-declare class KismetStringTableLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetStringTableLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetStringTableLibrary;
-	static GetDefaultObject(): KismetStringTableLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetStringTableLibrary;
-	static IsRegisteredTableId(TableId: string): boolean;
-	static IsRegisteredTableEntry(TableId: string,Key: string): boolean;
-	static GetTableNamespace(TableId: string): string;
-	static GetTableEntrySourceString(TableId: string,Key: string): string;
-	static GetTableEntryMetaData(TableId: string,Key: string,MetaDataId: string): string;
-	static GetRegisteredStringTables(): string[];
-	static GetMetaDataIdsFromStringTableEntry(TableId: string,Key: string): string[];
-	static GetKeysFromStringTable(TableId: string): string[];
-	static C(Other: UObject | any): KismetStringTableLibrary;
+declare class EngineMessage extends LocalMessage { 
+	FailedPlaceMessage: string;
+	MaxedOutMessage: string;
+	EnteredMessage: string;
+	LeftMessage: string;
+	GlobalNameChange: string;
+	SpecEnteredMessage: string;
+	NewPlayerMessage: string;
+	NewSpecMessage: string;
+	static Load(ResourceName: string): EngineMessage;
+	static Find(Outer: UObject, ResourceName: string): EngineMessage;
+	static GetDefaultObject(): EngineMessage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineMessage;
+	static C(Other: UObject | any): EngineMessage;
 }
 
-declare class UserActivity { 
-	ActionName: string;
-	clone() : UserActivity;
-	static C(Other: UObject | any): UserActivity;
-	SetUserActivity(): void;
-	static SetUserActivity(UserActivity: UserActivity): void;
+declare class EngineTypes extends UObject { 
+	static Load(ResourceName: string): EngineTypes;
+	static Find(Outer: UObject, ResourceName: string): EngineTypes;
+	static GetDefaultObject(): EngineTypes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EngineTypes;
+	static C(Other: UObject | any): EngineTypes;
 }
 
-declare class KismetSystemLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetSystemLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetSystemLibrary;
-	static GetDefaultObject(): KismetSystemLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetSystemLibrary;
-	static UnregisterForRemoteNotifications(): void;
-	static UnloadPrimaryAssetList(PrimaryAssetIdList: PrimaryAssetId[]): void;
-	static UnloadPrimaryAsset(PrimaryAssetId: PrimaryAssetId): void;
-	static StackTrace(): void;
-	static SphereTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static SphereTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static SphereTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static SphereTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static SphereOverlapComponents(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static SphereOverlapActors(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static ShowPlatformSpecificLeaderboardScreen(CategoryName: string): void;
-	static ShowPlatformSpecificAchievementsScreen(SpecificPlayer: PlayerController): void;
-	static ShowInterstitialAd(): void;
-	static ShowAdBanner(AdIdIndex: number,bShowOnBottomOfScreen: boolean): void;
-	static SetWindowTitle(Title: string): void;
-	static SetVolumeButtonsHandledBySystem(bEnabled: boolean): void;
-	static SetVectorPropertyByName(UObject: UObject,PropertyName: string,Value: Vector): void;
-	static SetUserActivity(UserActivity: UserActivity): void;
-	static SetTransformPropertyByName(UObject: UObject,PropertyName: string,Value: Transform): void;
-	static SetTextPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetSuppressViewportTransitionMessage(WorldContextObject: UObject,bState: boolean): void;
-	static SetStructurePropertyByName(UObject: UObject,PropertyName: string,Value: GenericStruct): void;
-	static SetStringPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetSoftObjectPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetSoftClassPropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
-	static SetRotatorPropertyByName(UObject: UObject,PropertyName: string,Value: Rotator): void;
-	static SetObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
-	static SetNamePropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
-	static SetLinearColorPropertyByName(UObject: UObject,PropertyName: string,Value: LinearColor): void;
-	static SetIntPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetFloatPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetCollisionProfileNameProperty(UObject: UObject,PropertyName: string,Value: CollisionProfileName): void;
-	static SetClassPropertyByName(UObject: UObject,PropertyName: string,Value: UnrealEngineClass): void;
-	static SetBytePropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
-	static SetBoolPropertyByName(UObject: UObject,PropertyName: string,Value: boolean): void;
-	static RetriggerableDelay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
-	static ResetGamepadAssignmentToController(ControllerId: number): void;
-	static ResetGamepadAssignments(): void;
-	static RegisterForRemoteNotifications(): void;
-	static QuitGame(WorldContextObject: UObject,SpecificPlayer: PlayerController,QuitPreference: EQuitPreference): void;
-	static PrintWarning(inString: string): void;
-	static PrintText(WorldContextObject: UObject,InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	static PrintString(WorldContextObject: UObject,inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
-	static NotEqual_SoftObjectReference(A: any,B: any): boolean;
-	static NotEqual_SoftClassReference(A: any,B: any): boolean;
-	static NotEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
-	static NotEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
-	static MoveComponentTo(Component: SceneComponent,TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
-	static MakeSoftObjectPath(PathString: string): SoftObjectPath;
-	static MakeLiteralText(Value: string): string;
-	static MakeLiteralString(Value: string): string;
-	static MakeLiteralName(Value: string): string;
-	static MakeLiteralInt(Value: number): number;
-	static MakeLiteralFloat(Value: number): number;
-	static MakeLiteralByte(Value: number): number;
-	static MakeLiteralBool(Value: boolean): boolean;
-	static LoadInterstitialAd(AdIdIndex: number): void;
-	static LineTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LineTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LineTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static LineTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LineTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LineTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static LaunchURL(URL: string): void;
-	static K2_UnPauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static K2_UnPauseTimer(UObject: UObject,FunctionName: string): void;
-	static K2_TimerExistsHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_TimerExists(UObject: UObject,FunctionName: string): boolean;
-	static K2_SetTimer(UObject: UObject,FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
-	static K2_PauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static K2_PauseTimer(UObject: UObject,FunctionName: string): void;
-	static K2_IsValidTimerHandle(Handle: TimerHandle): boolean;
-	static K2_IsTimerPausedHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_IsTimerPaused(UObject: UObject,FunctionName: string): boolean;
-	static K2_IsTimerActiveHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
-	static K2_IsTimerActive(UObject: UObject,FunctionName: string): boolean;
-	static K2_InvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle, $: TimerHandle};
-	static K2_GetTimerRemainingTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
-	static K2_GetTimerRemainingTime(UObject: UObject,FunctionName: string): number;
-	static K2_GetTimerElapsedTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
-	static K2_GetTimerElapsedTime(UObject: UObject,FunctionName: string): number;
-	static K2_ClearTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
-	static K2_ClearTimer(UObject: UObject,FunctionName: string): void;
-	static K2_ClearAndInvalidateTimerHandle(WorldContextObject: UObject,Handle?: TimerHandle): {Handle: TimerHandle};
-	static IsValidSoftObjectReference(SoftObjectReference: any): boolean;
-	static IsValidSoftClassReference(SoftClassReference: any): boolean;
-	static IsValidPrimaryAssetType(PrimaryAssetType: PrimaryAssetType): boolean;
-	static IsValidPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): boolean;
-	static IsValidClass(Class: UnrealEngineClass): boolean;
-	static IsValid(UObject: UObject): boolean;
-	static IsStandalone(WorldContextObject: UObject): boolean;
-	static IsServer(WorldContextObject: UObject): boolean;
-	static IsPackagedForDistribution(): boolean;
-	static IsLoggedIn(SpecificPlayer: PlayerController): boolean;
-	static IsInterstitialAdRequested(): boolean;
-	static IsInterstitialAdAvailable(): boolean;
-	static IsDedicatedServer(WorldContextObject: UObject): boolean;
-	static IsControllerAssignedToGamepad(ControllerId: number): boolean;
-	static HideAdBanner(): void;
-	static GetVolumeButtonsHandledBySystem(): boolean;
-	static GetUniqueDeviceId(): string;
-	static GetSupportedFullscreenResolutions(Resolutions?: IntPoint[]): {Resolutions: IntPoint[], $: boolean};
-	static GetSoftObjectReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): any;
-	static GetSoftClassReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): any;
-	static GetRenderingMaterialQualityLevel(): number;
-	static GetRenderingDetailMode(): number;
-	static GetProjectSavedDirectory(): string;
-	static GetProjectDirectory(): string;
-	static GetProjectContentDirectory(): string;
-	static GetPrimaryAssetsWithBundleState(RequiredBundles: string[],ExcludedBundles: string[],ValidTypes: PrimaryAssetType[],bForceCurrentState: boolean,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
-	static GetPrimaryAssetIdList(PrimaryAssetType: PrimaryAssetType,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
-	static GetPrimaryAssetIdFromSoftObjectReference(SoftObjectReference: any): PrimaryAssetId;
-	static GetPrimaryAssetIdFromSoftClassReference(SoftClassReference: any): PrimaryAssetId;
-	static GetPrimaryAssetIdFromObject(UObject: UObject): PrimaryAssetId;
-	static GetPrimaryAssetIdFromClass(Class: UnrealEngineClass): PrimaryAssetId;
-	static GetPreferredLanguages(): string[];
-	static GetPlatformUserName(): string;
-	static GetPathName(UObject: UObject): string;
-	static GetObjectName(UObject: UObject): string;
-	static GetObjectFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
-	static GetMinYResolutionForUI(): number;
-	static GetMinYResolutionFor3DView(): number;
-	static GetLocalCurrencySymbol(): string;
-	static GetLocalCurrencyCode(): string;
-	static GetGameTimeInSeconds(WorldContextObject: UObject): number;
-	static GetGameName(): string;
-	static GetGameBundleId(): string;
-	static GetEngineVersion(): string;
-	static GetDisplayName(UObject: UObject): string;
-	static GetDeviceId(): string;
-	static GetDefaultLocale(): string;
-	static GetDefaultLanguage(): string;
-	static GetCurrentBundleState(PrimaryAssetId: PrimaryAssetId,bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
-	static GetConvenientWindowedResolutions(Resolutions?: IntPoint[]): {Resolutions: IntPoint[], $: boolean};
-	static GetConsoleVariableIntValue(WorldContextObject: UObject,VariableName: string): number;
-	static GetConsoleVariableFloatValue(WorldContextObject: UObject,VariableName: string): number;
-	static GetComponentBounds(Component: SceneComponent,Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
-	static GetCommandLine(): string;
-	static GetClassFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UnrealEngineClass;
-	static GetClassDisplayName(Class: UnrealEngineClass): string;
-	static GetAdIDCount(): number;
-	static GetActorListFromComponentList(ComponentList: PrimitiveComponent[],ActorClassFilter: UnrealEngineClass,OutActorList?: Actor[]): {OutActorList: Actor[]};
-	static GetActorBounds(Actor: Actor,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
-	static ForceCloseAdBanner(): void;
-	static FlushPersistentDebugLines(WorldContextObject: UObject): void;
-	static FlushDebugStrings(WorldContextObject: UObject): void;
-	static ExecuteConsoleCommand(WorldContextObject: UObject,Command: string,SpecificPlayer: PlayerController): void;
-	static EqualEqual_SoftObjectReference(A: any,B: any): boolean;
-	static EqualEqual_SoftClassReference(A: any,B: any): boolean;
-	static EqualEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
-	static EqualEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
-	static DrawDebugString(WorldContextObject: UObject,TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
-	static DrawDebugSphere(WorldContextObject: UObject,Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugPoint(WorldContextObject: UObject,Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
-	static DrawDebugPlane(WorldContextObject: UObject,PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
-	static DrawDebugLine(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugFrustum(WorldContextObject: UObject,FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugFloatHistoryTransform(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	static DrawDebugFloatHistoryLocation(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
-	static DrawDebugCylinder(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCoordinateSystem(WorldContextObject: UObject,AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
-	static DrawDebugConeInDegrees(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCircle(WorldContextObject: UObject,Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
-	static DrawDebugCapsule(WorldContextObject: UObject,Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DrawDebugCamera(CameraActor: CameraActor,CameraColor: LinearColor,Duration: number): void;
-	static DrawDebugBox(WorldContextObject: UObject,Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
-	static DrawDebugArrow(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
-	static DoesImplementInterface(TestObject: UObject,Interface: UnrealEngineClass): boolean;
-	static Delay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
-	static CreateCopyForUndoBuffer(ObjectToModify: UObject): void;
-	static Conv_SoftObjectReferenceToString(SoftObjectReference: any): string;
-	static Conv_SoftObjectReferenceToObject(softobject: any): UObject;
-	static Conv_SoftClassReferenceToString(SoftClassReference: any): string;
-	static Conv_SoftClassReferenceToClass(softclass: any): UnrealEngineClass;
-	static Conv_PrimaryAssetTypeToString(PrimaryAssetType: PrimaryAssetType): string;
-	static Conv_PrimaryAssetIdToString(PrimaryAssetId: PrimaryAssetId): string;
-	static Conv_ObjectToSoftObjectReference(UObject: UObject): any;
-	static Conv_ClassToSoftClassReference(Class: UnrealEngineClass): any;
-	static ControlScreensaver(bAllowScreenSaver: boolean): void;
-	static ComponentOverlapComponents(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static ComponentOverlapActors(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static CollectGarbage(): void;
-	static CapsuleTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static CapsuleTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static CapsuleOverlapComponents(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static CapsuleOverlapActors(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static CanLaunchURL(URL: string): boolean;
-	static BreakSoftObjectPath(InSoftObjectPath: SoftObjectPath,PathString?: string): {PathString: string};
-	static BoxTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BoxTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BoxTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
-	static BoxTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
-	static BoxOverlapComponents(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
-	static BoxOverlapActors(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
-	static AddFloatHistorySample(Value: number,FloatHistory: DebugFloatHistory): DebugFloatHistory;
-	static C(Other: UObject | any): KismetSystemLibrary;
+declare class ExponentialHeightFogData { 
+	FogDensity: number;
+	FogHeightFalloff: number;
+	FogHeightOffset: number;
+	clone() : ExponentialHeightFogData;
+	static C(Other: UObject | any): ExponentialHeightFogData;
+}
+
+declare class ExponentialHeightFogComponent extends SceneComponent { 
+	FogDensity: number;
+	FogHeightFalloff: number;
+	SecondFogData: ExponentialHeightFogData;
+	FogInscatteringColor: LinearColor;
+	InscatteringColorCubemap: TextureCube;
+	InscatteringColorCubemapAngle: number;
+	InscatteringTextureTint: LinearColor;
+	FullyDirectionalInscatteringColorDistance: number;
+	NonDirectionalInscatteringColorDistance: number;
+	DirectionalInscatteringExponent: number;
+	DirectionalInscatteringStartDistance: number;
+	DirectionalInscatteringColor: LinearColor;
+	FogMaxOpacity: number;
+	StartDistance: number;
+	FogCutoffDistance: number;
+	bEnableVolumetricFog: boolean;
+	VolumetricFogScatteringDistribution: number;
+	VolumetricFogAlbedo: Color;
+	VolumetricFogEmissive: LinearColor;
+	VolumetricFogExtinctionScale: number;
+	VolumetricFogDistance: number;
+	VolumetricFogStaticLightingScatteringIntensity: number;
+	bOverrideLightColorsWithFogInscatteringColors: boolean;
+	static Load(ResourceName: string): ExponentialHeightFogComponent;
+	static Find(Outer: UObject, ResourceName: string): ExponentialHeightFogComponent;
+	static GetDefaultObject(): ExponentialHeightFogComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExponentialHeightFogComponent;
+	SetVolumetricFogScatteringDistribution(NewValue: number): void;
+	SetVolumetricFogExtinctionScale(NewValue: number): void;
+	SetVolumetricFogEmissive(NewValue: LinearColor): void;
+	SetVolumetricFogDistance(NewValue: number): void;
+	SetVolumetricFogAlbedo(NewValue: Color): void;
+	SetVolumetricFog(bNewValue: boolean): void;
+	SetStartDistance(Value: number): void;
+	SetNonDirectionalInscatteringColorDistance(Value: number): void;
+	SetInscatteringTextureTint(Value: LinearColor): void;
+	SetInscatteringColorCubemapAngle(Value: number): void;
+	SetInscatteringColorCubemap(Value: TextureCube): void;
+	SetFullyDirectionalInscatteringColorDistance(Value: number): void;
+	SetFogMaxOpacity(Value: number): void;
+	SetFogInscatteringColor(Value: LinearColor): void;
+	SetFogHeightFalloff(Value: number): void;
+	SetFogDensity(Value: number): void;
+	SetFogCutoffDistance(Value: number): void;
+	SetDirectionalInscatteringStartDistance(Value: number): void;
+	SetDirectionalInscatteringExponent(Value: number): void;
+	SetDirectionalInscatteringColor(Value: LinearColor): void;
+	static C(Other: UObject | any): ExponentialHeightFogComponent;
 }
 
-declare type EFormatArgumentType = 'Int' | 'UInt' | 'Float' | 'Double' | 'Text' | 'Gender' | 'EFormatArgumentType_MAX';
-declare var EFormatArgumentType : { Int:'Int',UInt:'UInt',Float:'Float',Double:'Double',Text:'Text',Gender:'Gender',EFormatArgumentType_MAX:'EFormatArgumentType_MAX', };
-declare type ETextGender = 'Masculine' | 'Feminine' | 'Neuter' | 'ETextGender_MAX';
-declare var ETextGender : { Masculine:'Masculine',Feminine:'Feminine',Neuter:'Neuter',ETextGender_MAX:'ETextGender_MAX', };
-declare class FormatArgumentData { 
-	ArgumentName: string;
-	ArgumentValueType: EFormatArgumentType;
-	ArgumentValue: string;
-	ArgumentValueInt: number;
-	ArgumentValueFloat: number;
-	ArgumentValueGender: ETextGender;
-	clone() : FormatArgumentData;
-	static C(Other: UObject | any): FormatArgumentData;
+declare class ExponentialHeightFog extends Info { 
+	Component: ExponentialHeightFogComponent;
+	bEnabled: boolean;
+	static GetDefaultObject(): ExponentialHeightFog;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ExponentialHeightFog;
+	OnRep_bEnabled(): void;
+	static C(Other: UObject | any): ExponentialHeightFog;
 }
 
-declare type ERoundingMode = 'HalfToEven' | 'HalfFromZero' | 'HalfToZero' | 'FromZero' | 'ToZero' | 'ToNegativeInfinity' | 'ToPositiveInfinity' | 'ERoundingMode_MAX';
-declare var ERoundingMode : { HalfToEven:'HalfToEven',HalfFromZero:'HalfFromZero',HalfToZero:'HalfToZero',FromZero:'FromZero',ToZero:'ToZero',ToNegativeInfinity:'ToNegativeInfinity',ToPositiveInfinity:'ToPositiveInfinity',ERoundingMode_MAX:'ERoundingMode_MAX', };
-declare class KismetTextLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetTextLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetTextLibrary;
-	static GetDefaultObject(): KismetTextLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetTextLibrary;
-	static TextTrimTrailing(InText: string): string;
-	static TextTrimPrecedingAndTrailing(InText: string): string;
-	static TextTrimPreceding(InText: string): string;
-	static TextToUpper(InText: string): string;
-	static TextToLower(InText: string): string;
-	static TextIsTransient(InText: string): boolean;
-	static TextIsFromStringTable(text: string): boolean;
-	static TextIsEmpty(InText: string): boolean;
-	static TextIsCultureInvariant(InText: string): boolean;
-	static TextFromStringTable(TableId: string,Key: string): string;
-	static StringTableIdAndKeyFromText(text: string,OutTableId?: string,OutKey?: string): {OutTableId: string, OutKey: string, $: boolean};
-	static NotEqual_TextText(A: string,B: string): boolean;
-	static NotEqual_IgnoreCase_TextText(A: string,B: string): boolean;
-	static GetEmptyText(): string;
-	static Format(InPattern: string,InArgs: FormatArgumentData[]): string;
-	static FindTextInLocalizationTable(Namespace: string,Key: string,OutText?: string): {OutText: string, $: boolean};
-	static EqualEqual_TextText(A: string,B: string): boolean;
-	static EqualEqual_IgnoreCase_TextText(A: string,B: string): boolean;
-	static Conv_VectorToText(InVec: Vector): string;
-	static Conv_Vector2dToText(InVec: Vector2D): string;
-	static Conv_TransformToText(InTrans: Transform): string;
-	static Conv_TextToString(InText: string): string;
-	static Conv_StringToText(inString: string): string;
-	static Conv_RotatorToText(InRot: Rotator): string;
-	static Conv_ObjectToText(InObj: UObject): string;
-	static Conv_NameToText(InName: string): string;
-	static Conv_IntToText(Value: number,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number): string;
-	static Conv_FloatToText(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number): string;
-	static Conv_ColorToText(InColor: LinearColor): string;
-	static Conv_ByteToText(Value: number): string;
-	static Conv_BoolToText(InBool: boolean): string;
-	static AsTimeZoneTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static AsTimeZoneDateTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static AsTimeZoneDate_DateTime(InDateTime: DateTime,InTimeZone: string): string;
-	static AsTimespan_Timespan(InTimespan: Timespan): string;
-	static AsTime_DateTime(In: DateTime): string;
-	static AsPercent_Float(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number): string;
-	static AsDateTime_DateTime(In: DateTime): string;
-	static AsDate_DateTime(InDateTime: DateTime): string;
-	static AsCurrencyBase(BaseValue: number,CurrencyCode: string): string;
-	static AsCurrency_Integer(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number,CurrencyCode: string): string;
-	static AsCurrency_Float(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number,CurrencyCode: string): string;
-	static C(Other: UObject | any): KismetTextLibrary;
+declare class FloatingPawnMovement extends PawnMovementComponent { 
+	MaxSpeed: number;
+	Acceleration: number;
+	Deceleration: number;
+	TurningBoost: number;
+	bPositionCorrected: boolean;
+	static Load(ResourceName: string): FloatingPawnMovement;
+	static Find(Outer: UObject, ResourceName: string): FloatingPawnMovement;
+	static GetDefaultObject(): FloatingPawnMovement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatingPawnMovement;
+	static C(Other: UObject | any): FloatingPawnMovement;
 }
 
-declare class LevelBounds extends Actor { 
-	bAutoUpdateBounds: boolean;
-	static GetDefaultObject(): LevelBounds;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelBounds;
-	static C(Other: UObject | any): LevelBounds;
+declare type EFontLayoutMethod = 'Metrics' | 'BoundingBox' | 'EFontLayoutMethod_MAX';
+declare var EFontLayoutMethod : { Metrics:'Metrics',BoundingBox:'BoundingBox',EFontLayoutMethod_MAX:'EFontLayoutMethod_MAX', };
+declare class FontFace extends UObject { 
+	SourceFilename: string;
+	Hinting: EFontHinting;
+	LoadingPolicy: EFontLoadingPolicy;
+	LayoutMethod: EFontLayoutMethod;
+	FontFaceData: number[];
+	SubFaces: string[];
+	static Load(ResourceName: string): FontFace;
+	static Find(Outer: UObject, ResourceName: string): FontFace;
+	static GetDefaultObject(): FontFace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FontFace;
+	static C(Other: UObject | any): FontFace;
+}
+
+declare class GameEngine extends Engine { 
+	MaxDeltaTime: number;
+	ServerFlushLogInterval: number;
+	GameInstance: GameInstance;
+	static Load(ResourceName: string): GameEngine;
+	static Find(Outer: UObject, ResourceName: string): GameEngine;
+	static GetDefaultObject(): GameEngine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameEngine;
+	static C(Other: UObject | any): GameEngine;
+}
+
+declare class GameplayStatics extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): GameplayStatics;
+	static Find(Outer: UObject, ResourceName: string): GameplayStatics;
+	static GetDefaultObject(): GameplayStatics;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayStatics;
+	static UnloadStreamLevel(WorldContextObject: UObject,LevelName: string,LatentInfo: LatentActionInfo,bShouldBlockOnUnload: boolean): void;
+	static SuggestProjectileVelocity_CustomArc(WorldContextObject: UObject,OutLaunchVelocity?: Vector,StartPos?: Vector,EndPos?: Vector,OverrideGravityZ?: number,ArcParam?: number): {OutLaunchVelocity: Vector, $: boolean};
+	static SpawnSoundAttached(Sound: SoundBase,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
+	static SpawnSoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,bAutoDestroy: boolean): AudioComponent;
+	static SpawnSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	static SpawnObject(ObjectClass: UnrealEngineClass,Outer: UObject): UObject;
+	static SpawnForceFeedbackAttached(ForceFeedbackEffect: ForceFeedbackEffect,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
+	static SpawnForceFeedbackAtLocation(WorldContextObject: UObject,ForceFeedbackEffect: ForceFeedbackEffect,Location: Vector,Rotation: Rotator,bLooping: boolean,IntensityMultiplier: number,StartTime: number,AttenuationSettings: ForceFeedbackAttenuation,bAutoDestroy: boolean): ForceFeedbackComponent;
+	static SpawnEmitterAttached(EmitterTemplate: ParticleSystem,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,Scale: Vector,LocationType: EAttachLocation,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
+	static SpawnEmitterAtLocation(WorldContextObject: UObject,EmitterTemplate: ParticleSystem,Location: Vector,Rotation: Rotator,Scale: Vector,bAutoDestroy: boolean,PoolingMethod: EPSCPoolMethod): ParticleSystemComponent;
+	static SpawnDialogueAttached(Dialogue: DialogueWave,Context: DialogueContext,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,bStopWhenAttachedToDestroyed: boolean,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
+	static SpawnDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,bAutoDestroy: boolean): AudioComponent;
+	static SpawnDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,bAutoDestroy: boolean): AudioComponent;
+	static SpawnDecalAttached(DecalMaterial: MaterialInterface,DecalSize: Vector,AttachToComponent: SceneComponent,AttachPointName: string,Location: Vector,Rotation: Rotator,LocationType: EAttachLocation,LifeSpan: number): DecalComponent;
+	static SpawnDecalAtLocation(WorldContextObject: UObject,DecalMaterial: MaterialInterface,DecalSize: Vector,Location: Vector,Rotation: Rotator,LifeSpan: number): DecalComponent;
+	static SetWorldOriginLocation(WorldContextObject: UObject,NewLocation: IntVector): void;
+	static SetSubtitlesEnabled(bEnabled: boolean): void;
+	static SetSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,Volume: number,Pitch: number,FadeInTime: number,bApplyToChildren: boolean): void;
+	static SetPlayerControllerID(Player: PlayerController,ControllerId: number): void;
+	static SetMaxAudioChannelsScaled(WorldContextObject: UObject,MaxChannelCountScale: number): void;
+	static SetGlobalTimeDilation(WorldContextObject: UObject,TimeDilation: number): void;
+	static SetGlobalPitchModulation(WorldContextObject: UObject,PitchModulation: number,TimeSec: number): void;
+	static SetGlobalListenerFocusParameters(WorldContextObject: UObject,FocusAzimuthScale: number,NonFocusAzimuthScale: number,FocusDistanceScale: number,NonFocusDistanceScale: number,FocusVolumeScale: number,NonFocusVolumeScale: number,FocusPriorityScale: number,NonFocusPriorityScale: number): void;
+	static SetGamePaused(WorldContextObject: UObject,bPaused: boolean): boolean;
+	static SetEnableWorldRendering(WorldContextObject: UObject,bEnable: boolean): void;
+	static SetBaseSoundMix(WorldContextObject: UObject,InSoundMix: SoundMix): void;
+	static SaveGameToSlot(SaveGameObject: SaveGame,SlotName: string,UserIndex: number): boolean;
+	static RemovePlayer(Player: PlayerController,bDestroyPawn: boolean): void;
+	static RebaseZeroOriginOntoLocal(WorldContextObject: UObject,WorldLocation: Vector): Vector;
+	static RebaseLocalOriginOntoZero(WorldContextObject: UObject,WorldLocation: Vector): Vector;
+	static PushSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
+	static ProjectWorldToScreen(Player: PlayerController,WorldPosition: Vector,ScreenPosition?: Vector2D,bPlayerViewportRelative?: boolean): {ScreenPosition: Vector2D, $: boolean};
+	static PopSoundMixModifier(WorldContextObject: UObject,InSoundMixModifier: SoundMix): void;
+	static PlayWorldCameraShake(WorldContextObject: UObject,Shake: UnrealEngineClass,Epicenter: Vector,InnerRadius: number,OuterRadius: number,Falloff: number,bOrientShakeTowardsEpicenter: boolean): void;
+	static PlaySoundAtLocation(WorldContextObject: UObject,Sound: SoundBase,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	static PlaySound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,OwningActor: Actor): void;
+	static PlayDialogueAtLocation(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,Location: Vector,Rotation: Rotator,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,AttenuationSettings: SoundAttenuation): void;
+	static PlayDialogue2D(WorldContextObject: UObject,Dialogue: DialogueWave,Context: DialogueContext,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number): void;
+	static ParseOption(Options: string,Key: string): string;
+	static OpenLevel(WorldContextObject: UObject,LevelName: string,bAbsolute: boolean,Options: string): void;
+	static MakeHitResult(bBlockingHit: boolean,bInitialOverlap: boolean,Time: number,Distance: number,Location: Vector,ImpactPoint: Vector,Normal: Vector,ImpactNormal: Vector,PhysMat: PhysicalMaterial,HitActor: Actor,HitComponent: PrimitiveComponent,HitBoneName: string,HitItem: number,FaceIndex: number,TraceStart: Vector,TraceEnd: Vector): HitResult;
+	static LoadStreamLevel(WorldContextObject: UObject,LevelName: string,bMakeVisibleAfterLoad: boolean,bShouldBlockOnLoad: boolean,LatentInfo: LatentActionInfo): void;
+	static LoadGameFromSlot(SlotName: string,UserIndex: number): SaveGame;
+	static IsGamePaused(WorldContextObject: UObject): boolean;
+	static HasOption(Options: string,InKey: string): boolean;
+	static HasLaunchOption(OptionToCheck: string): boolean;
+	static GrassOverlappingSphereCount(WorldContextObject: UObject,StaticMesh: StaticMesh,CenterPosition: Vector,Radius: number): number;
+	static GetWorldOriginLocation(WorldContextObject: UObject): IntVector;
+	static GetWorldDeltaSeconds(WorldContextObject: UObject): number;
+	static GetUnpausedTimeSeconds(WorldContextObject: UObject): number;
+	static GetTimeSeconds(WorldContextObject: UObject): number;
+	static GetSurfaceType(Hit: HitResult): EPhysicalSurface;
+	static GetStreamingLevel(WorldContextObject: UObject,PackageName: string): LevelStreaming;
+	static GetRealTimeSeconds(WorldContextObject: UObject): number;
+	static GetPlayerPawn(WorldContextObject: UObject,PlayerIndex: number): Pawn;
+	static GetPlayerControllerID(Player: PlayerController): number;
+	static GetPlayerController(WorldContextObject: UObject,PlayerIndex: number): PlayerController;
+	static GetPlayerCharacter(WorldContextObject: UObject,PlayerIndex: number): Character;
+	static GetPlayerCameraManager(WorldContextObject: UObject,PlayerIndex: number): PlayerCameraManager;
+	static GetPlatformName(): string;
+	static GetObjectClass(UObject: UObject): UnrealEngineClass;
+	static GetMaxAudioChannelCount(WorldContextObject: UObject): number;
+	static GetKeyValue(Pair: string,Key?: string,Value?: string): {Key: string, Value: string};
+	static GetIntOption(Options: string,Key: string,DefaultValue: number): number;
+	static GetGlobalTimeDilation(WorldContextObject: UObject): number;
+	static GetGameState(WorldContextObject: UObject): GameStateBase;
+	static GetGameMode(WorldContextObject: UObject): GameModeBase;
+	static GetGameInstance(WorldContextObject: UObject): GameInstance;
+	static GetEnableWorldRendering(WorldContextObject: UObject): boolean;
+	static GetCurrentReverbEffect(WorldContextObject: UObject): ReverbEffect;
+	static GetCurrentLevelName(WorldContextObject: UObject,bRemovePrefixString: boolean): string;
+	static GetAudioTimeSeconds(WorldContextObject: UObject): number;
+	static GetAllActorsWithTag(WorldContextObject: UObject,Tag: string,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetAllActorsWithInterface(WorldContextObject: UObject,Interface: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetAllActorsOfClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,OutActors?: Actor[]): {OutActors: Actor[]};
+	static GetActorArrayBounds(Actors: Actor[],bOnlyCollidingComponents: boolean,Center?: Vector,BoxExtent?: Vector): {Center: Vector, BoxExtent: Vector};
+	static GetActorArrayAverageLocation(Actors: Actor[]): Vector;
+	static GetAccurateRealTime(WorldContextObject: UObject,Seconds?: number,PartialSeconds?: number): {Seconds: number, PartialSeconds: number};
+	static FlushLevelStreaming(WorldContextObject: UObject): void;
+	static FinishSpawningActor(Actor: Actor,SpawnTransform: Transform): Actor;
+	static FindCollisionUV(Hit: HitResult,UVChannel: number,UV?: Vector2D): {UV: Vector2D, $: boolean};
+	static EnableLiveStreaming(Enable: boolean): void;
+	static DoesSaveGameExist(SlotName: string,UserIndex: number): boolean;
+	static DeprojectScreenToWorld(Player: PlayerController,ScreenPosition: Vector2D,WorldPosition?: Vector,WorldDirection?: Vector): {WorldPosition: Vector, WorldDirection: Vector, $: boolean};
+	static DeleteGameInSlot(SlotName: string,UserIndex: number): boolean;
+	static DeactivateReverbEffect(WorldContextObject: UObject,TagName: string): void;
+	static CreateSound2D(WorldContextObject: UObject,Sound: SoundBase,VolumeMultiplier: number,PitchMultiplier: number,StartTime: number,ConcurrencySettings: SoundConcurrency,bPersistAcrossLevelTransition: boolean,bAutoDestroy: boolean): AudioComponent;
+	static CreateSaveGameObjectFromBlueprint(SaveGameBlueprint: Blueprint): SaveGame;
+	static CreateSaveGameObject(SaveGameClass: UnrealEngineClass): SaveGame;
+	static CreatePlayer(WorldContextObject: UObject,ControllerId: number,bSpawnPlayerController: boolean): PlayerController;
+	static ClearSoundMixModifiers(WorldContextObject: UObject): void;
+	static ClearSoundMixClassOverride(WorldContextObject: UObject,InSoundMixModifier: SoundMix,InSoundClass: SoundClass,FadeOutTime: number): void;
+	static CancelAsyncLoading(): void;
+	static BreakHitResult(Hit: HitResult,bBlockingHit?: boolean,bInitialOverlap?: boolean,Time?: number,Distance?: number,Location?: Vector,ImpactPoint?: Vector,Normal?: Vector,ImpactNormal?: Vector,PhysMat?: PhysicalMaterial,HitActor?: Actor,HitComponent?: PrimitiveComponent,HitBoneName?: string,HitItem?: number,FaceIndex?: number,TraceStart?: Vector,TraceEnd?: Vector): {bBlockingHit: boolean, bInitialOverlap: boolean, Time: number, Distance: number, Location: Vector, ImpactPoint: Vector, Normal: Vector, ImpactNormal: Vector, PhysMat: PhysicalMaterial, HitActor: Actor, HitComponent: PrimitiveComponent, HitBoneName: string, HitItem: number, FaceIndex: number, TraceStart: Vector, TraceEnd: Vector};
+	static BlueprintSuggestProjectileVelocity(WorldContextObject: UObject,TossVelocity?: Vector,StartLocation?: Vector,EndLocation?: Vector,LaunchSpeed?: number,OverrideGravityZ?: number,TraceOption?: ESuggestProjVelocityTraceOption,CollisionRadius?: number,bFavorHighArc?: boolean,bDrawDebug?: boolean): {TossVelocity: Vector, $: boolean};
+	static Blueprint_PredictProjectilePath_ByTraceChannel(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,TraceChannel?: ECollisionChannel,bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	static Blueprint_PredictProjectilePath_ByObjectType(WorldContextObject: UObject,OutHit?: HitResult,OutPathPositions?: Vector[],OutLastTraceDestination?: Vector,StartPos?: Vector,LaunchVelocity?: Vector,bTracePath?: boolean,ProjectileRadius?: number,ObjectTypes?: EObjectTypeQuery[],bTraceComplex?: boolean,ActorsToIgnore?: Actor[],DrawDebugType?: EDrawDebugTrace,DrawDebugTime?: number,SimFrequency?: number,MaxSimTime?: number,OverrideGravityZ?: number): {OutHit: HitResult, OutPathPositions: Vector[], OutLastTraceDestination: Vector, $: boolean};
+	static Blueprint_PredictProjectilePath_Advanced(WorldContextObject: UObject,PredictParams: PredictProjectilePathParams,PredictResult?: PredictProjectilePathResult): {PredictResult: PredictProjectilePathResult, $: boolean};
+	static BeginSpawningActorFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,bNoCollisionFail: boolean,Owner: Actor): Actor;
+	static BeginSpawningActorFromBlueprint(WorldContextObject: UObject,Blueprint: Blueprint,SpawnTransform: Transform,bNoCollisionFail: boolean): Actor;
+	static BeginDeferredActorSpawnFromClass(WorldContextObject: UObject,ActorClass: UnrealEngineClass,SpawnTransform: Transform,CollisionHandlingOverride: ESpawnActorCollisionHandlingMethod,Owner: Actor): Actor;
+	static AreSubtitlesEnabled(): boolean;
+	static AreAnyListenersWithinRange(WorldContextObject: UObject,Location: Vector,MaximumRange: number): boolean;
+	static ApplyRadialDamageWithFalloff(WorldContextObject: UObject,BaseDamage: number,MinimumDamage: number,Origin: Vector,DamageInnerRadius: number,DamageOuterRadius: number,DamageFalloff: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,DamagePreventionChannel: ECollisionChannel): boolean;
+	static ApplyRadialDamage(WorldContextObject: UObject,BaseDamage: number,Origin: Vector,DamageRadius: number,DamageTypeClass: UnrealEngineClass,IgnoreActors: Actor[],DamageCauser: Actor,InstigatedByController: Controller,bDoFullDamage: boolean,DamagePreventionChannel: ECollisionChannel): boolean;
+	static ApplyPointDamage(DamagedActor: Actor,BaseDamage: number,HitFromDirection: Vector,HitInfo: HitResult,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	static ApplyDamage(DamagedActor: Actor,BaseDamage: number,EventInstigator: Controller,DamageCauser: Actor,DamageTypeClass: UnrealEngineClass): number;
+	static ActivateReverbEffect(WorldContextObject: UObject,ReverbEffect: ReverbEffect,TagName: string,Priority: number,Volume: number,FadeTime: number): void;
+	static C(Other: UObject | any): GameplayStatics;
+}
+
+declare class SpotLightComponent extends PointLightComponent { 
+	InnerConeAngle: number;
+	OuterConeAngle: number;
+	LightShaftConeAngle: number;
+	static Load(ResourceName: string): SpotLightComponent;
+	static Find(Outer: UObject, ResourceName: string): SpotLightComponent;
+	static GetDefaultObject(): SpotLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpotLightComponent;
+	SetOuterConeAngle(NewOuterConeAngle: number): void;
+	SetInnerConeAngle(NewInnerConeAngle: number): void;
+	static C(Other: UObject | any): SpotLightComponent;
 }
 
-declare class LevelStreamingAlwaysLoaded extends LevelStreaming { 
-	static Load(ResourceName: string): LevelStreamingAlwaysLoaded;
-	static Find(Outer: UObject, ResourceName: string): LevelStreamingAlwaysLoaded;
-	static GetDefaultObject(): LevelStreamingAlwaysLoaded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingAlwaysLoaded;
-	static C(Other: UObject | any): LevelStreamingAlwaysLoaded;
+declare class SpotLight extends Light { 
+	SpotLightComponent: SpotLightComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): SpotLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpotLight;
+	SetOuterConeAngle(NewOuterConeAngle: number): void;
+	SetInnerConeAngle(NewInnerConeAngle: number): void;
+	static C(Other: UObject | any): SpotLight;
 }
 
-declare class LevelStreamingKismet extends LevelStreaming { 
-	bInitiallyLoaded: boolean;
-	bInitiallyVisible: boolean;
-	static Load(ResourceName: string): LevelStreamingKismet;
-	static Find(Outer: UObject, ResourceName: string): LevelStreamingKismet;
-	static GetDefaultObject(): LevelStreamingKismet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingKismet;
-	static LoadLevelInstanceBySoftObjectPtr(WorldContextObject: UObject,Level: any,Location: Vector,Rotation: Rotator,bOutSuccess?: boolean): {bOutSuccess: boolean, $: LevelStreamingKismet};
-	static LoadLevelInstance(WorldContextObject: UObject,LevelName: string,Location: Vector,Rotation: Rotator,bOutSuccess?: boolean): {bOutSuccess: boolean, $: LevelStreamingKismet};
-	static C(Other: UObject | any): LevelStreamingKismet;
+declare class GeneratedMeshAreaLight extends SpotLight { 
+	static GetDefaultObject(): GeneratedMeshAreaLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeneratedMeshAreaLight;
+	static C(Other: UObject | any): GeneratedMeshAreaLight;
 }
 
-declare class LevelStreamingPersistent extends LevelStreaming { 
-	static Load(ResourceName: string): LevelStreamingPersistent;
-	static Find(Outer: UObject, ResourceName: string): LevelStreamingPersistent;
-	static GetDefaultObject(): LevelStreamingPersistent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingPersistent;
-	static C(Other: UObject | any): LevelStreamingPersistent;
+declare class HapticFeedbackEffect_Buffer extends HapticFeedbackEffect_Base { 
+	Amplitudes: number[];
+	SampleRate: number;
+	static Load(ResourceName: string): HapticFeedbackEffect_Buffer;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_Buffer;
+	static GetDefaultObject(): HapticFeedbackEffect_Buffer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_Buffer;
+	static C(Other: UObject | any): HapticFeedbackEffect_Buffer;
 }
 
-declare class LightmappedSurfaceCollection extends UObject { 
-	SourceModel: Model;
-	Surfaces: number[];
-	static Load(ResourceName: string): LightmappedSurfaceCollection;
-	static Find(Outer: UObject, ResourceName: string): LightmappedSurfaceCollection;
-	static GetDefaultObject(): LightmappedSurfaceCollection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmappedSurfaceCollection;
-	static C(Other: UObject | any): LightmappedSurfaceCollection;
+declare class HapticFeedbackDetails_Curve { 
+	Frequency: RuntimeFloatCurve;
+	Amplitude: RuntimeFloatCurve;
+	clone() : HapticFeedbackDetails_Curve;
+	static C(Other: UObject | any): HapticFeedbackDetails_Curve;
 }
 
-declare class LightMapTexture2D extends Texture2D { 
-	static Load(ResourceName: string): LightMapTexture2D;
-	static Find(Outer: UObject, ResourceName: string): LightMapTexture2D;
-	static GetDefaultObject(): LightMapTexture2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightMapTexture2D;
-	static C(Other: UObject | any): LightMapTexture2D;
+declare class HapticFeedbackEffect_Curve extends HapticFeedbackEffect_Base { 
+	HapticDetails: HapticFeedbackDetails_Curve;
+	static Load(ResourceName: string): HapticFeedbackEffect_Curve;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_Curve;
+	static GetDefaultObject(): HapticFeedbackEffect_Curve;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_Curve;
+	static C(Other: UObject | any): HapticFeedbackEffect_Curve;
 }
 
-declare class LightmassCharacterIndirectDetailVolume extends Volume { 
-	static GetDefaultObject(): LightmassCharacterIndirectDetailVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassCharacterIndirectDetailVolume;
-	static C(Other: UObject | any): LightmassCharacterIndirectDetailVolume;
+declare class HapticFeedbackEffect_SoundWave extends HapticFeedbackEffect_Base { 
+	SoundWave: SoundWave;
+	static Load(ResourceName: string): HapticFeedbackEffect_SoundWave;
+	static Find(Outer: UObject, ResourceName: string): HapticFeedbackEffect_SoundWave;
+	static GetDefaultObject(): HapticFeedbackEffect_SoundWave;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HapticFeedbackEffect_SoundWave;
+	static C(Other: UObject | any): HapticFeedbackEffect_SoundWave;
 }
 
-declare class LightmassImportanceVolume extends Volume { 
-	static GetDefaultObject(): LightmassImportanceVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassImportanceVolume;
-	static C(Other: UObject | any): LightmassImportanceVolume;
+declare class HealthSnapshotBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): HealthSnapshotBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): HealthSnapshotBlueprintLibrary;
+	static GetDefaultObject(): HealthSnapshotBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HealthSnapshotBlueprintLibrary;
+	static StopPerformanceSnapshots(): void;
+	static StartPerformanceSnapshots(): void;
+	static LogPerformanceSnapshot(SnapshotTitle: string,bResetStats: boolean): void;
+	static C(Other: UObject | any): HealthSnapshotBlueprintLibrary;
 }
 
-declare class LightmassPortalComponent extends SceneComponent { 
-	PreviewBox: BoxComponent;
-	static Load(ResourceName: string): LightmassPortalComponent;
-	static Find(Outer: UObject, ResourceName: string): LightmassPortalComponent;
-	static GetDefaultObject(): LightmassPortalComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPortalComponent;
-	static C(Other: UObject | any): LightmassPortalComponent;
+declare class HLODProxyMesh { 
+	LODActor: any;
+	StaticMesh: StaticMesh;
+	Key: string;
+	clone() : HLODProxyMesh;
+	static C(Other: UObject | any): HLODProxyMesh;
 }
 
-declare class LightmassPortal extends Actor { 
-	PortalComponent: LightmassPortalComponent;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): LightmassPortal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPortal;
-	static C(Other: UObject | any): LightmassPortal;
+declare class HLODProxy extends UObject { 
+	OwningMap: World;
+	ProxyMeshes: HLODProxyMesh[];
+	static Load(ResourceName: string): HLODProxy;
+	static Find(Outer: UObject, ResourceName: string): HLODProxy;
+	static GetDefaultObject(): HLODProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HLODProxy;
+	static C(Other: UObject | any): HLODProxy;
 }
 
-declare class LightmassPrimitiveSettingsObject extends UObject { 
-	LightmassSettings: LightmassPrimitiveSettings;
-	static Load(ResourceName: string): LightmassPrimitiveSettingsObject;
-	static Find(Outer: UObject, ResourceName: string): LightmassPrimitiveSettingsObject;
-	static GetDefaultObject(): LightmassPrimitiveSettingsObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPrimitiveSettingsObject;
-	static C(Other: UObject | any): LightmassPrimitiveSettingsObject;
+declare class ImportanceSamplingLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): ImportanceSamplingLibrary;
+	static Find(Outer: UObject, ResourceName: string): ImportanceSamplingLibrary;
+	static GetDefaultObject(): ImportanceSamplingLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportanceSamplingLibrary;
+	static RandomSobolFloat(index: number,Dimension: number,Seed: number): number;
+	static RandomSobolCell3D(index: number,NumCells: number,Cell: Vector,Seed: Vector): Vector;
+	static RandomSobolCell2D(index: number,NumCells: number,Cell: Vector2D,Seed: Vector2D): Vector2D;
+	static NextSobolFloat(index: number,Dimension: number,PreviousValue: number): number;
+	static NextSobolCell3D(index: number,NumCells: number,PreviousValue: Vector): Vector;
+	static NextSobolCell2D(index: number,NumCells: number,PreviousValue: Vector2D): Vector2D;
+	static MakeImportanceTexture(Texture: Texture2D,WeightingFunc: EImportanceWeight): ImportanceTexture;
+	static ImportanceSample(Texture: ImportanceTexture,Rand: Vector2D,Samples: number,Intensity: number,SamplePosition?: Vector2D,SampleColor?: LinearColor,SampleIntensity?: number,SampleSize?: number): {SamplePosition: Vector2D, SampleColor: LinearColor, SampleIntensity: number, SampleSize: number};
+	static BreakImportanceTexture(ImportanceTexture: ImportanceTexture,Texture?: Texture2D,WeightingFunc?: EImportanceWeight): {Texture: Texture2D, WeightingFunc: EImportanceWeight};
+	static C(Other: UObject | any): ImportanceSamplingLibrary;
 }
 
-declare class LODActor extends Actor { 
-	StaticMeshComponent: StaticMeshComponent;
-	SubActors: Actor[];
-	LODDrawDistance: number;
-	LODLevel: number;
-	SubObjects: UObject[];
-	PreviousSubObjects: UObject[];
-	bDirty: boolean;
-	NumTrianglesInSubActors: any;
-	NumTrianglesInMergedMesh: any;
-	bOverrideMaterialMergeSettings: boolean;
-	MaterialSettings: MaterialProxySettings;
-	bOverrideTransitionScreenSize: boolean;
-	TransitionScreenSize: number;
-	bOverrideScreenSize: boolean;
-	ScreenSize: number;
-	static GetDefaultObject(): LODActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LODActor;
-	static C(Other: UObject | any): LODActor;
+declare class ImportantToggleSettingInterface extends Interface { 
+	static Load(ResourceName: string): ImportantToggleSettingInterface;
+	static Find(Outer: UObject, ResourceName: string): ImportantToggleSettingInterface;
+	static GetDefaultObject(): ImportantToggleSettingInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImportantToggleSettingInterface;
+	static C(Other: UObject | any): ImportantToggleSettingInterface;
 }
 
-declare class MaterialExpressionAbs extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionAbs;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAbs;
-	static GetDefaultObject(): MaterialExpressionAbs;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAbs;
-	static C(Other: UObject | any): MaterialExpressionAbs;
+declare class InGameAdManager extends PlatformInterfaceBase { 
+	bShouldPauseWhileAdOpen: boolean;
+	ClickedBannerDelegates: UnrealEngineDelegate<() => void>[];
+	ClosedAdDelegates: UnrealEngineDelegate<() => void>[];
+	static Load(ResourceName: string): InGameAdManager;
+	static Find(Outer: UObject, ResourceName: string): InGameAdManager;
+	static GetDefaultObject(): InGameAdManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InGameAdManager;
+	static C(Other: UObject | any): InGameAdManager;
 }
 
-declare class MaterialExpressionActorPositionWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionActorPositionWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionActorPositionWS;
-	static GetDefaultObject(): MaterialExpressionActorPositionWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionActorPositionWS;
-	static C(Other: UObject | any): MaterialExpressionActorPositionWS;
+declare class InputDelegateBinding extends DynamicBlueprintBinding { 
+	static Load(ResourceName: string): InputDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputDelegateBinding;
+	static GetDefaultObject(): InputDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputDelegateBinding;
+	static C(Other: UObject | any): InputDelegateBinding;
 }
 
-declare class MaterialExpressionAdd extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionAdd;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAdd;
-	static GetDefaultObject(): MaterialExpressionAdd;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAdd;
-	static C(Other: UObject | any): MaterialExpressionAdd;
+declare class BlueprintInputDelegateBinding { 
+	bConsumeInput: boolean;
+	bExecuteWhenPaused: boolean;
+	bOverrideParentBinding: boolean;
+	clone() : BlueprintInputDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputDelegateBinding;
 }
 
-declare type EMaterialSamplerType = 'SAMPLERTYPE_Color' | 'SAMPLERTYPE_Grayscale' | 'SAMPLERTYPE_Alpha' | 'SAMPLERTYPE_Normal' | 'SAMPLERTYPE_Masks' | 'SAMPLERTYPE_DistanceFieldFont' | 'SAMPLERTYPE_LinearColor' | 'SAMPLERTYPE_LinearGrayscale' | 'SAMPLERTYPE_External' | 'SAMPLERTYPE_MAX';
-declare var EMaterialSamplerType : { SAMPLERTYPE_Color:'SAMPLERTYPE_Color',SAMPLERTYPE_Grayscale:'SAMPLERTYPE_Grayscale',SAMPLERTYPE_Alpha:'SAMPLERTYPE_Alpha',SAMPLERTYPE_Normal:'SAMPLERTYPE_Normal',SAMPLERTYPE_Masks:'SAMPLERTYPE_Masks',SAMPLERTYPE_DistanceFieldFont:'SAMPLERTYPE_DistanceFieldFont',SAMPLERTYPE_LinearColor:'SAMPLERTYPE_LinearColor',SAMPLERTYPE_LinearGrayscale:'SAMPLERTYPE_LinearGrayscale',SAMPLERTYPE_External:'SAMPLERTYPE_External',SAMPLERTYPE_MAX:'SAMPLERTYPE_MAX', };
-declare class MaterialExpressionTextureBase extends MaterialExpression { 
-	Texture: Texture;
-	SamplerType: EMaterialSamplerType;
-	IsDefaultMeshpaintTexture: boolean;
-	static Load(ResourceName: string): MaterialExpressionTextureBase;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureBase;
-	static GetDefaultObject(): MaterialExpressionTextureBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureBase;
-	static C(Other: UObject | any): MaterialExpressionTextureBase;
+declare class BlueprintInputActionDelegateBinding extends BlueprintInputDelegateBinding { 
+	InputActionName: string;
+	InputKeyEvent: EInputEvent;
+	FunctionNameToBind: string;
+	clone() : BlueprintInputActionDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputActionDelegateBinding;
 }
 
-declare type ETextureMipValueMode = 'TMVM_None' | 'TMVM_MipLevel' | 'TMVM_MipBias' | 'TMVM_Derivative' | 'TMVM_MAX';
-declare var ETextureMipValueMode : { TMVM_None:'TMVM_None',TMVM_MipLevel:'TMVM_MipLevel',TMVM_MipBias:'TMVM_MipBias',TMVM_Derivative:'TMVM_Derivative',TMVM_MAX:'TMVM_MAX', };
-declare type ESamplerSourceMode = 'SSM_FromTextureAsset' | 'SSM_Wrap_WorldGroupSettings' | 'SSM_Clamp_WorldGroupSettings' | 'SSM_MAX';
-declare var ESamplerSourceMode : { SSM_FromTextureAsset:'SSM_FromTextureAsset',SSM_Wrap_WorldGroupSettings:'SSM_Wrap_WorldGroupSettings',SSM_Clamp_WorldGroupSettings:'SSM_Clamp_WorldGroupSettings',SSM_MAX:'SSM_MAX', };
-declare class MaterialExpressionTextureSample extends MaterialExpressionTextureBase { 
-	Coordinates: ExpressionInput;
-	TextureObject: ExpressionInput;
-	MipValue: ExpressionInput;
-	CoordinatesDX: ExpressionInput;
-	CoordinatesDY: ExpressionInput;
-	MipValueMode: ETextureMipValueMode;
-	SamplerSource: ESamplerSourceMode;
-	ConstCoordinate: any;
-	ConstMipValue: number;
-	AutomaticViewMipBias: boolean;
-	static Load(ResourceName: string): MaterialExpressionTextureSample;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSample;
-	static GetDefaultObject(): MaterialExpressionTextureSample;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSample;
-	static C(Other: UObject | any): MaterialExpressionTextureSample;
+declare class InputActionDelegateBinding extends InputDelegateBinding { 
+	InputActionDelegateBindings: BlueprintInputActionDelegateBinding[];
+	static Load(ResourceName: string): InputActionDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputActionDelegateBinding;
+	static GetDefaultObject(): InputActionDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputActionDelegateBinding;
+	static C(Other: UObject | any): InputActionDelegateBinding;
 }
 
-declare class MaterialExpressionTextureSampleParameter extends MaterialExpressionTextureSample { 
-	ParameterName: string;
-	ExpressionGUID: Guid;
-	Group: string;
-	SortPriority: number;
-	static Load(ResourceName: string): MaterialExpressionTextureSampleParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameter;
-	static GetDefaultObject(): MaterialExpressionTextureSampleParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameter;
-	static C(Other: UObject | any): MaterialExpressionTextureSampleParameter;
+declare class BlueprintInputAxisDelegateBinding extends BlueprintInputDelegateBinding { 
+	InputAxisName: string;
+	FunctionNameToBind: string;
+	clone() : BlueprintInputAxisDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputAxisDelegateBinding;
 }
 
-declare class MaterialExpressionTextureSampleParameter2D extends MaterialExpressionTextureSampleParameter { 
-	static Load(ResourceName: string): MaterialExpressionTextureSampleParameter2D;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameter2D;
-	static GetDefaultObject(): MaterialExpressionTextureSampleParameter2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameter2D;
-	static C(Other: UObject | any): MaterialExpressionTextureSampleParameter2D;
+declare class InputAxisDelegateBinding extends InputDelegateBinding { 
+	InputAxisDelegateBindings: BlueprintInputAxisDelegateBinding[];
+	static Load(ResourceName: string): InputAxisDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputAxisDelegateBinding;
+	static GetDefaultObject(): InputAxisDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputAxisDelegateBinding;
+	static C(Other: UObject | any): InputAxisDelegateBinding;
+}
+
+declare class BlueprintInputAxisKeyDelegateBinding extends BlueprintInputDelegateBinding { 
+	AxisKey: Key;
+	FunctionNameToBind: string;
+	clone() : BlueprintInputAxisKeyDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputAxisKeyDelegateBinding;
 }
 
-declare type ETextureColorChannel = 'TCC_Red' | 'TCC_Green' | 'TCC_Blue' | 'TCC_Alpha' | 'TCC_MAX';
-declare var ETextureColorChannel : { TCC_Red:'TCC_Red',TCC_Green:'TCC_Green',TCC_Blue:'TCC_Blue',TCC_Alpha:'TCC_Alpha',TCC_MAX:'TCC_MAX', };
-declare class MaterialExpressionAntialiasedTextureMask extends MaterialExpressionTextureSampleParameter2D { 
-	Threshold: number;
-	Channel: ETextureColorChannel;
-	static Load(ResourceName: string): MaterialExpressionAntialiasedTextureMask;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAntialiasedTextureMask;
-	static GetDefaultObject(): MaterialExpressionAntialiasedTextureMask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAntialiasedTextureMask;
-	static C(Other: UObject | any): MaterialExpressionAntialiasedTextureMask;
+declare class InputAxisKeyDelegateBinding extends InputDelegateBinding { 
+	InputAxisKeyDelegateBindings: BlueprintInputAxisKeyDelegateBinding[];
+	static Load(ResourceName: string): InputAxisKeyDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputAxisKeyDelegateBinding;
+	static GetDefaultObject(): InputAxisKeyDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputAxisKeyDelegateBinding;
+	static C(Other: UObject | any): InputAxisKeyDelegateBinding;
 }
 
-declare class MaterialExpressionAppendVector extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionAppendVector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAppendVector;
-	static GetDefaultObject(): MaterialExpressionAppendVector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAppendVector;
-	static C(Other: UObject | any): MaterialExpressionAppendVector;
+declare class BlueprintInputKeyDelegateBinding extends BlueprintInputDelegateBinding { 
+	InputChord: InputChord;
+	InputKeyEvent: EInputEvent;
+	FunctionNameToBind: string;
+	clone() : BlueprintInputKeyDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputKeyDelegateBinding;
 }
 
-declare class MaterialExpressionArccosine extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArccosine;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArccosine;
-	static GetDefaultObject(): MaterialExpressionArccosine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArccosine;
-	static C(Other: UObject | any): MaterialExpressionArccosine;
+declare class InputKeyDelegateBinding extends InputDelegateBinding { 
+	InputKeyDelegateBindings: BlueprintInputKeyDelegateBinding[];
+	static Load(ResourceName: string): InputKeyDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputKeyDelegateBinding;
+	static GetDefaultObject(): InputKeyDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputKeyDelegateBinding;
+	static C(Other: UObject | any): InputKeyDelegateBinding;
 }
 
-declare class MaterialExpressionArccosineFast extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArccosineFast;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArccosineFast;
-	static GetDefaultObject(): MaterialExpressionArccosineFast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArccosineFast;
-	static C(Other: UObject | any): MaterialExpressionArccosineFast;
+declare class InputAxisProperties { 
+	DeadZone: number;
+	Sensitivity: number;
+	Exponent: number;
+	bInvert: boolean;
+	clone() : InputAxisProperties;
+	static C(Other: UObject | any): InputAxisProperties;
 }
 
-declare class MaterialExpressionArcsine extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArcsine;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArcsine;
-	static GetDefaultObject(): MaterialExpressionArcsine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArcsine;
-	static C(Other: UObject | any): MaterialExpressionArcsine;
+declare class InputAxisConfigEntry { 
+	AxisKeyName: string;
+	AxisProperties: InputAxisProperties;
+	clone() : InputAxisConfigEntry;
+	static C(Other: UObject | any): InputAxisConfigEntry;
 }
 
-declare class MaterialExpressionArcsineFast extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArcsineFast;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArcsineFast;
-	static GetDefaultObject(): MaterialExpressionArcsineFast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArcsineFast;
-	static C(Other: UObject | any): MaterialExpressionArcsineFast;
+declare type EMouseCaptureMode = 'NoCapture' | 'CapturePermanently' | 'CapturePermanently_IncludingInitialMouseDown' | 'CaptureDuringMouseDown' | 'CaptureDuringRightMouseDown' | 'EMouseCaptureMode_MAX';
+declare var EMouseCaptureMode : { NoCapture:'NoCapture',CapturePermanently:'CapturePermanently',CapturePermanently_IncludingInitialMouseDown:'CapturePermanently_IncludingInitialMouseDown',CaptureDuringMouseDown:'CaptureDuringMouseDown',CaptureDuringRightMouseDown:'CaptureDuringRightMouseDown',EMouseCaptureMode_MAX:'EMouseCaptureMode_MAX', };
+declare class InputActionKeyMapping { 
+	ActionName: string;
+	bShift: boolean;
+	bCtrl: boolean;
+	bAlt: boolean;
+	bCmd: boolean;
+	Key: Key;
+	clone() : InputActionKeyMapping;
+	static C(Other: UObject | any): InputActionKeyMapping;
 }
 
-declare class MaterialExpressionArctangent extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArctangent;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent;
-	static GetDefaultObject(): MaterialExpressionArctangent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent;
-	static C(Other: UObject | any): MaterialExpressionArctangent;
+declare class InputAxisKeyMapping { 
+	AxisName: string;
+	Scale: number;
+	Key: Key;
+	clone() : InputAxisKeyMapping;
+	static C(Other: UObject | any): InputAxisKeyMapping;
 }
 
-declare class MaterialExpressionArctangent2 extends MaterialExpression { 
-	Y: ExpressionInput;
-	X: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArctangent2;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent2;
-	static GetDefaultObject(): MaterialExpressionArctangent2;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent2;
-	static C(Other: UObject | any): MaterialExpressionArctangent2;
+declare class InputSettings extends UObject { 
+	AxisConfig: InputAxisConfigEntry[];
+	bAltEnterTogglesFullscreen: boolean;
+	bF11TogglesFullscreen: boolean;
+	bUseMouseForTouch: boolean;
+	bEnableMouseSmoothing: boolean;
+	bEnableFOVScaling: boolean;
+	bCaptureMouseOnLaunch: boolean;
+	bDefaultViewportMouseLock: boolean;
+	bAlwaysShowTouchInterface: boolean;
+	bShowConsoleOnFourFingerTap: boolean;
+	bEnableGestureRecognizer: boolean;
+	bUseAutocorrect: boolean;
+	ExcludedAutocorrectOS: string[];
+	ExcludedAutocorrectCultures: string[];
+	ExcludedAutocorrectDeviceModels: string[];
+	DefaultViewportMouseCaptureMode: EMouseCaptureMode;
+	DefaultViewportMouseLockMode: EMouseLockMode;
+	FOVScale: number;
+	DoubleClickTime: number;
+	ActionMappings: InputActionKeyMapping[];
+	AxisMappings: InputAxisKeyMapping[];
+	DefaultTouchInterface: SoftObjectPath;
+	ConsoleKey: Key;
+	ConsoleKeys: Key[];
+	static Load(ResourceName: string): InputSettings;
+	static Find(Outer: UObject, ResourceName: string): InputSettings;
+	static GetDefaultObject(): InputSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputSettings;
+	SaveKeyMappings(): void;
+	RemoveAxisMapping(KeyMapping: InputAxisKeyMapping,bForceRebuildKeymaps: boolean): void;
+	RemoveActionMapping(KeyMapping: InputActionKeyMapping,bForceRebuildKeymaps: boolean): void;
+	static GetInputSettings(): InputSettings;
+	GetAxisNames(AxisNames?: string[]): {AxisNames: string[]};
+	GetAxisMappingByName(InAxisName: string,OutMappings?: InputAxisKeyMapping[]): {OutMappings: InputAxisKeyMapping[]};
+	GetActionNames(ActionNames?: string[]): {ActionNames: string[]};
+	GetActionMappingByName(InActionName: string,OutMappings?: InputActionKeyMapping[]): {OutMappings: InputActionKeyMapping[]};
+	ForceRebuildKeymaps(): void;
+	AddAxisMapping(KeyMapping: InputAxisKeyMapping,bForceRebuildKeymaps: boolean): void;
+	AddActionMapping(KeyMapping: InputActionKeyMapping,bForceRebuildKeymaps: boolean): void;
+	static C(Other: UObject | any): InputSettings;
 }
 
-declare class MaterialExpressionArctangent2Fast extends MaterialExpression { 
-	Y: ExpressionInput;
-	X: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArctangent2Fast;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent2Fast;
-	static GetDefaultObject(): MaterialExpressionArctangent2Fast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent2Fast;
-	static C(Other: UObject | any): MaterialExpressionArctangent2Fast;
+declare class BlueprintInputTouchDelegateBinding extends BlueprintInputDelegateBinding { 
+	InputKeyEvent: EInputEvent;
+	FunctionNameToBind: string;
+	clone() : BlueprintInputTouchDelegateBinding;
+	static C(Other: UObject | any): BlueprintInputTouchDelegateBinding;
 }
 
-declare class MaterialExpressionArctangentFast extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionArctangentFast;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangentFast;
-	static GetDefaultObject(): MaterialExpressionArctangentFast;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangentFast;
-	static C(Other: UObject | any): MaterialExpressionArctangentFast;
+declare class InputTouchDelegateBinding extends InputDelegateBinding { 
+	InputTouchDelegateBindings: BlueprintInputTouchDelegateBinding[];
+	static Load(ResourceName: string): InputTouchDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputTouchDelegateBinding;
+	static GetDefaultObject(): InputTouchDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputTouchDelegateBinding;
+	static C(Other: UObject | any): InputTouchDelegateBinding;
 }
 
-declare class MaterialExpressionAtmosphericFogColor extends MaterialExpression { 
-	WorldPosition: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionAtmosphericFogColor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericFogColor;
-	static GetDefaultObject(): MaterialExpressionAtmosphericFogColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericFogColor;
-	static C(Other: UObject | any): MaterialExpressionAtmosphericFogColor;
+declare class InputVectorAxisDelegateBinding extends InputAxisKeyDelegateBinding { 
+	static Load(ResourceName: string): InputVectorAxisDelegateBinding;
+	static Find(Outer: UObject, ResourceName: string): InputVectorAxisDelegateBinding;
+	static GetDefaultObject(): InputVectorAxisDelegateBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InputVectorAxisDelegateBinding;
+	static C(Other: UObject | any): InputVectorAxisDelegateBinding;
 }
 
-declare class MaterialExpressionAtmosphericLightColor extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionAtmosphericLightColor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericLightColor;
-	static GetDefaultObject(): MaterialExpressionAtmosphericLightColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericLightColor;
-	static C(Other: UObject | any): MaterialExpressionAtmosphericLightColor;
+declare class Interface_AssetUserData extends Interface { 
+	static Load(ResourceName: string): Interface_AssetUserData;
+	static Find(Outer: UObject, ResourceName: string): Interface_AssetUserData;
+	static GetDefaultObject(): Interface_AssetUserData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_AssetUserData;
+	static C(Other: UObject | any): Interface_AssetUserData;
 }
 
-declare class MaterialExpressionAtmosphericLightVector extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionAtmosphericLightVector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericLightVector;
-	static GetDefaultObject(): MaterialExpressionAtmosphericLightVector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericLightVector;
-	static C(Other: UObject | any): MaterialExpressionAtmosphericLightVector;
+declare class Interface_CollisionDataProvider extends Interface { 
+	static Load(ResourceName: string): Interface_CollisionDataProvider;
+	static Find(Outer: UObject, ResourceName: string): Interface_CollisionDataProvider;
+	static GetDefaultObject(): Interface_CollisionDataProvider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_CollisionDataProvider;
+	static C(Other: UObject | any): Interface_CollisionDataProvider;
 }
 
-declare class MaterialExpressionBentNormalCustomOutput extends MaterialExpressionCustomOutput { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionBentNormalCustomOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBentNormalCustomOutput;
-	static GetDefaultObject(): MaterialExpressionBentNormalCustomOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBentNormalCustomOutput;
-	static C(Other: UObject | any): MaterialExpressionBentNormalCustomOutput;
+declare class Interface_PostProcessVolume extends Interface { 
+	static Load(ResourceName: string): Interface_PostProcessVolume;
+	static Find(Outer: UObject, ResourceName: string): Interface_PostProcessVolume;
+	static GetDefaultObject(): Interface_PostProcessVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_PostProcessVolume;
+	static C(Other: UObject | any): Interface_PostProcessVolume;
 }
 
-declare class MaterialExpressionBlackBody extends MaterialExpression { 
-	Temp: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionBlackBody;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBlackBody;
-	static GetDefaultObject(): MaterialExpressionBlackBody;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBlackBody;
-	static C(Other: UObject | any): MaterialExpressionBlackBody;
+declare class Interface_PreviewMeshProvider extends Interface { 
+	static Load(ResourceName: string): Interface_PreviewMeshProvider;
+	static Find(Outer: UObject, ResourceName: string): Interface_PreviewMeshProvider;
+	static GetDefaultObject(): Interface_PreviewMeshProvider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Interface_PreviewMeshProvider;
+	static C(Other: UObject | any): Interface_PreviewMeshProvider;
 }
 
-declare type EMaterialAttributeBlend = 'Blend' | 'UseA' | 'UseB' | 'EMaterialAttributeBlend_MAX';
-declare var EMaterialAttributeBlend : { Blend:'Blend',UseA:'UseA',UseB:'UseB',EMaterialAttributeBlend_MAX:'EMaterialAttributeBlend_MAX', };
-declare class MaterialExpressionBlendMaterialAttributes extends MaterialExpression { 
-	A: MaterialAttributesInput;
-	B: MaterialAttributesInput;
-	Alpha: ExpressionInput;
-	PixelAttributeBlendType: EMaterialAttributeBlend;
-	VertexAttributeBlendType: EMaterialAttributeBlend;
-	static Load(ResourceName: string): MaterialExpressionBlendMaterialAttributes;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBlendMaterialAttributes;
-	static GetDefaultObject(): MaterialExpressionBlendMaterialAttributes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBlendMaterialAttributes;
-	static C(Other: UObject | any): MaterialExpressionBlendMaterialAttributes;
+declare class InterpFilter_Classes extends InterpFilter { 
+	ClassToFilterBy: UnrealEngineClass;
+	TrackClasses: UnrealEngineClass[];
+	static Load(ResourceName: string): InterpFilter_Classes;
+	static Find(Outer: UObject, ResourceName: string): InterpFilter_Classes;
+	static GetDefaultObject(): InterpFilter_Classes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpFilter_Classes;
+	static C(Other: UObject | any): InterpFilter_Classes;
+}
+
+declare class InterpFilter_Custom extends InterpFilter { 
+	GroupsToInclude: InterpGroup[];
+	static Load(ResourceName: string): InterpFilter_Custom;
+	static Find(Outer: UObject, ResourceName: string): InterpFilter_Custom;
+	static GetDefaultObject(): InterpFilter_Custom;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpFilter_Custom;
+	static C(Other: UObject | any): InterpFilter_Custom;
 }
 
-declare class MaterialExpressionBreakMaterialAttributes extends MaterialExpression { 
-	MaterialAttributes: MaterialAttributesInput;
-	static Load(ResourceName: string): MaterialExpressionBreakMaterialAttributes;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBreakMaterialAttributes;
-	static GetDefaultObject(): MaterialExpressionBreakMaterialAttributes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBreakMaterialAttributes;
-	static C(Other: UObject | any): MaterialExpressionBreakMaterialAttributes;
+declare class CameraPreviewInfo { 
+	PawnClass: UnrealEngineClass;
+	AnimSeq: AnimSequence;
+	Location: Vector;
+	Rotation: Rotator;
+	PawnInst: Pawn;
+	clone() : CameraPreviewInfo;
+	static C(Other: UObject | any): CameraPreviewInfo;
 }
 
-declare class MaterialExpressionBumpOffset extends MaterialExpression { 
-	Coordinate: ExpressionInput;
-	Height: ExpressionInput;
-	HeightRatioInput: ExpressionInput;
-	HeightRatio: number;
-	ReferencePlane: number;
-	ConstCoordinate: any;
-	static Load(ResourceName: string): MaterialExpressionBumpOffset;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBumpOffset;
-	static GetDefaultObject(): MaterialExpressionBumpOffset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBumpOffset;
-	static C(Other: UObject | any): MaterialExpressionBumpOffset;
+declare class InterpGroupCamera extends InterpGroup { 
+	CameraAnimInst: CameraAnim;
+	Target: CameraPreviewInfo;
+	CompressTolerance: number;
+	static Load(ResourceName: string): InterpGroupCamera;
+	static Find(Outer: UObject, ResourceName: string): InterpGroupCamera;
+	static GetDefaultObject(): InterpGroupCamera;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupCamera;
+	static C(Other: UObject | any): InterpGroupCamera;
 }
 
-declare class MaterialExpressionCameraPositionWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionCameraPositionWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCameraPositionWS;
-	static GetDefaultObject(): MaterialExpressionCameraPositionWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCameraPositionWS;
-	static C(Other: UObject | any): MaterialExpressionCameraPositionWS;
+declare class InterpGroupInstCamera extends InterpGroupInst { 
+	static Load(ResourceName: string): InterpGroupInstCamera;
+	static Find(Outer: UObject, ResourceName: string): InterpGroupInstCamera;
+	static GetDefaultObject(): InterpGroupInstCamera;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupInstCamera;
+	static C(Other: UObject | any): InterpGroupInstCamera;
 }
 
-declare class MaterialExpressionCameraVectorWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionCameraVectorWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCameraVectorWS;
-	static GetDefaultObject(): MaterialExpressionCameraVectorWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCameraVectorWS;
-	static C(Other: UObject | any): MaterialExpressionCameraVectorWS;
+declare class InterpGroupInstDirector extends InterpGroupInst { 
+	static Load(ResourceName: string): InterpGroupInstDirector;
+	static Find(Outer: UObject, ResourceName: string): InterpGroupInstDirector;
+	static GetDefaultObject(): InterpGroupInstDirector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpGroupInstDirector;
+	static C(Other: UObject | any): InterpGroupInstDirector;
 }
 
-declare class MaterialExpressionCeil extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionCeil;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCeil;
-	static GetDefaultObject(): MaterialExpressionCeil;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCeil;
-	static C(Other: UObject | any): MaterialExpressionCeil;
+declare type EInterpToBehaviourType = 'OneShot' | 'OneShot_Reverse' | 'Loop_Reset' | 'PingPong' | 'EInterpToBehaviourType_MAX';
+declare var EInterpToBehaviourType : { OneShot:'OneShot',OneShot_Reverse:'OneShot_Reverse',Loop_Reset:'Loop_Reset',PingPong:'PingPong',EInterpToBehaviourType_MAX:'EInterpToBehaviourType_MAX', };
+declare class InterpControlPoint { 
+	PositionControlPoint: Vector;
+	bPositionIsRelative: boolean;
+	clone() : InterpControlPoint;
+	static C(Other: UObject | any): InterpControlPoint;
 }
 
-declare class MaterialExpressionParameter extends MaterialExpression { 
-	ParameterName: string;
-	ExpressionGUID: Guid;
-	Group: string;
-	SortPriority: number;
-	static Load(ResourceName: string): MaterialExpressionParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParameter;
-	static GetDefaultObject(): MaterialExpressionParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParameter;
-	static C(Other: UObject | any): MaterialExpressionParameter;
+declare class InterpToMovementComponent extends MovementComponent { 
+	Duration: number;
+	bPauseOnImpact: boolean;
+	BehaviourType: EInterpToBehaviourType;
+	bForceSubStepping: boolean;
+	OnInterpToReverse: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
+	OnInterpToStop: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
+	OnWaitBeginDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
+	OnWaitEndDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
+	OnResetDelegate: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, Time: number) => void>;
+	MaxSimulationTimeStep: number;
+	MaxSimulationIterations: number;
+	ControlPoints: InterpControlPoint[];
+	static Load(ResourceName: string): InterpToMovementComponent;
+	static Find(Outer: UObject, ResourceName: string): InterpToMovementComponent;
+	static GetDefaultObject(): InterpToMovementComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpToMovementComponent;
+	StopSimulating(HitResult: HitResult): void;
+	RestartMovement(InitialDirection: number): void;
+	FinaliseControlPoints(): void;
+	static C(Other: UObject | any): InterpToMovementComponent;
 }
 
-declare class MaterialExpressionVectorParameter extends MaterialExpressionParameter { 
-	DefaultValue: LinearColor;
-	static Load(ResourceName: string): MaterialExpressionVectorParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVectorParameter;
-	static GetDefaultObject(): MaterialExpressionVectorParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVectorParameter;
-	static C(Other: UObject | any): MaterialExpressionVectorParameter;
+declare class InterpTrackFloatBase extends InterpTrack { 
+	FloatTrack: InterpCurveFloat;
+	CurveTension: number;
+	static Load(ResourceName: string): InterpTrackFloatBase;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatBase;
+	static GetDefaultObject(): InterpTrackFloatBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatBase;
+	static C(Other: UObject | any): InterpTrackFloatBase;
 }
 
-declare type EChannelMaskParameterColor = 'Red' | 'Green' | 'Blue' | 'Alpha' | 'EChannelMaskParameterColor_MAX';
-declare var EChannelMaskParameterColor : { Red:'Red',Green:'Green',Blue:'Blue',Alpha:'Alpha',EChannelMaskParameterColor_MAX:'EChannelMaskParameterColor_MAX', };
-declare class MaterialExpressionChannelMaskParameter extends MaterialExpressionVectorParameter { 
-	MaskChannel: EChannelMaskParameterColor;
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionChannelMaskParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionChannelMaskParameter;
-	static GetDefaultObject(): MaterialExpressionChannelMaskParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionChannelMaskParameter;
-	static C(Other: UObject | any): MaterialExpressionChannelMaskParameter;
+declare class AnimControlTrackKey { 
+	StartTime: number;
+	AnimSeq: AnimSequence;
+	AnimStartOffset: number;
+	AnimEndOffset: number;
+	AnimPlayRate: number;
+	bLooping: boolean;
+	bReverse: boolean;
+	clone() : AnimControlTrackKey;
+	static C(Other: UObject | any): AnimControlTrackKey;
 }
 
-declare type EClampMode = 'CMODE_Clamp' | 'CMODE_ClampMin' | 'CMODE_ClampMax' | 'CMODE_MAX';
-declare var EClampMode : { CMODE_Clamp:'CMODE_Clamp',CMODE_ClampMin:'CMODE_ClampMin',CMODE_ClampMax:'CMODE_ClampMax',CMODE_MAX:'CMODE_MAX', };
-declare class MaterialExpressionClamp extends MaterialExpression { 
-	Input: ExpressionInput;
-	Min: ExpressionInput;
-	Max: ExpressionInput;
-	ClampMode: EClampMode;
-	MinDefault: number;
-	MaxDefault: number;
-	static Load(ResourceName: string): MaterialExpressionClamp;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionClamp;
-	static GetDefaultObject(): MaterialExpressionClamp;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionClamp;
-	static C(Other: UObject | any): MaterialExpressionClamp;
+declare class InterpTrackAnimControl extends InterpTrackFloatBase { 
+	SlotName: string;
+	AnimSeqs: AnimControlTrackKey[];
+	bSkipAnimNotifiers: boolean;
+	static Load(ResourceName: string): InterpTrackAnimControl;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackAnimControl;
+	static GetDefaultObject(): InterpTrackAnimControl;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackAnimControl;
+	static C(Other: UObject | any): InterpTrackAnimControl;
 }
 
-declare class MaterialExpressionClearCoatNormalCustomOutput extends MaterialExpressionCustomOutput { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionClearCoatNormalCustomOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionClearCoatNormalCustomOutput;
-	static GetDefaultObject(): MaterialExpressionClearCoatNormalCustomOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionClearCoatNormalCustomOutput;
-	static C(Other: UObject | any): MaterialExpressionClearCoatNormalCustomOutput;
+declare class InterpTrackVectorBase extends InterpTrack { 
+	VectorTrack: InterpCurveVector;
+	CurveTension: number;
+	static Load(ResourceName: string): InterpTrackVectorBase;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorBase;
+	static GetDefaultObject(): InterpTrackVectorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorBase;
+	static C(Other: UObject | any): InterpTrackVectorBase;
 }
 
-declare class MaterialExpressionCollectionParameter extends MaterialExpression { 
-	Collection: MaterialParameterCollection;
-	ParameterName: string;
-	ParameterId: Guid;
-	static Load(ResourceName: string): MaterialExpressionCollectionParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCollectionParameter;
-	static GetDefaultObject(): MaterialExpressionCollectionParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCollectionParameter;
-	static C(Other: UObject | any): MaterialExpressionCollectionParameter;
+declare class InterpTrackAudioMaster extends InterpTrackVectorBase { 
+	static Load(ResourceName: string): InterpTrackAudioMaster;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackAudioMaster;
+	static GetDefaultObject(): InterpTrackAudioMaster;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackAudioMaster;
+	static C(Other: UObject | any): InterpTrackAudioMaster;
 }
 
-declare class MaterialExpressionComponentMask extends MaterialExpression { 
-	Input: ExpressionInput;
-	R: boolean;
-	G: boolean;
-	B: boolean;
-	A: boolean;
-	static Load(ResourceName: string): MaterialExpressionComponentMask;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionComponentMask;
-	static GetDefaultObject(): MaterialExpressionComponentMask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionComponentMask;
-	static C(Other: UObject | any): MaterialExpressionComponentMask;
+declare class BoolTrackKey { 
+	Time: number;
+	Value: boolean;
+	clone() : BoolTrackKey;
+	static C(Other: UObject | any): BoolTrackKey;
 }
 
-declare class MaterialExpressionConstant extends MaterialExpression { 
-	R: number;
-	static Load(ResourceName: string): MaterialExpressionConstant;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant;
-	static GetDefaultObject(): MaterialExpressionConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant;
-	static C(Other: UObject | any): MaterialExpressionConstant;
+declare class InterpTrackBoolProp extends InterpTrack { 
+	BoolTrack: BoolTrackKey[];
+	PropertyName: string;
+	static Load(ResourceName: string): InterpTrackBoolProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackBoolProp;
+	static GetDefaultObject(): InterpTrackBoolProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackBoolProp;
+	static C(Other: UObject | any): InterpTrackBoolProp;
 }
 
-declare class MaterialExpressionConstant2Vector extends MaterialExpression { 
-	R: number;
-	G: number;
-	static Load(ResourceName: string): MaterialExpressionConstant2Vector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant2Vector;
-	static GetDefaultObject(): MaterialExpressionConstant2Vector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant2Vector;
-	static C(Other: UObject | any): MaterialExpressionConstant2Vector;
+declare class InterpTrackColorProp extends InterpTrackVectorBase { 
+	PropertyName: string;
+	static Load(ResourceName: string): InterpTrackColorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackColorProp;
+	static GetDefaultObject(): InterpTrackColorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackColorProp;
+	static C(Other: UObject | any): InterpTrackColorProp;
 }
 
-declare class MaterialExpressionConstant3Vector extends MaterialExpression { 
-	Constant: LinearColor;
-	static Load(ResourceName: string): MaterialExpressionConstant3Vector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant3Vector;
-	static GetDefaultObject(): MaterialExpressionConstant3Vector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant3Vector;
-	static C(Other: UObject | any): MaterialExpressionConstant3Vector;
+declare class InterpTrackColorScale extends InterpTrackVectorBase { 
+	static Load(ResourceName: string): InterpTrackColorScale;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackColorScale;
+	static GetDefaultObject(): InterpTrackColorScale;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackColorScale;
+	static C(Other: UObject | any): InterpTrackColorScale;
 }
 
-declare class MaterialExpressionConstant4Vector extends MaterialExpression { 
-	Constant: LinearColor;
-	static Load(ResourceName: string): MaterialExpressionConstant4Vector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant4Vector;
-	static GetDefaultObject(): MaterialExpressionConstant4Vector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant4Vector;
-	static C(Other: UObject | any): MaterialExpressionConstant4Vector;
+declare class DirectorTrackCut { 
+	Time: number;
+	TransitionTime: number;
+	TargetCamGroup: string;
+	ShotNumber: number;
+	clone() : DirectorTrackCut;
+	static C(Other: UObject | any): DirectorTrackCut;
 }
 
-declare class MaterialExpressionConstantBiasScale extends MaterialExpression { 
-	Input: ExpressionInput;
-	Bias: number;
-	Scale: number;
-	static Load(ResourceName: string): MaterialExpressionConstantBiasScale;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstantBiasScale;
-	static GetDefaultObject(): MaterialExpressionConstantBiasScale;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstantBiasScale;
-	static C(Other: UObject | any): MaterialExpressionConstantBiasScale;
+declare class InterpTrackDirector extends InterpTrack { 
+	CutTrack: DirectorTrackCut[];
+	bSimulateCameraCutsOnClients: boolean;
+	PreviewCamera: CameraActor;
+	static Load(ResourceName: string): InterpTrackDirector;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackDirector;
+	static GetDefaultObject(): InterpTrackDirector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackDirector;
+	static C(Other: UObject | any): InterpTrackDirector;
 }
 
-declare class MaterialExpressionCosine extends MaterialExpression { 
-	Input: ExpressionInput;
-	Period: number;
-	static Load(ResourceName: string): MaterialExpressionCosine;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCosine;
-	static GetDefaultObject(): MaterialExpressionCosine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCosine;
-	static C(Other: UObject | any): MaterialExpressionCosine;
+declare class EventTrackKey { 
+	Time: number;
+	EventName: string;
+	clone() : EventTrackKey;
+	static C(Other: UObject | any): EventTrackKey;
 }
 
-declare class MaterialExpressionCrossProduct extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionCrossProduct;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCrossProduct;
-	static GetDefaultObject(): MaterialExpressionCrossProduct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCrossProduct;
-	static C(Other: UObject | any): MaterialExpressionCrossProduct;
+declare class InterpTrackEvent extends InterpTrack { 
+	EventTrack: EventTrackKey[];
+	bFireEventsWhenForwards: boolean;
+	bFireEventsWhenBackwards: boolean;
+	bFireEventsWhenJumpingForwards: boolean;
+	bUseCustomEventName: boolean;
+	static Load(ResourceName: string): InterpTrackEvent;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackEvent;
+	static GetDefaultObject(): InterpTrackEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackEvent;
+	static C(Other: UObject | any): InterpTrackEvent;
 }
 
-declare type ECustomMaterialOutputType = 'CMOT_Float1' | 'CMOT_Float2' | 'CMOT_Float3' | 'CMOT_Float4' | 'CMOT_MAX';
-declare var ECustomMaterialOutputType : { CMOT_Float1:'CMOT_Float1',CMOT_Float2:'CMOT_Float2',CMOT_Float3:'CMOT_Float3',CMOT_Float4:'CMOT_Float4',CMOT_MAX:'CMOT_MAX', };
-declare class CustomInput { 
-	InputName: string;
-	Input: ExpressionInput;
-	clone() : CustomInput;
-	static C(Other: UObject | any): CustomInput;
+declare class InterpTrackFade extends InterpTrackFloatBase { 
+	bPersistFade: boolean;
+	bFadeAudio: boolean;
+	FadeColor: LinearColor;
+	static Load(ResourceName: string): InterpTrackFade;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFade;
+	static GetDefaultObject(): InterpTrackFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFade;
+	static C(Other: UObject | any): InterpTrackFade;
 }
 
-declare class MaterialExpressionCustom extends MaterialExpression { 
-	Code: string;
-	OutputType: ECustomMaterialOutputType;
-	Description: string;
-	Inputs: CustomInput[];
-	static Load(ResourceName: string): MaterialExpressionCustom;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCustom;
-	static GetDefaultObject(): MaterialExpressionCustom;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCustom;
-	static C(Other: UObject | any): MaterialExpressionCustom;
+declare class InterpTrackFloatAnimBPParam extends InterpTrackFloatBase { 
+	AnimBlueprintClass: UnrealEngineClass;
+	AnimClass: UnrealEngineClass;
+	ParamName: string;
+	static Load(ResourceName: string): InterpTrackFloatAnimBPParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatAnimBPParam;
+	static GetDefaultObject(): InterpTrackFloatAnimBPParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatAnimBPParam;
+	static C(Other: UObject | any): InterpTrackFloatAnimBPParam;
 }
 
-declare class MaterialExpressionDDX extends MaterialExpression { 
-	Value: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDDX;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDDX;
-	static GetDefaultObject(): MaterialExpressionDDX;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDDX;
-	static C(Other: UObject | any): MaterialExpressionDDX;
+declare class InterpTrackFloatMaterialParam extends InterpTrackFloatBase { 
+	TargetMaterials: MaterialInterface[];
+	ParamName: string;
+	static Load(ResourceName: string): InterpTrackFloatMaterialParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatMaterialParam;
+	static GetDefaultObject(): InterpTrackFloatMaterialParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatMaterialParam;
+	static C(Other: UObject | any): InterpTrackFloatMaterialParam;
 }
 
-declare class MaterialExpressionDDY extends MaterialExpression { 
-	Value: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDDY;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDDY;
-	static GetDefaultObject(): MaterialExpressionDDY;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDDY;
-	static C(Other: UObject | any): MaterialExpressionDDY;
+declare class InterpTrackFloatParticleParam extends InterpTrackFloatBase { 
+	ParamName: string;
+	static Load(ResourceName: string): InterpTrackFloatParticleParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatParticleParam;
+	static GetDefaultObject(): InterpTrackFloatParticleParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatParticleParam;
+	static C(Other: UObject | any): InterpTrackFloatParticleParam;
 }
 
-declare class MaterialExpressionDecalDerivative extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionDecalDerivative;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalDerivative;
-	static GetDefaultObject(): MaterialExpressionDecalDerivative;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalDerivative;
-	static C(Other: UObject | any): MaterialExpressionDecalDerivative;
+declare class InterpTrackFloatProp extends InterpTrackFloatBase { 
+	PropertyName: string;
+	static Load(ResourceName: string): InterpTrackFloatProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackFloatProp;
+	static GetDefaultObject(): InterpTrackFloatProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackFloatProp;
+	static C(Other: UObject | any): InterpTrackFloatProp;
 }
 
-declare class MaterialExpressionDecalLifetimeOpacity extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionDecalLifetimeOpacity;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalLifetimeOpacity;
-	static GetDefaultObject(): MaterialExpressionDecalLifetimeOpacity;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalLifetimeOpacity;
-	static C(Other: UObject | any): MaterialExpressionDecalLifetimeOpacity;
+declare class InterpTrackInstAnimControl extends InterpTrackInst { 
+	LastUpdatePosition: number;
+	InitPosition: Vector;
+	InitRotation: Rotator;
+	static Load(ResourceName: string): InterpTrackInstAnimControl;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstAnimControl;
+	static GetDefaultObject(): InterpTrackInstAnimControl;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstAnimControl;
+	static C(Other: UObject | any): InterpTrackInstAnimControl;
 }
 
-declare class MaterialExpressionDecalMipmapLevel extends MaterialExpression { 
-	TextureSize: ExpressionInput;
-	ConstWidth: number;
-	ConstHeight: number;
-	static Load(ResourceName: string): MaterialExpressionDecalMipmapLevel;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalMipmapLevel;
-	static GetDefaultObject(): MaterialExpressionDecalMipmapLevel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalMipmapLevel;
-	static C(Other: UObject | any): MaterialExpressionDecalMipmapLevel;
+declare class InterpTrackInstAudioMaster extends InterpTrackInst { 
+	static Load(ResourceName: string): InterpTrackInstAudioMaster;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstAudioMaster;
+	static GetDefaultObject(): InterpTrackInstAudioMaster;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstAudioMaster;
+	static C(Other: UObject | any): InterpTrackInstAudioMaster;
 }
 
-declare class MaterialExpressionDepthFade extends MaterialExpression { 
-	InOpacity: ExpressionInput;
-	FadeDistance: ExpressionInput;
-	OpacityDefault: number;
-	FadeDistanceDefault: number;
-	static Load(ResourceName: string): MaterialExpressionDepthFade;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDepthFade;
-	static GetDefaultObject(): MaterialExpressionDepthFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDepthFade;
-	static C(Other: UObject | any): MaterialExpressionDepthFade;
+declare class InterpTrackInstProperty extends InterpTrackInst { 
+	InterpProperty: Property;
+	PropertyOuterObjectInst: UObject;
+	static Load(ResourceName: string): InterpTrackInstProperty;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstProperty;
+	static GetDefaultObject(): InterpTrackInstProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstProperty;
+	static C(Other: UObject | any): InterpTrackInstProperty;
 }
 
-declare type EDepthOfFieldFunctionValue = 'TDOF_NearAndFarMask' | 'TDOF_NearMask' | 'TDOF_FarMask' | 'TDOF_CircleOfConfusionRadius' | 'TDOF_MAX';
-declare var EDepthOfFieldFunctionValue : { TDOF_NearAndFarMask:'TDOF_NearAndFarMask',TDOF_NearMask:'TDOF_NearMask',TDOF_FarMask:'TDOF_FarMask',TDOF_CircleOfConfusionRadius:'TDOF_CircleOfConfusionRadius',TDOF_MAX:'TDOF_MAX', };
-declare class MaterialExpressionDepthOfFieldFunction extends MaterialExpression { 
-	FunctionValue: EDepthOfFieldFunctionValue;
-	Depth: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDepthOfFieldFunction;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDepthOfFieldFunction;
-	static GetDefaultObject(): MaterialExpressionDepthOfFieldFunction;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDepthOfFieldFunction;
-	static C(Other: UObject | any): MaterialExpressionDepthOfFieldFunction;
+declare class InterpTrackInstBoolProp extends InterpTrackInstProperty { 
+	BoolProperty: BoolProperty;
+	ResetBool: boolean;
+	static Load(ResourceName: string): InterpTrackInstBoolProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstBoolProp;
+	static GetDefaultObject(): InterpTrackInstBoolProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstBoolProp;
+	static C(Other: UObject | any): InterpTrackInstBoolProp;
 }
 
-declare class MaterialExpressionDeriveNormalZ extends MaterialExpression { 
-	InXY: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDeriveNormalZ;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDeriveNormalZ;
-	static GetDefaultObject(): MaterialExpressionDeriveNormalZ;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDeriveNormalZ;
-	static C(Other: UObject | any): MaterialExpressionDeriveNormalZ;
+declare class InterpTrackInstColorProp extends InterpTrackInstProperty { 
+	ResetColor: Color;
+	static Load(ResourceName: string): InterpTrackInstColorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstColorProp;
+	static GetDefaultObject(): InterpTrackInstColorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstColorProp;
+	static C(Other: UObject | any): InterpTrackInstColorProp;
 }
 
-declare class MaterialExpressionDesaturation extends MaterialExpression { 
-	Input: ExpressionInput;
-	Fraction: ExpressionInput;
-	LuminanceFactors: LinearColor;
-	static Load(ResourceName: string): MaterialExpressionDesaturation;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDesaturation;
-	static GetDefaultObject(): MaterialExpressionDesaturation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDesaturation;
-	static C(Other: UObject | any): MaterialExpressionDesaturation;
+declare class InterpTrackInstColorScale extends InterpTrackInst { 
+	static Load(ResourceName: string): InterpTrackInstColorScale;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstColorScale;
+	static GetDefaultObject(): InterpTrackInstColorScale;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstColorScale;
+	static C(Other: UObject | any): InterpTrackInstColorScale;
 }
 
-declare class MaterialExpressionDistance extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDistance;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistance;
-	static GetDefaultObject(): MaterialExpressionDistance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistance;
-	static C(Other: UObject | any): MaterialExpressionDistance;
+declare class InterpTrackInstEvent extends InterpTrackInst { 
+	LastUpdatePosition: number;
+	static Load(ResourceName: string): InterpTrackInstEvent;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstEvent;
+	static GetDefaultObject(): InterpTrackInstEvent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstEvent;
+	static C(Other: UObject | any): InterpTrackInstEvent;
+}
+
+declare class InterpTrackInstFade extends InterpTrackInst { 
+	static Load(ResourceName: string): InterpTrackInstFade;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFade;
+	static GetDefaultObject(): InterpTrackInstFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFade;
+	static C(Other: UObject | any): InterpTrackInstFade;
 }
 
-declare class MaterialExpressionDistanceCullFade extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionDistanceCullFade;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceCullFade;
-	static GetDefaultObject(): MaterialExpressionDistanceCullFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceCullFade;
-	static C(Other: UObject | any): MaterialExpressionDistanceCullFade;
+declare class InterpTrackInstFloatAnimBPParam extends InterpTrackInst { 
+	AnimScriptInstance: AnimInstance;
+	ResetFloat: number;
+	static Load(ResourceName: string): InterpTrackInstFloatAnimBPParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatAnimBPParam;
+	static GetDefaultObject(): InterpTrackInstFloatAnimBPParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatAnimBPParam;
+	static C(Other: UObject | any): InterpTrackInstFloatAnimBPParam;
 }
 
-declare class MaterialExpressionDistanceFieldGradient extends MaterialExpression { 
-	Position: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDistanceFieldGradient;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceFieldGradient;
-	static GetDefaultObject(): MaterialExpressionDistanceFieldGradient;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceFieldGradient;
-	static C(Other: UObject | any): MaterialExpressionDistanceFieldGradient;
+declare class PrimitiveMaterialRef { 
+	Primitive: PrimitiveComponent;
+	Decal: DecalComponent;
+	ElementIndex: number;
+	clone() : PrimitiveMaterialRef;
+	static C(Other: UObject | any): PrimitiveMaterialRef;
 }
 
-declare class MaterialExpressionDistanceToNearestSurface extends MaterialExpression { 
-	Position: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDistanceToNearestSurface;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceToNearestSurface;
-	static GetDefaultObject(): MaterialExpressionDistanceToNearestSurface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceToNearestSurface;
-	static C(Other: UObject | any): MaterialExpressionDistanceToNearestSurface;
+declare class InterpTrackInstFloatMaterialParam extends InterpTrackInst { 
+	MaterialInstances: MaterialInstanceDynamic[];
+	ResetFloats: number[];
+	PrimitiveMaterialRefs: PrimitiveMaterialRef[];
+	InstancedTrack: InterpTrackFloatMaterialParam;
+	static Load(ResourceName: string): InterpTrackInstFloatMaterialParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatMaterialParam;
+	static GetDefaultObject(): InterpTrackInstFloatMaterialParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatMaterialParam;
+	static C(Other: UObject | any): InterpTrackInstFloatMaterialParam;
 }
 
-declare class MaterialExpressionDivide extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionDivide;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDivide;
-	static GetDefaultObject(): MaterialExpressionDivide;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDivide;
-	static C(Other: UObject | any): MaterialExpressionDivide;
+declare class InterpTrackInstFloatParticleParam extends InterpTrackInst { 
+	ResetFloat: number;
+	static Load(ResourceName: string): InterpTrackInstFloatParticleParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatParticleParam;
+	static GetDefaultObject(): InterpTrackInstFloatParticleParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatParticleParam;
+	static C(Other: UObject | any): InterpTrackInstFloatParticleParam;
 }
 
-declare class MaterialExpressionDotProduct extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionDotProduct;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDotProduct;
-	static GetDefaultObject(): MaterialExpressionDotProduct;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDotProduct;
-	static C(Other: UObject | any): MaterialExpressionDotProduct;
+declare class InterpTrackInstFloatProp extends InterpTrackInstProperty { 
+	ResetFloat: number;
+	static Load(ResourceName: string): InterpTrackInstFloatProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstFloatProp;
+	static GetDefaultObject(): InterpTrackInstFloatProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstFloatProp;
+	static C(Other: UObject | any): InterpTrackInstFloatProp;
 }
 
-declare class MaterialExpressionDynamicParameter extends MaterialExpression { 
-	ParamNames: string[];
-	DefaultValue: LinearColor;
-	static Load(ResourceName: string): MaterialExpressionDynamicParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDynamicParameter;
-	static GetDefaultObject(): MaterialExpressionDynamicParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDynamicParameter;
-	static C(Other: UObject | any): MaterialExpressionDynamicParameter;
+declare class InterpTrackInstLinearColorProp extends InterpTrackInstProperty { 
+	ResetColor: LinearColor;
+	static Load(ResourceName: string): InterpTrackInstLinearColorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstLinearColorProp;
+	static GetDefaultObject(): InterpTrackInstLinearColorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstLinearColorProp;
+	static C(Other: UObject | any): InterpTrackInstLinearColorProp;
 }
 
-declare class MaterialExpressionEyeAdaptation extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionEyeAdaptation;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionEyeAdaptation;
-	static GetDefaultObject(): MaterialExpressionEyeAdaptation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionEyeAdaptation;
-	static C(Other: UObject | any): MaterialExpressionEyeAdaptation;
+declare class InterpTrackInstParticleReplay extends InterpTrackInst { 
+	LastUpdatePosition: number;
+	static Load(ResourceName: string): InterpTrackInstParticleReplay;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstParticleReplay;
+	static GetDefaultObject(): InterpTrackInstParticleReplay;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstParticleReplay;
+	static C(Other: UObject | any): InterpTrackInstParticleReplay;
 }
 
-declare class MaterialExpressionFeatureLevelSwitch extends MaterialExpression { 
-	Default: ExpressionInput;
-	Inputs: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionFeatureLevelSwitch;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFeatureLevelSwitch;
-	static GetDefaultObject(): MaterialExpressionFeatureLevelSwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFeatureLevelSwitch;
-	static C(Other: UObject | any): MaterialExpressionFeatureLevelSwitch;
+declare class InterpTrackInstSlomo extends InterpTrackInst { 
+	OldTimeDilation: number;
+	static Load(ResourceName: string): InterpTrackInstSlomo;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstSlomo;
+	static GetDefaultObject(): InterpTrackInstSlomo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstSlomo;
+	static C(Other: UObject | any): InterpTrackInstSlomo;
 }
 
-declare class MaterialExpressionFloor extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionFloor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFloor;
-	static GetDefaultObject(): MaterialExpressionFloor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFloor;
-	static C(Other: UObject | any): MaterialExpressionFloor;
+declare class InterpTrackInstSound extends InterpTrackInst { 
+	LastUpdatePosition: number;
+	PlayAudioComp: AudioComponent;
+	static Load(ResourceName: string): InterpTrackInstSound;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstSound;
+	static GetDefaultObject(): InterpTrackInstSound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstSound;
+	static C(Other: UObject | any): InterpTrackInstSound;
 }
 
-declare class MaterialExpressionFmod extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionFmod;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFmod;
-	static GetDefaultObject(): MaterialExpressionFmod;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFmod;
-	static C(Other: UObject | any): MaterialExpressionFmod;
+declare type ETrackToggleAction = 'ETTA_Off' | 'ETTA_On' | 'ETTA_Toggle' | 'ETTA_Trigger' | 'ETTA_MAX';
+declare var ETrackToggleAction : { ETTA_Off:'ETTA_Off',ETTA_On:'ETTA_On',ETTA_Toggle:'ETTA_Toggle',ETTA_Trigger:'ETTA_Trigger',ETTA_MAX:'ETTA_MAX', };
+declare class InterpTrackInstToggle extends InterpTrackInst { 
+	Action: ETrackToggleAction;
+	LastUpdatePosition: number;
+	bSavedActiveState: boolean;
+	static Load(ResourceName: string): InterpTrackInstToggle;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstToggle;
+	static GetDefaultObject(): InterpTrackInstToggle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstToggle;
+	static C(Other: UObject | any): InterpTrackInstToggle;
 }
 
-declare class MaterialExpressionFontSample extends MaterialExpression { 
-	Font: Font;
-	FontTexturePage: number;
-	static Load(ResourceName: string): MaterialExpressionFontSample;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFontSample;
-	static GetDefaultObject(): MaterialExpressionFontSample;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFontSample;
-	static C(Other: UObject | any): MaterialExpressionFontSample;
+declare class InterpTrackVectorMaterialParam extends InterpTrackVectorBase { 
+	TargetMaterials: MaterialInterface[];
+	ParamName: string;
+	static Load(ResourceName: string): InterpTrackVectorMaterialParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorMaterialParam;
+	static GetDefaultObject(): InterpTrackVectorMaterialParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorMaterialParam;
+	static C(Other: UObject | any): InterpTrackVectorMaterialParam;
 }
 
-declare class MaterialExpressionFontSampleParameter extends MaterialExpressionFontSample { 
-	ParameterName: string;
-	ExpressionGUID: Guid;
-	Group: string;
-	SortPriority: number;
-	static Load(ResourceName: string): MaterialExpressionFontSampleParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFontSampleParameter;
-	static GetDefaultObject(): MaterialExpressionFontSampleParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFontSampleParameter;
-	static C(Other: UObject | any): MaterialExpressionFontSampleParameter;
+declare class InterpTrackInstVectorMaterialParam extends InterpTrackInst { 
+	MaterialInstances: MaterialInstanceDynamic[];
+	ResetVectors: Vector[];
+	PrimitiveMaterialRefs: PrimitiveMaterialRef[];
+	InstancedTrack: InterpTrackVectorMaterialParam;
+	static Load(ResourceName: string): InterpTrackInstVectorMaterialParam;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVectorMaterialParam;
+	static GetDefaultObject(): InterpTrackInstVectorMaterialParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVectorMaterialParam;
+	static C(Other: UObject | any): InterpTrackInstVectorMaterialParam;
 }
 
-declare class MaterialExpressionFrac extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionFrac;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFrac;
-	static GetDefaultObject(): MaterialExpressionFrac;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFrac;
-	static C(Other: UObject | any): MaterialExpressionFrac;
+declare class InterpTrackInstVectorProp extends InterpTrackInstProperty { 
+	ResetVector: Vector;
+	static Load(ResourceName: string): InterpTrackInstVectorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVectorProp;
+	static GetDefaultObject(): InterpTrackInstVectorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVectorProp;
+	static C(Other: UObject | any): InterpTrackInstVectorProp;
 }
 
-declare class MaterialExpressionFresnel extends MaterialExpression { 
-	ExponentIn: ExpressionInput;
-	Exponent: number;
-	BaseReflectFractionIn: ExpressionInput;
-	BaseReflectFraction: number;
-	Normal: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionFresnel;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFresnel;
-	static GetDefaultObject(): MaterialExpressionFresnel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFresnel;
-	static C(Other: UObject | any): MaterialExpressionFresnel;
+declare type EVisibilityTrackAction = 'EVTA_Hide' | 'EVTA_Show' | 'EVTA_Toggle' | 'EVTA_MAX';
+declare var EVisibilityTrackAction : { EVTA_Hide:'EVTA_Hide',EVTA_Show:'EVTA_Show',EVTA_Toggle:'EVTA_Toggle',EVTA_MAX:'EVTA_MAX', };
+declare class InterpTrackInstVisibility extends InterpTrackInst { 
+	Action: EVisibilityTrackAction;
+	LastUpdatePosition: number;
+	static Load(ResourceName: string): InterpTrackInstVisibility;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackInstVisibility;
+	static GetDefaultObject(): InterpTrackInstVisibility;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackInstVisibility;
+	static C(Other: UObject | any): InterpTrackInstVisibility;
 }
 
-declare type EFunctionInputType = 'FunctionInput_Scalar' | 'FunctionInput_Vector2' | 'FunctionInput_Vector3' | 'FunctionInput_Vector4' | 'FunctionInput_Texture2D' | 'FunctionInput_TextureCube' | 'FunctionInput_StaticBool' | 'FunctionInput_MaterialAttributes' | 'FunctionInput_MAX';
-declare var EFunctionInputType : { FunctionInput_Scalar:'FunctionInput_Scalar',FunctionInput_Vector2:'FunctionInput_Vector2',FunctionInput_Vector3:'FunctionInput_Vector3',FunctionInput_Vector4:'FunctionInput_Vector4',FunctionInput_Texture2D:'FunctionInput_Texture2D',FunctionInput_TextureCube:'FunctionInput_TextureCube',FunctionInput_StaticBool:'FunctionInput_StaticBool',FunctionInput_MaterialAttributes:'FunctionInput_MaterialAttributes',FunctionInput_MAX:'FunctionInput_MAX', };
-declare class MaterialExpressionFunctionInput extends MaterialExpression { 
-	Preview: ExpressionInput;
-	InputName: string;
-	Description: string;
-	ID: Guid;
-	InputType: EFunctionInputType;
-	PreviewValue: Vector4;
-	bUsePreviewValueAsDefault: boolean;
-	SortPriority: number;
-	bCompilingFunctionPreview: boolean;
-	static Load(ResourceName: string): MaterialExpressionFunctionInput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFunctionInput;
-	static GetDefaultObject(): MaterialExpressionFunctionInput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFunctionInput;
-	static C(Other: UObject | any): MaterialExpressionFunctionInput;
+declare class InterpCurvePointLinearColor { 
+	InVal: number;
+	OutVal: LinearColor;
+	ArriveTangent: LinearColor;
+	LeaveTangent: LinearColor;
+	InterpMode: EInterpCurveMode;
+	clone() : InterpCurvePointLinearColor;
+	static C(Other: UObject | any): InterpCurvePointLinearColor;
+}
+
+declare class InterpCurveLinearColor { 
+	Points: InterpCurvePointLinearColor[];
+	bIsLooped: boolean;
+	LoopKeyOffset: number;
+	clone() : InterpCurveLinearColor;
+	static C(Other: UObject | any): InterpCurveLinearColor;
 }
 
-declare class MaterialExpressionFunctionOutput extends MaterialExpression { 
-	OutputName: string;
-	Description: string;
-	SortPriority: number;
-	A: ExpressionInput;
-	bLastPreviewed: boolean;
-	ID: Guid;
-	static Load(ResourceName: string): MaterialExpressionFunctionOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFunctionOutput;
-	static GetDefaultObject(): MaterialExpressionFunctionOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFunctionOutput;
-	static C(Other: UObject | any): MaterialExpressionFunctionOutput;
+declare class InterpTrackLinearColorBase extends InterpTrack { 
+	LinearColorTrack: InterpCurveLinearColor;
+	CurveTension: number;
+	static Load(ResourceName: string): InterpTrackLinearColorBase;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackLinearColorBase;
+	static GetDefaultObject(): InterpTrackLinearColorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackLinearColorBase;
+	static C(Other: UObject | any): InterpTrackLinearColorBase;
 }
 
-declare class MaterialExpressionGetMaterialAttributes extends MaterialExpression { 
-	MaterialAttributes: MaterialAttributesInput;
-	AttributeGetTypes: Guid[];
-	static Load(ResourceName: string): MaterialExpressionGetMaterialAttributes;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionGetMaterialAttributes;
-	static GetDefaultObject(): MaterialExpressionGetMaterialAttributes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionGetMaterialAttributes;
-	static C(Other: UObject | any): MaterialExpressionGetMaterialAttributes;
+declare class InterpTrackLinearColorProp extends InterpTrackLinearColorBase { 
+	PropertyName: string;
+	static Load(ResourceName: string): InterpTrackLinearColorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackLinearColorProp;
+	static GetDefaultObject(): InterpTrackLinearColorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackLinearColorProp;
+	static C(Other: UObject | any): InterpTrackLinearColorProp;
 }
 
-declare class MaterialExpressionGIReplace extends MaterialExpression { 
-	Default: ExpressionInput;
-	StaticIndirect: ExpressionInput;
-	DynamicIndirect: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionGIReplace;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionGIReplace;
-	static GetDefaultObject(): MaterialExpressionGIReplace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionGIReplace;
-	static C(Other: UObject | any): MaterialExpressionGIReplace;
+declare type EInterpMoveAxis = 'AXIS_TranslationX' | 'AXIS_TranslationY' | 'AXIS_TranslationZ' | 'AXIS_RotationX' | 'AXIS_RotationY' | 'AXIS_RotationZ' | 'AXIS_MAX';
+declare var EInterpMoveAxis : { AXIS_TranslationX:'AXIS_TranslationX',AXIS_TranslationY:'AXIS_TranslationY',AXIS_TranslationZ:'AXIS_TranslationZ',AXIS_RotationX:'AXIS_RotationX',AXIS_RotationY:'AXIS_RotationY',AXIS_RotationZ:'AXIS_RotationZ',AXIS_MAX:'AXIS_MAX', };
+declare class InterpTrackMoveAxis extends InterpTrackFloatBase { 
+	MoveAxis: EInterpMoveAxis;
+	LookupTrack: InterpLookupTrack;
+	static Load(ResourceName: string): InterpTrackMoveAxis;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackMoveAxis;
+	static GetDefaultObject(): InterpTrackMoveAxis;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackMoveAxis;
+	static C(Other: UObject | any): InterpTrackMoveAxis;
 }
 
-declare class MaterialExpressionIf extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	AGreaterThanB: ExpressionInput;
-	AEqualsB: ExpressionInput;
-	ALessThanB: ExpressionInput;
-	EqualsThreshold: number;
-	ConstB: number;
-	ConstAEqualsB: number;
-	static Load(ResourceName: string): MaterialExpressionIf;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionIf;
-	static GetDefaultObject(): MaterialExpressionIf;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionIf;
-	static C(Other: UObject | any): MaterialExpressionIf;
+declare class ParticleReplayTrackKey { 
+	Time: number;
+	Duration: number;
+	ClipIDNumber: number;
+	clone() : ParticleReplayTrackKey;
+	static C(Other: UObject | any): ParticleReplayTrackKey;
 }
 
-declare class MaterialExpressionLightmapUVs extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionLightmapUVs;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightmapUVs;
-	static GetDefaultObject(): MaterialExpressionLightmapUVs;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightmapUVs;
-	static C(Other: UObject | any): MaterialExpressionLightmapUVs;
+declare class InterpTrackParticleReplay extends InterpTrack { 
+	TrackKeys: ParticleReplayTrackKey[];
+	bIsCapturingReplay: boolean;
+	FixedTimeStep: number;
+	static Load(ResourceName: string): InterpTrackParticleReplay;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackParticleReplay;
+	static GetDefaultObject(): InterpTrackParticleReplay;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackParticleReplay;
+	static C(Other: UObject | any): InterpTrackParticleReplay;
 }
 
-declare class MaterialExpressionLightmassReplace extends MaterialExpression { 
-	Realtime: ExpressionInput;
-	Lightmass: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionLightmassReplace;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightmassReplace;
-	static GetDefaultObject(): MaterialExpressionLightmassReplace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightmassReplace;
-	static C(Other: UObject | any): MaterialExpressionLightmassReplace;
+declare class InterpTrackSlomo extends InterpTrackFloatBase { 
+	static Load(ResourceName: string): InterpTrackSlomo;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackSlomo;
+	static GetDefaultObject(): InterpTrackSlomo;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackSlomo;
+	static C(Other: UObject | any): InterpTrackSlomo;
 }
 
-declare class MaterialExpressionLightVector extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionLightVector;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightVector;
-	static GetDefaultObject(): MaterialExpressionLightVector;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightVector;
-	static C(Other: UObject | any): MaterialExpressionLightVector;
+declare class SoundTrackKey { 
+	Time: number;
+	Volume: number;
+	Pitch: number;
+	Sound: SoundBase;
+	clone() : SoundTrackKey;
+	static C(Other: UObject | any): SoundTrackKey;
 }
 
-declare class MaterialExpressionLinearInterpolate extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	Alpha: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	ConstAlpha: number;
-	static Load(ResourceName: string): MaterialExpressionLinearInterpolate;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLinearInterpolate;
-	static GetDefaultObject(): MaterialExpressionLinearInterpolate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLinearInterpolate;
-	static C(Other: UObject | any): MaterialExpressionLinearInterpolate;
+declare class InterpTrackSound extends InterpTrackVectorBase { 
+	Sounds: SoundTrackKey[];
+	bPlayOnReverse: boolean;
+	bContinueSoundOnMatineeEnd: boolean;
+	bSuppressSubtitles: boolean;
+	bTreatAsDialogue: boolean;
+	bAttach: boolean;
+	static Load(ResourceName: string): InterpTrackSound;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackSound;
+	static GetDefaultObject(): InterpTrackSound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackSound;
+	static C(Other: UObject | any): InterpTrackSound;
 }
 
-declare class MaterialExpressionLogarithm10 extends MaterialExpression { 
-	X: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionLogarithm10;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLogarithm10;
-	static GetDefaultObject(): MaterialExpressionLogarithm10;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLogarithm10;
-	static C(Other: UObject | any): MaterialExpressionLogarithm10;
+declare class ToggleTrackKey { 
+	Time: number;
+	ToggleAction: ETrackToggleAction;
+	clone() : ToggleTrackKey;
+	static C(Other: UObject | any): ToggleTrackKey;
 }
 
-declare class MaterialExpressionLogarithm2 extends MaterialExpression { 
-	X: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionLogarithm2;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLogarithm2;
-	static GetDefaultObject(): MaterialExpressionLogarithm2;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLogarithm2;
-	static C(Other: UObject | any): MaterialExpressionLogarithm2;
+declare class InterpTrackToggle extends InterpTrack { 
+	ToggleTrack: ToggleTrackKey[];
+	bActivateSystemEachUpdate: boolean;
+	bActivateWithJustAttachedFlag: boolean;
+	bFireEventsWhenForwards: boolean;
+	bFireEventsWhenBackwards: boolean;
+	bFireEventsWhenJumpingForwards: boolean;
+	static Load(ResourceName: string): InterpTrackToggle;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackToggle;
+	static GetDefaultObject(): InterpTrackToggle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackToggle;
+	static C(Other: UObject | any): InterpTrackToggle;
 }
 
-declare class MaterialExpressionMakeMaterialAttributes extends MaterialExpression { 
-	BaseColor: ExpressionInput;
-	Metallic: ExpressionInput;
-	Specular: ExpressionInput;
-	Roughness: ExpressionInput;
-	EmissiveColor: ExpressionInput;
-	Opacity: ExpressionInput;
-	OpacityMask: ExpressionInput;
-	Normal: ExpressionInput;
-	WorldPositionOffset: ExpressionInput;
-	WorldDisplacement: ExpressionInput;
-	TessellationMultiplier: ExpressionInput;
-	SubsurfaceColor: ExpressionInput;
-	ClearCoat: ExpressionInput;
-	ClearCoatRoughness: ExpressionInput;
-	AmbientOcclusion: ExpressionInput;
-	Refraction: ExpressionInput;
-	CustomizedUVs: ExpressionInput;
-	PixelDepthOffset: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionMakeMaterialAttributes;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMakeMaterialAttributes;
-	static GetDefaultObject(): MaterialExpressionMakeMaterialAttributes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMakeMaterialAttributes;
-	static C(Other: UObject | any): MaterialExpressionMakeMaterialAttributes;
+declare class InterpTrackVectorProp extends InterpTrackVectorBase { 
+	PropertyName: string;
+	static Load(ResourceName: string): InterpTrackVectorProp;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackVectorProp;
+	static GetDefaultObject(): InterpTrackVectorProp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVectorProp;
+	static C(Other: UObject | any): InterpTrackVectorProp;
 }
 
-declare class FunctionExpressionInput { 
-	ExpressionInput: MaterialExpressionFunctionInput;
-	ExpressionInputId: Guid;
-	Input: ExpressionInput;
-	clone() : FunctionExpressionInput;
-	static C(Other: UObject | any): FunctionExpressionInput;
+declare type EVisibilityTrackCondition = 'EVTC_Always' | 'EVTC_GoreEnabled' | 'EVTC_GoreDisabled' | 'EVTC_MAX';
+declare var EVisibilityTrackCondition : { EVTC_Always:'EVTC_Always',EVTC_GoreEnabled:'EVTC_GoreEnabled',EVTC_GoreDisabled:'EVTC_GoreDisabled',EVTC_MAX:'EVTC_MAX', };
+declare class VisibilityTrackKey { 
+	Time: number;
+	Action: EVisibilityTrackAction;
+	ActiveCondition: EVisibilityTrackCondition;
+	clone() : VisibilityTrackKey;
+	static C(Other: UObject | any): VisibilityTrackKey;
 }
 
-declare class FunctionExpressionOutput { 
-	ExpressionOutput: MaterialExpressionFunctionOutput;
-	ExpressionOutputId: Guid;
-	Output: ExpressionOutput;
-	clone() : FunctionExpressionOutput;
-	static C(Other: UObject | any): FunctionExpressionOutput;
+declare class InterpTrackVisibility extends InterpTrack { 
+	VisibilityTrack: VisibilityTrackKey[];
+	bFireEventsWhenForwards: boolean;
+	bFireEventsWhenBackwards: boolean;
+	bFireEventsWhenJumpingForwards: boolean;
+	static Load(ResourceName: string): InterpTrackVisibility;
+	static Find(Outer: UObject, ResourceName: string): InterpTrackVisibility;
+	static GetDefaultObject(): InterpTrackVisibility;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InterpTrackVisibility;
+	static C(Other: UObject | any): InterpTrackVisibility;
 }
 
-declare class MaterialExpressionMaterialFunctionCall extends MaterialExpression { 
-	MaterialFunction: MaterialFunctionInterface;
-	FunctionInputs: FunctionExpressionInput[];
-	FunctionOutputs: FunctionExpressionOutput[];
-	FunctionParameterInfo: MaterialParameterInfo;
-	static Load(ResourceName: string): MaterialExpressionMaterialFunctionCall;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialFunctionCall;
-	static GetDefaultObject(): MaterialExpressionMaterialFunctionCall;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialFunctionCall;
-	SetMaterialFunction(NewMaterialFunction: MaterialFunctionInterface): boolean;
-	static C(Other: UObject | any): MaterialExpressionMaterialFunctionCall;
+declare class IntSerialization extends UObject { 
+	UnsignedInt16Variable: any;
+	UnsignedInt32Variable: any;
+	UnsignedInt64Variable: any;
+	SignedInt8Variable: any;
+	SignedInt16Variable: any;
+	SignedInt64Variable: any;
+	UnsignedInt8Variable: number;
+	SignedInt32Variable: number;
+	static Load(ResourceName: string): IntSerialization;
+	static Find(Outer: UObject, ResourceName: string): IntSerialization;
+	static GetDefaultObject(): IntSerialization;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IntSerialization;
+	static C(Other: UObject | any): IntSerialization;
 }
 
-declare class MaterialExpressionMaterialAttributeLayers extends MaterialExpression { 
-	ParameterName: string;
-	ExpressionGUID: Guid;
-	Input: MaterialAttributesInput;
-	DefaultLayers: MaterialLayersFunctions;
-	LayerCallers: MaterialExpressionMaterialFunctionCall[];
-	BlendCallers: MaterialExpressionMaterialFunctionCall[];
-	bIsLayerGraphBuilt: boolean;
-	static Load(ResourceName: string): MaterialExpressionMaterialAttributeLayers;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialAttributeLayers;
-	static GetDefaultObject(): MaterialExpressionMaterialAttributeLayers;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialAttributeLayers;
-	static C(Other: UObject | any): MaterialExpressionMaterialAttributeLayers;
+declare class KillZVolume extends PhysicsVolume { 
+	static GetDefaultObject(): KillZVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KillZVolume;
+	static C(Other: UObject | any): KillZVolume;
 }
 
-declare class MaterialExpressionMaterialLayerOutput extends MaterialExpressionFunctionOutput { 
-	static Load(ResourceName: string): MaterialExpressionMaterialLayerOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialLayerOutput;
-	static GetDefaultObject(): MaterialExpressionMaterialLayerOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialLayerOutput;
-	static C(Other: UObject | any): MaterialExpressionMaterialLayerOutput;
+declare class KismetArrayLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetArrayLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetArrayLibrary;
+	static GetDefaultObject(): KismetArrayLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetArrayLibrary;
+	static SetArrayPropertyByName(UObject: UObject,PropertyName: string,Value: number[]): void;
+	static FilterArray(TargetArray: Actor[],FilterClass: UnrealEngineClass,FilteredArray?: Actor[]): {FilteredArray: Actor[]};
+	static Array_Swap(TargetArray: number[],FirstIndex: number,SecondIndex: number): void;
+	static Array_Shuffle(TargetArray: number[]): void;
+	static Array_Set(TargetArray: number[],index: number,Item: number,bSizeToFit: boolean): void;
+	static Array_Resize(TargetArray: number[],Size: number): void;
+	static Array_RemoveItem(TargetArray: number[],Item: number): boolean;
+	static Array_Remove(TargetArray: number[],IndexToRemove: number): void;
+	static Array_Length(TargetArray: number[]): number;
+	static Array_LastIndex(TargetArray: number[]): number;
+	static Array_IsValidIndex(TargetArray: number[],IndexToTest: number): boolean;
+	static Array_Insert(TargetArray: number[],NewItem: number,index: number): void;
+	static Array_Identical(ArrayA: number[],ArrayB: number[]): boolean;
+	static Array_Get(TargetArray: number[],index: number,Item?: number): {Item: number};
+	static Array_Find(TargetArray: number[],ItemToFind: number): number;
+	static Array_Contains(TargetArray: number[],ItemToFind: number): boolean;
+	static Array_Clear(TargetArray: number[]): void;
+	static Array_Append(TargetArray: number[],SourceArray: number[]): void;
+	static Array_AddUnique(TargetArray: number[],NewItem: number): number;
+	static Array_Add(TargetArray: number[],NewItem: number): number;
+	static C(Other: UObject | any): KismetArrayLibrary;
 }
 
-declare class MaterialExpressionMaterialProxyReplace extends MaterialExpression { 
-	Realtime: ExpressionInput;
-	MaterialProxy: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionMaterialProxyReplace;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialProxyReplace;
-	static GetDefaultObject(): MaterialExpressionMaterialProxyReplace;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialProxyReplace;
-	static C(Other: UObject | any): MaterialExpressionMaterialProxyReplace;
+declare class KismetGuidLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetGuidLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetGuidLibrary;
+	static GetDefaultObject(): KismetGuidLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetGuidLibrary;
+	static Parse_StringToGuid(GuidString: string,OutGuid?: Guid,Success?: boolean): {OutGuid: Guid, Success: boolean};
+	static NotEqual_GuidGuid(A: Guid,B: Guid): boolean;
+	static NewGuid(): Guid;
+	static IsValid_Guid(InGuid: Guid): boolean;
+	static Invalidate_Guid(InGuid?: Guid): {InGuid: Guid};
+	static EqualEqual_GuidGuid(A: Guid,B: Guid): boolean;
+	static Conv_GuidToString(InGuid: Guid): string;
+	static C(Other: UObject | any): KismetGuidLibrary;
 }
 
-declare class MaterialExpressionMax extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionMax;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMax;
-	static GetDefaultObject(): MaterialExpressionMax;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMax;
-	static C(Other: UObject | any): MaterialExpressionMax;
+declare class KismetInputLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetInputLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetInputLibrary;
+	static GetDefaultObject(): KismetInputLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetInputLibrary;
+	static PointerEvent_IsTouchEvent(Input: UPointerEvent): boolean;
+	static PointerEvent_IsMouseButtonDown(Input: UPointerEvent,MouseButton: Key): boolean;
+	static PointerEvent_GetWheelDelta(Input: UPointerEvent): number;
+	static PointerEvent_GetUserIndex(Input: UPointerEvent): number;
+	static PointerEvent_GetTouchpadIndex(Input: UPointerEvent): number;
+	static PointerEvent_GetScreenSpacePosition(Input: UPointerEvent): Vector2D;
+	static PointerEvent_GetPointerIndex(Input: UPointerEvent): number;
+	static PointerEvent_GetLastScreenSpacePosition(Input: UPointerEvent): Vector2D;
+	static PointerEvent_GetGestureType(Input: UPointerEvent): ESlateGesture;
+	static PointerEvent_GetGestureDelta(Input: UPointerEvent): Vector2D;
+	static PointerEvent_GetEffectingButton(Input: UPointerEvent): Key;
+	static PointerEvent_GetCursorDelta(Input: UPointerEvent): Vector2D;
+	static Key_IsVectorAxis(Key: Key): boolean;
+	static Key_IsValid(Key: Key): boolean;
+	static Key_IsMouseButton(Key: Key): boolean;
+	static Key_IsModifierKey(Key: Key): boolean;
+	static Key_IsKeyboardKey(Key: Key): boolean;
+	static Key_IsGamepadKey(Key: Key): boolean;
+	static Key_IsFloatAxis(Key: Key): boolean;
+	static Key_GetDisplayName(Key: Key): string;
+	static InputEvent_IsShiftDown(Input: InputEvent): boolean;
+	static InputEvent_IsRightShiftDown(Input: InputEvent): boolean;
+	static InputEvent_IsRightControlDown(Input: InputEvent): boolean;
+	static InputEvent_IsRightCommandDown(Input: InputEvent): boolean;
+	static InputEvent_IsRightAltDown(Input: InputEvent): boolean;
+	static InputEvent_IsRepeat(Input: InputEvent): boolean;
+	static InputEvent_IsLeftShiftDown(Input: InputEvent): boolean;
+	static InputEvent_IsLeftControlDown(Input: InputEvent): boolean;
+	static InputEvent_IsLeftCommandDown(Input: InputEvent): boolean;
+	static InputEvent_IsLeftAltDown(Input: InputEvent): boolean;
+	static InputEvent_IsControlDown(Input: InputEvent): boolean;
+	static InputEvent_IsCommandDown(Input: InputEvent): boolean;
+	static InputEvent_IsAltDown(Input: InputEvent): boolean;
+	static GetUserIndex(Input: KeyEvent): number;
+	static GetKey(Input: KeyEvent): Key;
+	static GetAnalogValue(Input: AnalogInputEvent): number;
+	static EqualEqual_KeyKey(A: Key,B: Key): boolean;
+	static EqualEqual_InputChordInputChord(A: InputChord,B: InputChord): boolean;
+	static CalibrateTilt(): void;
+	static C(Other: UObject | any): KismetInputLibrary;
 }
 
-declare class MaterialExpressionMin extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionMin;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMin;
-	static GetDefaultObject(): MaterialExpressionMin;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMin;
-	static C(Other: UObject | any): MaterialExpressionMin;
+declare type ELocalizedTextSourceCategory = 'Game' | 'Engine' | 'Editor' | 'ELocalizedTextSourceCategory_MAX';
+declare var ELocalizedTextSourceCategory : { Game:'Game',Engine:'Engine',Editor:'Editor',ELocalizedTextSourceCategory_MAX:'ELocalizedTextSourceCategory_MAX', };
+declare class KismetInternationalizationLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetInternationalizationLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetInternationalizationLibrary;
+	static GetDefaultObject(): KismetInternationalizationLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetInternationalizationLibrary;
+	static SetCurrentLocale(Culture: string,SaveToConfig: boolean): boolean;
+	static SetCurrentLanguageAndLocale(Culture: string,SaveToConfig: boolean): boolean;
+	static SetCurrentLanguage(Culture: string,SaveToConfig: boolean): boolean;
+	static SetCurrentCulture(Culture: string,SaveToConfig: boolean): boolean;
+	static SetCurrentAssetGroupCulture(AssetGroup: string,Culture: string,SaveToConfig: boolean): boolean;
+	static GetSuitableCulture(AvailableCultures: string[],CultureToMatch: string,FallbackCulture: string): string;
+	static GetNativeCulture(TextCategory: ELocalizedTextSourceCategory): string;
+	static GetLocalizedCultures(IncludeGame: boolean,IncludeEngine: boolean,IncludeEditor: boolean,IncludeAdditional: boolean): string[];
+	static GetCurrentLocale(): string;
+	static GetCurrentLanguage(): string;
+	static GetCurrentCulture(): string;
+	static GetCurrentAssetGroupCulture(AssetGroup: string): string;
+	static GetCultureDisplayName(Culture: string,Localized: boolean): string;
+	static ClearCurrentAssetGroupCulture(AssetGroup: string,SaveToConfig: boolean): void;
+	static C(Other: UObject | any): KismetInternationalizationLibrary;
 }
 
-declare class MaterialExpressionMultiply extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionMultiply;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMultiply;
-	static GetDefaultObject(): MaterialExpressionMultiply;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMultiply;
-	static C(Other: UObject | any): MaterialExpressionMultiply;
+declare class KismetMaterialLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetMaterialLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetMaterialLibrary;
+	static GetDefaultObject(): KismetMaterialLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetMaterialLibrary;
+	static SetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: LinearColor): void;
+	static SetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string,ParameterValue: number): void;
+	static GetVectorParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): LinearColor;
+	static GetScalarParameterValue(WorldContextObject: UObject,Collection: MaterialParameterCollection,ParameterName: string): number;
+	static CreateDynamicMaterialInstance(WorldContextObject: UObject,Parent: MaterialInterface,OptionalName: string): MaterialInstanceDynamic;
+	static C(Other: UObject | any): KismetMaterialLibrary;
 }
 
-declare type ENoiseFunction = 'NOISEFUNCTION_SimplexTex' | 'NOISEFUNCTION_GradientTex' | 'NOISEFUNCTION_GradientTex3D' | 'NOISEFUNCTION_GradientALU' | 'NOISEFUNCTION_ValueALU' | 'NOISEFUNCTION_VoronoiALU' | 'NOISEFUNCTION_MAX';
-declare var ENoiseFunction : { NOISEFUNCTION_SimplexTex:'NOISEFUNCTION_SimplexTex',NOISEFUNCTION_GradientTex:'NOISEFUNCTION_GradientTex',NOISEFUNCTION_GradientTex3D:'NOISEFUNCTION_GradientTex3D',NOISEFUNCTION_GradientALU:'NOISEFUNCTION_GradientALU',NOISEFUNCTION_ValueALU:'NOISEFUNCTION_ValueALU',NOISEFUNCTION_VoronoiALU:'NOISEFUNCTION_VoronoiALU',NOISEFUNCTION_MAX:'NOISEFUNCTION_MAX', };
-declare class MaterialExpressionNoise extends MaterialExpression { 
-	Position: ExpressionInput;
-	FilterWidth: ExpressionInput;
-	Scale: number;
-	Quality: number;
-	NoiseFunction: ENoiseFunction;
-	bTurbulence: boolean;
-	Levels: number;
-	OutputMin: number;
-	OutputMax: number;
-	LevelScale: number;
-	bTiling: boolean;
-	RepeatSize: any;
-	static Load(ResourceName: string): MaterialExpressionNoise;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionNoise;
-	static GetDefaultObject(): MaterialExpressionNoise;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionNoise;
-	static C(Other: UObject | any): MaterialExpressionNoise;
+declare class FloatSpringState { 
+	clone() : FloatSpringState;
+	static C(Other: UObject | any): FloatSpringState;
+	ResetFloatSpringState(): {SpringState: FloatSpringState};
+	static ResetFloatSpringState(SpringState?: FloatSpringState): {SpringState: FloatSpringState};
+}
+
+declare class KismetMathLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetMathLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetMathLibrary;
+	static GetDefaultObject(): KismetMathLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetMathLibrary;
+	static Xor_IntInt(A: number,B: number): number;
+	static Xor_Int64Int64(A: any,B: any): any;
+	static VSizeXYSquared(A: Vector): number;
+	static VSizeXY(A: Vector): number;
+	static VSizeSquared(A: Vector): number;
+	static VSize2DSquared(A: Vector2D): number;
+	static VSize2D(A: Vector2D): number;
+	static VSize(A: Vector): number;
+	static VLerp(A: Vector,B: Vector,Alpha: number): Vector;
+	static VInterpTo_Constant(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
+	static VInterpTo(Current: Vector,Target: Vector,DeltaTime: number,InterpSpeed: number): Vector;
+	static VectorSpringInterp(Current: Vector,Target: Vector,SpringState?: VectorSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: VectorSpringState, $: Vector};
+	static Vector_Zero(): Vector;
+	static Vector_Up(): Vector;
+	static Vector_UnwindEuler(A?: Vector): {A: Vector};
+	static Vector_UnitCartesianToSpherical(A: Vector): Vector2D;
+	static Vector_ToRadians(A: Vector): Vector;
+	static Vector_ToDegrees(A: Vector): Vector;
+	static Vector_SnappedToGrid(InVect: Vector,InGridSize: number): Vector;
+	static Vector_Set(A?: Vector,X?: number,Y?: number,Z?: number): {A: Vector};
+	static Vector_Right(): Vector;
+	static Vector_Reciprocal(A: Vector): Vector;
+	static Vector_ProjectOnToNormal(V: Vector,InNormal: Vector): Vector;
+	static Vector_One(): Vector;
+	static Vector_NormalUnsafe(A: Vector): Vector;
+	static Vector_Normalize(A?: Vector,Tolerance?: number): {A: Vector};
+	static Vector_Normal2D(A: Vector,Tolerance: number): Vector;
+	static Vector_MirrorByPlane(A: Vector,InPlane: Plane): Vector;
+	static Vector_Left(): Vector;
+	static Vector_IsZero(A: Vector): boolean;
+	static Vector_IsUnit(A: Vector,SquaredLenthTolerance: number): boolean;
+	static Vector_IsUniform(A: Vector,Tolerance: number): boolean;
+	static Vector_IsNormal(A: Vector): boolean;
+	static Vector_IsNearlyZero(A: Vector,Tolerance: number): boolean;
+	static Vector_IsNAN(A: Vector): boolean;
+	static Vector_HeadingAngle(A: Vector): number;
+	static Vector_GetSignVector(A: Vector): Vector;
+	static Vector_GetProjection(A: Vector): Vector;
+	static Vector_GetAbsMin(A: Vector): number;
+	static Vector_GetAbsMax(A: Vector): number;
+	static Vector_GetAbs(A: Vector): Vector;
+	static Vector_Forward(): Vector;
+	static Vector_Down(): Vector;
+	static Vector_DistanceSquared(v1: Vector,v2: Vector): number;
+	static Vector_Distance2DSquared(v1: Vector,v2: Vector): number;
+	static Vector_Distance2D(v1: Vector,v2: Vector): number;
+	static Vector_Distance(v1: Vector,v2: Vector): number;
+	static Vector_CosineAngle2D(A: Vector,B: Vector): number;
+	static Vector_ComponentMin(A: Vector,B: Vector): Vector;
+	static Vector_ComponentMax(A: Vector,B: Vector): Vector;
+	static Vector_ClampSizeMax2D(A: Vector,Max: number): Vector;
+	static Vector_ClampSizeMax(A: Vector,Max: number): Vector;
+	static Vector_ClampSize2D(A: Vector,Min: number,Max: number): Vector;
+	static Vector_BoundedToCube(InVect: Vector,InRadius: number): Vector;
+	static Vector_BoundedToBox(InVect: Vector,InBoxMin: Vector,InBoxMax: Vector): Vector;
+	static Vector_Backward(): Vector;
+	static Vector_Assign(A?: Vector,InVector?: Vector): {A: Vector};
+	static Vector_AddBounded(A?: Vector,InAddVect?: Vector,InRadius?: number): {A: Vector};
+	static Vector4_Zero(): Vector4;
+	static Vector4_SizeSquared3(A: Vector4): number;
+	static Vector4_SizeSquared(A: Vector4): number;
+	static Vector4_Size3(A: Vector4): number;
+	static Vector4_Size(A: Vector4): number;
+	static Vector4_Set(A?: Vector4,X?: number,Y?: number,Z?: number,W?: number): {A: Vector4};
+	static Vector4_NormalUnsafe3(A: Vector4): Vector4;
+	static Vector4_Normalize3(A?: Vector4,Tolerance?: number): {A: Vector4};
+	static Vector4_Normal3(A: Vector4,Tolerance: number): Vector4;
+	static Vector4_Negated(A: Vector4): Vector4;
+	static Vector4_MirrorByVector3(Direction: Vector4,SurfaceNormal: Vector4): Vector4;
+	static Vector4_IsZero(A: Vector4): boolean;
+	static Vector4_IsUnit3(A: Vector4,SquaredLenthTolerance: number): boolean;
+	static Vector4_IsNormal3(A: Vector4): boolean;
+	static Vector4_IsNearlyZero3(A: Vector4,Tolerance: number): boolean;
+	static Vector4_IsNAN(A: Vector4): boolean;
+	static Vector4_DotProduct3(A: Vector4,B: Vector4): number;
+	static Vector4_DotProduct(A: Vector4,B: Vector4): number;
+	static Vector4_CrossProduct3(A: Vector4,B: Vector4): Vector4;
+	static Vector4_Assign(A?: Vector4,InVector?: Vector4): {A: Vector4};
+	static Vector2DInterpTo_Constant(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
+	static Vector2DInterpTo(Current: Vector2D,Target: Vector2D,DeltaTime: number,InterpSpeed: number): Vector2D;
+	static Vector2D_Zero(): Vector2D;
+	static Vector2D_Unit45Deg(): Vector2D;
+	static Vector2D_One(): Vector2D;
+	static VEase(A: Vector,B: Vector,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Vector;
+	static UtcNow(): DateTime;
+	static TransformRotation(T: Transform,Rotation: Rotator): Rotator;
+	static TransformLocation(T: Transform,Location: Vector): Vector;
+	static TransformDirection(T: Transform,Direction: Vector): Vector;
+	static Transform_Determinant(Transform: Transform): number;
+	static ToSign2D(A: Vector2D): Vector2D;
+	static ToRounded2D(A: Vector2D): Vector2D;
+	static ToDirectionAndLength2D(A: Vector2D,OutDir?: Vector2D,OutLength?: number): {OutDir: Vector2D, OutLength: number};
+	static Today(): DateTime;
+	static TLerp(A: Transform,B: Transform,Alpha: number,InterpMode: ELerpInterpolationMode): Transform;
+	static TInterpTo(Current: Transform,Target: Transform,DeltaTime: number,InterpSpeed: number): Transform;
+	static TimespanZeroValue(): Timespan;
+	static TimespanRatio(A: Timespan,B: Timespan): number;
+	static TimespanMinValue(): Timespan;
+	static TimespanMaxValue(): Timespan;
+	static TimespanFromString(TimespanString: string,Result?: Timespan): {Result: Timespan, $: boolean};
+	static TEase(A: Transform,B: Transform,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Transform;
+	static Tan(A: number): number;
+	static Subtract_VectorVector(A: Vector,B: Vector): Vector;
+	static Subtract_VectorInt(A: Vector,B: number): Vector;
+	static Subtract_VectorFloat(A: Vector,B: number): Vector;
+	static Subtract_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static Subtract_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static Subtract_Vector2DFloat(A: Vector2D,B: number): Vector2D;
+	static Subtract_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
+	static Subtract_QuatQuat(A: Quat,B: Quat): Quat;
+	static Subtract_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static Subtract_IntInt(A: number,B: number): number;
+	static Subtract_Int64Int64(A: any,B: any): any;
+	static Subtract_FloatFloat(A: number,B: number): number;
+	static Subtract_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
+	static Subtract_DateTimeDateTime(A: DateTime,B: DateTime): Timespan;
+	static Subtract_ByteByte(A: number,B: number): number;
+	static Square(A: number): number;
+	static Sqrt(A: number): number;
+	static Spherical2DToUnitCartesian(A: Vector2D): Vector;
+	static Sin(A: number): number;
+	static SignOfInteger64(A: any): any;
+	static SignOfInteger(A: number): number;
+	static SignOfFloat(A: number): number;
+	static SetRandomStreamSeed(Stream?: RandomStream,NewSeed?: number): {Stream: RandomStream};
+	static Set2D(A?: Vector2D,X?: number,Y?: number): {A: Vector2D};
+	static SelectVector(A: Vector,B: Vector,bPickA: boolean): Vector;
+	static SelectTransform(A: Transform,B: Transform,bPickA: boolean): Transform;
+	static SelectString(A: string,B: string,bPickA: boolean): string;
+	static SelectRotator(A: Rotator,B: Rotator,bPickA: boolean): Rotator;
+	static SelectObject(A: UObject,B: UObject,bSelectA: boolean): UObject;
+	static SelectInt(A: number,B: number,bPickA: boolean): number;
+	static SelectFloat(A: number,B: number,bPickA: boolean): number;
+	static SelectColor(A: LinearColor,B: LinearColor,bPickA: boolean): LinearColor;
+	static SelectClass(A: UnrealEngineClass,B: UnrealEngineClass,bSelectA: boolean): UnrealEngineClass;
+	static SeedRandomStream(Stream?: RandomStream): {Stream: RandomStream};
+	static Round64(A: number): any;
+	static Round(A: number): number;
+	static RotatorFromAxisAndAngle(Axis: Vector,Angle: number): Rotator;
+	static RotateAngleAxis(InVect: Vector,AngleDeg: number,Axis: Vector): Vector;
+	static RLerp(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean): Rotator;
+	static RInterpTo_Constant(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
+	static RInterpTo(Current: Rotator,Target: Rotator,DeltaTime: number,InterpSpeed: number): Rotator;
+	static RGBToHSV_Vector(RGB: LinearColor,HSV?: LinearColor): {HSV: LinearColor};
+	static RGBToHSV(InColor: LinearColor,H?: number,S?: number,V?: number,A?: number): {H: number, S: number, V: number, A: number};
+	static RGBLinearToHSV(RGB: LinearColor): LinearColor;
+	static ResetVectorSpringState(SpringState?: VectorSpringState): {SpringState: VectorSpringState};
+	static ResetRandomStream(Stream: RandomStream): void;
+	static ResetFloatSpringState(SpringState?: FloatSpringState): {SpringState: FloatSpringState};
+	static REase(A: Rotator,B: Rotator,Alpha: number,bShortestPath: boolean,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): Rotator;
+	static RandomUnitVectorInEllipticalConeInRadiansFromStream(ConeDir: Vector,MaxYawInRadians: number,MaxPitchInRadians: number,Stream: RandomStream): Vector;
+	static RandomUnitVectorInEllipticalConeInRadians(ConeDir: Vector,MaxYawInRadians: number,MaxPitchInRadians: number): Vector;
+	static RandomUnitVectorInEllipticalConeInDegreesFromStream(ConeDir: Vector,MaxYawInDegrees: number,MaxPitchInDegrees: number,Stream: RandomStream): Vector;
+	static RandomUnitVectorInEllipticalConeInDegrees(ConeDir: Vector,MaxYawInDegrees: number,MaxPitchInDegrees: number): Vector;
+	static RandomUnitVectorInConeInRadiansFromStream(ConeDir: Vector,ConeHalfAngleInRadians: number,Stream: RandomStream): Vector;
+	static RandomUnitVectorInConeInRadians(ConeDir: Vector,ConeHalfAngleInRadians: number): Vector;
+	static RandomUnitVectorInConeInDegreesFromStream(ConeDir: Vector,ConeHalfAngleInDegrees: number,Stream: RandomStream): Vector;
+	static RandomUnitVectorInConeInDegrees(ConeDir: Vector,ConeHalfAngleInDegrees: number): Vector;
+	static RandomUnitVectorFromStream(Stream: RandomStream): Vector;
+	static RandomUnitVector(): Vector;
+	static RandomRotatorFromStream(bRoll: boolean,Stream: RandomStream): Rotator;
+	static RandomRotator(bRoll: boolean): Rotator;
+	static RandomPointInBoundingBox(Origin: Vector,BoxExtent: Vector): Vector;
+	static RandomIntegerInRangeFromStream(Min: number,Max: number,Stream: RandomStream): number;
+	static RandomIntegerInRange(Min: number,Max: number): number;
+	static RandomIntegerFromStream(Max: number,Stream: RandomStream): number;
+	static RandomInteger64InRange(Min: any,Max: any): any;
+	static RandomInteger64(Max: any): any;
+	static RandomInteger(Max: number): number;
+	static RandomFloatInRangeFromStream(Min: number,Max: number,Stream: RandomStream): number;
+	static RandomFloatInRange(Min: number,Max: number): number;
+	static RandomFloatFromStream(Stream: RandomStream): number;
+	static RandomFloat(): number;
+	static RandomBoolWithWeightFromStream(Weight: number,RandomStream: RandomStream): boolean;
+	static RandomBoolWithWeight(Weight: number): boolean;
+	static RandomBoolFromStream(Stream: RandomStream): boolean;
+	static RandomBool(): boolean;
+	static RadiansToDegrees(A: number): number;
+	static Quat_VectorUp(Q: Quat): Vector;
+	static Quat_VectorRight(Q: Quat): Vector;
+	static Quat_VectorForward(Q: Quat): Vector;
+	static Quat_UnrotateVector(Q: Quat,V: Vector): Vector;
+	static Quat_SizeSquared(Q: Quat): number;
+	static Quat_Size(Q: Quat): number;
+	static Quat_SetFromEuler(Q?: Quat,Euler?: Vector): {Q: Quat};
+	static Quat_SetComponents(Q?: Quat,X?: number,Y?: number,Z?: number,W?: number): {Q: Quat};
+	static Quat_Rotator(Q: Quat): Rotator;
+	static Quat_RotateVector(Q: Quat,V: Vector): Vector;
+	static Quat_Normalized(Q: Quat,Tolerance: number): Quat;
+	static Quat_Normalize(Q?: Quat,Tolerance?: number): {Q: Quat};
+	static Quat_MakeFromEuler(Euler: Vector): Quat;
+	static Quat_Log(Q: Quat): Quat;
+	static Quat_IsNormalized(Q: Quat): boolean;
+	static Quat_IsNonFinite(Q: Quat): boolean;
+	static Quat_IsIdentity(Q: Quat,Tolerance: number): boolean;
+	static Quat_IsFinite(Q: Quat): boolean;
+	static Quat_Inversed(Q: Quat): Quat;
+	static Quat_Identity(): Quat;
+	static Quat_GetRotationAxis(Q: Quat): Vector;
+	static Quat_GetAxisZ(Q: Quat): Vector;
+	static Quat_GetAxisY(Q: Quat): Vector;
+	static Quat_GetAxisX(Q: Quat): Vector;
+	static Quat_GetAngle(Q: Quat): number;
+	static Quat_Exp(Q: Quat): Quat;
+	static Quat_Euler(Q: Quat): Vector;
+	static Quat_EnforceShortestArcWith(A?: Quat,B?: Quat): {A: Quat};
+	static Quat_AngularDistance(A: Quat,B: Quat): number;
+	static ProjectVectorOnToVector(V: Vector,Target: Vector): Vector;
+	static ProjectVectorOnToPlane(V: Vector,PlaneNormal: Vector): Vector;
+	static ProjectPointOnToPlane(Point: Vector,PlaneBase: Vector,PlaneNormal: Vector): Vector;
+	static PointsAreCoplanar(Points: Vector[],Tolerance: number): boolean;
+	static PerlinNoise1D(Value: number): number;
+	static Percent_IntInt(A: number,B: number): number;
+	static Percent_FloatFloat(A: number,B: number): number;
+	static Percent_ByteByte(A: number,B: number): number;
+	static Or_IntInt(A: number,B: number): number;
+	static Or_Int64Int64(A: any,B: any): any;
+	static Now(): DateTime;
+	static NotEqualExactly_VectorVector(A: Vector,B: Vector): boolean;
+	static NotEqualExactly_Vector4Vector4(A: Vector4,B: Vector4): boolean;
+	static NotEqualExactly_Vector2DVector2D(A: Vector2D,B: Vector2D): boolean;
+	static NotEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
+	static NotEqual_Vector4Vector4(A: Vector4,B: Vector4,ErrorTolerance: number): boolean;
+	static NotEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
+	static NotEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static NotEqual_RotatorRotator(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
+	static NotEqual_QuatQuat(A: Quat,B: Quat,ErrorTolerance: number): boolean;
+	static NotEqual_ObjectObject(A: UObject,B: UObject): boolean;
+	static NotEqual_NameName(A: string,B: string): boolean;
+	static NotEqual_LinearColorLinearColor(A: LinearColor,B: LinearColor): boolean;
+	static NotEqual_IntInt(A: number,B: number): boolean;
+	static NotEqual_Int64Int64(A: any,B: any): boolean;
+	static NotEqual_FloatFloat(A: number,B: number): boolean;
+	static NotEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static NotEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
+	static NotEqual_ByteByte(A: number,B: number): boolean;
+	static NotEqual_BoolBool(A: boolean,B: boolean): boolean;
+	static Not_PreBool(A: boolean): boolean;
+	static Not_Int64(A: any): any;
+	static Not_Int(A: number): number;
+	static NormalSafe2D(A: Vector2D,Tolerance: number): Vector2D;
+	static NormalizeToRange(Value: number,RangeMin: number,RangeMax: number): number;
+	static NormalizedDeltaRotator(A: Rotator,B: Rotator): Rotator;
+	static NormalizeAxis(Angle: number): number;
+	static Normalize2D(A?: Vector2D,Tolerance?: number): {A: Vector2D};
+	static Normal2D(A: Vector2D): Vector2D;
+	static Normal(A: Vector,Tolerance: number): Vector;
+	static NegateVector(A: Vector): Vector;
+	static NegateRotator(A: Rotator): Rotator;
+	static Negated2D(A: Vector2D): Vector2D;
+	static NearlyEqual_TransformTransform(A: Transform,B: Transform,LocationTolerance: number,RotationTolerance: number,Scale3DTolerance: number): boolean;
+	static NearlyEqual_FloatFloat(A: number,B: number,ErrorTolerance: number): boolean;
+	static MultiplyMultiply_FloatFloat(Base: number,Exp: number): number;
+	static MultiplyByPi(Value: number): number;
+	static Multiply_VectorVector(A: Vector,B: Vector): Vector;
+	static Multiply_VectorInt(A: Vector,B: number): Vector;
+	static Multiply_VectorFloat(A: Vector,B: number): Vector;
+	static Multiply_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static Multiply_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static Multiply_Vector2DFloat(A: Vector2D,B: number): Vector2D;
+	static Multiply_TimespanFloat(A: Timespan,Scalar: number): Timespan;
+	static Multiply_RotatorInt(A: Rotator,B: number): Rotator;
+	static Multiply_RotatorFloat(A: Rotator,B: number): Rotator;
+	static Multiply_QuatQuat(A: Quat,B: Quat): Quat;
+	static Multiply_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static Multiply_LinearColorFloat(A: LinearColor,B: number): LinearColor;
+	static Multiply_IntInt(A: number,B: number): number;
+	static Multiply_IntFloat(A: number,B: number): number;
+	static Multiply_Int64Int64(A: any,B: any): any;
+	static Multiply_FloatFloat(A: number,B: number): number;
+	static Multiply_ByteByte(A: number,B: number): number;
+	static MirrorVectorByNormal(InVect: Vector,InNormal: Vector): Vector;
+	static MinOfIntArray(IntArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
+	static MinOfFloatArray(FloatArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
+	static MinOfByteArray(ByteArray: number[],IndexOfMinValue?: number,MinValue?: number): {IndexOfMinValue: number, MinValue: number};
+	static MinInt64(A: any,B: any): any;
+	static MinimumAreaRectangle(WorldContextObject: UObject,InVerts: Vector[],SampleSurfaceNormal: Vector,OutRectCenter?: Vector,OutRectRotation?: Rotator,OutSideLengthX?: number,OutSideLengthY?: number,bDebugDraw?: boolean): {OutRectCenter: Vector, OutRectRotation: Rotator, OutSideLengthX: number, OutSideLengthY: number};
+	static Min(A: number,B: number): number;
+	static MaxOfIntArray(IntArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
+	static MaxOfFloatArray(FloatArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
+	static MaxOfByteArray(ByteArray: number[],IndexOfMaxValue?: number,MaxValue?: number): {IndexOfMaxValue: number, MaxValue: number};
+	static MaxInt64(A: any,B: any): any;
+	static Max(A: number,B: number): number;
+	static Matrix_GetOrigin(InMatrix: Matrix): Vector;
+	static MapRangeUnclamped(Value: number,InRangeA: number,InRangeB: number,OutRangeA: number,OutRangeB: number): number;
+	static MapRangeClamped(Value: number,InRangeA: number,InRangeB: number,OutRangeA: number,OutRangeB: number): number;
+	static MakeVector4(X: number,Y: number,Z: number,W: number): Vector4;
+	static MakeVector2D(X: number,Y: number): Vector2D;
+	static MakeVector(X: number,Y: number,Z: number): Vector;
+	static MakeTransform(Location: Vector,Rotation: Rotator,Scale: Vector): Transform;
+	static MakeTimespan2(Days: number,Hours: number,Minutes: number,Seconds: number,FractionNano: number): Timespan;
+	static MakeTimespan(Days: number,Hours: number,Minutes: number,Seconds: number,Milliseconds: number): Timespan;
+	static MakeRotFromZY(Z: Vector,Y: Vector): Rotator;
+	static MakeRotFromZX(Z: Vector,X: Vector): Rotator;
+	static MakeRotFromZ(Z: Vector): Rotator;
+	static MakeRotFromYZ(Y: Vector,Z: Vector): Rotator;
+	static MakeRotFromYX(Y: Vector,X: Vector): Rotator;
+	static MakeRotFromY(Y: Vector): Rotator;
+	static MakeRotFromXZ(X: Vector,Z: Vector): Rotator;
+	static MakeRotFromXY(X: Vector,Y: Vector): Rotator;
+	static MakeRotFromX(X: Vector): Rotator;
+	static MakeRotator(Roll: number,Pitch: number,Yaw: number): Rotator;
+	static MakeRotationFromAxes(Forward: Vector,Right: Vector,Up: Vector): Rotator;
+	static MakeRelativeTransform(A: Transform,RelativeTo: Transform): Transform;
+	static MakeRandomStream(InitialSeed: number): RandomStream;
+	static MakeQualifiedFrameTime(Frame: FrameNumber,FrameRate: FrameRate,SubFrame: number): QualifiedFrameTime;
+	static MakePulsatingValue(InCurrentTime: number,InPulsesPerSecond: number,InPhase: number): number;
+	static MakePlaneFromPointAndNormal(Point: Vector,Normal: Vector): Plane;
+	static MakeFrameRate(Numerator: number,Denominator: number): FrameRate;
+	static MakeDateTime(Year: number,Month: number,Day: number,Hour: number,Minute: number,Second: number,Millisecond: number): DateTime;
+	static MakeColor(R: number,G: number,B: number,A: number): LinearColor;
+	static MakeBox2D(Min: Vector2D,Max: Vector2D): Box2D;
+	static MakeBox(Min: Vector,Max: Vector): Box;
+	static Loge(A: number): number;
+	static Log(A: number,Base: number): number;
+	static LinePlaneIntersection_OriginNormal(LineStart: Vector,LineEnd: Vector,PlaneOrigin: Vector,PlaneNormal: Vector,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
+	static LinePlaneIntersection(LineStart: Vector,LineEnd: Vector,APlane: Plane,T?: number,Intersection?: Vector): {T: number, Intersection: Vector, $: boolean};
+	static LinearColorLerpUsingHSV(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
+	static LinearColorLerp(A: LinearColor,B: LinearColor,Alpha: number): LinearColor;
+	static LinearColor_Yellow(): LinearColor;
+	static LinearColor_White(): LinearColor;
+	static LinearColor_Transparent(): LinearColor;
+	static LinearColor_ToRGBE(InLinearColor: LinearColor): Color;
+	static LinearColor_ToNewOpacity(InColor: LinearColor,InOpacity: number): LinearColor;
+	static LinearColor_SetTemperature(InOutColor?: LinearColor,InTemperature?: number): {InOutColor: LinearColor};
+	static LinearColor_SetRGBA(InOutColor?: LinearColor,R?: number,G?: number,B?: number,A?: number): {InOutColor: LinearColor};
+	static LinearColor_SetRandomHue(InOutColor?: LinearColor): {InOutColor: LinearColor};
+	static LinearColor_SetFromSRGB(InOutColor?: LinearColor,InSRGB?: Color): {InOutColor: LinearColor};
+	static LinearColor_SetFromPow22(InOutColor?: LinearColor,InColor?: Color): {InOutColor: LinearColor};
+	static LinearColor_SetFromHSV(InOutColor?: LinearColor,H?: number,S?: number,V?: number,A?: number): {InOutColor: LinearColor};
+	static LinearColor_Set(InOutColor?: LinearColor,InColor?: LinearColor): {InOutColor: LinearColor};
+	static LinearColor_Red(): LinearColor;
+	static LinearColor_QuantizeRound(InColor: LinearColor): Color;
+	static LinearColor_Quantize(InColor: LinearColor): Color;
+	static LinearColor_IsNearEqual(A: LinearColor,B: LinearColor,Tolerance: number): boolean;
+	static LinearColor_Green(): LinearColor;
+	static LinearColor_Gray(): LinearColor;
+	static LinearColor_GetMin(InColor: LinearColor): number;
+	static LinearColor_GetMax(InColor: LinearColor): number;
+	static LinearColor_GetLuminance(InColor: LinearColor): number;
+	static LinearColor_Distance(C1: LinearColor,C2: LinearColor): number;
+	static LinearColor_Desaturated(InColor: LinearColor,InDesaturation: number): LinearColor;
+	static LinearColor_Blue(): LinearColor;
+	static LinearColor_Black(): LinearColor;
+	static LessLess_VectorRotator(A: Vector,B: Rotator): Vector;
+	static LessEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static LessEqual_IntInt(A: number,B: number): boolean;
+	static LessEqual_Int64Int64(A: any,B: any): boolean;
+	static LessEqual_FloatFloat(A: number,B: number): boolean;
+	static LessEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static LessEqual_ByteByte(A: number,B: number): boolean;
+	static Less_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static Less_IntInt(A: number,B: number): boolean;
+	static Less_Int64Int64(A: any,B: any): boolean;
+	static Less_FloatFloat(A: number,B: number): boolean;
+	static Less_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static Less_ByteByte(A: number,B: number): boolean;
+	static Lerp(A: number,B: number,Alpha: number): number;
+	static IsZero2D(A: Vector2D): boolean;
+	static IsPointInBoxWithTransform(Point: Vector,BoxWorldTransform: Transform,BoxExtent: Vector): boolean;
+	static IsPointInBox(Point: Vector,BoxOrigin: Vector,BoxExtent: Vector): boolean;
+	static IsNearlyZero2D(A: Vector2D,Tolerance: number): boolean;
+	static IsMorning(A: DateTime): boolean;
+	static IsLeapYear(Year: number): boolean;
+	static IsAfternoon(A: DateTime): boolean;
+	static InvertTransform(T: Transform): Transform;
+	static InverseTransformRotation(T: Transform,Rotation: Rotator): Rotator;
+	static InverseTransformLocation(T: Transform,Location: Vector): Vector;
+	static InverseTransformDirection(T: Transform,Direction: Vector): Vector;
+	static InRange_IntInt(Value: number,Min: number,Max: number,InclusiveMin: boolean,InclusiveMax: boolean): boolean;
+	static InRange_Int64Int64(Value: any,Min: any,Max: any,InclusiveMin: boolean,InclusiveMax: boolean): boolean;
+	static InRange_FloatFloat(Value: number,Min: number,Max: number,InclusiveMin: boolean,InclusiveMax: boolean): boolean;
+	static Hypotenuse(Width: number,Height: number): number;
+	static HSVToRGBLinear(HSV: LinearColor): LinearColor;
+	static HSVToRGB_Vector(HSV: LinearColor,RGB?: LinearColor): {RGB: LinearColor};
+	static HSVToRGB(H: number,S: number,V: number,A: number): LinearColor;
+	static GridSnap_Float(Location: number,GridSize: number): number;
+	static GreaterGreater_VectorRotator(A: Vector,B: Rotator): Vector;
+	static GreaterEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static GreaterEqual_IntInt(A: number,B: number): boolean;
+	static GreaterEqual_Int64Int64(A: any,B: any): boolean;
+	static GreaterEqual_FloatFloat(A: number,B: number): boolean;
+	static GreaterEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static GreaterEqual_ByteByte(A: number,B: number): boolean;
+	static Greater_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static Greater_IntInt(A: number,B: number): boolean;
+	static Greater_Int64Int64(A: any,B: any): boolean;
+	static Greater_FloatFloat(A: number,B: number): boolean;
+	static Greater_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static Greater_ByteByte(A: number,B: number): boolean;
+	static GetYear(A: DateTime): number;
+	static GetYawPitchFromVector(InVec: Vector,Yaw?: number,Pitch?: number): {Yaw: number, Pitch: number};
+	static GetVectorArrayAverage(Vectors: Vector[]): Vector;
+	static GetUpVector(InRot: Rotator): Vector;
+	static GetTotalSeconds(A: Timespan): number;
+	static GetTotalMinutes(A: Timespan): number;
+	static GetTotalMilliseconds(A: Timespan): number;
+	static GetTotalHours(A: Timespan): number;
+	static GetTotalDays(A: Timespan): number;
+	static GetTimeOfDay(A: DateTime): Timespan;
+	static GetTAU(): number;
+	static GetSlopeDegreeAngles(MyRightYAxis: Vector,FloorNormal: Vector,UpVector: Vector,OutSlopePitchDegreeAngle?: number,OutSlopeRollDegreeAngle?: number): {OutSlopePitchDegreeAngle: number, OutSlopeRollDegreeAngle: number};
+	static GetSeconds(A: Timespan): number;
+	static GetSecond(A: DateTime): number;
+	static GetRotated2D(A: Vector2D,AngleDeg: number): Vector2D;
+	static GetRightVector(InRot: Rotator): Vector;
+	static GetReflectionVector(Direction: Vector,SurfaceNormal: Vector): Vector;
+	static GetPointDistanceToSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): number;
+	static GetPointDistanceToLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): number;
+	static GetPI(): number;
+	static GetMonth(A: DateTime): number;
+	static GetMinutes(A: Timespan): number;
+	static GetMinute(A: DateTime): number;
+	static GetMinElement(A: Vector): number;
+	static GetMin2D(A: Vector2D): number;
+	static GetMilliseconds(A: Timespan): number;
+	static GetMillisecond(A: DateTime): number;
+	static GetMaxElement(A: Vector): number;
+	static GetMax2D(A: Vector2D): number;
+	static GetHours(A: Timespan): number;
+	static GetHour12(A: DateTime): number;
+	static GetHour(A: DateTime): number;
+	static GetForwardVector(InRot: Rotator): Vector;
+	static GetDuration(A: Timespan): Timespan;
+	static GetDirectionUnitVector(From: Vector,To: Vector): Vector;
+	static GetDays(A: Timespan): number;
+	static GetDayOfYear(A: DateTime): number;
+	static GetDay(A: DateTime): number;
+	static GetDate(A: DateTime): DateTime;
+	static GetAzimuthAndElevation(InDirection: Vector,ReferenceFrame: Transform,Azimuth?: number,Elevation?: number): {Azimuth: number, Elevation: number};
+	static GetAxes(A: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
+	static GetAbsMax2D(A: Vector2D): number;
+	static GetAbs2D(A: Vector2D): Vector2D;
+	static FTruncVector(InVector: Vector): IntVector;
+	static FTrunc64(A: number): any;
+	static FTrunc(A: number): number;
+	static FromSeconds(Seconds: number): Timespan;
+	static FromMinutes(Minutes: number): Timespan;
+	static FromMilliseconds(Milliseconds: number): Timespan;
+	static FromHours(Hours: number): Timespan;
+	static FromDays(Days: number): Timespan;
+	static Fraction(A: number): number;
+	static FMod(Dividend: number,Divisor: number,Remainder?: number): {Remainder: number, $: number};
+	static FMin(A: number,B: number): number;
+	static FMax(A: number,B: number): number;
+	static FloatSpringInterp(Current: number,Target: number,SpringState?: FloatSpringState,Stiffness?: number,CriticalDampingFactor?: number,DeltaTime?: number,Mass?: number): {SpringState: FloatSpringState, $: number};
+	static FixedTurn(InCurrent: number,InDesired: number,InDeltaRate: number): number;
+	static FInterpTo_Constant(Current: number,Target: number,DeltaTime: number,InterpSpeed: number): number;
+	static FInterpTo(Current: number,Target: number,DeltaTime: number,InterpSpeed: number): number;
+	static FInterpEaseInOut(A: number,B: number,Alpha: number,Exponent: number): number;
+	static FindNearestPointsOnLineSegments(Segment1Start: Vector,Segment1End: Vector,Segment2Start: Vector,Segment2End: Vector,Segment1Point?: Vector,Segment2Point?: Vector): {Segment1Point: Vector, Segment2Point: Vector};
+	static FindLookAtRotation(Start: Vector,Target: Vector): Rotator;
+	static FindClosestPointOnSegment(Point: Vector,SegmentStart: Vector,SegmentEnd: Vector): Vector;
+	static FindClosestPointOnLine(Point: Vector,LineOrigin: Vector,LineDirection: Vector): Vector;
+	static FFloor64(A: number): any;
+	static FFloor(A: number): number;
+	static FClamp(Value: number,Min: number,Max: number): number;
+	static FCeil64(A: number): any;
+	static FCeil(A: number): number;
+	static Exp(A: number): number;
+	static EqualExactly_VectorVector(A: Vector,B: Vector): boolean;
+	static EqualExactly_Vector4Vector4(A: Vector4,B: Vector4): boolean;
+	static EqualExactly_Vector2DVector2D(A: Vector2D,B: Vector2D): boolean;
+	static EqualEqual_VectorVector(A: Vector,B: Vector,ErrorTolerance: number): boolean;
+	static EqualEqual_Vector4Vector4(A: Vector4,B: Vector4,ErrorTolerance: number): boolean;
+	static EqualEqual_Vector2DVector2D(A: Vector2D,B: Vector2D,ErrorTolerance: number): boolean;
+	static EqualEqual_TransformTransform(A: Transform,B: Transform): boolean;
+	static EqualEqual_TimespanTimespan(A: Timespan,B: Timespan): boolean;
+	static EqualEqual_RotatorRotator(A: Rotator,B: Rotator,ErrorTolerance: number): boolean;
+	static EqualEqual_QuatQuat(A: Quat,B: Quat,Tolerance: number): boolean;
+	static EqualEqual_ObjectObject(A: UObject,B: UObject): boolean;
+	static EqualEqual_NameName(A: string,B: string): boolean;
+	static EqualEqual_LinearColorLinearColor(A: LinearColor,B: LinearColor): boolean;
+	static EqualEqual_IntInt(A: number,B: number): boolean;
+	static EqualEqual_Int64Int64(A: any,B: any): boolean;
+	static EqualEqual_FloatFloat(A: number,B: number): boolean;
+	static EqualEqual_DateTimeDateTime(A: DateTime,B: DateTime): boolean;
+	static EqualEqual_ClassClass(A: UnrealEngineClass,B: UnrealEngineClass): boolean;
+	static EqualEqual_ByteByte(A: number,B: number): boolean;
+	static EqualEqual_BoolBool(A: boolean,B: boolean): boolean;
+	static Ease(A: number,B: number,Alpha: number,EasingFunc: EEasingFunc,BlendExp: number,Steps: number): number;
+	static DotProduct2D(A: Vector2D,B: Vector2D): number;
+	static Dot_VectorVector(A: Vector,B: Vector): number;
+	static Divide_VectorVector(A: Vector,B: Vector): Vector;
+	static Divide_VectorInt(A: Vector,B: number): Vector;
+	static Divide_VectorFloat(A: Vector,B: number): Vector;
+	static Divide_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static Divide_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static Divide_Vector2DFloat(A: Vector2D,B: number): Vector2D;
+	static Divide_TimespanFloat(A: Timespan,Scalar: number): Timespan;
+	static Divide_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static Divide_IntInt(A: number,B: number): number;
+	static Divide_Int64Int64(A: any,B: any): any;
+	static Divide_FloatFloat(A: number,B: number): number;
+	static Divide_ByteByte(A: number,B: number): number;
+	static DistanceSquared2D(v1: Vector2D,v2: Vector2D): number;
+	static Distance2D(v1: Vector2D,v2: Vector2D): number;
+	static DegTan(A: number): number;
+	static DegSin(A: number): number;
+	static DegreesToRadians(A: number): number;
+	static DegCos(A: number): number;
+	static DegAtan2(A: number,B: number): number;
+	static DegAtan(A: number): number;
+	static DegAsin(A: number): number;
+	static DegAcos(A: number): number;
+	static DaysInYear(Year: number): number;
+	static DaysInMonth(Year: number,Month: number): number;
+	static DateTimeMinValue(): DateTime;
+	static DateTimeMaxValue(): DateTime;
+	static DateTimeFromString(DateTimeString: string,Result?: DateTime): {Result: DateTime, $: boolean};
+	static DateTimeFromIsoString(IsoString: string,Result?: DateTime): {Result: DateTime, $: boolean};
+	static CrossProduct2D(A: Vector2D,B: Vector2D): number;
+	static Cross_VectorVector(A: Vector,B: Vector): Vector;
+	static CreateVectorFromYawPitch(Yaw: number,Pitch: number,Length: number): Vector;
+	static Cos(A: number): number;
+	static ConvertTransformToRelative(Transform: Transform,ParentTransform: Transform): Transform;
+	static Conv_VectorToVector2D(InVector: Vector): Vector2D;
+	static Conv_VectorToTransform(InLocation: Vector): Transform;
+	static Conv_VectorToRotator(InVec: Vector): Rotator;
+	static Conv_VectorToQuaterion(InVec: Vector): Quat;
+	static Conv_VectorToLinearColor(InVec: Vector): LinearColor;
+	static Conv_Vector4ToVector(InVector4: Vector4): Vector;
+	static Conv_Vector4ToRotator(InVec: Vector4): Rotator;
+	static Conv_Vector4ToQuaterion(InVec: Vector4): Quat;
+	static Conv_Vector2DToVector(InVector2D: Vector2D,Z: number): Vector;
+	static Conv_Vector2DToIntPoint(InVector2D: Vector2D): IntPoint;
+	static Conv_RotatorToVector(InRot: Rotator): Vector;
+	static Conv_RotatorToTransform(InRotator: Rotator): Transform;
+	static Conv_MatrixToTransform(InMatrix: Matrix): Transform;
+	static Conv_MatrixToRotator(InMatrix: Matrix): Rotator;
+	static Conv_LinearColorToVector(InLinearColor: LinearColor): Vector;
+	static Conv_LinearColorToColor(InLinearColor: LinearColor,InUseSRGB: boolean): Color;
+	static Conv_IntVectorToVector(InIntVector: IntVector): Vector;
+	static Conv_IntToIntVector(inInt: number): IntVector;
+	static Conv_IntToInt64(inInt: number): any;
+	static Conv_IntToFloat(inInt: number): number;
+	static Conv_IntToByte(inInt: number): number;
+	static Conv_IntToBool(inInt: number): boolean;
+	static Conv_FloatToVector(InFloat: number): Vector;
+	static Conv_FloatToLinearColor(InFloat: number): LinearColor;
+	static Conv_ColorToLinearColor(InColor: Color): LinearColor;
+	static Conv_ByteToInt(InByte: number): number;
+	static Conv_ByteToFloat(InByte: number): number;
+	static Conv_BoolToInt(InBool: boolean): number;
+	static Conv_BoolToFloat(InBool: boolean): number;
+	static Conv_BoolToByte(InBool: boolean): number;
+	static ComposeTransforms(A: Transform,B: Transform): Transform;
+	static ComposeRotators(A: Rotator,B: Rotator): Rotator;
+	static ClassIsChildOf(TestClass: UnrealEngineClass,ParentClass: UnrealEngineClass): boolean;
+	static ClampVectorSize(A: Vector,Min: number,Max: number): Vector;
+	static ClampInt64(Value: any,Min: any,Max: any): any;
+	static ClampAxis(Angle: number): number;
+	static ClampAxes2D(A: Vector2D,MinAxisVal: number,MaxAxisVal: number): Vector2D;
+	static ClampAngle(AngleDegrees: number,MinAngleDegrees: number,MaxAngleDegrees: number): number;
+	static Clamp(Value: number,Min: number,Max: number): number;
+	static CInterpTo(Current: LinearColor,Target: LinearColor,DeltaTime: number,InterpSpeed: number): LinearColor;
+	static BreakVector4(InVec: Vector4,X?: number,Y?: number,Z?: number,W?: number): {X: number, Y: number, Z: number, W: number};
+	static BreakVector2D(InVec: Vector2D,X?: number,Y?: number): {X: number, Y: number};
+	static BreakVector(InVec: Vector,X?: number,Y?: number,Z?: number): {X: number, Y: number, Z: number};
+	static BreakTransform(InTransform: Transform,Location?: Vector,Rotation?: Rotator,Scale?: Vector): {Location: Vector, Rotation: Rotator, Scale: Vector};
+	static BreakTimespan2(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,FractionNano?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, FractionNano: number};
+	static BreakTimespan(InTimespan: Timespan,Days?: number,Hours?: number,Minutes?: number,Seconds?: number,Milliseconds?: number): {Days: number, Hours: number, Minutes: number, Seconds: number, Milliseconds: number};
+	static BreakRotIntoAxes(InRot: Rotator,X?: Vector,Y?: Vector,Z?: Vector): {X: Vector, Y: Vector, Z: Vector};
+	static BreakRotator(InRot: Rotator,Roll?: number,Pitch?: number,Yaw?: number): {Roll: number, Pitch: number, Yaw: number};
+	static BreakRandomStream(InRandomStream: RandomStream,InitialSeed?: number): {InitialSeed: number};
+	static BreakQualifiedFrameTime(InFrameTime: QualifiedFrameTime,Frame?: FrameNumber,FrameRate?: FrameRate,SubFrame?: number): {Frame: FrameNumber, FrameRate: FrameRate, SubFrame: number};
+	static BreakFrameRate(InFrameRate: FrameRate,Numerator?: number,Denominator?: number): {Numerator: number, Denominator: number};
+	static BreakDateTime(InDateTime: DateTime,Year?: number,Month?: number,Day?: number,Hour?: number,Minute?: number,Second?: number,Millisecond?: number): {Year: number, Month: number, Day: number, Hour: number, Minute: number, Second: number, Millisecond: number};
+	static BreakColor(InColor: LinearColor,R?: number,G?: number,B?: number,A?: number): {R: number, G: number, B: number, A: number};
+	static BooleanXOR(A: boolean,B: boolean): boolean;
+	static BooleanOR(A: boolean,B: boolean): boolean;
+	static BooleanNOR(A: boolean,B: boolean): boolean;
+	static BooleanNAND(A: boolean,B: boolean): boolean;
+	static BooleanAND(A: boolean,B: boolean): boolean;
+	static BMin(A: number,B: number): number;
+	static BMax(A: number,B: number): number;
+	static Atan2(A: number,B: number): number;
+	static Atan(A: number): number;
+	static Asin(A: number): number;
+	static And_IntInt(A: number,B: number): number;
+	static And_Int64Int64(A: any,B: any): any;
+	static Add_VectorVector(A: Vector,B: Vector): Vector;
+	static Add_VectorInt(A: Vector,B: number): Vector;
+	static Add_VectorFloat(A: Vector,B: number): Vector;
+	static Add_Vector4Vector4(A: Vector4,B: Vector4): Vector4;
+	static Add_Vector2DVector2D(A: Vector2D,B: Vector2D): Vector2D;
+	static Add_Vector2DFloat(A: Vector2D,B: number): Vector2D;
+	static Add_TimespanTimespan(A: Timespan,B: Timespan): Timespan;
+	static Add_QuatQuat(A: Quat,B: Quat): Quat;
+	static Add_LinearColorLinearColor(A: LinearColor,B: LinearColor): LinearColor;
+	static Add_IntInt(A: number,B: number): number;
+	static Add_Int64Int64(A: any,B: any): any;
+	static Add_FloatFloat(A: number,B: number): number;
+	static Add_DateTimeTimespan(A: DateTime,B: Timespan): DateTime;
+	static Add_ByteByte(A: number,B: number): number;
+	static Acos(A: number): number;
+	static Abs_Int64(A: any): any;
+	static Abs_Int(A: number): number;
+	static Abs(A: number): number;
+	static C(Other: UObject | any): KismetMathLibrary;
 }
 
-declare class MaterialExpressionNormalize extends MaterialExpression { 
-	VectorInput: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionNormalize;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionNormalize;
-	static GetDefaultObject(): MaterialExpressionNormalize;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionNormalize;
-	static C(Other: UObject | any): MaterialExpressionNormalize;
+declare class KismetNodeHelperLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetNodeHelperLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetNodeHelperLibrary;
+	static GetDefaultObject(): KismetNodeHelperLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetNodeHelperLibrary;
+	static MarkBit(Data?: number,index?: number): {Data: number};
+	static HasUnmarkedBit(Data: number,NumBits: number): boolean;
+	static HasMarkedBit(Data: number,NumBits: number): boolean;
+	static GetValidValue(Enum: Enum,EnumeratorValue: number): number;
+	static GetUnmarkedBit(Data: number,StartIdx: number,NumBits: number,bRandom: boolean): number;
+	static GetRandomUnmarkedBit(Data: number,StartIdx: number,NumBits: number): number;
+	static GetFirstUnmarkedBit(Data: number,StartIdx: number,NumBits: number): number;
+	static GetEnumeratorValueFromIndex(Enum: Enum,EnumeratorIndex: number): number;
+	static GetEnumeratorUserFriendlyName(Enum: Enum,EnumeratorValue: number): string;
+	static GetEnumeratorName(Enum: Enum,EnumeratorValue: number): string;
+	static ClearBit(Data?: number,index?: number): {Data: number};
+	static ClearAllBits(Data?: number): {Data: number};
+	static BitIsMarked(Data: number,index: number): boolean;
+	static C(Other: UObject | any): KismetNodeHelperLibrary;
 }
 
-declare class MaterialExpressionObjectBounds extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionObjectBounds;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectBounds;
-	static GetDefaultObject(): MaterialExpressionObjectBounds;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectBounds;
-	static C(Other: UObject | any): MaterialExpressionObjectBounds;
+declare class KismetRenderingLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetRenderingLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetRenderingLibrary;
+	static GetDefaultObject(): KismetRenderingLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetRenderingLibrary;
+	static RenderTargetCreateStaticTexture2DEditorOnly(RenderTarget: TextureRenderTarget2D,Name: string,CompressionSettings: TextureCompressionSettings,MipSettings: TextureMipGenSettings): Texture2D;
+	static ReleaseRenderTarget2D(TextureRenderTarget: TextureRenderTarget2D): void;
+	static ReadRenderTargetUV(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): Color;
+	static ReadRenderTargetRawUV(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,U: number,V: number): LinearColor;
+	static ReadRenderTargetRawPixel(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): LinearColor;
+	static ReadRenderTargetPixel(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,X: number,Y: number): Color;
+	static MakeSkinWeightInfo(Bone0: number,Weight0: number,Bone1: number,Weight1: number,Bone2: number,Weight2: number,Bone3: number,Weight3: number): SkelMeshSkinWeightInfo;
+	static ImportFileAsTexture2D(WorldContextObject: UObject,Filename: string): Texture2D;
+	static ImportBufferAsTexture2D(WorldContextObject: UObject,Buffer: number[]): Texture2D;
+	static ExportTexture2D(WorldContextObject: UObject,Texture: Texture2D,FilePath: string,Filename: string): void;
+	static ExportRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,FilePath: string,Filename: string): void;
+	static EndDrawCanvasToRenderTarget(WorldContextObject: UObject,Context: DrawToRenderTargetContext): void;
+	static DrawMaterialToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Material: MaterialInterface): void;
+	static CreateRenderTarget2D(WorldContextObject: UObject,Width: number,Height: number,Format: ETextureRenderTargetFormat): TextureRenderTarget2D;
+	static ConvertRenderTargetToTexture2DEditorOnly(WorldContextObject: UObject,RenderTarget: TextureRenderTarget2D,Texture: Texture2D): void;
+	static ClearRenderTarget2D(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,ClearColor: LinearColor): void;
+	static BreakSkinWeightInfo(InWeight: SkelMeshSkinWeightInfo,Bone0?: number,Weight0?: number,Bone1?: number,Weight1?: number,Bone2?: number,Weight2?: number,Bone3?: number,Weight3?: number): {Bone0: number, Weight0: number, Bone1: number, Weight1: number, Bone2: number, Weight2: number, Bone3: number, Weight3: number};
+	static BeginDrawCanvasToRenderTarget(WorldContextObject: UObject,TextureRenderTarget: TextureRenderTarget2D,Canvas?: Canvas,Size?: Vector2D,Context?: DrawToRenderTargetContext): {Canvas: Canvas, Size: Vector2D, Context: DrawToRenderTargetContext};
+	static C(Other: UObject | any): KismetRenderingLibrary;
 }
 
-declare class MaterialExpressionObjectOrientation extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionObjectOrientation;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectOrientation;
-	static GetDefaultObject(): MaterialExpressionObjectOrientation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectOrientation;
-	static C(Other: UObject | any): MaterialExpressionObjectOrientation;
+declare type ESearchCase = 'CaseSensitive' | 'IgnoreCase' | 'ESearchCase_MAX';
+declare var ESearchCase : { CaseSensitive:'CaseSensitive',IgnoreCase:'IgnoreCase',ESearchCase_MAX:'ESearchCase_MAX', };
+declare type ESearchDir = 'FromStart' | 'FromEnd' | 'ESearchDir_MAX';
+declare var ESearchDir : { FromStart:'FromStart',FromEnd:'FromEnd',ESearchDir_MAX:'ESearchDir_MAX', };
+declare class KismetStringLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetStringLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetStringLibrary;
+	static GetDefaultObject(): KismetStringLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetStringLibrary;
+	static TrimTrailing(SourceString: string): string;
+	static Trim(SourceString: string): string;
+	static ToUpper(SourceString: string): string;
+	static ToLower(SourceString: string): string;
+	static TimeSecondsToString(InSeconds: number): string;
+	static StartsWith(SourceString: string,InPrefix: string,SearchCase: ESearchCase): boolean;
+	static Split(SourceString: string,InStr: string,LeftS?: string,RightS?: string,SearchCase?: ESearchCase,SearchDir?: ESearchDir): {LeftS: string, RightS: string, $: boolean};
+	static RightPad(SourceString: string,ChCount: number): string;
+	static RightChop(SourceString: string,Count: number): string;
+	static Right(SourceString: string,Count: number): string;
+	static Reverse(SourceString: string): string;
+	static ReplaceInline(SourceString?: string,SearchText?: string,ReplacementText?: string,SearchCase?: ESearchCase): {SourceString: string, $: number};
+	static Replace(SourceString: string,From: string,To: string,SearchCase: ESearchCase): string;
+	static ParseIntoArray(SourceString: string,Delimiter: string,CullEmptyStrings: boolean): string[];
+	static NotEqual_StrStr(A: string,B: string): boolean;
+	static NotEqual_StriStri(A: string,B: string): boolean;
+	static Mid(SourceString: string,Start: number,Count: number): string;
+	static MatchesWildcard(SourceString: string,wildcard: string,SearchCase: ESearchCase): boolean;
+	static Len(S: string): number;
+	static LeftPad(SourceString: string,ChCount: number): string;
+	static LeftChop(SourceString: string,Count: number): string;
+	static Left(SourceString: string,Count: number): string;
+	static JoinStringArray(SourceArray: string[],Separator: string): string;
+	static IsNumeric(SourceString: string): boolean;
+	static GetSubstring(SourceString: string,StartIndex: number,Length: number): string;
+	static GetCharacterAsNumber(SourceString: string,index: number): number;
+	static GetCharacterArrayFromString(SourceString: string): string[];
+	static FindSubstring(SearchIn: string,Substring: string,bUseCase: boolean,bSearchFromEnd: boolean,StartPosition: number): number;
+	static EqualEqual_StrStr(A: string,B: string): boolean;
+	static EqualEqual_StriStri(A: string,B: string): boolean;
+	static EndsWith(SourceString: string,InSuffix: string,SearchCase: ESearchCase): boolean;
+	static CullArray(SourceString: string,inArray?: string[]): {inArray: string[], $: number};
+	static Conv_VectorToString(InVec: Vector): string;
+	static Conv_Vector2dToString(InVec: Vector2D): string;
+	static Conv_TransformToString(InTrans: Transform): string;
+	static Conv_StringToVector2D(inString: string,OutConvertedVector2D?: Vector2D,OutIsValid?: boolean): {OutConvertedVector2D: Vector2D, OutIsValid: boolean};
+	static Conv_StringToVector(inString: string,OutConvertedVector?: Vector,OutIsValid?: boolean): {OutConvertedVector: Vector, OutIsValid: boolean};
+	static Conv_StringToRotator(inString: string,OutConvertedRotator?: Rotator,OutIsValid?: boolean): {OutConvertedRotator: Rotator, OutIsValid: boolean};
+	static Conv_StringToName(inString: string): string;
+	static Conv_StringToInt(inString: string): number;
+	static Conv_StringToFloat(inString: string): number;
+	static Conv_StringToColor(inString: string,OutConvertedColor?: LinearColor,OutIsValid?: boolean): {OutConvertedColor: LinearColor, OutIsValid: boolean};
+	static Conv_RotatorToString(InRot: Rotator): string;
+	static Conv_ObjectToString(InObj: UObject): string;
+	static Conv_NameToString(InName: string): string;
+	static Conv_IntVectorToString(InIntVec: IntVector): string;
+	static Conv_IntToString(inInt: number): string;
+	static Conv_FloatToString(InFloat: number): string;
+	static Conv_ColorToString(InColor: LinearColor): string;
+	static Conv_ByteToString(InByte: number): string;
+	static Conv_BoolToString(InBool: boolean): string;
+	static Contains(SearchIn: string,Substring: string,bUseCase: boolean,bSearchFromEnd: boolean): boolean;
+	static Concat_StrStr(A: string,B: string): string;
+	static BuildString_Vector2d(AppendTo: string,Prefix: string,InVector2D: Vector2D,Suffix: string): string;
+	static BuildString_Vector(AppendTo: string,Prefix: string,InVector: Vector,Suffix: string): string;
+	static BuildString_Rotator(AppendTo: string,Prefix: string,InRot: Rotator,Suffix: string): string;
+	static BuildString_Object(AppendTo: string,Prefix: string,InObj: UObject,Suffix: string): string;
+	static BuildString_Name(AppendTo: string,Prefix: string,InName: string,Suffix: string): string;
+	static BuildString_IntVector(AppendTo: string,Prefix: string,InIntVector: IntVector,Suffix: string): string;
+	static BuildString_Int(AppendTo: string,Prefix: string,inInt: number,Suffix: string): string;
+	static BuildString_Float(AppendTo: string,Prefix: string,InFloat: number,Suffix: string): string;
+	static BuildString_Color(AppendTo: string,Prefix: string,InColor: LinearColor,Suffix: string): string;
+	static BuildString_Bool(AppendTo: string,Prefix: string,InBool: boolean,Suffix: string): string;
+	static C(Other: UObject | any): KismetStringLibrary;
 }
 
-declare class MaterialExpressionObjectPositionWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionObjectPositionWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectPositionWS;
-	static GetDefaultObject(): MaterialExpressionObjectPositionWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectPositionWS;
-	static C(Other: UObject | any): MaterialExpressionObjectPositionWS;
+declare class KismetStringTableLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetStringTableLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetStringTableLibrary;
+	static GetDefaultObject(): KismetStringTableLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetStringTableLibrary;
+	static IsRegisteredTableId(TableId: string): boolean;
+	static IsRegisteredTableEntry(TableId: string,Key: string): boolean;
+	static GetTableNamespace(TableId: string): string;
+	static GetTableEntrySourceString(TableId: string,Key: string): string;
+	static GetTableEntryMetaData(TableId: string,Key: string,MetaDataId: string): string;
+	static GetRegisteredStringTables(): string[];
+	static GetMetaDataIdsFromStringTableEntry(TableId: string,Key: string): string[];
+	static GetKeysFromStringTable(TableId: string): string[];
+	static C(Other: UObject | any): KismetStringTableLibrary;
 }
 
-declare class MaterialExpressionObjectRadius extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionObjectRadius;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectRadius;
-	static GetDefaultObject(): MaterialExpressionObjectRadius;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectRadius;
-	static C(Other: UObject | any): MaterialExpressionObjectRadius;
+declare class UserActivity { 
+	ActionName: string;
+	clone() : UserActivity;
+	static C(Other: UObject | any): UserActivity;
+	SetUserActivity(): void;
+	static SetUserActivity(UserActivity: UserActivity): void;
 }
 
-declare class MaterialExpressionOneMinus extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionOneMinus;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionOneMinus;
-	static GetDefaultObject(): MaterialExpressionOneMinus;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionOneMinus;
-	static C(Other: UObject | any): MaterialExpressionOneMinus;
+declare class KismetSystemLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetSystemLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetSystemLibrary;
+	static GetDefaultObject(): KismetSystemLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetSystemLibrary;
+	static UnregisterForRemoteNotifications(): void;
+	static UnloadPrimaryAssetList(PrimaryAssetIdList: PrimaryAssetId[]): void;
+	static UnloadPrimaryAsset(PrimaryAssetId: PrimaryAssetId): void;
+	static TransactObject(UObject: UObject): void;
+	static StackTrace(): void;
+	static SphereTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static SphereTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static SphereTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static SphereTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static SphereOverlapComponents(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static SphereOverlapActors(WorldContextObject: UObject,SpherePos: Vector,SphereRadius: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static ShowPlatformSpecificLeaderboardScreen(CategoryName: string): void;
+	static ShowPlatformSpecificAchievementsScreen(SpecificPlayer: PlayerController): void;
+	static ShowInterstitialAd(): void;
+	static ShowAdBanner(AdIdIndex: number,bShowOnBottomOfScreen: boolean): void;
+	static SetWindowTitle(Title: string): void;
+	static SetVolumeButtonsHandledBySystem(bEnabled: boolean): void;
+	static SetVectorPropertyByName(UObject: UObject,PropertyName: string,Value: Vector): void;
+	static SetUserActivity(UserActivity: UserActivity): void;
+	static SetTransformPropertyByName(UObject: UObject,PropertyName: string,Value: Transform): void;
+	static SetTextPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetSuppressViewportTransitionMessage(WorldContextObject: UObject,bState: boolean): void;
+	static SetStructurePropertyByName(UObject: UObject,PropertyName: string,Value: GenericStruct): void;
+	static SetStringPropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetSoftObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
+	static SetSoftClassPropertyByName(UObject: UObject,PropertyName: string,Value: Class): void;
+	static SetRotatorPropertyByName(UObject: UObject,PropertyName: string,Value: Rotator): void;
+	static SetObjectPropertyByName(UObject: UObject,PropertyName: string,Value: UObject): void;
+	static SetNamePropertyByName(UObject: UObject,PropertyName: string,Value: string): void;
+	static SetLinearColorPropertyByName(UObject: UObject,PropertyName: string,Value: LinearColor): void;
+	static SetIntPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetInt64PropertyByName(UObject: UObject,PropertyName: string,Value: any): void;
+	static SetFloatPropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetCollisionProfileNameProperty(UObject: UObject,PropertyName: string,Value: CollisionProfileName): void;
+	static SetClassPropertyByName(UObject: UObject,PropertyName: string,Value: UnrealEngineClass): void;
+	static SetBytePropertyByName(UObject: UObject,PropertyName: string,Value: number): void;
+	static SetBoolPropertyByName(UObject: UObject,PropertyName: string,Value: boolean): void;
+	static RetriggerableDelay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
+	static ResetGamepadAssignmentToController(ControllerId: number): void;
+	static ResetGamepadAssignments(): void;
+	static RegisterForRemoteNotifications(): void;
+	static QuitGame(WorldContextObject: UObject,SpecificPlayer: PlayerController,QuitPreference: EQuitPreference,bIgnorePlatformRestrictions: boolean): void;
+	static PrintWarning(inString: string): void;
+	static PrintText(WorldContextObject: UObject,InText: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	static PrintString(WorldContextObject: UObject,inString: string,bPrintToScreen: boolean,bPrintToLog: boolean,TextColor: LinearColor,Duration: number): void;
+	static NotEqual_SoftObjectReference(A: UObject,B: UObject): boolean;
+	static NotEqual_SoftClassReference(A: Class,B: Class): boolean;
+	static NotEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
+	static NotEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
+	static NormalizeFilename(InFilename: string): string;
+	static MoveComponentTo(Component: SceneComponent,TargetRelativeLocation: Vector,TargetRelativeRotation: Rotator,bEaseOut: boolean,bEaseIn: boolean,OverTime: number,bForceShortestRotationPath: boolean,MoveAction: EMoveComponentAction,LatentInfo: LatentActionInfo): void;
+	static MakeSoftObjectPath(PathString: string): SoftObjectPath;
+	static MakeSoftClassPath(PathString: string): SoftClassPath;
+	static MakeLiteralText(Value: string): string;
+	static MakeLiteralString(Value: string): string;
+	static MakeLiteralName(Value: string): string;
+	static MakeLiteralInt(Value: number): number;
+	static MakeLiteralFloat(Value: number): number;
+	static MakeLiteralByte(Value: number): number;
+	static MakeLiteralBool(Value: boolean): boolean;
+	static LoadInterstitialAd(AdIdIndex: number): void;
+	static LoadAsset_Blocking(Asset: UObject): UObject;
+	static LineTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LineTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LineTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static LineTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LineTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LineTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static LaunchURL(URL: string): void;
+	static K2_UnPauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static K2_UnPauseTimer(UObject: UObject,FunctionName: string): void;
+	static K2_TimerExistsHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_TimerExists(UObject: UObject,FunctionName: string): boolean;
+	static K2_SetTimer(UObject: UObject,FunctionName: string,Time: number,bLooping: boolean): TimerHandle;
+	static K2_PauseTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static K2_PauseTimer(UObject: UObject,FunctionName: string): void;
+	static K2_IsValidTimerHandle(Handle: TimerHandle): boolean;
+	static K2_IsTimerPausedHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_IsTimerPaused(UObject: UObject,FunctionName: string): boolean;
+	static K2_IsTimerActiveHandle(WorldContextObject: UObject,Handle: TimerHandle): boolean;
+	static K2_IsTimerActive(UObject: UObject,FunctionName: string): boolean;
+	static K2_InvalidateTimerHandle(Handle?: TimerHandle): {Handle: TimerHandle, $: TimerHandle};
+	static K2_GetTimerRemainingTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
+	static K2_GetTimerRemainingTime(UObject: UObject,FunctionName: string): number;
+	static K2_GetTimerElapsedTimeHandle(WorldContextObject: UObject,Handle: TimerHandle): number;
+	static K2_GetTimerElapsedTime(UObject: UObject,FunctionName: string): number;
+	static K2_ClearTimerHandle(WorldContextObject: UObject,Handle: TimerHandle): void;
+	static K2_ClearTimer(UObject: UObject,FunctionName: string): void;
+	static K2_ClearAndInvalidateTimerHandle(WorldContextObject: UObject,Handle?: TimerHandle): {Handle: TimerHandle};
+	static IsValidSoftObjectReference(SoftObjectReference: UObject): boolean;
+	static IsValidSoftClassReference(SoftClassReference: Class): boolean;
+	static IsValidPrimaryAssetType(PrimaryAssetType: PrimaryAssetType): boolean;
+	static IsValidPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): boolean;
+	static IsValidClass(Class: UnrealEngineClass): boolean;
+	static IsValid(UObject: UObject): boolean;
+	static IsUnattended(): boolean;
+	static IsStandalone(WorldContextObject: UObject): boolean;
+	static IsServer(WorldContextObject: UObject): boolean;
+	static IsScreensaverEnabled(): boolean;
+	static IsPackagedForDistribution(): boolean;
+	static IsLoggedIn(SpecificPlayer: PlayerController): boolean;
+	static IsInterstitialAdRequested(): boolean;
+	static IsInterstitialAdAvailable(): boolean;
+	static IsDedicatedServer(WorldContextObject: UObject): boolean;
+	static IsControllerAssignedToGamepad(ControllerId: number): boolean;
+	static HideAdBanner(): void;
+	static GetVolumeButtonsHandledBySystem(): boolean;
+	static GetUniqueDeviceId(): string;
+	static GetSupportedFullscreenResolutions(Resolutions?: IntPoint[]): {Resolutions: IntPoint[], $: boolean};
+	static GetSoftObjectReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
+	static GetSoftClassReferenceFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): Class;
+	static GetRenderingMaterialQualityLevel(): number;
+	static GetRenderingDetailMode(): number;
+	static GetProjectSavedDirectory(): string;
+	static GetProjectDirectory(): string;
+	static GetProjectContentDirectory(): string;
+	static GetPrimaryAssetsWithBundleState(RequiredBundles: string[],ExcludedBundles: string[],ValidTypes: PrimaryAssetType[],bForceCurrentState: boolean,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
+	static GetPrimaryAssetIdList(PrimaryAssetType: PrimaryAssetType,OutPrimaryAssetIdList?: PrimaryAssetId[]): {OutPrimaryAssetIdList: PrimaryAssetId[]};
+	static GetPrimaryAssetIdFromSoftObjectReference(SoftObjectReference: UObject): PrimaryAssetId;
+	static GetPrimaryAssetIdFromSoftClassReference(SoftClassReference: Class): PrimaryAssetId;
+	static GetPrimaryAssetIdFromObject(UObject: UObject): PrimaryAssetId;
+	static GetPrimaryAssetIdFromClass(Class: UnrealEngineClass): PrimaryAssetId;
+	static GetPreferredLanguages(): string[];
+	static GetPlatformUserName(): string;
+	static GetPathName(UObject: UObject): string;
+	static GetOuterObject(UObject: UObject): UObject;
+	static GetObjectName(UObject: UObject): string;
+	static GetObjectFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UObject;
+	static GetMinYResolutionForUI(): number;
+	static GetMinYResolutionFor3DView(): number;
+	static GetLocalCurrencySymbol(): string;
+	static GetLocalCurrencyCode(): string;
+	static GetGameTimeInSeconds(WorldContextObject: UObject): number;
+	static GetGamepadControllerName(ControllerId: number): string;
+	static GetGameName(): string;
+	static GetGameBundleId(): string;
+	static GetEngineVersion(): string;
+	static GetDisplayName(UObject: UObject): string;
+	static GetDeviceId(): string;
+	static GetDefaultLocale(): string;
+	static GetDefaultLanguage(): string;
+	static GetCurrentBundleState(PrimaryAssetId: PrimaryAssetId,bForceCurrentState: boolean,OutBundles?: string[]): {OutBundles: string[], $: boolean};
+	static GetConvenientWindowedResolutions(Resolutions?: IntPoint[]): {Resolutions: IntPoint[], $: boolean};
+	static GetConsoleVariableIntValue(VariableName: string): number;
+	static GetConsoleVariableFloatValue(VariableName: string): number;
+	static GetConsoleVariableBoolValue(VariableName: string): boolean;
+	static GetComponentBounds(Component: SceneComponent,Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
+	static GetCommandLine(): string;
+	static GetClassFromPrimaryAssetId(PrimaryAssetId: PrimaryAssetId): UnrealEngineClass;
+	static GetClassDisplayName(Class: UnrealEngineClass): string;
+	static GetAdIDCount(): number;
+	static GetActorListFromComponentList(ComponentList: PrimitiveComponent[],ActorClassFilter: UnrealEngineClass,OutActorList?: Actor[]): {OutActorList: Actor[]};
+	static GetActorBounds(Actor: Actor,Origin?: Vector,BoxExtent?: Vector): {Origin: Vector, BoxExtent: Vector};
+	static ForceCloseAdBanner(): void;
+	static FlushPersistentDebugLines(WorldContextObject: UObject): void;
+	static FlushDebugStrings(WorldContextObject: UObject): void;
+	static ExecuteConsoleCommand(WorldContextObject: UObject,Command: string,SpecificPlayer: PlayerController): void;
+	static EqualEqual_SoftObjectReference(A: UObject,B: UObject): boolean;
+	static EqualEqual_SoftClassReference(A: Class,B: Class): boolean;
+	static EqualEqual_PrimaryAssetType(A: PrimaryAssetType,B: PrimaryAssetType): boolean;
+	static EqualEqual_PrimaryAssetId(A: PrimaryAssetId,B: PrimaryAssetId): boolean;
+	static EndTransaction(): number;
+	static DrawDebugString(WorldContextObject: UObject,TextLocation: Vector,text: string,TestBaseActor: Actor,TextColor: LinearColor,Duration: number): void;
+	static DrawDebugSphere(WorldContextObject: UObject,Center: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugPoint(WorldContextObject: UObject,Position: Vector,Size: number,PointColor: LinearColor,Duration: number): void;
+	static DrawDebugPlane(WorldContextObject: UObject,PlaneCoordinates: Plane,Location: Vector,Size: number,PlaneColor: LinearColor,Duration: number): void;
+	static DrawDebugLine(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugFrustum(WorldContextObject: UObject,FrustumTransform: Transform,FrustumColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugFloatHistoryTransform(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawTransform: Transform,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	static DrawDebugFloatHistoryLocation(WorldContextObject: UObject,FloatHistory: DebugFloatHistory,DrawLocation: Vector,DrawSize: Vector2D,DrawColor: LinearColor,Duration: number): void;
+	static DrawDebugCylinder(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,Segments: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCoordinateSystem(WorldContextObject: UObject,AxisLoc: Vector,AxisRot: Rotator,Scale: number,Duration: number,Thickness: number): void;
+	static DrawDebugConeInDegrees(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCone(WorldContextObject: UObject,Origin: Vector,Direction: Vector,Length: number,AngleWidth: number,AngleHeight: number,NumSides: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCircle(WorldContextObject: UObject,Center: Vector,Radius: number,NumSegments: number,LineColor: LinearColor,Duration: number,Thickness: number,YAxis: Vector,ZAxis: Vector,bDrawAxis: boolean): void;
+	static DrawDebugCapsule(WorldContextObject: UObject,Center: Vector,HalfHeight: number,Radius: number,Rotation: Rotator,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DrawDebugCamera(CameraActor: CameraActor,CameraColor: LinearColor,Duration: number): void;
+	static DrawDebugBox(WorldContextObject: UObject,Center: Vector,Extent: Vector,LineColor: LinearColor,Rotation: Rotator,Duration: number,Thickness: number): void;
+	static DrawDebugArrow(WorldContextObject: UObject,LineStart: Vector,LineEnd: Vector,ArrowSize: number,LineColor: LinearColor,Duration: number,Thickness: number): void;
+	static DoesImplementInterface(TestObject: UObject,Interface: UnrealEngineClass): boolean;
+	static Delay(WorldContextObject: UObject,Duration: number,LatentInfo: LatentActionInfo): void;
+	static CreateCopyForUndoBuffer(ObjectToModify: UObject): void;
+	static ConvertToRelativePath(Filename: string): string;
+	static ConvertToAbsolutePath(Filename: string): string;
+	static Conv_SoftObjPathToSoftObjRef(SoftObjectPath: SoftObjectPath): UObject;
+	static Conv_SoftObjectReferenceToString(SoftObjectReference: UObject): string;
+	static Conv_SoftObjectReferenceToObject(softobject: UObject): UObject;
+	static Conv_SoftClassReferenceToString(SoftClassReference: Class): string;
+	static Conv_SoftClassReferenceToClass(softclass: Class): UnrealEngineClass;
+	static Conv_PrimaryAssetTypeToString(PrimaryAssetType: PrimaryAssetType): string;
+	static Conv_PrimaryAssetIdToString(PrimaryAssetId: PrimaryAssetId): string;
+	static Conv_ObjectToSoftObjectReference(UObject: UObject): UObject;
+	static Conv_ClassToSoftClassReference(Class: UnrealEngineClass): Class;
+	static ControlScreensaver(bAllowScreenSaver: boolean): void;
+	static ComponentOverlapComponents(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static ComponentOverlapActors(Component: PrimitiveComponent,ComponentTransform: Transform,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static CollectGarbage(): void;
+	static CapsuleTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static CapsuleTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,Radius: number,HalfHeight: number,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static CapsuleOverlapComponents(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static CapsuleOverlapActors(WorldContextObject: UObject,CapsulePos: Vector,Radius: number,HalfHeight: number,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static CanLaunchURL(URL: string): boolean;
+	static CancelTransaction(index: number): void;
+	static BreakSoftObjectPath(InSoftObjectPath: SoftObjectPath,PathString?: string): {PathString: string};
+	static BreakSoftClassPath(InSoftClassPath: SoftClassPath,PathString?: string): {PathString: string};
+	static BoxTraceSingleForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BoxTraceSingleByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BoxTraceSingle(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHit?: HitResult,bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHit: HitResult, $: boolean};
+	static BoxTraceMultiForObjects(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ObjectTypes: EObjectTypeQuery[],bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxTraceMultiByProfile(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,ProfileName: string,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxTraceMulti(WorldContextObject: UObject,Start: Vector,End: Vector,HalfSize: Vector,Orientation: Rotator,TraceChannel: ETraceTypeQuery,bTraceComplex: boolean,ActorsToIgnore: Actor[],DrawDebugType: EDrawDebugTrace,OutHits?: HitResult[],bIgnoreSelf?: boolean,TraceColor?: LinearColor,TraceHitColor?: LinearColor,DrawTime?: number): {OutHits: HitResult[], $: boolean};
+	static BoxOverlapComponents(WorldContextObject: UObject,BoxPos: Vector,Extent: Vector,ObjectTypes: EObjectTypeQuery[],ComponentClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutComponents?: PrimitiveComponent[]): {OutComponents: PrimitiveComponent[], $: boolean};
+	static BoxOverlapActors(WorldContextObject: UObject,BoxPos: Vector,BoxExtent: Vector,ObjectTypes: EObjectTypeQuery[],ActorClassFilter: UnrealEngineClass,ActorsToIgnore: Actor[],OutActors?: Actor[]): {OutActors: Actor[], $: boolean};
+	static BeginTransaction(Context: string,Description: string,PrimaryObject: UObject): number;
+	static AddFloatHistorySample(Value: number,FloatHistory: DebugFloatHistory): DebugFloatHistory;
+	static C(Other: UObject | any): KismetSystemLibrary;
 }
 
-declare class MaterialExpressionPanner extends MaterialExpression { 
-	Coordinate: ExpressionInput;
-	Time: ExpressionInput;
-	Speed: ExpressionInput;
-	SpeedX: number;
-	SpeedY: number;
-	ConstCoordinate: any;
-	bFractionalPart: boolean;
-	static Load(ResourceName: string): MaterialExpressionPanner;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPanner;
-	static GetDefaultObject(): MaterialExpressionPanner;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPanner;
-	static C(Other: UObject | any): MaterialExpressionPanner;
-}
-
-declare class MaterialExpressionParticleColor extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleColor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleColor;
-	static GetDefaultObject(): MaterialExpressionParticleColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleColor;
-	static C(Other: UObject | any): MaterialExpressionParticleColor;
-}
-
-declare class MaterialExpressionParticleDirection extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleDirection;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleDirection;
-	static GetDefaultObject(): MaterialExpressionParticleDirection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleDirection;
-	static C(Other: UObject | any): MaterialExpressionParticleDirection;
-}
-
-declare class MaterialExpressionParticleMacroUV extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleMacroUV;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleMacroUV;
-	static GetDefaultObject(): MaterialExpressionParticleMacroUV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleMacroUV;
-	static C(Other: UObject | any): MaterialExpressionParticleMacroUV;
+declare class PolyglotTextData { 
+	Category: ELocalizedTextSourceCategory;
+	NativeCulture: string;
+	Namespace: string;
+	Key: string;
+	NativeString: string;
+	LocalizedStrings: any;
+	bIsMinimalPatch: boolean;
+	CachedText: string;
+	clone() : PolyglotTextData;
+	static C(Other: UObject | any): PolyglotTextData;
+	IsPolyglotDataValid(IsValid?: boolean,ErrorMessage?: string): {IsValid: boolean, ErrorMessage: string};
+	PolyglotDataToText(): string;
+	static IsPolyglotDataValid(PolyglotData: PolyglotTextData,IsValid?: boolean,ErrorMessage?: string): {IsValid: boolean, ErrorMessage: string};
+	static PolyglotDataToText(PolyglotData: PolyglotTextData): string;
 }
 
-declare class MaterialExpressionParticleMotionBlurFade extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleMotionBlurFade;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleMotionBlurFade;
-	static GetDefaultObject(): MaterialExpressionParticleMotionBlurFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleMotionBlurFade;
-	static C(Other: UObject | any): MaterialExpressionParticleMotionBlurFade;
+declare type EFormatArgumentType = 'Int' | 'UInt' | 'Float' | 'Double' | 'Text' | 'Gender' | 'EFormatArgumentType_MAX';
+declare var EFormatArgumentType : { Int:'Int',UInt:'UInt',Float:'Float',Double:'Double',Text:'Text',Gender:'Gender',EFormatArgumentType_MAX:'EFormatArgumentType_MAX', };
+declare type ETextGender = 'Masculine' | 'Feminine' | 'Neuter' | 'ETextGender_MAX';
+declare var ETextGender : { Masculine:'Masculine',Feminine:'Feminine',Neuter:'Neuter',ETextGender_MAX:'ETextGender_MAX', };
+declare class FormatArgumentData { 
+	ArgumentName: string;
+	ArgumentValueType: EFormatArgumentType;
+	ArgumentValue: string;
+	ArgumentValueInt: number;
+	ArgumentValueFloat: number;
+	ArgumentValueGender: ETextGender;
+	clone() : FormatArgumentData;
+	static C(Other: UObject | any): FormatArgumentData;
 }
 
-declare class MaterialExpressionParticlePositionWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticlePositionWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticlePositionWS;
-	static GetDefaultObject(): MaterialExpressionParticlePositionWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticlePositionWS;
-	static C(Other: UObject | any): MaterialExpressionParticlePositionWS;
+declare type ERoundingMode = 'HalfToEven' | 'HalfFromZero' | 'HalfToZero' | 'FromZero' | 'ToZero' | 'ToNegativeInfinity' | 'ToPositiveInfinity' | 'ERoundingMode_MAX';
+declare var ERoundingMode : { HalfToEven:'HalfToEven',HalfFromZero:'HalfFromZero',HalfToZero:'HalfToZero',FromZero:'FromZero',ToZero:'ToZero',ToNegativeInfinity:'ToNegativeInfinity',ToPositiveInfinity:'ToPositiveInfinity',ERoundingMode_MAX:'ERoundingMode_MAX', };
+declare class KismetTextLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetTextLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetTextLibrary;
+	static GetDefaultObject(): KismetTextLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetTextLibrary;
+	static TextTrimTrailing(InText: string): string;
+	static TextTrimPrecedingAndTrailing(InText: string): string;
+	static TextTrimPreceding(InText: string): string;
+	static TextToUpper(InText: string): string;
+	static TextToLower(InText: string): string;
+	static TextIsTransient(InText: string): boolean;
+	static TextIsFromStringTable(text: string): boolean;
+	static TextIsEmpty(InText: string): boolean;
+	static TextIsCultureInvariant(InText: string): boolean;
+	static TextFromStringTable(TableId: string,Key: string): string;
+	static StringTableIdAndKeyFromText(text: string,OutTableId?: string,OutKey?: string): {OutTableId: string, OutKey: string, $: boolean};
+	static PolyglotDataToText(PolyglotData: PolyglotTextData): string;
+	static NotEqual_TextText(A: string,B: string): boolean;
+	static NotEqual_IgnoreCase_TextText(A: string,B: string): boolean;
+	static IsPolyglotDataValid(PolyglotData: PolyglotTextData,IsValid?: boolean,ErrorMessage?: string): {IsValid: boolean, ErrorMessage: string};
+	static GetEmptyText(): string;
+	static Format(InPattern: string,InArgs: FormatArgumentData[]): string;
+	static FindTextInLocalizationTable(Namespace: string,Key: string,OutText?: string): {OutText: string, $: boolean};
+	static EqualEqual_TextText(A: string,B: string): boolean;
+	static EqualEqual_IgnoreCase_TextText(A: string,B: string): boolean;
+	static Conv_VectorToText(InVec: Vector): string;
+	static Conv_Vector2dToText(InVec: Vector2D): string;
+	static Conv_TransformToText(InTrans: Transform): string;
+	static Conv_TextToString(InText: string): string;
+	static Conv_StringToText(inString: string): string;
+	static Conv_RotatorToText(InRot: Rotator): string;
+	static Conv_ObjectToText(InObj: UObject): string;
+	static Conv_NameToText(InName: string): string;
+	static Conv_IntToText(Value: number,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number): string;
+	static Conv_FloatToText(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number): string;
+	static Conv_ColorToText(InColor: LinearColor): string;
+	static Conv_ByteToText(Value: number): string;
+	static Conv_BoolToText(InBool: boolean): string;
+	static AsTimeZoneTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
+	static AsTimeZoneDateTime_DateTime(InDateTime: DateTime,InTimeZone: string): string;
+	static AsTimeZoneDate_DateTime(InDateTime: DateTime,InTimeZone: string): string;
+	static AsTimespan_Timespan(InTimespan: Timespan): string;
+	static AsTime_DateTime(In: DateTime): string;
+	static AsPercent_Float(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number): string;
+	static AsDateTime_DateTime(In: DateTime): string;
+	static AsDate_DateTime(InDateTime: DateTime): string;
+	static AsCurrencyBase(BaseValue: number,CurrencyCode: string): string;
+	static AsCurrency_Integer(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number,CurrencyCode: string): string;
+	static AsCurrency_Float(Value: number,RoundingMode: ERoundingMode,bAlwaysSign: boolean,bUseGrouping: boolean,MinimumIntegralDigits: number,MaximumIntegralDigits: number,MinimumFractionalDigits: number,MaximumFractionalDigits: number,CurrencyCode: string): string;
+	static C(Other: UObject | any): KismetTextLibrary;
 }
 
-declare class MaterialExpressionParticleRadius extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleRadius;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRadius;
-	static GetDefaultObject(): MaterialExpressionParticleRadius;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRadius;
-	static C(Other: UObject | any): MaterialExpressionParticleRadius;
+declare class LevelBounds extends Actor { 
+	bAutoUpdateBounds: boolean;
+	static GetDefaultObject(): LevelBounds;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelBounds;
+	static C(Other: UObject | any): LevelBounds;
 }
 
-declare class MaterialExpressionParticleRandom extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleRandom;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRandom;
-	static GetDefaultObject(): MaterialExpressionParticleRandom;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRandom;
-	static C(Other: UObject | any): MaterialExpressionParticleRandom;
+declare class LevelStreamingAlwaysLoaded extends LevelStreaming { 
+	static Load(ResourceName: string): LevelStreamingAlwaysLoaded;
+	static Find(Outer: UObject, ResourceName: string): LevelStreamingAlwaysLoaded;
+	static GetDefaultObject(): LevelStreamingAlwaysLoaded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingAlwaysLoaded;
+	static C(Other: UObject | any): LevelStreamingAlwaysLoaded;
 }
 
-declare class MaterialExpressionParticleRelativeTime extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleRelativeTime;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRelativeTime;
-	static GetDefaultObject(): MaterialExpressionParticleRelativeTime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRelativeTime;
-	static C(Other: UObject | any): MaterialExpressionParticleRelativeTime;
+declare class LevelStreamingDynamic extends LevelStreaming { 
+	bInitiallyLoaded: boolean;
+	bInitiallyVisible: boolean;
+	static Load(ResourceName: string): LevelStreamingDynamic;
+	static Find(Outer: UObject, ResourceName: string): LevelStreamingDynamic;
+	static GetDefaultObject(): LevelStreamingDynamic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingDynamic;
+	static LoadLevelInstanceBySoftObjectPtr(WorldContextObject: UObject,Level: World,Location: Vector,Rotation: Rotator,bOutSuccess?: boolean): {bOutSuccess: boolean, $: LevelStreamingDynamic};
+	static LoadLevelInstance(WorldContextObject: UObject,LevelName: string,Location: Vector,Rotation: Rotator,bOutSuccess?: boolean): {bOutSuccess: boolean, $: LevelStreamingDynamic};
+	static C(Other: UObject | any): LevelStreamingDynamic;
 }
 
-declare class MaterialExpressionParticleSize extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleSize;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSize;
-	static GetDefaultObject(): MaterialExpressionParticleSize;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSize;
-	static C(Other: UObject | any): MaterialExpressionParticleSize;
+declare class LevelStreamingPersistent extends LevelStreaming { 
+	static Load(ResourceName: string): LevelStreamingPersistent;
+	static Find(Outer: UObject, ResourceName: string): LevelStreamingPersistent;
+	static GetDefaultObject(): LevelStreamingPersistent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelStreamingPersistent;
+	static C(Other: UObject | any): LevelStreamingPersistent;
 }
 
-declare class MaterialExpressionParticleSpeed extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionParticleSpeed;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSpeed;
-	static GetDefaultObject(): MaterialExpressionParticleSpeed;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSpeed;
-	static C(Other: UObject | any): MaterialExpressionParticleSpeed;
+declare class LightmappedSurfaceCollection extends UObject { 
+	SourceModel: Model;
+	Surfaces: number[];
+	static Load(ResourceName: string): LightmappedSurfaceCollection;
+	static Find(Outer: UObject, ResourceName: string): LightmappedSurfaceCollection;
+	static GetDefaultObject(): LightmappedSurfaceCollection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmappedSurfaceCollection;
+	static C(Other: UObject | any): LightmappedSurfaceCollection;
 }
 
-declare class MaterialExpressionParticleSubUV extends MaterialExpressionTextureSample { 
-	bBlend: boolean;
-	static Load(ResourceName: string): MaterialExpressionParticleSubUV;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSubUV;
-	static GetDefaultObject(): MaterialExpressionParticleSubUV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSubUV;
-	static C(Other: UObject | any): MaterialExpressionParticleSubUV;
+declare class LightMapTexture2D extends Texture2D { 
+	static Load(ResourceName: string): LightMapTexture2D;
+	static Find(Outer: UObject, ResourceName: string): LightMapTexture2D;
+	static GetDefaultObject(): LightMapTexture2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightMapTexture2D;
+	static C(Other: UObject | any): LightMapTexture2D;
 }
 
-declare class MaterialExpressionPerInstanceFadeAmount extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPerInstanceFadeAmount;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPerInstanceFadeAmount;
-	static GetDefaultObject(): MaterialExpressionPerInstanceFadeAmount;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPerInstanceFadeAmount;
-	static C(Other: UObject | any): MaterialExpressionPerInstanceFadeAmount;
+declare class LightmassCharacterIndirectDetailVolume extends Volume { 
+	static GetDefaultObject(): LightmassCharacterIndirectDetailVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassCharacterIndirectDetailVolume;
+	static C(Other: UObject | any): LightmassCharacterIndirectDetailVolume;
 }
 
-declare class MaterialExpressionPerInstanceRandom extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPerInstanceRandom;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPerInstanceRandom;
-	static GetDefaultObject(): MaterialExpressionPerInstanceRandom;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPerInstanceRandom;
-	static C(Other: UObject | any): MaterialExpressionPerInstanceRandom;
+declare class LightmassImportanceVolume extends Volume { 
+	static GetDefaultObject(): LightmassImportanceVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassImportanceVolume;
+	static C(Other: UObject | any): LightmassImportanceVolume;
 }
 
-declare class MaterialExpressionPixelDepth extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPixelDepth;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPixelDepth;
-	static GetDefaultObject(): MaterialExpressionPixelDepth;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPixelDepth;
-	static C(Other: UObject | any): MaterialExpressionPixelDepth;
+declare class LightmassPortalComponent extends SceneComponent { 
+	PreviewBox: BoxComponent;
+	static Load(ResourceName: string): LightmassPortalComponent;
+	static Find(Outer: UObject, ResourceName: string): LightmassPortalComponent;
+	static GetDefaultObject(): LightmassPortalComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPortalComponent;
+	static C(Other: UObject | any): LightmassPortalComponent;
 }
 
-declare class MaterialExpressionPixelNormalWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPixelNormalWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPixelNormalWS;
-	static GetDefaultObject(): MaterialExpressionPixelNormalWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPixelNormalWS;
-	static C(Other: UObject | any): MaterialExpressionPixelNormalWS;
+declare class LightmassPortal extends Actor { 
+	PortalComponent: LightmassPortalComponent;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): LightmassPortal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPortal;
+	static C(Other: UObject | any): LightmassPortal;
 }
 
-declare class MaterialExpressionPower extends MaterialExpression { 
-	Base: ExpressionInput;
-	Exponent: ExpressionInput;
-	ConstExponent: number;
-	static Load(ResourceName: string): MaterialExpressionPower;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPower;
-	static GetDefaultObject(): MaterialExpressionPower;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPower;
-	static C(Other: UObject | any): MaterialExpressionPower;
-}
-
-declare class MaterialExpressionPrecomputedAOMask extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPrecomputedAOMask;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPrecomputedAOMask;
-	static GetDefaultObject(): MaterialExpressionPrecomputedAOMask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPrecomputedAOMask;
-	static C(Other: UObject | any): MaterialExpressionPrecomputedAOMask;
-}
-
-declare class MaterialExpressionPreSkinnedNormal extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPreSkinnedNormal;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreSkinnedNormal;
-	static GetDefaultObject(): MaterialExpressionPreSkinnedNormal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreSkinnedNormal;
-	static C(Other: UObject | any): MaterialExpressionPreSkinnedNormal;
-}
-
-declare class MaterialExpressionPreSkinnedPosition extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionPreSkinnedPosition;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreSkinnedPosition;
-	static GetDefaultObject(): MaterialExpressionPreSkinnedPosition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreSkinnedPosition;
-	static C(Other: UObject | any): MaterialExpressionPreSkinnedPosition;
-}
-
-declare class MaterialExpressionPreviousFrameSwitch extends MaterialExpression { 
-	CurrentFrame: ExpressionInput;
-	PreviousFrame: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionPreviousFrameSwitch;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreviousFrameSwitch;
-	static GetDefaultObject(): MaterialExpressionPreviousFrameSwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreviousFrameSwitch;
-	static C(Other: UObject | any): MaterialExpressionPreviousFrameSwitch;
-}
-
-declare class MaterialExpressionQualitySwitch extends MaterialExpression { 
-	Default: ExpressionInput;
-	Inputs: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionQualitySwitch;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionQualitySwitch;
-	static GetDefaultObject(): MaterialExpressionQualitySwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionQualitySwitch;
-	static C(Other: UObject | any): MaterialExpressionQualitySwitch;
+declare class LightmassPrimitiveSettingsObject extends UObject { 
+	LightmassSettings: LightmassPrimitiveSettings;
+	static Load(ResourceName: string): LightmassPrimitiveSettingsObject;
+	static Find(Outer: UObject, ResourceName: string): LightmassPrimitiveSettingsObject;
+	static GetDefaultObject(): LightmassPrimitiveSettingsObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightmassPrimitiveSettingsObject;
+	static C(Other: UObject | any): LightmassPrimitiveSettingsObject;
 }
 
-declare class MaterialExpressionReflectionVectorWS extends MaterialExpression { 
-	CustomWorldNormal: ExpressionInput;
-	bNormalizeCustomWorldNormal: boolean;
-	static Load(ResourceName: string): MaterialExpressionReflectionVectorWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionReflectionVectorWS;
-	static GetDefaultObject(): MaterialExpressionReflectionVectorWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionReflectionVectorWS;
-	static C(Other: UObject | any): MaterialExpressionReflectionVectorWS;
+declare class LODActor extends Actor { 
+	StaticMeshComponent: StaticMeshComponent;
+	Proxy: HLODProxy;
+	Key: string;
+	LODDrawDistance: number;
+	LODLevel: number;
+	SubActors: Actor[];
+	CachedNumHLODLevels: number;
+	NumTrianglesInSubActors: any;
+	NumTrianglesInMergedMesh: any;
+	bOverrideMaterialMergeSettings: boolean;
+	MaterialSettings: MaterialProxySettings;
+	bOverrideTransitionScreenSize: boolean;
+	TransitionScreenSize: number;
+	bOverrideScreenSize: boolean;
+	ScreenSize: number;
+	static GetDefaultObject(): LODActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LODActor;
+	static C(Other: UObject | any): LODActor;
 }
 
-declare class MaterialExpressionReroute extends MaterialExpression { 
+declare class MaterialExpressionAbs extends MaterialExpression { 
 	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionReroute;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionReroute;
-	static GetDefaultObject(): MaterialExpressionReroute;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionReroute;
-	static C(Other: UObject | any): MaterialExpressionReroute;
-}
-
-declare class MaterialExpressionRotateAboutAxis extends MaterialExpression { 
-	NormalizedRotationAxis: ExpressionInput;
-	RotationAngle: ExpressionInput;
-	PivotPoint: ExpressionInput;
-	Position: ExpressionInput;
-	Period: number;
-	static Load(ResourceName: string): MaterialExpressionRotateAboutAxis;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRotateAboutAxis;
-	static GetDefaultObject(): MaterialExpressionRotateAboutAxis;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRotateAboutAxis;
-	static C(Other: UObject | any): MaterialExpressionRotateAboutAxis;
-}
-
-declare class MaterialExpressionRotator extends MaterialExpression { 
-	Coordinate: ExpressionInput;
-	Time: ExpressionInput;
-	CenterX: number;
-	CenterY: number;
-	Speed: number;
-	ConstCoordinate: any;
-	static Load(ResourceName: string): MaterialExpressionRotator;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRotator;
-	static GetDefaultObject(): MaterialExpressionRotator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRotator;
-	static C(Other: UObject | any): MaterialExpressionRotator;
+	static Load(ResourceName: string): MaterialExpressionAbs;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAbs;
+	static GetDefaultObject(): MaterialExpressionAbs;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAbs;
+	static C(Other: UObject | any): MaterialExpressionAbs;
 }
 
-declare class MaterialExpressionRound extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionRound;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRound;
-	static GetDefaultObject(): MaterialExpressionRound;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRound;
-	static C(Other: UObject | any): MaterialExpressionRound;
+declare class MaterialExpressionActorPositionWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionActorPositionWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionActorPositionWS;
+	static GetDefaultObject(): MaterialExpressionActorPositionWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionActorPositionWS;
+	static C(Other: UObject | any): MaterialExpressionActorPositionWS;
 }
 
-declare class MaterialExpressionSaturate extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionSaturate;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSaturate;
-	static GetDefaultObject(): MaterialExpressionSaturate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSaturate;
-	static C(Other: UObject | any): MaterialExpressionSaturate;
+declare class MaterialExpressionAdd extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionAdd;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAdd;
+	static GetDefaultObject(): MaterialExpressionAdd;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAdd;
+	static C(Other: UObject | any): MaterialExpressionAdd;
 }
 
-declare class MaterialExpressionScalarParameter extends MaterialExpressionParameter { 
-	DefaultValue: number;
-	SliderMin: number;
-	SliderMax: number;
-	static Load(ResourceName: string): MaterialExpressionScalarParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionScalarParameter;
-	static GetDefaultObject(): MaterialExpressionScalarParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionScalarParameter;
-	static C(Other: UObject | any): MaterialExpressionScalarParameter;
+declare type EMaterialSamplerType = 'SAMPLERTYPE_Color' | 'SAMPLERTYPE_Grayscale' | 'SAMPLERTYPE_Alpha' | 'SAMPLERTYPE_Normal' | 'SAMPLERTYPE_Masks' | 'SAMPLERTYPE_DistanceFieldFont' | 'SAMPLERTYPE_LinearColor' | 'SAMPLERTYPE_LinearGrayscale' | 'SAMPLERTYPE_External' | 'SAMPLERTYPE_MAX';
+declare var EMaterialSamplerType : { SAMPLERTYPE_Color:'SAMPLERTYPE_Color',SAMPLERTYPE_Grayscale:'SAMPLERTYPE_Grayscale',SAMPLERTYPE_Alpha:'SAMPLERTYPE_Alpha',SAMPLERTYPE_Normal:'SAMPLERTYPE_Normal',SAMPLERTYPE_Masks:'SAMPLERTYPE_Masks',SAMPLERTYPE_DistanceFieldFont:'SAMPLERTYPE_DistanceFieldFont',SAMPLERTYPE_LinearColor:'SAMPLERTYPE_LinearColor',SAMPLERTYPE_LinearGrayscale:'SAMPLERTYPE_LinearGrayscale',SAMPLERTYPE_External:'SAMPLERTYPE_External',SAMPLERTYPE_MAX:'SAMPLERTYPE_MAX', };
+declare class MaterialExpressionTextureBase extends MaterialExpression { 
+	Texture: Texture;
+	SamplerType: EMaterialSamplerType;
+	IsDefaultMeshpaintTexture: boolean;
+	static Load(ResourceName: string): MaterialExpressionTextureBase;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureBase;
+	static GetDefaultObject(): MaterialExpressionTextureBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureBase;
+	static C(Other: UObject | any): MaterialExpressionTextureBase;
 }
 
-declare type EMaterialSceneAttributeInputMode = 'Coordinates' | 'OffsetFraction' | 'EMaterialSceneAttributeInputMode_MAX';
-declare var EMaterialSceneAttributeInputMode : { Coordinates:'Coordinates',OffsetFraction:'OffsetFraction',EMaterialSceneAttributeInputMode_MAX:'EMaterialSceneAttributeInputMode_MAX', };
-declare class MaterialExpressionSceneColor extends MaterialExpression { 
-	InputMode: EMaterialSceneAttributeInputMode;
-	Input: ExpressionInput;
-	OffsetFraction: ExpressionInput;
-	ConstInput: Vector2D;
-	static Load(ResourceName: string): MaterialExpressionSceneColor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneColor;
-	static GetDefaultObject(): MaterialExpressionSceneColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneColor;
-	static C(Other: UObject | any): MaterialExpressionSceneColor;
+declare type ETextureMipValueMode = 'TMVM_None' | 'TMVM_MipLevel' | 'TMVM_MipBias' | 'TMVM_Derivative' | 'TMVM_MAX';
+declare var ETextureMipValueMode : { TMVM_None:'TMVM_None',TMVM_MipLevel:'TMVM_MipLevel',TMVM_MipBias:'TMVM_MipBias',TMVM_Derivative:'TMVM_Derivative',TMVM_MAX:'TMVM_MAX', };
+declare type ESamplerSourceMode = 'SSM_FromTextureAsset' | 'SSM_Wrap_WorldGroupSettings' | 'SSM_Clamp_WorldGroupSettings' | 'SSM_MAX';
+declare var ESamplerSourceMode : { SSM_FromTextureAsset:'SSM_FromTextureAsset',SSM_Wrap_WorldGroupSettings:'SSM_Wrap_WorldGroupSettings',SSM_Clamp_WorldGroupSettings:'SSM_Clamp_WorldGroupSettings',SSM_MAX:'SSM_MAX', };
+declare class MaterialExpressionTextureSample extends MaterialExpressionTextureBase { 
+	Coordinates: ExpressionInput;
+	TextureObject: ExpressionInput;
+	MipValue: ExpressionInput;
+	CoordinatesDX: ExpressionInput;
+	CoordinatesDY: ExpressionInput;
+	AutomaticViewMipBiasValue: ExpressionInput;
+	MipValueMode: ETextureMipValueMode;
+	SamplerSource: ESamplerSourceMode;
+	ConstCoordinate: any;
+	ConstMipValue: number;
+	AutomaticViewMipBias: boolean;
+	static Load(ResourceName: string): MaterialExpressionTextureSample;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSample;
+	static GetDefaultObject(): MaterialExpressionTextureSample;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSample;
+	static C(Other: UObject | any): MaterialExpressionTextureSample;
 }
 
-declare class MaterialExpressionSceneDepth extends MaterialExpression { 
-	InputMode: EMaterialSceneAttributeInputMode;
-	Input: ExpressionInput;
-	Coordinates: ExpressionInput;
-	ConstInput: Vector2D;
-	static Load(ResourceName: string): MaterialExpressionSceneDepth;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneDepth;
-	static GetDefaultObject(): MaterialExpressionSceneDepth;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneDepth;
-	static C(Other: UObject | any): MaterialExpressionSceneDepth;
+declare class MaterialExpressionTextureSampleParameter extends MaterialExpressionTextureSample { 
+	ParameterName: string;
+	ExpressionGUID: Guid;
+	Group: string;
+	SortPriority: number;
+	static Load(ResourceName: string): MaterialExpressionTextureSampleParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameter;
+	static GetDefaultObject(): MaterialExpressionTextureSampleParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameter;
+	static C(Other: UObject | any): MaterialExpressionTextureSampleParameter;
 }
 
-declare class MaterialExpressionSceneTexelSize extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionSceneTexelSize;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneTexelSize;
-	static GetDefaultObject(): MaterialExpressionSceneTexelSize;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneTexelSize;
-	static C(Other: UObject | any): MaterialExpressionSceneTexelSize;
+declare class MaterialExpressionTextureSampleParameter2D extends MaterialExpressionTextureSampleParameter { 
+	static Load(ResourceName: string): MaterialExpressionTextureSampleParameter2D;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameter2D;
+	static GetDefaultObject(): MaterialExpressionTextureSampleParameter2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameter2D;
+	static C(Other: UObject | any): MaterialExpressionTextureSampleParameter2D;
 }
 
-declare type ESceneTextureId = 'PPI_SceneColor' | 'PPI_SceneDepth' | 'PPI_DiffuseColor' | 'PPI_SpecularColor' | 'PPI_SubsurfaceColor' | 'PPI_BaseColor' | 'PPI_Specular' | 'PPI_Metallic' | 'PPI_WorldNormal' | 'PPI_SeparateTranslucency' | 'PPI_Opacity' | 'PPI_Roughness' | 'PPI_MaterialAO' | 'PPI_CustomDepth' | 'PPI_PostProcessInput0' | 'PPI_PostProcessInput1' | 'PPI_PostProcessInput2' | 'PPI_PostProcessInput3' | 'PPI_PostProcessInput4' | 'PPI_PostProcessInput5' | 'PPI_PostProcessInput6' | 'PPI_DecalMask' | 'PPI_ShadingModel' | 'PPI_AmbientOcclusion' | 'PPI_CustomStencil' | 'PPI_StoredBaseColor' | 'PPI_StoredSpecular' | 'PPI_MAX';
-declare var ESceneTextureId : { PPI_SceneColor:'PPI_SceneColor',PPI_SceneDepth:'PPI_SceneDepth',PPI_DiffuseColor:'PPI_DiffuseColor',PPI_SpecularColor:'PPI_SpecularColor',PPI_SubsurfaceColor:'PPI_SubsurfaceColor',PPI_BaseColor:'PPI_BaseColor',PPI_Specular:'PPI_Specular',PPI_Metallic:'PPI_Metallic',PPI_WorldNormal:'PPI_WorldNormal',PPI_SeparateTranslucency:'PPI_SeparateTranslucency',PPI_Opacity:'PPI_Opacity',PPI_Roughness:'PPI_Roughness',PPI_MaterialAO:'PPI_MaterialAO',PPI_CustomDepth:'PPI_CustomDepth',PPI_PostProcessInput0:'PPI_PostProcessInput0',PPI_PostProcessInput1:'PPI_PostProcessInput1',PPI_PostProcessInput2:'PPI_PostProcessInput2',PPI_PostProcessInput3:'PPI_PostProcessInput3',PPI_PostProcessInput4:'PPI_PostProcessInput4',PPI_PostProcessInput5:'PPI_PostProcessInput5',PPI_PostProcessInput6:'PPI_PostProcessInput6',PPI_DecalMask:'PPI_DecalMask',PPI_ShadingModel:'PPI_ShadingModel',PPI_AmbientOcclusion:'PPI_AmbientOcclusion',PPI_CustomStencil:'PPI_CustomStencil',PPI_StoredBaseColor:'PPI_StoredBaseColor',PPI_StoredSpecular:'PPI_StoredSpecular',PPI_MAX:'PPI_MAX', };
-declare class MaterialExpressionSceneTexture extends MaterialExpression { 
-	Coordinates: ExpressionInput;
-	SceneTextureId: ESceneTextureId;
-	bFiltered: boolean;
-	static Load(ResourceName: string): MaterialExpressionSceneTexture;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneTexture;
-	static GetDefaultObject(): MaterialExpressionSceneTexture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneTexture;
-	static C(Other: UObject | any): MaterialExpressionSceneTexture;
-}
-
-declare class MaterialExpressionScreenPosition extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionScreenPosition;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionScreenPosition;
-	static GetDefaultObject(): MaterialExpressionScreenPosition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionScreenPosition;
-	static C(Other: UObject | any): MaterialExpressionScreenPosition;
-}
-
-declare class MaterialExpressionSetMaterialAttributes extends MaterialExpression { 
-	Inputs: ExpressionInput[];
-	AttributeSetTypes: Guid[];
-	static Load(ResourceName: string): MaterialExpressionSetMaterialAttributes;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSetMaterialAttributes;
-	static GetDefaultObject(): MaterialExpressionSetMaterialAttributes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSetMaterialAttributes;
-	static C(Other: UObject | any): MaterialExpressionSetMaterialAttributes;
-}
-
-declare class MaterialExpressionSign extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionSign;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSign;
-	static GetDefaultObject(): MaterialExpressionSign;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSign;
-	static C(Other: UObject | any): MaterialExpressionSign;
+declare type ETextureColorChannel = 'TCC_Red' | 'TCC_Green' | 'TCC_Blue' | 'TCC_Alpha' | 'TCC_MAX';
+declare var ETextureColorChannel : { TCC_Red:'TCC_Red',TCC_Green:'TCC_Green',TCC_Blue:'TCC_Blue',TCC_Alpha:'TCC_Alpha',TCC_MAX:'TCC_MAX', };
+declare class MaterialExpressionAntialiasedTextureMask extends MaterialExpressionTextureSampleParameter2D { 
+	Threshold: number;
+	Channel: ETextureColorChannel;
+	static Load(ResourceName: string): MaterialExpressionAntialiasedTextureMask;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAntialiasedTextureMask;
+	static GetDefaultObject(): MaterialExpressionAntialiasedTextureMask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAntialiasedTextureMask;
+	static C(Other: UObject | any): MaterialExpressionAntialiasedTextureMask;
 }
 
-declare class MaterialExpressionSine extends MaterialExpression { 
-	Input: ExpressionInput;
-	Period: number;
-	static Load(ResourceName: string): MaterialExpressionSine;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSine;
-	static GetDefaultObject(): MaterialExpressionSine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSine;
-	static C(Other: UObject | any): MaterialExpressionSine;
-}
-
-declare class MaterialExpressionSobol extends MaterialExpression { 
-	Cell: ExpressionInput;
-	index: ExpressionInput;
-	Seed: ExpressionInput;
-	ConstIndex: any;
-	ConstSeed: Vector2D;
-	static Load(ResourceName: string): MaterialExpressionSobol;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSobol;
-	static GetDefaultObject(): MaterialExpressionSobol;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSobol;
-	static C(Other: UObject | any): MaterialExpressionSobol;
-}
-
-declare type ESpeedTreeGeometryType = 'STG_Branch' | 'STG_Frond' | 'STG_Leaf' | 'STG_FacingLeaf' | 'STG_Billboard' | 'STG_MAX';
-declare var ESpeedTreeGeometryType : { STG_Branch:'STG_Branch',STG_Frond:'STG_Frond',STG_Leaf:'STG_Leaf',STG_FacingLeaf:'STG_FacingLeaf',STG_Billboard:'STG_Billboard',STG_MAX:'STG_MAX', };
-declare type ESpeedTreeWindType = 'STW_None' | 'STW_Fastest' | 'STW_Fast' | 'STW_Better' | 'STW_Best' | 'STW_Palm' | 'STW_BestPlus' | 'STW_MAX';
-declare var ESpeedTreeWindType : { STW_None:'STW_None',STW_Fastest:'STW_Fastest',STW_Fast:'STW_Fast',STW_Better:'STW_Better',STW_Best:'STW_Best',STW_Palm:'STW_Palm',STW_BestPlus:'STW_BestPlus',STW_MAX:'STW_MAX', };
-declare type ESpeedTreeLODType = 'STLOD_Pop' | 'STLOD_Smooth' | 'STLOD_MAX';
-declare var ESpeedTreeLODType : { STLOD_Pop:'STLOD_Pop',STLOD_Smooth:'STLOD_Smooth',STLOD_MAX:'STLOD_MAX', };
-declare class MaterialExpressionSpeedTree extends MaterialExpression { 
-	GeometryInput: ExpressionInput;
-	WindInput: ExpressionInput;
-	LODInput: ExpressionInput;
-	ExtraBendWS: ExpressionInput;
-	GeometryType: ESpeedTreeGeometryType;
-	WindType: ESpeedTreeWindType;
-	LODType: ESpeedTreeLODType;
-	BillboardThreshold: number;
-	bAccurateWindVelocities: boolean;
-	static Load(ResourceName: string): MaterialExpressionSpeedTree;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSpeedTree;
-	static GetDefaultObject(): MaterialExpressionSpeedTree;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSpeedTree;
-	static C(Other: UObject | any): MaterialExpressionSpeedTree;
-}
-
-declare class MaterialExpressionSphereMask extends MaterialExpression { 
+declare class MaterialExpressionAppendVector extends MaterialExpression { 
 	A: ExpressionInput;
 	B: ExpressionInput;
-	Radius: ExpressionInput;
-	Hardness: ExpressionInput;
-	AttenuationRadius: number;
-	HardnessPercent: number;
-	static Load(ResourceName: string): MaterialExpressionSphereMask;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSphereMask;
-	static GetDefaultObject(): MaterialExpressionSphereMask;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSphereMask;
-	static C(Other: UObject | any): MaterialExpressionSphereMask;
-}
-
-declare class MaterialExpressionSphericalParticleOpacity extends MaterialExpression { 
-	Density: ExpressionInput;
-	ConstantDensity: number;
-	static Load(ResourceName: string): MaterialExpressionSphericalParticleOpacity;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSphericalParticleOpacity;
-	static GetDefaultObject(): MaterialExpressionSphericalParticleOpacity;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSphericalParticleOpacity;
-	static C(Other: UObject | any): MaterialExpressionSphericalParticleOpacity;
-}
-
-declare class MaterialExpressionSquareRoot extends MaterialExpression { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionSquareRoot;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSquareRoot;
-	static GetDefaultObject(): MaterialExpressionSquareRoot;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSquareRoot;
-	static C(Other: UObject | any): MaterialExpressionSquareRoot;
+	static Load(ResourceName: string): MaterialExpressionAppendVector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAppendVector;
+	static GetDefaultObject(): MaterialExpressionAppendVector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAppendVector;
+	static C(Other: UObject | any): MaterialExpressionAppendVector;
 }
 
-declare class MaterialExpressionStaticBool extends MaterialExpression { 
-	Value: boolean;
-	static Load(ResourceName: string): MaterialExpressionStaticBool;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticBool;
-	static GetDefaultObject(): MaterialExpressionStaticBool;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticBool;
-	static C(Other: UObject | any): MaterialExpressionStaticBool;
+declare class MaterialExpressionArccosine extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArccosine;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArccosine;
+	static GetDefaultObject(): MaterialExpressionArccosine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArccosine;
+	static C(Other: UObject | any): MaterialExpressionArccosine;
 }
 
-declare class MaterialExpressionStaticBoolParameter extends MaterialExpressionParameter { 
-	DefaultValue: boolean;
-	static Load(ResourceName: string): MaterialExpressionStaticBoolParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticBoolParameter;
-	static GetDefaultObject(): MaterialExpressionStaticBoolParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticBoolParameter;
-	static C(Other: UObject | any): MaterialExpressionStaticBoolParameter;
+declare class MaterialExpressionArccosineFast extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArccosineFast;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArccosineFast;
+	static GetDefaultObject(): MaterialExpressionArccosineFast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArccosineFast;
+	static C(Other: UObject | any): MaterialExpressionArccosineFast;
 }
 
-declare class MaterialExpressionStaticComponentMaskParameter extends MaterialExpressionParameter { 
+declare class MaterialExpressionArcsine extends MaterialExpression { 
 	Input: ExpressionInput;
-	DefaultR: boolean;
-	DefaultG: boolean;
-	DefaultB: boolean;
-	DefaultA: boolean;
-	static Load(ResourceName: string): MaterialExpressionStaticComponentMaskParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticComponentMaskParameter;
-	static GetDefaultObject(): MaterialExpressionStaticComponentMaskParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticComponentMaskParameter;
-	static C(Other: UObject | any): MaterialExpressionStaticComponentMaskParameter;
-}
-
-declare class MaterialExpressionStaticSwitch extends MaterialExpression { 
-	DefaultValue: boolean;
-	A: ExpressionInput;
-	B: ExpressionInput;
-	Value: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionStaticSwitch;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticSwitch;
-	static GetDefaultObject(): MaterialExpressionStaticSwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticSwitch;
-	static C(Other: UObject | any): MaterialExpressionStaticSwitch;
+	static Load(ResourceName: string): MaterialExpressionArcsine;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArcsine;
+	static GetDefaultObject(): MaterialExpressionArcsine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArcsine;
+	static C(Other: UObject | any): MaterialExpressionArcsine;
 }
 
-declare class MaterialExpressionStaticSwitchParameter extends MaterialExpressionStaticBoolParameter { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionStaticSwitchParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticSwitchParameter;
-	static GetDefaultObject(): MaterialExpressionStaticSwitchParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticSwitchParameter;
-	static C(Other: UObject | any): MaterialExpressionStaticSwitchParameter;
+declare class MaterialExpressionArcsineFast extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArcsineFast;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArcsineFast;
+	static GetDefaultObject(): MaterialExpressionArcsineFast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArcsineFast;
+	static C(Other: UObject | any): MaterialExpressionArcsineFast;
 }
 
-declare class MaterialExpressionSubtract extends MaterialExpression { 
-	A: ExpressionInput;
-	B: ExpressionInput;
-	ConstA: number;
-	ConstB: number;
-	static Load(ResourceName: string): MaterialExpressionSubtract;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSubtract;
-	static GetDefaultObject(): MaterialExpressionSubtract;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSubtract;
-	static C(Other: UObject | any): MaterialExpressionSubtract;
+declare class MaterialExpressionArctangent extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArctangent;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent;
+	static GetDefaultObject(): MaterialExpressionArctangent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent;
+	static C(Other: UObject | any): MaterialExpressionArctangent;
 }
 
-declare class MaterialExpressionTangent extends MaterialExpression { 
-	Input: ExpressionInput;
-	Period: number;
-	static Load(ResourceName: string): MaterialExpressionTangent;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTangent;
-	static GetDefaultObject(): MaterialExpressionTangent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTangent;
-	static C(Other: UObject | any): MaterialExpressionTangent;
+declare class MaterialExpressionArctangent2 extends MaterialExpression { 
+	Y: ExpressionInput;
+	X: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArctangent2;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent2;
+	static GetDefaultObject(): MaterialExpressionArctangent2;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent2;
+	static C(Other: UObject | any): MaterialExpressionArctangent2;
 }
 
-declare class MaterialExpressionTangentOutput extends MaterialExpressionCustomOutput { 
-	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionTangentOutput;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTangentOutput;
-	static GetDefaultObject(): MaterialExpressionTangentOutput;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTangentOutput;
-	static C(Other: UObject | any): MaterialExpressionTangentOutput;
-}
-
-declare class MaterialExpressionTemporalSobol extends MaterialExpression { 
-	index: ExpressionInput;
-	Seed: ExpressionInput;
-	ConstIndex: any;
-	ConstSeed: Vector2D;
-	static Load(ResourceName: string): MaterialExpressionTemporalSobol;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTemporalSobol;
-	static GetDefaultObject(): MaterialExpressionTemporalSobol;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTemporalSobol;
-	static C(Other: UObject | any): MaterialExpressionTemporalSobol;
-}
-
-declare class MaterialExpressionTextureCoordinate extends MaterialExpression { 
-	CoordinateIndex: number;
-	UTiling: number;
-	VTiling: number;
-	UnMirrorU: boolean;
-	UnMirrorV: boolean;
-	static Load(ResourceName: string): MaterialExpressionTextureCoordinate;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureCoordinate;
-	static GetDefaultObject(): MaterialExpressionTextureCoordinate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureCoordinate;
-	static C(Other: UObject | any): MaterialExpressionTextureCoordinate;
-}
-
-declare class MaterialExpressionTextureObject extends MaterialExpressionTextureBase { 
-	static Load(ResourceName: string): MaterialExpressionTextureObject;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureObject;
-	static GetDefaultObject(): MaterialExpressionTextureObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureObject;
-	static C(Other: UObject | any): MaterialExpressionTextureObject;
-}
-
-declare class MaterialExpressionTextureObjectParameter extends MaterialExpressionTextureSampleParameter { 
-	static Load(ResourceName: string): MaterialExpressionTextureObjectParameter;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureObjectParameter;
-	static GetDefaultObject(): MaterialExpressionTextureObjectParameter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureObjectParameter;
-	static C(Other: UObject | any): MaterialExpressionTextureObjectParameter;
-}
-
-declare type EMaterialExposedTextureProperty = 'TMTM_TextureSize' | 'TMTM_TexelSize' | 'TMTM_MAX';
-declare var EMaterialExposedTextureProperty : { TMTM_TextureSize:'TMTM_TextureSize',TMTM_TexelSize:'TMTM_TexelSize',TMTM_MAX:'TMTM_MAX', };
-declare class MaterialExpressionTextureProperty extends MaterialExpression { 
-	TextureObject: ExpressionInput;
-	Property: EMaterialExposedTextureProperty;
-	static Load(ResourceName: string): MaterialExpressionTextureProperty;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureProperty;
-	static GetDefaultObject(): MaterialExpressionTextureProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureProperty;
-	static C(Other: UObject | any): MaterialExpressionTextureProperty;
-}
-
-declare class MaterialExpressionTextureSampleParameterCube extends MaterialExpressionTextureSampleParameter { 
-	static Load(ResourceName: string): MaterialExpressionTextureSampleParameterCube;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameterCube;
-	static GetDefaultObject(): MaterialExpressionTextureSampleParameterCube;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameterCube;
-	static C(Other: UObject | any): MaterialExpressionTextureSampleParameterCube;
-}
-
-declare class MaterialExpressionTextureSampleParameterSubUV extends MaterialExpressionTextureSampleParameter2D { 
-	bBlend: boolean;
-	static Load(ResourceName: string): MaterialExpressionTextureSampleParameterSubUV;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameterSubUV;
-	static GetDefaultObject(): MaterialExpressionTextureSampleParameterSubUV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameterSubUV;
-	static C(Other: UObject | any): MaterialExpressionTextureSampleParameterSubUV;
-}
-
-declare class MaterialExpressionTime extends MaterialExpression { 
-	bIgnorePause: boolean;
-	bOverride_Period: boolean;
-	Period: number;
-	static Load(ResourceName: string): MaterialExpressionTime;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTime;
-	static GetDefaultObject(): MaterialExpressionTime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTime;
-	static C(Other: UObject | any): MaterialExpressionTime;
-}
-
-declare type EMaterialVectorCoordTransformSource = 'TRANSFORMSOURCE_Tangent' | 'TRANSFORMSOURCE_Local' | 'TRANSFORMSOURCE_World' | 'TRANSFORMSOURCE_View' | 'TRANSFORMSOURCE_Camera' | 'TRANSFORMSOURCE_ParticleWorld' | 'TRANSFORMSOURCE_MAX';
-declare var EMaterialVectorCoordTransformSource : { TRANSFORMSOURCE_Tangent:'TRANSFORMSOURCE_Tangent',TRANSFORMSOURCE_Local:'TRANSFORMSOURCE_Local',TRANSFORMSOURCE_World:'TRANSFORMSOURCE_World',TRANSFORMSOURCE_View:'TRANSFORMSOURCE_View',TRANSFORMSOURCE_Camera:'TRANSFORMSOURCE_Camera',TRANSFORMSOURCE_ParticleWorld:'TRANSFORMSOURCE_ParticleWorld',TRANSFORMSOURCE_MAX:'TRANSFORMSOURCE_MAX', };
-declare type EMaterialVectorCoordTransform = 'TRANSFORM_Tangent' | 'TRANSFORM_Local' | 'TRANSFORM_World' | 'TRANSFORM_View' | 'TRANSFORM_Camera' | 'TRANSFORM_ParticleWorld' | 'TRANSFORM_MAX';
-declare var EMaterialVectorCoordTransform : { TRANSFORM_Tangent:'TRANSFORM_Tangent',TRANSFORM_Local:'TRANSFORM_Local',TRANSFORM_World:'TRANSFORM_World',TRANSFORM_View:'TRANSFORM_View',TRANSFORM_Camera:'TRANSFORM_Camera',TRANSFORM_ParticleWorld:'TRANSFORM_ParticleWorld',TRANSFORM_MAX:'TRANSFORM_MAX', };
-declare class MaterialExpressionTransform extends MaterialExpression { 
-	Input: ExpressionInput;
-	TransformSourceType: EMaterialVectorCoordTransformSource;
-	TransformType: EMaterialVectorCoordTransform;
-	static Load(ResourceName: string): MaterialExpressionTransform;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTransform;
-	static GetDefaultObject(): MaterialExpressionTransform;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTransform;
-	static C(Other: UObject | any): MaterialExpressionTransform;
-}
-
-declare type EMaterialPositionTransformSource = 'TRANSFORMPOSSOURCE_Local' | 'TRANSFORMPOSSOURCE_World' | 'TRANSFORMPOSSOURCE_TranslatedWorld' | 'TRANSFORMPOSSOURCE_View' | 'TRANSFORMPOSSOURCE_Camera' | 'TRANSFORMPOSSOURCE_Particle' | 'TRANSFORMPOSSOURCE_MAX';
-declare var EMaterialPositionTransformSource : { TRANSFORMPOSSOURCE_Local:'TRANSFORMPOSSOURCE_Local',TRANSFORMPOSSOURCE_World:'TRANSFORMPOSSOURCE_World',TRANSFORMPOSSOURCE_TranslatedWorld:'TRANSFORMPOSSOURCE_TranslatedWorld',TRANSFORMPOSSOURCE_View:'TRANSFORMPOSSOURCE_View',TRANSFORMPOSSOURCE_Camera:'TRANSFORMPOSSOURCE_Camera',TRANSFORMPOSSOURCE_Particle:'TRANSFORMPOSSOURCE_Particle',TRANSFORMPOSSOURCE_MAX:'TRANSFORMPOSSOURCE_MAX', };
-declare class MaterialExpressionTransformPosition extends MaterialExpression { 
-	Input: ExpressionInput;
-	TransformSourceType: EMaterialPositionTransformSource;
-	TransformType: EMaterialPositionTransformSource;
-	static Load(ResourceName: string): MaterialExpressionTransformPosition;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTransformPosition;
-	static GetDefaultObject(): MaterialExpressionTransformPosition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTransformPosition;
-	static C(Other: UObject | any): MaterialExpressionTransformPosition;
+declare class MaterialExpressionArctangent2Fast extends MaterialExpression { 
+	Y: ExpressionInput;
+	X: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionArctangent2Fast;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangent2Fast;
+	static GetDefaultObject(): MaterialExpressionArctangent2Fast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangent2Fast;
+	static C(Other: UObject | any): MaterialExpressionArctangent2Fast;
 }
 
-declare class MaterialExpressionTruncate extends MaterialExpression { 
+declare class MaterialExpressionArctangentFast extends MaterialExpression { 
 	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionTruncate;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTruncate;
-	static GetDefaultObject(): MaterialExpressionTruncate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTruncate;
-	static C(Other: UObject | any): MaterialExpressionTruncate;
+	static Load(ResourceName: string): MaterialExpressionArctangentFast;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionArctangentFast;
+	static GetDefaultObject(): MaterialExpressionArctangentFast;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionArctangentFast;
+	static C(Other: UObject | any): MaterialExpressionArctangentFast;
 }
 
-declare class MaterialExpressionTwoSidedSign extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionTwoSidedSign;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTwoSidedSign;
-	static GetDefaultObject(): MaterialExpressionTwoSidedSign;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTwoSidedSign;
-	static C(Other: UObject | any): MaterialExpressionTwoSidedSign;
+declare class MaterialExpressionAtmosphericFogColor extends MaterialExpression { 
+	WorldPosition: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionAtmosphericFogColor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericFogColor;
+	static GetDefaultObject(): MaterialExpressionAtmosphericFogColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericFogColor;
+	static C(Other: UObject | any): MaterialExpressionAtmosphericFogColor;
 }
 
-declare type EVectorNoiseFunction = 'VNF_CellnoiseALU' | 'VNF_VectorALU' | 'VNF_GradientALU' | 'VNF_CurlALU' | 'VNF_VoronoiALU' | 'VNF_MAX';
-declare var EVectorNoiseFunction : { VNF_CellnoiseALU:'VNF_CellnoiseALU',VNF_VectorALU:'VNF_VectorALU',VNF_GradientALU:'VNF_GradientALU',VNF_CurlALU:'VNF_CurlALU',VNF_VoronoiALU:'VNF_VoronoiALU',VNF_MAX:'VNF_MAX', };
-declare class MaterialExpressionVectorNoise extends MaterialExpression { 
-	Position: ExpressionInput;
-	NoiseFunction: EVectorNoiseFunction;
-	Quality: number;
-	bTiling: boolean;
-	TileSize: any;
-	static Load(ResourceName: string): MaterialExpressionVectorNoise;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVectorNoise;
-	static GetDefaultObject(): MaterialExpressionVectorNoise;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVectorNoise;
-	static C(Other: UObject | any): MaterialExpressionVectorNoise;
+declare class MaterialExpressionAtmosphericLightColor extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionAtmosphericLightColor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericLightColor;
+	static GetDefaultObject(): MaterialExpressionAtmosphericLightColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericLightColor;
+	static C(Other: UObject | any): MaterialExpressionAtmosphericLightColor;
 }
 
-declare class MaterialExpressionVertexColor extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionVertexColor;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexColor;
-	static GetDefaultObject(): MaterialExpressionVertexColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexColor;
-	static C(Other: UObject | any): MaterialExpressionVertexColor;
+declare class MaterialExpressionAtmosphericLightVector extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionAtmosphericLightVector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionAtmosphericLightVector;
+	static GetDefaultObject(): MaterialExpressionAtmosphericLightVector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionAtmosphericLightVector;
+	static C(Other: UObject | any): MaterialExpressionAtmosphericLightVector;
 }
 
-declare class MaterialExpressionVertexInterpolator extends MaterialExpressionCustomOutput { 
+declare class MaterialExpressionBentNormalCustomOutput extends MaterialExpressionCustomOutput { 
 	Input: ExpressionInput;
-	static Load(ResourceName: string): MaterialExpressionVertexInterpolator;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexInterpolator;
-	static GetDefaultObject(): MaterialExpressionVertexInterpolator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexInterpolator;
-	static C(Other: UObject | any): MaterialExpressionVertexInterpolator;
-}
-
-declare class MaterialExpressionVertexNormalWS extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionVertexNormalWS;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexNormalWS;
-	static GetDefaultObject(): MaterialExpressionVertexNormalWS;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexNormalWS;
-	static C(Other: UObject | any): MaterialExpressionVertexNormalWS;
-}
-
-declare type EMaterialExposedViewProperty = 'MEVP_BufferSize' | 'MEVP_FieldOfView' | 'MEVP_TanHalfFieldOfView' | 'MEVP_ViewSize' | 'MEVP_WorldSpaceViewPosition' | 'MEVP_WorldSpaceCameraPosition' | 'MEVP_ViewportOffset' | 'MEVP_MAX';
-declare var EMaterialExposedViewProperty : { MEVP_BufferSize:'MEVP_BufferSize',MEVP_FieldOfView:'MEVP_FieldOfView',MEVP_TanHalfFieldOfView:'MEVP_TanHalfFieldOfView',MEVP_ViewSize:'MEVP_ViewSize',MEVP_WorldSpaceViewPosition:'MEVP_WorldSpaceViewPosition',MEVP_WorldSpaceCameraPosition:'MEVP_WorldSpaceCameraPosition',MEVP_ViewportOffset:'MEVP_ViewportOffset',MEVP_MAX:'MEVP_MAX', };
-declare class MaterialExpressionViewProperty extends MaterialExpression { 
-	Property: EMaterialExposedViewProperty;
-	static Load(ResourceName: string): MaterialExpressionViewProperty;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionViewProperty;
-	static GetDefaultObject(): MaterialExpressionViewProperty;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionViewProperty;
-	static C(Other: UObject | any): MaterialExpressionViewProperty;
-}
-
-declare class MaterialExpressionViewSize extends MaterialExpression { 
-	static Load(ResourceName: string): MaterialExpressionViewSize;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionViewSize;
-	static GetDefaultObject(): MaterialExpressionViewSize;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionViewSize;
-	static C(Other: UObject | any): MaterialExpressionViewSize;
-}
-
-declare type EWorldPositionIncludedOffsets = 'WPT_Default' | 'WPT_ExcludeAllShaderOffsets' | 'WPT_CameraRelative' | 'WPT_CameraRelativeNoOffsets' | 'WPT_MAX';
-declare var EWorldPositionIncludedOffsets : { WPT_Default:'WPT_Default',WPT_ExcludeAllShaderOffsets:'WPT_ExcludeAllShaderOffsets',WPT_CameraRelative:'WPT_CameraRelative',WPT_CameraRelativeNoOffsets:'WPT_CameraRelativeNoOffsets',WPT_MAX:'WPT_MAX', };
-declare class MaterialExpressionWorldPosition extends MaterialExpression { 
-	WorldPositionShaderOffset: EWorldPositionIncludedOffsets;
-	static Load(ResourceName: string): MaterialExpressionWorldPosition;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionWorldPosition;
-	static GetDefaultObject(): MaterialExpressionWorldPosition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionWorldPosition;
-	static C(Other: UObject | any): MaterialExpressionWorldPosition;
-}
-
-declare class MaterialFunctionMaterialLayer extends MaterialFunction { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayer;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayer;
-	static GetDefaultObject(): MaterialFunctionMaterialLayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayer;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayer;
-}
-
-declare class MaterialFunctionMaterialLayerInstance extends MaterialFunctionInstance { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerInstance;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerInstance;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerInstance;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerInstance;
-}
-
-declare class MaterialFunctionMaterialLayerBlend extends MaterialFunction { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlend;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlend;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerBlend;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlend;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlend;
-}
-
-declare class MaterialFunctionMaterialLayerBlendInstance extends MaterialFunctionInstance { 
-	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendInstance;
-	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendInstance;
-	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendInstance;
-	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendInstance;
-}
-
-declare class MaterialInstanceActor extends Actor { 
-	TargetActors: Actor[];
-	static GetDefaultObject(): MaterialInstanceActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceActor;
-	static C(Other: UObject | any): MaterialInstanceActor;
-}
-
-declare class MatineeActorCameraAnim extends MatineeActor { 
-	CameraAnim: CameraAnim;
-	static GetDefaultObject(): MatineeActorCameraAnim;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeActorCameraAnim;
-	static C(Other: UObject | any): MatineeActorCameraAnim;
-}
-
-declare class MatineeAnimInterface extends Interface { 
-	static Load(ResourceName: string): MatineeAnimInterface;
-	static Find(Outer: UObject, ResourceName: string): MatineeAnimInterface;
-	static GetDefaultObject(): MatineeAnimInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeAnimInterface;
-	static C(Other: UObject | any): MatineeAnimInterface;
-}
-
-declare class MatineeInterface extends Interface { 
-	static Load(ResourceName: string): MatineeInterface;
-	static Find(Outer: UObject, ResourceName: string): MatineeInterface;
-	static GetDefaultObject(): MatineeInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeInterface;
-	static C(Other: UObject | any): MatineeInterface;
+	static Load(ResourceName: string): MaterialExpressionBentNormalCustomOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBentNormalCustomOutput;
+	static GetDefaultObject(): MaterialExpressionBentNormalCustomOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBentNormalCustomOutput;
+	static C(Other: UObject | any): MaterialExpressionBentNormalCustomOutput;
 }
 
-declare class MeshMergeCullingVolume extends Volume { 
-	static GetDefaultObject(): MeshMergeCullingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshMergeCullingVolume;
-	static C(Other: UObject | any): MeshMergeCullingVolume;
+declare class MaterialExpressionBlackBody extends MaterialExpression { 
+	Temp: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionBlackBody;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBlackBody;
+	static GetDefaultObject(): MaterialExpressionBlackBody;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBlackBody;
+	static C(Other: UObject | any): MaterialExpressionBlackBody;
 }
 
-declare class MeshSimplificationSettings extends DeveloperSettings { 
-	MeshReductionModuleName: string;
-	static Load(ResourceName: string): MeshSimplificationSettings;
-	static Find(Outer: UObject, ResourceName: string): MeshSimplificationSettings;
-	static GetDefaultObject(): MeshSimplificationSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshSimplificationSettings;
-	static C(Other: UObject | any): MeshSimplificationSettings;
+declare type EMaterialAttributeBlend = 'Blend' | 'UseA' | 'UseB' | 'EMaterialAttributeBlend_MAX';
+declare var EMaterialAttributeBlend : { Blend:'Blend',UseA:'UseA',UseB:'UseB',EMaterialAttributeBlend_MAX:'EMaterialAttributeBlend_MAX', };
+declare class MaterialExpressionBlendMaterialAttributes extends MaterialExpression { 
+	A: MaterialAttributesInput;
+	B: MaterialAttributesInput;
+	Alpha: ExpressionInput;
+	PixelAttributeBlendType: EMaterialAttributeBlend;
+	VertexAttributeBlendType: EMaterialAttributeBlend;
+	static Load(ResourceName: string): MaterialExpressionBlendMaterialAttributes;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBlendMaterialAttributes;
+	static GetDefaultObject(): MaterialExpressionBlendMaterialAttributes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBlendMaterialAttributes;
+	static C(Other: UObject | any): MaterialExpressionBlendMaterialAttributes;
 }
 
-declare class MeshVertexPainterKismetLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): MeshVertexPainterKismetLibrary;
-	static Find(Outer: UObject, ResourceName: string): MeshVertexPainterKismetLibrary;
-	static GetDefaultObject(): MeshVertexPainterKismetLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshVertexPainterKismetLibrary;
-	static RemovePaintedVertices(StaticMeshComponent: StaticMeshComponent): void;
-	static PaintVerticesSingleColor(StaticMeshComponent: StaticMeshComponent,FillColor: LinearColor,bConvertToSRGB: boolean): void;
-	static PaintVerticesLerpAlongAxis(StaticMeshComponent: StaticMeshComponent,StartColor: LinearColor,EndColor: LinearColor,Axis: EVertexPaintAxis,bConvertToSRGB: boolean): void;
-	static C(Other: UObject | any): MeshVertexPainterKismetLibrary;
+declare class MaterialExpressionBreakMaterialAttributes extends MaterialExpression { 
+	MaterialAttributes: MaterialAttributesInput;
+	static Load(ResourceName: string): MaterialExpressionBreakMaterialAttributes;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBreakMaterialAttributes;
+	static GetDefaultObject(): MaterialExpressionBreakMaterialAttributes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBreakMaterialAttributes;
+	static C(Other: UObject | any): MaterialExpressionBreakMaterialAttributes;
 }
 
-declare class PurchaseInfo { 
-	Identifier: string;
-	DisplayName: string;
-	DisplayDescription: string;
-	DisplayPrice: string;
-	clone() : PurchaseInfo;
-	static C(Other: UObject | any): PurchaseInfo;
+declare class MaterialExpressionBumpOffset extends MaterialExpression { 
+	Coordinate: ExpressionInput;
+	Height: ExpressionInput;
+	HeightRatioInput: ExpressionInput;
+	HeightRatio: number;
+	ReferencePlane: number;
+	ConstCoordinate: any;
+	static Load(ResourceName: string): MaterialExpressionBumpOffset;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionBumpOffset;
+	static GetDefaultObject(): MaterialExpressionBumpOffset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionBumpOffset;
+	static C(Other: UObject | any): MaterialExpressionBumpOffset;
 }
 
-declare class MicroTransactionBase extends PlatformInterfaceBase { 
-	AvailableProducts: PurchaseInfo[];
-	LastError: string;
-	LastErrorSolution: string;
-	static Load(ResourceName: string): MicroTransactionBase;
-	static Find(Outer: UObject, ResourceName: string): MicroTransactionBase;
-	static GetDefaultObject(): MicroTransactionBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MicroTransactionBase;
-	static C(Other: UObject | any): MicroTransactionBase;
+declare class MaterialExpressionCameraPositionWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionCameraPositionWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCameraPositionWS;
+	static GetDefaultObject(): MaterialExpressionCameraPositionWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCameraPositionWS;
+	static C(Other: UObject | any): MaterialExpressionCameraPositionWS;
 }
 
-declare class NavAgentInterface extends Interface { 
-	static Load(ResourceName: string): NavAgentInterface;
-	static Find(Outer: UObject, ResourceName: string): NavAgentInterface;
-	static GetDefaultObject(): NavAgentInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAgentInterface;
-	static C(Other: UObject | any): NavAgentInterface;
+declare class MaterialExpressionCameraVectorWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionCameraVectorWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCameraVectorWS;
+	static GetDefaultObject(): MaterialExpressionCameraVectorWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCameraVectorWS;
+	static C(Other: UObject | any): MaterialExpressionCameraVectorWS;
 }
 
-declare class NavArea_Default extends NavArea { 
-	static Load(ResourceName: string): NavArea_Default;
-	static Find(Outer: UObject, ResourceName: string): NavArea_Default;
-	static GetDefaultObject(): NavArea_Default;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Default;
-	static C(Other: UObject | any): NavArea_Default;
+declare class MaterialExpressionCeil extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionCeil;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCeil;
+	static GetDefaultObject(): MaterialExpressionCeil;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCeil;
+	static C(Other: UObject | any): MaterialExpressionCeil;
 }
 
-declare class NavArea_LowHeight extends NavArea { 
-	static Load(ResourceName: string): NavArea_LowHeight;
-	static Find(Outer: UObject, ResourceName: string): NavArea_LowHeight;
-	static GetDefaultObject(): NavArea_LowHeight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_LowHeight;
-	static C(Other: UObject | any): NavArea_LowHeight;
+declare class MaterialExpressionParameter extends MaterialExpression { 
+	ParameterName: string;
+	ExpressionGUID: Guid;
+	Group: string;
+	SortPriority: number;
+	static Load(ResourceName: string): MaterialExpressionParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParameter;
+	static GetDefaultObject(): MaterialExpressionParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParameter;
+	static C(Other: UObject | any): MaterialExpressionParameter;
 }
 
-declare class NavArea_Null extends NavArea { 
-	static Load(ResourceName: string): NavArea_Null;
-	static Find(Outer: UObject, ResourceName: string): NavArea_Null;
-	static GetDefaultObject(): NavArea_Null;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Null;
-	static C(Other: UObject | any): NavArea_Null;
+declare class MaterialExpressionVectorParameter extends MaterialExpressionParameter { 
+	DefaultValue: LinearColor;
+	static Load(ResourceName: string): MaterialExpressionVectorParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVectorParameter;
+	static GetDefaultObject(): MaterialExpressionVectorParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVectorParameter;
+	static C(Other: UObject | any): MaterialExpressionVectorParameter;
 }
 
-declare class NavArea_Obstacle extends NavArea { 
-	static Load(ResourceName: string): NavArea_Obstacle;
-	static Find(Outer: UObject, ResourceName: string): NavArea_Obstacle;
-	static GetDefaultObject(): NavArea_Obstacle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavArea_Obstacle;
-	static C(Other: UObject | any): NavArea_Obstacle;
+declare type EChannelMaskParameterColor = 'Red' | 'Green' | 'Blue' | 'Alpha' | 'EChannelMaskParameterColor_MAX';
+declare var EChannelMaskParameterColor : { Red:'Red',Green:'Green',Blue:'Blue',Alpha:'Alpha',EChannelMaskParameterColor_MAX:'EChannelMaskParameterColor_MAX', };
+declare class MaterialExpressionChannelMaskParameter extends MaterialExpressionVectorParameter { 
+	MaskChannel: EChannelMaskParameterColor;
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionChannelMaskParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionChannelMaskParameter;
+	static GetDefaultObject(): MaterialExpressionChannelMaskParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionChannelMaskParameter;
+	static C(Other: UObject | any): MaterialExpressionChannelMaskParameter;
 }
 
-declare class NavAreaMeta extends NavArea { 
-	static Load(ResourceName: string): NavAreaMeta;
-	static Find(Outer: UObject, ResourceName: string): NavAreaMeta;
-	static GetDefaultObject(): NavAreaMeta;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAreaMeta;
-	static C(Other: UObject | any): NavAreaMeta;
+declare type EClampMode = 'CMODE_Clamp' | 'CMODE_ClampMin' | 'CMODE_ClampMax' | 'CMODE_MAX';
+declare var EClampMode : { CMODE_Clamp:'CMODE_Clamp',CMODE_ClampMin:'CMODE_ClampMin',CMODE_ClampMax:'CMODE_ClampMax',CMODE_MAX:'CMODE_MAX', };
+declare class MaterialExpressionClamp extends MaterialExpression { 
+	Input: ExpressionInput;
+	Min: ExpressionInput;
+	Max: ExpressionInput;
+	ClampMode: EClampMode;
+	MinDefault: number;
+	MaxDefault: number;
+	static Load(ResourceName: string): MaterialExpressionClamp;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionClamp;
+	static GetDefaultObject(): MaterialExpressionClamp;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionClamp;
+	static C(Other: UObject | any): MaterialExpressionClamp;
 }
 
-declare class NavAreaMeta_SwitchByAgent extends NavAreaMeta { 
-	Agent0Area: UnrealEngineClass;
-	Agent1Area: UnrealEngineClass;
-	Agent2Area: UnrealEngineClass;
-	Agent3Area: UnrealEngineClass;
-	Agent4Area: UnrealEngineClass;
-	Agent5Area: UnrealEngineClass;
-	Agent6Area: UnrealEngineClass;
-	Agent7Area: UnrealEngineClass;
-	Agent8Area: UnrealEngineClass;
-	Agent9Area: UnrealEngineClass;
-	Agent10Area: UnrealEngineClass;
-	Agent11Area: UnrealEngineClass;
-	Agent12Area: UnrealEngineClass;
-	Agent13Area: UnrealEngineClass;
-	Agent14Area: UnrealEngineClass;
-	Agent15Area: UnrealEngineClass;
-	static Load(ResourceName: string): NavAreaMeta_SwitchByAgent;
-	static Find(Outer: UObject, ResourceName: string): NavAreaMeta_SwitchByAgent;
-	static GetDefaultObject(): NavAreaMeta_SwitchByAgent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAreaMeta_SwitchByAgent;
-	static C(Other: UObject | any): NavAreaMeta_SwitchByAgent;
+declare class MaterialExpressionClearCoatNormalCustomOutput extends MaterialExpressionCustomOutput { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionClearCoatNormalCustomOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionClearCoatNormalCustomOutput;
+	static GetDefaultObject(): MaterialExpressionClearCoatNormalCustomOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionClearCoatNormalCustomOutput;
+	static C(Other: UObject | any): MaterialExpressionClearCoatNormalCustomOutput;
 }
 
-declare class NavEdgeProviderInterface extends Interface { 
-	static Load(ResourceName: string): NavEdgeProviderInterface;
-	static Find(Outer: UObject, ResourceName: string): NavEdgeProviderInterface;
-	static GetDefaultObject(): NavEdgeProviderInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavEdgeProviderInterface;
-	static C(Other: UObject | any): NavEdgeProviderInterface;
+declare class MaterialExpressionCollectionParameter extends MaterialExpression { 
+	Collection: MaterialParameterCollection;
+	ParameterName: string;
+	ParameterId: Guid;
+	static Load(ResourceName: string): MaterialExpressionCollectionParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCollectionParameter;
+	static GetDefaultObject(): MaterialExpressionCollectionParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCollectionParameter;
+	static C(Other: UObject | any): MaterialExpressionCollectionParameter;
 }
 
-declare class NavigationGraph extends NavigationData { 
-	static GetDefaultObject(): NavigationGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraph;
-	static C(Other: UObject | any): NavigationGraph;
+declare class MaterialExpressionComponentMask extends MaterialExpression { 
+	Input: ExpressionInput;
+	R: boolean;
+	G: boolean;
+	B: boolean;
+	A: boolean;
+	static Load(ResourceName: string): MaterialExpressionComponentMask;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionComponentMask;
+	static GetDefaultObject(): MaterialExpressionComponentMask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionComponentMask;
+	static C(Other: UObject | any): MaterialExpressionComponentMask;
 }
 
-declare class NavigationGraphNode extends Actor { 
-	static GetDefaultObject(): NavigationGraphNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraphNode;
-	static C(Other: UObject | any): NavigationGraphNode;
+declare class MaterialExpressionConstant extends MaterialExpression { 
+	R: number;
+	static Load(ResourceName: string): MaterialExpressionConstant;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant;
+	static GetDefaultObject(): MaterialExpressionConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant;
+	static C(Other: UObject | any): MaterialExpressionConstant;
 }
 
-declare class NavGraphNode { 
-	Owner: UObject;
-	clone() : NavGraphNode;
-	static C(Other: UObject | any): NavGraphNode;
+declare class MaterialExpressionConstant2Vector extends MaterialExpression { 
+	R: number;
+	G: number;
+	static Load(ResourceName: string): MaterialExpressionConstant2Vector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant2Vector;
+	static GetDefaultObject(): MaterialExpressionConstant2Vector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant2Vector;
+	static C(Other: UObject | any): MaterialExpressionConstant2Vector;
 }
 
-declare class NavigationGraphNodeComponent extends SceneComponent { 
-	UNode: NavGraphNode;
-	NextNodeComponent: NavigationGraphNodeComponent;
-	PrevNodeComponent: NavigationGraphNodeComponent;
-	static Load(ResourceName: string): NavigationGraphNodeComponent;
-	static Find(Outer: UObject, ResourceName: string): NavigationGraphNodeComponent;
-	static GetDefaultObject(): NavigationGraphNodeComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationGraphNodeComponent;
-	static C(Other: UObject | any): NavigationGraphNodeComponent;
+declare class MaterialExpressionConstant3Vector extends MaterialExpression { 
+	Constant: LinearColor;
+	static Load(ResourceName: string): MaterialExpressionConstant3Vector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant3Vector;
+	static GetDefaultObject(): MaterialExpressionConstant3Vector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant3Vector;
+	static C(Other: UObject | any): MaterialExpressionConstant3Vector;
 }
 
-declare class NavigationInvokerComponent extends ActorComponent { 
-	TileGenerationRadius: number;
-	TileRemovalRadius: number;
-	static Load(ResourceName: string): NavigationInvokerComponent;
-	static Find(Outer: UObject, ResourceName: string): NavigationInvokerComponent;
-	static GetDefaultObject(): NavigationInvokerComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationInvokerComponent;
-	static C(Other: UObject | any): NavigationInvokerComponent;
+declare class MaterialExpressionConstant4Vector extends MaterialExpression { 
+	Constant: LinearColor;
+	static Load(ResourceName: string): MaterialExpressionConstant4Vector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstant4Vector;
+	static GetDefaultObject(): MaterialExpressionConstant4Vector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstant4Vector;
+	static C(Other: UObject | any): MaterialExpressionConstant4Vector;
 }
 
-declare class NavigationPathGenerator extends Interface { 
-	static Load(ResourceName: string): NavigationPathGenerator;
-	static Find(Outer: UObject, ResourceName: string): NavigationPathGenerator;
-	static GetDefaultObject(): NavigationPathGenerator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationPathGenerator;
-	static C(Other: UObject | any): NavigationPathGenerator;
+declare class MaterialExpressionConstantBiasScale extends MaterialExpression { 
+	Input: ExpressionInput;
+	Bias: number;
+	Scale: number;
+	static Load(ResourceName: string): MaterialExpressionConstantBiasScale;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionConstantBiasScale;
+	static GetDefaultObject(): MaterialExpressionConstantBiasScale;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionConstantBiasScale;
+	static C(Other: UObject | any): MaterialExpressionConstantBiasScale;
 }
 
-declare class NavTestRenderingComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): NavTestRenderingComponent;
-	static Find(Outer: UObject, ResourceName: string): NavTestRenderingComponent;
-	static GetDefaultObject(): NavTestRenderingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavTestRenderingComponent;
-	static C(Other: UObject | any): NavTestRenderingComponent;
+declare class MaterialExpressionCosine extends MaterialExpression { 
+	Input: ExpressionInput;
+	Period: number;
+	static Load(ResourceName: string): MaterialExpressionCosine;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCosine;
+	static GetDefaultObject(): MaterialExpressionCosine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCosine;
+	static C(Other: UObject | any): MaterialExpressionCosine;
 }
 
-declare type ENavCostDisplay = 'TotalCost' | 'HeuristicOnly' | 'RealCostOnly' | 'ENavCostDisplay_MAX';
-declare var ENavCostDisplay : { TotalCost:'TotalCost',HeuristicOnly:'HeuristicOnly',RealCostOnly:'RealCostOnly',ENavCostDisplay_MAX:'ENavCostDisplay_MAX', };
-declare class NavigationTestingActor extends Actor { 
-	CapsuleComponent: CapsuleComponent;
-	EdRenderComp: NavTestRenderingComponent;
-	InvokerComponent: NavigationInvokerComponent;
-	bActAsNavigationInvoker: boolean;
-	NavAgentProps: NavAgentProperties;
-	QueryingExtent: Vector;
-	MyNavData: NavigationData;
-	ProjectedLocation: Vector;
-	bProjectedLocationValid: boolean;
-	bSearchStart: boolean;
-	bUseHierarchicalPathfinding: boolean;
-	bGatherDetailedInfo: boolean;
-	bDrawDistanceToWall: boolean;
-	bShowNodePool: boolean;
-	bShowBestPath: boolean;
-	bShowDiffWithPreviousStep: boolean;
-	bShouldBeVisibleInGame: boolean;
-	CostDisplayMode: ENavCostDisplay;
-	TextCanvasOffset: Vector2D;
-	bPathExist: boolean;
-	bPathIsPartial: boolean;
-	bPathSearchOutOfNodes: boolean;
-	PathfindingTime: number;
-	PathCost: number;
-	PathfindingSteps: number;
-	OtherActor: NavigationTestingActor;
-	FilterClass: UnrealEngineClass;
-	ShowStepIndex: number;
-	OffsetFromCornersDistance: number;
-	static GetDefaultObject(): NavigationTestingActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationTestingActor;
-	static C(Other: UObject | any): NavigationTestingActor;
+declare class MaterialExpressionCrossProduct extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionCrossProduct;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCrossProduct;
+	static GetDefaultObject(): MaterialExpressionCrossProduct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCrossProduct;
+	static C(Other: UObject | any): MaterialExpressionCrossProduct;
 }
 
-declare class NavigationTypes extends UObject { 
-	static Load(ResourceName: string): NavigationTypes;
-	static Find(Outer: UObject, ResourceName: string): NavigationTypes;
-	static GetDefaultObject(): NavigationTypes;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationTypes;
-	static C(Other: UObject | any): NavigationTypes;
+declare class MaterialExpressionScalarParameter extends MaterialExpressionParameter { 
+	DefaultValue: number;
+	SliderMin: number;
+	SliderMax: number;
+	static Load(ResourceName: string): MaterialExpressionScalarParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionScalarParameter;
+	static GetDefaultObject(): MaterialExpressionScalarParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionScalarParameter;
+	static C(Other: UObject | any): MaterialExpressionScalarParameter;
 }
 
-declare type ENavLinkDirection = 'BothWays' | 'LeftToRight' | 'RightToLeft' | 'ENavLinkDirection_MAX';
-declare var ENavLinkDirection : { BothWays:'BothWays',LeftToRight:'LeftToRight',RightToLeft:'RightToLeft',ENavLinkDirection_MAX:'ENavLinkDirection_MAX', };
-declare class NavigationLinkBase { 
-	LeftProjectHeight: number;
-	MaxFallDownLength: number;
-	Direction: ENavLinkDirection;
-	SnapRadius: number;
-	SnapHeight: number;
-	SupportedAgents: NavAgentSelector;
-	bSupportsAgent0: boolean;
-	bSupportsAgent1: boolean;
-	bSupportsAgent2: boolean;
-	bSupportsAgent3: boolean;
-	bSupportsAgent4: boolean;
-	bSupportsAgent5: boolean;
-	bSupportsAgent6: boolean;
-	bSupportsAgent7: boolean;
-	bSupportsAgent8: boolean;
-	bSupportsAgent9: boolean;
-	bSupportsAgent10: boolean;
-	bSupportsAgent11: boolean;
-	bSupportsAgent12: boolean;
-	bSupportsAgent13: boolean;
-	bSupportsAgent14: boolean;
-	bSupportsAgent15: boolean;
-	Description: string;
-	bUseSnapHeight: boolean;
-	bSnapToCheapestArea: boolean;
-	bCustomFlag0: boolean;
-	bCustomFlag1: boolean;
-	bCustomFlag2: boolean;
-	bCustomFlag3: boolean;
-	bCustomFlag4: boolean;
-	bCustomFlag5: boolean;
-	bCustomFlag6: boolean;
-	bCustomFlag7: boolean;
-	AreaClass: UnrealEngineClass;
-	clone() : NavigationLinkBase;
-	static C(Other: UObject | any): NavigationLinkBase;
+declare class MaterialExpressionCurveAtlasRowParameter extends MaterialExpressionScalarParameter { 
+	Curve: CurveLinearColor;
+	Atlas: CurveLinearColorAtlas;
+	InputTime: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionCurveAtlasRowParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCurveAtlasRowParameter;
+	static GetDefaultObject(): MaterialExpressionCurveAtlasRowParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCurveAtlasRowParameter;
+	static C(Other: UObject | any): MaterialExpressionCurveAtlasRowParameter;
 }
 
-declare class NavigationLink extends NavigationLinkBase { 
-	Left: Vector;
-	Right: Vector;
-	clone() : NavigationLink;
-	static C(Other: UObject | any): NavigationLink;
+declare type ECustomMaterialOutputType = 'CMOT_Float1' | 'CMOT_Float2' | 'CMOT_Float3' | 'CMOT_Float4' | 'CMOT_MAX';
+declare var ECustomMaterialOutputType : { CMOT_Float1:'CMOT_Float1',CMOT_Float2:'CMOT_Float2',CMOT_Float3:'CMOT_Float3',CMOT_Float4:'CMOT_Float4',CMOT_MAX:'CMOT_MAX', };
+declare class CustomInput { 
+	InputName: string;
+	Input: ExpressionInput;
+	clone() : CustomInput;
+	static C(Other: UObject | any): CustomInput;
 }
 
-declare class NavLinkComponent extends PrimitiveComponent { 
-	Links: NavigationLink[];
-	static Load(ResourceName: string): NavLinkComponent;
-	static Find(Outer: UObject, ResourceName: string): NavLinkComponent;
-	static GetDefaultObject(): NavLinkComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkComponent;
-	static C(Other: UObject | any): NavLinkComponent;
+declare class MaterialExpressionCustom extends MaterialExpression { 
+	Code: string;
+	OutputType: ECustomMaterialOutputType;
+	Description: string;
+	Inputs: CustomInput[];
+	static Load(ResourceName: string): MaterialExpressionCustom;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionCustom;
+	static GetDefaultObject(): MaterialExpressionCustom;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionCustom;
+	static C(Other: UObject | any): MaterialExpressionCustom;
 }
 
-declare class NavRelevantComponent extends ActorComponent { 
-	bAttachToOwnersRoot: boolean;
-	CachedNavParent: UObject;
-	static Load(ResourceName: string): NavRelevantComponent;
-	static Find(Outer: UObject, ResourceName: string): NavRelevantComponent;
-	static GetDefaultObject(): NavRelevantComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavRelevantComponent;
-	SetNavigationRelevancy(bRelevant: boolean): void;
-	static C(Other: UObject | any): NavRelevantComponent;
-}
-
-declare class NavLinkCustomComponent extends NavRelevantComponent { 
-	NavLinkUserId: any;
-	EnabledAreaClass: UnrealEngineClass;
-	DisabledAreaClass: UnrealEngineClass;
-	LinkRelativeStart: Vector;
-	LinkRelativeEnd: Vector;
-	LinkDirection: ENavLinkDirection;
-	bLinkEnabled: boolean;
-	bNotifyWhenEnabled: boolean;
-	bNotifyWhenDisabled: boolean;
-	bCreateBoxObstacle: boolean;
-	ObstacleOffset: Vector;
-	ObstacleExtent: Vector;
-	ObstacleAreaClass: UnrealEngineClass;
-	BroadcastRadius: number;
-	BroadcastInterval: number;
-	BroadcastChannel: ECollisionChannel;
-	static Load(ResourceName: string): NavLinkCustomComponent;
-	static Find(Outer: UObject, ResourceName: string): NavLinkCustomComponent;
-	static GetDefaultObject(): NavLinkCustomComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkCustomComponent;
-	static C(Other: UObject | any): NavLinkCustomComponent;
+declare class MaterialExpressionDDX extends MaterialExpression { 
+	Value: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDDX;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDDX;
+	static GetDefaultObject(): MaterialExpressionDDX;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDDX;
+	static C(Other: UObject | any): MaterialExpressionDDX;
 }
 
-declare class NavLinkCustomInterface extends Interface { 
-	static Load(ResourceName: string): NavLinkCustomInterface;
-	static Find(Outer: UObject, ResourceName: string): NavLinkCustomInterface;
-	static GetDefaultObject(): NavLinkCustomInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkCustomInterface;
-	static C(Other: UObject | any): NavLinkCustomInterface;
+declare class MaterialExpressionDDY extends MaterialExpression { 
+	Value: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDDY;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDDY;
+	static GetDefaultObject(): MaterialExpressionDDY;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDDY;
+	static C(Other: UObject | any): MaterialExpressionDDY;
 }
 
-declare class NavigationSegmentLink extends NavigationLinkBase { 
-	LeftStart: Vector;
-	LeftEnd: Vector;
-	RightStart: Vector;
-	RightEnd: Vector;
-	clone() : NavigationSegmentLink;
-	static C(Other: UObject | any): NavigationSegmentLink;
+declare class MaterialExpressionDecalDerivative extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionDecalDerivative;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalDerivative;
+	static GetDefaultObject(): MaterialExpressionDecalDerivative;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalDerivative;
+	static C(Other: UObject | any): MaterialExpressionDecalDerivative;
 }
 
-declare class NavLinkDefinition extends UObject { 
-	Links: NavigationLink[];
-	SegmentLinks: NavigationSegmentLink[];
-	static Load(ResourceName: string): NavLinkDefinition;
-	static Find(Outer: UObject, ResourceName: string): NavLinkDefinition;
-	static GetDefaultObject(): NavLinkDefinition;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkDefinition;
-	static C(Other: UObject | any): NavLinkDefinition;
+declare class MaterialExpressionDecalLifetimeOpacity extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionDecalLifetimeOpacity;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalLifetimeOpacity;
+	static GetDefaultObject(): MaterialExpressionDecalLifetimeOpacity;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalLifetimeOpacity;
+	static C(Other: UObject | any): MaterialExpressionDecalLifetimeOpacity;
 }
 
-declare class NavLinkHostInterface extends Interface { 
-	static Load(ResourceName: string): NavLinkHostInterface;
-	static Find(Outer: UObject, ResourceName: string): NavLinkHostInterface;
-	static GetDefaultObject(): NavLinkHostInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkHostInterface;
-	static C(Other: UObject | any): NavLinkHostInterface;
+declare class MaterialExpressionDecalMipmapLevel extends MaterialExpression { 
+	TextureSize: ExpressionInput;
+	ConstWidth: number;
+	ConstHeight: number;
+	static Load(ResourceName: string): MaterialExpressionDecalMipmapLevel;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDecalMipmapLevel;
+	static GetDefaultObject(): MaterialExpressionDecalMipmapLevel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDecalMipmapLevel;
+	static C(Other: UObject | any): MaterialExpressionDecalMipmapLevel;
 }
 
-declare class NavLinkRenderingComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): NavLinkRenderingComponent;
-	static Find(Outer: UObject, ResourceName: string): NavLinkRenderingComponent;
-	static GetDefaultObject(): NavLinkRenderingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkRenderingComponent;
-	static C(Other: UObject | any): NavLinkRenderingComponent;
+declare class MaterialExpressionDeltaTime extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionDeltaTime;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDeltaTime;
+	static GetDefaultObject(): MaterialExpressionDeltaTime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDeltaTime;
+	static C(Other: UObject | any): MaterialExpressionDeltaTime;
 }
 
-declare class NavLinkProxy extends Actor { 
-	PointLinks: NavigationLink[];
-	SegmentLinks: NavigationSegmentLink[];
-	SmartLinkComp: NavLinkCustomComponent;
-	bSmartLinkIsRelevant: boolean;
-	EdRenderComp: NavLinkRenderingComponent;
-	SpriteComponent: BillboardComponent;
-	OnSmartLinkReached: UnrealEngineMulticastDelegate<(MovingActor: Actor, DestinationPoint: Vector) => void>;
-	static GetDefaultObject(): NavLinkProxy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkProxy;
-	SetSmartLinkEnabled(bEnabled: boolean): void;
-	ResumePathFollowing(Agent: Actor): void;
-	ReceiveSmartLinkReached(Agent: Actor,Destination: Vector): void;
-	IsSmartLinkEnabled(): boolean;
-	HasMovingAgents(): boolean;
-	static C(Other: UObject | any): NavLinkProxy;
+declare class MaterialExpressionDepthFade extends MaterialExpression { 
+	InOpacity: ExpressionInput;
+	FadeDistance: ExpressionInput;
+	OpacityDefault: number;
+	FadeDistanceDefault: number;
+	static Load(ResourceName: string): MaterialExpressionDepthFade;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDepthFade;
+	static GetDefaultObject(): MaterialExpressionDepthFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDepthFade;
+	static C(Other: UObject | any): MaterialExpressionDepthFade;
 }
 
-declare class NavLinkTrivial extends NavLinkDefinition { 
-	static Load(ResourceName: string): NavLinkTrivial;
-	static Find(Outer: UObject, ResourceName: string): NavLinkTrivial;
-	static GetDefaultObject(): NavLinkTrivial;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavLinkTrivial;
-	static C(Other: UObject | any): NavLinkTrivial;
+declare type EDepthOfFieldFunctionValue = 'TDOF_NearAndFarMask' | 'TDOF_NearMask' | 'TDOF_FarMask' | 'TDOF_CircleOfConfusionRadius' | 'TDOF_MAX';
+declare var EDepthOfFieldFunctionValue : { TDOF_NearAndFarMask:'TDOF_NearAndFarMask',TDOF_NearMask:'TDOF_NearMask',TDOF_FarMask:'TDOF_FarMask',TDOF_CircleOfConfusionRadius:'TDOF_CircleOfConfusionRadius',TDOF_MAX:'TDOF_MAX', };
+declare class MaterialExpressionDepthOfFieldFunction extends MaterialExpression { 
+	FunctionValue: EDepthOfFieldFunctionValue;
+	Depth: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDepthOfFieldFunction;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDepthOfFieldFunction;
+	static GetDefaultObject(): MaterialExpressionDepthOfFieldFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDepthOfFieldFunction;
+	static C(Other: UObject | any): MaterialExpressionDepthOfFieldFunction;
 }
 
-declare class NavMeshRenderingComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): NavMeshRenderingComponent;
-	static Find(Outer: UObject, ResourceName: string): NavMeshRenderingComponent;
-	static GetDefaultObject(): NavMeshRenderingComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavMeshRenderingComponent;
-	static C(Other: UObject | any): NavMeshRenderingComponent;
+declare class MaterialExpressionDeriveNormalZ extends MaterialExpression { 
+	InXY: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDeriveNormalZ;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDeriveNormalZ;
+	static GetDefaultObject(): MaterialExpressionDeriveNormalZ;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDeriveNormalZ;
+	static C(Other: UObject | any): MaterialExpressionDeriveNormalZ;
 }
 
-declare class NavModifierComponent extends NavRelevantComponent { 
-	AreaClass: UnrealEngineClass;
-	FailsafeExtent: Vector;
-	static Load(ResourceName: string): NavModifierComponent;
-	static Find(Outer: UObject, ResourceName: string): NavModifierComponent;
-	static GetDefaultObject(): NavModifierComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavModifierComponent;
-	SetAreaClass(NewAreaClass: UnrealEngineClass): void;
-	static C(Other: UObject | any): NavModifierComponent;
+declare class MaterialExpressionDesaturation extends MaterialExpression { 
+	Input: ExpressionInput;
+	Fraction: ExpressionInput;
+	LuminanceFactors: LinearColor;
+	static Load(ResourceName: string): MaterialExpressionDesaturation;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDesaturation;
+	static GetDefaultObject(): MaterialExpressionDesaturation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDesaturation;
+	static C(Other: UObject | any): MaterialExpressionDesaturation;
 }
 
-declare class NavModifierVolume extends Volume { 
-	AreaClass: UnrealEngineClass;
-	static GetDefaultObject(): NavModifierVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavModifierVolume;
-	SetAreaClass(NewAreaClass: UnrealEngineClass): void;
-	static C(Other: UObject | any): NavModifierVolume;
+declare class MaterialExpressionDistance extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDistance;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistance;
+	static GetDefaultObject(): MaterialExpressionDistance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistance;
+	static C(Other: UObject | any): MaterialExpressionDistance;
 }
 
-declare class NavNodeInterface extends Interface { 
-	static Load(ResourceName: string): NavNodeInterface;
-	static Find(Outer: UObject, ResourceName: string): NavNodeInterface;
-	static GetDefaultObject(): NavNodeInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavNodeInterface;
-	static C(Other: UObject | any): NavNodeInterface;
+declare class MaterialExpressionDistanceCullFade extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionDistanceCullFade;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceCullFade;
+	static GetDefaultObject(): MaterialExpressionDistanceCullFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceCullFade;
+	static C(Other: UObject | any): MaterialExpressionDistanceCullFade;
 }
 
-declare class NavPathObserverInterface extends Interface { 
-	static Load(ResourceName: string): NavPathObserverInterface;
-	static Find(Outer: UObject, ResourceName: string): NavPathObserverInterface;
-	static GetDefaultObject(): NavPathObserverInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavPathObserverInterface;
-	static C(Other: UObject | any): NavPathObserverInterface;
+declare class MaterialExpressionDistanceFieldGradient extends MaterialExpression { 
+	Position: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDistanceFieldGradient;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceFieldGradient;
+	static GetDefaultObject(): MaterialExpressionDistanceFieldGradient;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceFieldGradient;
+	static C(Other: UObject | any): MaterialExpressionDistanceFieldGradient;
 }
 
-declare class NavRelevantInterface extends Interface { 
-	static Load(ResourceName: string): NavRelevantInterface;
-	static Find(Outer: UObject, ResourceName: string): NavRelevantInterface;
-	static GetDefaultObject(): NavRelevantInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavRelevantInterface;
-	static C(Other: UObject | any): NavRelevantInterface;
+declare class MaterialExpressionDistanceToNearestSurface extends MaterialExpression { 
+	Position: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDistanceToNearestSurface;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDistanceToNearestSurface;
+	static GetDefaultObject(): MaterialExpressionDistanceToNearestSurface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDistanceToNearestSurface;
+	static C(Other: UObject | any): MaterialExpressionDistanceToNearestSurface;
 }
 
-declare class NetworkPredictionInterface extends Interface { 
-	static Load(ResourceName: string): NetworkPredictionInterface;
-	static Find(Outer: UObject, ResourceName: string): NetworkPredictionInterface;
-	static GetDefaultObject(): NetworkPredictionInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetworkPredictionInterface;
-	static C(Other: UObject | any): NetworkPredictionInterface;
+declare class MaterialExpressionDivide extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionDivide;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDivide;
+	static GetDefaultObject(): MaterialExpressionDivide;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDivide;
+	static C(Other: UObject | any): MaterialExpressionDivide;
 }
 
-declare class NetworkSettings extends DeveloperSettings { 
-	bVerifyPeer: boolean;
-	bEnableMultiplayerWorldOriginRebasing: boolean;
-	MaxRepArraySize: number;
-	MaxRepArrayMemory: number;
-	static Load(ResourceName: string): NetworkSettings;
-	static Find(Outer: UObject, ResourceName: string): NetworkSettings;
-	static GetDefaultObject(): NetworkSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetworkSettings;
-	static C(Other: UObject | any): NetworkSettings;
+declare class MaterialExpressionDotProduct extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionDotProduct;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDotProduct;
+	static GetDefaultObject(): MaterialExpressionDotProduct;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDotProduct;
+	static C(Other: UObject | any): MaterialExpressionDotProduct;
 }
 
-declare class NodeMappingProviderInterface extends Interface { 
-	static Load(ResourceName: string): NodeMappingProviderInterface;
-	static Find(Outer: UObject, ResourceName: string): NodeMappingProviderInterface;
-	static GetDefaultObject(): NodeMappingProviderInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NodeMappingProviderInterface;
-	static C(Other: UObject | any): NodeMappingProviderInterface;
+declare class MaterialExpressionDynamicParameter extends MaterialExpression { 
+	ParamNames: string[];
+	DefaultValue: LinearColor;
+	ParameterIndex: any;
+	static Load(ResourceName: string): MaterialExpressionDynamicParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionDynamicParameter;
+	static GetDefaultObject(): MaterialExpressionDynamicParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionDynamicParameter;
+	static C(Other: UObject | any): MaterialExpressionDynamicParameter;
 }
 
-declare class Note extends Actor { 
-	text: string;
-	SpriteComponent: BillboardComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): Note;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Note;
-	static C(Other: UObject | any): Note;
+declare class MaterialExpressionEyeAdaptation extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionEyeAdaptation;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionEyeAdaptation;
+	static GetDefaultObject(): MaterialExpressionEyeAdaptation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionEyeAdaptation;
+	static C(Other: UObject | any): MaterialExpressionEyeAdaptation;
 }
 
-declare class ObjectLibrary extends UObject { 
-	ObjectBaseClass: UnrealEngineClass;
-	bHasBlueprintClasses: boolean;
-	Objects: UObject[];
-	WeakObjects: any[];
-	bUseWeakReferences: boolean;
-	bIsFullyLoaded: boolean;
-	static Load(ResourceName: string): ObjectLibrary;
-	static Find(Outer: UObject, ResourceName: string): ObjectLibrary;
-	static GetDefaultObject(): ObjectLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectLibrary;
-	static C(Other: UObject | any): ObjectLibrary;
-}
-
-declare class ObjectReferencer extends UObject { 
-	ReferencedObjects: UObject[];
-	static Load(ResourceName: string): ObjectReferencer;
-	static Find(Outer: UObject, ResourceName: string): ObjectReferencer;
-	static GetDefaultObject(): ObjectReferencer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectReferencer;
-	static C(Other: UObject | any): ObjectReferencer;
-}
-
-declare class OnlineBlueprintCallProxyBase extends UObject { 
-	static Load(ResourceName: string): OnlineBlueprintCallProxyBase;
-	static Find(Outer: UObject, ResourceName: string): OnlineBlueprintCallProxyBase;
-	static GetDefaultObject(): OnlineBlueprintCallProxyBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineBlueprintCallProxyBase;
-	Activate(): void;
-	static C(Other: UObject | any): OnlineBlueprintCallProxyBase;
-}
-
-declare class OnlineEngineInterface extends UObject { 
-	static Load(ResourceName: string): OnlineEngineInterface;
-	static Find(Outer: UObject, ResourceName: string): OnlineEngineInterface;
-	static GetDefaultObject(): OnlineEngineInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineEngineInterface;
-	static C(Other: UObject | any): OnlineEngineInterface;
-}
-
-declare class PackageMapClient extends PackageMap { 
-	static Load(ResourceName: string): PackageMapClient;
-	static Find(Outer: UObject, ResourceName: string): PackageMapClient;
-	static GetDefaultObject(): PackageMapClient;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageMapClient;
-	static C(Other: UObject | any): PackageMapClient;
-}
-
-declare class PainCausingVolume extends PhysicsVolume { 
-	bPainCausing: boolean;
-	DamagePerSec: number;
-	DamageType: UnrealEngineClass;
-	PainInterval: number;
-	bEntryPain: boolean;
-	BACKUP_bPainCausing: boolean;
-	DamageInstigator: Controller;
-	static GetDefaultObject(): PainCausingVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PainCausingVolume;
-	static C(Other: UObject | any): PainCausingVolume;
-}
-
-declare class ParticleModuleAccelerationBase extends ParticleModule { 
-	bAlwaysInWorldSpace: boolean;
-	static Load(ResourceName: string): ParticleModuleAccelerationBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationBase;
-	static GetDefaultObject(): ParticleModuleAccelerationBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationBase;
-	static C(Other: UObject | any): ParticleModuleAccelerationBase;
-}
-
-declare class ParticleModuleAcceleration extends ParticleModuleAccelerationBase { 
-	Acceleration: RawDistributionVector;
-	bApplyOwnerScale: boolean;
-	static Load(ResourceName: string): ParticleModuleAcceleration;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAcceleration;
-	static GetDefaultObject(): ParticleModuleAcceleration;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAcceleration;
-	static C(Other: UObject | any): ParticleModuleAcceleration;
-}
-
-declare class ParticleModuleAccelerationConstant extends ParticleModuleAccelerationBase { 
-	Acceleration: Vector;
-	static Load(ResourceName: string): ParticleModuleAccelerationConstant;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationConstant;
-	static GetDefaultObject(): ParticleModuleAccelerationConstant;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationConstant;
-	static C(Other: UObject | any): ParticleModuleAccelerationConstant;
-}
-
-declare class ParticleModuleAccelerationDrag extends ParticleModuleAccelerationBase { 
-	DragCoefficient: DistributionFloat;
-	DragCoefficientRaw: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleAccelerationDrag;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationDrag;
-	static GetDefaultObject(): ParticleModuleAccelerationDrag;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationDrag;
-	static C(Other: UObject | any): ParticleModuleAccelerationDrag;
-}
-
-declare class ParticleModuleAccelerationDragScaleOverLife extends ParticleModuleAccelerationBase { 
-	DragScale: DistributionFloat;
-	DragScaleRaw: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleAccelerationDragScaleOverLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationDragScaleOverLife;
-	static GetDefaultObject(): ParticleModuleAccelerationDragScaleOverLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationDragScaleOverLife;
-	static C(Other: UObject | any): ParticleModuleAccelerationDragScaleOverLife;
-}
-
-declare class ParticleModuleAccelerationOverLifetime extends ParticleModuleAccelerationBase { 
-	AccelOverLife: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleAccelerationOverLifetime;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationOverLifetime;
-	static GetDefaultObject(): ParticleModuleAccelerationOverLifetime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationOverLifetime;
-	static C(Other: UObject | any): ParticleModuleAccelerationOverLifetime;
-}
-
-declare class ParticleModuleAttractorBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleAttractorBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorBase;
-	static GetDefaultObject(): ParticleModuleAttractorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorBase;
-	static C(Other: UObject | any): ParticleModuleAttractorBase;
-}
-
-declare class ParticleModuleAttractorLine extends ParticleModuleAttractorBase { 
-	EndPoint0: Vector;
-	EndPoint1: Vector;
-	Range: RawDistributionFloat;
-	Strength: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleAttractorLine;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorLine;
-	static GetDefaultObject(): ParticleModuleAttractorLine;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorLine;
-	static C(Other: UObject | any): ParticleModuleAttractorLine;
-}
-
-declare type EAttractorParticleSelectionMethod = 'EAPSM_Random' | 'EAPSM_Sequential' | 'EAPSM_MAX';
-declare var EAttractorParticleSelectionMethod : { EAPSM_Random:'EAPSM_Random',EAPSM_Sequential:'EAPSM_Sequential',EAPSM_MAX:'EAPSM_MAX', };
-declare class ParticleModuleAttractorParticle extends ParticleModuleAttractorBase { 
-	EmitterName: string;
-	Range: RawDistributionFloat;
-	bStrengthByDistance: boolean;
-	Strength: RawDistributionFloat;
-	bAffectBaseVelocity: boolean;
-	SelectionMethod: EAttractorParticleSelectionMethod;
-	bRenewSource: boolean;
-	bInheritSourceVel: boolean;
-	LastSelIndex: number;
-	static Load(ResourceName: string): ParticleModuleAttractorParticle;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorParticle;
-	static GetDefaultObject(): ParticleModuleAttractorParticle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorParticle;
-	static C(Other: UObject | any): ParticleModuleAttractorParticle;
-}
-
-declare class ParticleModuleAttractorPoint extends ParticleModuleAttractorBase { 
-	Position: RawDistributionVector;
-	Range: RawDistributionFloat;
-	Strength: RawDistributionFloat;
-	StrengthByDistance: boolean;
-	bAffectBaseVelocity: boolean;
-	bOverrideVelocity: boolean;
-	bUseWorldSpacePosition: boolean;
-	Positive_X: boolean;
-	Positive_Y: boolean;
-	Positive_Z: boolean;
-	Negative_X: boolean;
-	Negative_Y: boolean;
-	Negative_Z: boolean;
-	static Load(ResourceName: string): ParticleModuleAttractorPoint;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorPoint;
-	static GetDefaultObject(): ParticleModuleAttractorPoint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorPoint;
-	static C(Other: UObject | any): ParticleModuleAttractorPoint;
-}
-
-declare class ParticleModuleAttractorPointGravity extends ParticleModuleAttractorBase { 
-	Position: Vector;
-	Radius: number;
-	Strength: DistributionFloat;
-	StrengthRaw: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleAttractorPointGravity;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorPointGravity;
-	static GetDefaultObject(): ParticleModuleAttractorPointGravity;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorPointGravity;
-	static C(Other: UObject | any): ParticleModuleAttractorPointGravity;
-}
-
-declare class ParticleModuleBeamBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleBeamBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamBase;
-	static GetDefaultObject(): ParticleModuleBeamBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamBase;
-	static C(Other: UObject | any): ParticleModuleBeamBase;
-}
-
-declare type BeamModifierType = 'PEB2MT_Source' | 'PEB2MT_Target' | 'PEB2MT_MAX';
-declare var BeamModifierType : { PEB2MT_Source:'PEB2MT_Source',PEB2MT_Target:'PEB2MT_Target',PEB2MT_MAX:'PEB2MT_MAX', };
-declare class BeamModifierOptions { 
-	bModify: boolean;
-	bScale: boolean;
-	bLock: boolean;
-	clone() : BeamModifierOptions;
-	static C(Other: UObject | any): BeamModifierOptions;
-}
-
-declare class ParticleModuleBeamModifier extends ParticleModuleBeamBase { 
-	ModifierType: BeamModifierType;
-	PositionOptions: BeamModifierOptions;
-	Position: RawDistributionVector;
-	TangentOptions: BeamModifierOptions;
-	Tangent: RawDistributionVector;
-	bAbsoluteTangent: boolean;
-	StrengthOptions: BeamModifierOptions;
-	Strength: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleBeamModifier;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamModifier;
-	static GetDefaultObject(): ParticleModuleBeamModifier;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamModifier;
-	static C(Other: UObject | any): ParticleModuleBeamModifier;
-}
-
-declare class ParticleModuleBeamNoise extends ParticleModuleBeamBase { 
-	bLowFreq_Enabled: boolean;
-	Frequency: number;
-	Frequency_LowRange: number;
-	NoiseRange: RawDistributionVector;
-	NoiseRangeScale: RawDistributionFloat;
-	bNRScaleEmitterTime: boolean;
-	NoiseSpeed: RawDistributionVector;
-	bSmooth: boolean;
-	NoiseLockRadius: number;
-	bNoiseLock: boolean;
-	bOscillate: boolean;
-	NoiseLockTime: number;
-	NoiseTension: number;
-	bUseNoiseTangents: boolean;
-	NoiseTangentStrength: RawDistributionFloat;
-	NoiseTessellation: number;
-	bTargetNoise: boolean;
-	FrequencyDistance: number;
-	bApplyNoiseScale: boolean;
-	NoiseScale: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleBeamNoise;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamNoise;
-	static GetDefaultObject(): ParticleModuleBeamNoise;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamNoise;
-	static C(Other: UObject | any): ParticleModuleBeamNoise;
-}
-
-declare type Beam2SourceTargetMethod = 'PEB2STM_Default' | 'PEB2STM_UserSet' | 'PEB2STM_Emitter' | 'PEB2STM_Particle' | 'PEB2STM_Actor' | 'PEB2STM_MAX';
-declare var Beam2SourceTargetMethod : { PEB2STM_Default:'PEB2STM_Default',PEB2STM_UserSet:'PEB2STM_UserSet',PEB2STM_Emitter:'PEB2STM_Emitter',PEB2STM_Particle:'PEB2STM_Particle',PEB2STM_Actor:'PEB2STM_Actor',PEB2STM_MAX:'PEB2STM_MAX', };
-declare type Beam2SourceTargetTangentMethod = 'PEB2STTM_Direct' | 'PEB2STTM_UserSet' | 'PEB2STTM_Distribution' | 'PEB2STTM_Emitter' | 'PEB2STTM_MAX';
-declare var Beam2SourceTargetTangentMethod : { PEB2STTM_Direct:'PEB2STTM_Direct',PEB2STTM_UserSet:'PEB2STTM_UserSet',PEB2STTM_Distribution:'PEB2STTM_Distribution',PEB2STTM_Emitter:'PEB2STTM_Emitter',PEB2STTM_MAX:'PEB2STTM_MAX', };
-declare class ParticleModuleBeamSource extends ParticleModuleBeamBase { 
-	SourceMethod: Beam2SourceTargetMethod;
-	SourceName: string;
-	bSourceAbsolute: boolean;
-	Source: RawDistributionVector;
-	bLockSource: boolean;
-	SourceTangentMethod: Beam2SourceTargetTangentMethod;
-	SourceTangent: RawDistributionVector;
-	bLockSourceTangent: boolean;
-	SourceStrength: RawDistributionFloat;
-	bLockSourceStength: boolean;
-	static Load(ResourceName: string): ParticleModuleBeamSource;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamSource;
-	static GetDefaultObject(): ParticleModuleBeamSource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamSource;
-	static C(Other: UObject | any): ParticleModuleBeamSource;
-}
-
-declare class ParticleModuleBeamTarget extends ParticleModuleBeamBase { 
-	TargetMethod: Beam2SourceTargetMethod;
-	TargetName: string;
-	Target: RawDistributionVector;
-	bTargetAbsolute: boolean;
-	bLockTarget: boolean;
-	TargetTangentMethod: Beam2SourceTargetTangentMethod;
-	TargetTangent: RawDistributionVector;
-	bLockTargetTangent: boolean;
-	TargetStrength: RawDistributionFloat;
-	bLockTargetStength: boolean;
-	LockRadius: number;
-	static Load(ResourceName: string): ParticleModuleBeamTarget;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamTarget;
-	static GetDefaultObject(): ParticleModuleBeamTarget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamTarget;
-	static C(Other: UObject | any): ParticleModuleBeamTarget;
-}
-
-declare class ParticleModuleCameraBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleCameraBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleCameraBase;
-	static GetDefaultObject(): ParticleModuleCameraBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCameraBase;
-	static C(Other: UObject | any): ParticleModuleCameraBase;
-}
-
-declare type EParticleCameraOffsetUpdateMethod = 'EPCOUM_DirectSet' | 'EPCOUM_Additive' | 'EPCOUM_Scalar' | 'EPCOUM_MAX';
-declare var EParticleCameraOffsetUpdateMethod : { EPCOUM_DirectSet:'EPCOUM_DirectSet',EPCOUM_Additive:'EPCOUM_Additive',EPCOUM_Scalar:'EPCOUM_Scalar',EPCOUM_MAX:'EPCOUM_MAX', };
-declare class ParticleModuleCameraOffset extends ParticleModuleCameraBase { 
-	CameraOffset: RawDistributionFloat;
-	bSpawnTimeOnly: boolean;
-	UpdateMethod: EParticleCameraOffsetUpdateMethod;
-	static Load(ResourceName: string): ParticleModuleCameraOffset;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleCameraOffset;
-	static GetDefaultObject(): ParticleModuleCameraOffset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCameraOffset;
-	static C(Other: UObject | any): ParticleModuleCameraOffset;
-}
-
-declare class ParticleModuleCollisionBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleCollisionBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollisionBase;
-	static GetDefaultObject(): ParticleModuleCollisionBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollisionBase;
-	static C(Other: UObject | any): ParticleModuleCollisionBase;
-}
-
-declare type EParticleCollisionComplete = 'EPCC_Kill' | 'EPCC_Freeze' | 'EPCC_HaltCollisions' | 'EPCC_FreezeTranslation' | 'EPCC_FreezeRotation' | 'EPCC_FreezeMovement' | 'EPCC_MAX';
-declare var EParticleCollisionComplete : { EPCC_Kill:'EPCC_Kill',EPCC_Freeze:'EPCC_Freeze',EPCC_HaltCollisions:'EPCC_HaltCollisions',EPCC_FreezeTranslation:'EPCC_FreezeTranslation',EPCC_FreezeRotation:'EPCC_FreezeRotation',EPCC_FreezeMovement:'EPCC_FreezeMovement',EPCC_MAX:'EPCC_MAX', };
-declare class ParticleModuleCollision extends ParticleModuleCollisionBase { 
-	DampingFactor: RawDistributionVector;
-	DampingFactorRotation: RawDistributionVector;
-	MaxCollisions: RawDistributionFloat;
-	CollisionCompletionOption: EParticleCollisionComplete;
-	CollisionTypes: EObjectTypeQuery[];
-	bApplyPhysics: boolean;
-	bIgnoreTriggerVolumes: boolean;
-	ParticleMass: RawDistributionFloat;
-	DirScalar: number;
-	bPawnsDoNotDecrementCount: boolean;
-	bOnlyVerticalNormalsDecrementCount: boolean;
-	VerticalFudgeFactor: number;
-	DelayAmount: RawDistributionFloat;
-	bDropDetail: boolean;
-	bCollideOnlyIfVisible: boolean;
-	bIgnoreSourceActor: boolean;
-	MaxCollisionDistance: number;
-	static Load(ResourceName: string): ParticleModuleCollision;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollision;
-	static GetDefaultObject(): ParticleModuleCollision;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollision;
-	static C(Other: UObject | any): ParticleModuleCollision;
-}
-
-declare type EParticleCollisionResponse = 'Bounce' | 'Stop' | 'Kill' | 'EParticleCollisionResponse_MAX';
-declare var EParticleCollisionResponse : { Bounce:'Bounce',Stop:'Stop',Kill:'Kill',EParticleCollisionResponse_MAX:'EParticleCollisionResponse_MAX', };
-declare type EParticleCollisionMode = 'SceneDepth' | 'DistanceField' | 'EParticleCollisionMode_MAX';
-declare var EParticleCollisionMode : { SceneDepth:'SceneDepth',DistanceField:'DistanceField',EParticleCollisionMode_MAX:'EParticleCollisionMode_MAX', };
-declare class ParticleModuleCollisionGPU extends ParticleModuleCollisionBase { 
-	Resilience: RawDistributionFloat;
-	ResilienceScaleOverLife: RawDistributionFloat;
-	Friction: number;
-	RandomSpread: number;
-	RandomDistribution: number;
-	RadiusScale: number;
-	RadiusBias: number;
-	Response: EParticleCollisionResponse;
-	CollisionMode: EParticleCollisionMode;
-	static Load(ResourceName: string): ParticleModuleCollisionGPU;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollisionGPU;
-	static GetDefaultObject(): ParticleModuleCollisionGPU;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollisionGPU;
-	static C(Other: UObject | any): ParticleModuleCollisionGPU;
-}
-
-declare class ParticleModuleColorBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleColorBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorBase;
-	static GetDefaultObject(): ParticleModuleColorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorBase;
-	static C(Other: UObject | any): ParticleModuleColorBase;
-}
-
-declare class ParticleModuleColor extends ParticleModuleColorBase { 
-	StartColor: RawDistributionVector;
-	StartAlpha: RawDistributionFloat;
-	bClampAlpha: boolean;
-	static Load(ResourceName: string): ParticleModuleColor;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleColor;
-	static GetDefaultObject(): ParticleModuleColor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColor;
-	static C(Other: UObject | any): ParticleModuleColor;
-}
-
-declare class ParticleRandomSeedInfo { 
-	ParameterName: string;
-	bGetSeedFromInstance: boolean;
-	bInstanceSeedIsIndex: boolean;
-	bResetSeedOnEmitterLooping: boolean;
-	bRandomlySelectSeedArray: boolean;
-	RandomSeeds: number[];
-	clone() : ParticleRandomSeedInfo;
-	static C(Other: UObject | any): ParticleRandomSeedInfo;
-}
-
-declare class ParticleModuleColor_Seeded extends ParticleModuleColor { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleColor_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleColor_Seeded;
-	static GetDefaultObject(): ParticleModuleColor_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColor_Seeded;
-	static C(Other: UObject | any): ParticleModuleColor_Seeded;
-}
-
-declare class ParticleModuleColorOverLife extends ParticleModuleColorBase { 
-	ColorOverLife: RawDistributionVector;
-	AlphaOverLife: RawDistributionFloat;
-	bClampAlpha: boolean;
-	static Load(ResourceName: string): ParticleModuleColorOverLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorOverLife;
-	static GetDefaultObject(): ParticleModuleColorOverLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorOverLife;
-	static C(Other: UObject | any): ParticleModuleColorOverLife;
-}
-
-declare class ParticleModuleColorScaleOverLife extends ParticleModuleColorBase { 
-	ColorScaleOverLife: RawDistributionVector;
-	AlphaScaleOverLife: RawDistributionFloat;
-	bEmitterTime: boolean;
-	static Load(ResourceName: string): ParticleModuleColorScaleOverLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorScaleOverLife;
-	static GetDefaultObject(): ParticleModuleColorScaleOverLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorScaleOverLife;
-	static C(Other: UObject | any): ParticleModuleColorScaleOverLife;
-}
-
-declare class ParticleModuleEventReceiverKillParticles extends ParticleModuleEventReceiverBase { 
-	bStopSpawning: boolean;
-	static Load(ResourceName: string): ParticleModuleEventReceiverKillParticles;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventReceiverKillParticles;
-	static GetDefaultObject(): ParticleModuleEventReceiverKillParticles;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventReceiverKillParticles;
-	static C(Other: UObject | any): ParticleModuleEventReceiverKillParticles;
-}
-
-declare class ParticleModuleEventReceiverSpawn extends ParticleModuleEventReceiverBase { 
-	SpawnCount: RawDistributionFloat;
-	bUseParticleTime: boolean;
-	bUsePSysLocation: boolean;
-	bInheritVelocity: boolean;
-	InheritVelocityScale: RawDistributionVector;
-	PhysicalMaterials: PhysicalMaterial[];
-	bBanPhysicalMaterials: boolean;
-	static Load(ResourceName: string): ParticleModuleEventReceiverSpawn;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventReceiverSpawn;
-	static GetDefaultObject(): ParticleModuleEventReceiverSpawn;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventReceiverSpawn;
-	static C(Other: UObject | any): ParticleModuleEventReceiverSpawn;
-}
-
-declare class ParticleModuleKillBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleKillBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillBase;
-	static GetDefaultObject(): ParticleModuleKillBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillBase;
-	static C(Other: UObject | any): ParticleModuleKillBase;
-}
-
-declare class ParticleModuleKillBox extends ParticleModuleKillBase { 
-	LowerLeftCorner: RawDistributionVector;
-	UpperRightCorner: RawDistributionVector;
-	bAbsolute: boolean;
-	bKillInside: boolean;
-	bAxisAlignedAndFixedSize: boolean;
-	static Load(ResourceName: string): ParticleModuleKillBox;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillBox;
-	static GetDefaultObject(): ParticleModuleKillBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillBox;
-	static C(Other: UObject | any): ParticleModuleKillBox;
-}
-
-declare class ParticleModuleKillHeight extends ParticleModuleKillBase { 
-	Height: RawDistributionFloat;
-	bAbsolute: boolean;
-	bFloor: boolean;
-	bApplyPSysScale: boolean;
-	static Load(ResourceName: string): ParticleModuleKillHeight;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillHeight;
-	static GetDefaultObject(): ParticleModuleKillHeight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillHeight;
-	static C(Other: UObject | any): ParticleModuleKillHeight;
-}
-
-declare class ParticleModuleLifetimeBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleLifetimeBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetimeBase;
-	static GetDefaultObject(): ParticleModuleLifetimeBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetimeBase;
-	static C(Other: UObject | any): ParticleModuleLifetimeBase;
-}
-
-declare class ParticleModuleLifetime extends ParticleModuleLifetimeBase { 
-	LifeTime: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleLifetime;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetime;
-	static GetDefaultObject(): ParticleModuleLifetime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetime;
-	static C(Other: UObject | any): ParticleModuleLifetime;
-}
-
-declare class ParticleModuleLifetime_Seeded extends ParticleModuleLifetime { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLifetime_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetime_Seeded;
-	static GetDefaultObject(): ParticleModuleLifetime_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetime_Seeded;
-	static C(Other: UObject | any): ParticleModuleLifetime_Seeded;
-}
-
-declare class ParticleModuleLightBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleLightBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLightBase;
-	static GetDefaultObject(): ParticleModuleLightBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLightBase;
-	static C(Other: UObject | any): ParticleModuleLightBase;
-}
-
-declare class ParticleModuleLight extends ParticleModuleLightBase { 
-	bUseInverseSquaredFalloff: boolean;
-	bAffectsTranslucency: boolean;
-	bPreviewLightRadius: boolean;
-	SpawnFraction: number;
-	ColorScaleOverLife: RawDistributionVector;
-	BrightnessOverLife: RawDistributionFloat;
-	RadiusScale: RawDistributionFloat;
-	LightExponent: RawDistributionFloat;
-	LightingChannels: LightingChannels;
-	VolumetricScatteringIntensity: number;
-	bHighQualityLights: boolean;
-	bShadowCastingLights: boolean;
-	static Load(ResourceName: string): ParticleModuleLight;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLight;
-	static GetDefaultObject(): ParticleModuleLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLight;
-	static C(Other: UObject | any): ParticleModuleLight;
-}
-
-declare class ParticleModuleLight_Seeded extends ParticleModuleLight { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLight_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLight_Seeded;
-	static GetDefaultObject(): ParticleModuleLight_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLight_Seeded;
-	static C(Other: UObject | any): ParticleModuleLight_Seeded;
-}
-
-declare class ParticleModuleLocationBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleLocationBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationBase;
-	static GetDefaultObject(): ParticleModuleLocationBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationBase;
-	static C(Other: UObject | any): ParticleModuleLocationBase;
-}
-
-declare class ParticleModuleLocation extends ParticleModuleLocationBase { 
-	StartLocation: RawDistributionVector;
-	DistributeOverNPoints: number;
-	DistributeThreshold: number;
-	static Load(ResourceName: string): ParticleModuleLocation;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocation;
-	static GetDefaultObject(): ParticleModuleLocation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocation;
-	static C(Other: UObject | any): ParticleModuleLocation;
-}
-
-declare class ParticleModuleLocation_Seeded extends ParticleModuleLocation { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLocation_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocation_Seeded;
-	static GetDefaultObject(): ParticleModuleLocation_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocation_Seeded;
-	static C(Other: UObject | any): ParticleModuleLocation_Seeded;
-}
-
-declare type ELocationBoneSocketSource = 'BONESOCKETSOURCE_Bones' | 'BONESOCKETSOURCE_Sockets' | 'BONESOCKETSOURCE_MAX';
-declare var ELocationBoneSocketSource : { BONESOCKETSOURCE_Bones:'BONESOCKETSOURCE_Bones',BONESOCKETSOURCE_Sockets:'BONESOCKETSOURCE_Sockets',BONESOCKETSOURCE_MAX:'BONESOCKETSOURCE_MAX', };
-declare class LocationBoneSocketInfo { 
-	BoneSocketName: string;
-	Offset: Vector;
-	clone() : LocationBoneSocketInfo;
-	static C(Other: UObject | any): LocationBoneSocketInfo;
-}
-
-declare type ELocationBoneSocketSelectionMethod = 'BONESOCKETSEL_Sequential' | 'BONESOCKETSEL_Random' | 'BONESOCKETSEL_MAX';
-declare var ELocationBoneSocketSelectionMethod : { BONESOCKETSEL_Sequential:'BONESOCKETSEL_Sequential',BONESOCKETSEL_Random:'BONESOCKETSEL_Random',BONESOCKETSEL_MAX:'BONESOCKETSEL_MAX', };
-declare class ParticleModuleLocationBoneSocket extends ParticleModuleLocationBase { 
-	SourceType: ELocationBoneSocketSource;
-	UniversalOffset: Vector;
-	SourceLocations: LocationBoneSocketInfo[];
-	SelectionMethod: ELocationBoneSocketSelectionMethod;
-	bUpdatePositionEachFrame: boolean;
-	bOrientMeshEmitters: boolean;
-	bInheritBoneVelocity: boolean;
-	InheritVelocityScale: number;
-	SkelMeshActorParamName: string;
-	NumPreSelectedIndices: number;
-	EditorSkelMesh: SkeletalMesh;
-	static Load(ResourceName: string): ParticleModuleLocationBoneSocket;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationBoneSocket;
-	static GetDefaultObject(): ParticleModuleLocationBoneSocket;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationBoneSocket;
-	static C(Other: UObject | any): ParticleModuleLocationBoneSocket;
-}
-
-declare class ParticleModuleLocationDirect extends ParticleModuleLocationBase { 
-	Location: RawDistributionVector;
-	LocationOffset: RawDistributionVector;
-	ScaleFactor: RawDistributionVector;
-	Direction: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleLocationDirect;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationDirect;
-	static GetDefaultObject(): ParticleModuleLocationDirect;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationDirect;
-	static C(Other: UObject | any): ParticleModuleLocationDirect;
-}
-
-declare type ELocationEmitterSelectionMethod = 'ELESM_Random' | 'ELESM_Sequential' | 'ELESM_MAX';
-declare var ELocationEmitterSelectionMethod : { ELESM_Random:'ELESM_Random',ELESM_Sequential:'ELESM_Sequential',ELESM_MAX:'ELESM_MAX', };
-declare class ParticleModuleLocationEmitter extends ParticleModuleLocationBase { 
-	EmitterName: string;
-	SelectionMethod: ELocationEmitterSelectionMethod;
-	InheritSourceVelocity: boolean;
-	InheritSourceVelocityScale: number;
-	bInheritSourceRotation: boolean;
-	InheritSourceRotationScale: number;
-	static Load(ResourceName: string): ParticleModuleLocationEmitter;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationEmitter;
-	static GetDefaultObject(): ParticleModuleLocationEmitter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationEmitter;
-	static C(Other: UObject | any): ParticleModuleLocationEmitter;
-}
-
-declare class ParticleModuleLocationEmitterDirect extends ParticleModuleLocationBase { 
-	EmitterName: string;
-	static Load(ResourceName: string): ParticleModuleLocationEmitterDirect;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationEmitterDirect;
-	static GetDefaultObject(): ParticleModuleLocationEmitterDirect;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationEmitterDirect;
-	static C(Other: UObject | any): ParticleModuleLocationEmitterDirect;
-}
-
-declare class ParticleModuleLocationPrimitiveBase extends ParticleModuleLocationBase { 
-	Positive_X: boolean;
-	Positive_Y: boolean;
-	Positive_Z: boolean;
-	Negative_X: boolean;
-	Negative_Y: boolean;
-	Negative_Z: boolean;
-	SurfaceOnly: boolean;
-	Velocity: boolean;
-	VelocityScale: RawDistributionFloat;
-	StartLocation: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveBase;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveBase;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveBase;
-}
-
-declare type CylinderHeightAxis = 'PMLPC_HEIGHTAXIS_X' | 'PMLPC_HEIGHTAXIS_Y' | 'PMLPC_HEIGHTAXIS_Z' | 'PMLPC_HEIGHTAXIS_MAX';
-declare var CylinderHeightAxis : { PMLPC_HEIGHTAXIS_X:'PMLPC_HEIGHTAXIS_X',PMLPC_HEIGHTAXIS_Y:'PMLPC_HEIGHTAXIS_Y',PMLPC_HEIGHTAXIS_Z:'PMLPC_HEIGHTAXIS_Z',PMLPC_HEIGHTAXIS_MAX:'PMLPC_HEIGHTAXIS_MAX', };
-declare class ParticleModuleLocationPrimitiveCylinder extends ParticleModuleLocationPrimitiveBase { 
-	RadialVelocity: boolean;
-	StartRadius: RawDistributionFloat;
-	StartHeight: RawDistributionFloat;
-	HeightAxis: CylinderHeightAxis;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveCylinder;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveCylinder;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveCylinder;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveCylinder;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveCylinder;
-}
-
-declare class ParticleModuleLocationPrimitiveCylinder_Seeded extends ParticleModuleLocationPrimitiveCylinder { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveCylinder_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveCylinder_Seeded;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveCylinder_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveCylinder_Seeded;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveCylinder_Seeded;
-}
-
-declare class ParticleModuleLocationPrimitiveSphere extends ParticleModuleLocationPrimitiveBase { 
-	StartRadius: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveSphere;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveSphere;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveSphere;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveSphere;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveSphere;
-}
-
-declare class ParticleModuleLocationPrimitiveSphere_Seeded extends ParticleModuleLocationPrimitiveSphere { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveSphere_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveSphere_Seeded;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveSphere_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveSphere_Seeded;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveSphere_Seeded;
-}
-
-declare class ParticleModuleLocationPrimitiveTriangle extends ParticleModuleLocationBase { 
-	StartOffset: RawDistributionVector;
-	Height: RawDistributionFloat;
-	Angle: RawDistributionFloat;
-	Thickness: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleLocationPrimitiveTriangle;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveTriangle;
-	static GetDefaultObject(): ParticleModuleLocationPrimitiveTriangle;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveTriangle;
-	static C(Other: UObject | any): ParticleModuleLocationPrimitiveTriangle;
-}
-
-declare type ELocationSkelVertSurfaceSource = 'VERTSURFACESOURCE_Vert' | 'VERTSURFACESOURCE_Surface' | 'VERTSURFACESOURCE_MAX';
-declare var ELocationSkelVertSurfaceSource : { VERTSURFACESOURCE_Vert:'VERTSURFACESOURCE_Vert',VERTSURFACESOURCE_Surface:'VERTSURFACESOURCE_Surface',VERTSURFACESOURCE_MAX:'VERTSURFACESOURCE_MAX', };
-declare class ParticleModuleLocationSkelVertSurface extends ParticleModuleLocationBase { 
-	SourceType: ELocationSkelVertSurfaceSource;
-	UniversalOffset: Vector;
-	bUpdatePositionEachFrame: boolean;
-	bOrientMeshEmitters: boolean;
-	bInheritBoneVelocity: boolean;
-	InheritVelocityScale: number;
-	SkelMeshActorParamName: string;
-	EditorSkelMesh: SkeletalMesh;
-	ValidAssociatedBones: string[];
-	bEnforceNormalCheck: boolean;
-	NormalToCompare: Vector;
-	NormalCheckToleranceDegrees: number;
-	NormalCheckTolerance: number;
-	ValidMaterialIndices: number[];
-	bInheritVertexColor: boolean;
-	bInheritUV: boolean;
-	InheritUVChannel: any;
-	static Load(ResourceName: string): ParticleModuleLocationSkelVertSurface;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationSkelVertSurface;
-	static GetDefaultObject(): ParticleModuleLocationSkelVertSurface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationSkelVertSurface;
-	static C(Other: UObject | any): ParticleModuleLocationSkelVertSurface;
-}
-
-declare class ParticleModuleLocationWorldOffset extends ParticleModuleLocation { 
-	static Load(ResourceName: string): ParticleModuleLocationWorldOffset;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationWorldOffset;
-	static GetDefaultObject(): ParticleModuleLocationWorldOffset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationWorldOffset;
-	static C(Other: UObject | any): ParticleModuleLocationWorldOffset;
-}
-
-declare class ParticleModuleLocationWorldOffset_Seeded extends ParticleModuleLocationWorldOffset { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleLocationWorldOffset_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationWorldOffset_Seeded;
-	static GetDefaultObject(): ParticleModuleLocationWorldOffset_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationWorldOffset_Seeded;
-	static C(Other: UObject | any): ParticleModuleLocationWorldOffset_Seeded;
-}
-
-declare class ParticleModuleMaterialBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleMaterialBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMaterialBase;
-	static GetDefaultObject(): ParticleModuleMaterialBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMaterialBase;
-	static C(Other: UObject | any): ParticleModuleMaterialBase;
-}
-
-declare class ParticleModuleMeshMaterial extends ParticleModuleMaterialBase { 
-	MeshMaterials: MaterialInterface[];
-	static Load(ResourceName: string): ParticleModuleMeshMaterial;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshMaterial;
-	static GetDefaultObject(): ParticleModuleMeshMaterial;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshMaterial;
-	static C(Other: UObject | any): ParticleModuleMeshMaterial;
-}
-
-declare class ParticleModuleRotationBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleRotationBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationBase;
-	static GetDefaultObject(): ParticleModuleRotationBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationBase;
-	static C(Other: UObject | any): ParticleModuleRotationBase;
-}
-
-declare class ParticleModuleMeshRotation extends ParticleModuleRotationBase { 
-	StartRotation: RawDistributionVector;
-	bInheritParent: boolean;
-	static Load(ResourceName: string): ParticleModuleMeshRotation;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotation;
-	static GetDefaultObject(): ParticleModuleMeshRotation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotation;
-	static C(Other: UObject | any): ParticleModuleMeshRotation;
-}
-
-declare class ParticleModuleMeshRotation_Seeded extends ParticleModuleMeshRotation { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleMeshRotation_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotation_Seeded;
-	static GetDefaultObject(): ParticleModuleMeshRotation_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotation_Seeded;
-	static C(Other: UObject | any): ParticleModuleMeshRotation_Seeded;
-}
-
-declare class ParticleModuleRotationRateBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleRotationRateBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRateBase;
-	static GetDefaultObject(): ParticleModuleRotationRateBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRateBase;
-	static C(Other: UObject | any): ParticleModuleRotationRateBase;
-}
-
-declare class ParticleModuleMeshRotationRate extends ParticleModuleRotationRateBase { 
-	StartRotationRate: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleMeshRotationRate;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRate;
-	static GetDefaultObject(): ParticleModuleMeshRotationRate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRate;
-	static C(Other: UObject | any): ParticleModuleMeshRotationRate;
-}
-
-declare class ParticleModuleMeshRotationRate_Seeded extends ParticleModuleMeshRotationRate { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleMeshRotationRate_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRate_Seeded;
-	static GetDefaultObject(): ParticleModuleMeshRotationRate_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRate_Seeded;
-	static C(Other: UObject | any): ParticleModuleMeshRotationRate_Seeded;
-}
-
-declare class ParticleModuleMeshRotationRateMultiplyLife extends ParticleModuleRotationRateBase { 
-	LifeMultiplier: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleMeshRotationRateMultiplyLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRateMultiplyLife;
-	static GetDefaultObject(): ParticleModuleMeshRotationRateMultiplyLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRateMultiplyLife;
-	static C(Other: UObject | any): ParticleModuleMeshRotationRateMultiplyLife;
-}
-
-declare class ParticleModuleMeshRotationRateOverLife extends ParticleModuleRotationRateBase { 
-	RotRate: RawDistributionVector;
-	bScaleRotRate: boolean;
-	static Load(ResourceName: string): ParticleModuleMeshRotationRateOverLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRateOverLife;
-	static GetDefaultObject(): ParticleModuleMeshRotationRateOverLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRateOverLife;
-	static C(Other: UObject | any): ParticleModuleMeshRotationRateOverLife;
-}
-
-declare class ParticleModuleOrientationBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleOrientationBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrientationBase;
-	static GetDefaultObject(): ParticleModuleOrientationBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrientationBase;
-	static C(Other: UObject | any): ParticleModuleOrientationBase;
-}
-
-declare type EParticleAxisLock = 'EPAL_NONE' | 'EPAL_X' | 'EPAL_Y' | 'EPAL_Z' | 'EPAL_NEGATIVE_X' | 'EPAL_NEGATIVE_Y' | 'EPAL_NEGATIVE_Z' | 'EPAL_ROTATE_X' | 'EPAL_ROTATE_Y' | 'EPAL_ROTATE_Z' | 'EPAL_MAX';
-declare var EParticleAxisLock : { EPAL_NONE:'EPAL_NONE',EPAL_X:'EPAL_X',EPAL_Y:'EPAL_Y',EPAL_Z:'EPAL_Z',EPAL_NEGATIVE_X:'EPAL_NEGATIVE_X',EPAL_NEGATIVE_Y:'EPAL_NEGATIVE_Y',EPAL_NEGATIVE_Z:'EPAL_NEGATIVE_Z',EPAL_ROTATE_X:'EPAL_ROTATE_X',EPAL_ROTATE_Y:'EPAL_ROTATE_Y',EPAL_ROTATE_Z:'EPAL_ROTATE_Z',EPAL_MAX:'EPAL_MAX', };
-declare class ParticleModuleOrientationAxisLock extends ParticleModuleOrientationBase { 
-	LockAxisFlags: EParticleAxisLock;
-	static Load(ResourceName: string): ParticleModuleOrientationAxisLock;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrientationAxisLock;
-	static GetDefaultObject(): ParticleModuleOrientationAxisLock;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrientationAxisLock;
-	static C(Other: UObject | any): ParticleModuleOrientationAxisLock;
-}
-
-declare class ParticleModuleParameterBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleParameterBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterBase;
-	static GetDefaultObject(): ParticleModuleParameterBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterBase;
-	static C(Other: UObject | any): ParticleModuleParameterBase;
-}
-
-declare type EEmitterDynamicParameterValue = 'EDPV_UserSet' | 'EDPV_AutoSet' | 'EDPV_VelocityX' | 'EDPV_VelocityY' | 'EDPV_VelocityZ' | 'EDPV_VelocityMag' | 'EDPV_MAX';
-declare var EEmitterDynamicParameterValue : { EDPV_UserSet:'EDPV_UserSet',EDPV_AutoSet:'EDPV_AutoSet',EDPV_VelocityX:'EDPV_VelocityX',EDPV_VelocityY:'EDPV_VelocityY',EDPV_VelocityZ:'EDPV_VelocityZ',EDPV_VelocityMag:'EDPV_VelocityMag',EDPV_MAX:'EDPV_MAX', };
-declare class EmitterDynamicParameter { 
-	ParamName: string;
-	bUseEmitterTime: boolean;
-	bSpawnTimeOnly: boolean;
-	ValueMethod: EEmitterDynamicParameterValue;
-	bScaleVelocityByParamValue: boolean;
-	ParamValue: RawDistributionFloat;
-	clone() : EmitterDynamicParameter;
-	static C(Other: UObject | any): EmitterDynamicParameter;
-}
-
-declare class ParticleModuleParameterDynamic extends ParticleModuleParameterBase { 
-	DynamicParams: EmitterDynamicParameter[];
-	UpdateFlags: number;
-	bUsesVelocity: boolean;
-	static Load(ResourceName: string): ParticleModuleParameterDynamic;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterDynamic;
-	static GetDefaultObject(): ParticleModuleParameterDynamic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterDynamic;
-	static C(Other: UObject | any): ParticleModuleParameterDynamic;
-}
-
-declare class ParticleModuleParameterDynamic_Seeded extends ParticleModuleParameterDynamic { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleParameterDynamic_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterDynamic_Seeded;
-	static GetDefaultObject(): ParticleModuleParameterDynamic_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterDynamic_Seeded;
-	static C(Other: UObject | any): ParticleModuleParameterDynamic_Seeded;
-}
-
-declare class ParticleModulePivotOffset extends ParticleModuleLocationBase { 
-	PivotOffset: Vector2D;
-	static Load(ResourceName: string): ParticleModulePivotOffset;
-	static Find(Outer: UObject, ResourceName: string): ParticleModulePivotOffset;
-	static GetDefaultObject(): ParticleModulePivotOffset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModulePivotOffset;
-	static C(Other: UObject | any): ParticleModulePivotOffset;
-}
-
-declare class ParticleModuleRotation extends ParticleModuleRotationBase { 
-	StartRotation: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleRotation;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotation;
-	static GetDefaultObject(): ParticleModuleRotation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotation;
-	static C(Other: UObject | any): ParticleModuleRotation;
-}
-
-declare class ParticleModuleRotation_Seeded extends ParticleModuleRotation { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleRotation_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotation_Seeded;
-	static GetDefaultObject(): ParticleModuleRotation_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotation_Seeded;
-	static C(Other: UObject | any): ParticleModuleRotation_Seeded;
-}
-
-declare class ParticleModuleRotationOverLifetime extends ParticleModuleRotationBase { 
-	RotationOverLife: RawDistributionFloat;
-	Scale: boolean;
-	static Load(ResourceName: string): ParticleModuleRotationOverLifetime;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationOverLifetime;
-	static GetDefaultObject(): ParticleModuleRotationOverLifetime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationOverLifetime;
-	static C(Other: UObject | any): ParticleModuleRotationOverLifetime;
-}
-
-declare class ParticleModuleRotationRate extends ParticleModuleRotationRateBase { 
-	StartRotationRate: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleRotationRate;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRate;
-	static GetDefaultObject(): ParticleModuleRotationRate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRate;
-	static C(Other: UObject | any): ParticleModuleRotationRate;
-}
-
-declare class ParticleModuleRotationRate_Seeded extends ParticleModuleRotationRate { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleRotationRate_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRate_Seeded;
-	static GetDefaultObject(): ParticleModuleRotationRate_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRate_Seeded;
-	static C(Other: UObject | any): ParticleModuleRotationRate_Seeded;
-}
-
-declare class ParticleModuleRotationRateMultiplyLife extends ParticleModuleRotationRateBase { 
-	LifeMultiplier: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleRotationRateMultiplyLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRateMultiplyLife;
-	static GetDefaultObject(): ParticleModuleRotationRateMultiplyLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRateMultiplyLife;
-	static C(Other: UObject | any): ParticleModuleRotationRateMultiplyLife;
-}
-
-declare class ParticleModuleSizeBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleSizeBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeBase;
-	static GetDefaultObject(): ParticleModuleSizeBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeBase;
-	static C(Other: UObject | any): ParticleModuleSizeBase;
-}
-
-declare class ParticleModuleSize extends ParticleModuleSizeBase { 
-	StartSize: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleSize;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSize;
-	static GetDefaultObject(): ParticleModuleSize;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSize;
-	static C(Other: UObject | any): ParticleModuleSize;
-}
-
-declare class ParticleModuleSize_Seeded extends ParticleModuleSize { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleSize_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSize_Seeded;
-	static GetDefaultObject(): ParticleModuleSize_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSize_Seeded;
-	static C(Other: UObject | any): ParticleModuleSize_Seeded;
-}
-
-declare class ParticleModuleSizeMultiplyLife extends ParticleModuleSizeBase { 
-	LifeMultiplier: RawDistributionVector;
-	MultiplyX: boolean;
-	MultiplyY: boolean;
-	MultiplyZ: boolean;
-	static Load(ResourceName: string): ParticleModuleSizeMultiplyLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeMultiplyLife;
-	static GetDefaultObject(): ParticleModuleSizeMultiplyLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeMultiplyLife;
-	static C(Other: UObject | any): ParticleModuleSizeMultiplyLife;
-}
-
-declare class ParticleModuleSizeScale extends ParticleModuleSizeBase { 
-	SizeScale: RawDistributionVector;
-	EnableX: boolean;
-	EnableY: boolean;
-	EnableZ: boolean;
-	static Load(ResourceName: string): ParticleModuleSizeScale;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeScale;
-	static GetDefaultObject(): ParticleModuleSizeScale;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeScale;
-	static C(Other: UObject | any): ParticleModuleSizeScale;
-}
-
-declare class ParticleModuleSizeScaleBySpeed extends ParticleModuleSizeBase { 
-	SpeedScale: Vector2D;
-	MaxScale: Vector2D;
-	static Load(ResourceName: string): ParticleModuleSizeScaleBySpeed;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeScaleBySpeed;
-	static GetDefaultObject(): ParticleModuleSizeScaleBySpeed;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeScaleBySpeed;
-	static C(Other: UObject | any): ParticleModuleSizeScaleBySpeed;
-}
-
-declare class ParticleModuleSourceMovement extends ParticleModuleLocationBase { 
-	SourceMovementScale: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleSourceMovement;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSourceMovement;
-	static GetDefaultObject(): ParticleModuleSourceMovement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSourceMovement;
-	static C(Other: UObject | any): ParticleModuleSourceMovement;
-}
-
-declare class ParticleModuleSpawnPerUnit extends ParticleModuleSpawnBase { 
-	UnitScalar: number;
-	SpawnPerUnit: RawDistributionFloat;
-	bIgnoreSpawnRateWhenMoving: boolean;
-	MovementTolerance: number;
-	MaxFrameDistance: number;
-	bIgnoreMovementAlongX: boolean;
-	bIgnoreMovementAlongY: boolean;
-	bIgnoreMovementAlongZ: boolean;
-	static Load(ResourceName: string): ParticleModuleSpawnPerUnit;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSpawnPerUnit;
-	static GetDefaultObject(): ParticleModuleSpawnPerUnit;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSpawnPerUnit;
-	static C(Other: UObject | any): ParticleModuleSpawnPerUnit;
-}
-
-declare class ParticleModuleSubUVBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleSubUVBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUVBase;
-	static GetDefaultObject(): ParticleModuleSubUVBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUVBase;
-	static C(Other: UObject | any): ParticleModuleSubUVBase;
-}
-
-declare class SubUVAnimation extends UObject { 
-	SubUVTexture: Texture2D;
-	SubImages_Horizontal: number;
-	SubImages_Vertical: number;
-	BoundingMode: ESubUVBoundingVertexCount;
-	OpacitySourceMode: EOpacitySourceMode;
-	AlphaThreshold: number;
-	static Load(ResourceName: string): SubUVAnimation;
-	static Find(Outer: UObject, ResourceName: string): SubUVAnimation;
-	static GetDefaultObject(): SubUVAnimation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubUVAnimation;
-	static C(Other: UObject | any): SubUVAnimation;
-}
-
-declare class ParticleModuleSubUV extends ParticleModuleSubUVBase { 
-	Animation: SubUVAnimation;
-	SubImageIndex: RawDistributionFloat;
-	bUseRealTime: boolean;
-	static Load(ResourceName: string): ParticleModuleSubUV;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUV;
-	static GetDefaultObject(): ParticleModuleSubUV;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUV;
-	static C(Other: UObject | any): ParticleModuleSubUV;
-}
-
-declare class ParticleModuleSubUVMovie extends ParticleModuleSubUV { 
-	bUseEmitterTime: boolean;
-	FrameRate: RawDistributionFloat;
-	StartingFrame: number;
-	static Load(ResourceName: string): ParticleModuleSubUVMovie;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUVMovie;
-	static GetDefaultObject(): ParticleModuleSubUVMovie;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUVMovie;
-	static C(Other: UObject | any): ParticleModuleSubUVMovie;
-}
-
-declare class ParticleModuleTrailBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleTrailBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTrailBase;
-	static GetDefaultObject(): ParticleModuleTrailBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTrailBase;
-	static C(Other: UObject | any): ParticleModuleTrailBase;
-}
-
-declare type ETrail2SourceMethod = 'PET2SRCM_Default' | 'PET2SRCM_Particle' | 'PET2SRCM_Actor' | 'PET2SRCM_MAX';
-declare var ETrail2SourceMethod : { PET2SRCM_Default:'PET2SRCM_Default',PET2SRCM_Particle:'PET2SRCM_Particle',PET2SRCM_Actor:'PET2SRCM_Actor',PET2SRCM_MAX:'PET2SRCM_MAX', };
-declare type EParticleSourceSelectionMethod = 'EPSSM_Random' | 'EPSSM_Sequential' | 'EPSSM_MAX';
-declare var EParticleSourceSelectionMethod : { EPSSM_Random:'EPSSM_Random',EPSSM_Sequential:'EPSSM_Sequential',EPSSM_MAX:'EPSSM_MAX', };
-declare class ParticleModuleTrailSource extends ParticleModuleTrailBase { 
-	SourceMethod: ETrail2SourceMethod;
-	SourceName: string;
-	SourceStrength: RawDistributionFloat;
-	bLockSourceStength: boolean;
-	SourceOffsetCount: number;
-	SourceOffsetDefaults: Vector[];
-	SelectionMethod: EParticleSourceSelectionMethod;
-	bInheritRotation: boolean;
-	static Load(ResourceName: string): ParticleModuleTrailSource;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTrailSource;
-	static GetDefaultObject(): ParticleModuleTrailSource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTrailSource;
-	static C(Other: UObject | any): ParticleModuleTrailSource;
-}
-
-declare class ParticleModuleTypeDataAnimTrail extends ParticleModuleTypeDataBase { 
-	bDeadTrailsOnDeactivate: boolean;
-	bEnablePreviousTangentRecalculation: boolean;
-	bTangentRecalculationEveryFrame: boolean;
-	TilingDistance: number;
-	DistanceTessellationStepSize: number;
-	TangentTessellationStepSize: number;
-	WidthTessellationStepSize: number;
-	static Load(ResourceName: string): ParticleModuleTypeDataAnimTrail;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataAnimTrail;
-	static GetDefaultObject(): ParticleModuleTypeDataAnimTrail;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataAnimTrail;
-	static C(Other: UObject | any): ParticleModuleTypeDataAnimTrail;
-}
-
-declare type EBeam2Method = 'PEB2M_Distance' | 'PEB2M_Target' | 'PEB2M_Branch' | 'PEB2M_MAX';
-declare var EBeam2Method : { PEB2M_Distance:'PEB2M_Distance',PEB2M_Target:'PEB2M_Target',PEB2M_Branch:'PEB2M_Branch',PEB2M_MAX:'PEB2M_MAX', };
-declare type EBeamTaperMethod = 'PEBTM_None' | 'PEBTM_Full' | 'PEBTM_Partial' | 'PEBTM_MAX';
-declare var EBeamTaperMethod : { PEBTM_None:'PEBTM_None',PEBTM_Full:'PEBTM_Full',PEBTM_Partial:'PEBTM_Partial',PEBTM_MAX:'PEBTM_MAX', };
-declare class ParticleModuleTypeDataBeam2 extends ParticleModuleTypeDataBase { 
-	BeamMethod: EBeam2Method;
-	TextureTile: number;
-	TextureTileDistance: number;
-	Sheets: number;
-	MaxBeamCount: number;
-	Speed: number;
-	InterpolationPoints: number;
-	bAlwaysOn: boolean;
-	UpVectorStepSize: number;
-	BranchParentName: string;
-	Distance: RawDistributionFloat;
-	TaperMethod: EBeamTaperMethod;
-	TaperFactor: RawDistributionFloat;
-	TaperScale: RawDistributionFloat;
-	RenderGeometry: boolean;
-	RenderDirectLine: boolean;
-	RenderLines: boolean;
-	RenderTessellation: boolean;
-	static Load(ResourceName: string): ParticleModuleTypeDataBeam2;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataBeam2;
-	static GetDefaultObject(): ParticleModuleTypeDataBeam2;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataBeam2;
-	static C(Other: UObject | any): ParticleModuleTypeDataBeam2;
-}
-
-declare class VectorField extends UObject { 
-	Bounds: Box;
-	Intensity: number;
-	static Load(ResourceName: string): VectorField;
-	static Find(Outer: UObject, ResourceName: string): VectorField;
-	static GetDefaultObject(): VectorField;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorField;
-	static C(Other: UObject | any): VectorField;
-}
-
-declare class GPUSpriteLocalVectorFieldInfo { 
-	Field: VectorField;
-	Transform: Transform;
-	MinInitialRotation: Rotator;
-	MaxInitialRotation: Rotator;
-	RotationRate: Rotator;
-	Intensity: number;
-	Tightness: number;
-	bIgnoreComponentTransform: boolean;
-	bTileX: boolean;
-	bTileY: boolean;
-	bTileZ: boolean;
-	bUseFixDT: boolean;
-	clone() : GPUSpriteLocalVectorFieldInfo;
-	static C(Other: UObject | any): GPUSpriteLocalVectorFieldInfo;
-}
-
-declare class FloatDistribution { 
-	Table: DistributionLookupTable;
-	clone() : FloatDistribution;
-	static C(Other: UObject | any): FloatDistribution;
-}
-
-declare class GPUSpriteEmitterInfo { 
-	RequiredModule: ParticleModuleRequired;
-	SpawnModule: ParticleModuleSpawn;
-	SpawnPerUnitModule: ParticleModuleSpawnPerUnit;
-	SpawnModules: ParticleModule[];
-	LocalVectorField: GPUSpriteLocalVectorFieldInfo;
-	VectorFieldScale: FloatDistribution;
-	DragCoefficient: FloatDistribution;
-	PointAttractorStrength: FloatDistribution;
-	Resilience: FloatDistribution;
-	ConstantAcceleration: Vector;
-	PointAttractorPosition: Vector;
-	PointAttractorRadiusSq: number;
-	OrbitOffsetBase: Vector;
-	OrbitOffsetRange: Vector;
-	InvMaxSize: Vector2D;
-	InvRotationRateScale: number;
-	MaxLifetime: number;
-	MaxParticleCount: number;
-	ScreenAlignment: EParticleScreenAlignment;
-	LockAxisFlag: EParticleAxisLock;
-	bEnableCollision: boolean;
-	CollisionMode: EParticleCollisionMode;
-	bRemoveHMDRoll: boolean;
-	MinFacingCameraBlendDistance: number;
-	MaxFacingCameraBlendDistance: number;
-	DynamicColor: RawDistributionVector;
-	DynamicAlpha: RawDistributionFloat;
-	DynamicColorScale: RawDistributionVector;
-	DynamicAlphaScale: RawDistributionFloat;
-	clone() : GPUSpriteEmitterInfo;
-	static C(Other: UObject | any): GPUSpriteEmitterInfo;
-}
-
-declare class GPUSpriteResourceData { 
-	QuantizedColorSamples: Color[];
-	QuantizedMiscSamples: Color[];
-	QuantizedSimulationAttrSamples: Color[];
-	ColorScale: Vector4;
-	ColorBias: Vector4;
-	MiscScale: Vector4;
-	MiscBias: Vector4;
-	SimulationAttrCurveScale: Vector4;
-	SimulationAttrCurveBias: Vector4;
-	SubImageSize: Vector4;
-	SizeBySpeed: Vector4;
-	ConstantAcceleration: Vector;
-	OrbitOffsetBase: Vector;
-	OrbitOffsetRange: Vector;
-	OrbitFrequencyBase: Vector;
-	OrbitFrequencyRange: Vector;
-	OrbitPhaseBase: Vector;
-	OrbitPhaseRange: Vector;
-	GlobalVectorFieldScale: number;
-	GlobalVectorFieldTightness: number;
-	PerParticleVectorFieldScale: number;
-	PerParticleVectorFieldBias: number;
-	DragCoefficientScale: number;
-	DragCoefficientBias: number;
-	ResilienceScale: number;
-	ResilienceBias: number;
-	CollisionRadiusScale: number;
-	CollisionRadiusBias: number;
-	CollisionTimeBias: number;
-	CollisionRandomSpread: number;
-	CollisionRandomDistribution: number;
-	OneMinusFriction: number;
-	RotationRateScale: number;
-	CameraMotionBlurAmount: number;
-	ScreenAlignment: EParticleScreenAlignment;
-	LockAxisFlag: EParticleAxisLock;
-	PivotOffset: Vector2D;
-	bRemoveHMDRoll: boolean;
-	MinFacingCameraBlendDistance: number;
-	MaxFacingCameraBlendDistance: number;
-	clone() : GPUSpriteResourceData;
-	static C(Other: UObject | any): GPUSpriteResourceData;
-}
-
-declare class ParticleModuleTypeDataGpu extends ParticleModuleTypeDataBase { 
-	EmitterInfo: GPUSpriteEmitterInfo;
-	ResourceData: GPUSpriteResourceData;
-	CameraMotionBlurAmount: number;
-	bClearExistingParticlesOnInit: boolean;
-	static Load(ResourceName: string): ParticleModuleTypeDataGpu;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataGpu;
-	static GetDefaultObject(): ParticleModuleTypeDataGpu;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataGpu;
-	static C(Other: UObject | any): ParticleModuleTypeDataGpu;
-}
-
-declare type EMeshScreenAlignment = 'PSMA_MeshFaceCameraWithRoll' | 'PSMA_MeshFaceCameraWithSpin' | 'PSMA_MeshFaceCameraWithLockedAxis' | 'PSMA_MAX';
-declare var EMeshScreenAlignment : { PSMA_MeshFaceCameraWithRoll:'PSMA_MeshFaceCameraWithRoll',PSMA_MeshFaceCameraWithSpin:'PSMA_MeshFaceCameraWithSpin',PSMA_MeshFaceCameraWithLockedAxis:'PSMA_MeshFaceCameraWithLockedAxis',PSMA_MAX:'PSMA_MAX', };
-declare type EMeshCameraFacingUpAxis = 'CameraFacing_NoneUP' | 'CameraFacing_ZUp' | 'CameraFacing_NegativeZUp' | 'CameraFacing_YUp' | 'CameraFacing_NegativeYUp' | 'CameraFacing_MAX';
-declare var EMeshCameraFacingUpAxis : { CameraFacing_NoneUP:'CameraFacing_NoneUP',CameraFacing_ZUp:'CameraFacing_ZUp',CameraFacing_NegativeZUp:'CameraFacing_NegativeZUp',CameraFacing_YUp:'CameraFacing_YUp',CameraFacing_NegativeYUp:'CameraFacing_NegativeYUp',CameraFacing_MAX:'CameraFacing_MAX', };
-declare type EMeshCameraFacingOptions = 'XAxisFacing_NoUp' | 'XAxisFacing_ZUp' | 'XAxisFacing_NegativeZUp' | 'XAxisFacing_YUp' | 'XAxisFacing_NegativeYUp' | 'LockedAxis_ZAxisFacing' | 'LockedAxis_NegativeZAxisFacing' | 'LockedAxis_YAxisFacing' | 'LockedAxis_NegativeYAxisFacing' | 'VelocityAligned_ZAxisFacing' | 'VelocityAligned_NegativeZAxisFacing' | 'VelocityAligned_YAxisFacing' | 'VelocityAligned_NegativeYAxisFacing' | 'EMeshCameraFacingOptions_MAX';
-declare var EMeshCameraFacingOptions : { XAxisFacing_NoUp:'XAxisFacing_NoUp',XAxisFacing_ZUp:'XAxisFacing_ZUp',XAxisFacing_NegativeZUp:'XAxisFacing_NegativeZUp',XAxisFacing_YUp:'XAxisFacing_YUp',XAxisFacing_NegativeYUp:'XAxisFacing_NegativeYUp',LockedAxis_ZAxisFacing:'LockedAxis_ZAxisFacing',LockedAxis_NegativeZAxisFacing:'LockedAxis_NegativeZAxisFacing',LockedAxis_YAxisFacing:'LockedAxis_YAxisFacing',LockedAxis_NegativeYAxisFacing:'LockedAxis_NegativeYAxisFacing',VelocityAligned_ZAxisFacing:'VelocityAligned_ZAxisFacing',VelocityAligned_NegativeZAxisFacing:'VelocityAligned_NegativeZAxisFacing',VelocityAligned_YAxisFacing:'VelocityAligned_YAxisFacing',VelocityAligned_NegativeYAxisFacing:'VelocityAligned_NegativeYAxisFacing',EMeshCameraFacingOptions_MAX:'EMeshCameraFacingOptions_MAX', };
-declare class ParticleModuleTypeDataMesh extends ParticleModuleTypeDataBase { 
-	Mesh: StaticMesh;
-	CastShadows: boolean;
-	DoCollisions: boolean;
-	MeshAlignment: EMeshScreenAlignment;
-	bOverrideMaterial: boolean;
-	bOverrideDefaultMotionBlurSettings: boolean;
-	bEnableMotionBlur: boolean;
-	Pitch: number;
-	Roll: number;
-	Yaw: number;
-	RollPitchYawRange: RawDistributionVector;
-	AxisLockOption: EParticleAxisLock;
-	bCameraFacing: boolean;
-	CameraFacingUpAxisOption: EMeshCameraFacingUpAxis;
-	CameraFacingOption: EMeshCameraFacingOptions;
-	bApplyParticleRotationAsSpin: boolean;
-	bFaceCameraDirectionRatherThanPosition: boolean;
-	bCollisionsConsiderPartilceSize: boolean;
-	static Load(ResourceName: string): ParticleModuleTypeDataMesh;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataMesh;
-	static GetDefaultObject(): ParticleModuleTypeDataMesh;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataMesh;
-	static C(Other: UObject | any): ParticleModuleTypeDataMesh;
-}
-
-declare type ETrailsRenderAxisOption = 'Trails_CameraUp' | 'Trails_SourceUp' | 'Trails_WorldUp' | 'Trails_MAX';
-declare var ETrailsRenderAxisOption : { Trails_CameraUp:'Trails_CameraUp',Trails_SourceUp:'Trails_SourceUp',Trails_WorldUp:'Trails_WorldUp',Trails_MAX:'Trails_MAX', };
-declare class ParticleModuleTypeDataRibbon extends ParticleModuleTypeDataBase { 
-	MaxTessellationBetweenParticles: number;
-	SheetsPerTrail: number;
-	MaxTrailCount: number;
-	MaxParticleInTrailCount: number;
-	bDeadTrailsOnDeactivate: boolean;
-	bDeadTrailsOnSourceLoss: boolean;
-	bClipSourceSegement: boolean;
-	bEnablePreviousTangentRecalculation: boolean;
-	bTangentRecalculationEveryFrame: boolean;
-	bSpawnInitialParticle: boolean;
-	RenderAxis: ETrailsRenderAxisOption;
-	TangentSpawningScalar: number;
-	bRenderGeometry: boolean;
-	bRenderSpawnPoints: boolean;
-	bRenderTangents: boolean;
-	bRenderTessellation: boolean;
-	TilingDistance: number;
-	DistanceTessellationStepSize: number;
-	bEnableTangentDiffInterpScale: boolean;
-	TangentTessellationScalar: number;
-	static Load(ResourceName: string): ParticleModuleTypeDataRibbon;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataRibbon;
-	static GetDefaultObject(): ParticleModuleTypeDataRibbon;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataRibbon;
-	static C(Other: UObject | any): ParticleModuleTypeDataRibbon;
-}
-
-declare class ParticleModuleVectorFieldBase extends ParticleModule { 
-	static Load(ResourceName: string): ParticleModuleVectorFieldBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldBase;
-	static GetDefaultObject(): ParticleModuleVectorFieldBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldBase;
-	static C(Other: UObject | any): ParticleModuleVectorFieldBase;
-}
-
-declare class ParticleModuleVectorFieldGlobal extends ParticleModuleVectorFieldBase { 
-	bOverrideGlobalVectorFieldTightness: boolean;
-	GlobalVectorFieldScale: number;
-	GlobalVectorFieldTightness: number;
-	static Load(ResourceName: string): ParticleModuleVectorFieldGlobal;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldGlobal;
-	static GetDefaultObject(): ParticleModuleVectorFieldGlobal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldGlobal;
-	static C(Other: UObject | any): ParticleModuleVectorFieldGlobal;
-}
-
-declare class ParticleModuleVectorFieldLocal extends ParticleModuleVectorFieldBase { 
-	VectorField: VectorField;
-	RelativeTranslation: Vector;
-	RelativeRotation: Rotator;
-	RelativeScale3D: Vector;
-	Intensity: number;
-	Tightness: number;
-	bIgnoreComponentTransform: boolean;
-	bTileX: boolean;
-	bTileY: boolean;
-	bTileZ: boolean;
-	bUseFixDT: boolean;
-	static Load(ResourceName: string): ParticleModuleVectorFieldLocal;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldLocal;
-	static GetDefaultObject(): ParticleModuleVectorFieldLocal;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldLocal;
-	static C(Other: UObject | any): ParticleModuleVectorFieldLocal;
-}
-
-declare class ParticleModuleVectorFieldRotation extends ParticleModuleVectorFieldBase { 
-	MinInitialRotation: Vector;
-	MaxInitialRotation: Vector;
-	static Load(ResourceName: string): ParticleModuleVectorFieldRotation;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldRotation;
-	static GetDefaultObject(): ParticleModuleVectorFieldRotation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldRotation;
-	static C(Other: UObject | any): ParticleModuleVectorFieldRotation;
-}
-
-declare class ParticleModuleVectorFieldRotationRate extends ParticleModuleVectorFieldBase { 
-	RotationRate: Vector;
-	static Load(ResourceName: string): ParticleModuleVectorFieldRotationRate;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldRotationRate;
-	static GetDefaultObject(): ParticleModuleVectorFieldRotationRate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldRotationRate;
-	static C(Other: UObject | any): ParticleModuleVectorFieldRotationRate;
-}
-
-declare class ParticleModuleVectorFieldScale extends ParticleModuleVectorFieldBase { 
-	VectorFieldScale: DistributionFloat;
-	VectorFieldScaleRaw: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleVectorFieldScale;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldScale;
-	static GetDefaultObject(): ParticleModuleVectorFieldScale;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldScale;
-	static C(Other: UObject | any): ParticleModuleVectorFieldScale;
-}
-
-declare class ParticleModuleVectorFieldScaleOverLife extends ParticleModuleVectorFieldBase { 
-	VectorFieldScaleOverLife: DistributionFloat;
-	VectorFieldScaleOverLifeRaw: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleVectorFieldScaleOverLife;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldScaleOverLife;
-	static GetDefaultObject(): ParticleModuleVectorFieldScaleOverLife;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldScaleOverLife;
-	static C(Other: UObject | any): ParticleModuleVectorFieldScaleOverLife;
-}
-
-declare class ParticleModuleVelocityBase extends ParticleModule { 
-	bInWorldSpace: boolean;
-	bApplyOwnerScale: boolean;
-	static Load(ResourceName: string): ParticleModuleVelocityBase;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityBase;
-	static GetDefaultObject(): ParticleModuleVelocityBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityBase;
-	static C(Other: UObject | any): ParticleModuleVelocityBase;
-}
-
-declare class ParticleModuleVelocity extends ParticleModuleVelocityBase { 
-	StartVelocity: RawDistributionVector;
-	StartVelocityRadial: RawDistributionFloat;
-	static Load(ResourceName: string): ParticleModuleVelocity;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocity;
-	static GetDefaultObject(): ParticleModuleVelocity;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocity;
-	static C(Other: UObject | any): ParticleModuleVelocity;
-}
-
-declare class ParticleModuleVelocity_Seeded extends ParticleModuleVelocity { 
-	RandomSeedInfo: ParticleRandomSeedInfo;
-	static Load(ResourceName: string): ParticleModuleVelocity_Seeded;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocity_Seeded;
-	static GetDefaultObject(): ParticleModuleVelocity_Seeded;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocity_Seeded;
-	static C(Other: UObject | any): ParticleModuleVelocity_Seeded;
-}
-
-declare class ParticleModuleVelocityCone extends ParticleModuleVelocityBase { 
-	Angle: RawDistributionFloat;
-	Velocity: RawDistributionFloat;
-	Direction: Vector;
-	static Load(ResourceName: string): ParticleModuleVelocityCone;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityCone;
-	static GetDefaultObject(): ParticleModuleVelocityCone;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityCone;
-	static C(Other: UObject | any): ParticleModuleVelocityCone;
-}
-
-declare class ParticleModuleVelocityInheritParent extends ParticleModuleVelocityBase { 
-	Scale: RawDistributionVector;
-	static Load(ResourceName: string): ParticleModuleVelocityInheritParent;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityInheritParent;
-	static GetDefaultObject(): ParticleModuleVelocityInheritParent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityInheritParent;
-	static C(Other: UObject | any): ParticleModuleVelocityInheritParent;
-}
-
-declare class ParticleModuleVelocityOverLifetime extends ParticleModuleVelocityBase { 
-	VelOverLife: RawDistributionVector;
-	Absolute: boolean;
-	static Load(ResourceName: string): ParticleModuleVelocityOverLifetime;
-	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityOverLifetime;
-	static GetDefaultObject(): ParticleModuleVelocityOverLifetime;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityOverLifetime;
-	static C(Other: UObject | any): ParticleModuleVelocityOverLifetime;
-}
-
-declare class ParticleSpriteEmitter extends ParticleEmitter { 
-	static Load(ResourceName: string): ParticleSpriteEmitter;
-	static Find(Outer: UObject, ResourceName: string): ParticleSpriteEmitter;
-	static GetDefaultObject(): ParticleSpriteEmitter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSpriteEmitter;
-	static C(Other: UObject | any): ParticleSpriteEmitter;
-}
-
-declare class PawnNoiseEmitterComponent extends ActorComponent { 
-	bAIPerceptionSystemCompatibilityMode: boolean;
-	LastRemoteNoisePosition: Vector;
-	NoiseLifetime: number;
-	LastRemoteNoiseVolume: number;
-	LastRemoteNoiseTime: number;
-	LastLocalNoiseVolume: number;
-	LastLocalNoiseTime: number;
-	static Load(ResourceName: string): PawnNoiseEmitterComponent;
-	static Find(Outer: UObject, ResourceName: string): PawnNoiseEmitterComponent;
-	static GetDefaultObject(): PawnNoiseEmitterComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnNoiseEmitterComponent;
-	MakeNoise(NoiseMaker: Actor,Loudness: number,NoiseLocation: Vector): void;
-	static C(Other: UObject | any): PawnNoiseEmitterComponent;
-}
-
-declare class PhysicalAnimationComponent extends ActorComponent { 
-	StrengthMultiplyer: number;
-	SkeletalMeshComponent: SkeletalMeshComponent;
-	static Load(ResourceName: string): PhysicalAnimationComponent;
-	static Find(Outer: UObject, ResourceName: string): PhysicalAnimationComponent;
-	static GetDefaultObject(): PhysicalAnimationComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalAnimationComponent;
-	SetStrengthMultiplyer(InStrengthMultiplyer: number): void;
-	SetSkeletalMeshComponent(InSkeletalMeshComponent: SkeletalMeshComponent): void;
-	GetBodyTargetTransform(BodyName: string): Transform;
-	ApplyPhysicalAnimationSettingsBelow(BodyName: string,PhysicalAnimationData: PhysicalAnimationData,bIncludeSelf: boolean): void;
-	ApplyPhysicalAnimationSettings(BodyName: string,PhysicalAnimationData: PhysicalAnimationData): void;
-	ApplyPhysicalAnimationProfileBelow(BodyName: string,ProfileName: string,bIncludeSelf: boolean,bClearNotFound: boolean): void;
-	static C(Other: UObject | any): PhysicalAnimationComponent;
-}
-
-declare class RigidBodyBase extends Actor { 
-	static GetDefaultObject(): RigidBodyBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RigidBodyBase;
-	static C(Other: UObject | any): RigidBodyBase;
-}
-
-declare class ConstrainComponentPropName { 
-	ComponentName: string;
-	clone() : ConstrainComponentPropName;
-	static C(Other: UObject | any): ConstrainComponentPropName;
-}
-
-declare type EConstraintFrame = 'Frame1' | 'Frame2' | 'EConstraintFrame_MAX';
-declare var EConstraintFrame : { Frame1:'Frame1',Frame2:'Frame2',EConstraintFrame_MAX:'EConstraintFrame_MAX', };
-declare class PhysicsConstraintComponent extends SceneComponent { 
-	ConstraintActor1: Actor;
-	ComponentName1: ConstrainComponentPropName;
-	ConstraintActor2: Actor;
-	ComponentName2: ConstrainComponentPropName;
-	ConstraintSetup: PhysicsConstraintTemplate;
-	OnConstraintBroken: UnrealEngineMulticastDelegate<(ConstraintIndex: number) => void>;
-	ConstraintInstance: ConstraintInstance;
-	static Load(ResourceName: string): PhysicsConstraintComponent;
-	static Find(Outer: UObject, ResourceName: string): PhysicsConstraintComponent;
-	static GetDefaultObject(): PhysicsConstraintComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsConstraintComponent;
-	SetOrientationDriveTwistAndSwing(bEnableTwistDrive: boolean,bEnableSwingDrive: boolean): void;
-	SetOrientationDriveSLERP(bEnableSLERP: boolean): void;
-	SetLinearZLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
-	SetLinearYLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
-	SetLinearXLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
-	SetLinearVelocityTarget(InVelTarget: Vector): void;
-	SetLinearVelocityDrive(bEnableDriveX: boolean,bEnableDriveY: boolean,bEnableDriveZ: boolean): void;
-	SetLinearPositionTarget(InPosTarget: Vector): void;
-	SetLinearPositionDrive(bEnableDriveX: boolean,bEnableDriveY: boolean,bEnableDriveZ: boolean): void;
-	SetLinearDriveParams(PositionStrength: number,VelocityStrength: number,InForceLimit: number): void;
-	SetLinearBreakable(bLinearBreakable: boolean,LinearBreakThreshold: number): void;
-	SetDisableCollision(bDisableCollision: boolean): void;
-	SetConstraintReferencePosition(Frame: EConstraintFrame,RefPosition: Vector): void;
-	SetConstraintReferenceOrientation(Frame: EConstraintFrame,PriAxis: Vector,SecAxis: Vector): void;
-	SetConstraintReferenceFrame(Frame: EConstraintFrame,RefFrame: Transform): void;
-	SetConstrainedComponents(Component1: PrimitiveComponent,BoneName1: string,Component2: PrimitiveComponent,BoneName2: string): void;
-	SetAngularVelocityTarget(InVelTarget: Vector): void;
-	SetAngularVelocityDriveTwistAndSwing(bEnableTwistDrive: boolean,bEnableSwingDrive: boolean): void;
-	SetAngularVelocityDriveSLERP(bEnableSLERP: boolean): void;
-	SetAngularVelocityDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean): void;
-	SetAngularTwistLimit(ConstraintType: EAngularConstraintMotion,TwistLimitAngle: number): void;
-	SetAngularSwing2Limit(MotionType: EAngularConstraintMotion,Swing2LimitAngle: number): void;
-	SetAngularSwing1Limit(MotionType: EAngularConstraintMotion,Swing1LimitAngle: number): void;
-	SetAngularOrientationTarget(InPosTarget: Rotator): void;
-	SetAngularOrientationDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean): void;
-	SetAngularDriveParams(PositionStrength: number,VelocityStrength: number,InForceLimit: number): void;
-	SetAngularDriveMode(DriveMode: EAngularDriveMode): void;
-	SetAngularBreakable(bAngularBreakable: boolean,AngularBreakThreshold: number): void;
-	IsBroken(): boolean;
-	GetCurrentTwist(): number;
-	GetCurrentSwing2(): number;
-	GetCurrentSwing1(): number;
-	GetConstraintForce(OutLinearForce?: Vector,OutAngularForce?: Vector): {OutLinearForce: Vector, OutAngularForce: Vector};
-	BreakConstraint(): void;
-	static C(Other: UObject | any): PhysicsConstraintComponent;
-}
-
-declare class PhysicsConstraintActor extends RigidBodyBase { 
-	ConstraintComp: PhysicsConstraintComponent;
-	ConstraintActor1: Actor;
-	ConstraintActor2: Actor;
-	bDisableCollision: boolean;
-	static GetDefaultObject(): PhysicsConstraintActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsConstraintActor;
-	static C(Other: UObject | any): PhysicsConstraintActor;
-}
-
-declare class PhysicsHandleComponent extends ActorComponent { 
-	GrabbedComponent: PrimitiveComponent;
-	bSoftAngularConstraint: boolean;
-	bSoftLinearConstraint: boolean;
-	bInterpolateTarget: boolean;
-	LinearDamping: number;
-	LinearStiffness: number;
-	AngularDamping: number;
-	AngularStiffness: number;
-	InterpolationSpeed: number;
-	static Load(ResourceName: string): PhysicsHandleComponent;
-	static Find(Outer: UObject, ResourceName: string): PhysicsHandleComponent;
-	static GetDefaultObject(): PhysicsHandleComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsHandleComponent;
-	SetTargetRotation(NewRotation: Rotator): void;
-	SetTargetLocationAndRotation(NewLocation: Vector,NewRotation: Rotator): void;
-	SetTargetLocation(NewLocation: Vector): void;
-	SetLinearStiffness(NewLinearStiffness: number): void;
-	SetLinearDamping(NewLinearDamping: number): void;
-	SetInterpolationSpeed(NewInterpolationSpeed: number): void;
-	SetAngularStiffness(NewAngularStiffness: number): void;
-	SetAngularDamping(NewAngularDamping: number): void;
-	ReleaseComponent(): void;
-	GrabComponentAtLocationWithRotation(Component: PrimitiveComponent,InBoneName: string,Location: Vector,Rotation: Rotator): void;
-	GrabComponentAtLocation(Component: PrimitiveComponent,InBoneName: string,GrabLocation: Vector): void;
-	GrabComponent(Component: PrimitiveComponent,InBoneName: string,GrabLocation: Vector,bConstrainRotation: boolean): void;
-	GetTargetLocationAndRotation(TargetLocation?: Vector,TargetRotation?: Rotator): {TargetLocation: Vector, TargetRotation: Rotator};
-	GetGrabbedComponent(): PrimitiveComponent;
-	static C(Other: UObject | any): PhysicsHandleComponent;
-}
-
-declare type ESettingsLockedAxis = 'None' | 'X' | 'Y' | 'Z' | 'Invalid' | 'ESettingsLockedAxis_MAX';
-declare var ESettingsLockedAxis : { None:'None',X:'X',Y:'Y',Z:'Z',Invalid:'Invalid',ESettingsLockedAxis_MAX:'ESettingsLockedAxis_MAX', };
-declare type ESettingsDOF = 'Full3D' | 'YZPlane' | 'XZPlane' | 'XYPlane' | 'ESettingsDOF_MAX';
-declare var ESettingsDOF : { Full3D:'Full3D',YZPlane:'YZPlane',XZPlane:'XZPlane',XYPlane:'XYPlane',ESettingsDOF_MAX:'ESettingsDOF_MAX', };
-declare class PhysicalSurfaceName { 
-	Type: EPhysicalSurface;
-	Name: string;
-	clone() : PhysicalSurfaceName;
-	static C(Other: UObject | any): PhysicalSurfaceName;
-}
-
-declare class PhysicsSettings extends DeveloperSettings { 
-	DefaultGravityZ: number;
-	DefaultTerminalVelocity: number;
-	DefaultFluidFriction: number;
-	SimulateScratchMemorySize: number;
-	RagdollAggregateThreshold: number;
-	TriangleMeshTriangleMinAreaThreshold: number;
-	bEnableAsyncScene: boolean;
-	bEnableShapeSharing: boolean;
-	bEnablePCM: boolean;
-	bEnableStabilization: boolean;
-	bWarnMissingLocks: boolean;
-	bEnable2DPhysics: boolean;
-	LockedAxis: ESettingsLockedAxis;
-	DefaultDegreesOfFreedom: ESettingsDOF;
-	BounceThresholdVelocity: number;
-	FrictionCombineMode: EFrictionCombineMode;
-	RestitutionCombineMode: EFrictionCombineMode;
-	MaxAngularVelocity: number;
-	MaxDepenetrationVelocity: number;
-	ContactOffsetMultiplier: number;
-	MinContactOffset: number;
-	MaxContactOffset: number;
-	bSimulateSkeletalMeshOnDedicatedServer: boolean;
-	DefaultShapeComplexity: ECollisionTraceFlag;
-	bDefaultHasComplexCollision: boolean;
-	bSuppressFaceRemapTable: boolean;
-	bSupportUVFromHitResults: boolean;
-	bDisableActiveActors: boolean;
-	bDisableCCD: boolean;
-	bEnableEnhancedDeterminism: boolean;
-	MaxPhysicsDeltaTime: number;
-	bSubstepping: boolean;
-	bSubsteppingAsync: boolean;
-	MaxSubstepDeltaTime: number;
-	MaxSubsteps: number;
-	SyncSceneSmoothingFactor: number;
-	AsyncSceneSmoothingFactor: number;
-	InitialAverageFrameRate: number;
-	PhysXTreeRebuildRate: number;
-	PhysicalSurfaces: PhysicalSurfaceName[];
-	static Load(ResourceName: string): PhysicsSettings;
-	static Find(Outer: UObject, ResourceName: string): PhysicsSettings;
-	static GetDefaultObject(): PhysicsSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsSettings;
-	static C(Other: UObject | any): PhysicsSettings;
-}
-
-declare class PhysicsSpringComponent extends SceneComponent { 
-	SpringStiffness: number;
-	SpringDamping: number;
-	SpringLengthAtRest: number;
-	SpringRadius: number;
-	SpringChannel: ECollisionChannel;
-	bIgnoreSelf: boolean;
-	SpringCompression: number;
-	static Load(ResourceName: string): PhysicsSpringComponent;
-	static Find(Outer: UObject, ResourceName: string): PhysicsSpringComponent;
-	static GetDefaultObject(): PhysicsSpringComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsSpringComponent;
-	GetSpringRestingPoint(): Vector;
-	GetSpringDirection(): Vector;
-	GetSpringCurrentEndPoint(): Vector;
-	GetNormalizedCompressionScalar(): number;
-	static C(Other: UObject | any): PhysicsSpringComponent;
-}
-
-declare class PhysicsThrusterComponent extends SceneComponent { 
-	ThrustStrength: number;
-	static Load(ResourceName: string): PhysicsThrusterComponent;
-	static Find(Outer: UObject, ResourceName: string): PhysicsThrusterComponent;
-	static GetDefaultObject(): PhysicsThrusterComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsThrusterComponent;
-	static C(Other: UObject | any): PhysicsThrusterComponent;
-}
-
-declare class PhysicsThruster extends RigidBodyBase { 
-	ThrusterComponent: PhysicsThrusterComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): PhysicsThruster;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsThruster;
-	static C(Other: UObject | any): PhysicsThruster;
-}
-
-declare class SceneCapture extends Actor { 
-	MeshComp: StaticMeshComponent;
-	static GetDefaultObject(): SceneCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCapture;
-	static C(Other: UObject | any): SceneCapture;
-}
-
-declare type ESceneCapturePrimitiveRenderMode = 'PRM_LegacySceneCapture' | 'PRM_RenderScenePrimitives' | 'PRM_UseShowOnlyList' | 'PRM_MAX';
-declare var ESceneCapturePrimitiveRenderMode : { PRM_LegacySceneCapture:'PRM_LegacySceneCapture',PRM_RenderScenePrimitives:'PRM_RenderScenePrimitives',PRM_UseShowOnlyList:'PRM_UseShowOnlyList',PRM_MAX:'PRM_MAX', };
-declare class EngineShowFlagsSetting { 
-	ShowFlagName: string;
-	Enabled: boolean;
-	clone() : EngineShowFlagsSetting;
-	static C(Other: UObject | any): EngineShowFlagsSetting;
-}
-
-declare class SceneCaptureComponent extends SceneComponent { 
-	PrimitiveRenderMode: ESceneCapturePrimitiveRenderMode;
-	HiddenComponents: any[];
-	HiddenActors: Actor[];
-	ShowOnlyComponents: any[];
-	ShowOnlyActors: Actor[];
-	bCaptureEveryFrame: boolean;
-	bCaptureOnMovement: boolean;
-	bAlwaysPersistRenderingState: boolean;
-	LODDistanceFactor: number;
-	MaxViewDistanceOverride: number;
-	CaptureSortPriority: number;
-	ShowFlagSettings: EngineShowFlagsSetting[];
-	static Load(ResourceName: string): SceneCaptureComponent;
-	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponent;
-	static GetDefaultObject(): SceneCaptureComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponent;
-	ShowOnlyComponent(InComponent: PrimitiveComponent): void;
-	ShowOnlyActorComponents(InActor: Actor): void;
-	SetCaptureSortPriority(NewCaptureSortPriority: number): void;
-	RemoveShowOnlyComponent(InComponent: PrimitiveComponent): void;
-	RemoveShowOnlyActorComponents(InActor: Actor): void;
-	HideComponent(InComponent: PrimitiveComponent): void;
-	HideActorComponents(InActor: Actor): void;
-	ClearShowOnlyComponents(InComponent: PrimitiveComponent): void;
-	ClearHiddenComponents(): void;
-	static C(Other: UObject | any): SceneCaptureComponent;
-}
-
-declare class PlanarReflectionComponent extends SceneCaptureComponent { 
-	PreviewBox: BoxComponent;
-	NormalDistortionStrength: number;
-	PrefilterRoughness: number;
-	PrefilterRoughnessDistance: number;
-	ScreenPercentage: number;
-	ExtraFOV: number;
-	DistanceFromPlaneFadeStart: number;
-	DistanceFromPlaneFadeEnd: number;
-	DistanceFromPlaneFadeoutStart: number;
-	DistanceFromPlaneFadeoutEnd: number;
-	AngleFromPlaneFadeStart: number;
-	AngleFromPlaneFadeEnd: number;
-	bRenderSceneTwoSided: boolean;
-	static Load(ResourceName: string): PlanarReflectionComponent;
-	static Find(Outer: UObject, ResourceName: string): PlanarReflectionComponent;
-	static GetDefaultObject(): PlanarReflectionComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlanarReflectionComponent;
-	static C(Other: UObject | any): PlanarReflectionComponent;
-}
-
-declare class PlanarReflection extends SceneCapture { 
-	PlanarReflectionComponent: PlanarReflectionComponent;
-	SpriteComponent: BillboardComponent;
-	bShowPreviewPlane: boolean;
-	static GetDefaultObject(): PlanarReflection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlanarReflection;
-	OnInterpToggle(bEnable: boolean): void;
-	static C(Other: UObject | any): PlanarReflection;
+declare class MaterialExpressionFeatureLevelSwitch extends MaterialExpression { 
+	Default: ExpressionInput;
+	Inputs: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionFeatureLevelSwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFeatureLevelSwitch;
+	static GetDefaultObject(): MaterialExpressionFeatureLevelSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFeatureLevelSwitch;
+	static C(Other: UObject | any): MaterialExpressionFeatureLevelSwitch;
 }
 
-declare class PlaneReflectionCapture extends ReflectionCapture { 
-	static GetDefaultObject(): PlaneReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneReflectionCapture;
-	static C(Other: UObject | any): PlaneReflectionCapture;
+declare class MaterialExpressionFloor extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionFloor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFloor;
+	static GetDefaultObject(): MaterialExpressionFloor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFloor;
+	static C(Other: UObject | any): MaterialExpressionFloor;
 }
 
-declare class PlaneReflectionCaptureComponent extends ReflectionCaptureComponent { 
-	InfluenceRadiusScale: number;
-	PreviewInfluenceRadius: DrawSphereComponent;
-	PreviewCaptureBox: BoxComponent;
-	static Load(ResourceName: string): PlaneReflectionCaptureComponent;
-	static Find(Outer: UObject, ResourceName: string): PlaneReflectionCaptureComponent;
-	static GetDefaultObject(): PlaneReflectionCaptureComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneReflectionCaptureComponent;
-	static C(Other: UObject | any): PlaneReflectionCaptureComponent;
-}
-
-declare class PlatformEventsComponent extends ActorComponent { 
-	PlatformChangedToLaptopModeDelegate: UnrealEngineMulticastDelegate<() => void>;
-	PlatformChangedToTabletModeDelegate: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): PlatformEventsComponent;
-	static Find(Outer: UObject, ResourceName: string): PlatformEventsComponent;
-	static GetDefaultObject(): PlatformEventsComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformEventsComponent;
-	SupportsConvertibleLaptops(): boolean;
-	IsInTabletMode(): boolean;
-	IsInLaptopMode(): boolean;
-	static C(Other: UObject | any): PlatformEventsComponent;
-}
-
-declare class PlatformInterfaceWebResponse extends UObject { 
-	OriginalURL: string;
-	ResponseCode: number;
-	Tag: number;
-	StringResponse: string;
-	BinaryResponse: number[];
-	static Load(ResourceName: string): PlatformInterfaceWebResponse;
-	static Find(Outer: UObject, ResourceName: string): PlatformInterfaceWebResponse;
-	static GetDefaultObject(): PlatformInterfaceWebResponse;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformInterfaceWebResponse;
-	GetNumHeaders(): number;
-	GetHeaderValue(HeaderName: string): string;
-	GetHeader(HeaderIndex: number,Header?: string,Value?: string): {Header: string, Value: string};
-	static C(Other: UObject | any): PlatformInterfaceWebResponse;
-}
-
-declare class PlayerStart extends NavigationObjectBase { 
-	PlayerStartTag: string;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): PlayerStart;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerStart;
-	static C(Other: UObject | any): PlayerStart;
-}
-
-declare class PlayerStartPIE extends PlayerStart { 
-	static GetDefaultObject(): PlayerStartPIE;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerStartPIE;
-	static C(Other: UObject | any): PlayerStartPIE;
-}
-
-declare class PluginCommandlet extends Commandlet { 
-	static Load(ResourceName: string): PluginCommandlet;
-	static Find(Outer: UObject, ResourceName: string): PluginCommandlet;
-	static GetDefaultObject(): PluginCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PluginCommandlet;
-	static C(Other: UObject | any): PluginCommandlet;
-}
-
-declare class PointLight extends Light { 
-	PointLightComponent: PointLightComponent;
-	static GetDefaultObject(): PointLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PointLight;
-	SetRadius(NewRadius: number): void;
-	SetLightFalloffExponent(NewLightFalloffExponent: number): void;
-	static C(Other: UObject | any): PointLight;
-}
-
-declare class Polys extends UObject { 
-	static Load(ResourceName: string): Polys;
-	static Find(Outer: UObject, ResourceName: string): Polys;
-	static GetDefaultObject(): Polys;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Polys;
-	static C(Other: UObject | any): Polys;
-}
-
-declare type EBoneSpaces = 'WorldSpace' | 'ComponentSpace' | 'EBoneSpaces_MAX';
-declare var EBoneSpaces : { WorldSpace:'WorldSpace',ComponentSpace:'ComponentSpace',EBoneSpaces_MAX:'EBoneSpaces_MAX', };
-declare class PoseableMeshComponent extends SkinnedMeshComponent { 
-	static Load(ResourceName: string): PoseableMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): PoseableMeshComponent;
-	static GetDefaultObject(): PoseableMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PoseableMeshComponent;
-	SetBoneTransformByName(BoneName: string,InTransform: Transform,BoneSpace: EBoneSpaces): void;
-	SetBoneScaleByName(BoneName: string,InScale3D: Vector,BoneSpace: EBoneSpaces): void;
-	SetBoneRotationByName(BoneName: string,InRotation: Rotator,BoneSpace: EBoneSpaces): void;
-	SetBoneLocationByName(BoneName: string,InLocation: Vector,BoneSpace: EBoneSpaces): void;
-	ResetBoneTransformByName(BoneName: string): void;
-	GetBoneTransformByName(BoneName: string,BoneSpace: EBoneSpaces): Transform;
-	GetBoneScaleByName(BoneName: string,BoneSpace: EBoneSpaces): Vector;
-	GetBoneRotationByName(BoneName: string,BoneSpace: EBoneSpaces): Rotator;
-	GetBoneLocationByName(BoneName: string,BoneSpace: EBoneSpaces): Vector;
-	CopyPoseFromSkeletalComponent(InComponentToCopy: SkeletalMeshComponent): void;
-	static C(Other: UObject | any): PoseableMeshComponent;
-}
-
-declare class PostProcessComponent extends SceneComponent { 
-	Settings: PostProcessSettings;
-	Priority: number;
-	BlendRadius: number;
-	BlendWeight: number;
-	bEnabled: boolean;
-	bUnbound: boolean;
-	static Load(ResourceName: string): PostProcessComponent;
-	static Find(Outer: UObject, ResourceName: string): PostProcessComponent;
-	static GetDefaultObject(): PostProcessComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PostProcessComponent;
-	static C(Other: UObject | any): PostProcessComponent;
+declare class MaterialExpressionFmod extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionFmod;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFmod;
+	static GetDefaultObject(): MaterialExpressionFmod;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFmod;
+	static C(Other: UObject | any): MaterialExpressionFmod;
 }
 
-declare class PostProcessVolume extends Volume { 
-	Settings: PostProcessSettings;
-	Priority: number;
-	BlendRadius: number;
-	BlendWeight: number;
-	bEnabled: boolean;
-	bUnbound: boolean;
-	static GetDefaultObject(): PostProcessVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PostProcessVolume;
-	static C(Other: UObject | any): PostProcessVolume;
+declare class MaterialExpressionFontSample extends MaterialExpression { 
+	Font: Font;
+	FontTexturePage: number;
+	static Load(ResourceName: string): MaterialExpressionFontSample;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFontSample;
+	static GetDefaultObject(): MaterialExpressionFontSample;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFontSample;
+	static C(Other: UObject | any): MaterialExpressionFontSample;
 }
 
-declare class PrecomputedVisibilityOverrideVolume extends Volume { 
-	OverrideVisibleActors: Actor[];
-	OverrideInvisibleActors: Actor[];
-	OverrideInvisibleLevels: string[];
-	static GetDefaultObject(): PrecomputedVisibilityOverrideVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrecomputedVisibilityOverrideVolume;
-	static C(Other: UObject | any): PrecomputedVisibilityOverrideVolume;
+declare class MaterialExpressionFontSampleParameter extends MaterialExpressionFontSample { 
+	ParameterName: string;
+	ExpressionGUID: Guid;
+	Group: string;
+	SortPriority: number;
+	static Load(ResourceName: string): MaterialExpressionFontSampleParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFontSampleParameter;
+	static GetDefaultObject(): MaterialExpressionFontSampleParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFontSampleParameter;
+	static C(Other: UObject | any): MaterialExpressionFontSampleParameter;
 }
 
-declare class PrecomputedVisibilityVolume extends Volume { 
-	static GetDefaultObject(): PrecomputedVisibilityVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrecomputedVisibilityVolume;
-	static C(Other: UObject | any): PrecomputedVisibilityVolume;
+declare class MaterialExpressionFrac extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionFrac;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFrac;
+	static GetDefaultObject(): MaterialExpressionFrac;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFrac;
+	static C(Other: UObject | any): MaterialExpressionFrac;
 }
 
-declare class PreviewCollectionInterface extends Interface { 
-	static Load(ResourceName: string): PreviewCollectionInterface;
-	static Find(Outer: UObject, ResourceName: string): PreviewCollectionInterface;
-	static GetDefaultObject(): PreviewCollectionInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewCollectionInterface;
-	static C(Other: UObject | any): PreviewCollectionInterface;
+declare class MaterialExpressionFresnel extends MaterialExpression { 
+	ExponentIn: ExpressionInput;
+	Exponent: number;
+	BaseReflectFractionIn: ExpressionInput;
+	BaseReflectFraction: number;
+	Normal: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionFresnel;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFresnel;
+	static GetDefaultObject(): MaterialExpressionFresnel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFresnel;
+	static C(Other: UObject | any): MaterialExpressionFresnel;
 }
 
-declare class PreviewMeshCollectionEntry { 
-	SkeletalMesh: any;
-	clone() : PreviewMeshCollectionEntry;
-	static C(Other: UObject | any): PreviewMeshCollectionEntry;
+declare type EFunctionInputType = 'FunctionInput_Scalar' | 'FunctionInput_Vector2' | 'FunctionInput_Vector3' | 'FunctionInput_Vector4' | 'FunctionInput_Texture2D' | 'FunctionInput_TextureCube' | 'FunctionInput_VolumeTexture' | 'FunctionInput_StaticBool' | 'FunctionInput_MaterialAttributes' | 'FunctionInput_TextureExternal' | 'FunctionInput_MAX';
+declare var EFunctionInputType : { FunctionInput_Scalar:'FunctionInput_Scalar',FunctionInput_Vector2:'FunctionInput_Vector2',FunctionInput_Vector3:'FunctionInput_Vector3',FunctionInput_Vector4:'FunctionInput_Vector4',FunctionInput_Texture2D:'FunctionInput_Texture2D',FunctionInput_TextureCube:'FunctionInput_TextureCube',FunctionInput_VolumeTexture:'FunctionInput_VolumeTexture',FunctionInput_StaticBool:'FunctionInput_StaticBool',FunctionInput_MaterialAttributes:'FunctionInput_MaterialAttributes',FunctionInput_TextureExternal:'FunctionInput_TextureExternal',FunctionInput_MAX:'FunctionInput_MAX', };
+declare class MaterialExpressionFunctionInput extends MaterialExpression { 
+	Preview: ExpressionInput;
+	InputName: string;
+	Description: string;
+	ID: Guid;
+	InputType: EFunctionInputType;
+	PreviewValue: Vector4;
+	bUsePreviewValueAsDefault: boolean;
+	SortPriority: number;
+	bCompilingFunctionPreview: boolean;
+	static Load(ResourceName: string): MaterialExpressionFunctionInput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFunctionInput;
+	static GetDefaultObject(): MaterialExpressionFunctionInput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFunctionInput;
+	static C(Other: UObject | any): MaterialExpressionFunctionInput;
 }
 
-declare class PreviewMeshCollection extends DataAsset { 
-	Skeleton: Skeleton;
-	SkeletalMeshes: PreviewMeshCollectionEntry[];
-	static Load(ResourceName: string): PreviewMeshCollection;
-	static Find(Outer: UObject, ResourceName: string): PreviewMeshCollection;
-	static GetDefaultObject(): PreviewMeshCollection;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMeshCollection;
-	static C(Other: UObject | any): PreviewMeshCollection;
+declare class MaterialExpressionFunctionOutput extends MaterialExpression { 
+	OutputName: string;
+	Description: string;
+	SortPriority: number;
+	A: ExpressionInput;
+	bLastPreviewed: boolean;
+	ID: Guid;
+	static Load(ResourceName: string): MaterialExpressionFunctionOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionFunctionOutput;
+	static GetDefaultObject(): MaterialExpressionFunctionOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionFunctionOutput;
+	static C(Other: UObject | any): MaterialExpressionFunctionOutput;
 }
 
-declare class CollectionReference { 
-	CollectionName: string;
-	clone() : CollectionReference;
-	static C(Other: UObject | any): CollectionReference;
+declare class MaterialExpressionGetMaterialAttributes extends MaterialExpression { 
+	MaterialAttributes: MaterialAttributesInput;
+	AttributeGetTypes: Guid[];
+	static Load(ResourceName: string): MaterialExpressionGetMaterialAttributes;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionGetMaterialAttributes;
+	static GetDefaultObject(): MaterialExpressionGetMaterialAttributes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionGetMaterialAttributes;
+	static C(Other: UObject | any): MaterialExpressionGetMaterialAttributes;
 }
 
-declare class PrimaryAssetLabel extends PrimaryDataAsset { 
-	Rules: PrimaryAssetRules;
-	bLabelAssetsInMyDirectory: boolean;
-	bIsRuntimeLabel: boolean;
-	ExplicitAssets: any[];
-	ExplicitBlueprints: any[];
-	AssetCollection: CollectionReference;
-	static Load(ResourceName: string): PrimaryAssetLabel;
-	static Find(Outer: UObject, ResourceName: string): PrimaryAssetLabel;
-	static GetDefaultObject(): PrimaryAssetLabel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimaryAssetLabel;
-	static C(Other: UObject | any): PrimaryAssetLabel;
-}
-
-declare class ProjectileMovementComponent extends MovementComponent { 
-	InitialSpeed: number;
-	MaxSpeed: number;
-	bRotationFollowsVelocity: boolean;
-	bShouldBounce: boolean;
-	bInitialVelocityInLocalSpace: boolean;
-	bForceSubStepping: boolean;
-	bIsHomingProjectile: boolean;
-	bBounceAngleAffectsFriction: boolean;
-	bIsSliding: boolean;
-	PreviousHitTime: number;
-	PreviousHitNormal: Vector;
-	ProjectileGravityScale: number;
-	Buoyancy: number;
-	Bounciness: number;
-	Friction: number;
-	BounceVelocityStopSimulatingThreshold: number;
-	OnProjectileBounce: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, ImpactVelocity: Vector) => void>;
-	OnProjectileStop: UnrealEngineMulticastDelegate<(ImpactResult: HitResult) => void>;
-	HomingAccelerationMagnitude: number;
-	HomingTargetComponent: any;
-	MaxSimulationTimeStep: number;
-	MaxSimulationIterations: number;
-	static Load(ResourceName: string): ProjectileMovementComponent;
-	static Find(Outer: UObject, ResourceName: string): ProjectileMovementComponent;
-	static GetDefaultObject(): ProjectileMovementComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProjectileMovementComponent;
-	StopSimulating(HitResult: HitResult): void;
-	SetVelocityInLocalSpace(NewVelocity: Vector): void;
-	LimitVelocity(NewVelocity: Vector): Vector;
-	static C(Other: UObject | any): ProjectileMovementComponent;
+declare class MaterialExpressionGIReplace extends MaterialExpression { 
+	Default: ExpressionInput;
+	StaticIndirect: ExpressionInput;
+	DynamicIndirect: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionGIReplace;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionGIReplace;
+	static GetDefaultObject(): MaterialExpressionGIReplace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionGIReplace;
+	static C(Other: UObject | any): MaterialExpressionGIReplace;
 }
 
-declare class ProxyLODMeshSimplificationSettings extends DeveloperSettings { 
-	ProxyLODMeshReductionModuleName: string;
-	static Load(ResourceName: string): ProxyLODMeshSimplificationSettings;
-	static Find(Outer: UObject, ResourceName: string): ProxyLODMeshSimplificationSettings;
-	static GetDefaultObject(): ProxyLODMeshSimplificationSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProxyLODMeshSimplificationSettings;
-	static C(Other: UObject | any): ProxyLODMeshSimplificationSettings;
+declare class MaterialExpressionIf extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	AGreaterThanB: ExpressionInput;
+	AEqualsB: ExpressionInput;
+	ALessThanB: ExpressionInput;
+	EqualsThreshold: number;
+	ConstB: number;
+	ConstAEqualsB: number;
+	static Load(ResourceName: string): MaterialExpressionIf;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionIf;
+	static GetDefaultObject(): MaterialExpressionIf;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionIf;
+	static C(Other: UObject | any): MaterialExpressionIf;
 }
 
-declare class RadialForceComponent extends SceneComponent { 
-	Radius: number;
-	Falloff: ERadialImpulseFalloff;
-	ImpulseStrength: number;
-	bImpulseVelChange: boolean;
-	bIgnoreOwningActor: boolean;
-	ForceStrength: number;
-	DestructibleDamage: number;
-	ObjectTypesToAffect: EObjectTypeQuery[];
-	static Load(ResourceName: string): RadialForceComponent;
-	static Find(Outer: UObject, ResourceName: string): RadialForceComponent;
-	static GetDefaultObject(): RadialForceComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RadialForceComponent;
-	RemoveObjectTypeToAffect(ObjectType: EObjectTypeQuery): void;
-	FireImpulse(): void;
-	AddObjectTypeToAffect(ObjectType: EObjectTypeQuery): void;
-	static C(Other: UObject | any): RadialForceComponent;
-}
-
-declare class RadialForceActor extends RigidBodyBase { 
-	ForceComponent: RadialForceComponent;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): RadialForceActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RadialForceActor;
-	ToggleForce(): void;
-	FireImpulse(): void;
-	EnableForce(): void;
-	DisableForce(): void;
-	static C(Other: UObject | any): RadialForceActor;
+declare class MaterialExpressionLightmapUVs extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionLightmapUVs;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightmapUVs;
+	static GetDefaultObject(): MaterialExpressionLightmapUVs;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightmapUVs;
+	static C(Other: UObject | any): MaterialExpressionLightmapUVs;
 }
 
-declare class RecastFilter_UseDefaultArea extends NavigationQueryFilter { 
-	static Load(ResourceName: string): RecastFilter_UseDefaultArea;
-	static Find(Outer: UObject, ResourceName: string): RecastFilter_UseDefaultArea;
-	static GetDefaultObject(): RecastFilter_UseDefaultArea;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastFilter_UseDefaultArea;
-	static C(Other: UObject | any): RecastFilter_UseDefaultArea;
+declare class MaterialExpressionLightmassReplace extends MaterialExpression { 
+	Realtime: ExpressionInput;
+	Lightmass: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionLightmassReplace;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightmassReplace;
+	static GetDefaultObject(): MaterialExpressionLightmassReplace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightmassReplace;
+	static C(Other: UObject | any): MaterialExpressionLightmassReplace;
 }
 
-declare class RecastNavMeshDataChunk extends NavigationDataChunk { 
-	static Load(ResourceName: string): RecastNavMeshDataChunk;
-	static Find(Outer: UObject, ResourceName: string): RecastNavMeshDataChunk;
-	static GetDefaultObject(): RecastNavMeshDataChunk;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RecastNavMeshDataChunk;
-	static C(Other: UObject | any): RecastNavMeshDataChunk;
+declare class MaterialExpressionLightVector extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionLightVector;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLightVector;
+	static GetDefaultObject(): MaterialExpressionLightVector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLightVector;
+	static C(Other: UObject | any): MaterialExpressionLightVector;
 }
 
-declare type EMobileMSAASampleCount = 'One' | 'Two' | 'Four' | 'Eight' | 'EMobileMSAASampleCount_MAX';
-declare var EMobileMSAASampleCount : { One:'One',Two:'Two',Four:'Four',Eight:'Eight',EMobileMSAASampleCount_MAX:'EMobileMSAASampleCount_MAX', };
-declare type ETranslucentSortPolicy = 'SortByDistance' | 'SortByProjectedZ' | 'SortAlongAxis' | 'ETranslucentSortPolicy_MAX';
-declare var ETranslucentSortPolicy : { SortByDistance:'SortByDistance',SortByProjectedZ:'SortByProjectedZ',SortAlongAxis:'SortAlongAxis',ETranslucentSortPolicy_MAX:'ETranslucentSortPolicy_MAX', };
-declare type ECustomDepthStencil = 'Disabled' | 'Enabled' | 'EnabledOnDemand' | 'EnabledWithStencil' | 'ECustomDepthStencil_MAX';
-declare var ECustomDepthStencil : { Disabled:'Disabled',Enabled:'Enabled',EnabledOnDemand:'EnabledOnDemand',EnabledWithStencil:'EnabledWithStencil',ECustomDepthStencil_MAX:'ECustomDepthStencil_MAX', };
-declare type EAutoExposureMethodUI = 'AEM_Histogram' | 'AEM_Basic' | 'AEM_Manual' | 'AEM_MAX';
-declare var EAutoExposureMethodUI : { AEM_Histogram:'AEM_Histogram',AEM_Basic:'AEM_Basic',AEM_Manual:'AEM_Manual',AEM_MAX:'AEM_MAX', };
-declare type EAntiAliasingMethod = 'AAM_None' | 'AAM_FXAA' | 'AAM_TemporalAA' | 'AAM_MSAA' | 'AAM_MAX';
-declare var EAntiAliasingMethod : { AAM_None:'AAM_None',AAM_FXAA:'AAM_FXAA',AAM_TemporalAA:'AAM_TemporalAA',AAM_MSAA:'AAM_MSAA',AAM_MAX:'AAM_MAX', };
-declare type EEarlyZPass = 'None' | 'OpaqueOnly' | 'OpaqueAndMasked' | 'Auto' | 'EEarlyZPass_MAX';
-declare var EEarlyZPass : { None:'None',OpaqueOnly:'OpaqueOnly',OpaqueAndMasked:'OpaqueAndMasked',Auto:'Auto',EEarlyZPass_MAX:'EEarlyZPass_MAX', };
-declare type EClearSceneOptions = 'NoClear' | 'HardwareClear' | 'QuadAtMaxZ' | 'EClearSceneOptions_MAX';
-declare var EClearSceneOptions : { NoClear:'NoClear',HardwareClear:'HardwareClear',QuadAtMaxZ:'QuadAtMaxZ',EClearSceneOptions_MAX:'EClearSceneOptions_MAX', };
-declare type EGBufferFormat = 'Force8BitsPerChannel' | 'Default' | 'HighPrecisionNormals' | 'Force16BitsPerChannel' | 'EGBufferFormat_MAX';
-declare var EGBufferFormat : { Force8BitsPerChannel:'Force8BitsPerChannel',Default:'Default',HighPrecisionNormals:'HighPrecisionNormals',Force16BitsPerChannel:'Force16BitsPerChannel',EGBufferFormat_MAX:'EGBufferFormat_MAX', };
-declare class RendererSettings extends DeveloperSettings { 
-	bMobileHDR: boolean;
-	bMobileDisableVertexFog: boolean;
-	MaxMobileCascades: number;
-	MobileMSAASampleCount: EMobileMSAASampleCount;
-	bDiscardUnusedQualityLevels: boolean;
-	bOcclusionCulling: boolean;
-	MinScreenRadiusForLights: number;
-	MinScreenRadiusForEarlyZPass: number;
-	MinScreenRadiusForCSMdepth: number;
-	bPrecomputedVisibilityWarning: boolean;
-	bTextureStreaming: boolean;
-	bUseDXT5NormalMaps: boolean;
-	bClearCoatEnableSecondNormal: boolean;
-	ReflectionCaptureResolution: number;
-	ReflectionEnvironmentLightmapMixBasedOnRoughness: boolean;
-	bForwardShading: boolean;
-	bVertexFoggingForOpaque: boolean;
-	bAllowStaticLighting: boolean;
-	bUseNormalMapsForStaticLighting: boolean;
-	bGenerateMeshDistanceFields: boolean;
-	bEightBitMeshDistanceFields: boolean;
-	bGenerateLandscapeGIData: boolean;
-	bCompressMeshDistanceFields: boolean;
-	TessellationAdaptivePixelsPerTriangle: number;
-	bSeparateTranslucency: boolean;
-	TranslucentSortPolicy: ETranslucentSortPolicy;
-	TranslucentSortAxis: Vector;
-	CustomDepthStencil: ECustomDepthStencil;
-	bCustomDepthTaaJitter: boolean;
-	bEnableAlphaChannelInPostProcessing: boolean;
-	bUsePreExposure: boolean;
-	bDefaultFeatureBloom: boolean;
-	bDefaultFeatureAmbientOcclusion: boolean;
-	bDefaultFeatureAmbientOcclusionStaticFraction: boolean;
-	bDefaultFeatureAutoExposure: boolean;
-	DefaultFeatureAutoExposure: EAutoExposureMethodUI;
-	bDefaultFeatureMotionBlur: boolean;
-	bDefaultFeatureLensFlare: boolean;
-	bTemporalUpsampling: boolean;
-	DefaultFeatureAntiAliasing: EAntiAliasingMethod;
-	DefaultPointLightUnits: ELightUnits;
-	DefaultSpotLightUnits: ELightUnits;
-	bRenderUnbuiltPreviewShadowsInGame: boolean;
-	bStencilForLODDither: boolean;
-	EarlyZPass: EEarlyZPass;
-	bEarlyZPassMovable: boolean;
-	bEarlyZPassOnlyMaterialMasking: boolean;
-	bDBuffer: boolean;
-	ClearSceneMethod: EClearSceneOptions;
-	bBasePassOutputsVelocity: boolean;
-	bSelectiveBasePassOutputs: boolean;
-	bDefaultParticleCutouts: boolean;
-	bGlobalClipPlane: boolean;
-	GBufferFormat: EGBufferFormat;
-	bUseGPUMorphTargets: boolean;
-	bGPUParticlesLocalVFOnly: boolean;
-	bNvidiaAftermathEnabled: boolean;
-	bInstancedStereo: boolean;
-	bMultiView: boolean;
-	bMobileMultiView: boolean;
-	bMobileMultiViewDirect: boolean;
-	bMonoscopicFarField: boolean;
-	bDebugCanvasInLayer: boolean;
-	WireframeCullThreshold: number;
-	bSupportStationarySkylight: boolean;
-	bSupportLowQualityLightmaps: boolean;
-	bSupportPointLightWholeSceneShadows: boolean;
-	bSupportAtmosphericFog: boolean;
-	bSupportSkinCacheShaders: boolean;
-	bMobileEnableStaticAndCSMShadowReceivers: boolean;
-	bMobileEnableMovableLightCSMShaderCulling: boolean;
-	bMobileAllowDistanceFieldShadows: boolean;
-	bMobileAllowMovableDirectionalLights: boolean;
-	MobileNumDynamicPointLights: any;
-	bMobileDynamicPointLightsUseStaticBranch: boolean;
-	SkinCacheSceneMemoryLimitInMB: number;
-	bGPUSkinLimit2BoneInfluences: boolean;
-	bSupportDepthOnlyIndexBuffers: boolean;
-	bSupportReversedIndexBuffers: boolean;
-	bSupportMaterialLayers: boolean;
-	static Load(ResourceName: string): RendererSettings;
-	static Find(Outer: UObject, ResourceName: string): RendererSettings;
-	static GetDefaultObject(): RendererSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RendererSettings;
-	static C(Other: UObject | any): RendererSettings;
-}
-
-declare class RendererOverrideSettings extends DeveloperSettings { 
-	bSupportAllShaderPermutations: boolean;
-	bForceRecomputeTangents: boolean;
-	static Load(ResourceName: string): RendererOverrideSettings;
-	static Find(Outer: UObject, ResourceName: string): RendererOverrideSettings;
-	static GetDefaultObject(): RendererOverrideSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RendererOverrideSettings;
-	static C(Other: UObject | any): RendererOverrideSettings;
-}
-
-declare class RotatingMovementComponent extends MovementComponent { 
-	RotationRate: Rotator;
-	PivotTranslation: Vector;
-	bRotationInLocalSpace: boolean;
-	static Load(ResourceName: string): RotatingMovementComponent;
-	static Find(Outer: UObject, ResourceName: string): RotatingMovementComponent;
-	static GetDefaultObject(): RotatingMovementComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RotatingMovementComponent;
-	static C(Other: UObject | any): RotatingMovementComponent;
-}
-
-declare class RVOAvoidanceInterface extends Interface { 
-	static Load(ResourceName: string): RVOAvoidanceInterface;
-	static Find(Outer: UObject, ResourceName: string): RVOAvoidanceInterface;
-	static GetDefaultObject(): RVOAvoidanceInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RVOAvoidanceInterface;
-	static C(Other: UObject | any): RVOAvoidanceInterface;
-}
-
-declare class Scene extends UObject { 
-	static Load(ResourceName: string): Scene;
-	static Find(Outer: UObject, ResourceName: string): Scene;
-	static GetDefaultObject(): Scene;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Scene;
-	static C(Other: UObject | any): Scene;
-}
-
-declare type ESceneCaptureSource = 'SCS_SceneColorHDR' | 'SCS_SceneColorHDRNoAlpha' | 'SCS_FinalColorLDR' | 'SCS_SceneColorSceneDepth' | 'SCS_SceneDepth' | 'SCS_DeviceDepth' | 'SCS_Normal' | 'SCS_BaseColor' | 'SCS_MAX';
-declare var ESceneCaptureSource : { SCS_SceneColorHDR:'SCS_SceneColorHDR',SCS_SceneColorHDRNoAlpha:'SCS_SceneColorHDRNoAlpha',SCS_FinalColorLDR:'SCS_FinalColorLDR',SCS_SceneColorSceneDepth:'SCS_SceneColorSceneDepth',SCS_SceneDepth:'SCS_SceneDepth',SCS_DeviceDepth:'SCS_DeviceDepth',SCS_Normal:'SCS_Normal',SCS_BaseColor:'SCS_BaseColor',SCS_MAX:'SCS_MAX', };
-declare type ESceneCaptureCompositeMode = 'SCCM_Overwrite' | 'SCCM_Additive' | 'SCCM_Composite' | 'SCCM_MAX';
-declare var ESceneCaptureCompositeMode : { SCCM_Overwrite:'SCCM_Overwrite',SCCM_Additive:'SCCM_Additive',SCCM_Composite:'SCCM_Composite',SCCM_MAX:'SCCM_MAX', };
-declare class SceneCaptureComponent2D extends SceneCaptureComponent { 
-	ProjectionType: ECameraProjectionMode;
-	FOVAngle: number;
-	OrthoWidth: number;
-	TextureTarget: TextureRenderTarget2D;
-	CaptureSource: ESceneCaptureSource;
-	CompositeMode: ESceneCaptureCompositeMode;
-	PostProcessSettings: PostProcessSettings;
-	PostProcessBlendWeight: number;
-	bUseCustomProjectionMatrix: boolean;
-	CustomProjectionMatrix: Matrix;
-	bEnableClipPlane: boolean;
-	ClipPlaneBase: Vector;
-	ClipPlaneNormal: Vector;
-	bCameraCutThisFrame: boolean;
-	static Load(ResourceName: string): SceneCaptureComponent2D;
-	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponent2D;
-	static GetDefaultObject(): SceneCaptureComponent2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponent2D;
-	CaptureScene(): void;
-	static C(Other: UObject | any): SceneCaptureComponent2D;
-}
-
-declare class SceneCapture2D extends SceneCapture { 
-	CaptureComponent2D: SceneCaptureComponent2D;
-	DrawFrustum: DrawFrustumComponent;
-	static GetDefaultObject(): SceneCapture2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCapture2D;
-	OnInterpToggle(bEnable: boolean): void;
-	static C(Other: UObject | any): SceneCapture2D;
-}
-
-declare class TextureRenderTargetCube extends TextureRenderTarget { 
-	SizeX: number;
-	ClearColor: LinearColor;
-	OverrideFormat: EPixelFormat;
-	bHDR: boolean;
-	bForceLinearGamma: boolean;
-	static Load(ResourceName: string): TextureRenderTargetCube;
-	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetCube;
-	static GetDefaultObject(): TextureRenderTargetCube;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetCube;
-	static C(Other: UObject | any): TextureRenderTargetCube;
-}
-
-declare class SceneCaptureComponentCube extends SceneCaptureComponent { 
-	TextureTarget: TextureRenderTargetCube;
-	static Load(ResourceName: string): SceneCaptureComponentCube;
-	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponentCube;
-	static GetDefaultObject(): SceneCaptureComponentCube;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponentCube;
-	CaptureScene(): void;
-	static C(Other: UObject | any): SceneCaptureComponentCube;
-}
-
-declare class SceneCaptureCube extends SceneCapture { 
-	CaptureComponentCube: SceneCaptureComponentCube;
-	DrawFrustum: DrawFrustumComponent;
-	static GetDefaultObject(): SceneCaptureCube;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureCube;
-	OnInterpToggle(bEnable: boolean): void;
-	static C(Other: UObject | any): SceneCaptureCube;
-}
-
-declare type EShadowMapFlags = 'SMF_None' | 'SMF_Streamed' | 'SMF_MAX';
-declare var EShadowMapFlags : { SMF_None:'SMF_None',SMF_Streamed:'SMF_Streamed',SMF_MAX:'SMF_MAX', };
-declare class ShadowMapTexture2D extends Texture2D { 
-	ShadowmapFlags: EShadowMapFlags;
-	static Load(ResourceName: string): ShadowMapTexture2D;
-	static Find(Outer: UObject, ResourceName: string): ShadowMapTexture2D;
-	static GetDefaultObject(): ShadowMapTexture2D;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShadowMapTexture2D;
-	static C(Other: UObject | any): ShadowMapTexture2D;
-}
-
-declare class SkeletalMeshLODGroupSettings { 
-	ScreenSize: number;
-	OptimizationSettings: SkeletalMeshOptimizationSettings;
-	clone() : SkeletalMeshLODGroupSettings;
-	static C(Other: UObject | any): SkeletalMeshLODGroupSettings;
-}
-
-declare class SkeletalMeshReductionSettings extends UObject { 
-	Settings: SkeletalMeshLODGroupSettings[];
-	static Load(ResourceName: string): SkeletalMeshReductionSettings;
-	static Find(Outer: UObject, ResourceName: string): SkeletalMeshReductionSettings;
-	static GetDefaultObject(): SkeletalMeshReductionSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshReductionSettings;
-	static C(Other: UObject | any): SkeletalMeshReductionSettings;
-}
-
-declare type ESkyLightSourceType = 'SLS_CapturedScene' | 'SLS_SpecifiedCubemap' | 'SLS_MAX';
-declare var ESkyLightSourceType : { SLS_CapturedScene:'SLS_CapturedScene',SLS_SpecifiedCubemap:'SLS_SpecifiedCubemap',SLS_MAX:'SLS_MAX', };
-declare type EOcclusionCombineMode = 'OCM_Minimum' | 'OCM_Multiply' | 'OCM_MAX';
-declare var EOcclusionCombineMode : { OCM_Minimum:'OCM_Minimum',OCM_Multiply:'OCM_Multiply',OCM_MAX:'OCM_MAX', };
-declare class SkyLightComponent extends LightComponentBase { 
-	SourceType: ESkyLightSourceType;
-	Cubemap: TextureCube;
-	SourceCubemapAngle: number;
-	CubemapResolution: number;
-	SkyDistanceThreshold: number;
-	bCaptureEmissiveOnly: boolean;
-	bLowerHemisphereIsBlack: boolean;
-	LowerHemisphereColor: LinearColor;
-	OcclusionMaxDistance: number;
-	Contrast: number;
-	OcclusionExponent: number;
-	MinOcclusion: number;
-	OcclusionTint: Color;
-	OcclusionCombineMode: EOcclusionCombineMode;
-	BlendDestinationCubemap: TextureCube;
-	static Load(ResourceName: string): SkyLightComponent;
-	static Find(Outer: UObject, ResourceName: string): SkyLightComponent;
-	static GetDefaultObject(): SkyLightComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkyLightComponent;
-	SetVolumetricScatteringIntensity(NewIntensity: number): void;
-	SetOcclusionTint(InTint: Color): void;
-	SetOcclusionExponent(InOcclusionExponent: number): void;
-	SetOcclusionContrast(InOcclusionContrast: number): void;
-	SetMinOcclusion(InMinOcclusion: number): void;
-	SetLowerHemisphereColor(InLowerHemisphereColor: LinearColor): void;
-	SetLightColor(NewLightColor: LinearColor): void;
-	SetIntensity(NewIntensity: number): void;
-	SetIndirectLightingIntensity(NewIntensity: number): void;
-	SetCubemapBlend(SourceCubemap: TextureCube,DestinationCubemap: TextureCube,InBlendFraction: number): void;
-	SetCubemap(NewCubemap: TextureCube): void;
-	RecaptureSky(): void;
-	static C(Other: UObject | any): SkyLightComponent;
+declare class MaterialExpressionLinearInterpolate extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	Alpha: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	ConstAlpha: number;
+	static Load(ResourceName: string): MaterialExpressionLinearInterpolate;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLinearInterpolate;
+	static GetDefaultObject(): MaterialExpressionLinearInterpolate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLinearInterpolate;
+	static C(Other: UObject | any): MaterialExpressionLinearInterpolate;
 }
 
-declare class SkyLight extends Info { 
-	LightComponent: SkyLightComponent;
-	bEnabled: boolean;
-	static GetDefaultObject(): SkyLight;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkyLight;
-	OnRep_bEnabled(): void;
-	static C(Other: UObject | any): SkyLight;
+declare class MaterialExpressionLogarithm10 extends MaterialExpression { 
+	X: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionLogarithm10;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLogarithm10;
+	static GetDefaultObject(): MaterialExpressionLogarithm10;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLogarithm10;
+	static C(Other: UObject | any): MaterialExpressionLogarithm10;
 }
 
-declare class SlateTextureAtlasInterface extends Interface { 
-	static Load(ResourceName: string): SlateTextureAtlasInterface;
-	static Find(Outer: UObject, ResourceName: string): SlateTextureAtlasInterface;
-	static GetDefaultObject(): SlateTextureAtlasInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateTextureAtlasInterface;
-	static C(Other: UObject | any): SlateTextureAtlasInterface;
+declare class MaterialExpressionLogarithm2 extends MaterialExpression { 
+	X: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionLogarithm2;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionLogarithm2;
+	static GetDefaultObject(): MaterialExpressionLogarithm2;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionLogarithm2;
+	static C(Other: UObject | any): MaterialExpressionLogarithm2;
 }
 
-declare class SmokeTestCommandlet extends Commandlet { 
-	static Load(ResourceName: string): SmokeTestCommandlet;
-	static Find(Outer: UObject, ResourceName: string): SmokeTestCommandlet;
-	static GetDefaultObject(): SmokeTestCommandlet;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SmokeTestCommandlet;
-	static C(Other: UObject | any): SmokeTestCommandlet;
+declare class MaterialExpressionMakeMaterialAttributes extends MaterialExpression { 
+	BaseColor: ExpressionInput;
+	Metallic: ExpressionInput;
+	Specular: ExpressionInput;
+	Roughness: ExpressionInput;
+	EmissiveColor: ExpressionInput;
+	Opacity: ExpressionInput;
+	OpacityMask: ExpressionInput;
+	Normal: ExpressionInput;
+	WorldPositionOffset: ExpressionInput;
+	WorldDisplacement: ExpressionInput;
+	TessellationMultiplier: ExpressionInput;
+	SubsurfaceColor: ExpressionInput;
+	Clearcoat: ExpressionInput;
+	ClearCoatRoughness: ExpressionInput;
+	AmbientOcclusion: ExpressionInput;
+	Refraction: ExpressionInput;
+	CustomizedUVs: ExpressionInput;
+	PixelDepthOffset: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionMakeMaterialAttributes;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMakeMaterialAttributes;
+	static GetDefaultObject(): MaterialExpressionMakeMaterialAttributes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMakeMaterialAttributes;
+	static C(Other: UObject | any): MaterialExpressionMakeMaterialAttributes;
 }
 
-declare class SoundGroup { 
-	SoundGroup: ESoundGroup;
-	DisplayName: string;
-	bAlwaysDecompressOnLoad: boolean;
-	DecompressedDuration: number;
-	clone() : SoundGroup;
-	static C(Other: UObject | any): SoundGroup;
+declare class FunctionExpressionInput { 
+	ExpressionInput: MaterialExpressionFunctionInput;
+	ExpressionInputId: Guid;
+	Input: ExpressionInput;
+	clone() : FunctionExpressionInput;
+	static C(Other: UObject | any): FunctionExpressionInput;
 }
 
-declare class SoundGroups extends UObject { 
-	SoundGroupProfiles: SoundGroup[];
-	static Load(ResourceName: string): SoundGroups;
-	static Find(Outer: UObject, ResourceName: string): SoundGroups;
-	static GetDefaultObject(): SoundGroups;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundGroups;
-	static C(Other: UObject | any): SoundGroups;
+declare class FunctionExpressionOutput { 
+	ExpressionOutput: MaterialExpressionFunctionOutput;
+	ExpressionOutputId: Guid;
+	Output: ExpressionOutput;
+	clone() : FunctionExpressionOutput;
+	static C(Other: UObject | any): FunctionExpressionOutput;
 }
 
-declare class SoundNodeAssetReferencer extends SoundNode { 
-	static Load(ResourceName: string): SoundNodeAssetReferencer;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeAssetReferencer;
-	static GetDefaultObject(): SoundNodeAssetReferencer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeAssetReferencer;
-	static C(Other: UObject | any): SoundNodeAssetReferencer;
+declare class MaterialExpressionMaterialFunctionCall extends MaterialExpression { 
+	MaterialFunction: MaterialFunctionInterface;
+	FunctionInputs: FunctionExpressionInput[];
+	FunctionOutputs: FunctionExpressionOutput[];
+	FunctionParameterInfo: MaterialParameterInfo;
+	static Load(ResourceName: string): MaterialExpressionMaterialFunctionCall;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialFunctionCall;
+	static GetDefaultObject(): MaterialExpressionMaterialFunctionCall;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialFunctionCall;
+	SetMaterialFunction(NewMaterialFunction: MaterialFunctionInterface): boolean;
+	static C(Other: UObject | any): MaterialExpressionMaterialFunctionCall;
 }
 
-declare class SoundNodeAttenuation extends SoundNode { 
-	AttenuationSettings: SoundAttenuation;
-	AttenuationOverrides: SoundAttenuationSettings;
-	bOverrideAttenuation: boolean;
-	static Load(ResourceName: string): SoundNodeAttenuation;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeAttenuation;
-	static GetDefaultObject(): SoundNodeAttenuation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeAttenuation;
-	static C(Other: UObject | any): SoundNodeAttenuation;
-}
-
-declare class SoundNodeBranch extends SoundNode { 
-	BoolParameterName: string;
-	static Load(ResourceName: string): SoundNodeBranch;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeBranch;
-	static GetDefaultObject(): SoundNodeBranch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeBranch;
-	static C(Other: UObject | any): SoundNodeBranch;
-}
-
-declare class SoundNodeConcatenator extends SoundNode { 
-	InputVolume: number[];
-	static Load(ResourceName: string): SoundNodeConcatenator;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeConcatenator;
-	static GetDefaultObject(): SoundNodeConcatenator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeConcatenator;
-	static C(Other: UObject | any): SoundNodeConcatenator;
-}
-
-declare class SoundNodeDelay extends SoundNode { 
-	DelayMin: number;
-	DelayMax: number;
-	static Load(ResourceName: string): SoundNodeDelay;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeDelay;
-	static GetDefaultObject(): SoundNodeDelay;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDelay;
-	static C(Other: UObject | any): SoundNodeDelay;
-}
-
-declare class DialogueWaveParameter { 
-	DialogueWave: DialogueWave;
-	Context: DialogueContext;
-	clone() : DialogueWaveParameter;
-	static C(Other: UObject | any): DialogueWaveParameter;
-}
-
-declare class SoundNodeDialoguePlayer extends SoundNode { 
-	DialogueWaveParameter: DialogueWaveParameter;
-	bLooping: boolean;
-	static Load(ResourceName: string): SoundNodeDialoguePlayer;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeDialoguePlayer;
-	static GetDefaultObject(): SoundNodeDialoguePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDialoguePlayer;
-	static C(Other: UObject | any): SoundNodeDialoguePlayer;
-}
-
-declare class DistanceDatum { 
-	FadeInDistanceStart: number;
-	FadeInDistanceEnd: number;
-	FadeOutDistanceStart: number;
-	FadeOutDistanceEnd: number;
-	Volume: number;
-	clone() : DistanceDatum;
-	static C(Other: UObject | any): DistanceDatum;
-}
-
-declare class SoundNodeDistanceCrossFade extends SoundNode { 
-	CrossFadeInput: DistanceDatum[];
-	static Load(ResourceName: string): SoundNodeDistanceCrossFade;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeDistanceCrossFade;
-	static GetDefaultObject(): SoundNodeDistanceCrossFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDistanceCrossFade;
-	static C(Other: UObject | any): SoundNodeDistanceCrossFade;
-}
-
-declare class SoundNodeDoppler extends SoundNode { 
-	DopplerIntensity: number;
-	static Load(ResourceName: string): SoundNodeDoppler;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeDoppler;
-	static GetDefaultObject(): SoundNodeDoppler;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDoppler;
-	static C(Other: UObject | any): SoundNodeDoppler;
-}
-
-declare class SoundNodeEnveloper extends SoundNode { 
-	LoopStart: number;
-	LoopEnd: number;
-	DurationAfterLoop: number;
-	LoopCount: number;
-	bLoopIndefinitely: boolean;
-	bLoop: boolean;
-	VolumeInterpCurve: DistributionFloatConstantCurve;
-	PitchInterpCurve: DistributionFloatConstantCurve;
-	VolumeCurve: RuntimeFloatCurve;
-	PitchCurve: RuntimeFloatCurve;
-	PitchMin: number;
-	PitchMax: number;
-	VolumeMin: number;
-	VolumeMax: number;
-	static Load(ResourceName: string): SoundNodeEnveloper;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeEnveloper;
-	static GetDefaultObject(): SoundNodeEnveloper;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeEnveloper;
-	static C(Other: UObject | any): SoundNodeEnveloper;
-}
-
-declare class SoundNodeGroupControl extends SoundNode { 
-	GroupSizes: number[];
-	static Load(ResourceName: string): SoundNodeGroupControl;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeGroupControl;
-	static GetDefaultObject(): SoundNodeGroupControl;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeGroupControl;
-	static C(Other: UObject | any): SoundNodeGroupControl;
-}
-
-declare class SoundNodeLooping extends SoundNode { 
-	LoopCount: number;
-	bLoopIndefinitely: boolean;
-	static Load(ResourceName: string): SoundNodeLooping;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeLooping;
-	static GetDefaultObject(): SoundNodeLooping;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeLooping;
-	static C(Other: UObject | any): SoundNodeLooping;
-}
-
-declare class SoundNodeMature extends SoundNode { 
-	static Load(ResourceName: string): SoundNodeMature;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeMature;
-	static GetDefaultObject(): SoundNodeMature;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeMature;
-	static C(Other: UObject | any): SoundNodeMature;
-}
-
-declare class SoundNodeMixer extends SoundNode { 
-	InputVolume: number[];
-	static Load(ResourceName: string): SoundNodeMixer;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeMixer;
-	static GetDefaultObject(): SoundNodeMixer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeMixer;
-	static C(Other: UObject | any): SoundNodeMixer;
-}
-
-declare class SoundNodeModulator extends SoundNode { 
-	PitchMin: number;
-	PitchMax: number;
-	VolumeMin: number;
-	VolumeMax: number;
-	static Load(ResourceName: string): SoundNodeModulator;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeModulator;
-	static GetDefaultObject(): SoundNodeModulator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeModulator;
-	static C(Other: UObject | any): SoundNodeModulator;
-}
-
-declare type ModulationParamMode = 'MPM_Normal' | 'MPM_Abs' | 'MPM_Direct' | 'MPM_MAX';
-declare var ModulationParamMode : { MPM_Normal:'MPM_Normal',MPM_Abs:'MPM_Abs',MPM_Direct:'MPM_Direct',MPM_MAX:'MPM_MAX', };
-declare class ModulatorContinuousParams { 
+declare class MaterialExpressionMaterialAttributeLayers extends MaterialExpression { 
 	ParameterName: string;
-	Default: number;
-	MinInput: number;
-	MaxInput: number;
-	MinOutput: number;
-	MaxOutput: number;
-	ParamMode: ModulationParamMode;
-	clone() : ModulatorContinuousParams;
-	static C(Other: UObject | any): ModulatorContinuousParams;
-}
-
-declare class SoundNodeModulatorContinuous extends SoundNode { 
-	PitchModulationParams: ModulatorContinuousParams;
-	VolumeModulationParams: ModulatorContinuousParams;
-	static Load(ResourceName: string): SoundNodeModulatorContinuous;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeModulatorContinuous;
-	static GetDefaultObject(): SoundNodeModulatorContinuous;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeModulatorContinuous;
-	static C(Other: UObject | any): SoundNodeModulatorContinuous;
-}
-
-declare class SoundNodeOscillator extends SoundNode { 
-	bModulateVolume: boolean;
-	bModulatePitch: boolean;
-	AmplitudeMin: number;
-	AmplitudeMax: number;
-	FrequencyMin: number;
-	FrequencyMax: number;
-	OffsetMin: number;
-	OffsetMax: number;
-	CenterMin: number;
-	CenterMax: number;
-	static Load(ResourceName: string): SoundNodeOscillator;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeOscillator;
-	static GetDefaultObject(): SoundNodeOscillator;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeOscillator;
-	static C(Other: UObject | any): SoundNodeOscillator;
-}
-
-declare class SoundNodeParamCrossFade extends SoundNodeDistanceCrossFade { 
-	ParamName: string;
-	static Load(ResourceName: string): SoundNodeParamCrossFade;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeParamCrossFade;
-	static GetDefaultObject(): SoundNodeParamCrossFade;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeParamCrossFade;
-	static C(Other: UObject | any): SoundNodeParamCrossFade;
-}
-
-declare class SoundNodeQualityLevel extends SoundNode { 
-	static Load(ResourceName: string): SoundNodeQualityLevel;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeQualityLevel;
-	static GetDefaultObject(): SoundNodeQualityLevel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeQualityLevel;
-	static C(Other: UObject | any): SoundNodeQualityLevel;
-}
-
-declare class SoundNodeRandom extends SoundNode { 
-	Weights: number[];
-	PreselectAtLevelLoad: number;
-	bRandomizeWithoutReplacement: boolean;
-	HasBeenUsed: boolean[];
-	NumRandomUsed: number;
-	PIEHiddenNodes: number[];
-	static Load(ResourceName: string): SoundNodeRandom;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeRandom;
-	static GetDefaultObject(): SoundNodeRandom;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeRandom;
-	static C(Other: UObject | any): SoundNodeRandom;
-}
-
-declare class SoundNodeSoundClass extends SoundNode { 
-	SoundClassOverride: SoundClass;
-	static Load(ResourceName: string): SoundNodeSoundClass;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeSoundClass;
-	static GetDefaultObject(): SoundNodeSoundClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeSoundClass;
-	static C(Other: UObject | any): SoundNodeSoundClass;
-}
-
-declare class SoundNodeSwitch extends SoundNode { 
-	IntParameterName: string;
-	static Load(ResourceName: string): SoundNodeSwitch;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeSwitch;
-	static GetDefaultObject(): SoundNodeSwitch;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeSwitch;
-	static C(Other: UObject | any): SoundNodeSwitch;
-}
-
-declare class SoundNodeWaveParam extends SoundNode { 
-	WaveParameterName: string;
-	static Load(ResourceName: string): SoundNodeWaveParam;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeWaveParam;
-	static GetDefaultObject(): SoundNodeWaveParam;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeWaveParam;
-	static C(Other: UObject | any): SoundNodeWaveParam;
-}
-
-declare class SoundNodeWavePlayer extends SoundNodeAssetReferencer { 
-	SoundWaveAssetPtr: any;
-	SoundWave: SoundWave;
-	bLooping: boolean;
-	static Load(ResourceName: string): SoundNodeWavePlayer;
-	static Find(Outer: UObject, ResourceName: string): SoundNodeWavePlayer;
-	static GetDefaultObject(): SoundNodeWavePlayer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeWavePlayer;
-	static C(Other: UObject | any): SoundNodeWavePlayer;
+	ExpressionGUID: Guid;
+	Input: MaterialAttributesInput;
+	DefaultLayers: MaterialLayersFunctions;
+	LayerCallers: MaterialExpressionMaterialFunctionCall[];
+	NumActiveLayerCallers: number;
+	BlendCallers: MaterialExpressionMaterialFunctionCall[];
+	NumActiveBlendCallers: number;
+	bIsLayerGraphBuilt: boolean;
+	static Load(ResourceName: string): MaterialExpressionMaterialAttributeLayers;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialAttributeLayers;
+	static GetDefaultObject(): MaterialExpressionMaterialAttributeLayers;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialAttributeLayers;
+	static C(Other: UObject | any): MaterialExpressionMaterialAttributeLayers;
 }
 
-declare class SpectatorPawnMovement extends FloatingPawnMovement { 
-	bIgnoreTimeDilation: boolean;
-	static Load(ResourceName: string): SpectatorPawnMovement;
-	static Find(Outer: UObject, ResourceName: string): SpectatorPawnMovement;
-	static GetDefaultObject(): SpectatorPawnMovement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpectatorPawnMovement;
-	static C(Other: UObject | any): SpectatorPawnMovement;
-}
-
-declare class SphereReflectionCapture extends ReflectionCapture { 
-	DrawCaptureRadius: DrawSphereComponent;
-	static GetDefaultObject(): SphereReflectionCapture;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SphereReflectionCapture;
-	static C(Other: UObject | any): SphereReflectionCapture;
-}
-
-declare class SphereReflectionCaptureComponent extends ReflectionCaptureComponent { 
-	InfluenceRadius: number;
-	CaptureDistanceScale: number;
-	PreviewInfluenceRadius: DrawSphereComponent;
-	static Load(ResourceName: string): SphereReflectionCaptureComponent;
-	static Find(Outer: UObject, ResourceName: string): SphereReflectionCaptureComponent;
-	static GetDefaultObject(): SphereReflectionCaptureComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SphereReflectionCaptureComponent;
-	static C(Other: UObject | any): SphereReflectionCaptureComponent;
-}
-
-declare class SplineMeshActor extends Actor { 
-	SplineMeshComponent: SplineMeshComponent;
-	static GetDefaultObject(): SplineMeshActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineMeshActor;
-	static C(Other: UObject | any): SplineMeshActor;
-}
-
-declare class SpringArmComponent extends SceneComponent { 
-	TargetArmLength: number;
-	SocketOffset: Vector;
-	TargetOffset: Vector;
-	ProbeSize: number;
-	ProbeChannel: ECollisionChannel;
-	bDoCollisionTest: boolean;
-	bUsePawnControlRotation: boolean;
-	bInheritPitch: boolean;
-	bInheritYaw: boolean;
-	bInheritRoll: boolean;
-	bEnableCameraLag: boolean;
-	bEnableCameraRotationLag: boolean;
-	bUseCameraLagSubstepping: boolean;
-	bDrawDebugLagMarkers: boolean;
-	CameraLagSpeed: number;
-	CameraRotationLagSpeed: number;
-	CameraLagMaxTimeStep: number;
-	CameraLagMaxDistance: number;
-	static Load(ResourceName: string): SpringArmComponent;
-	static Find(Outer: UObject, ResourceName: string): SpringArmComponent;
-	static GetDefaultObject(): SpringArmComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpringArmComponent;
-	IsCollisionFixApplied(): boolean;
-	GetUnfixedCameraPosition(): Vector;
-	GetTargetRotation(): Rotator;
-	static C(Other: UObject | any): SpringArmComponent;
-}
-
-declare type EStereoLayerType = 'SLT_WorldLocked' | 'SLT_TrackerLocked' | 'SLT_FaceLocked' | 'SLT_MAX';
-declare var EStereoLayerType : { SLT_WorldLocked:'SLT_WorldLocked',SLT_TrackerLocked:'SLT_TrackerLocked',SLT_FaceLocked:'SLT_FaceLocked',SLT_MAX:'SLT_MAX', };
-declare type EStereoLayerShape = 'SLSH_QuadLayer' | 'SLSH_CylinderLayer' | 'SLSH_CubemapLayer' | 'SLSH_MAX';
-declare var EStereoLayerShape : { SLSH_QuadLayer:'SLSH_QuadLayer',SLSH_CylinderLayer:'SLSH_CylinderLayer',SLSH_CubemapLayer:'SLSH_CubemapLayer',SLSH_MAX:'SLSH_MAX', };
-declare class StereoLayerComponent extends SceneComponent { 
-	bLiveTexture: boolean;
-	bSupportsDepth: boolean;
-	bNoAlphaChannel: boolean;
-	Texture: Texture;
-	LeftTexture: Texture;
-	bQuadPreserveTextureRatio: boolean;
-	QuadSize: Vector2D;
-	UVRect: Box2D;
-	CylinderRadius: number;
-	CylinderOverlayArc: number;
-	CylinderHeight: number;
-	StereoLayerType: EStereoLayerType;
-	StereoLayerShape: EStereoLayerShape;
-	Priority: number;
-	static Load(ResourceName: string): StereoLayerComponent;
-	static Find(Outer: UObject, ResourceName: string): StereoLayerComponent;
-	static GetDefaultObject(): StereoLayerComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StereoLayerComponent;
-	SetUVRect(InUVRect: Box2D): void;
-	SetTexture(InTexture: Texture): void;
-	SetQuadSize(InQuadSize: Vector2D): void;
-	SetPriority(InPriority: number): void;
-	MarkTextureForUpdate(): void;
-	GetUVRect(): Box2D;
-	GetTexture(): Texture;
-	GetQuadSize(): Vector2D;
-	GetPriority(): number;
-	static C(Other: UObject | any): StereoLayerComponent;
-}
-
-declare class StereoLayerFunctionLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): StereoLayerFunctionLibrary;
-	static Find(Outer: UObject, ResourceName: string): StereoLayerFunctionLibrary;
-	static GetDefaultObject(): StereoLayerFunctionLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StereoLayerFunctionLibrary;
-	static ShowSplashScreen(): void;
-	static SetSplashScreen(Texture: Texture,Scale: Vector2D,Offset: Vector2D,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
-	static HideSplashScreen(): void;
-	static EnableAutoLoadingSplashScreen(InAutoShowEnabled: boolean): void;
-	static C(Other: UObject | any): StereoLayerFunctionLibrary;
-}
-
-declare class StringTable extends UObject { 
-	static Load(ResourceName: string): StringTable;
-	static Find(Outer: UObject, ResourceName: string): StringTable;
-	static GetDefaultObject(): StringTable;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StringTable;
-	static C(Other: UObject | any): StringTable;
-}
-
-declare class TargetPoint extends Actor { 
-	SpriteComponent: BillboardComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): TargetPoint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TargetPoint;
-	static C(Other: UObject | any): TargetPoint;
-}
-
-declare class TextPropertyTestObject extends UObject { 
-	DefaultedText: string;
-	UndefaultedText: string;
-	TransientText: string;
-	static Load(ResourceName: string): TextPropertyTestObject;
-	static Find(Outer: UObject, ResourceName: string): TextPropertyTestObject;
-	static GetDefaultObject(): TextPropertyTestObject;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextPropertyTestObject;
-	static C(Other: UObject | any): TextPropertyTestObject;
-}
-
-declare type EHorizTextAligment = 'EHTA_Left' | 'EHTA_Center' | 'EHTA_Right' | 'EHTA_MAX';
-declare var EHorizTextAligment : { EHTA_Left:'EHTA_Left',EHTA_Center:'EHTA_Center',EHTA_Right:'EHTA_Right',EHTA_MAX:'EHTA_MAX', };
-declare type EVerticalTextAligment = 'EVRTA_TextTop' | 'EVRTA_TextCenter' | 'EVRTA_TextBottom' | 'EVRTA_QuadTop' | 'EVRTA_MAX';
-declare var EVerticalTextAligment : { EVRTA_TextTop:'EVRTA_TextTop',EVRTA_TextCenter:'EVRTA_TextCenter',EVRTA_TextBottom:'EVRTA_TextBottom',EVRTA_QuadTop:'EVRTA_QuadTop',EVRTA_MAX:'EVRTA_MAX', };
-declare class TextRenderComponent extends PrimitiveComponent { 
-	text: string;
-	TextMaterial: MaterialInterface;
-	Font: Font;
-	HorizontalAlignment: EHorizTextAligment;
-	VerticalAlignment: EVerticalTextAligment;
-	TextRenderColor: Color;
-	XScale: number;
-	YScale: number;
-	WorldSize: number;
-	InvDefaultSize: number;
-	HorizSpacingAdjust: number;
-	VertSpacingAdjust: number;
-	bAlwaysRenderAsText: boolean;
-	static Load(ResourceName: string): TextRenderComponent;
-	static Find(Outer: UObject, ResourceName: string): TextRenderComponent;
-	static GetDefaultObject(): TextRenderComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextRenderComponent;
-	SetYScale(Value: number): void;
-	SetXScale(Value: number): void;
-	SetWorldSize(Value: number): void;
-	SetVertSpacingAdjust(Value: number): void;
-	SetVerticalAlignment(Value: EVerticalTextAligment): void;
-	SetTextRenderColor(Value: Color): void;
-	SetTextMaterial(Material: MaterialInterface): void;
-	SetText(Value: string): void;
-	SetHorizSpacingAdjust(Value: number): void;
-	SetHorizontalAlignment(Value: EHorizTextAligment): void;
-	SetFont(Value: Font): void;
-	K2_SetText(Value: string): void;
-	GetTextWorldSize(): Vector;
-	GetTextLocalSize(): Vector;
-	static C(Other: UObject | any): TextRenderComponent;
-}
-
-declare class TextRenderActor extends Actor { 
-	TextRender: TextRenderComponent;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): TextRenderActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextRenderActor;
-	static C(Other: UObject | any): TextRenderActor;
+declare class MaterialExpressionMaterialLayerOutput extends MaterialExpressionFunctionOutput { 
+	static Load(ResourceName: string): MaterialExpressionMaterialLayerOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialLayerOutput;
+	static GetDefaultObject(): MaterialExpressionMaterialLayerOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialLayerOutput;
+	static C(Other: UObject | any): MaterialExpressionMaterialLayerOutput;
 }
 
-declare class TimelineEventEntry { 
-	Time: number;
-	EventFunc: UnrealEngineDelegate<() => void>;
-	clone() : TimelineEventEntry;
-	static C(Other: UObject | any): TimelineEventEntry;
+declare class MaterialExpressionMaterialProxyReplace extends MaterialExpression { 
+	Realtime: ExpressionInput;
+	MaterialProxy: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionMaterialProxyReplace;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMaterialProxyReplace;
+	static GetDefaultObject(): MaterialExpressionMaterialProxyReplace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMaterialProxyReplace;
+	static C(Other: UObject | any): MaterialExpressionMaterialProxyReplace;
 }
 
-declare class TimelineVectorTrack { 
-	VectorCurve: CurveVector;
-	InterpFunc: UnrealEngineDelegate<(Output: Vector) => void>;
-	TrackName: string;
-	VectorPropertyName: string;
-	VectorProperty: StructProperty;
-	clone() : TimelineVectorTrack;
-	static C(Other: UObject | any): TimelineVectorTrack;
+declare class MaterialExpressionMax extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionMax;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMax;
+	static GetDefaultObject(): MaterialExpressionMax;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMax;
+	static C(Other: UObject | any): MaterialExpressionMax;
 }
 
-declare class TimelineFloatTrack { 
-	FloatCurve: CurveFloat;
-	InterpFunc: UnrealEngineDelegate<(Output: number) => void>;
-	TrackName: string;
-	FloatPropertyName: string;
-	FloatProperty: FloatProperty;
-	clone() : TimelineFloatTrack;
-	static C(Other: UObject | any): TimelineFloatTrack;
+declare class MaterialExpressionMin extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionMin;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMin;
+	static GetDefaultObject(): MaterialExpressionMin;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMin;
+	static C(Other: UObject | any): MaterialExpressionMin;
 }
 
-declare class TimelineLinearColorTrack { 
-	LinearColorCurve: CurveLinearColor;
-	InterpFunc: UnrealEngineDelegate<(Output: LinearColor) => void>;
-	TrackName: string;
-	LinearColorPropertyName: string;
-	LinearColorProperty: StructProperty;
-	clone() : TimelineLinearColorTrack;
-	static C(Other: UObject | any): TimelineLinearColorTrack;
+declare class MaterialExpressionMultiply extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionMultiply;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionMultiply;
+	static GetDefaultObject(): MaterialExpressionMultiply;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionMultiply;
+	static C(Other: UObject | any): MaterialExpressionMultiply;
 }
 
-declare class Timeline { 
-	LengthMode: ETimelineLengthMode;
-	bLooping: boolean;
-	bReversePlayback: boolean;
-	bPlaying: boolean;
-	Length: number;
-	PlayRate: number;
-	Position: number;
-	Events: TimelineEventEntry[];
-	InterpVectors: TimelineVectorTrack[];
-	InterpFloats: TimelineFloatTrack[];
-	InterpLinearColors: TimelineLinearColorTrack[];
-	TimelinePostUpdateFunc: UnrealEngineDelegate<() => void>;
-	TimelineFinishedFunc: UnrealEngineDelegate<() => void>;
-	PropertySetObject: any;
-	DirectionPropertyName: string;
-	DirectionProperty: Property;
-	clone() : Timeline;
-	static C(Other: UObject | any): Timeline;
-}
-
-declare class TimelineComponent extends ActorComponent { 
-	TheTimeline: Timeline;
-	bIgnoreTimeDilation: boolean;
-	static Load(ResourceName: string): TimelineComponent;
-	static Find(Outer: UObject, ResourceName: string): TimelineComponent;
-	static GetDefaultObject(): TimelineComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimelineComponent;
-	Stop(): void;
-	SetVectorCurve(NewVectorCurve: CurveVector,VectorTrackName: string): void;
-	SetTimelineLengthMode(NewLengthMode: ETimelineLengthMode): void;
-	SetTimelineLength(NewLength: number): void;
-	SetPlayRate(NewRate: number): void;
-	SetPlaybackPosition(NewPosition: number,bFireEvents: boolean,bFireUpdate: boolean): void;
-	SetNewTime(NewTime: number): void;
-	SetLooping(bNewLooping: boolean): void;
-	SetLinearColorCurve(NewLinearColorCurve: CurveLinearColor,LinearColorTrackName: string): void;
-	SetIgnoreTimeDilation(bNewIgnoreTimeDilation: boolean): void;
-	SetFloatCurve(NewFloatCurve: CurveFloat,FloatTrackName: string): void;
-	ReverseFromEnd(): void;
-	Reverse(): void;
-	PlayFromStart(): void;
-	Play(): void;
-	OnRep_Timeline(): void;
-	IsReversing(): boolean;
-	IsPlaying(): boolean;
-	IsLooping(): boolean;
-	GetTimelineLength(): number;
-	GetPlayRate(): number;
-	GetPlaybackPosition(): number;
-	GetIgnoreTimeDilation(): boolean;
-	static C(Other: UObject | any): TimelineComponent;
+declare type ENoiseFunction = 'NOISEFUNCTION_SimplexTex' | 'NOISEFUNCTION_GradientTex' | 'NOISEFUNCTION_GradientTex3D' | 'NOISEFUNCTION_GradientALU' | 'NOISEFUNCTION_ValueALU' | 'NOISEFUNCTION_VoronoiALU' | 'NOISEFUNCTION_MAX';
+declare var ENoiseFunction : { NOISEFUNCTION_SimplexTex:'NOISEFUNCTION_SimplexTex',NOISEFUNCTION_GradientTex:'NOISEFUNCTION_GradientTex',NOISEFUNCTION_GradientTex3D:'NOISEFUNCTION_GradientTex3D',NOISEFUNCTION_GradientALU:'NOISEFUNCTION_GradientALU',NOISEFUNCTION_ValueALU:'NOISEFUNCTION_ValueALU',NOISEFUNCTION_VoronoiALU:'NOISEFUNCTION_VoronoiALU',NOISEFUNCTION_MAX:'NOISEFUNCTION_MAX', };
+declare class MaterialExpressionNoise extends MaterialExpression { 
+	Position: ExpressionInput;
+	FilterWidth: ExpressionInput;
+	Scale: number;
+	Quality: number;
+	NoiseFunction: ENoiseFunction;
+	bTurbulence: boolean;
+	Levels: number;
+	OutputMin: number;
+	OutputMax: number;
+	LevelScale: number;
+	bTiling: boolean;
+	RepeatSize: any;
+	static Load(ResourceName: string): MaterialExpressionNoise;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionNoise;
+	static GetDefaultObject(): MaterialExpressionNoise;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionNoise;
+	static C(Other: UObject | any): MaterialExpressionNoise;
 }
 
-declare class TriggerBase extends Actor { 
-	CollisionComponent: ShapeComponent;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): TriggerBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerBase;
-	static C(Other: UObject | any): TriggerBase;
-}
-
-declare class TriggerBox extends TriggerBase { 
-	static GetDefaultObject(): TriggerBox;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerBox;
-	static C(Other: UObject | any): TriggerBox;
-}
-
-declare class TriggerCapsule extends TriggerBase { 
-	static GetDefaultObject(): TriggerCapsule;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerCapsule;
-	static C(Other: UObject | any): TriggerCapsule;
-}
-
-declare class TriggerSphere extends TriggerBase { 
-	static GetDefaultObject(): TriggerSphere;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerSphere;
-	static C(Other: UObject | any): TriggerSphere;
-}
-
-declare class TriggerVolume extends Volume { 
-	static GetDefaultObject(): TriggerVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerVolume;
-	static C(Other: UObject | any): TriggerVolume;
-}
-
-declare type ETwitterRequestMethod = 'TRM_Get' | 'TRM_Post' | 'TRM_Delete' | 'TRM_MAX';
-declare var ETwitterRequestMethod : { TRM_Get:'TRM_Get',TRM_Post:'TRM_Post',TRM_Delete:'TRM_Delete',TRM_MAX:'TRM_MAX', };
-declare class TwitterIntegrationBase extends PlatformInterfaceBase { 
-	static Load(ResourceName: string): TwitterIntegrationBase;
-	static Find(Outer: UObject, ResourceName: string): TwitterIntegrationBase;
-	static GetDefaultObject(): TwitterIntegrationBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TwitterIntegrationBase;
-	TwitterRequest(URL: string,ParamKeysAndValues: string[],RequestMethod: ETwitterRequestMethod,AccountIndex: number): boolean;
-	ShowTweetUI(InitialMessage: string,URL: string,Picture: string): boolean;
-	Init(): void;
-	GetNumAccounts(): number;
-	GetAccountName(AccountIndex: number): string;
-	CanShowTweetUI(): boolean;
-	AuthorizeAccounts(): boolean;
-	static C(Other: UObject | any): TwitterIntegrationBase;
-}
-
-declare class UserDefinedEnum extends Enum { 
-	UniqueNameIndex: any;
-	EnumDescription: string;
-	DisplayNameMap: any;
-	static Load(ResourceName: string): UserDefinedEnum;
-	static Find(Outer: UObject, ResourceName: string): UserDefinedEnum;
-	static GetDefaultObject(): UserDefinedEnum;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedEnum;
-	static C(Other: UObject | any): UserDefinedEnum;
-}
-
-declare type ERenderFocusRule = 'Always' | 'NonPointer' | 'NavigationOnly' | 'Never' | 'ERenderFocusRule_MAX';
-declare var ERenderFocusRule : { Always:'Always',NonPointer:'NonPointer',NavigationOnly:'NavigationOnly',Never:'Never',ERenderFocusRule_MAX:'ERenderFocusRule_MAX', };
-declare type EUIScalingRule = 'ShortestSide' | 'LongestSide' | 'Horizontal' | 'Vertical' | 'Custom' | 'EUIScalingRule_MAX';
-declare var EUIScalingRule : { ShortestSide:'ShortestSide',LongestSide:'LongestSide',Horizontal:'Horizontal',Vertical:'Vertical',Custom:'Custom',EUIScalingRule_MAX:'EUIScalingRule_MAX', };
-declare class UserInterfaceSettings extends DeveloperSettings { 
-	RenderFocusRule: ERenderFocusRule;
-	HardwareCursors: any;
-	SoftwareCursors: any;
-	DefaultCursor: SoftClassPath;
-	TextEditBeamCursor: SoftClassPath;
-	CrosshairsCursor: SoftClassPath;
-	HandCursor: SoftClassPath;
-	GrabHandCursor: SoftClassPath;
-	GrabHandClosedCursor: SoftClassPath;
-	SlashedCircleCursor: SoftClassPath;
-	ApplicationScale: number;
-	UIScaleRule: EUIScalingRule;
-	CustomScalingRuleClass: SoftClassPath;
-	UIScaleCurve: RuntimeFloatCurve;
-	bLoadWidgetsOnDedicatedServer: boolean;
-	CursorClasses: UObject[];
-	CustomScalingRuleClassInstance: UnrealEngineClass;
-	CustomScalingRule: DPICustomScalingRule;
-	static Load(ResourceName: string): UserInterfaceSettings;
-	static Find(Outer: UObject, ResourceName: string): UserInterfaceSettings;
-	static GetDefaultObject(): UserInterfaceSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserInterfaceSettings;
-	static C(Other: UObject | any): UserInterfaceSettings;
-}
-
-declare type EVectorFieldConstructionOp = 'VFCO_Extrude' | 'VFCO_Revolve' | 'VFCO_MAX';
-declare var EVectorFieldConstructionOp : { VFCO_Extrude:'VFCO_Extrude',VFCO_Revolve:'VFCO_Revolve',VFCO_MAX:'VFCO_MAX', };
-declare class VectorFieldStatic extends VectorField { 
-	SizeX: number;
-	SizeY: number;
-	SizeZ: number;
-	SourceFilePath: string;
-	AssetImportData: AssetImportData;
-	static Load(ResourceName: string): VectorFieldStatic;
-	static Find(Outer: UObject, ResourceName: string): VectorFieldStatic;
-	static GetDefaultObject(): VectorFieldStatic;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldStatic;
-	static C(Other: UObject | any): VectorFieldStatic;
-}
-
-declare class VectorFieldAnimated extends VectorField { 
-	Texture: Texture2D;
-	ConstructionOp: EVectorFieldConstructionOp;
-	VolumeSizeX: number;
-	VolumeSizeY: number;
-	VolumeSizeZ: number;
-	SubImagesX: number;
-	SubImagesY: number;
-	FrameCount: number;
-	FramesPerSecond: number;
-	bLoop: boolean;
-	NoiseField: VectorFieldStatic;
-	NoiseScale: number;
-	NoiseMax: number;
-	static Load(ResourceName: string): VectorFieldAnimated;
-	static Find(Outer: UObject, ResourceName: string): VectorFieldAnimated;
-	static GetDefaultObject(): VectorFieldAnimated;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldAnimated;
-	static C(Other: UObject | any): VectorFieldAnimated;
-}
-
-declare class VectorFieldComponent extends PrimitiveComponent { 
-	VectorField: VectorField;
-	Intensity: number;
-	Tightness: number;
-	bPreviewVectorField: boolean;
-	static Load(ResourceName: string): VectorFieldComponent;
-	static Find(Outer: UObject, ResourceName: string): VectorFieldComponent;
-	static GetDefaultObject(): VectorFieldComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldComponent;
-	SetIntensity(NewIntensity: number): void;
-	static C(Other: UObject | any): VectorFieldComponent;
-}
-
-declare class VectorFieldVolume extends Actor { 
-	VectorFieldComponent: VectorFieldComponent;
-	SpriteComponent: BillboardComponent;
-	static GetDefaultObject(): VectorFieldVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldVolume;
-	static C(Other: UObject | any): VectorFieldVolume;
-}
-
-declare class VisualLoggerAutomationTests extends UObject { 
-	static Load(ResourceName: string): VisualLoggerAutomationTests;
-	static Find(Outer: UObject, ResourceName: string): VisualLoggerAutomationTests;
-	static GetDefaultObject(): VisualLoggerAutomationTests;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerAutomationTests;
-	static C(Other: UObject | any): VisualLoggerAutomationTests;
-}
-
-declare class VisualLoggerDebugSnapshotInterface extends Interface { 
-	static Load(ResourceName: string): VisualLoggerDebugSnapshotInterface;
-	static Find(Outer: UObject, ResourceName: string): VisualLoggerDebugSnapshotInterface;
-	static GetDefaultObject(): VisualLoggerDebugSnapshotInterface;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerDebugSnapshotInterface;
-	static C(Other: UObject | any): VisualLoggerDebugSnapshotInterface;
-}
-
-declare class VisualLoggerKismetLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): VisualLoggerKismetLibrary;
-	static Find(Outer: UObject, ResourceName: string): VisualLoggerKismetLibrary;
-	static GetDefaultObject(): VisualLoggerKismetLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerKismetLibrary;
-	static RedirectVislog(SourceOwner: UObject,DestinationOwner: UObject): void;
-	static LogText(WorldContextObject: UObject,text: string,LogCategory: string,bAddToMessageLog: boolean): void;
-	static LogSegment(WorldContextObject: UObject,SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
-	static LogLocation(WorldContextObject: UObject,Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
-	static LogBox(WorldContextObject: UObject,BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
-	static EnableRecording(bEnabled: boolean): void;
-	static C(Other: UObject | any): VisualLoggerKismetLibrary;
-}
-
-declare class VoiceChannel extends Channel { 
-	static Load(ResourceName: string): VoiceChannel;
-	static Find(Outer: UObject, ResourceName: string): VoiceChannel;
-	static GetDefaultObject(): VoiceChannel;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VoiceChannel;
-	static C(Other: UObject | any): VoiceChannel;
-}
-
-declare class VoiceSettings { 
-	ComponentToAttachTo: SceneComponent;
-	AttenuationSettings: SoundAttenuation;
-	SourceEffectChain: SoundEffectSourcePresetChain;
-	clone() : VoiceSettings;
-	static C(Other: UObject | any): VoiceSettings;
-}
-
-declare class VOIPTalker extends ActorComponent { 
-	Settings: VoiceSettings;
-	static Load(ResourceName: string): VOIPTalker;
-	static Find(Outer: UObject, ResourceName: string): VOIPTalker;
-	static GetDefaultObject(): VOIPTalker;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VOIPTalker;
-	RegisterWithPlayerState(OwningState: PlayerState): void;
-	GetVoiceLevel(): number;
-	static CreateTalkerForPlayer(OwningState: PlayerState): VOIPTalker;
-	BPOnTalkingEnd(): void;
-	BPOnTalkingBegin(AudioComponent: AudioComponent): void;
-	static C(Other: UObject | any): VOIPTalker;
-}
-
-declare class VOIPStatics extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): VOIPStatics;
-	static Find(Outer: UObject, ResourceName: string): VOIPStatics;
-	static GetDefaultObject(): VOIPStatics;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VOIPStatics;
-	static SetMicThreshold(InThreshold: number): void;
-	static C(Other: UObject | any): VOIPStatics;
-}
-
-declare class VolumetricLightmapDensityVolume extends Volume { 
-	AllowedMipLevelRange: Int32Interval;
-	static GetDefaultObject(): VolumetricLightmapDensityVolume;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumetricLightmapDensityVolume;
-	static C(Other: UObject | any): VolumetricLightmapDensityVolume;
-}
-
-declare type EWindSourceType = 'Directional' | 'Point' | 'EWindSourceType_MAX';
-declare var EWindSourceType : { Directional:'Directional',Point:'Point',EWindSourceType_MAX:'EWindSourceType_MAX', };
-declare class WindDirectionalSourceComponent extends SceneComponent { 
-	Strength: number;
-	Speed: number;
-	MinGustAmount: number;
-	MaxGustAmount: number;
-	Radius: number;
-	bPointWind: boolean;
-	static Load(ResourceName: string): WindDirectionalSourceComponent;
-	static Find(Outer: UObject, ResourceName: string): WindDirectionalSourceComponent;
-	static GetDefaultObject(): WindDirectionalSourceComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindDirectionalSourceComponent;
-	SetWindType(InNewType: EWindSourceType): void;
-	SetStrength(InNewStrength: number): void;
-	SetSpeed(InNewSpeed: number): void;
-	SetRadius(InNewRadius: number): void;
-	SetMinimumGustAmount(InNewMinGust: number): void;
-	SetMaximumGustAmount(InNewMaxGust: number): void;
-	static C(Other: UObject | any): WindDirectionalSourceComponent;
-}
-
-declare class WindDirectionalSource extends Info { 
-	Component: WindDirectionalSourceComponent;
-	ArrowComponent: ArrowComponent;
-	static GetDefaultObject(): WindDirectionalSource;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindDirectionalSource;
-	static C(Other: UObject | any): WindDirectionalSource;
-}
-
-declare class HierarchicalLODSetup extends UObject { 
-	HierarchicalLODSetup: HierarchicalSimplification[];
-	static Load(ResourceName: string): HierarchicalLODSetup;
-	static Find(Outer: UObject, ResourceName: string): HierarchicalLODSetup;
-	static GetDefaultObject(): HierarchicalLODSetup;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODSetup;
-	static C(Other: UObject | any): HierarchicalLODSetup;
-}
-
-declare class MoviePlayerSettings extends UObject { 
-	bWaitForMoviesToComplete: boolean;
-	bMoviesAreSkippable: boolean;
-	StartupMovies: string[];
-	static Load(ResourceName: string): MoviePlayerSettings;
-	static Find(Outer: UObject, ResourceName: string): MoviePlayerSettings;
-	static GetDefaultObject(): MoviePlayerSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MoviePlayerSettings;
-	static C(Other: UObject | any): MoviePlayerSettings;
-}
-
-declare class SoundFactory extends Factory { 
-	bAutoCreateCue: boolean;
-	bIncludeAttenuationNode: boolean;
-	bIncludeLoopingNode: boolean;
-	bIncludeModulatorNode: boolean;
-	CueVolume: number;
-	CuePackageSuffix: string;
-	static Load(ResourceName: string): SoundFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundFactory;
-	static GetDefaultObject(): SoundFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundFactory;
-	static C(Other: UObject | any): SoundFactory;
-}
-
-declare class ReimportSoundFactory extends SoundFactory { 
-	static Load(ResourceName: string): ReimportSoundFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportSoundFactory;
-	static GetDefaultObject(): ReimportSoundFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportSoundFactory;
-	static C(Other: UObject | any): ReimportSoundFactory;
-}
-
-declare class SoundSurroundFactory extends Factory { 
-	CueVolume: number;
-	static Load(ResourceName: string): SoundSurroundFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSurroundFactory;
-	static GetDefaultObject(): SoundSurroundFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSurroundFactory;
-	static C(Other: UObject | any): SoundSurroundFactory;
-}
-
-declare class ReimportSoundSurroundFactory extends SoundSurroundFactory { 
-	ReimportPaths: string[];
-	static Load(ResourceName: string): ReimportSoundSurroundFactory;
-	static Find(Outer: UObject, ResourceName: string): ReimportSoundSurroundFactory;
-	static GetDefaultObject(): ReimportSoundSurroundFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportSoundSurroundFactory;
-	static C(Other: UObject | any): ReimportSoundSurroundFactory;
-}
-
-declare class MacTargetSettings extends UObject { 
-	TargetedRHIs: string[];
-	MaxShaderLanguageVersion: number;
-	UseFastIntrinsics: boolean;
-	EnableMathOptimisations: boolean;
-	AudioSampleRate: number;
-	AudioCallbackBufferFrameSize: number;
-	AudioNumBuffersToEnqueue: number;
-	AudioMaxChannels: number;
-	AudioNumSourceWorkers: number;
-	SpatializationPlugin: string;
-	ReverbPlugin: string;
-	OcclusionPlugin: string;
-	static Load(ResourceName: string): MacTargetSettings;
-	static Find(Outer: UObject, ResourceName: string): MacTargetSettings;
-	static GetDefaultObject(): MacTargetSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MacTargetSettings;
-	static C(Other: UObject | any): MacTargetSettings;
-}
-
-declare class DialogueVoiceFactory extends Factory { 
-	static Load(ResourceName: string): DialogueVoiceFactory;
-	static Find(Outer: UObject, ResourceName: string): DialogueVoiceFactory;
-	static GetDefaultObject(): DialogueVoiceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueVoiceFactory;
-	static C(Other: UObject | any): DialogueVoiceFactory;
-}
-
-declare class DialogueWaveFactory extends Factory { 
-	InitialSoundWave: SoundWave;
-	InitialSpeakerVoice: DialogueVoice;
-	HasSetInitialTargetVoice: boolean;
-	InitialTargetVoices: DialogueVoice[];
-	static Load(ResourceName: string): DialogueWaveFactory;
-	static Find(Outer: UObject, ResourceName: string): DialogueWaveFactory;
-	static GetDefaultObject(): DialogueWaveFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueWaveFactory;
-	static C(Other: UObject | any): DialogueWaveFactory;
-}
-
-declare class ReverbEffectFactory extends Factory { 
-	static Load(ResourceName: string): ReverbEffectFactory;
-	static Find(Outer: UObject, ResourceName: string): ReverbEffectFactory;
-	static GetDefaultObject(): ReverbEffectFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReverbEffectFactory;
-	static C(Other: UObject | any): ReverbEffectFactory;
-}
-
-declare class SoundAttenuationFactory extends Factory { 
-	static Load(ResourceName: string): SoundAttenuationFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundAttenuationFactory;
-	static GetDefaultObject(): SoundAttenuationFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundAttenuationFactory;
-	static C(Other: UObject | any): SoundAttenuationFactory;
-}
-
-declare class SoundClassFactory extends Factory { 
-	static Load(ResourceName: string): SoundClassFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundClassFactory;
-	static GetDefaultObject(): SoundClassFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassFactory;
-	static C(Other: UObject | any): SoundClassFactory;
-}
-
-declare class SoundClassGraph extends EdGraph { 
-	static Load(ResourceName: string): SoundClassGraph;
-	static Find(Outer: UObject, ResourceName: string): SoundClassGraph;
-	static GetDefaultObject(): SoundClassGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraph;
-	static C(Other: UObject | any): SoundClassGraph;
-}
-
-declare class SoundClassGraphNode extends EdGraphNode { 
-	SoundClass: SoundClass;
-	static Load(ResourceName: string): SoundClassGraphNode;
-	static Find(Outer: UObject, ResourceName: string): SoundClassGraphNode;
-	static GetDefaultObject(): SoundClassGraphNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraphNode;
-	static C(Other: UObject | any): SoundClassGraphNode;
-}
+declare class MaterialExpressionNormalize extends MaterialExpression { 
+	VectorInput: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionNormalize;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionNormalize;
+	static GetDefaultObject(): MaterialExpressionNormalize;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionNormalize;
+	static C(Other: UObject | any): MaterialExpressionNormalize;
+}
 
-declare class SoundClassGraphSchema extends EdGraphSchema { 
-	static Load(ResourceName: string): SoundClassGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): SoundClassGraphSchema;
-	static GetDefaultObject(): SoundClassGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraphSchema;
-	static C(Other: UObject | any): SoundClassGraphSchema;
-}
-
-declare class SoundConcurrencyFactory extends Factory { 
-	static Load(ResourceName: string): SoundConcurrencyFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundConcurrencyFactory;
-	static GetDefaultObject(): SoundConcurrencyFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundConcurrencyFactory;
-	static C(Other: UObject | any): SoundConcurrencyFactory;
-}
-
-declare class SoundCueFactoryNew extends Factory { 
-	InitialSoundWave: SoundWave;
-	InitialDialogueWave: DialogueWave;
-	static Load(ResourceName: string): SoundCueFactoryNew;
-	static Find(Outer: UObject, ResourceName: string): SoundCueFactoryNew;
-	static GetDefaultObject(): SoundCueFactoryNew;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueFactoryNew;
-	static C(Other: UObject | any): SoundCueFactoryNew;
-}
-
-declare class SoundCueGraph extends EdGraph { 
-	static Load(ResourceName: string): SoundCueGraph;
-	static Find(Outer: UObject, ResourceName: string): SoundCueGraph;
-	static GetDefaultObject(): SoundCueGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraph;
-	static C(Other: UObject | any): SoundCueGraph;
-}
-
-declare class SoundCueGraphNode_Base extends EdGraphNode { 
-	static Load(ResourceName: string): SoundCueGraphNode_Base;
-	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode_Base;
-	static GetDefaultObject(): SoundCueGraphNode_Base;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode_Base;
-	static C(Other: UObject | any): SoundCueGraphNode_Base;
-}
-
-declare class SoundCueGraphNode extends SoundCueGraphNode_Base { 
-	SoundNode: SoundNode;
-	static Load(ResourceName: string): SoundCueGraphNode;
-	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode;
-	static GetDefaultObject(): SoundCueGraphNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode;
-	static C(Other: UObject | any): SoundCueGraphNode;
-}
-
-declare class SoundCueGraphNode_Root extends SoundCueGraphNode_Base { 
-	static Load(ResourceName: string): SoundCueGraphNode_Root;
-	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode_Root;
-	static GetDefaultObject(): SoundCueGraphNode_Root;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode_Root;
-	static C(Other: UObject | any): SoundCueGraphNode_Root;
-}
-
-declare class SoundCueGraphSchema extends EdGraphSchema { 
-	static Load(ResourceName: string): SoundCueGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): SoundCueGraphSchema;
-	static GetDefaultObject(): SoundCueGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphSchema;
-	static C(Other: UObject | any): SoundCueGraphSchema;
-}
-
-declare class SoundMixFactory extends Factory { 
-	static Load(ResourceName: string): SoundMixFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundMixFactory;
-	static GetDefaultObject(): SoundMixFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundMixFactory;
-	static C(Other: UObject | any): SoundMixFactory;
-}
-
-declare class SoundSourceBusFactory extends Factory { 
-	static Load(ResourceName: string): SoundSourceBusFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSourceBusFactory;
-	static GetDefaultObject(): SoundSourceBusFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceBusFactory;
-	static C(Other: UObject | any): SoundSourceBusFactory;
-}
-
-declare class SoundSourceEffectFactory extends Factory { 
-	SoundEffectSourcepresetClass: UnrealEngineClass;
-	static Load(ResourceName: string): SoundSourceEffectFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSourceEffectFactory;
-	static GetDefaultObject(): SoundSourceEffectFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceEffectFactory;
-	static C(Other: UObject | any): SoundSourceEffectFactory;
-}
-
-declare class SoundSourceEffectChainFactory extends Factory { 
-	static Load(ResourceName: string): SoundSourceEffectChainFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSourceEffectChainFactory;
-	static GetDefaultObject(): SoundSourceEffectChainFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceEffectChainFactory;
-	static C(Other: UObject | any): SoundSourceEffectChainFactory;
+declare class MaterialExpressionObjectBounds extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionObjectBounds;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectBounds;
+	static GetDefaultObject(): MaterialExpressionObjectBounds;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectBounds;
+	static C(Other: UObject | any): MaterialExpressionObjectBounds;
 }
 
-declare class SoundSubmixEffectFactory extends Factory { 
-	SoundEffectSubmixPresetClass: UnrealEngineClass;
-	static Load(ResourceName: string): SoundSubmixEffectFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmixEffectFactory;
-	static GetDefaultObject(): SoundSubmixEffectFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixEffectFactory;
-	static C(Other: UObject | any): SoundSubmixEffectFactory;
+declare class MaterialExpressionObjectOrientation extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionObjectOrientation;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectOrientation;
+	static GetDefaultObject(): MaterialExpressionObjectOrientation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectOrientation;
+	static C(Other: UObject | any): MaterialExpressionObjectOrientation;
 }
-
-declare class SoundSubmixFactory extends Factory { 
-	static Load(ResourceName: string): SoundSubmixFactory;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmixFactory;
-	static GetDefaultObject(): SoundSubmixFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixFactory;
-	static C(Other: UObject | any): SoundSubmixFactory;
+
+declare class MaterialExpressionObjectPositionWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionObjectPositionWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectPositionWS;
+	static GetDefaultObject(): MaterialExpressionObjectPositionWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectPositionWS;
+	static C(Other: UObject | any): MaterialExpressionObjectPositionWS;
 }
-
-declare class SoundSubmixGraph extends EdGraph { 
-	static Load(ResourceName: string): SoundSubmixGraph;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraph;
-	static GetDefaultObject(): SoundSubmixGraph;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraph;
-	static C(Other: UObject | any): SoundSubmixGraph;
+
+declare class MaterialExpressionObjectRadius extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionObjectRadius;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionObjectRadius;
+	static GetDefaultObject(): MaterialExpressionObjectRadius;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionObjectRadius;
+	static C(Other: UObject | any): MaterialExpressionObjectRadius;
 }
 
-declare class SoundSubmixGraphNode extends EdGraphNode { 
-	SoundSubmix: SoundSubmix;
-	static Load(ResourceName: string): SoundSubmixGraphNode;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraphNode;
-	static GetDefaultObject(): SoundSubmixGraphNode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraphNode;
-	static C(Other: UObject | any): SoundSubmixGraphNode;
-}
-
-declare class SoundSubmixGraphSchema extends EdGraphSchema { 
-	static Load(ResourceName: string): SoundSubmixGraphSchema;
-	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraphSchema;
-	static GetDefaultObject(): SoundSubmixGraphSchema;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraphSchema;
-	static C(Other: UObject | any): SoundSubmixGraphSchema;
-}
-
-declare class AnimationBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): AnimationBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): AnimationBlueprintLibrary;
-	static GetDefaultObject(): AnimationBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationBlueprintLibrary;
-	static SetRootMotionLockType(AnimationSequence: AnimSequence,RootMotionLockType: ERootMotionRootLock): void;
-	static SetRootMotionEnabled(AnimationSequence: AnimSequence,bEnabled: boolean): void;
-	static SetRateScale(AnimationSequence: AnimSequence,RateScale: number): void;
-	static SetIsRootMotionLockForced(AnimationSequence: AnimSequence,bForced: boolean): void;
-	static SetCompressionScheme(AnimationSequence: AnimSequence,CompressionScheme: AnimCompress): void;
-	static SetAnimationInterpolationType(AnimationSequence: AnimSequence,InterpolationType: EAnimInterpolationType): void;
-	static SetAdditiveBasePoseType(AnimationSequence: AnimSequence,AdditiveBasePoseType: EAdditiveBasePoseType): void;
-	static SetAdditiveAnimationType(AnimationSequence: AnimSequence,AdditiveAnimationType: EAdditiveAnimationType): void;
-	static RemoveVirtualBones(AnimationSequence: AnimSequence,VirtualBoneNames: string[]): void;
-	static RemoveVirtualBone(AnimationSequence: AnimSequence,VirtualBoneName: string): void;
-	static RemoveMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass): void;
-	static RemoveMetaData(AnimationSequence: AnimSequence,MetaDataObject: AnimMetaData): void;
-	static RemoveCurve(AnimationSequence: AnimSequence,CurveName: string,bRemoveNameFromSkeleton: boolean): void;
-	static RemoveBoneAnimation(AnimationSequence: AnimSequence,BoneName: string,bIncludeChildren: boolean,bFinalize: boolean): void;
-	static RemoveAnimationSyncMarkersByTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): number;
-	static RemoveAnimationSyncMarkersByName(AnimationSequence: AnimSequence,MarkerName: string): number;
-	static RemoveAnimationNotifyTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): void;
-	static RemoveAnimationNotifyEventsByTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): number;
-	static RemoveAnimationNotifyEventsByName(AnimationSequence: AnimSequence,NotifyName: string): number;
-	static RemoveAllVirtualBones(AnimationSequence: AnimSequence): void;
-	static RemoveAllMetaData(AnimationSequence: AnimSequence): void;
-	static RemoveAllCurveData(AnimationSequence: AnimSequence): void;
-	static RemoveAllBoneAnimation(AnimationSequence: AnimSequence): void;
-	static RemoveAllAnimationSyncMarkers(AnimationSequence: AnimSequence): void;
-	static RemoveAllAnimationNotifyTracks(AnimationSequence: AnimSequence): void;
-	static IsValidTime(AnimationSequence: AnimSequence,Time: number,IsValid?: boolean): {IsValid: boolean};
-	static IsValidRawAnimationTrackName(AnimationSequence: AnimSequence,TrackName: string): boolean;
-	static IsValidAnimNotifyTrackName(AnimationSequence: AnimSequence,NotifyTrackName: string): boolean;
-	static IsValidAnimationSyncMarkerName(AnimationSequence: AnimSequence,MarkerName: string): boolean;
-	static IsRootMotionLockForced(AnimationSequence: AnimSequence): boolean;
-	static IsRootMotionEnabled(AnimationSequence: AnimSequence): boolean;
-	static GetVectorKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: Vector[]): {Times: number[], Values: Vector[]};
-	static GetUniqueMarkerNames(AnimationSequence: AnimSequence,MarkerNames?: string[]): {MarkerNames: string[]};
-	static GetTransformationKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: Transform[]): {Times: number[], Values: Transform[]};
-	static GetTimeAtFrame(AnimationSequence: AnimSequence,Frame: number,Time?: number): {Time: number};
-	static GetSequenceLength(AnimationSequence: AnimSequence,Length?: number): {Length: number};
-	static GetRootMotionLockType(AnimationSequence: AnimSequence,LockType?: ERootMotionRootLock): {LockType: ERootMotionRootLock};
-	static GetRawTrackScaleData(AnimationSequence: AnimSequence,TrackName: string,ScaleData?: Vector[]): {ScaleData: Vector[]};
-	static GetRawTrackRotationData(AnimationSequence: AnimSequence,TrackName: string,RotationData?: Quat[]): {RotationData: Quat[]};
-	static GetRawTrackPositionData(AnimationSequence: AnimSequence,TrackName: string,PositionData?: Vector[]): {PositionData: Vector[]};
-	static GetRawTrackData(AnimationSequence: AnimSequence,TrackName: string,PositionKeys?: Vector[],RotationKeys?: Quat[],ScalingKeys?: Vector[]): {PositionKeys: Vector[], RotationKeys: Quat[], ScalingKeys: Vector[]};
-	static GetRateScale(AnimationSequence: AnimSequence,RateScale?: number): {RateScale: number};
-	static GetNumFrames(AnimationSequence: AnimSequence,NumFrames?: number): {NumFrames: number};
-	static GetMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass,MetaDataOfClass: AnimMetaData[]): void;
-	static GetMetaData(AnimationSequence: AnimSequence,MetaData: AnimMetaData[]): void;
-	static GetFrameAtTime(AnimationSequence: AnimSequence,Time: number,Frame?: number): {Frame: number};
-	static GetFloatKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: number[]): {Times: number[], Values: number[]};
-	static GetCompressionScheme(AnimationSequence: AnimSequence,CompressionScheme?: AnimCompress): {CompressionScheme: AnimCompress};
-	static GetBonePosesForTime(AnimationSequence: AnimSequence,BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
-	static GetBonePosesForFrame(AnimationSequence: AnimSequence,BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[]): {Poses: Transform[]};
-	static GetBonePoseForTime(AnimationSequence: AnimSequence,BoneName: string,Time: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
-	static GetBonePoseForFrame(AnimationSequence: AnimSequence,BoneName: string,Frame: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
-	static GetAnimationTrackNames(AnimationSequence: AnimSequence,TrackNames?: string[]): {TrackNames: string[]};
-	static GetAnimationSyncMarkersForTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,Markers?: AnimSyncMarker[]): {Markers: AnimSyncMarker[]};
-	static GetAnimationSyncMarkers(AnimationSequence: AnimSequence,Markers?: AnimSyncMarker[]): {Markers: AnimSyncMarker[]};
-	static GetAnimationNotifyTrackNames(AnimationSequence: AnimSequence,TrackNames?: string[]): {TrackNames: string[]};
-	static GetAnimationNotifyEventsForTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,Events?: AnimNotifyEvent[]): {Events: AnimNotifyEvent[]};
-	static GetAnimationNotifyEvents(AnimationSequence: AnimSequence,NotifyEvents?: AnimNotifyEvent[]): {NotifyEvents: AnimNotifyEvent[]};
-	static GetAnimationNotifyEventNames(AnimationSequence: AnimSequence,EventNames?: string[]): {EventNames: string[]};
-	static GetAnimationInterpolationType(AnimationSequence: AnimSequence,InterpolationType?: EAnimInterpolationType): {InterpolationType: EAnimInterpolationType};
-	static GetAdditiveBasePoseType(AnimationSequence: AnimSequence,AdditiveBasePoseType?: EAdditiveBasePoseType): {AdditiveBasePoseType: EAdditiveBasePoseType};
-	static GetAdditiveAnimationType(AnimationSequence: AnimSequence,AdditiveAnimationType?: EAdditiveAnimationType): {AdditiveAnimationType: EAdditiveAnimationType};
-	static FindBonePathToRoot(AnimationSequence: AnimSequence,BoneName: string,BonePath?: string[]): {BonePath: string[]};
-	static FinalizeBoneAnimation(AnimationSequence: AnimSequence): void;
-	static DoesCurveExist(AnimationSequence: AnimSequence,CurveName: string,CurveType: ERawCurveTrackTypes): boolean;
-	static DoesBoneNameExist(AnimationSequence: AnimSequence,BoneName: string,bExists?: boolean): {bExists: boolean};
-	static ContainsMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass): boolean;
-	static AddVirtualBone(AnimationSequence: AnimSequence,SourceBoneName: string,TargetBoneName: string,VirtualBoneName?: string): {VirtualBoneName: string};
-	static AddVectorCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Vectors: Vector[]): void;
-	static AddVectorCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Vector: Vector): void;
-	static AddTransformationCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Transforms: Transform[]): void;
-	static AddTransformationCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Transform: Transform): void;
-	static AddMetaDataObject(AnimationSequence: AnimSequence,MetaDataObject: AnimMetaData): void;
-	static AddMetaData(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass,MetaDataInstance: AnimMetaData): void;
-	static AddFloatCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Values: number[]): void;
-	static AddFloatCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Value: number): void;
-	static AddCurve(AnimationSequence: AnimSequence,CurveName: string,CurveType: ERawCurveTrackTypes,bMetaDataCurve: boolean): void;
-	static AddAnimationSyncMarker(AnimationSequence: AnimSequence,MarkerName: string,Time: number,NotifyTrackName: string): void;
-	static AddAnimationNotifyTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,TrackColor: LinearColor): void;
-	static AddAnimationNotifyEventObject(AnimationSequence: AnimSequence,StartTime: number,Notify: AnimNotify,NotifyTrackName: string): void;
-	static AddAnimationNotifyEvent(AnimationSequence: AnimSequence,NotifyTrackName: string,StartTime: number,Duration: number,NotifyClass: UnrealEngineClass): AnimNotify;
-	static C(Other: UObject | any): AnimationBlueprintLibrary;
+declare class MaterialExpressionOneMinus extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionOneMinus;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionOneMinus;
+	static GetDefaultObject(): MaterialExpressionOneMinus;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionOneMinus;
+	static C(Other: UObject | any): MaterialExpressionOneMinus;
 }
 
diff --git a/Content/Scripts/typings/ue.d.ts b/Content/Scripts/typings/ue.d.ts
index d2d508b..4297d33 100644
--- a/Content/Scripts/typings/ue.d.ts
+++ b/Content/Scripts/typings/ue.d.ts
@@ -1,5 +1,4664 @@
 /// <reference path="_part_0_ue.d.ts">/>
 /// <reference path="_part_1_ue.d.ts">/>
+declare class MaterialExpressionPanner extends MaterialExpression { 
+	Coordinate: ExpressionInput;
+	Time: ExpressionInput;
+	Speed: ExpressionInput;
+	SpeedX: number;
+	SpeedY: number;
+	ConstCoordinate: any;
+	bFractionalPart: boolean;
+	static Load(ResourceName: string): MaterialExpressionPanner;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPanner;
+	static GetDefaultObject(): MaterialExpressionPanner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPanner;
+	static C(Other: UObject | any): MaterialExpressionPanner;
+}
+
+declare class MaterialExpressionParticleColor extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleColor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleColor;
+	static GetDefaultObject(): MaterialExpressionParticleColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleColor;
+	static C(Other: UObject | any): MaterialExpressionParticleColor;
+}
+
+declare class MaterialExpressionParticleDirection extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleDirection;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleDirection;
+	static GetDefaultObject(): MaterialExpressionParticleDirection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleDirection;
+	static C(Other: UObject | any): MaterialExpressionParticleDirection;
+}
+
+declare class MaterialExpressionParticleMacroUV extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleMacroUV;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleMacroUV;
+	static GetDefaultObject(): MaterialExpressionParticleMacroUV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleMacroUV;
+	static C(Other: UObject | any): MaterialExpressionParticleMacroUV;
+}
+
+declare class MaterialExpressionParticleMotionBlurFade extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleMotionBlurFade;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleMotionBlurFade;
+	static GetDefaultObject(): MaterialExpressionParticleMotionBlurFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleMotionBlurFade;
+	static C(Other: UObject | any): MaterialExpressionParticleMotionBlurFade;
+}
+
+declare class MaterialExpressionParticlePositionWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticlePositionWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticlePositionWS;
+	static GetDefaultObject(): MaterialExpressionParticlePositionWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticlePositionWS;
+	static C(Other: UObject | any): MaterialExpressionParticlePositionWS;
+}
+
+declare class MaterialExpressionParticleRadius extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleRadius;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRadius;
+	static GetDefaultObject(): MaterialExpressionParticleRadius;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRadius;
+	static C(Other: UObject | any): MaterialExpressionParticleRadius;
+}
+
+declare class MaterialExpressionParticleRandom extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleRandom;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRandom;
+	static GetDefaultObject(): MaterialExpressionParticleRandom;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRandom;
+	static C(Other: UObject | any): MaterialExpressionParticleRandom;
+}
+
+declare class MaterialExpressionParticleRelativeTime extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleRelativeTime;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleRelativeTime;
+	static GetDefaultObject(): MaterialExpressionParticleRelativeTime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleRelativeTime;
+	static C(Other: UObject | any): MaterialExpressionParticleRelativeTime;
+}
+
+declare class MaterialExpressionParticleSize extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleSize;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSize;
+	static GetDefaultObject(): MaterialExpressionParticleSize;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSize;
+	static C(Other: UObject | any): MaterialExpressionParticleSize;
+}
+
+declare class MaterialExpressionParticleSpeed extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionParticleSpeed;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSpeed;
+	static GetDefaultObject(): MaterialExpressionParticleSpeed;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSpeed;
+	static C(Other: UObject | any): MaterialExpressionParticleSpeed;
+}
+
+declare class MaterialExpressionParticleSubUV extends MaterialExpressionTextureSample { 
+	bBlend: boolean;
+	static Load(ResourceName: string): MaterialExpressionParticleSubUV;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionParticleSubUV;
+	static GetDefaultObject(): MaterialExpressionParticleSubUV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionParticleSubUV;
+	static C(Other: UObject | any): MaterialExpressionParticleSubUV;
+}
+
+declare class MaterialExpressionPerInstanceFadeAmount extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPerInstanceFadeAmount;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPerInstanceFadeAmount;
+	static GetDefaultObject(): MaterialExpressionPerInstanceFadeAmount;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPerInstanceFadeAmount;
+	static C(Other: UObject | any): MaterialExpressionPerInstanceFadeAmount;
+}
+
+declare class MaterialExpressionPerInstanceRandom extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPerInstanceRandom;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPerInstanceRandom;
+	static GetDefaultObject(): MaterialExpressionPerInstanceRandom;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPerInstanceRandom;
+	static C(Other: UObject | any): MaterialExpressionPerInstanceRandom;
+}
+
+declare class MaterialExpressionPixelDepth extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPixelDepth;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPixelDepth;
+	static GetDefaultObject(): MaterialExpressionPixelDepth;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPixelDepth;
+	static C(Other: UObject | any): MaterialExpressionPixelDepth;
+}
+
+declare class MaterialExpressionPixelNormalWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPixelNormalWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPixelNormalWS;
+	static GetDefaultObject(): MaterialExpressionPixelNormalWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPixelNormalWS;
+	static C(Other: UObject | any): MaterialExpressionPixelNormalWS;
+}
+
+declare class MaterialExpressionPower extends MaterialExpression { 
+	Base: ExpressionInput;
+	Exponent: ExpressionInput;
+	ConstExponent: number;
+	static Load(ResourceName: string): MaterialExpressionPower;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPower;
+	static GetDefaultObject(): MaterialExpressionPower;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPower;
+	static C(Other: UObject | any): MaterialExpressionPower;
+}
+
+declare class MaterialExpressionPrecomputedAOMask extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPrecomputedAOMask;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPrecomputedAOMask;
+	static GetDefaultObject(): MaterialExpressionPrecomputedAOMask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPrecomputedAOMask;
+	static C(Other: UObject | any): MaterialExpressionPrecomputedAOMask;
+}
+
+declare class MaterialExpressionPreSkinnedNormal extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPreSkinnedNormal;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreSkinnedNormal;
+	static GetDefaultObject(): MaterialExpressionPreSkinnedNormal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreSkinnedNormal;
+	static C(Other: UObject | any): MaterialExpressionPreSkinnedNormal;
+}
+
+declare class MaterialExpressionPreSkinnedPosition extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionPreSkinnedPosition;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreSkinnedPosition;
+	static GetDefaultObject(): MaterialExpressionPreSkinnedPosition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreSkinnedPosition;
+	static C(Other: UObject | any): MaterialExpressionPreSkinnedPosition;
+}
+
+declare class MaterialExpressionPreviousFrameSwitch extends MaterialExpression { 
+	CurrentFrame: ExpressionInput;
+	PreviousFrame: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionPreviousFrameSwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionPreviousFrameSwitch;
+	static GetDefaultObject(): MaterialExpressionPreviousFrameSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionPreviousFrameSwitch;
+	static C(Other: UObject | any): MaterialExpressionPreviousFrameSwitch;
+}
+
+declare class MaterialExpressionQualitySwitch extends MaterialExpression { 
+	Default: ExpressionInput;
+	Inputs: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionQualitySwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionQualitySwitch;
+	static GetDefaultObject(): MaterialExpressionQualitySwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionQualitySwitch;
+	static C(Other: UObject | any): MaterialExpressionQualitySwitch;
+}
+
+declare class MaterialExpressionRayTracingQualitySwitch extends MaterialExpression { 
+	Normal: ExpressionInput;
+	RayTraced: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionRayTracingQualitySwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRayTracingQualitySwitch;
+	static GetDefaultObject(): MaterialExpressionRayTracingQualitySwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRayTracingQualitySwitch;
+	static C(Other: UObject | any): MaterialExpressionRayTracingQualitySwitch;
+}
+
+declare class MaterialExpressionReflectionVectorWS extends MaterialExpression { 
+	CustomWorldNormal: ExpressionInput;
+	bNormalizeCustomWorldNormal: boolean;
+	static Load(ResourceName: string): MaterialExpressionReflectionVectorWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionReflectionVectorWS;
+	static GetDefaultObject(): MaterialExpressionReflectionVectorWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionReflectionVectorWS;
+	static C(Other: UObject | any): MaterialExpressionReflectionVectorWS;
+}
+
+declare class MaterialExpressionReroute extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionReroute;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionReroute;
+	static GetDefaultObject(): MaterialExpressionReroute;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionReroute;
+	static C(Other: UObject | any): MaterialExpressionReroute;
+}
+
+declare class MaterialExpressionRotateAboutAxis extends MaterialExpression { 
+	NormalizedRotationAxis: ExpressionInput;
+	RotationAngle: ExpressionInput;
+	PivotPoint: ExpressionInput;
+	Position: ExpressionInput;
+	Period: number;
+	static Load(ResourceName: string): MaterialExpressionRotateAboutAxis;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRotateAboutAxis;
+	static GetDefaultObject(): MaterialExpressionRotateAboutAxis;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRotateAboutAxis;
+	static C(Other: UObject | any): MaterialExpressionRotateAboutAxis;
+}
+
+declare class MaterialExpressionRotator extends MaterialExpression { 
+	Coordinate: ExpressionInput;
+	Time: ExpressionInput;
+	CenterX: number;
+	CenterY: number;
+	Speed: number;
+	ConstCoordinate: any;
+	static Load(ResourceName: string): MaterialExpressionRotator;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRotator;
+	static GetDefaultObject(): MaterialExpressionRotator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRotator;
+	static C(Other: UObject | any): MaterialExpressionRotator;
+}
+
+declare class MaterialExpressionRound extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionRound;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionRound;
+	static GetDefaultObject(): MaterialExpressionRound;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionRound;
+	static C(Other: UObject | any): MaterialExpressionRound;
+}
+
+declare class MaterialExpressionSaturate extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionSaturate;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSaturate;
+	static GetDefaultObject(): MaterialExpressionSaturate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSaturate;
+	static C(Other: UObject | any): MaterialExpressionSaturate;
+}
+
+declare type EMaterialSceneAttributeInputMode = 'Coordinates' | 'OffsetFraction' | 'EMaterialSceneAttributeInputMode_MAX';
+declare var EMaterialSceneAttributeInputMode : { Coordinates:'Coordinates',OffsetFraction:'OffsetFraction',EMaterialSceneAttributeInputMode_MAX:'EMaterialSceneAttributeInputMode_MAX', };
+declare class MaterialExpressionSceneColor extends MaterialExpression { 
+	InputMode: EMaterialSceneAttributeInputMode;
+	Input: ExpressionInput;
+	OffsetFraction: ExpressionInput;
+	ConstInput: Vector2D;
+	static Load(ResourceName: string): MaterialExpressionSceneColor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneColor;
+	static GetDefaultObject(): MaterialExpressionSceneColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneColor;
+	static C(Other: UObject | any): MaterialExpressionSceneColor;
+}
+
+declare class MaterialExpressionSceneDepth extends MaterialExpression { 
+	InputMode: EMaterialSceneAttributeInputMode;
+	Input: ExpressionInput;
+	Coordinates: ExpressionInput;
+	ConstInput: Vector2D;
+	static Load(ResourceName: string): MaterialExpressionSceneDepth;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneDepth;
+	static GetDefaultObject(): MaterialExpressionSceneDepth;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneDepth;
+	static C(Other: UObject | any): MaterialExpressionSceneDepth;
+}
+
+declare class MaterialExpressionSceneTexelSize extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionSceneTexelSize;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneTexelSize;
+	static GetDefaultObject(): MaterialExpressionSceneTexelSize;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneTexelSize;
+	static C(Other: UObject | any): MaterialExpressionSceneTexelSize;
+}
+
+declare type ESceneTextureId = 'PPI_SceneColor' | 'PPI_SceneDepth' | 'PPI_DiffuseColor' | 'PPI_SpecularColor' | 'PPI_SubsurfaceColor' | 'PPI_BaseColor' | 'PPI_Specular' | 'PPI_Metallic' | 'PPI_WorldNormal' | 'PPI_SeparateTranslucency' | 'PPI_Opacity' | 'PPI_Roughness' | 'PPI_MaterialAO' | 'PPI_CustomDepth' | 'PPI_PostProcessInput0' | 'PPI_PostProcessInput1' | 'PPI_PostProcessInput2' | 'PPI_PostProcessInput3' | 'PPI_PostProcessInput4' | 'PPI_PostProcessInput5' | 'PPI_PostProcessInput6' | 'PPI_DecalMask' | 'PPI_ShadingModelColor' | 'PPI_ShadingModelID' | 'PPI_AmbientOcclusion' | 'PPI_CustomStencil' | 'PPI_StoredBaseColor' | 'PPI_StoredSpecular' | 'PPI_Velocity' | 'PPI_MAX';
+declare var ESceneTextureId : { PPI_SceneColor:'PPI_SceneColor',PPI_SceneDepth:'PPI_SceneDepth',PPI_DiffuseColor:'PPI_DiffuseColor',PPI_SpecularColor:'PPI_SpecularColor',PPI_SubsurfaceColor:'PPI_SubsurfaceColor',PPI_BaseColor:'PPI_BaseColor',PPI_Specular:'PPI_Specular',PPI_Metallic:'PPI_Metallic',PPI_WorldNormal:'PPI_WorldNormal',PPI_SeparateTranslucency:'PPI_SeparateTranslucency',PPI_Opacity:'PPI_Opacity',PPI_Roughness:'PPI_Roughness',PPI_MaterialAO:'PPI_MaterialAO',PPI_CustomDepth:'PPI_CustomDepth',PPI_PostProcessInput0:'PPI_PostProcessInput0',PPI_PostProcessInput1:'PPI_PostProcessInput1',PPI_PostProcessInput2:'PPI_PostProcessInput2',PPI_PostProcessInput3:'PPI_PostProcessInput3',PPI_PostProcessInput4:'PPI_PostProcessInput4',PPI_PostProcessInput5:'PPI_PostProcessInput5',PPI_PostProcessInput6:'PPI_PostProcessInput6',PPI_DecalMask:'PPI_DecalMask',PPI_ShadingModelColor:'PPI_ShadingModelColor',PPI_ShadingModelID:'PPI_ShadingModelID',PPI_AmbientOcclusion:'PPI_AmbientOcclusion',PPI_CustomStencil:'PPI_CustomStencil',PPI_StoredBaseColor:'PPI_StoredBaseColor',PPI_StoredSpecular:'PPI_StoredSpecular',PPI_Velocity:'PPI_Velocity',PPI_MAX:'PPI_MAX', };
+declare class MaterialExpressionSceneTexture extends MaterialExpression { 
+	Coordinates: ExpressionInput;
+	SceneTextureId: ESceneTextureId;
+	bFiltered: boolean;
+	static Load(ResourceName: string): MaterialExpressionSceneTexture;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSceneTexture;
+	static GetDefaultObject(): MaterialExpressionSceneTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSceneTexture;
+	static C(Other: UObject | any): MaterialExpressionSceneTexture;
+}
+
+declare class MaterialExpressionScreenPosition extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionScreenPosition;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionScreenPosition;
+	static GetDefaultObject(): MaterialExpressionScreenPosition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionScreenPosition;
+	static C(Other: UObject | any): MaterialExpressionScreenPosition;
+}
+
+declare class MaterialExpressionSetMaterialAttributes extends MaterialExpression { 
+	Inputs: ExpressionInput[];
+	AttributeSetTypes: Guid[];
+	static Load(ResourceName: string): MaterialExpressionSetMaterialAttributes;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSetMaterialAttributes;
+	static GetDefaultObject(): MaterialExpressionSetMaterialAttributes;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSetMaterialAttributes;
+	static C(Other: UObject | any): MaterialExpressionSetMaterialAttributes;
+}
+
+declare class MaterialExpressionShadingPathSwitch extends MaterialExpression { 
+	Default: ExpressionInput;
+	Inputs: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionShadingPathSwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionShadingPathSwitch;
+	static GetDefaultObject(): MaterialExpressionShadingPathSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionShadingPathSwitch;
+	static C(Other: UObject | any): MaterialExpressionShadingPathSwitch;
+}
+
+declare class MaterialExpressionShadowReplace extends MaterialExpression { 
+	Default: ExpressionInput;
+	Shadow: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionShadowReplace;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionShadowReplace;
+	static GetDefaultObject(): MaterialExpressionShadowReplace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionShadowReplace;
+	static C(Other: UObject | any): MaterialExpressionShadowReplace;
+}
+
+declare class MaterialExpressionSign extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionSign;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSign;
+	static GetDefaultObject(): MaterialExpressionSign;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSign;
+	static C(Other: UObject | any): MaterialExpressionSign;
+}
+
+declare class MaterialExpressionSine extends MaterialExpression { 
+	Input: ExpressionInput;
+	Period: number;
+	static Load(ResourceName: string): MaterialExpressionSine;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSine;
+	static GetDefaultObject(): MaterialExpressionSine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSine;
+	static C(Other: UObject | any): MaterialExpressionSine;
+}
+
+declare class MaterialExpressionSobol extends MaterialExpression { 
+	Cell: ExpressionInput;
+	index: ExpressionInput;
+	Seed: ExpressionInput;
+	ConstIndex: any;
+	ConstSeed: Vector2D;
+	static Load(ResourceName: string): MaterialExpressionSobol;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSobol;
+	static GetDefaultObject(): MaterialExpressionSobol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSobol;
+	static C(Other: UObject | any): MaterialExpressionSobol;
+}
+
+declare type ESpeedTreeGeometryType = 'STG_Branch' | 'STG_Frond' | 'STG_Leaf' | 'STG_FacingLeaf' | 'STG_Billboard' | 'STG_MAX';
+declare var ESpeedTreeGeometryType : { STG_Branch:'STG_Branch',STG_Frond:'STG_Frond',STG_Leaf:'STG_Leaf',STG_FacingLeaf:'STG_FacingLeaf',STG_Billboard:'STG_Billboard',STG_MAX:'STG_MAX', };
+declare type ESpeedTreeWindType = 'STW_None' | 'STW_Fastest' | 'STW_Fast' | 'STW_Better' | 'STW_Best' | 'STW_Palm' | 'STW_BestPlus' | 'STW_MAX';
+declare var ESpeedTreeWindType : { STW_None:'STW_None',STW_Fastest:'STW_Fastest',STW_Fast:'STW_Fast',STW_Better:'STW_Better',STW_Best:'STW_Best',STW_Palm:'STW_Palm',STW_BestPlus:'STW_BestPlus',STW_MAX:'STW_MAX', };
+declare type ESpeedTreeLODType = 'STLOD_Pop' | 'STLOD_Smooth' | 'STLOD_MAX';
+declare var ESpeedTreeLODType : { STLOD_Pop:'STLOD_Pop',STLOD_Smooth:'STLOD_Smooth',STLOD_MAX:'STLOD_MAX', };
+declare class MaterialExpressionSpeedTree extends MaterialExpression { 
+	GeometryInput: ExpressionInput;
+	WindInput: ExpressionInput;
+	LODInput: ExpressionInput;
+	ExtraBendWS: ExpressionInput;
+	GeometryType: ESpeedTreeGeometryType;
+	WindType: ESpeedTreeWindType;
+	LODType: ESpeedTreeLODType;
+	BillboardThreshold: number;
+	bAccurateWindVelocities: boolean;
+	static Load(ResourceName: string): MaterialExpressionSpeedTree;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSpeedTree;
+	static GetDefaultObject(): MaterialExpressionSpeedTree;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSpeedTree;
+	static C(Other: UObject | any): MaterialExpressionSpeedTree;
+}
+
+declare class MaterialExpressionSphereMask extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	Radius: ExpressionInput;
+	Hardness: ExpressionInput;
+	AttenuationRadius: number;
+	HardnessPercent: number;
+	static Load(ResourceName: string): MaterialExpressionSphereMask;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSphereMask;
+	static GetDefaultObject(): MaterialExpressionSphereMask;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSphereMask;
+	static C(Other: UObject | any): MaterialExpressionSphereMask;
+}
+
+declare class MaterialExpressionSphericalParticleOpacity extends MaterialExpression { 
+	Density: ExpressionInput;
+	ConstantDensity: number;
+	static Load(ResourceName: string): MaterialExpressionSphericalParticleOpacity;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSphericalParticleOpacity;
+	static GetDefaultObject(): MaterialExpressionSphericalParticleOpacity;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSphericalParticleOpacity;
+	static C(Other: UObject | any): MaterialExpressionSphericalParticleOpacity;
+}
+
+declare class MaterialExpressionSquareRoot extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionSquareRoot;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSquareRoot;
+	static GetDefaultObject(): MaterialExpressionSquareRoot;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSquareRoot;
+	static C(Other: UObject | any): MaterialExpressionSquareRoot;
+}
+
+declare class MaterialExpressionStaticBool extends MaterialExpression { 
+	Value: boolean;
+	static Load(ResourceName: string): MaterialExpressionStaticBool;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticBool;
+	static GetDefaultObject(): MaterialExpressionStaticBool;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticBool;
+	static C(Other: UObject | any): MaterialExpressionStaticBool;
+}
+
+declare class MaterialExpressionStaticBoolParameter extends MaterialExpressionParameter { 
+	DefaultValue: boolean;
+	static Load(ResourceName: string): MaterialExpressionStaticBoolParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticBoolParameter;
+	static GetDefaultObject(): MaterialExpressionStaticBoolParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticBoolParameter;
+	static C(Other: UObject | any): MaterialExpressionStaticBoolParameter;
+}
+
+declare class MaterialExpressionStaticComponentMaskParameter extends MaterialExpressionParameter { 
+	Input: ExpressionInput;
+	DefaultR: boolean;
+	DefaultG: boolean;
+	DefaultB: boolean;
+	DefaultA: boolean;
+	static Load(ResourceName: string): MaterialExpressionStaticComponentMaskParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticComponentMaskParameter;
+	static GetDefaultObject(): MaterialExpressionStaticComponentMaskParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticComponentMaskParameter;
+	static C(Other: UObject | any): MaterialExpressionStaticComponentMaskParameter;
+}
+
+declare class MaterialExpressionStaticSwitch extends MaterialExpression { 
+	DefaultValue: boolean;
+	A: ExpressionInput;
+	B: ExpressionInput;
+	Value: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionStaticSwitch;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticSwitch;
+	static GetDefaultObject(): MaterialExpressionStaticSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticSwitch;
+	static C(Other: UObject | any): MaterialExpressionStaticSwitch;
+}
+
+declare class MaterialExpressionStaticSwitchParameter extends MaterialExpressionStaticBoolParameter { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionStaticSwitchParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionStaticSwitchParameter;
+	static GetDefaultObject(): MaterialExpressionStaticSwitchParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionStaticSwitchParameter;
+	static C(Other: UObject | any): MaterialExpressionStaticSwitchParameter;
+}
+
+declare class MaterialExpressionSubtract extends MaterialExpression { 
+	A: ExpressionInput;
+	B: ExpressionInput;
+	ConstA: number;
+	ConstB: number;
+	static Load(ResourceName: string): MaterialExpressionSubtract;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionSubtract;
+	static GetDefaultObject(): MaterialExpressionSubtract;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionSubtract;
+	static C(Other: UObject | any): MaterialExpressionSubtract;
+}
+
+declare class MaterialExpressionTangent extends MaterialExpression { 
+	Input: ExpressionInput;
+	Period: number;
+	static Load(ResourceName: string): MaterialExpressionTangent;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTangent;
+	static GetDefaultObject(): MaterialExpressionTangent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTangent;
+	static C(Other: UObject | any): MaterialExpressionTangent;
+}
+
+declare class MaterialExpressionTangentOutput extends MaterialExpressionCustomOutput { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionTangentOutput;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTangentOutput;
+	static GetDefaultObject(): MaterialExpressionTangentOutput;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTangentOutput;
+	static C(Other: UObject | any): MaterialExpressionTangentOutput;
+}
+
+declare class MaterialExpressionTemporalSobol extends MaterialExpression { 
+	index: ExpressionInput;
+	Seed: ExpressionInput;
+	ConstIndex: any;
+	ConstSeed: Vector2D;
+	static Load(ResourceName: string): MaterialExpressionTemporalSobol;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTemporalSobol;
+	static GetDefaultObject(): MaterialExpressionTemporalSobol;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTemporalSobol;
+	static C(Other: UObject | any): MaterialExpressionTemporalSobol;
+}
+
+declare class MaterialExpressionTextureCoordinate extends MaterialExpression { 
+	CoordinateIndex: number;
+	UTiling: number;
+	VTiling: number;
+	UnMirrorU: boolean;
+	UnMirrorV: boolean;
+	static Load(ResourceName: string): MaterialExpressionTextureCoordinate;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureCoordinate;
+	static GetDefaultObject(): MaterialExpressionTextureCoordinate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureCoordinate;
+	static C(Other: UObject | any): MaterialExpressionTextureCoordinate;
+}
+
+declare class MaterialExpressionTextureObject extends MaterialExpressionTextureBase { 
+	static Load(ResourceName: string): MaterialExpressionTextureObject;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureObject;
+	static GetDefaultObject(): MaterialExpressionTextureObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureObject;
+	static C(Other: UObject | any): MaterialExpressionTextureObject;
+}
+
+declare class MaterialExpressionTextureObjectParameter extends MaterialExpressionTextureSampleParameter { 
+	static Load(ResourceName: string): MaterialExpressionTextureObjectParameter;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureObjectParameter;
+	static GetDefaultObject(): MaterialExpressionTextureObjectParameter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureObjectParameter;
+	static C(Other: UObject | any): MaterialExpressionTextureObjectParameter;
+}
+
+declare type EMaterialExposedTextureProperty = 'TMTM_TextureSize' | 'TMTM_TexelSize' | 'TMTM_MAX';
+declare var EMaterialExposedTextureProperty : { TMTM_TextureSize:'TMTM_TextureSize',TMTM_TexelSize:'TMTM_TexelSize',TMTM_MAX:'TMTM_MAX', };
+declare class MaterialExpressionTextureProperty extends MaterialExpression { 
+	TextureObject: ExpressionInput;
+	Property: EMaterialExposedTextureProperty;
+	static Load(ResourceName: string): MaterialExpressionTextureProperty;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureProperty;
+	static GetDefaultObject(): MaterialExpressionTextureProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureProperty;
+	static C(Other: UObject | any): MaterialExpressionTextureProperty;
+}
+
+declare class MaterialExpressionTextureSampleParameterCube extends MaterialExpressionTextureSampleParameter { 
+	static Load(ResourceName: string): MaterialExpressionTextureSampleParameterCube;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameterCube;
+	static GetDefaultObject(): MaterialExpressionTextureSampleParameterCube;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameterCube;
+	static C(Other: UObject | any): MaterialExpressionTextureSampleParameterCube;
+}
+
+declare class MaterialExpressionTextureSampleParameterSubUV extends MaterialExpressionTextureSampleParameter2D { 
+	bBlend: boolean;
+	static Load(ResourceName: string): MaterialExpressionTextureSampleParameterSubUV;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameterSubUV;
+	static GetDefaultObject(): MaterialExpressionTextureSampleParameterSubUV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameterSubUV;
+	static C(Other: UObject | any): MaterialExpressionTextureSampleParameterSubUV;
+}
+
+declare class MaterialExpressionTextureSampleParameterVolume extends MaterialExpressionTextureSampleParameter { 
+	static Load(ResourceName: string): MaterialExpressionTextureSampleParameterVolume;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTextureSampleParameterVolume;
+	static GetDefaultObject(): MaterialExpressionTextureSampleParameterVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTextureSampleParameterVolume;
+	static C(Other: UObject | any): MaterialExpressionTextureSampleParameterVolume;
+}
+
+declare class MaterialExpressionTime extends MaterialExpression { 
+	bIgnorePause: boolean;
+	bOverride_Period: boolean;
+	Period: number;
+	static Load(ResourceName: string): MaterialExpressionTime;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTime;
+	static GetDefaultObject(): MaterialExpressionTime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTime;
+	static C(Other: UObject | any): MaterialExpressionTime;
+}
+
+declare type EMaterialVectorCoordTransformSource = 'TRANSFORMSOURCE_Tangent' | 'TRANSFORMSOURCE_Local' | 'TRANSFORMSOURCE_World' | 'TRANSFORMSOURCE_View' | 'TRANSFORMSOURCE_Camera' | 'TRANSFORMSOURCE_ParticleWorld' | 'TRANSFORMSOURCE_MAX';
+declare var EMaterialVectorCoordTransformSource : { TRANSFORMSOURCE_Tangent:'TRANSFORMSOURCE_Tangent',TRANSFORMSOURCE_Local:'TRANSFORMSOURCE_Local',TRANSFORMSOURCE_World:'TRANSFORMSOURCE_World',TRANSFORMSOURCE_View:'TRANSFORMSOURCE_View',TRANSFORMSOURCE_Camera:'TRANSFORMSOURCE_Camera',TRANSFORMSOURCE_ParticleWorld:'TRANSFORMSOURCE_ParticleWorld',TRANSFORMSOURCE_MAX:'TRANSFORMSOURCE_MAX', };
+declare type EMaterialVectorCoordTransform = 'TRANSFORM_Tangent' | 'TRANSFORM_Local' | 'TRANSFORM_World' | 'TRANSFORM_View' | 'TRANSFORM_Camera' | 'TRANSFORM_ParticleWorld' | 'TRANSFORM_MAX';
+declare var EMaterialVectorCoordTransform : { TRANSFORM_Tangent:'TRANSFORM_Tangent',TRANSFORM_Local:'TRANSFORM_Local',TRANSFORM_World:'TRANSFORM_World',TRANSFORM_View:'TRANSFORM_View',TRANSFORM_Camera:'TRANSFORM_Camera',TRANSFORM_ParticleWorld:'TRANSFORM_ParticleWorld',TRANSFORM_MAX:'TRANSFORM_MAX', };
+declare class MaterialExpressionTransform extends MaterialExpression { 
+	Input: ExpressionInput;
+	TransformSourceType: EMaterialVectorCoordTransformSource;
+	TransformType: EMaterialVectorCoordTransform;
+	static Load(ResourceName: string): MaterialExpressionTransform;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTransform;
+	static GetDefaultObject(): MaterialExpressionTransform;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTransform;
+	static C(Other: UObject | any): MaterialExpressionTransform;
+}
+
+declare type EMaterialPositionTransformSource = 'TRANSFORMPOSSOURCE_Local' | 'TRANSFORMPOSSOURCE_World' | 'TRANSFORMPOSSOURCE_TranslatedWorld' | 'TRANSFORMPOSSOURCE_View' | 'TRANSFORMPOSSOURCE_Camera' | 'TRANSFORMPOSSOURCE_Particle' | 'TRANSFORMPOSSOURCE_MAX';
+declare var EMaterialPositionTransformSource : { TRANSFORMPOSSOURCE_Local:'TRANSFORMPOSSOURCE_Local',TRANSFORMPOSSOURCE_World:'TRANSFORMPOSSOURCE_World',TRANSFORMPOSSOURCE_TranslatedWorld:'TRANSFORMPOSSOURCE_TranslatedWorld',TRANSFORMPOSSOURCE_View:'TRANSFORMPOSSOURCE_View',TRANSFORMPOSSOURCE_Camera:'TRANSFORMPOSSOURCE_Camera',TRANSFORMPOSSOURCE_Particle:'TRANSFORMPOSSOURCE_Particle',TRANSFORMPOSSOURCE_MAX:'TRANSFORMPOSSOURCE_MAX', };
+declare class MaterialExpressionTransformPosition extends MaterialExpression { 
+	Input: ExpressionInput;
+	TransformSourceType: EMaterialPositionTransformSource;
+	TransformType: EMaterialPositionTransformSource;
+	static Load(ResourceName: string): MaterialExpressionTransformPosition;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTransformPosition;
+	static GetDefaultObject(): MaterialExpressionTransformPosition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTransformPosition;
+	static C(Other: UObject | any): MaterialExpressionTransformPosition;
+}
+
+declare class MaterialExpressionTruncate extends MaterialExpression { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionTruncate;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTruncate;
+	static GetDefaultObject(): MaterialExpressionTruncate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTruncate;
+	static C(Other: UObject | any): MaterialExpressionTruncate;
+}
+
+declare class MaterialExpressionTwoSidedSign extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionTwoSidedSign;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionTwoSidedSign;
+	static GetDefaultObject(): MaterialExpressionTwoSidedSign;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionTwoSidedSign;
+	static C(Other: UObject | any): MaterialExpressionTwoSidedSign;
+}
+
+declare type EVectorNoiseFunction = 'VNF_CellnoiseALU' | 'VNF_VectorALU' | 'VNF_GradientALU' | 'VNF_CurlALU' | 'VNF_VoronoiALU' | 'VNF_MAX';
+declare var EVectorNoiseFunction : { VNF_CellnoiseALU:'VNF_CellnoiseALU',VNF_VectorALU:'VNF_VectorALU',VNF_GradientALU:'VNF_GradientALU',VNF_CurlALU:'VNF_CurlALU',VNF_VoronoiALU:'VNF_VoronoiALU',VNF_MAX:'VNF_MAX', };
+declare class MaterialExpressionVectorNoise extends MaterialExpression { 
+	Position: ExpressionInput;
+	NoiseFunction: EVectorNoiseFunction;
+	Quality: number;
+	bTiling: boolean;
+	TileSize: any;
+	static Load(ResourceName: string): MaterialExpressionVectorNoise;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVectorNoise;
+	static GetDefaultObject(): MaterialExpressionVectorNoise;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVectorNoise;
+	static C(Other: UObject | any): MaterialExpressionVectorNoise;
+}
+
+declare class MaterialExpressionVertexColor extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionVertexColor;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexColor;
+	static GetDefaultObject(): MaterialExpressionVertexColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexColor;
+	static C(Other: UObject | any): MaterialExpressionVertexColor;
+}
+
+declare class MaterialExpressionVertexInterpolator extends MaterialExpressionCustomOutput { 
+	Input: ExpressionInput;
+	static Load(ResourceName: string): MaterialExpressionVertexInterpolator;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexInterpolator;
+	static GetDefaultObject(): MaterialExpressionVertexInterpolator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexInterpolator;
+	static C(Other: UObject | any): MaterialExpressionVertexInterpolator;
+}
+
+declare class MaterialExpressionVertexNormalWS extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionVertexNormalWS;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionVertexNormalWS;
+	static GetDefaultObject(): MaterialExpressionVertexNormalWS;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionVertexNormalWS;
+	static C(Other: UObject | any): MaterialExpressionVertexNormalWS;
+}
+
+declare type EMaterialExposedViewProperty = 'MEVP_BufferSize' | 'MEVP_FieldOfView' | 'MEVP_TanHalfFieldOfView' | 'MEVP_ViewSize' | 'MEVP_WorldSpaceViewPosition' | 'MEVP_WorldSpaceCameraPosition' | 'MEVP_ViewportOffset' | 'MEVP_MAX';
+declare var EMaterialExposedViewProperty : { MEVP_BufferSize:'MEVP_BufferSize',MEVP_FieldOfView:'MEVP_FieldOfView',MEVP_TanHalfFieldOfView:'MEVP_TanHalfFieldOfView',MEVP_ViewSize:'MEVP_ViewSize',MEVP_WorldSpaceViewPosition:'MEVP_WorldSpaceViewPosition',MEVP_WorldSpaceCameraPosition:'MEVP_WorldSpaceCameraPosition',MEVP_ViewportOffset:'MEVP_ViewportOffset',MEVP_MAX:'MEVP_MAX', };
+declare class MaterialExpressionViewProperty extends MaterialExpression { 
+	Property: EMaterialExposedViewProperty;
+	static Load(ResourceName: string): MaterialExpressionViewProperty;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionViewProperty;
+	static GetDefaultObject(): MaterialExpressionViewProperty;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionViewProperty;
+	static C(Other: UObject | any): MaterialExpressionViewProperty;
+}
+
+declare class MaterialExpressionViewSize extends MaterialExpression { 
+	static Load(ResourceName: string): MaterialExpressionViewSize;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionViewSize;
+	static GetDefaultObject(): MaterialExpressionViewSize;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionViewSize;
+	static C(Other: UObject | any): MaterialExpressionViewSize;
+}
+
+declare type EWorldPositionIncludedOffsets = 'WPT_Default' | 'WPT_ExcludeAllShaderOffsets' | 'WPT_CameraRelative' | 'WPT_CameraRelativeNoOffsets' | 'WPT_MAX';
+declare var EWorldPositionIncludedOffsets : { WPT_Default:'WPT_Default',WPT_ExcludeAllShaderOffsets:'WPT_ExcludeAllShaderOffsets',WPT_CameraRelative:'WPT_CameraRelative',WPT_CameraRelativeNoOffsets:'WPT_CameraRelativeNoOffsets',WPT_MAX:'WPT_MAX', };
+declare class MaterialExpressionWorldPosition extends MaterialExpression { 
+	WorldPositionShaderOffset: EWorldPositionIncludedOffsets;
+	static Load(ResourceName: string): MaterialExpressionWorldPosition;
+	static Find(Outer: UObject, ResourceName: string): MaterialExpressionWorldPosition;
+	static GetDefaultObject(): MaterialExpressionWorldPosition;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionWorldPosition;
+	static C(Other: UObject | any): MaterialExpressionWorldPosition;
+}
+
+declare class MaterialFunctionMaterialLayer extends MaterialFunction { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayer;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayer;
+	static GetDefaultObject(): MaterialFunctionMaterialLayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayer;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayer;
+}
+
+declare class MaterialFunctionMaterialLayerInstance extends MaterialFunctionInstance { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerInstance;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerInstance;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerInstance;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerInstance;
+}
+
+declare class MaterialFunctionMaterialLayerBlend extends MaterialFunction { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlend;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlend;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerBlend;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlend;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlend;
+}
+
+declare class MaterialFunctionMaterialLayerBlendInstance extends MaterialFunctionInstance { 
+	static Load(ResourceName: string): MaterialFunctionMaterialLayerBlendInstance;
+	static Find(Outer: UObject, ResourceName: string): MaterialFunctionMaterialLayerBlendInstance;
+	static GetDefaultObject(): MaterialFunctionMaterialLayerBlendInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialFunctionMaterialLayerBlendInstance;
+	static C(Other: UObject | any): MaterialFunctionMaterialLayerBlendInstance;
+}
+
+declare class MaterialInstanceActor extends Actor { 
+	TargetActors: Actor[];
+	static GetDefaultObject(): MaterialInstanceActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialInstanceActor;
+	static C(Other: UObject | any): MaterialInstanceActor;
+}
+
+declare class MatineeActorCameraAnim extends MatineeActor { 
+	CameraAnim: CameraAnim;
+	static GetDefaultObject(): MatineeActorCameraAnim;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeActorCameraAnim;
+	static C(Other: UObject | any): MatineeActorCameraAnim;
+}
+
+declare class MatineeAnimInterface extends Interface { 
+	static Load(ResourceName: string): MatineeAnimInterface;
+	static Find(Outer: UObject, ResourceName: string): MatineeAnimInterface;
+	static GetDefaultObject(): MatineeAnimInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeAnimInterface;
+	static C(Other: UObject | any): MatineeAnimInterface;
+}
+
+declare class MatineeInterface extends Interface { 
+	static Load(ResourceName: string): MatineeInterface;
+	static Find(Outer: UObject, ResourceName: string): MatineeInterface;
+	static GetDefaultObject(): MatineeInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MatineeInterface;
+	static C(Other: UObject | any): MatineeInterface;
+}
+
+declare class MeshMergeCullingVolume extends Volume { 
+	static GetDefaultObject(): MeshMergeCullingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshMergeCullingVolume;
+	static C(Other: UObject | any): MeshMergeCullingVolume;
+}
+
+declare class MeshSimplificationSettings extends DeveloperSettings { 
+	MeshReductionModuleName: string;
+	static Load(ResourceName: string): MeshSimplificationSettings;
+	static Find(Outer: UObject, ResourceName: string): MeshSimplificationSettings;
+	static GetDefaultObject(): MeshSimplificationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshSimplificationSettings;
+	static C(Other: UObject | any): MeshSimplificationSettings;
+}
+
+declare class MeshVertexPainterKismetLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MeshVertexPainterKismetLibrary;
+	static Find(Outer: UObject, ResourceName: string): MeshVertexPainterKismetLibrary;
+	static GetDefaultObject(): MeshVertexPainterKismetLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshVertexPainterKismetLibrary;
+	static RemovePaintedVertices(StaticMeshComponent: StaticMeshComponent): void;
+	static PaintVerticesSingleColor(StaticMeshComponent: StaticMeshComponent,FillColor: LinearColor,bConvertToSRGB: boolean): void;
+	static PaintVerticesLerpAlongAxis(StaticMeshComponent: StaticMeshComponent,StartColor: LinearColor,EndColor: LinearColor,Axis: EVertexPaintAxis,bConvertToSRGB: boolean): void;
+	static C(Other: UObject | any): MeshVertexPainterKismetLibrary;
+}
+
+declare class PurchaseInfo { 
+	Identifier: string;
+	DisplayName: string;
+	DisplayDescription: string;
+	DisplayPrice: string;
+	clone() : PurchaseInfo;
+	static C(Other: UObject | any): PurchaseInfo;
+}
+
+declare class MicroTransactionBase extends PlatformInterfaceBase { 
+	AvailableProducts: PurchaseInfo[];
+	LastError: string;
+	LastErrorSolution: string;
+	static Load(ResourceName: string): MicroTransactionBase;
+	static Find(Outer: UObject, ResourceName: string): MicroTransactionBase;
+	static GetDefaultObject(): MicroTransactionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MicroTransactionBase;
+	static C(Other: UObject | any): MicroTransactionBase;
+}
+
+declare class NavAgentInterface extends Interface { 
+	static Load(ResourceName: string): NavAgentInterface;
+	static Find(Outer: UObject, ResourceName: string): NavAgentInterface;
+	static GetDefaultObject(): NavAgentInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavAgentInterface;
+	static C(Other: UObject | any): NavAgentInterface;
+}
+
+declare class NavEdgeProviderInterface extends Interface { 
+	static Load(ResourceName: string): NavEdgeProviderInterface;
+	static Find(Outer: UObject, ResourceName: string): NavEdgeProviderInterface;
+	static GetDefaultObject(): NavEdgeProviderInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavEdgeProviderInterface;
+	static C(Other: UObject | any): NavEdgeProviderInterface;
+}
+
+declare class NavigationDataInterface extends Interface { 
+	static Load(ResourceName: string): NavigationDataInterface;
+	static Find(Outer: UObject, ResourceName: string): NavigationDataInterface;
+	static GetDefaultObject(): NavigationDataInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationDataInterface;
+	static C(Other: UObject | any): NavigationDataInterface;
+}
+
+declare class NavigationSystem extends UObject { 
+	static Load(ResourceName: string): NavigationSystem;
+	static Find(Outer: UObject, ResourceName: string): NavigationSystem;
+	static GetDefaultObject(): NavigationSystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavigationSystem;
+	static SimpleMoveToLocation(Controller: Controller,Goal: Vector): void;
+	static SimpleMoveToActor(Controller: Controller,Goal: Actor): void;
+	static C(Other: UObject | any): NavigationSystem;
+}
+
+declare class NullNavSysConfig extends NavigationSystemConfig { 
+	static Load(ResourceName: string): NullNavSysConfig;
+	static Find(Outer: UObject, ResourceName: string): NullNavSysConfig;
+	static GetDefaultObject(): NullNavSysConfig;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NullNavSysConfig;
+	static C(Other: UObject | any): NullNavSysConfig;
+}
+
+declare class NavPathObserverInterface extends Interface { 
+	static Load(ResourceName: string): NavPathObserverInterface;
+	static Find(Outer: UObject, ResourceName: string): NavPathObserverInterface;
+	static GetDefaultObject(): NavPathObserverInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavPathObserverInterface;
+	static C(Other: UObject | any): NavPathObserverInterface;
+}
+
+declare class NavRelevantInterface extends Interface { 
+	static Load(ResourceName: string): NavRelevantInterface;
+	static Find(Outer: UObject, ResourceName: string): NavRelevantInterface;
+	static GetDefaultObject(): NavRelevantInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NavRelevantInterface;
+	static C(Other: UObject | any): NavRelevantInterface;
+}
+
+declare class SimulatedClientNetConnection extends NetConnection { 
+	static Load(ResourceName: string): SimulatedClientNetConnection;
+	static Find(Outer: UObject, ResourceName: string): SimulatedClientNetConnection;
+	static GetDefaultObject(): SimulatedClientNetConnection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SimulatedClientNetConnection;
+	static C(Other: UObject | any): SimulatedClientNetConnection;
+}
+
+declare class NetworkPredictionInterface extends Interface { 
+	static Load(ResourceName: string): NetworkPredictionInterface;
+	static Find(Outer: UObject, ResourceName: string): NetworkPredictionInterface;
+	static GetDefaultObject(): NetworkPredictionInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetworkPredictionInterface;
+	static C(Other: UObject | any): NetworkPredictionInterface;
+}
+
+declare class NetworkSettings extends DeveloperSettings { 
+	bVerifyPeer: boolean;
+	bEnableMultiplayerWorldOriginRebasing: boolean;
+	MaxRepArraySize: number;
+	MaxRepArrayMemory: number;
+	static Load(ResourceName: string): NetworkSettings;
+	static Find(Outer: UObject, ResourceName: string): NetworkSettings;
+	static GetDefaultObject(): NetworkSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetworkSettings;
+	static C(Other: UObject | any): NetworkSettings;
+}
+
+declare class NodeMappingProviderInterface extends Interface { 
+	static Load(ResourceName: string): NodeMappingProviderInterface;
+	static Find(Outer: UObject, ResourceName: string): NodeMappingProviderInterface;
+	static GetDefaultObject(): NodeMappingProviderInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NodeMappingProviderInterface;
+	static C(Other: UObject | any): NodeMappingProviderInterface;
+}
+
+declare class Note extends Actor { 
+	text: string;
+	SpriteComponent: BillboardComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): Note;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Note;
+	static C(Other: UObject | any): Note;
+}
+
+declare class ObjectLibrary extends UObject { 
+	ObjectBaseClass: UnrealEngineClass;
+	bHasBlueprintClasses: boolean;
+	Objects: UObject[];
+	WeakObjects: any[];
+	bUseWeakReferences: boolean;
+	bIsFullyLoaded: boolean;
+	static Load(ResourceName: string): ObjectLibrary;
+	static Find(Outer: UObject, ResourceName: string): ObjectLibrary;
+	static GetDefaultObject(): ObjectLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectLibrary;
+	static C(Other: UObject | any): ObjectLibrary;
+}
+
+declare class ObjectReferencer extends UObject { 
+	ReferencedObjects: UObject[];
+	static Load(ResourceName: string): ObjectReferencer;
+	static Find(Outer: UObject, ResourceName: string): ObjectReferencer;
+	static GetDefaultObject(): ObjectReferencer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ObjectReferencer;
+	static C(Other: UObject | any): ObjectReferencer;
+}
+
+declare class OnlineBlueprintCallProxyBase extends UObject { 
+	static Load(ResourceName: string): OnlineBlueprintCallProxyBase;
+	static Find(Outer: UObject, ResourceName: string): OnlineBlueprintCallProxyBase;
+	static GetDefaultObject(): OnlineBlueprintCallProxyBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineBlueprintCallProxyBase;
+	Activate(): void;
+	static C(Other: UObject | any): OnlineBlueprintCallProxyBase;
+}
+
+declare class OnlineEngineInterface extends UObject { 
+	static Load(ResourceName: string): OnlineEngineInterface;
+	static Find(Outer: UObject, ResourceName: string): OnlineEngineInterface;
+	static GetDefaultObject(): OnlineEngineInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OnlineEngineInterface;
+	static C(Other: UObject | any): OnlineEngineInterface;
+}
+
+declare class PackageMapClient extends PackageMap { 
+	static Load(ResourceName: string): PackageMapClient;
+	static Find(Outer: UObject, ResourceName: string): PackageMapClient;
+	static GetDefaultObject(): PackageMapClient;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackageMapClient;
+	static C(Other: UObject | any): PackageMapClient;
+}
+
+declare class PainCausingVolume extends PhysicsVolume { 
+	bPainCausing: boolean;
+	DamagePerSec: number;
+	DamageType: UnrealEngineClass;
+	PainInterval: number;
+	bEntryPain: boolean;
+	BACKUP_bPainCausing: boolean;
+	DamageInstigator: Controller;
+	static GetDefaultObject(): PainCausingVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PainCausingVolume;
+	static C(Other: UObject | any): PainCausingVolume;
+}
+
+declare class ParticleModuleAccelerationBase extends ParticleModule { 
+	bAlwaysInWorldSpace: boolean;
+	static Load(ResourceName: string): ParticleModuleAccelerationBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationBase;
+	static GetDefaultObject(): ParticleModuleAccelerationBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationBase;
+	static C(Other: UObject | any): ParticleModuleAccelerationBase;
+}
+
+declare class ParticleModuleAcceleration extends ParticleModuleAccelerationBase { 
+	Acceleration: RawDistributionVector;
+	bApplyOwnerScale: boolean;
+	static Load(ResourceName: string): ParticleModuleAcceleration;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAcceleration;
+	static GetDefaultObject(): ParticleModuleAcceleration;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAcceleration;
+	static C(Other: UObject | any): ParticleModuleAcceleration;
+}
+
+declare class ParticleModuleAccelerationConstant extends ParticleModuleAccelerationBase { 
+	Acceleration: Vector;
+	static Load(ResourceName: string): ParticleModuleAccelerationConstant;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationConstant;
+	static GetDefaultObject(): ParticleModuleAccelerationConstant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationConstant;
+	static C(Other: UObject | any): ParticleModuleAccelerationConstant;
+}
+
+declare class ParticleModuleAccelerationDrag extends ParticleModuleAccelerationBase { 
+	DragCoefficient: DistributionFloat;
+	DragCoefficientRaw: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleAccelerationDrag;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationDrag;
+	static GetDefaultObject(): ParticleModuleAccelerationDrag;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationDrag;
+	static C(Other: UObject | any): ParticleModuleAccelerationDrag;
+}
+
+declare class ParticleModuleAccelerationDragScaleOverLife extends ParticleModuleAccelerationBase { 
+	DragScale: DistributionFloat;
+	DragScaleRaw: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleAccelerationDragScaleOverLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationDragScaleOverLife;
+	static GetDefaultObject(): ParticleModuleAccelerationDragScaleOverLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationDragScaleOverLife;
+	static C(Other: UObject | any): ParticleModuleAccelerationDragScaleOverLife;
+}
+
+declare class ParticleModuleAccelerationOverLifetime extends ParticleModuleAccelerationBase { 
+	AccelOverLife: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleAccelerationOverLifetime;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAccelerationOverLifetime;
+	static GetDefaultObject(): ParticleModuleAccelerationOverLifetime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAccelerationOverLifetime;
+	static C(Other: UObject | any): ParticleModuleAccelerationOverLifetime;
+}
+
+declare class ParticleModuleAttractorBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleAttractorBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorBase;
+	static GetDefaultObject(): ParticleModuleAttractorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorBase;
+	static C(Other: UObject | any): ParticleModuleAttractorBase;
+}
+
+declare class ParticleModuleAttractorLine extends ParticleModuleAttractorBase { 
+	EndPoint0: Vector;
+	EndPoint1: Vector;
+	Range: RawDistributionFloat;
+	Strength: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleAttractorLine;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorLine;
+	static GetDefaultObject(): ParticleModuleAttractorLine;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorLine;
+	static C(Other: UObject | any): ParticleModuleAttractorLine;
+}
+
+declare type EAttractorParticleSelectionMethod = 'EAPSM_Random' | 'EAPSM_Sequential' | 'EAPSM_MAX';
+declare var EAttractorParticleSelectionMethod : { EAPSM_Random:'EAPSM_Random',EAPSM_Sequential:'EAPSM_Sequential',EAPSM_MAX:'EAPSM_MAX', };
+declare class ParticleModuleAttractorParticle extends ParticleModuleAttractorBase { 
+	EmitterName: string;
+	Range: RawDistributionFloat;
+	bStrengthByDistance: boolean;
+	Strength: RawDistributionFloat;
+	bAffectBaseVelocity: boolean;
+	SelectionMethod: EAttractorParticleSelectionMethod;
+	bRenewSource: boolean;
+	bInheritSourceVel: boolean;
+	LastSelIndex: number;
+	static Load(ResourceName: string): ParticleModuleAttractorParticle;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorParticle;
+	static GetDefaultObject(): ParticleModuleAttractorParticle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorParticle;
+	static C(Other: UObject | any): ParticleModuleAttractorParticle;
+}
+
+declare class ParticleModuleAttractorPoint extends ParticleModuleAttractorBase { 
+	Position: RawDistributionVector;
+	Range: RawDistributionFloat;
+	Strength: RawDistributionFloat;
+	StrengthByDistance: boolean;
+	bAffectBaseVelocity: boolean;
+	bOverrideVelocity: boolean;
+	bUseWorldSpacePosition: boolean;
+	Positive_X: boolean;
+	Positive_Y: boolean;
+	Positive_Z: boolean;
+	Negative_X: boolean;
+	Negative_Y: boolean;
+	Negative_Z: boolean;
+	static Load(ResourceName: string): ParticleModuleAttractorPoint;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorPoint;
+	static GetDefaultObject(): ParticleModuleAttractorPoint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorPoint;
+	static C(Other: UObject | any): ParticleModuleAttractorPoint;
+}
+
+declare class ParticleModuleAttractorPointGravity extends ParticleModuleAttractorBase { 
+	Position: Vector;
+	Radius: number;
+	Strength: DistributionFloat;
+	StrengthRaw: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleAttractorPointGravity;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleAttractorPointGravity;
+	static GetDefaultObject(): ParticleModuleAttractorPointGravity;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleAttractorPointGravity;
+	static C(Other: UObject | any): ParticleModuleAttractorPointGravity;
+}
+
+declare class ParticleModuleBeamBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleBeamBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamBase;
+	static GetDefaultObject(): ParticleModuleBeamBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamBase;
+	static C(Other: UObject | any): ParticleModuleBeamBase;
+}
+
+declare type BeamModifierType = 'PEB2MT_Source' | 'PEB2MT_Target' | 'PEB2MT_MAX';
+declare var BeamModifierType : { PEB2MT_Source:'PEB2MT_Source',PEB2MT_Target:'PEB2MT_Target',PEB2MT_MAX:'PEB2MT_MAX', };
+declare class BeamModifierOptions { 
+	bModify: boolean;
+	bScale: boolean;
+	bLock: boolean;
+	clone() : BeamModifierOptions;
+	static C(Other: UObject | any): BeamModifierOptions;
+}
+
+declare class ParticleModuleBeamModifier extends ParticleModuleBeamBase { 
+	ModifierType: BeamModifierType;
+	PositionOptions: BeamModifierOptions;
+	Position: RawDistributionVector;
+	TangentOptions: BeamModifierOptions;
+	Tangent: RawDistributionVector;
+	bAbsoluteTangent: boolean;
+	StrengthOptions: BeamModifierOptions;
+	Strength: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleBeamModifier;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamModifier;
+	static GetDefaultObject(): ParticleModuleBeamModifier;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamModifier;
+	static C(Other: UObject | any): ParticleModuleBeamModifier;
+}
+
+declare class ParticleModuleBeamNoise extends ParticleModuleBeamBase { 
+	bLowFreq_Enabled: boolean;
+	Frequency: number;
+	Frequency_LowRange: number;
+	NoiseRange: RawDistributionVector;
+	NoiseRangeScale: RawDistributionFloat;
+	bNRScaleEmitterTime: boolean;
+	NoiseSpeed: RawDistributionVector;
+	bSmooth: boolean;
+	NoiseLockRadius: number;
+	bNoiseLock: boolean;
+	bOscillate: boolean;
+	NoiseLockTime: number;
+	NoiseTension: number;
+	bUseNoiseTangents: boolean;
+	NoiseTangentStrength: RawDistributionFloat;
+	NoiseTessellation: number;
+	bTargetNoise: boolean;
+	FrequencyDistance: number;
+	bApplyNoiseScale: boolean;
+	NoiseScale: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleBeamNoise;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamNoise;
+	static GetDefaultObject(): ParticleModuleBeamNoise;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamNoise;
+	static C(Other: UObject | any): ParticleModuleBeamNoise;
+}
+
+declare type Beam2SourceTargetMethod = 'PEB2STM_Default' | 'PEB2STM_UserSet' | 'PEB2STM_Emitter' | 'PEB2STM_Particle' | 'PEB2STM_Actor' | 'PEB2STM_MAX';
+declare var Beam2SourceTargetMethod : { PEB2STM_Default:'PEB2STM_Default',PEB2STM_UserSet:'PEB2STM_UserSet',PEB2STM_Emitter:'PEB2STM_Emitter',PEB2STM_Particle:'PEB2STM_Particle',PEB2STM_Actor:'PEB2STM_Actor',PEB2STM_MAX:'PEB2STM_MAX', };
+declare type Beam2SourceTargetTangentMethod = 'PEB2STTM_Direct' | 'PEB2STTM_UserSet' | 'PEB2STTM_Distribution' | 'PEB2STTM_Emitter' | 'PEB2STTM_MAX';
+declare var Beam2SourceTargetTangentMethod : { PEB2STTM_Direct:'PEB2STTM_Direct',PEB2STTM_UserSet:'PEB2STTM_UserSet',PEB2STTM_Distribution:'PEB2STTM_Distribution',PEB2STTM_Emitter:'PEB2STTM_Emitter',PEB2STTM_MAX:'PEB2STTM_MAX', };
+declare class ParticleModuleBeamSource extends ParticleModuleBeamBase { 
+	SourceMethod: Beam2SourceTargetMethod;
+	SourceName: string;
+	bSourceAbsolute: boolean;
+	Source: RawDistributionVector;
+	bLockSource: boolean;
+	SourceTangentMethod: Beam2SourceTargetTangentMethod;
+	SourceTangent: RawDistributionVector;
+	bLockSourceTangent: boolean;
+	SourceStrength: RawDistributionFloat;
+	bLockSourceStength: boolean;
+	static Load(ResourceName: string): ParticleModuleBeamSource;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamSource;
+	static GetDefaultObject(): ParticleModuleBeamSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamSource;
+	static C(Other: UObject | any): ParticleModuleBeamSource;
+}
+
+declare class ParticleModuleBeamTarget extends ParticleModuleBeamBase { 
+	TargetMethod: Beam2SourceTargetMethod;
+	TargetName: string;
+	Target: RawDistributionVector;
+	bTargetAbsolute: boolean;
+	bLockTarget: boolean;
+	TargetTangentMethod: Beam2SourceTargetTangentMethod;
+	TargetTangent: RawDistributionVector;
+	bLockTargetTangent: boolean;
+	TargetStrength: RawDistributionFloat;
+	bLockTargetStength: boolean;
+	LockRadius: number;
+	static Load(ResourceName: string): ParticleModuleBeamTarget;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleBeamTarget;
+	static GetDefaultObject(): ParticleModuleBeamTarget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleBeamTarget;
+	static C(Other: UObject | any): ParticleModuleBeamTarget;
+}
+
+declare class ParticleModuleCameraBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleCameraBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleCameraBase;
+	static GetDefaultObject(): ParticleModuleCameraBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCameraBase;
+	static C(Other: UObject | any): ParticleModuleCameraBase;
+}
+
+declare type EParticleCameraOffsetUpdateMethod = 'EPCOUM_DirectSet' | 'EPCOUM_Additive' | 'EPCOUM_Scalar' | 'EPCOUM_MAX';
+declare var EParticleCameraOffsetUpdateMethod : { EPCOUM_DirectSet:'EPCOUM_DirectSet',EPCOUM_Additive:'EPCOUM_Additive',EPCOUM_Scalar:'EPCOUM_Scalar',EPCOUM_MAX:'EPCOUM_MAX', };
+declare class ParticleModuleCameraOffset extends ParticleModuleCameraBase { 
+	CameraOffset: RawDistributionFloat;
+	bSpawnTimeOnly: boolean;
+	UpdateMethod: EParticleCameraOffsetUpdateMethod;
+	static Load(ResourceName: string): ParticleModuleCameraOffset;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleCameraOffset;
+	static GetDefaultObject(): ParticleModuleCameraOffset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCameraOffset;
+	static C(Other: UObject | any): ParticleModuleCameraOffset;
+}
+
+declare class ParticleModuleCollisionBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleCollisionBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollisionBase;
+	static GetDefaultObject(): ParticleModuleCollisionBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollisionBase;
+	static C(Other: UObject | any): ParticleModuleCollisionBase;
+}
+
+declare type EParticleCollisionComplete = 'EPCC_Kill' | 'EPCC_Freeze' | 'EPCC_HaltCollisions' | 'EPCC_FreezeTranslation' | 'EPCC_FreezeRotation' | 'EPCC_FreezeMovement' | 'EPCC_MAX';
+declare var EParticleCollisionComplete : { EPCC_Kill:'EPCC_Kill',EPCC_Freeze:'EPCC_Freeze',EPCC_HaltCollisions:'EPCC_HaltCollisions',EPCC_FreezeTranslation:'EPCC_FreezeTranslation',EPCC_FreezeRotation:'EPCC_FreezeRotation',EPCC_FreezeMovement:'EPCC_FreezeMovement',EPCC_MAX:'EPCC_MAX', };
+declare class ParticleModuleCollision extends ParticleModuleCollisionBase { 
+	DampingFactor: RawDistributionVector;
+	DampingFactorRotation: RawDistributionVector;
+	MaxCollisions: RawDistributionFloat;
+	CollisionCompletionOption: EParticleCollisionComplete;
+	CollisionTypes: EObjectTypeQuery[];
+	bApplyPhysics: boolean;
+	bIgnoreTriggerVolumes: boolean;
+	ParticleMass: RawDistributionFloat;
+	DirScalar: number;
+	bPawnsDoNotDecrementCount: boolean;
+	bOnlyVerticalNormalsDecrementCount: boolean;
+	VerticalFudgeFactor: number;
+	DelayAmount: RawDistributionFloat;
+	bDropDetail: boolean;
+	bCollideOnlyIfVisible: boolean;
+	bIgnoreSourceActor: boolean;
+	MaxCollisionDistance: number;
+	static Load(ResourceName: string): ParticleModuleCollision;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollision;
+	static GetDefaultObject(): ParticleModuleCollision;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollision;
+	static C(Other: UObject | any): ParticleModuleCollision;
+}
+
+declare type EParticleCollisionResponse = 'Bounce' | 'Stop' | 'Kill' | 'EParticleCollisionResponse_MAX';
+declare var EParticleCollisionResponse : { Bounce:'Bounce',Stop:'Stop',Kill:'Kill',EParticleCollisionResponse_MAX:'EParticleCollisionResponse_MAX', };
+declare type EParticleCollisionMode = 'SceneDepth' | 'DistanceField' | 'EParticleCollisionMode_MAX';
+declare var EParticleCollisionMode : { SceneDepth:'SceneDepth',DistanceField:'DistanceField',EParticleCollisionMode_MAX:'EParticleCollisionMode_MAX', };
+declare class ParticleModuleCollisionGPU extends ParticleModuleCollisionBase { 
+	Resilience: RawDistributionFloat;
+	ResilienceScaleOverLife: RawDistributionFloat;
+	Friction: number;
+	RandomSpread: number;
+	RandomDistribution: number;
+	RadiusScale: number;
+	RadiusBias: number;
+	Response: EParticleCollisionResponse;
+	CollisionMode: EParticleCollisionMode;
+	static Load(ResourceName: string): ParticleModuleCollisionGPU;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleCollisionGPU;
+	static GetDefaultObject(): ParticleModuleCollisionGPU;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleCollisionGPU;
+	static C(Other: UObject | any): ParticleModuleCollisionGPU;
+}
+
+declare class ParticleModuleColorBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleColorBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorBase;
+	static GetDefaultObject(): ParticleModuleColorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorBase;
+	static C(Other: UObject | any): ParticleModuleColorBase;
+}
+
+declare class ParticleModuleColor extends ParticleModuleColorBase { 
+	StartColor: RawDistributionVector;
+	StartAlpha: RawDistributionFloat;
+	bClampAlpha: boolean;
+	static Load(ResourceName: string): ParticleModuleColor;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleColor;
+	static GetDefaultObject(): ParticleModuleColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColor;
+	static C(Other: UObject | any): ParticleModuleColor;
+}
+
+declare class ParticleRandomSeedInfo { 
+	ParameterName: string;
+	bGetSeedFromInstance: boolean;
+	bInstanceSeedIsIndex: boolean;
+	bResetSeedOnEmitterLooping: boolean;
+	bRandomlySelectSeedArray: boolean;
+	RandomSeeds: number[];
+	clone() : ParticleRandomSeedInfo;
+	static C(Other: UObject | any): ParticleRandomSeedInfo;
+}
+
+declare class ParticleModuleColor_Seeded extends ParticleModuleColor { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleColor_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleColor_Seeded;
+	static GetDefaultObject(): ParticleModuleColor_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColor_Seeded;
+	static C(Other: UObject | any): ParticleModuleColor_Seeded;
+}
+
+declare class ParticleModuleColorOverLife extends ParticleModuleColorBase { 
+	ColorOverLife: RawDistributionVector;
+	AlphaOverLife: RawDistributionFloat;
+	bClampAlpha: boolean;
+	static Load(ResourceName: string): ParticleModuleColorOverLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorOverLife;
+	static GetDefaultObject(): ParticleModuleColorOverLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorOverLife;
+	static C(Other: UObject | any): ParticleModuleColorOverLife;
+}
+
+declare class ParticleModuleColorScaleOverLife extends ParticleModuleColorBase { 
+	ColorScaleOverLife: RawDistributionVector;
+	AlphaScaleOverLife: RawDistributionFloat;
+	bEmitterTime: boolean;
+	static Load(ResourceName: string): ParticleModuleColorScaleOverLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleColorScaleOverLife;
+	static GetDefaultObject(): ParticleModuleColorScaleOverLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleColorScaleOverLife;
+	static C(Other: UObject | any): ParticleModuleColorScaleOverLife;
+}
+
+declare class ParticleModuleEventReceiverKillParticles extends ParticleModuleEventReceiverBase { 
+	bStopSpawning: boolean;
+	static Load(ResourceName: string): ParticleModuleEventReceiverKillParticles;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventReceiverKillParticles;
+	static GetDefaultObject(): ParticleModuleEventReceiverKillParticles;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventReceiverKillParticles;
+	static C(Other: UObject | any): ParticleModuleEventReceiverKillParticles;
+}
+
+declare class ParticleModuleEventReceiverSpawn extends ParticleModuleEventReceiverBase { 
+	SpawnCount: RawDistributionFloat;
+	bUseParticleTime: boolean;
+	bUsePSysLocation: boolean;
+	bInheritVelocity: boolean;
+	InheritVelocityScale: RawDistributionVector;
+	PhysicalMaterials: PhysicalMaterial[];
+	bBanPhysicalMaterials: boolean;
+	static Load(ResourceName: string): ParticleModuleEventReceiverSpawn;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleEventReceiverSpawn;
+	static GetDefaultObject(): ParticleModuleEventReceiverSpawn;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleEventReceiverSpawn;
+	static C(Other: UObject | any): ParticleModuleEventReceiverSpawn;
+}
+
+declare class ParticleModuleKillBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleKillBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillBase;
+	static GetDefaultObject(): ParticleModuleKillBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillBase;
+	static C(Other: UObject | any): ParticleModuleKillBase;
+}
+
+declare class ParticleModuleKillBox extends ParticleModuleKillBase { 
+	LowerLeftCorner: RawDistributionVector;
+	UpperRightCorner: RawDistributionVector;
+	bAbsolute: boolean;
+	bKillInside: boolean;
+	bAxisAlignedAndFixedSize: boolean;
+	static Load(ResourceName: string): ParticleModuleKillBox;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillBox;
+	static GetDefaultObject(): ParticleModuleKillBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillBox;
+	static C(Other: UObject | any): ParticleModuleKillBox;
+}
+
+declare class ParticleModuleKillHeight extends ParticleModuleKillBase { 
+	Height: RawDistributionFloat;
+	bAbsolute: boolean;
+	bFloor: boolean;
+	bApplyPSysScale: boolean;
+	static Load(ResourceName: string): ParticleModuleKillHeight;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleKillHeight;
+	static GetDefaultObject(): ParticleModuleKillHeight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleKillHeight;
+	static C(Other: UObject | any): ParticleModuleKillHeight;
+}
+
+declare class ParticleModuleLifetimeBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleLifetimeBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetimeBase;
+	static GetDefaultObject(): ParticleModuleLifetimeBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetimeBase;
+	static C(Other: UObject | any): ParticleModuleLifetimeBase;
+}
+
+declare class ParticleModuleLifetime extends ParticleModuleLifetimeBase { 
+	LifeTime: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleLifetime;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetime;
+	static GetDefaultObject(): ParticleModuleLifetime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetime;
+	static C(Other: UObject | any): ParticleModuleLifetime;
+}
+
+declare class ParticleModuleLifetime_Seeded extends ParticleModuleLifetime { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLifetime_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLifetime_Seeded;
+	static GetDefaultObject(): ParticleModuleLifetime_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLifetime_Seeded;
+	static C(Other: UObject | any): ParticleModuleLifetime_Seeded;
+}
+
+declare class ParticleModuleLightBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleLightBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLightBase;
+	static GetDefaultObject(): ParticleModuleLightBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLightBase;
+	static C(Other: UObject | any): ParticleModuleLightBase;
+}
+
+declare class ParticleModuleLight extends ParticleModuleLightBase { 
+	bUseInverseSquaredFalloff: boolean;
+	bAffectsTranslucency: boolean;
+	bPreviewLightRadius: boolean;
+	SpawnFraction: number;
+	ColorScaleOverLife: RawDistributionVector;
+	BrightnessOverLife: RawDistributionFloat;
+	RadiusScale: RawDistributionFloat;
+	LightExponent: RawDistributionFloat;
+	LightingChannels: LightingChannels;
+	VolumetricScatteringIntensity: number;
+	bHighQualityLights: boolean;
+	bShadowCastingLights: boolean;
+	static Load(ResourceName: string): ParticleModuleLight;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLight;
+	static GetDefaultObject(): ParticleModuleLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLight;
+	static C(Other: UObject | any): ParticleModuleLight;
+}
+
+declare class ParticleModuleLight_Seeded extends ParticleModuleLight { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLight_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLight_Seeded;
+	static GetDefaultObject(): ParticleModuleLight_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLight_Seeded;
+	static C(Other: UObject | any): ParticleModuleLight_Seeded;
+}
+
+declare class ParticleModuleLocationBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleLocationBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationBase;
+	static GetDefaultObject(): ParticleModuleLocationBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationBase;
+	static C(Other: UObject | any): ParticleModuleLocationBase;
+}
+
+declare class ParticleModuleLocation extends ParticleModuleLocationBase { 
+	StartLocation: RawDistributionVector;
+	DistributeOverNPoints: number;
+	DistributeThreshold: number;
+	static Load(ResourceName: string): ParticleModuleLocation;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocation;
+	static GetDefaultObject(): ParticleModuleLocation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocation;
+	static C(Other: UObject | any): ParticleModuleLocation;
+}
+
+declare class ParticleModuleLocation_Seeded extends ParticleModuleLocation { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLocation_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocation_Seeded;
+	static GetDefaultObject(): ParticleModuleLocation_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocation_Seeded;
+	static C(Other: UObject | any): ParticleModuleLocation_Seeded;
+}
+
+declare type ELocationBoneSocketSource = 'BONESOCKETSOURCE_Bones' | 'BONESOCKETSOURCE_Sockets' | 'BONESOCKETSOURCE_MAX';
+declare var ELocationBoneSocketSource : { BONESOCKETSOURCE_Bones:'BONESOCKETSOURCE_Bones',BONESOCKETSOURCE_Sockets:'BONESOCKETSOURCE_Sockets',BONESOCKETSOURCE_MAX:'BONESOCKETSOURCE_MAX', };
+declare class LocationBoneSocketInfo { 
+	BoneSocketName: string;
+	Offset: Vector;
+	clone() : LocationBoneSocketInfo;
+	static C(Other: UObject | any): LocationBoneSocketInfo;
+}
+
+declare type ELocationBoneSocketSelectionMethod = 'BONESOCKETSEL_Sequential' | 'BONESOCKETSEL_Random' | 'BONESOCKETSEL_MAX';
+declare var ELocationBoneSocketSelectionMethod : { BONESOCKETSEL_Sequential:'BONESOCKETSEL_Sequential',BONESOCKETSEL_Random:'BONESOCKETSEL_Random',BONESOCKETSEL_MAX:'BONESOCKETSEL_MAX', };
+declare class ParticleModuleLocationBoneSocket extends ParticleModuleLocationBase { 
+	SourceType: ELocationBoneSocketSource;
+	UniversalOffset: Vector;
+	SourceLocations: LocationBoneSocketInfo[];
+	SelectionMethod: ELocationBoneSocketSelectionMethod;
+	bUpdatePositionEachFrame: boolean;
+	bOrientMeshEmitters: boolean;
+	bInheritBoneVelocity: boolean;
+	InheritVelocityScale: number;
+	SkelMeshActorParamName: string;
+	NumPreSelectedIndices: number;
+	EditorSkelMesh: SkeletalMesh;
+	static Load(ResourceName: string): ParticleModuleLocationBoneSocket;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationBoneSocket;
+	static GetDefaultObject(): ParticleModuleLocationBoneSocket;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationBoneSocket;
+	static C(Other: UObject | any): ParticleModuleLocationBoneSocket;
+}
+
+declare class ParticleModuleLocationDirect extends ParticleModuleLocationBase { 
+	Location: RawDistributionVector;
+	LocationOffset: RawDistributionVector;
+	ScaleFactor: RawDistributionVector;
+	Direction: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleLocationDirect;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationDirect;
+	static GetDefaultObject(): ParticleModuleLocationDirect;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationDirect;
+	static C(Other: UObject | any): ParticleModuleLocationDirect;
+}
+
+declare type ELocationEmitterSelectionMethod = 'ELESM_Random' | 'ELESM_Sequential' | 'ELESM_MAX';
+declare var ELocationEmitterSelectionMethod : { ELESM_Random:'ELESM_Random',ELESM_Sequential:'ELESM_Sequential',ELESM_MAX:'ELESM_MAX', };
+declare class ParticleModuleLocationEmitter extends ParticleModuleLocationBase { 
+	EmitterName: string;
+	SelectionMethod: ELocationEmitterSelectionMethod;
+	InheritSourceVelocity: boolean;
+	InheritSourceVelocityScale: number;
+	bInheritSourceRotation: boolean;
+	InheritSourceRotationScale: number;
+	static Load(ResourceName: string): ParticleModuleLocationEmitter;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationEmitter;
+	static GetDefaultObject(): ParticleModuleLocationEmitter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationEmitter;
+	static C(Other: UObject | any): ParticleModuleLocationEmitter;
+}
+
+declare class ParticleModuleLocationEmitterDirect extends ParticleModuleLocationBase { 
+	EmitterName: string;
+	static Load(ResourceName: string): ParticleModuleLocationEmitterDirect;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationEmitterDirect;
+	static GetDefaultObject(): ParticleModuleLocationEmitterDirect;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationEmitterDirect;
+	static C(Other: UObject | any): ParticleModuleLocationEmitterDirect;
+}
+
+declare class ParticleModuleLocationPrimitiveBase extends ParticleModuleLocationBase { 
+	Positive_X: boolean;
+	Positive_Y: boolean;
+	Positive_Z: boolean;
+	Negative_X: boolean;
+	Negative_Y: boolean;
+	Negative_Z: boolean;
+	SurfaceOnly: boolean;
+	Velocity: boolean;
+	VelocityScale: RawDistributionFloat;
+	StartLocation: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveBase;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveBase;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveBase;
+}
+
+declare type CylinderHeightAxis = 'PMLPC_HEIGHTAXIS_X' | 'PMLPC_HEIGHTAXIS_Y' | 'PMLPC_HEIGHTAXIS_Z' | 'PMLPC_HEIGHTAXIS_MAX';
+declare var CylinderHeightAxis : { PMLPC_HEIGHTAXIS_X:'PMLPC_HEIGHTAXIS_X',PMLPC_HEIGHTAXIS_Y:'PMLPC_HEIGHTAXIS_Y',PMLPC_HEIGHTAXIS_Z:'PMLPC_HEIGHTAXIS_Z',PMLPC_HEIGHTAXIS_MAX:'PMLPC_HEIGHTAXIS_MAX', };
+declare class ParticleModuleLocationPrimitiveCylinder extends ParticleModuleLocationPrimitiveBase { 
+	RadialVelocity: boolean;
+	StartRadius: RawDistributionFloat;
+	StartHeight: RawDistributionFloat;
+	HeightAxis: CylinderHeightAxis;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveCylinder;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveCylinder;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveCylinder;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveCylinder;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveCylinder;
+}
+
+declare class ParticleModuleLocationPrimitiveCylinder_Seeded extends ParticleModuleLocationPrimitiveCylinder { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveCylinder_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveCylinder_Seeded;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveCylinder_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveCylinder_Seeded;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveCylinder_Seeded;
+}
+
+declare class ParticleModuleLocationPrimitiveSphere extends ParticleModuleLocationPrimitiveBase { 
+	StartRadius: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveSphere;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveSphere;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveSphere;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveSphere;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveSphere;
+}
+
+declare class ParticleModuleLocationPrimitiveSphere_Seeded extends ParticleModuleLocationPrimitiveSphere { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveSphere_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveSphere_Seeded;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveSphere_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveSphere_Seeded;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveSphere_Seeded;
+}
+
+declare class ParticleModuleLocationPrimitiveTriangle extends ParticleModuleLocationBase { 
+	StartOffset: RawDistributionVector;
+	Height: RawDistributionFloat;
+	Angle: RawDistributionFloat;
+	Thickness: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleLocationPrimitiveTriangle;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationPrimitiveTriangle;
+	static GetDefaultObject(): ParticleModuleLocationPrimitiveTriangle;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationPrimitiveTriangle;
+	static C(Other: UObject | any): ParticleModuleLocationPrimitiveTriangle;
+}
+
+declare type ELocationSkelVertSurfaceSource = 'VERTSURFACESOURCE_Vert' | 'VERTSURFACESOURCE_Surface' | 'VERTSURFACESOURCE_MAX';
+declare var ELocationSkelVertSurfaceSource : { VERTSURFACESOURCE_Vert:'VERTSURFACESOURCE_Vert',VERTSURFACESOURCE_Surface:'VERTSURFACESOURCE_Surface',VERTSURFACESOURCE_MAX:'VERTSURFACESOURCE_MAX', };
+declare class ParticleModuleLocationSkelVertSurface extends ParticleModuleLocationBase { 
+	SourceType: ELocationSkelVertSurfaceSource;
+	UniversalOffset: Vector;
+	bUpdatePositionEachFrame: boolean;
+	bOrientMeshEmitters: boolean;
+	bInheritBoneVelocity: boolean;
+	InheritVelocityScale: number;
+	SkelMeshActorParamName: string;
+	EditorSkelMesh: SkeletalMesh;
+	ValidAssociatedBones: string[];
+	bEnforceNormalCheck: boolean;
+	NormalToCompare: Vector;
+	NormalCheckToleranceDegrees: number;
+	NormalCheckTolerance: number;
+	ValidMaterialIndices: number[];
+	bInheritVertexColor: boolean;
+	bInheritUV: boolean;
+	InheritUVChannel: any;
+	static Load(ResourceName: string): ParticleModuleLocationSkelVertSurface;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationSkelVertSurface;
+	static GetDefaultObject(): ParticleModuleLocationSkelVertSurface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationSkelVertSurface;
+	static C(Other: UObject | any): ParticleModuleLocationSkelVertSurface;
+}
+
+declare class ParticleModuleLocationWorldOffset extends ParticleModuleLocation { 
+	static Load(ResourceName: string): ParticleModuleLocationWorldOffset;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationWorldOffset;
+	static GetDefaultObject(): ParticleModuleLocationWorldOffset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationWorldOffset;
+	static C(Other: UObject | any): ParticleModuleLocationWorldOffset;
+}
+
+declare class ParticleModuleLocationWorldOffset_Seeded extends ParticleModuleLocationWorldOffset { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleLocationWorldOffset_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleLocationWorldOffset_Seeded;
+	static GetDefaultObject(): ParticleModuleLocationWorldOffset_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleLocationWorldOffset_Seeded;
+	static C(Other: UObject | any): ParticleModuleLocationWorldOffset_Seeded;
+}
+
+declare class ParticleModuleMaterialBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleMaterialBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMaterialBase;
+	static GetDefaultObject(): ParticleModuleMaterialBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMaterialBase;
+	static C(Other: UObject | any): ParticleModuleMaterialBase;
+}
+
+declare class ParticleModuleMeshMaterial extends ParticleModuleMaterialBase { 
+	MeshMaterials: MaterialInterface[];
+	static Load(ResourceName: string): ParticleModuleMeshMaterial;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshMaterial;
+	static GetDefaultObject(): ParticleModuleMeshMaterial;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshMaterial;
+	static C(Other: UObject | any): ParticleModuleMeshMaterial;
+}
+
+declare class ParticleModuleRotationBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleRotationBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationBase;
+	static GetDefaultObject(): ParticleModuleRotationBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationBase;
+	static C(Other: UObject | any): ParticleModuleRotationBase;
+}
+
+declare class ParticleModuleMeshRotation extends ParticleModuleRotationBase { 
+	StartRotation: RawDistributionVector;
+	bInheritParent: boolean;
+	static Load(ResourceName: string): ParticleModuleMeshRotation;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotation;
+	static GetDefaultObject(): ParticleModuleMeshRotation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotation;
+	static C(Other: UObject | any): ParticleModuleMeshRotation;
+}
+
+declare class ParticleModuleMeshRotation_Seeded extends ParticleModuleMeshRotation { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleMeshRotation_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotation_Seeded;
+	static GetDefaultObject(): ParticleModuleMeshRotation_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotation_Seeded;
+	static C(Other: UObject | any): ParticleModuleMeshRotation_Seeded;
+}
+
+declare class ParticleModuleRotationRateBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleRotationRateBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRateBase;
+	static GetDefaultObject(): ParticleModuleRotationRateBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRateBase;
+	static C(Other: UObject | any): ParticleModuleRotationRateBase;
+}
+
+declare class ParticleModuleMeshRotationRate extends ParticleModuleRotationRateBase { 
+	StartRotationRate: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleMeshRotationRate;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRate;
+	static GetDefaultObject(): ParticleModuleMeshRotationRate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRate;
+	static C(Other: UObject | any): ParticleModuleMeshRotationRate;
+}
+
+declare class ParticleModuleMeshRotationRate_Seeded extends ParticleModuleMeshRotationRate { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleMeshRotationRate_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRate_Seeded;
+	static GetDefaultObject(): ParticleModuleMeshRotationRate_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRate_Seeded;
+	static C(Other: UObject | any): ParticleModuleMeshRotationRate_Seeded;
+}
+
+declare class ParticleModuleMeshRotationRateMultiplyLife extends ParticleModuleRotationRateBase { 
+	LifeMultiplier: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleMeshRotationRateMultiplyLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRateMultiplyLife;
+	static GetDefaultObject(): ParticleModuleMeshRotationRateMultiplyLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRateMultiplyLife;
+	static C(Other: UObject | any): ParticleModuleMeshRotationRateMultiplyLife;
+}
+
+declare class ParticleModuleMeshRotationRateOverLife extends ParticleModuleRotationRateBase { 
+	RotRate: RawDistributionVector;
+	bScaleRotRate: boolean;
+	static Load(ResourceName: string): ParticleModuleMeshRotationRateOverLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleMeshRotationRateOverLife;
+	static GetDefaultObject(): ParticleModuleMeshRotationRateOverLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleMeshRotationRateOverLife;
+	static C(Other: UObject | any): ParticleModuleMeshRotationRateOverLife;
+}
+
+declare class ParticleModuleOrientationBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleOrientationBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrientationBase;
+	static GetDefaultObject(): ParticleModuleOrientationBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrientationBase;
+	static C(Other: UObject | any): ParticleModuleOrientationBase;
+}
+
+declare type EParticleAxisLock = 'EPAL_NONE' | 'EPAL_X' | 'EPAL_Y' | 'EPAL_Z' | 'EPAL_NEGATIVE_X' | 'EPAL_NEGATIVE_Y' | 'EPAL_NEGATIVE_Z' | 'EPAL_ROTATE_X' | 'EPAL_ROTATE_Y' | 'EPAL_ROTATE_Z' | 'EPAL_MAX';
+declare var EParticleAxisLock : { EPAL_NONE:'EPAL_NONE',EPAL_X:'EPAL_X',EPAL_Y:'EPAL_Y',EPAL_Z:'EPAL_Z',EPAL_NEGATIVE_X:'EPAL_NEGATIVE_X',EPAL_NEGATIVE_Y:'EPAL_NEGATIVE_Y',EPAL_NEGATIVE_Z:'EPAL_NEGATIVE_Z',EPAL_ROTATE_X:'EPAL_ROTATE_X',EPAL_ROTATE_Y:'EPAL_ROTATE_Y',EPAL_ROTATE_Z:'EPAL_ROTATE_Z',EPAL_MAX:'EPAL_MAX', };
+declare class ParticleModuleOrientationAxisLock extends ParticleModuleOrientationBase { 
+	LockAxisFlags: EParticleAxisLock;
+	static Load(ResourceName: string): ParticleModuleOrientationAxisLock;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleOrientationAxisLock;
+	static GetDefaultObject(): ParticleModuleOrientationAxisLock;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleOrientationAxisLock;
+	static C(Other: UObject | any): ParticleModuleOrientationAxisLock;
+}
+
+declare class ParticleModuleParameterBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleParameterBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterBase;
+	static GetDefaultObject(): ParticleModuleParameterBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterBase;
+	static C(Other: UObject | any): ParticleModuleParameterBase;
+}
+
+declare type EEmitterDynamicParameterValue = 'EDPV_UserSet' | 'EDPV_AutoSet' | 'EDPV_VelocityX' | 'EDPV_VelocityY' | 'EDPV_VelocityZ' | 'EDPV_VelocityMag' | 'EDPV_MAX';
+declare var EEmitterDynamicParameterValue : { EDPV_UserSet:'EDPV_UserSet',EDPV_AutoSet:'EDPV_AutoSet',EDPV_VelocityX:'EDPV_VelocityX',EDPV_VelocityY:'EDPV_VelocityY',EDPV_VelocityZ:'EDPV_VelocityZ',EDPV_VelocityMag:'EDPV_VelocityMag',EDPV_MAX:'EDPV_MAX', };
+declare class EmitterDynamicParameter { 
+	ParamName: string;
+	bUseEmitterTime: boolean;
+	bSpawnTimeOnly: boolean;
+	ValueMethod: EEmitterDynamicParameterValue;
+	bScaleVelocityByParamValue: boolean;
+	ParamValue: RawDistributionFloat;
+	clone() : EmitterDynamicParameter;
+	static C(Other: UObject | any): EmitterDynamicParameter;
+}
+
+declare class ParticleModuleParameterDynamic extends ParticleModuleParameterBase { 
+	DynamicParams: EmitterDynamicParameter[];
+	UpdateFlags: number;
+	bUsesVelocity: boolean;
+	static Load(ResourceName: string): ParticleModuleParameterDynamic;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterDynamic;
+	static GetDefaultObject(): ParticleModuleParameterDynamic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterDynamic;
+	static C(Other: UObject | any): ParticleModuleParameterDynamic;
+}
+
+declare class ParticleModuleParameterDynamic_Seeded extends ParticleModuleParameterDynamic { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleParameterDynamic_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleParameterDynamic_Seeded;
+	static GetDefaultObject(): ParticleModuleParameterDynamic_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleParameterDynamic_Seeded;
+	static C(Other: UObject | any): ParticleModuleParameterDynamic_Seeded;
+}
+
+declare class ParticleModulePivotOffset extends ParticleModuleLocationBase { 
+	PivotOffset: Vector2D;
+	static Load(ResourceName: string): ParticleModulePivotOffset;
+	static Find(Outer: UObject, ResourceName: string): ParticleModulePivotOffset;
+	static GetDefaultObject(): ParticleModulePivotOffset;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModulePivotOffset;
+	static C(Other: UObject | any): ParticleModulePivotOffset;
+}
+
+declare class ParticleModuleRotation extends ParticleModuleRotationBase { 
+	StartRotation: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleRotation;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotation;
+	static GetDefaultObject(): ParticleModuleRotation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotation;
+	static C(Other: UObject | any): ParticleModuleRotation;
+}
+
+declare class ParticleModuleRotation_Seeded extends ParticleModuleRotation { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleRotation_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotation_Seeded;
+	static GetDefaultObject(): ParticleModuleRotation_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotation_Seeded;
+	static C(Other: UObject | any): ParticleModuleRotation_Seeded;
+}
+
+declare class ParticleModuleRotationOverLifetime extends ParticleModuleRotationBase { 
+	RotationOverLife: RawDistributionFloat;
+	Scale: boolean;
+	static Load(ResourceName: string): ParticleModuleRotationOverLifetime;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationOverLifetime;
+	static GetDefaultObject(): ParticleModuleRotationOverLifetime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationOverLifetime;
+	static C(Other: UObject | any): ParticleModuleRotationOverLifetime;
+}
+
+declare class ParticleModuleRotationRate extends ParticleModuleRotationRateBase { 
+	StartRotationRate: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleRotationRate;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRate;
+	static GetDefaultObject(): ParticleModuleRotationRate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRate;
+	static C(Other: UObject | any): ParticleModuleRotationRate;
+}
+
+declare class ParticleModuleRotationRate_Seeded extends ParticleModuleRotationRate { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleRotationRate_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRate_Seeded;
+	static GetDefaultObject(): ParticleModuleRotationRate_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRate_Seeded;
+	static C(Other: UObject | any): ParticleModuleRotationRate_Seeded;
+}
+
+declare class ParticleModuleRotationRateMultiplyLife extends ParticleModuleRotationRateBase { 
+	LifeMultiplier: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleRotationRateMultiplyLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleRotationRateMultiplyLife;
+	static GetDefaultObject(): ParticleModuleRotationRateMultiplyLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleRotationRateMultiplyLife;
+	static C(Other: UObject | any): ParticleModuleRotationRateMultiplyLife;
+}
+
+declare class ParticleModuleSizeBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleSizeBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeBase;
+	static GetDefaultObject(): ParticleModuleSizeBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeBase;
+	static C(Other: UObject | any): ParticleModuleSizeBase;
+}
+
+declare class ParticleModuleSize extends ParticleModuleSizeBase { 
+	StartSize: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleSize;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSize;
+	static GetDefaultObject(): ParticleModuleSize;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSize;
+	static C(Other: UObject | any): ParticleModuleSize;
+}
+
+declare class ParticleModuleSize_Seeded extends ParticleModuleSize { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleSize_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSize_Seeded;
+	static GetDefaultObject(): ParticleModuleSize_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSize_Seeded;
+	static C(Other: UObject | any): ParticleModuleSize_Seeded;
+}
+
+declare class ParticleModuleSizeMultiplyLife extends ParticleModuleSizeBase { 
+	LifeMultiplier: RawDistributionVector;
+	MultiplyX: boolean;
+	MultiplyY: boolean;
+	MultiplyZ: boolean;
+	static Load(ResourceName: string): ParticleModuleSizeMultiplyLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeMultiplyLife;
+	static GetDefaultObject(): ParticleModuleSizeMultiplyLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeMultiplyLife;
+	static C(Other: UObject | any): ParticleModuleSizeMultiplyLife;
+}
+
+declare class ParticleModuleSizeScale extends ParticleModuleSizeBase { 
+	SizeScale: RawDistributionVector;
+	EnableX: boolean;
+	EnableY: boolean;
+	EnableZ: boolean;
+	static Load(ResourceName: string): ParticleModuleSizeScale;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeScale;
+	static GetDefaultObject(): ParticleModuleSizeScale;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeScale;
+	static C(Other: UObject | any): ParticleModuleSizeScale;
+}
+
+declare class ParticleModuleSizeScaleBySpeed extends ParticleModuleSizeBase { 
+	SpeedScale: Vector2D;
+	MaxScale: Vector2D;
+	static Load(ResourceName: string): ParticleModuleSizeScaleBySpeed;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSizeScaleBySpeed;
+	static GetDefaultObject(): ParticleModuleSizeScaleBySpeed;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSizeScaleBySpeed;
+	static C(Other: UObject | any): ParticleModuleSizeScaleBySpeed;
+}
+
+declare class ParticleModuleSourceMovement extends ParticleModuleLocationBase { 
+	SourceMovementScale: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleSourceMovement;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSourceMovement;
+	static GetDefaultObject(): ParticleModuleSourceMovement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSourceMovement;
+	static C(Other: UObject | any): ParticleModuleSourceMovement;
+}
+
+declare class ParticleModuleSpawnPerUnit extends ParticleModuleSpawnBase { 
+	UnitScalar: number;
+	SpawnPerUnit: RawDistributionFloat;
+	bIgnoreSpawnRateWhenMoving: boolean;
+	MovementTolerance: number;
+	MaxFrameDistance: number;
+	bIgnoreMovementAlongX: boolean;
+	bIgnoreMovementAlongY: boolean;
+	bIgnoreMovementAlongZ: boolean;
+	static Load(ResourceName: string): ParticleModuleSpawnPerUnit;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSpawnPerUnit;
+	static GetDefaultObject(): ParticleModuleSpawnPerUnit;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSpawnPerUnit;
+	static C(Other: UObject | any): ParticleModuleSpawnPerUnit;
+}
+
+declare class ParticleModuleSubUVBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleSubUVBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUVBase;
+	static GetDefaultObject(): ParticleModuleSubUVBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUVBase;
+	static C(Other: UObject | any): ParticleModuleSubUVBase;
+}
+
+declare class SubUVAnimation extends UObject { 
+	SubUVTexture: Texture2D;
+	SubImages_Horizontal: number;
+	SubImages_Vertical: number;
+	BoundingMode: ESubUVBoundingVertexCount;
+	OpacitySourceMode: EOpacitySourceMode;
+	AlphaThreshold: number;
+	static Load(ResourceName: string): SubUVAnimation;
+	static Find(Outer: UObject, ResourceName: string): SubUVAnimation;
+	static GetDefaultObject(): SubUVAnimation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubUVAnimation;
+	static C(Other: UObject | any): SubUVAnimation;
+}
+
+declare class ParticleModuleSubUV extends ParticleModuleSubUVBase { 
+	Animation: SubUVAnimation;
+	SubImageIndex: RawDistributionFloat;
+	bUseRealTime: boolean;
+	static Load(ResourceName: string): ParticleModuleSubUV;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUV;
+	static GetDefaultObject(): ParticleModuleSubUV;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUV;
+	static C(Other: UObject | any): ParticleModuleSubUV;
+}
+
+declare class ParticleModuleSubUVMovie extends ParticleModuleSubUV { 
+	bUseEmitterTime: boolean;
+	FrameRate: RawDistributionFloat;
+	StartingFrame: number;
+	static Load(ResourceName: string): ParticleModuleSubUVMovie;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleSubUVMovie;
+	static GetDefaultObject(): ParticleModuleSubUVMovie;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleSubUVMovie;
+	static C(Other: UObject | any): ParticleModuleSubUVMovie;
+}
+
+declare class ParticleModuleTrailBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleTrailBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTrailBase;
+	static GetDefaultObject(): ParticleModuleTrailBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTrailBase;
+	static C(Other: UObject | any): ParticleModuleTrailBase;
+}
+
+declare type ETrail2SourceMethod = 'PET2SRCM_Default' | 'PET2SRCM_Particle' | 'PET2SRCM_Actor' | 'PET2SRCM_MAX';
+declare var ETrail2SourceMethod : { PET2SRCM_Default:'PET2SRCM_Default',PET2SRCM_Particle:'PET2SRCM_Particle',PET2SRCM_Actor:'PET2SRCM_Actor',PET2SRCM_MAX:'PET2SRCM_MAX', };
+declare type EParticleSourceSelectionMethod = 'EPSSM_Random' | 'EPSSM_Sequential' | 'EPSSM_MAX';
+declare var EParticleSourceSelectionMethod : { EPSSM_Random:'EPSSM_Random',EPSSM_Sequential:'EPSSM_Sequential',EPSSM_MAX:'EPSSM_MAX', };
+declare class ParticleModuleTrailSource extends ParticleModuleTrailBase { 
+	SourceMethod: ETrail2SourceMethod;
+	SourceName: string;
+	SourceStrength: RawDistributionFloat;
+	bLockSourceStength: boolean;
+	SourceOffsetCount: number;
+	SourceOffsetDefaults: Vector[];
+	SelectionMethod: EParticleSourceSelectionMethod;
+	bInheritRotation: boolean;
+	static Load(ResourceName: string): ParticleModuleTrailSource;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTrailSource;
+	static GetDefaultObject(): ParticleModuleTrailSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTrailSource;
+	static C(Other: UObject | any): ParticleModuleTrailSource;
+}
+
+declare class ParticleModuleTypeDataAnimTrail extends ParticleModuleTypeDataBase { 
+	bDeadTrailsOnDeactivate: boolean;
+	bEnablePreviousTangentRecalculation: boolean;
+	bTangentRecalculationEveryFrame: boolean;
+	TilingDistance: number;
+	DistanceTessellationStepSize: number;
+	TangentTessellationStepSize: number;
+	WidthTessellationStepSize: number;
+	static Load(ResourceName: string): ParticleModuleTypeDataAnimTrail;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataAnimTrail;
+	static GetDefaultObject(): ParticleModuleTypeDataAnimTrail;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataAnimTrail;
+	static C(Other: UObject | any): ParticleModuleTypeDataAnimTrail;
+}
+
+declare type EBeam2Method = 'PEB2M_Distance' | 'PEB2M_Target' | 'PEB2M_Branch' | 'PEB2M_MAX';
+declare var EBeam2Method : { PEB2M_Distance:'PEB2M_Distance',PEB2M_Target:'PEB2M_Target',PEB2M_Branch:'PEB2M_Branch',PEB2M_MAX:'PEB2M_MAX', };
+declare type EBeamTaperMethod = 'PEBTM_None' | 'PEBTM_Full' | 'PEBTM_Partial' | 'PEBTM_MAX';
+declare var EBeamTaperMethod : { PEBTM_None:'PEBTM_None',PEBTM_Full:'PEBTM_Full',PEBTM_Partial:'PEBTM_Partial',PEBTM_MAX:'PEBTM_MAX', };
+declare class ParticleModuleTypeDataBeam2 extends ParticleModuleTypeDataBase { 
+	BeamMethod: EBeam2Method;
+	TextureTile: number;
+	TextureTileDistance: number;
+	Sheets: number;
+	MaxBeamCount: number;
+	Speed: number;
+	InterpolationPoints: number;
+	bAlwaysOn: boolean;
+	UpVectorStepSize: number;
+	BranchParentName: string;
+	Distance: RawDistributionFloat;
+	TaperMethod: EBeamTaperMethod;
+	TaperFactor: RawDistributionFloat;
+	TaperScale: RawDistributionFloat;
+	RenderGeometry: boolean;
+	RenderDirectLine: boolean;
+	RenderLines: boolean;
+	RenderTessellation: boolean;
+	static Load(ResourceName: string): ParticleModuleTypeDataBeam2;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataBeam2;
+	static GetDefaultObject(): ParticleModuleTypeDataBeam2;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataBeam2;
+	static C(Other: UObject | any): ParticleModuleTypeDataBeam2;
+}
+
+declare class VectorField extends UObject { 
+	Bounds: Box;
+	Intensity: number;
+	static Load(ResourceName: string): VectorField;
+	static Find(Outer: UObject, ResourceName: string): VectorField;
+	static GetDefaultObject(): VectorField;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorField;
+	static C(Other: UObject | any): VectorField;
+}
+
+declare class GPUSpriteLocalVectorFieldInfo { 
+	Field: VectorField;
+	Transform: Transform;
+	MinInitialRotation: Rotator;
+	MaxInitialRotation: Rotator;
+	RotationRate: Rotator;
+	Intensity: number;
+	Tightness: number;
+	bIgnoreComponentTransform: boolean;
+	bTileX: boolean;
+	bTileY: boolean;
+	bTileZ: boolean;
+	bUseFixDT: boolean;
+	clone() : GPUSpriteLocalVectorFieldInfo;
+	static C(Other: UObject | any): GPUSpriteLocalVectorFieldInfo;
+}
+
+declare class FloatDistribution { 
+	Table: DistributionLookupTable;
+	clone() : FloatDistribution;
+	static C(Other: UObject | any): FloatDistribution;
+}
+
+declare class GPUSpriteEmitterInfo { 
+	RequiredModule: ParticleModuleRequired;
+	SpawnModule: ParticleModuleSpawn;
+	SpawnPerUnitModule: ParticleModuleSpawnPerUnit;
+	SpawnModules: ParticleModule[];
+	LocalVectorField: GPUSpriteLocalVectorFieldInfo;
+	VectorFieldScale: FloatDistribution;
+	DragCoefficient: FloatDistribution;
+	PointAttractorStrength: FloatDistribution;
+	Resilience: FloatDistribution;
+	ConstantAcceleration: Vector;
+	PointAttractorPosition: Vector;
+	PointAttractorRadiusSq: number;
+	OrbitOffsetBase: Vector;
+	OrbitOffsetRange: Vector;
+	InvMaxSize: Vector2D;
+	InvRotationRateScale: number;
+	MaxLifetime: number;
+	MaxParticleCount: number;
+	ScreenAlignment: EParticleScreenAlignment;
+	LockAxisFlag: EParticleAxisLock;
+	bEnableCollision: boolean;
+	CollisionMode: EParticleCollisionMode;
+	bRemoveHMDRoll: boolean;
+	MinFacingCameraBlendDistance: number;
+	MaxFacingCameraBlendDistance: number;
+	DynamicColor: RawDistributionVector;
+	DynamicAlpha: RawDistributionFloat;
+	DynamicColorScale: RawDistributionVector;
+	DynamicAlphaScale: RawDistributionFloat;
+	clone() : GPUSpriteEmitterInfo;
+	static C(Other: UObject | any): GPUSpriteEmitterInfo;
+}
+
+declare class GPUSpriteResourceData { 
+	QuantizedColorSamples: Color[];
+	QuantizedMiscSamples: Color[];
+	QuantizedSimulationAttrSamples: Color[];
+	ColorScale: Vector4;
+	ColorBias: Vector4;
+	MiscScale: Vector4;
+	MiscBias: Vector4;
+	SimulationAttrCurveScale: Vector4;
+	SimulationAttrCurveBias: Vector4;
+	SubImageSize: Vector4;
+	SizeBySpeed: Vector4;
+	ConstantAcceleration: Vector;
+	OrbitOffsetBase: Vector;
+	OrbitOffsetRange: Vector;
+	OrbitFrequencyBase: Vector;
+	OrbitFrequencyRange: Vector;
+	OrbitPhaseBase: Vector;
+	OrbitPhaseRange: Vector;
+	GlobalVectorFieldScale: number;
+	GlobalVectorFieldTightness: number;
+	PerParticleVectorFieldScale: number;
+	PerParticleVectorFieldBias: number;
+	DragCoefficientScale: number;
+	DragCoefficientBias: number;
+	ResilienceScale: number;
+	ResilienceBias: number;
+	CollisionRadiusScale: number;
+	CollisionRadiusBias: number;
+	CollisionTimeBias: number;
+	CollisionRandomSpread: number;
+	CollisionRandomDistribution: number;
+	OneMinusFriction: number;
+	RotationRateScale: number;
+	CameraMotionBlurAmount: number;
+	ScreenAlignment: EParticleScreenAlignment;
+	LockAxisFlag: EParticleAxisLock;
+	PivotOffset: Vector2D;
+	bRemoveHMDRoll: boolean;
+	MinFacingCameraBlendDistance: number;
+	MaxFacingCameraBlendDistance: number;
+	clone() : GPUSpriteResourceData;
+	static C(Other: UObject | any): GPUSpriteResourceData;
+}
+
+declare class ParticleModuleTypeDataGpu extends ParticleModuleTypeDataBase { 
+	EmitterInfo: GPUSpriteEmitterInfo;
+	ResourceData: GPUSpriteResourceData;
+	CameraMotionBlurAmount: number;
+	bClearExistingParticlesOnInit: boolean;
+	static Load(ResourceName: string): ParticleModuleTypeDataGpu;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataGpu;
+	static GetDefaultObject(): ParticleModuleTypeDataGpu;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataGpu;
+	static C(Other: UObject | any): ParticleModuleTypeDataGpu;
+}
+
+declare type EMeshScreenAlignment = 'PSMA_MeshFaceCameraWithRoll' | 'PSMA_MeshFaceCameraWithSpin' | 'PSMA_MeshFaceCameraWithLockedAxis' | 'PSMA_MAX';
+declare var EMeshScreenAlignment : { PSMA_MeshFaceCameraWithRoll:'PSMA_MeshFaceCameraWithRoll',PSMA_MeshFaceCameraWithSpin:'PSMA_MeshFaceCameraWithSpin',PSMA_MeshFaceCameraWithLockedAxis:'PSMA_MeshFaceCameraWithLockedAxis',PSMA_MAX:'PSMA_MAX', };
+declare type EMeshCameraFacingUpAxis = 'CameraFacing_NoneUP' | 'CameraFacing_ZUp' | 'CameraFacing_NegativeZUp' | 'CameraFacing_YUp' | 'CameraFacing_NegativeYUp' | 'CameraFacing_MAX';
+declare var EMeshCameraFacingUpAxis : { CameraFacing_NoneUP:'CameraFacing_NoneUP',CameraFacing_ZUp:'CameraFacing_ZUp',CameraFacing_NegativeZUp:'CameraFacing_NegativeZUp',CameraFacing_YUp:'CameraFacing_YUp',CameraFacing_NegativeYUp:'CameraFacing_NegativeYUp',CameraFacing_MAX:'CameraFacing_MAX', };
+declare type EMeshCameraFacingOptions = 'XAxisFacing_NoUp' | 'XAxisFacing_ZUp' | 'XAxisFacing_NegativeZUp' | 'XAxisFacing_YUp' | 'XAxisFacing_NegativeYUp' | 'LockedAxis_ZAxisFacing' | 'LockedAxis_NegativeZAxisFacing' | 'LockedAxis_YAxisFacing' | 'LockedAxis_NegativeYAxisFacing' | 'VelocityAligned_ZAxisFacing' | 'VelocityAligned_NegativeZAxisFacing' | 'VelocityAligned_YAxisFacing' | 'VelocityAligned_NegativeYAxisFacing' | 'EMeshCameraFacingOptions_MAX';
+declare var EMeshCameraFacingOptions : { XAxisFacing_NoUp:'XAxisFacing_NoUp',XAxisFacing_ZUp:'XAxisFacing_ZUp',XAxisFacing_NegativeZUp:'XAxisFacing_NegativeZUp',XAxisFacing_YUp:'XAxisFacing_YUp',XAxisFacing_NegativeYUp:'XAxisFacing_NegativeYUp',LockedAxis_ZAxisFacing:'LockedAxis_ZAxisFacing',LockedAxis_NegativeZAxisFacing:'LockedAxis_NegativeZAxisFacing',LockedAxis_YAxisFacing:'LockedAxis_YAxisFacing',LockedAxis_NegativeYAxisFacing:'LockedAxis_NegativeYAxisFacing',VelocityAligned_ZAxisFacing:'VelocityAligned_ZAxisFacing',VelocityAligned_NegativeZAxisFacing:'VelocityAligned_NegativeZAxisFacing',VelocityAligned_YAxisFacing:'VelocityAligned_YAxisFacing',VelocityAligned_NegativeYAxisFacing:'VelocityAligned_NegativeYAxisFacing',EMeshCameraFacingOptions_MAX:'EMeshCameraFacingOptions_MAX', };
+declare class ParticleModuleTypeDataMesh extends ParticleModuleTypeDataBase { 
+	Mesh: StaticMesh;
+	bUseStaticMeshLODs: boolean;
+	LODSizeScale: number;
+	CastShadows: boolean;
+	DoCollisions: boolean;
+	MeshAlignment: EMeshScreenAlignment;
+	bOverrideMaterial: boolean;
+	bOverrideDefaultMotionBlurSettings: boolean;
+	bEnableMotionBlur: boolean;
+	Pitch: number;
+	Roll: number;
+	Yaw: number;
+	RollPitchYawRange: RawDistributionVector;
+	AxisLockOption: EParticleAxisLock;
+	bCameraFacing: boolean;
+	CameraFacingUpAxisOption: EMeshCameraFacingUpAxis;
+	CameraFacingOption: EMeshCameraFacingOptions;
+	bApplyParticleRotationAsSpin: boolean;
+	bFaceCameraDirectionRatherThanPosition: boolean;
+	bCollisionsConsiderPartilceSize: boolean;
+	static Load(ResourceName: string): ParticleModuleTypeDataMesh;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataMesh;
+	static GetDefaultObject(): ParticleModuleTypeDataMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataMesh;
+	static C(Other: UObject | any): ParticleModuleTypeDataMesh;
+}
+
+declare type ETrailsRenderAxisOption = 'Trails_CameraUp' | 'Trails_SourceUp' | 'Trails_WorldUp' | 'Trails_MAX';
+declare var ETrailsRenderAxisOption : { Trails_CameraUp:'Trails_CameraUp',Trails_SourceUp:'Trails_SourceUp',Trails_WorldUp:'Trails_WorldUp',Trails_MAX:'Trails_MAX', };
+declare class ParticleModuleTypeDataRibbon extends ParticleModuleTypeDataBase { 
+	MaxTessellationBetweenParticles: number;
+	SheetsPerTrail: number;
+	MaxTrailCount: number;
+	MaxParticleInTrailCount: number;
+	bDeadTrailsOnDeactivate: boolean;
+	bDeadTrailsOnSourceLoss: boolean;
+	bClipSourceSegement: boolean;
+	bEnablePreviousTangentRecalculation: boolean;
+	bTangentRecalculationEveryFrame: boolean;
+	bSpawnInitialParticle: boolean;
+	RenderAxis: ETrailsRenderAxisOption;
+	TangentSpawningScalar: number;
+	bRenderGeometry: boolean;
+	bRenderSpawnPoints: boolean;
+	bRenderTangents: boolean;
+	bRenderTessellation: boolean;
+	TilingDistance: number;
+	DistanceTessellationStepSize: number;
+	bEnableTangentDiffInterpScale: boolean;
+	TangentTessellationScalar: number;
+	static Load(ResourceName: string): ParticleModuleTypeDataRibbon;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleTypeDataRibbon;
+	static GetDefaultObject(): ParticleModuleTypeDataRibbon;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleTypeDataRibbon;
+	static C(Other: UObject | any): ParticleModuleTypeDataRibbon;
+}
+
+declare class ParticleModuleVectorFieldBase extends ParticleModule { 
+	static Load(ResourceName: string): ParticleModuleVectorFieldBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldBase;
+	static GetDefaultObject(): ParticleModuleVectorFieldBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldBase;
+	static C(Other: UObject | any): ParticleModuleVectorFieldBase;
+}
+
+declare class ParticleModuleVectorFieldGlobal extends ParticleModuleVectorFieldBase { 
+	bOverrideGlobalVectorFieldTightness: boolean;
+	GlobalVectorFieldScale: number;
+	GlobalVectorFieldTightness: number;
+	static Load(ResourceName: string): ParticleModuleVectorFieldGlobal;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldGlobal;
+	static GetDefaultObject(): ParticleModuleVectorFieldGlobal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldGlobal;
+	static C(Other: UObject | any): ParticleModuleVectorFieldGlobal;
+}
+
+declare class ParticleModuleVectorFieldLocal extends ParticleModuleVectorFieldBase { 
+	VectorField: VectorField;
+	RelativeTranslation: Vector;
+	RelativeRotation: Rotator;
+	RelativeScale3D: Vector;
+	Intensity: number;
+	Tightness: number;
+	bIgnoreComponentTransform: boolean;
+	bTileX: boolean;
+	bTileY: boolean;
+	bTileZ: boolean;
+	bUseFixDT: boolean;
+	static Load(ResourceName: string): ParticleModuleVectorFieldLocal;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldLocal;
+	static GetDefaultObject(): ParticleModuleVectorFieldLocal;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldLocal;
+	static C(Other: UObject | any): ParticleModuleVectorFieldLocal;
+}
+
+declare class ParticleModuleVectorFieldRotation extends ParticleModuleVectorFieldBase { 
+	MinInitialRotation: Vector;
+	MaxInitialRotation: Vector;
+	static Load(ResourceName: string): ParticleModuleVectorFieldRotation;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldRotation;
+	static GetDefaultObject(): ParticleModuleVectorFieldRotation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldRotation;
+	static C(Other: UObject | any): ParticleModuleVectorFieldRotation;
+}
+
+declare class ParticleModuleVectorFieldRotationRate extends ParticleModuleVectorFieldBase { 
+	RotationRate: Vector;
+	static Load(ResourceName: string): ParticleModuleVectorFieldRotationRate;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldRotationRate;
+	static GetDefaultObject(): ParticleModuleVectorFieldRotationRate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldRotationRate;
+	static C(Other: UObject | any): ParticleModuleVectorFieldRotationRate;
+}
+
+declare class ParticleModuleVectorFieldScale extends ParticleModuleVectorFieldBase { 
+	VectorFieldScale: DistributionFloat;
+	VectorFieldScaleRaw: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleVectorFieldScale;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldScale;
+	static GetDefaultObject(): ParticleModuleVectorFieldScale;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldScale;
+	static C(Other: UObject | any): ParticleModuleVectorFieldScale;
+}
+
+declare class ParticleModuleVectorFieldScaleOverLife extends ParticleModuleVectorFieldBase { 
+	VectorFieldScaleOverLife: DistributionFloat;
+	VectorFieldScaleOverLifeRaw: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleVectorFieldScaleOverLife;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVectorFieldScaleOverLife;
+	static GetDefaultObject(): ParticleModuleVectorFieldScaleOverLife;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVectorFieldScaleOverLife;
+	static C(Other: UObject | any): ParticleModuleVectorFieldScaleOverLife;
+}
+
+declare class ParticleModuleVelocityBase extends ParticleModule { 
+	bInWorldSpace: boolean;
+	bApplyOwnerScale: boolean;
+	static Load(ResourceName: string): ParticleModuleVelocityBase;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityBase;
+	static GetDefaultObject(): ParticleModuleVelocityBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityBase;
+	static C(Other: UObject | any): ParticleModuleVelocityBase;
+}
+
+declare class ParticleModuleVelocity extends ParticleModuleVelocityBase { 
+	StartVelocity: RawDistributionVector;
+	StartVelocityRadial: RawDistributionFloat;
+	static Load(ResourceName: string): ParticleModuleVelocity;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocity;
+	static GetDefaultObject(): ParticleModuleVelocity;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocity;
+	static C(Other: UObject | any): ParticleModuleVelocity;
+}
+
+declare class ParticleModuleVelocity_Seeded extends ParticleModuleVelocity { 
+	RandomSeedInfo: ParticleRandomSeedInfo;
+	static Load(ResourceName: string): ParticleModuleVelocity_Seeded;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocity_Seeded;
+	static GetDefaultObject(): ParticleModuleVelocity_Seeded;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocity_Seeded;
+	static C(Other: UObject | any): ParticleModuleVelocity_Seeded;
+}
+
+declare class ParticleModuleVelocityCone extends ParticleModuleVelocityBase { 
+	Angle: RawDistributionFloat;
+	Velocity: RawDistributionFloat;
+	Direction: Vector;
+	static Load(ResourceName: string): ParticleModuleVelocityCone;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityCone;
+	static GetDefaultObject(): ParticleModuleVelocityCone;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityCone;
+	static C(Other: UObject | any): ParticleModuleVelocityCone;
+}
+
+declare class ParticleModuleVelocityInheritParent extends ParticleModuleVelocityBase { 
+	Scale: RawDistributionVector;
+	static Load(ResourceName: string): ParticleModuleVelocityInheritParent;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityInheritParent;
+	static GetDefaultObject(): ParticleModuleVelocityInheritParent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityInheritParent;
+	static C(Other: UObject | any): ParticleModuleVelocityInheritParent;
+}
+
+declare class ParticleModuleVelocityOverLifetime extends ParticleModuleVelocityBase { 
+	VelOverLife: RawDistributionVector;
+	Absolute: boolean;
+	static Load(ResourceName: string): ParticleModuleVelocityOverLifetime;
+	static Find(Outer: UObject, ResourceName: string): ParticleModuleVelocityOverLifetime;
+	static GetDefaultObject(): ParticleModuleVelocityOverLifetime;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleModuleVelocityOverLifetime;
+	static C(Other: UObject | any): ParticleModuleVelocityOverLifetime;
+}
+
+declare class ParticleSpriteEmitter extends ParticleEmitter { 
+	static Load(ResourceName: string): ParticleSpriteEmitter;
+	static Find(Outer: UObject, ResourceName: string): ParticleSpriteEmitter;
+	static GetDefaultObject(): ParticleSpriteEmitter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ParticleSpriteEmitter;
+	static C(Other: UObject | any): ParticleSpriteEmitter;
+}
+
+declare class PathFollowingAgentInterface extends Interface { 
+	static Load(ResourceName: string): PathFollowingAgentInterface;
+	static Find(Outer: UObject, ResourceName: string): PathFollowingAgentInterface;
+	static GetDefaultObject(): PathFollowingAgentInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PathFollowingAgentInterface;
+	static C(Other: UObject | any): PathFollowingAgentInterface;
+}
+
+declare class PawnNoiseEmitterComponent extends ActorComponent { 
+	bAIPerceptionSystemCompatibilityMode: boolean;
+	LastRemoteNoisePosition: Vector;
+	NoiseLifetime: number;
+	LastRemoteNoiseVolume: number;
+	LastRemoteNoiseTime: number;
+	LastLocalNoiseVolume: number;
+	LastLocalNoiseTime: number;
+	static Load(ResourceName: string): PawnNoiseEmitterComponent;
+	static Find(Outer: UObject, ResourceName: string): PawnNoiseEmitterComponent;
+	static GetDefaultObject(): PawnNoiseEmitterComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PawnNoiseEmitterComponent;
+	MakeNoise(NoiseMaker: Actor,Loudness: number,NoiseLocation: Vector): void;
+	static C(Other: UObject | any): PawnNoiseEmitterComponent;
+}
+
+declare class PhysicalAnimationComponent extends ActorComponent { 
+	StrengthMultiplyer: number;
+	SkeletalMeshComponent: SkeletalMeshComponent;
+	static Load(ResourceName: string): PhysicalAnimationComponent;
+	static Find(Outer: UObject, ResourceName: string): PhysicalAnimationComponent;
+	static GetDefaultObject(): PhysicalAnimationComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicalAnimationComponent;
+	SetStrengthMultiplyer(InStrengthMultiplyer: number): void;
+	SetSkeletalMeshComponent(InSkeletalMeshComponent: SkeletalMeshComponent): void;
+	GetBodyTargetTransform(BodyName: string): Transform;
+	ApplyPhysicalAnimationSettingsBelow(BodyName: string,PhysicalAnimationData: PhysicalAnimationData,bIncludeSelf: boolean): void;
+	ApplyPhysicalAnimationSettings(BodyName: string,PhysicalAnimationData: PhysicalAnimationData): void;
+	ApplyPhysicalAnimationProfileBelow(BodyName: string,ProfileName: string,bIncludeSelf: boolean,bClearNotFound: boolean): void;
+	static C(Other: UObject | any): PhysicalAnimationComponent;
+}
+
+declare class RigidBodyBase extends Actor { 
+	static GetDefaultObject(): RigidBodyBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RigidBodyBase;
+	static C(Other: UObject | any): RigidBodyBase;
+}
+
+declare class ConstrainComponentPropName { 
+	ComponentName: string;
+	clone() : ConstrainComponentPropName;
+	static C(Other: UObject | any): ConstrainComponentPropName;
+}
+
+declare type EConstraintFrame = 'Frame1' | 'Frame2' | 'EConstraintFrame_MAX';
+declare var EConstraintFrame : { Frame1:'Frame1',Frame2:'Frame2',EConstraintFrame_MAX:'EConstraintFrame_MAX', };
+declare class PhysicsConstraintComponent extends SceneComponent { 
+	ConstraintActor1: Actor;
+	ComponentName1: ConstrainComponentPropName;
+	ConstraintActor2: Actor;
+	ComponentName2: ConstrainComponentPropName;
+	ConstraintSetup: PhysicsConstraintTemplate;
+	OnConstraintBroken: UnrealEngineMulticastDelegate<(ConstraintIndex: number) => void>;
+	ConstraintInstance: ConstraintInstance;
+	static Load(ResourceName: string): PhysicsConstraintComponent;
+	static Find(Outer: UObject, ResourceName: string): PhysicsConstraintComponent;
+	static GetDefaultObject(): PhysicsConstraintComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsConstraintComponent;
+	SetOrientationDriveTwistAndSwing(bEnableTwistDrive: boolean,bEnableSwingDrive: boolean): void;
+	SetOrientationDriveSLERP(bEnableSLERP: boolean): void;
+	SetLinearZLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
+	SetLinearYLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
+	SetLinearXLimit(ConstraintType: ELinearConstraintMotion,LimitSize: number): void;
+	SetLinearVelocityTarget(InVelTarget: Vector): void;
+	SetLinearVelocityDrive(bEnableDriveX: boolean,bEnableDriveY: boolean,bEnableDriveZ: boolean): void;
+	SetLinearPositionTarget(InPosTarget: Vector): void;
+	SetLinearPositionDrive(bEnableDriveX: boolean,bEnableDriveY: boolean,bEnableDriveZ: boolean): void;
+	SetLinearDriveParams(PositionStrength: number,VelocityStrength: number,InForceLimit: number): void;
+	SetLinearBreakable(bLinearBreakable: boolean,LinearBreakThreshold: number): void;
+	SetDisableCollision(bDisableCollision: boolean): void;
+	SetConstraintReferencePosition(Frame: EConstraintFrame,RefPosition: Vector): void;
+	SetConstraintReferenceOrientation(Frame: EConstraintFrame,PriAxis: Vector,SecAxis: Vector): void;
+	SetConstraintReferenceFrame(Frame: EConstraintFrame,RefFrame: Transform): void;
+	SetConstrainedComponents(Component1: PrimitiveComponent,BoneName1: string,Component2: PrimitiveComponent,BoneName2: string): void;
+	SetAngularVelocityTarget(InVelTarget: Vector): void;
+	SetAngularVelocityDriveTwistAndSwing(bEnableTwistDrive: boolean,bEnableSwingDrive: boolean): void;
+	SetAngularVelocityDriveSLERP(bEnableSLERP: boolean): void;
+	SetAngularVelocityDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean): void;
+	SetAngularTwistLimit(ConstraintType: EAngularConstraintMotion,TwistLimitAngle: number): void;
+	SetAngularSwing2Limit(MotionType: EAngularConstraintMotion,Swing2LimitAngle: number): void;
+	SetAngularSwing1Limit(MotionType: EAngularConstraintMotion,Swing1LimitAngle: number): void;
+	SetAngularOrientationTarget(InPosTarget: Rotator): void;
+	SetAngularOrientationDrive(bEnableSwingDrive: boolean,bEnableTwistDrive: boolean): void;
+	SetAngularDriveParams(PositionStrength: number,VelocityStrength: number,InForceLimit: number): void;
+	SetAngularDriveMode(DriveMode: EAngularDriveMode): void;
+	SetAngularBreakable(bAngularBreakable: boolean,AngularBreakThreshold: number): void;
+	IsBroken(): boolean;
+	GetCurrentTwist(): number;
+	GetCurrentSwing2(): number;
+	GetCurrentSwing1(): number;
+	GetConstraintForce(OutLinearForce?: Vector,OutAngularForce?: Vector): {OutLinearForce: Vector, OutAngularForce: Vector};
+	BreakConstraint(): void;
+	static C(Other: UObject | any): PhysicsConstraintComponent;
+}
+
+declare class PhysicsConstraintActor extends RigidBodyBase { 
+	ConstraintComp: PhysicsConstraintComponent;
+	ConstraintActor1: Actor;
+	ConstraintActor2: Actor;
+	bDisableCollision: boolean;
+	static GetDefaultObject(): PhysicsConstraintActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsConstraintActor;
+	static C(Other: UObject | any): PhysicsConstraintActor;
+}
+
+declare class PhysicsHandleComponent extends ActorComponent { 
+	GrabbedComponent: PrimitiveComponent;
+	bSoftAngularConstraint: boolean;
+	bSoftLinearConstraint: boolean;
+	bInterpolateTarget: boolean;
+	LinearDamping: number;
+	LinearStiffness: number;
+	AngularDamping: number;
+	AngularStiffness: number;
+	InterpolationSpeed: number;
+	static Load(ResourceName: string): PhysicsHandleComponent;
+	static Find(Outer: UObject, ResourceName: string): PhysicsHandleComponent;
+	static GetDefaultObject(): PhysicsHandleComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsHandleComponent;
+	SetTargetRotation(NewRotation: Rotator): void;
+	SetTargetLocationAndRotation(NewLocation: Vector,NewRotation: Rotator): void;
+	SetTargetLocation(NewLocation: Vector): void;
+	SetLinearStiffness(NewLinearStiffness: number): void;
+	SetLinearDamping(NewLinearDamping: number): void;
+	SetInterpolationSpeed(NewInterpolationSpeed: number): void;
+	SetAngularStiffness(NewAngularStiffness: number): void;
+	SetAngularDamping(NewAngularDamping: number): void;
+	ReleaseComponent(): void;
+	GrabComponentAtLocationWithRotation(Component: PrimitiveComponent,InBoneName: string,Location: Vector,Rotation: Rotator): void;
+	GrabComponentAtLocation(Component: PrimitiveComponent,InBoneName: string,GrabLocation: Vector): void;
+	GrabComponent(Component: PrimitiveComponent,InBoneName: string,GrabLocation: Vector,bConstrainRotation: boolean): void;
+	GetTargetLocationAndRotation(TargetLocation?: Vector,TargetRotation?: Rotator): {TargetLocation: Vector, TargetRotation: Rotator};
+	GetGrabbedComponent(): PrimitiveComponent;
+	static C(Other: UObject | any): PhysicsHandleComponent;
+}
+
+declare class RigidBodyErrorCorrection { 
+	PingExtrapolation: number;
+	PingLimit: number;
+	ErrorPerLinearDifference: number;
+	ErrorPerAngularDifference: number;
+	MaxRestoredStateError: number;
+	MaxLinearHardSnapDistance: number;
+	PositionLerp: number;
+	AngleLerp: number;
+	LinearVelocityCoefficient: number;
+	AngularVelocityCoefficient: number;
+	ErrorAccumulationSeconds: number;
+	ErrorAccumulationDistanceSq: number;
+	ErrorAccumulationSimilarity: number;
+	clone() : RigidBodyErrorCorrection;
+	static C(Other: UObject | any): RigidBodyErrorCorrection;
+}
+
+declare type ESettingsLockedAxis = 'None' | 'X' | 'Y' | 'Z' | 'Invalid' | 'ESettingsLockedAxis_MAX';
+declare var ESettingsLockedAxis : { None:'None',X:'X',Y:'Y',Z:'Z',Invalid:'Invalid',ESettingsLockedAxis_MAX:'ESettingsLockedAxis_MAX', };
+declare type ESettingsDOF = 'Full3D' | 'YZPlane' | 'XZPlane' | 'XYPlane' | 'ESettingsDOF_MAX';
+declare var ESettingsDOF : { Full3D:'Full3D',YZPlane:'YZPlane',XZPlane:'XZPlane',XYPlane:'XYPlane',ESettingsDOF_MAX:'ESettingsDOF_MAX', };
+declare class PhysicalSurfaceName { 
+	Type: EPhysicalSurface;
+	Name: string;
+	clone() : PhysicalSurfaceName;
+	static C(Other: UObject | any): PhysicalSurfaceName;
+}
+
+declare class PhysicsSettings extends DeveloperSettings { 
+	DefaultGravityZ: number;
+	DefaultTerminalVelocity: number;
+	DefaultFluidFriction: number;
+	SimulateScratchMemorySize: number;
+	RagdollAggregateThreshold: number;
+	TriangleMeshTriangleMinAreaThreshold: number;
+	bEnableShapeSharing: boolean;
+	bEnablePCM: boolean;
+	bEnableStabilization: boolean;
+	bWarnMissingLocks: boolean;
+	bEnable2DPhysics: boolean;
+	PhysicErrorCorrection: RigidBodyErrorCorrection;
+	LockedAxis: ESettingsLockedAxis;
+	DefaultDegreesOfFreedom: ESettingsDOF;
+	BounceThresholdVelocity: number;
+	FrictionCombineMode: EFrictionCombineMode;
+	RestitutionCombineMode: EFrictionCombineMode;
+	MaxAngularVelocity: number;
+	MaxDepenetrationVelocity: number;
+	ContactOffsetMultiplier: number;
+	MinContactOffset: number;
+	MaxContactOffset: number;
+	bSimulateSkeletalMeshOnDedicatedServer: boolean;
+	DefaultShapeComplexity: ECollisionTraceFlag;
+	bDefaultHasComplexCollision: boolean;
+	bSuppressFaceRemapTable: boolean;
+	bSupportUVFromHitResults: boolean;
+	bDisableActiveActors: boolean;
+	bDisableKinematicStaticPairs: boolean;
+	bDisableKinematicKinematicPairs: boolean;
+	bDisableCCD: boolean;
+	bEnableEnhancedDeterminism: boolean;
+	MaxPhysicsDeltaTime: number;
+	bSubstepping: boolean;
+	bSubsteppingAsync: boolean;
+	MaxSubstepDeltaTime: number;
+	MaxSubsteps: number;
+	SyncSceneSmoothingFactor: number;
+	InitialAverageFrameRate: number;
+	PhysXTreeRebuildRate: number;
+	PhysicalSurfaces: PhysicalSurfaceName[];
+	DefaultBroadphaseSettings: BroadphaseSettings;
+	static Load(ResourceName: string): PhysicsSettings;
+	static Find(Outer: UObject, ResourceName: string): PhysicsSettings;
+	static GetDefaultObject(): PhysicsSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsSettings;
+	static C(Other: UObject | any): PhysicsSettings;
+}
+
+declare class PhysicsSpringComponent extends SceneComponent { 
+	SpringStiffness: number;
+	SpringDamping: number;
+	SpringLengthAtRest: number;
+	SpringRadius: number;
+	SpringChannel: ECollisionChannel;
+	bIgnoreSelf: boolean;
+	SpringCompression: number;
+	static Load(ResourceName: string): PhysicsSpringComponent;
+	static Find(Outer: UObject, ResourceName: string): PhysicsSpringComponent;
+	static GetDefaultObject(): PhysicsSpringComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsSpringComponent;
+	GetSpringRestingPoint(): Vector;
+	GetSpringDirection(): Vector;
+	GetSpringCurrentEndPoint(): Vector;
+	GetNormalizedCompressionScalar(): number;
+	static C(Other: UObject | any): PhysicsSpringComponent;
+}
+
+declare class PhysicsThrusterComponent extends SceneComponent { 
+	ThrustStrength: number;
+	static Load(ResourceName: string): PhysicsThrusterComponent;
+	static Find(Outer: UObject, ResourceName: string): PhysicsThrusterComponent;
+	static GetDefaultObject(): PhysicsThrusterComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsThrusterComponent;
+	static C(Other: UObject | any): PhysicsThrusterComponent;
+}
+
+declare class PhysicsThruster extends RigidBodyBase { 
+	ThrusterComponent: PhysicsThrusterComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): PhysicsThruster;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PhysicsThruster;
+	static C(Other: UObject | any): PhysicsThruster;
+}
+
+declare class SceneCapture extends Actor { 
+	MeshComp: StaticMeshComponent;
+	SceneComponent: SceneComponent;
+	static GetDefaultObject(): SceneCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCapture;
+	static C(Other: UObject | any): SceneCapture;
+}
+
+declare type ESceneCapturePrimitiveRenderMode = 'PRM_LegacySceneCapture' | 'PRM_RenderScenePrimitives' | 'PRM_UseShowOnlyList' | 'PRM_MAX';
+declare var ESceneCapturePrimitiveRenderMode : { PRM_LegacySceneCapture:'PRM_LegacySceneCapture',PRM_RenderScenePrimitives:'PRM_RenderScenePrimitives',PRM_UseShowOnlyList:'PRM_UseShowOnlyList',PRM_MAX:'PRM_MAX', };
+declare class EngineShowFlagsSetting { 
+	ShowFlagName: string;
+	Enabled: boolean;
+	clone() : EngineShowFlagsSetting;
+	static C(Other: UObject | any): EngineShowFlagsSetting;
+}
+
+declare class SceneCaptureComponent extends SceneComponent { 
+	PrimitiveRenderMode: ESceneCapturePrimitiveRenderMode;
+	HiddenComponents: any[];
+	HiddenActors: Actor[];
+	ShowOnlyComponents: any[];
+	ShowOnlyActors: Actor[];
+	bCaptureEveryFrame: boolean;
+	bCaptureOnMovement: boolean;
+	bAlwaysPersistRenderingState: boolean;
+	LODDistanceFactor: number;
+	MaxViewDistanceOverride: number;
+	CaptureSortPriority: number;
+	ShowFlagSettings: EngineShowFlagsSetting[];
+	ProfilingEventName: string;
+	CaptureMesh: StaticMesh;
+	static Load(ResourceName: string): SceneCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponent;
+	static GetDefaultObject(): SceneCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponent;
+	ShowOnlyComponent(InComponent: PrimitiveComponent): void;
+	ShowOnlyActorComponents(InActor: Actor): void;
+	SetCaptureSortPriority(NewCaptureSortPriority: number): void;
+	RemoveShowOnlyComponent(InComponent: PrimitiveComponent): void;
+	RemoveShowOnlyActorComponents(InActor: Actor): void;
+	HideComponent(InComponent: PrimitiveComponent): void;
+	HideActorComponents(InActor: Actor): void;
+	ClearShowOnlyComponents(): void;
+	ClearHiddenComponents(): void;
+	static C(Other: UObject | any): SceneCaptureComponent;
+}
+
+declare class PlanarReflectionComponent extends SceneCaptureComponent { 
+	PreviewBox: BoxComponent;
+	NormalDistortionStrength: number;
+	PrefilterRoughness: number;
+	PrefilterRoughnessDistance: number;
+	ScreenPercentage: number;
+	ExtraFOV: number;
+	DistanceFromPlaneFadeStart: number;
+	DistanceFromPlaneFadeEnd: number;
+	DistanceFromPlaneFadeoutStart: number;
+	DistanceFromPlaneFadeoutEnd: number;
+	AngleFromPlaneFadeStart: number;
+	AngleFromPlaneFadeEnd: number;
+	bShowPreviewPlane: boolean;
+	bRenderSceneTwoSided: boolean;
+	CaptureMaterial: Material;
+	static Load(ResourceName: string): PlanarReflectionComponent;
+	static Find(Outer: UObject, ResourceName: string): PlanarReflectionComponent;
+	static GetDefaultObject(): PlanarReflectionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlanarReflectionComponent;
+	static C(Other: UObject | any): PlanarReflectionComponent;
+}
+
+declare class PlanarReflection extends SceneCapture { 
+	PlanarReflectionComponent: PlanarReflectionComponent;
+	SpriteComponent: BillboardComponent;
+	bShowPreviewPlane: boolean;
+	static GetDefaultObject(): PlanarReflection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlanarReflection;
+	OnInterpToggle(bEnable: boolean): void;
+	static C(Other: UObject | any): PlanarReflection;
+}
+
+declare class PlaneReflectionCapture extends ReflectionCapture { 
+	static GetDefaultObject(): PlaneReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneReflectionCapture;
+	static C(Other: UObject | any): PlaneReflectionCapture;
+}
+
+declare class PlaneReflectionCaptureComponent extends ReflectionCaptureComponent { 
+	InfluenceRadiusScale: number;
+	PreviewInfluenceRadius: DrawSphereComponent;
+	PreviewCaptureBox: BoxComponent;
+	static Load(ResourceName: string): PlaneReflectionCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): PlaneReflectionCaptureComponent;
+	static GetDefaultObject(): PlaneReflectionCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlaneReflectionCaptureComponent;
+	static C(Other: UObject | any): PlaneReflectionCaptureComponent;
+}
+
+declare class PlatformEventsComponent extends ActorComponent { 
+	PlatformChangedToLaptopModeDelegate: UnrealEngineMulticastDelegate<() => void>;
+	PlatformChangedToTabletModeDelegate: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): PlatformEventsComponent;
+	static Find(Outer: UObject, ResourceName: string): PlatformEventsComponent;
+	static GetDefaultObject(): PlatformEventsComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformEventsComponent;
+	SupportsConvertibleLaptops(): boolean;
+	IsInTabletMode(): boolean;
+	IsInLaptopMode(): boolean;
+	static C(Other: UObject | any): PlatformEventsComponent;
+}
+
+declare class PlatformInterfaceWebResponse extends UObject { 
+	OriginalURL: string;
+	ResponseCode: number;
+	Tag: number;
+	StringResponse: string;
+	BinaryResponse: number[];
+	static Load(ResourceName: string): PlatformInterfaceWebResponse;
+	static Find(Outer: UObject, ResourceName: string): PlatformInterfaceWebResponse;
+	static GetDefaultObject(): PlatformInterfaceWebResponse;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlatformInterfaceWebResponse;
+	GetNumHeaders(): number;
+	GetHeaderValue(HeaderName: string): string;
+	GetHeader(HeaderIndex: number,Header?: string,Value?: string): {Header: string, Value: string};
+	static C(Other: UObject | any): PlatformInterfaceWebResponse;
+}
+
+declare class PlayerStart extends NavigationObjectBase { 
+	PlayerStartTag: string;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): PlayerStart;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerStart;
+	static C(Other: UObject | any): PlayerStart;
+}
+
+declare class PlayerStartPIE extends PlayerStart { 
+	static GetDefaultObject(): PlayerStartPIE;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlayerStartPIE;
+	static C(Other: UObject | any): PlayerStartPIE;
+}
+
+declare class PluginCommandlet extends Commandlet { 
+	static Load(ResourceName: string): PluginCommandlet;
+	static Find(Outer: UObject, ResourceName: string): PluginCommandlet;
+	static GetDefaultObject(): PluginCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PluginCommandlet;
+	static C(Other: UObject | any): PluginCommandlet;
+}
+
+declare class PointLight extends Light { 
+	PointLightComponent: PointLightComponent;
+	static GetDefaultObject(): PointLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PointLight;
+	SetRadius(NewRadius: number): void;
+	SetLightFalloffExponent(NewLightFalloffExponent: number): void;
+	static C(Other: UObject | any): PointLight;
+}
+
+declare class Polys extends UObject { 
+	static Load(ResourceName: string): Polys;
+	static Find(Outer: UObject, ResourceName: string): Polys;
+	static GetDefaultObject(): Polys;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Polys;
+	static C(Other: UObject | any): Polys;
+}
+
+declare type EBoneSpaces = 'WorldSpace' | 'ComponentSpace' | 'EBoneSpaces_MAX';
+declare var EBoneSpaces : { WorldSpace:'WorldSpace',ComponentSpace:'ComponentSpace',EBoneSpaces_MAX:'EBoneSpaces_MAX', };
+declare class PoseableMeshComponent extends SkinnedMeshComponent { 
+	static Load(ResourceName: string): PoseableMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): PoseableMeshComponent;
+	static GetDefaultObject(): PoseableMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PoseableMeshComponent;
+	SetBoneTransformByName(BoneName: string,InTransform: Transform,BoneSpace: EBoneSpaces): void;
+	SetBoneScaleByName(BoneName: string,InScale3D: Vector,BoneSpace: EBoneSpaces): void;
+	SetBoneRotationByName(BoneName: string,InRotation: Rotator,BoneSpace: EBoneSpaces): void;
+	SetBoneLocationByName(BoneName: string,InLocation: Vector,BoneSpace: EBoneSpaces): void;
+	ResetBoneTransformByName(BoneName: string): void;
+	GetBoneTransformByName(BoneName: string,BoneSpace: EBoneSpaces): Transform;
+	GetBoneScaleByName(BoneName: string,BoneSpace: EBoneSpaces): Vector;
+	GetBoneRotationByName(BoneName: string,BoneSpace: EBoneSpaces): Rotator;
+	GetBoneLocationByName(BoneName: string,BoneSpace: EBoneSpaces): Vector;
+	CopyPoseFromSkeletalComponent(InComponentToCopy: SkeletalMeshComponent): void;
+	static C(Other: UObject | any): PoseableMeshComponent;
+}
+
+declare class PostProcessVolume extends Volume { 
+	Settings: PostProcessSettings;
+	Priority: number;
+	BlendRadius: number;
+	BlendWeight: number;
+	bEnabled: boolean;
+	bUnbound: boolean;
+	static GetDefaultObject(): PostProcessVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PostProcessVolume;
+	static C(Other: UObject | any): PostProcessVolume;
+}
+
+declare class PrecomputedVisibilityOverrideVolume extends Volume { 
+	OverrideVisibleActors: Actor[];
+	OverrideInvisibleActors: Actor[];
+	OverrideInvisibleLevels: string[];
+	static GetDefaultObject(): PrecomputedVisibilityOverrideVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrecomputedVisibilityOverrideVolume;
+	static C(Other: UObject | any): PrecomputedVisibilityOverrideVolume;
+}
+
+declare class PrecomputedVisibilityVolume extends Volume { 
+	static GetDefaultObject(): PrecomputedVisibilityVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrecomputedVisibilityVolume;
+	static C(Other: UObject | any): PrecomputedVisibilityVolume;
+}
+
+declare class PreviewCollectionInterface extends Interface { 
+	static Load(ResourceName: string): PreviewCollectionInterface;
+	static Find(Outer: UObject, ResourceName: string): PreviewCollectionInterface;
+	static GetDefaultObject(): PreviewCollectionInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewCollectionInterface;
+	static C(Other: UObject | any): PreviewCollectionInterface;
+}
+
+declare class PreviewMeshCollectionEntry { 
+	SkeletalMesh: SkeletalMesh;
+	clone() : PreviewMeshCollectionEntry;
+	static C(Other: UObject | any): PreviewMeshCollectionEntry;
+}
+
+declare class PreviewMeshCollection extends DataAsset { 
+	Skeleton: Skeleton;
+	SkeletalMeshes: PreviewMeshCollectionEntry[];
+	static Load(ResourceName: string): PreviewMeshCollection;
+	static Find(Outer: UObject, ResourceName: string): PreviewMeshCollection;
+	static GetDefaultObject(): PreviewMeshCollection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PreviewMeshCollection;
+	static C(Other: UObject | any): PreviewMeshCollection;
+}
+
+declare class CollectionReference { 
+	CollectionName: string;
+	clone() : CollectionReference;
+	static C(Other: UObject | any): CollectionReference;
+}
+
+declare class PrimaryAssetLabel extends PrimaryDataAsset { 
+	Rules: PrimaryAssetRules;
+	bLabelAssetsInMyDirectory: boolean;
+	bIsRuntimeLabel: boolean;
+	ExplicitAssets: UObject[];
+	ExplicitBlueprints: Class[];
+	AssetCollection: CollectionReference;
+	static Load(ResourceName: string): PrimaryAssetLabel;
+	static Find(Outer: UObject, ResourceName: string): PrimaryAssetLabel;
+	static GetDefaultObject(): PrimaryAssetLabel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PrimaryAssetLabel;
+	static C(Other: UObject | any): PrimaryAssetLabel;
+}
+
+declare class ProjectileMovementComponent extends MovementComponent { 
+	InitialSpeed: number;
+	MaxSpeed: number;
+	bRotationFollowsVelocity: boolean;
+	bShouldBounce: boolean;
+	bInitialVelocityInLocalSpace: boolean;
+	bForceSubStepping: boolean;
+	bSimulationEnabled: boolean;
+	bSweepCollision: boolean;
+	bIsHomingProjectile: boolean;
+	bBounceAngleAffectsFriction: boolean;
+	bIsSliding: boolean;
+	bInterpMovement: boolean;
+	bInterpRotation: boolean;
+	PreviousHitTime: number;
+	PreviousHitNormal: Vector;
+	ProjectileGravityScale: number;
+	Buoyancy: number;
+	Bounciness: number;
+	Friction: number;
+	BounceVelocityStopSimulatingThreshold: number;
+	MinFrictionFraction: number;
+	OnProjectileBounce: UnrealEngineMulticastDelegate<(ImpactResult: HitResult, ImpactVelocity: Vector) => void>;
+	OnProjectileStop: UnrealEngineMulticastDelegate<(ImpactResult: HitResult) => void>;
+	HomingAccelerationMagnitude: number;
+	HomingTargetComponent: any;
+	MaxSimulationTimeStep: number;
+	MaxSimulationIterations: number;
+	BounceAdditionalIterations: number;
+	InterpLocationTime: number;
+	InterpRotationTime: number;
+	InterpLocationMaxLagDistance: number;
+	InterpLocationSnapToTargetDistance: number;
+	static Load(ResourceName: string): ProjectileMovementComponent;
+	static Find(Outer: UObject, ResourceName: string): ProjectileMovementComponent;
+	static GetDefaultObject(): ProjectileMovementComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProjectileMovementComponent;
+	StopSimulating(HitResult: HitResult): void;
+	SetVelocityInLocalSpace(NewVelocity: Vector): void;
+	SetInterpolatedComponent(Component: SceneComponent): void;
+	ResetInterpolation(): void;
+	MoveInterpolationTarget(NewLocation: Vector,NewRotation: Rotator): void;
+	LimitVelocity(NewVelocity: Vector): Vector;
+	IsVelocityUnderSimulationThreshold(): boolean;
+	IsInterpolationComplete(): boolean;
+	static C(Other: UObject | any): ProjectileMovementComponent;
+}
+
+declare class ProxyLODMeshSimplificationSettings extends DeveloperSettings { 
+	ProxyLODMeshReductionModuleName: string;
+	static Load(ResourceName: string): ProxyLODMeshSimplificationSettings;
+	static Find(Outer: UObject, ResourceName: string): ProxyLODMeshSimplificationSettings;
+	static GetDefaultObject(): ProxyLODMeshSimplificationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ProxyLODMeshSimplificationSettings;
+	static C(Other: UObject | any): ProxyLODMeshSimplificationSettings;
+}
+
+declare class RadialForceComponent extends SceneComponent { 
+	Radius: number;
+	Falloff: ERadialImpulseFalloff;
+	ImpulseStrength: number;
+	bImpulseVelChange: boolean;
+	bIgnoreOwningActor: boolean;
+	ForceStrength: number;
+	DestructibleDamage: number;
+	ObjectTypesToAffect: EObjectTypeQuery[];
+	static Load(ResourceName: string): RadialForceComponent;
+	static Find(Outer: UObject, ResourceName: string): RadialForceComponent;
+	static GetDefaultObject(): RadialForceComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RadialForceComponent;
+	RemoveObjectTypeToAffect(ObjectType: EObjectTypeQuery): void;
+	FireImpulse(): void;
+	AddObjectTypeToAffect(ObjectType: EObjectTypeQuery): void;
+	static C(Other: UObject | any): RadialForceComponent;
+}
+
+declare class RadialForceActor extends RigidBodyBase { 
+	ForceComponent: RadialForceComponent;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): RadialForceActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RadialForceActor;
+	ToggleForce(): void;
+	FireImpulse(): void;
+	EnableForce(): void;
+	DisableForce(): void;
+	static C(Other: UObject | any): RadialForceActor;
+}
+
+declare class RectLightComponent extends LocalLightComponent { 
+	SourceWidth: number;
+	SourceHeight: number;
+	BarnDoorAngle: number;
+	BarnDoorLength: number;
+	SourceTexture: Texture;
+	static Load(ResourceName: string): RectLightComponent;
+	static Find(Outer: UObject, ResourceName: string): RectLightComponent;
+	static GetDefaultObject(): RectLightComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RectLightComponent;
+	SetSourceWidth(bNewValue: number): void;
+	SetSourceTexture(bNewValue: Texture): void;
+	SetSourceHeight(NewValue: number): void;
+	SetBarnDoorLength(NewValue: number): void;
+	SetBarnDoorAngle(NewValue: number): void;
+	static C(Other: UObject | any): RectLightComponent;
+}
+
+declare class RectLight extends Light { 
+	RectLightComponent: RectLightComponent;
+	static GetDefaultObject(): RectLight;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RectLight;
+	static C(Other: UObject | any): RectLight;
+}
+
+declare type EMobileMSAASampleCount = 'One' | 'Two' | 'Four' | 'Eight' | 'EMobileMSAASampleCount_MAX';
+declare var EMobileMSAASampleCount : { One:'One',Two:'Two',Four:'Four',Eight:'Eight',EMobileMSAASampleCount_MAX:'EMobileMSAASampleCount_MAX', };
+declare type ETranslucentSortPolicy = 'SortByDistance' | 'SortByProjectedZ' | 'SortAlongAxis' | 'ETranslucentSortPolicy_MAX';
+declare var ETranslucentSortPolicy : { SortByDistance:'SortByDistance',SortByProjectedZ:'SortByProjectedZ',SortAlongAxis:'SortAlongAxis',ETranslucentSortPolicy_MAX:'ETranslucentSortPolicy_MAX', };
+declare type ECustomDepthStencil = 'Disabled' | 'Enabled' | 'EnabledOnDemand' | 'EnabledWithStencil' | 'ECustomDepthStencil_MAX';
+declare var ECustomDepthStencil : { Disabled:'Disabled',Enabled:'Enabled',EnabledOnDemand:'EnabledOnDemand',EnabledWithStencil:'EnabledWithStencil',ECustomDepthStencil_MAX:'ECustomDepthStencil_MAX', };
+declare type EAlphaChannelMode = 'Disabled' | 'LinearColorSpaceOnly' | 'AllowThroughTonemapper' | 'EAlphaChannelMode_MAX';
+declare var EAlphaChannelMode : { Disabled:'Disabled',LinearColorSpaceOnly:'LinearColorSpaceOnly',AllowThroughTonemapper:'AllowThroughTonemapper',EAlphaChannelMode_MAX:'EAlphaChannelMode_MAX', };
+declare type EAutoExposureMethodUI = 'AEM_Histogram' | 'AEM_Basic' | 'AEM_Manual' | 'AEM_MAX';
+declare var EAutoExposureMethodUI : { AEM_Histogram:'AEM_Histogram',AEM_Basic:'AEM_Basic',AEM_Manual:'AEM_Manual',AEM_MAX:'AEM_MAX', };
+declare type EAntiAliasingMethod = 'AAM_None' | 'AAM_FXAA' | 'AAM_TemporalAA' | 'AAM_MSAA' | 'AAM_MAX';
+declare var EAntiAliasingMethod : { AAM_None:'AAM_None',AAM_FXAA:'AAM_FXAA',AAM_TemporalAA:'AAM_TemporalAA',AAM_MSAA:'AAM_MSAA',AAM_MAX:'AAM_MAX', };
+declare type EDefaultBackBufferPixelFormat = 'DBBPF_B8G8R8A8' | 'DBBPF_A16B16G16R16_DEPRECATED' | 'DBBPF_FloatRGB_DEPRECATED' | 'DBBPF_FloatRGBA' | 'DBBPF_A2B10G10R10' | 'DBBPF_MAX';
+declare var EDefaultBackBufferPixelFormat : { DBBPF_B8G8R8A8:'DBBPF_B8G8R8A8',DBBPF_A16B16G16R16_DEPRECATED:'DBBPF_A16B16G16R16_DEPRECATED',DBBPF_FloatRGB_DEPRECATED:'DBBPF_FloatRGB_DEPRECATED',DBBPF_FloatRGBA:'DBBPF_FloatRGBA',DBBPF_A2B10G10R10:'DBBPF_A2B10G10R10',DBBPF_MAX:'DBBPF_MAX', };
+declare type EEarlyZPass = 'None' | 'OpaqueOnly' | 'OpaqueAndMasked' | 'Auto' | 'EEarlyZPass_MAX';
+declare var EEarlyZPass : { None:'None',OpaqueOnly:'OpaqueOnly',OpaqueAndMasked:'OpaqueAndMasked',Auto:'Auto',EEarlyZPass_MAX:'EEarlyZPass_MAX', };
+declare type EClearSceneOptions = 'NoClear' | 'HardwareClear' | 'QuadAtMaxZ' | 'EClearSceneOptions_MAX';
+declare var EClearSceneOptions : { NoClear:'NoClear',HardwareClear:'HardwareClear',QuadAtMaxZ:'QuadAtMaxZ',EClearSceneOptions_MAX:'EClearSceneOptions_MAX', };
+declare type EGBufferFormat = 'Force8BitsPerChannel' | 'Default' | 'HighPrecisionNormals' | 'Force16BitsPerChannel' | 'EGBufferFormat_MAX';
+declare var EGBufferFormat : { Force8BitsPerChannel:'Force8BitsPerChannel',Default:'Default',HighPrecisionNormals:'HighPrecisionNormals',Force16BitsPerChannel:'Force16BitsPerChannel',EGBufferFormat_MAX:'EGBufferFormat_MAX', };
+declare class RendererSettings extends DeveloperSettings { 
+	bMobileHDR: boolean;
+	bMobileDisableVertexFog: boolean;
+	MaxMobileCascades: number;
+	MobileMSAASampleCount: EMobileMSAASampleCount;
+	bMobileUseLegacyShadingModel: boolean;
+	bMobileUseHWsRGBEncoding: boolean;
+	bMobileAllowDitheredLODTransition: boolean;
+	bMobileAllowSoftwareOcclusionCulling: boolean;
+	bDiscardUnusedQualityLevels: boolean;
+	bOcclusionCulling: boolean;
+	MinScreenRadiusForLights: number;
+	MinScreenRadiusForEarlyZPass: number;
+	MinScreenRadiusForCSMdepth: number;
+	bPrecomputedVisibilityWarning: boolean;
+	bTextureStreaming: boolean;
+	bUseDXT5NormalMaps: boolean;
+	bClearCoatEnableSecondNormal: boolean;
+	ReflectionCaptureResolution: number;
+	ReflectionEnvironmentLightmapMixBasedOnRoughness: boolean;
+	bForwardShading: boolean;
+	bVertexFoggingForOpaque: boolean;
+	bAllowStaticLighting: boolean;
+	bUseNormalMapsForStaticLighting: boolean;
+	bGenerateMeshDistanceFields: boolean;
+	bEightBitMeshDistanceFields: boolean;
+	bGenerateLandscapeGIData: boolean;
+	bCompressMeshDistanceFields: boolean;
+	TessellationAdaptivePixelsPerTriangle: number;
+	bSeparateTranslucency: boolean;
+	TranslucentSortPolicy: ETranslucentSortPolicy;
+	TranslucentSortAxis: Vector;
+	CustomDepthStencil: ECustomDepthStencil;
+	bCustomDepthTaaJitter: boolean;
+	bEnableAlphaChannelInPostProcessing: EAlphaChannelMode;
+	bUseNewAlgorithm: boolean;
+	bDefaultFeatureBloom: boolean;
+	bDefaultFeatureAmbientOcclusion: boolean;
+	bDefaultFeatureAmbientOcclusionStaticFraction: boolean;
+	bDefaultFeatureAutoExposure: boolean;
+	DefaultFeatureAutoExposure: EAutoExposureMethodUI;
+	bExtendDefaultLuminanceRangeInAutoExposureSettings: boolean;
+	bUsePreExposure: boolean;
+	bDefaultFeatureMotionBlur: boolean;
+	bDefaultFeatureLensFlare: boolean;
+	bTemporalUpsampling: boolean;
+	DefaultFeatureAntiAliasing: EAntiAliasingMethod;
+	DefaultLightUnits: ELightUnits;
+	DefaultBackBufferPixelFormat: EDefaultBackBufferPixelFormat;
+	bRenderUnbuiltPreviewShadowsInGame: boolean;
+	bStencilForLODDither: boolean;
+	EarlyZPass: EEarlyZPass;
+	bEarlyZPassOnlyMaterialMasking: boolean;
+	bDBuffer: boolean;
+	ClearSceneMethod: EClearSceneOptions;
+	bBasePassOutputsVelocity: boolean;
+	bSelectiveBasePassOutputs: boolean;
+	bDefaultParticleCutouts: boolean;
+	GPUSimulationTextureSizeX: number;
+	GPUSimulationTextureSizeY: number;
+	bGlobalClipPlane: boolean;
+	GBufferFormat: EGBufferFormat;
+	bUseGPUMorphTargets: boolean;
+	bNvidiaAftermathEnabled: boolean;
+	bInstancedStereo: boolean;
+	bMultiView: boolean;
+	bMobileMultiView: boolean;
+	bMobileMultiViewDirect: boolean;
+	bRoundRobinOcclusion: boolean;
+	bODSCapture: boolean;
+	WireframeCullThreshold: number;
+	bEnableRayTracing: boolean;
+	bSupportStationarySkylight: boolean;
+	bSupportLowQualityLightmaps: boolean;
+	bSupportPointLightWholeSceneShadows: boolean;
+	bSupportAtmosphericFog: boolean;
+	bSupportSkinCacheShaders: boolean;
+	bMobileEnableStaticAndCSMShadowReceivers: boolean;
+	bMobileEnableMovableLightCSMShaderCulling: boolean;
+	bMobileAllowDistanceFieldShadows: boolean;
+	bMobileAllowMovableDirectionalLights: boolean;
+	MobileNumDynamicPointLights: any;
+	bMobileDynamicPointLightsUseStaticBranch: boolean;
+	bMobileAllowMovableSpotlights: boolean;
+	SkinCacheSceneMemoryLimitInMB: number;
+	bGPUSkinLimit2BoneInfluences: boolean;
+	bSupportDepthOnlyIndexBuffers: boolean;
+	bSupportReversedIndexBuffers: boolean;
+	bSupportMaterialLayers: boolean;
+	static Load(ResourceName: string): RendererSettings;
+	static Find(Outer: UObject, ResourceName: string): RendererSettings;
+	static GetDefaultObject(): RendererSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RendererSettings;
+	static C(Other: UObject | any): RendererSettings;
+}
+
+declare class RendererOverrideSettings extends DeveloperSettings { 
+	bSupportAllShaderPermutations: boolean;
+	bForceRecomputeTangents: boolean;
+	static Load(ResourceName: string): RendererOverrideSettings;
+	static Find(Outer: UObject, ResourceName: string): RendererOverrideSettings;
+	static GetDefaultObject(): RendererOverrideSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RendererOverrideSettings;
+	static C(Other: UObject | any): RendererOverrideSettings;
+}
+
+declare class ReplicationConnectionDriver extends UObject { 
+	static Load(ResourceName: string): ReplicationConnectionDriver;
+	static Find(Outer: UObject, ResourceName: string): ReplicationConnectionDriver;
+	static GetDefaultObject(): ReplicationConnectionDriver;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReplicationConnectionDriver;
+	static C(Other: UObject | any): ReplicationConnectionDriver;
+}
+
+declare class RotatingMovementComponent extends MovementComponent { 
+	RotationRate: Rotator;
+	PivotTranslation: Vector;
+	bRotationInLocalSpace: boolean;
+	static Load(ResourceName: string): RotatingMovementComponent;
+	static Find(Outer: UObject, ResourceName: string): RotatingMovementComponent;
+	static GetDefaultObject(): RotatingMovementComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RotatingMovementComponent;
+	static C(Other: UObject | any): RotatingMovementComponent;
+}
+
+declare class RVOAvoidanceInterface extends Interface { 
+	static Load(ResourceName: string): RVOAvoidanceInterface;
+	static Find(Outer: UObject, ResourceName: string): RVOAvoidanceInterface;
+	static GetDefaultObject(): RVOAvoidanceInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RVOAvoidanceInterface;
+	static C(Other: UObject | any): RVOAvoidanceInterface;
+}
+
+declare class Scene extends UObject { 
+	static Load(ResourceName: string): Scene;
+	static Find(Outer: UObject, ResourceName: string): Scene;
+	static GetDefaultObject(): Scene;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Scene;
+	static C(Other: UObject | any): Scene;
+}
+
+declare type ESceneCaptureSource = 'SCS_SceneColorHDR' | 'SCS_SceneColorHDRNoAlpha' | 'SCS_FinalColorLDR' | 'SCS_SceneColorSceneDepth' | 'SCS_SceneDepth' | 'SCS_DeviceDepth' | 'SCS_Normal' | 'SCS_BaseColor' | 'SCS_MAX';
+declare var ESceneCaptureSource : { SCS_SceneColorHDR:'SCS_SceneColorHDR',SCS_SceneColorHDRNoAlpha:'SCS_SceneColorHDRNoAlpha',SCS_FinalColorLDR:'SCS_FinalColorLDR',SCS_SceneColorSceneDepth:'SCS_SceneColorSceneDepth',SCS_SceneDepth:'SCS_SceneDepth',SCS_DeviceDepth:'SCS_DeviceDepth',SCS_Normal:'SCS_Normal',SCS_BaseColor:'SCS_BaseColor',SCS_MAX:'SCS_MAX', };
+declare type ESceneCaptureCompositeMode = 'SCCM_Overwrite' | 'SCCM_Additive' | 'SCCM_Composite' | 'SCCM_MAX';
+declare var ESceneCaptureCompositeMode : { SCCM_Overwrite:'SCCM_Overwrite',SCCM_Additive:'SCCM_Additive',SCCM_Composite:'SCCM_Composite',SCCM_MAX:'SCCM_MAX', };
+declare class SceneCaptureComponent2D extends SceneCaptureComponent { 
+	ProjectionType: ECameraProjectionMode;
+	FOVAngle: number;
+	OrthoWidth: number;
+	TextureTarget: TextureRenderTarget2D;
+	CaptureSource: ESceneCaptureSource;
+	CompositeMode: ESceneCaptureCompositeMode;
+	PostProcessSettings: PostProcessSettings;
+	PostProcessBlendWeight: number;
+	bUseCustomProjectionMatrix: boolean;
+	CustomProjectionMatrix: Matrix;
+	bEnableClipPlane: boolean;
+	ClipPlaneBase: Vector;
+	ClipPlaneNormal: Vector;
+	bCameraCutThisFrame: boolean;
+	bConsiderUnrenderedOpaquePixelAsFullyTranslucent: boolean;
+	static Load(ResourceName: string): SceneCaptureComponent2D;
+	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponent2D;
+	static GetDefaultObject(): SceneCaptureComponent2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponent2D;
+	CaptureScene(): void;
+	static C(Other: UObject | any): SceneCaptureComponent2D;
+}
+
+declare class SceneCapture2D extends SceneCapture { 
+	CaptureComponent2D: SceneCaptureComponent2D;
+	static GetDefaultObject(): SceneCapture2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCapture2D;
+	OnInterpToggle(bEnable: boolean): void;
+	static C(Other: UObject | any): SceneCapture2D;
+}
+
+declare class TextureRenderTargetCube extends TextureRenderTarget { 
+	SizeX: number;
+	ClearColor: LinearColor;
+	OverrideFormat: EPixelFormat;
+	bHDR: boolean;
+	bForceLinearGamma: boolean;
+	static Load(ResourceName: string): TextureRenderTargetCube;
+	static Find(Outer: UObject, ResourceName: string): TextureRenderTargetCube;
+	static GetDefaultObject(): TextureRenderTargetCube;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextureRenderTargetCube;
+	static C(Other: UObject | any): TextureRenderTargetCube;
+}
+
+declare class SceneCaptureComponentCube extends SceneCaptureComponent { 
+	TextureTarget: TextureRenderTargetCube;
+	TextureTargetLeft: TextureRenderTargetCube;
+	TextureTargetRight: TextureRenderTargetCube;
+	TextureTargetODS: TextureRenderTarget2D;
+	IPD: number;
+	static Load(ResourceName: string): SceneCaptureComponentCube;
+	static Find(Outer: UObject, ResourceName: string): SceneCaptureComponentCube;
+	static GetDefaultObject(): SceneCaptureComponentCube;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureComponentCube;
+	CaptureScene(): void;
+	static C(Other: UObject | any): SceneCaptureComponentCube;
+}
+
+declare class SceneCaptureCube extends SceneCapture { 
+	CaptureComponentCube: SceneCaptureComponentCube;
+	static GetDefaultObject(): SceneCaptureCube;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SceneCaptureCube;
+	OnInterpToggle(bEnable: boolean): void;
+	static C(Other: UObject | any): SceneCaptureCube;
+}
+
+declare type EShadowMapFlags = 'SMF_None' | 'SMF_Streamed' | 'SMF_MAX';
+declare var EShadowMapFlags : { SMF_None:'SMF_None',SMF_Streamed:'SMF_Streamed',SMF_MAX:'SMF_MAX', };
+declare class ShadowMapTexture2D extends Texture2D { 
+	ShadowmapFlags: EShadowMapFlags;
+	static Load(ResourceName: string): ShadowMapTexture2D;
+	static Find(Outer: UObject, ResourceName: string): ShadowMapTexture2D;
+	static GetDefaultObject(): ShadowMapTexture2D;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ShadowMapTexture2D;
+	static C(Other: UObject | any): ShadowMapTexture2D;
+}
+
+declare class SkeletalMeshSimplificationSettings extends DeveloperSettings { 
+	SkeletalMeshReductionModuleName: string;
+	static Load(ResourceName: string): SkeletalMeshSimplificationSettings;
+	static Find(Outer: UObject, ResourceName: string): SkeletalMeshSimplificationSettings;
+	static GetDefaultObject(): SkeletalMeshSimplificationSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SkeletalMeshSimplificationSettings;
+	static C(Other: UObject | any): SkeletalMeshSimplificationSettings;
+}
+
+declare class SlateTextureAtlasInterface extends Interface { 
+	static Load(ResourceName: string): SlateTextureAtlasInterface;
+	static Find(Outer: UObject, ResourceName: string): SlateTextureAtlasInterface;
+	static GetDefaultObject(): SlateTextureAtlasInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SlateTextureAtlasInterface;
+	static C(Other: UObject | any): SlateTextureAtlasInterface;
+}
+
+declare class SmokeTestCommandlet extends Commandlet { 
+	static Load(ResourceName: string): SmokeTestCommandlet;
+	static Find(Outer: UObject, ResourceName: string): SmokeTestCommandlet;
+	static GetDefaultObject(): SmokeTestCommandlet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SmokeTestCommandlet;
+	static C(Other: UObject | any): SmokeTestCommandlet;
+}
+
+declare class SoundGroup { 
+	SoundGroup: ESoundGroup;
+	DisplayName: string;
+	bAlwaysDecompressOnLoad: boolean;
+	DecompressedDuration: number;
+	clone() : SoundGroup;
+	static C(Other: UObject | any): SoundGroup;
+}
+
+declare class SoundGroups extends UObject { 
+	SoundGroupProfiles: SoundGroup[];
+	static Load(ResourceName: string): SoundGroups;
+	static Find(Outer: UObject, ResourceName: string): SoundGroups;
+	static GetDefaultObject(): SoundGroups;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundGroups;
+	static C(Other: UObject | any): SoundGroups;
+}
+
+declare class SoundNodeAssetReferencer extends SoundNode { 
+	static Load(ResourceName: string): SoundNodeAssetReferencer;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeAssetReferencer;
+	static GetDefaultObject(): SoundNodeAssetReferencer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeAssetReferencer;
+	static C(Other: UObject | any): SoundNodeAssetReferencer;
+}
+
+declare class SoundNodeAttenuation extends SoundNode { 
+	AttenuationSettings: SoundAttenuation;
+	AttenuationOverrides: SoundAttenuationSettings;
+	bOverrideAttenuation: boolean;
+	static Load(ResourceName: string): SoundNodeAttenuation;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeAttenuation;
+	static GetDefaultObject(): SoundNodeAttenuation;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeAttenuation;
+	static C(Other: UObject | any): SoundNodeAttenuation;
+}
+
+declare class SoundNodeBranch extends SoundNode { 
+	BoolParameterName: string;
+	static Load(ResourceName: string): SoundNodeBranch;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeBranch;
+	static GetDefaultObject(): SoundNodeBranch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeBranch;
+	static C(Other: UObject | any): SoundNodeBranch;
+}
+
+declare class SoundNodeConcatenator extends SoundNode { 
+	InputVolume: number[];
+	static Load(ResourceName: string): SoundNodeConcatenator;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeConcatenator;
+	static GetDefaultObject(): SoundNodeConcatenator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeConcatenator;
+	static C(Other: UObject | any): SoundNodeConcatenator;
+}
+
+declare class SoundNodeDelay extends SoundNode { 
+	DelayMin: number;
+	DelayMax: number;
+	static Load(ResourceName: string): SoundNodeDelay;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeDelay;
+	static GetDefaultObject(): SoundNodeDelay;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDelay;
+	static C(Other: UObject | any): SoundNodeDelay;
+}
+
+declare class DialogueWaveParameter { 
+	DialogueWave: DialogueWave;
+	Context: DialogueContext;
+	clone() : DialogueWaveParameter;
+	static C(Other: UObject | any): DialogueWaveParameter;
+}
+
+declare class SoundNodeDialoguePlayer extends SoundNode { 
+	DialogueWaveParameter: DialogueWaveParameter;
+	bLooping: boolean;
+	static Load(ResourceName: string): SoundNodeDialoguePlayer;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeDialoguePlayer;
+	static GetDefaultObject(): SoundNodeDialoguePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDialoguePlayer;
+	static C(Other: UObject | any): SoundNodeDialoguePlayer;
+}
+
+declare class DistanceDatum { 
+	FadeInDistanceStart: number;
+	FadeInDistanceEnd: number;
+	FadeOutDistanceStart: number;
+	FadeOutDistanceEnd: number;
+	Volume: number;
+	clone() : DistanceDatum;
+	static C(Other: UObject | any): DistanceDatum;
+}
+
+declare class SoundNodeDistanceCrossFade extends SoundNode { 
+	CrossFadeInput: DistanceDatum[];
+	static Load(ResourceName: string): SoundNodeDistanceCrossFade;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeDistanceCrossFade;
+	static GetDefaultObject(): SoundNodeDistanceCrossFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDistanceCrossFade;
+	static C(Other: UObject | any): SoundNodeDistanceCrossFade;
+}
+
+declare class SoundNodeDoppler extends SoundNode { 
+	DopplerIntensity: number;
+	bUseSmoothing: boolean;
+	SmoothingInterpSpeed: number;
+	static Load(ResourceName: string): SoundNodeDoppler;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeDoppler;
+	static GetDefaultObject(): SoundNodeDoppler;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeDoppler;
+	static C(Other: UObject | any): SoundNodeDoppler;
+}
+
+declare class SoundNodeEnveloper extends SoundNode { 
+	LoopStart: number;
+	LoopEnd: number;
+	DurationAfterLoop: number;
+	LoopCount: number;
+	bLoopIndefinitely: boolean;
+	bLoop: boolean;
+	VolumeInterpCurve: DistributionFloatConstantCurve;
+	PitchInterpCurve: DistributionFloatConstantCurve;
+	VolumeCurve: RuntimeFloatCurve;
+	PitchCurve: RuntimeFloatCurve;
+	PitchMin: number;
+	PitchMax: number;
+	VolumeMin: number;
+	VolumeMax: number;
+	static Load(ResourceName: string): SoundNodeEnveloper;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeEnveloper;
+	static GetDefaultObject(): SoundNodeEnveloper;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeEnveloper;
+	static C(Other: UObject | any): SoundNodeEnveloper;
+}
+
+declare class SoundNodeGroupControl extends SoundNode { 
+	GroupSizes: number[];
+	static Load(ResourceName: string): SoundNodeGroupControl;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeGroupControl;
+	static GetDefaultObject(): SoundNodeGroupControl;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeGroupControl;
+	static C(Other: UObject | any): SoundNodeGroupControl;
+}
+
+declare class SoundNodeLooping extends SoundNode { 
+	LoopCount: number;
+	bLoopIndefinitely: boolean;
+	static Load(ResourceName: string): SoundNodeLooping;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeLooping;
+	static GetDefaultObject(): SoundNodeLooping;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeLooping;
+	static C(Other: UObject | any): SoundNodeLooping;
+}
+
+declare class SoundNodeMature extends SoundNode { 
+	static Load(ResourceName: string): SoundNodeMature;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeMature;
+	static GetDefaultObject(): SoundNodeMature;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeMature;
+	static C(Other: UObject | any): SoundNodeMature;
+}
+
+declare class SoundNodeMixer extends SoundNode { 
+	InputVolume: number[];
+	static Load(ResourceName: string): SoundNodeMixer;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeMixer;
+	static GetDefaultObject(): SoundNodeMixer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeMixer;
+	static C(Other: UObject | any): SoundNodeMixer;
+}
+
+declare class SoundNodeModulator extends SoundNode { 
+	PitchMin: number;
+	PitchMax: number;
+	VolumeMin: number;
+	VolumeMax: number;
+	static Load(ResourceName: string): SoundNodeModulator;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeModulator;
+	static GetDefaultObject(): SoundNodeModulator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeModulator;
+	static C(Other: UObject | any): SoundNodeModulator;
+}
+
+declare type ModulationParamMode = 'MPM_Normal' | 'MPM_Abs' | 'MPM_Direct' | 'MPM_MAX';
+declare var ModulationParamMode : { MPM_Normal:'MPM_Normal',MPM_Abs:'MPM_Abs',MPM_Direct:'MPM_Direct',MPM_MAX:'MPM_MAX', };
+declare class ModulatorContinuousParams { 
+	ParameterName: string;
+	Default: number;
+	MinInput: number;
+	MaxInput: number;
+	MinOutput: number;
+	MaxOutput: number;
+	ParamMode: ModulationParamMode;
+	clone() : ModulatorContinuousParams;
+	static C(Other: UObject | any): ModulatorContinuousParams;
+}
+
+declare class SoundNodeModulatorContinuous extends SoundNode { 
+	PitchModulationParams: ModulatorContinuousParams;
+	VolumeModulationParams: ModulatorContinuousParams;
+	static Load(ResourceName: string): SoundNodeModulatorContinuous;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeModulatorContinuous;
+	static GetDefaultObject(): SoundNodeModulatorContinuous;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeModulatorContinuous;
+	static C(Other: UObject | any): SoundNodeModulatorContinuous;
+}
+
+declare class SoundNodeOscillator extends SoundNode { 
+	bModulateVolume: boolean;
+	bModulatePitch: boolean;
+	AmplitudeMin: number;
+	AmplitudeMax: number;
+	FrequencyMin: number;
+	FrequencyMax: number;
+	OffsetMin: number;
+	OffsetMax: number;
+	CenterMin: number;
+	CenterMax: number;
+	static Load(ResourceName: string): SoundNodeOscillator;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeOscillator;
+	static GetDefaultObject(): SoundNodeOscillator;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeOscillator;
+	static C(Other: UObject | any): SoundNodeOscillator;
+}
+
+declare class SoundNodeParamCrossFade extends SoundNodeDistanceCrossFade { 
+	ParamName: string;
+	static Load(ResourceName: string): SoundNodeParamCrossFade;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeParamCrossFade;
+	static GetDefaultObject(): SoundNodeParamCrossFade;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeParamCrossFade;
+	static C(Other: UObject | any): SoundNodeParamCrossFade;
+}
+
+declare class SoundNodeQualityLevel extends SoundNode { 
+	static Load(ResourceName: string): SoundNodeQualityLevel;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeQualityLevel;
+	static GetDefaultObject(): SoundNodeQualityLevel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeQualityLevel;
+	static C(Other: UObject | any): SoundNodeQualityLevel;
+}
+
+declare class SoundNodeRandom extends SoundNode { 
+	Weights: number[];
+	PreselectAtLevelLoad: number;
+	bShouldExcludeFromBranchCulling: boolean;
+	bSoundCueExcludedFromBranchCulling: boolean;
+	bRandomizeWithoutReplacement: boolean;
+	HasBeenUsed: boolean[];
+	NumRandomUsed: number;
+	PIEHiddenNodes: number[];
+	static Load(ResourceName: string): SoundNodeRandom;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeRandom;
+	static GetDefaultObject(): SoundNodeRandom;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeRandom;
+	static C(Other: UObject | any): SoundNodeRandom;
+}
+
+declare class SoundNodeSoundClass extends SoundNode { 
+	SoundClassOverride: SoundClass;
+	static Load(ResourceName: string): SoundNodeSoundClass;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeSoundClass;
+	static GetDefaultObject(): SoundNodeSoundClass;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeSoundClass;
+	static C(Other: UObject | any): SoundNodeSoundClass;
+}
+
+declare class SoundNodeSwitch extends SoundNode { 
+	IntParameterName: string;
+	static Load(ResourceName: string): SoundNodeSwitch;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeSwitch;
+	static GetDefaultObject(): SoundNodeSwitch;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeSwitch;
+	static C(Other: UObject | any): SoundNodeSwitch;
+}
+
+declare class SoundNodeWaveParam extends SoundNode { 
+	WaveParameterName: string;
+	static Load(ResourceName: string): SoundNodeWaveParam;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeWaveParam;
+	static GetDefaultObject(): SoundNodeWaveParam;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeWaveParam;
+	static C(Other: UObject | any): SoundNodeWaveParam;
+}
+
+declare class SoundNodeWavePlayer extends SoundNodeAssetReferencer { 
+	SoundWaveAssetPtr: SoundWave;
+	SoundWave: SoundWave;
+	bLooping: boolean;
+	static Load(ResourceName: string): SoundNodeWavePlayer;
+	static Find(Outer: UObject, ResourceName: string): SoundNodeWavePlayer;
+	static GetDefaultObject(): SoundNodeWavePlayer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundNodeWavePlayer;
+	static C(Other: UObject | any): SoundNodeWavePlayer;
+}
+
+declare class SpectatorPawnMovement extends FloatingPawnMovement { 
+	bIgnoreTimeDilation: boolean;
+	static Load(ResourceName: string): SpectatorPawnMovement;
+	static Find(Outer: UObject, ResourceName: string): SpectatorPawnMovement;
+	static GetDefaultObject(): SpectatorPawnMovement;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpectatorPawnMovement;
+	static C(Other: UObject | any): SpectatorPawnMovement;
+}
+
+declare class SphereReflectionCapture extends ReflectionCapture { 
+	DrawCaptureRadius: DrawSphereComponent;
+	static GetDefaultObject(): SphereReflectionCapture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SphereReflectionCapture;
+	static C(Other: UObject | any): SphereReflectionCapture;
+}
+
+declare class SphereReflectionCaptureComponent extends ReflectionCaptureComponent { 
+	InfluenceRadius: number;
+	CaptureDistanceScale: number;
+	PreviewInfluenceRadius: DrawSphereComponent;
+	static Load(ResourceName: string): SphereReflectionCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): SphereReflectionCaptureComponent;
+	static GetDefaultObject(): SphereReflectionCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SphereReflectionCaptureComponent;
+	static C(Other: UObject | any): SphereReflectionCaptureComponent;
+}
+
+declare class SplineMeshActor extends Actor { 
+	SplineMeshComponent: SplineMeshComponent;
+	static GetDefaultObject(): SplineMeshActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SplineMeshActor;
+	static C(Other: UObject | any): SplineMeshActor;
+}
+
+declare class SpringArmComponent extends SceneComponent { 
+	TargetArmLength: number;
+	SocketOffset: Vector;
+	TargetOffset: Vector;
+	ProbeSize: number;
+	ProbeChannel: ECollisionChannel;
+	bDoCollisionTest: boolean;
+	bUsePawnControlRotation: boolean;
+	bInheritPitch: boolean;
+	bInheritYaw: boolean;
+	bInheritRoll: boolean;
+	bEnableCameraLag: boolean;
+	bEnableCameraRotationLag: boolean;
+	bUseCameraLagSubstepping: boolean;
+	bDrawDebugLagMarkers: boolean;
+	CameraLagSpeed: number;
+	CameraRotationLagSpeed: number;
+	CameraLagMaxTimeStep: number;
+	CameraLagMaxDistance: number;
+	static Load(ResourceName: string): SpringArmComponent;
+	static Find(Outer: UObject, ResourceName: string): SpringArmComponent;
+	static GetDefaultObject(): SpringArmComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SpringArmComponent;
+	IsCollisionFixApplied(): boolean;
+	GetUnfixedCameraPosition(): Vector;
+	GetTargetRotation(): Rotator;
+	static C(Other: UObject | any): SpringArmComponent;
+}
+
+declare type EStereoLayerType = 'SLT_WorldLocked' | 'SLT_TrackerLocked' | 'SLT_FaceLocked' | 'SLT_MAX';
+declare var EStereoLayerType : { SLT_WorldLocked:'SLT_WorldLocked',SLT_TrackerLocked:'SLT_TrackerLocked',SLT_FaceLocked:'SLT_FaceLocked',SLT_MAX:'SLT_MAX', };
+declare type EStereoLayerShape = 'SLSH_QuadLayer' | 'SLSH_CylinderLayer' | 'SLSH_CubemapLayer' | 'SLSH_MAX';
+declare var EStereoLayerShape : { SLSH_QuadLayer:'SLSH_QuadLayer',SLSH_CylinderLayer:'SLSH_CylinderLayer',SLSH_CubemapLayer:'SLSH_CubemapLayer',SLSH_MAX:'SLSH_MAX', };
+declare class StereoLayerComponent extends SceneComponent { 
+	bLiveTexture: boolean;
+	bSupportsDepth: boolean;
+	bNoAlphaChannel: boolean;
+	Texture: Texture;
+	LeftTexture: Texture;
+	bQuadPreserveTextureRatio: boolean;
+	QuadSize: Vector2D;
+	UVRect: Box2D;
+	CylinderRadius: number;
+	CylinderOverlayArc: number;
+	CylinderHeight: number;
+	StereoLayerType: EStereoLayerType;
+	StereoLayerShape: EStereoLayerShape;
+	Priority: number;
+	static Load(ResourceName: string): StereoLayerComponent;
+	static Find(Outer: UObject, ResourceName: string): StereoLayerComponent;
+	static GetDefaultObject(): StereoLayerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StereoLayerComponent;
+	SetUVRect(InUVRect: Box2D): void;
+	SetTexture(InTexture: Texture): void;
+	SetQuadSize(InQuadSize: Vector2D): void;
+	SetPriority(InPriority: number): void;
+	MarkTextureForUpdate(): void;
+	GetUVRect(): Box2D;
+	GetTexture(): Texture;
+	GetQuadSize(): Vector2D;
+	GetPriority(): number;
+	static C(Other: UObject | any): StereoLayerComponent;
+}
+
+declare class StereoLayerFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): StereoLayerFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): StereoLayerFunctionLibrary;
+	static GetDefaultObject(): StereoLayerFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StereoLayerFunctionLibrary;
+	static ShowSplashScreen(): void;
+	static SetSplashScreen(Texture: Texture,Scale: Vector2D,Offset: Vector,bShowLoadingMovie: boolean,bShowOnSet: boolean): void;
+	static HideSplashScreen(): void;
+	static EnableAutoLoadingSplashScreen(InAutoShowEnabled: boolean): void;
+	static C(Other: UObject | any): StereoLayerFunctionLibrary;
+}
+
+declare class StringTable extends UObject { 
+	static Load(ResourceName: string): StringTable;
+	static Find(Outer: UObject, ResourceName: string): StringTable;
+	static GetDefaultObject(): StringTable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StringTable;
+	static C(Other: UObject | any): StringTable;
+}
+
+declare class SubsystemBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): SubsystemBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): SubsystemBlueprintLibrary;
+	static GetDefaultObject(): SubsystemBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SubsystemBlueprintLibrary;
+	static GetLocalPlayerSubSystemFromPlayerController(PlayerController: PlayerController,Class: UnrealEngineClass): LocalPlayerSubsystem;
+	static GetLocalPlayerSubsystem(ContextObject: UObject,Class: UnrealEngineClass): LocalPlayerSubsystem;
+	static GetGameInstanceSubsystem(ContextObject: UObject,Class: UnrealEngineClass): GameInstanceSubsystem;
+	static GetEngineSubsystem(Class: UnrealEngineClass): EngineSubsystem;
+	static C(Other: UObject | any): SubsystemBlueprintLibrary;
+}
+
+declare class SystemTimeTimecodeProvider extends TimecodeProvider { 
+	FrameRate: FrameRate;
+	static Load(ResourceName: string): SystemTimeTimecodeProvider;
+	static Find(Outer: UObject, ResourceName: string): SystemTimeTimecodeProvider;
+	static GetDefaultObject(): SystemTimeTimecodeProvider;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SystemTimeTimecodeProvider;
+	SetFrameRate(InFrameRate: FrameRate): void;
+	static C(Other: UObject | any): SystemTimeTimecodeProvider;
+}
+
+declare class TargetPoint extends Actor { 
+	SpriteComponent: BillboardComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): TargetPoint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TargetPoint;
+	static C(Other: UObject | any): TargetPoint;
+}
+
+declare class TextPropertyTestObject extends UObject { 
+	DefaultedText: string;
+	UndefaultedText: string;
+	TransientText: string;
+	static Load(ResourceName: string): TextPropertyTestObject;
+	static Find(Outer: UObject, ResourceName: string): TextPropertyTestObject;
+	static GetDefaultObject(): TextPropertyTestObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextPropertyTestObject;
+	static C(Other: UObject | any): TextPropertyTestObject;
+}
+
+declare class TextRenderActor extends Actor { 
+	TextRender: TextRenderComponent;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): TextRenderActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TextRenderActor;
+	static C(Other: UObject | any): TextRenderActor;
+}
+
+declare class TimelineEventEntry { 
+	Time: number;
+	EventFunc: UnrealEngineDelegate<() => void>;
+	clone() : TimelineEventEntry;
+	static C(Other: UObject | any): TimelineEventEntry;
+}
+
+declare class TimelineVectorTrack { 
+	VectorCurve: CurveVector;
+	InterpFunc: UnrealEngineDelegate<(Output: Vector) => void>;
+	TrackName: string;
+	VectorPropertyName: string;
+	VectorProperty: StructProperty;
+	clone() : TimelineVectorTrack;
+	static C(Other: UObject | any): TimelineVectorTrack;
+}
+
+declare class TimelineFloatTrack { 
+	FloatCurve: CurveFloat;
+	InterpFunc: UnrealEngineDelegate<(Output: number) => void>;
+	TrackName: string;
+	FloatPropertyName: string;
+	FloatProperty: FloatProperty;
+	clone() : TimelineFloatTrack;
+	static C(Other: UObject | any): TimelineFloatTrack;
+}
+
+declare class TimelineLinearColorTrack { 
+	LinearColorCurve: CurveLinearColor;
+	InterpFunc: UnrealEngineDelegate<(Output: LinearColor) => void>;
+	TrackName: string;
+	LinearColorPropertyName: string;
+	LinearColorProperty: StructProperty;
+	clone() : TimelineLinearColorTrack;
+	static C(Other: UObject | any): TimelineLinearColorTrack;
+}
+
+declare class Timeline { 
+	LengthMode: ETimelineLengthMode;
+	bLooping: boolean;
+	bReversePlayback: boolean;
+	bPlaying: boolean;
+	Length: number;
+	PlayRate: number;
+	Position: number;
+	Events: TimelineEventEntry[];
+	InterpVectors: TimelineVectorTrack[];
+	InterpFloats: TimelineFloatTrack[];
+	InterpLinearColors: TimelineLinearColorTrack[];
+	TimelinePostUpdateFunc: UnrealEngineDelegate<() => void>;
+	TimelineFinishedFunc: UnrealEngineDelegate<() => void>;
+	PropertySetObject: any;
+	DirectionPropertyName: string;
+	DirectionProperty: Property;
+	clone() : Timeline;
+	static C(Other: UObject | any): Timeline;
+}
+
+declare class TimelineComponent extends ActorComponent { 
+	TheTimeline: Timeline;
+	bIgnoreTimeDilation: boolean;
+	static Load(ResourceName: string): TimelineComponent;
+	static Find(Outer: UObject, ResourceName: string): TimelineComponent;
+	static GetDefaultObject(): TimelineComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimelineComponent;
+	Stop(): void;
+	SetVectorCurve(NewVectorCurve: CurveVector,VectorTrackName: string): void;
+	SetTimelineLengthMode(NewLengthMode: ETimelineLengthMode): void;
+	SetTimelineLength(NewLength: number): void;
+	SetPlayRate(NewRate: number): void;
+	SetPlaybackPosition(NewPosition: number,bFireEvents: boolean,bFireUpdate: boolean): void;
+	SetNewTime(NewTime: number): void;
+	SetLooping(bNewLooping: boolean): void;
+	SetLinearColorCurve(NewLinearColorCurve: CurveLinearColor,LinearColorTrackName: string): void;
+	SetIgnoreTimeDilation(bNewIgnoreTimeDilation: boolean): void;
+	SetFloatCurve(NewFloatCurve: CurveFloat,FloatTrackName: string): void;
+	ReverseFromEnd(): void;
+	Reverse(): void;
+	PlayFromStart(): void;
+	Play(): void;
+	OnRep_Timeline(): void;
+	IsReversing(): boolean;
+	IsPlaying(): boolean;
+	IsLooping(): boolean;
+	GetTimelineLength(): number;
+	GetPlayRate(): number;
+	GetPlaybackPosition(): number;
+	GetIgnoreTimeDilation(): boolean;
+	static C(Other: UObject | any): TimelineComponent;
+}
+
+declare class TriggerBase extends Actor { 
+	CollisionComponent: ShapeComponent;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): TriggerBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerBase;
+	static C(Other: UObject | any): TriggerBase;
+}
+
+declare class TriggerBox extends TriggerBase { 
+	static GetDefaultObject(): TriggerBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerBox;
+	static C(Other: UObject | any): TriggerBox;
+}
+
+declare class TriggerCapsule extends TriggerBase { 
+	static GetDefaultObject(): TriggerCapsule;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerCapsule;
+	static C(Other: UObject | any): TriggerCapsule;
+}
+
+declare class TriggerSphere extends TriggerBase { 
+	static GetDefaultObject(): TriggerSphere;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerSphere;
+	static C(Other: UObject | any): TriggerSphere;
+}
+
+declare class TriggerVolume extends Volume { 
+	static GetDefaultObject(): TriggerVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TriggerVolume;
+	static C(Other: UObject | any): TriggerVolume;
+}
+
+declare type ETwitterRequestMethod = 'TRM_Get' | 'TRM_Post' | 'TRM_Delete' | 'TRM_MAX';
+declare var ETwitterRequestMethod : { TRM_Get:'TRM_Get',TRM_Post:'TRM_Post',TRM_Delete:'TRM_Delete',TRM_MAX:'TRM_MAX', };
+declare class TwitterIntegrationBase extends PlatformInterfaceBase { 
+	static Load(ResourceName: string): TwitterIntegrationBase;
+	static Find(Outer: UObject, ResourceName: string): TwitterIntegrationBase;
+	static GetDefaultObject(): TwitterIntegrationBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TwitterIntegrationBase;
+	TwitterRequest(URL: string,ParamKeysAndValues: string[],RequestMethod: ETwitterRequestMethod,AccountIndex: number): boolean;
+	ShowTweetUI(InitialMessage: string,URL: string,Picture: string): boolean;
+	Init(): void;
+	GetNumAccounts(): number;
+	GetAccountName(AccountIndex: number): string;
+	CanShowTweetUI(): boolean;
+	AuthorizeAccounts(): boolean;
+	static C(Other: UObject | any): TwitterIntegrationBase;
+}
+
+declare class UserDefinedEnum extends Enum { 
+	UniqueNameIndex: any;
+	EnumDescription: string;
+	DisplayNameMap: any;
+	static Load(ResourceName: string): UserDefinedEnum;
+	static Find(Outer: UObject, ResourceName: string): UserDefinedEnum;
+	static GetDefaultObject(): UserDefinedEnum;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserDefinedEnum;
+	static C(Other: UObject | any): UserDefinedEnum;
+}
+
+declare type ERenderFocusRule = 'Always' | 'NonPointer' | 'NavigationOnly' | 'Never' | 'ERenderFocusRule_MAX';
+declare var ERenderFocusRule : { Always:'Always',NonPointer:'NonPointer',NavigationOnly:'NavigationOnly',Never:'Never',ERenderFocusRule_MAX:'ERenderFocusRule_MAX', };
+declare type EUIScalingRule = 'ShortestSide' | 'LongestSide' | 'Horizontal' | 'Vertical' | 'Custom' | 'EUIScalingRule_MAX';
+declare var EUIScalingRule : { ShortestSide:'ShortestSide',LongestSide:'LongestSide',Horizontal:'Horizontal',Vertical:'Vertical',Custom:'Custom',EUIScalingRule_MAX:'EUIScalingRule_MAX', };
+declare class UserInterfaceSettings extends DeveloperSettings { 
+	RenderFocusRule: ERenderFocusRule;
+	HardwareCursors: any;
+	SoftwareCursors: any;
+	DefaultCursor: SoftClassPath;
+	TextEditBeamCursor: SoftClassPath;
+	CrosshairsCursor: SoftClassPath;
+	HandCursor: SoftClassPath;
+	GrabHandCursor: SoftClassPath;
+	GrabHandClosedCursor: SoftClassPath;
+	SlashedCircleCursor: SoftClassPath;
+	ApplicationScale: number;
+	UIScaleRule: EUIScalingRule;
+	CustomScalingRuleClass: SoftClassPath;
+	UIScaleCurve: RuntimeFloatCurve;
+	bAllowHighDPIInGameMode: boolean;
+	bLoadWidgetsOnDedicatedServer: boolean;
+	CursorClasses: UObject[];
+	CustomScalingRuleClassInstance: UnrealEngineClass;
+	CustomScalingRule: DPICustomScalingRule;
+	static Load(ResourceName: string): UserInterfaceSettings;
+	static Find(Outer: UObject, ResourceName: string): UserInterfaceSettings;
+	static GetDefaultObject(): UserInterfaceSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UserInterfaceSettings;
+	static C(Other: UObject | any): UserInterfaceSettings;
+}
+
+declare type EVectorFieldConstructionOp = 'VFCO_Extrude' | 'VFCO_Revolve' | 'VFCO_MAX';
+declare var EVectorFieldConstructionOp : { VFCO_Extrude:'VFCO_Extrude',VFCO_Revolve:'VFCO_Revolve',VFCO_MAX:'VFCO_MAX', };
+declare class VectorFieldStatic extends VectorField { 
+	SizeX: number;
+	SizeY: number;
+	SizeZ: number;
+	bAllowCPUAccess: boolean;
+	CPUData: Vector4[];
+	SourceFilePath: string;
+	AssetImportData: AssetImportData;
+	static Load(ResourceName: string): VectorFieldStatic;
+	static Find(Outer: UObject, ResourceName: string): VectorFieldStatic;
+	static GetDefaultObject(): VectorFieldStatic;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldStatic;
+	static C(Other: UObject | any): VectorFieldStatic;
+}
+
+declare class VectorFieldAnimated extends VectorField { 
+	Texture: Texture2D;
+	ConstructionOp: EVectorFieldConstructionOp;
+	VolumeSizeX: number;
+	VolumeSizeY: number;
+	VolumeSizeZ: number;
+	SubImagesX: number;
+	SubImagesY: number;
+	FrameCount: number;
+	FramesPerSecond: number;
+	bLoop: boolean;
+	NoiseField: VectorFieldStatic;
+	NoiseScale: number;
+	NoiseMax: number;
+	static Load(ResourceName: string): VectorFieldAnimated;
+	static Find(Outer: UObject, ResourceName: string): VectorFieldAnimated;
+	static GetDefaultObject(): VectorFieldAnimated;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldAnimated;
+	static C(Other: UObject | any): VectorFieldAnimated;
+}
+
+declare class VectorFieldComponent extends PrimitiveComponent { 
+	VectorField: VectorField;
+	Intensity: number;
+	Tightness: number;
+	bPreviewVectorField: boolean;
+	static Load(ResourceName: string): VectorFieldComponent;
+	static Find(Outer: UObject, ResourceName: string): VectorFieldComponent;
+	static GetDefaultObject(): VectorFieldComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldComponent;
+	SetIntensity(NewIntensity: number): void;
+	static C(Other: UObject | any): VectorFieldComponent;
+}
+
+declare class VectorFieldVolume extends Actor { 
+	VectorFieldComponent: VectorFieldComponent;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): VectorFieldVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VectorFieldVolume;
+	static C(Other: UObject | any): VectorFieldVolume;
+}
+
+declare class VirtualTextureLayer { 
+	Format: ETextureSourceFormat;
+	bCompressed: boolean;
+	bHasAlpha: boolean;
+	CompressionSettings: TextureCompressionSettings;
+	clone() : VirtualTextureLayer;
+	static C(Other: UObject | any): VirtualTextureLayer;
+}
+
+declare type PageTableFormat = 'PTF_16' | 'PTF_32' | 'PTF_MAX';
+declare var PageTableFormat : { PTF_16:'PTF_16',PTF_32:'PTF_32',PTF_MAX:'PTF_MAX', };
+declare class VirtualTextureSpace extends UObject { 
+	Layers: VirtualTextureLayer[];
+	TileSize: number;
+	BorderWidth: number;
+	Size: number;
+	Dimensions: number;
+	Format: PageTableFormat;
+	PoolSize: number;
+	static Load(ResourceName: string): VirtualTextureSpace;
+	static Find(Outer: UObject, ResourceName: string): VirtualTextureSpace;
+	static GetDefaultObject(): VirtualTextureSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VirtualTextureSpace;
+	static C(Other: UObject | any): VirtualTextureSpace;
+}
+
+declare class VirtualTexture extends UObject { 
+	Layers: Texture[];
+	Space: VirtualTextureSpace;
+	Rebuild: boolean;
+	static Load(ResourceName: string): VirtualTexture;
+	static Find(Outer: UObject, ResourceName: string): VirtualTexture;
+	static GetDefaultObject(): VirtualTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VirtualTexture;
+	static C(Other: UObject | any): VirtualTexture;
+}
+
+declare class LightMapVirtualTexture extends VirtualTexture { 
+	LayerFlags: number;
+	static Load(ResourceName: string): LightMapVirtualTexture;
+	static Find(Outer: UObject, ResourceName: string): LightMapVirtualTexture;
+	static GetDefaultObject(): LightMapVirtualTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightMapVirtualTexture;
+	static C(Other: UObject | any): LightMapVirtualTexture;
+}
+
+declare class LightMapVirtualTextureSpace extends VirtualTextureSpace { 
+	static Load(ResourceName: string): LightMapVirtualTextureSpace;
+	static Find(Outer: UObject, ResourceName: string): LightMapVirtualTextureSpace;
+	static GetDefaultObject(): LightMapVirtualTextureSpace;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightMapVirtualTextureSpace;
+	static C(Other: UObject | any): LightMapVirtualTextureSpace;
+}
+
+declare class VisualLoggerAutomationTests extends UObject { 
+	static Load(ResourceName: string): VisualLoggerAutomationTests;
+	static Find(Outer: UObject, ResourceName: string): VisualLoggerAutomationTests;
+	static GetDefaultObject(): VisualLoggerAutomationTests;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerAutomationTests;
+	static C(Other: UObject | any): VisualLoggerAutomationTests;
+}
+
+declare class VisualLoggerDebugSnapshotInterface extends Interface { 
+	static Load(ResourceName: string): VisualLoggerDebugSnapshotInterface;
+	static Find(Outer: UObject, ResourceName: string): VisualLoggerDebugSnapshotInterface;
+	static GetDefaultObject(): VisualLoggerDebugSnapshotInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerDebugSnapshotInterface;
+	static C(Other: UObject | any): VisualLoggerDebugSnapshotInterface;
+}
+
+declare class VisualLoggerKismetLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): VisualLoggerKismetLibrary;
+	static Find(Outer: UObject, ResourceName: string): VisualLoggerKismetLibrary;
+	static GetDefaultObject(): VisualLoggerKismetLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerKismetLibrary;
+	static RedirectVislog(SourceOwner: UObject,DestinationOwner: UObject): void;
+	static LogText(WorldContextObject: UObject,text: string,LogCategory: string,bAddToMessageLog: boolean): void;
+	static LogSegment(WorldContextObject: UObject,SegmentStart: Vector,SegmentEnd: Vector,text: string,ObjectColor: LinearColor,Thickness: number,CategoryName: string,bAddToMessageLog: boolean): void;
+	static LogLocation(WorldContextObject: UObject,Location: Vector,text: string,ObjectColor: LinearColor,Radius: number,LogCategory: string,bAddToMessageLog: boolean): void;
+	static LogBox(WorldContextObject: UObject,BoxShape: Box,text: string,ObjectColor: LinearColor,LogCategory: string,bAddToMessageLog: boolean): void;
+	static EnableRecording(bEnabled: boolean): void;
+	static C(Other: UObject | any): VisualLoggerKismetLibrary;
+}
+
+declare class VoiceChannel extends Channel { 
+	static Load(ResourceName: string): VoiceChannel;
+	static Find(Outer: UObject, ResourceName: string): VoiceChannel;
+	static GetDefaultObject(): VoiceChannel;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VoiceChannel;
+	static C(Other: UObject | any): VoiceChannel;
+}
+
+declare class VoiceSettings { 
+	ComponentToAttachTo: SceneComponent;
+	AttenuationSettings: SoundAttenuation;
+	SourceEffectChain: SoundEffectSourcePresetChain;
+	clone() : VoiceSettings;
+	static C(Other: UObject | any): VoiceSettings;
+}
+
+declare class VOIPTalker extends ActorComponent { 
+	Settings: VoiceSettings;
+	static Load(ResourceName: string): VOIPTalker;
+	static Find(Outer: UObject, ResourceName: string): VOIPTalker;
+	static GetDefaultObject(): VOIPTalker;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VOIPTalker;
+	RegisterWithPlayerState(OwningState: PlayerState): void;
+	GetVoiceLevel(): number;
+	static CreateTalkerForPlayer(OwningState: PlayerState): VOIPTalker;
+	BPOnTalkingEnd(): void;
+	BPOnTalkingBegin(AudioComponent: AudioComponent): void;
+	static C(Other: UObject | any): VOIPTalker;
+}
+
+declare class VOIPStatics extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): VOIPStatics;
+	static Find(Outer: UObject, ResourceName: string): VOIPStatics;
+	static GetDefaultObject(): VOIPStatics;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VOIPStatics;
+	static SetMicThreshold(InThreshold: number): void;
+	static C(Other: UObject | any): VOIPStatics;
+}
+
+declare class VolumeTexture extends Texture { 
+	Source2DTexture: Texture2D;
+	SourceLightingGuid: Guid;
+	Source2DTileSizeX: number;
+	Source2DTileSizeY: number;
+	static Load(ResourceName: string): VolumeTexture;
+	static Find(Outer: UObject, ResourceName: string): VolumeTexture;
+	static GetDefaultObject(): VolumeTexture;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumeTexture;
+	static C(Other: UObject | any): VolumeTexture;
+}
+
+declare class VolumetricLightmapDensityVolume extends Volume { 
+	AllowedMipLevelRange: Int32Interval;
+	static GetDefaultObject(): VolumetricLightmapDensityVolume;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VolumetricLightmapDensityVolume;
+	static C(Other: UObject | any): VolumetricLightmapDensityVolume;
+}
+
+declare type EWindSourceType = 'Directional' | 'Point' | 'EWindSourceType_MAX';
+declare var EWindSourceType : { Directional:'Directional',Point:'Point',EWindSourceType_MAX:'EWindSourceType_MAX', };
+declare class WindDirectionalSourceComponent extends SceneComponent { 
+	Strength: number;
+	Speed: number;
+	MinGustAmount: number;
+	MaxGustAmount: number;
+	Radius: number;
+	bPointWind: boolean;
+	static Load(ResourceName: string): WindDirectionalSourceComponent;
+	static Find(Outer: UObject, ResourceName: string): WindDirectionalSourceComponent;
+	static GetDefaultObject(): WindDirectionalSourceComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindDirectionalSourceComponent;
+	SetWindType(InNewType: EWindSourceType): void;
+	SetStrength(InNewStrength: number): void;
+	SetSpeed(InNewSpeed: number): void;
+	SetRadius(InNewRadius: number): void;
+	SetMinimumGustAmount(InNewMinGust: number): void;
+	SetMaximumGustAmount(InNewMaxGust: number): void;
+	static C(Other: UObject | any): WindDirectionalSourceComponent;
+}
+
+declare class WindDirectionalSource extends Info { 
+	Component: WindDirectionalSourceComponent;
+	ArrowComponent: ArrowComponent;
+	static GetDefaultObject(): WindDirectionalSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WindDirectionalSource;
+	static C(Other: UObject | any): WindDirectionalSource;
+}
+
+declare class HierarchicalLODSetup extends UObject { 
+	HierarchicalLODSetup: HierarchicalSimplification[];
+	OverrideBaseMaterial: MaterialInterface;
+	static Load(ResourceName: string): HierarchicalLODSetup;
+	static Find(Outer: UObject, ResourceName: string): HierarchicalLODSetup;
+	static GetDefaultObject(): HierarchicalLODSetup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HierarchicalLODSetup;
+	static C(Other: UObject | any): HierarchicalLODSetup;
+}
+
+declare class MoviePlayerSettings extends UObject { 
+	bWaitForMoviesToComplete: boolean;
+	bMoviesAreSkippable: boolean;
+	StartupMovies: string[];
+	static Load(ResourceName: string): MoviePlayerSettings;
+	static Find(Outer: UObject, ResourceName: string): MoviePlayerSettings;
+	static GetDefaultObject(): MoviePlayerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MoviePlayerSettings;
+	static C(Other: UObject | any): MoviePlayerSettings;
+}
+
+declare class SHAHashData { 
+	Hash: number;
+	clone() : SHAHashData;
+	static C(Other: UObject | any): SHAHashData;
+}
+
+declare class ChunkPartData { 
+	Guid: Guid;
+	Offset: any;
+	Size: any;
+	clone() : ChunkPartData;
+	static C(Other: UObject | any): ChunkPartData;
+}
+
+declare class FileManifestData { 
+	Filename: string;
+	FileHash: SHAHashData;
+	FileChunkParts: ChunkPartData[];
+	InstallTags: string[];
+	bIsUnixExecutable: boolean;
+	SymlinkTarget: string;
+	bIsReadOnly: boolean;
+	bIsCompressed: boolean;
+	clone() : FileManifestData;
+	static C(Other: UObject | any): FileManifestData;
+}
+
+declare class ChunkInfoData { 
+	Guid: Guid;
+	Hash: any;
+	ShaHash: SHAHashData;
+	FileSize: any;
+	GroupNumber: number;
+	clone() : ChunkInfoData;
+	static C(Other: UObject | any): ChunkInfoData;
+}
+
+declare class CustomFieldData { 
+	Key: string;
+	Value: string;
+	clone() : CustomFieldData;
+	static C(Other: UObject | any): CustomFieldData;
+}
+
+declare class BuildPatchManifest extends UObject { 
+	ManifestFileVersion: number;
+	bIsFileData: boolean;
+	AppID: any;
+	AppName: string;
+	BuildVersion: string;
+	LaunchExe: string;
+	LaunchCommand: string;
+	PrereqIds: any;
+	PrereqName: string;
+	PrereqPath: string;
+	PrereqArgs: string;
+	FileManifestList: FileManifestData[];
+	ChunkList: ChunkInfoData[];
+	CustomFields: CustomFieldData[];
+	static Load(ResourceName: string): BuildPatchManifest;
+	static Find(Outer: UObject, ResourceName: string): BuildPatchManifest;
+	static GetDefaultObject(): BuildPatchManifest;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): BuildPatchManifest;
+	static C(Other: UObject | any): BuildPatchManifest;
+}
+
+declare class SoundFactory extends Factory { 
+	bAutoCreateCue: boolean;
+	bIncludeAttenuationNode: boolean;
+	bIncludeLoopingNode: boolean;
+	bIncludeModulatorNode: boolean;
+	CueVolume: number;
+	CuePackageSuffix: string;
+	static Load(ResourceName: string): SoundFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundFactory;
+	static GetDefaultObject(): SoundFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundFactory;
+	static C(Other: UObject | any): SoundFactory;
+}
+
+declare class ReimportSoundFactory extends SoundFactory { 
+	static Load(ResourceName: string): ReimportSoundFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportSoundFactory;
+	static GetDefaultObject(): ReimportSoundFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportSoundFactory;
+	static C(Other: UObject | any): ReimportSoundFactory;
+}
+
+declare class SoundSurroundFactory extends Factory { 
+	CueVolume: number;
+	static Load(ResourceName: string): SoundSurroundFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSurroundFactory;
+	static GetDefaultObject(): SoundSurroundFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSurroundFactory;
+	static C(Other: UObject | any): SoundSurroundFactory;
+}
+
+declare class ReimportSoundSurroundFactory extends SoundSurroundFactory { 
+	ReimportPaths: string[];
+	static Load(ResourceName: string): ReimportSoundSurroundFactory;
+	static Find(Outer: UObject, ResourceName: string): ReimportSoundSurroundFactory;
+	static GetDefaultObject(): ReimportSoundSurroundFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReimportSoundSurroundFactory;
+	static C(Other: UObject | any): ReimportSoundSurroundFactory;
+}
+
+declare class MacTargetSettings extends UObject { 
+	TargetedRHIs: string[];
+	MaxShaderLanguageVersion: number;
+	UseFastIntrinsics: boolean;
+	ForceFloats: boolean;
+	EnableMathOptimisations: boolean;
+	AudioSampleRate: number;
+	AudioCallbackBufferFrameSize: number;
+	AudioNumBuffersToEnqueue: number;
+	AudioMaxChannels: number;
+	AudioNumSourceWorkers: number;
+	SpatializationPlugin: string;
+	ReverbPlugin: string;
+	OcclusionPlugin: string;
+	static Load(ResourceName: string): MacTargetSettings;
+	static Find(Outer: UObject, ResourceName: string): MacTargetSettings;
+	static GetDefaultObject(): MacTargetSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MacTargetSettings;
+	static C(Other: UObject | any): MacTargetSettings;
+}
+
+declare class DialogueVoiceFactory extends Factory { 
+	static Load(ResourceName: string): DialogueVoiceFactory;
+	static Find(Outer: UObject, ResourceName: string): DialogueVoiceFactory;
+	static GetDefaultObject(): DialogueVoiceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueVoiceFactory;
+	static C(Other: UObject | any): DialogueVoiceFactory;
+}
+
+declare class DialogueWaveFactory extends Factory { 
+	InitialSoundWave: SoundWave;
+	InitialSpeakerVoice: DialogueVoice;
+	HasSetInitialTargetVoice: boolean;
+	InitialTargetVoices: DialogueVoice[];
+	static Load(ResourceName: string): DialogueWaveFactory;
+	static Find(Outer: UObject, ResourceName: string): DialogueWaveFactory;
+	static GetDefaultObject(): DialogueWaveFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DialogueWaveFactory;
+	static C(Other: UObject | any): DialogueWaveFactory;
+}
+
+declare class ReverbEffectFactory extends Factory { 
+	static Load(ResourceName: string): ReverbEffectFactory;
+	static Find(Outer: UObject, ResourceName: string): ReverbEffectFactory;
+	static GetDefaultObject(): ReverbEffectFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ReverbEffectFactory;
+	static C(Other: UObject | any): ReverbEffectFactory;
+}
+
+declare class SoundAttenuationFactory extends Factory { 
+	static Load(ResourceName: string): SoundAttenuationFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundAttenuationFactory;
+	static GetDefaultObject(): SoundAttenuationFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundAttenuationFactory;
+	static C(Other: UObject | any): SoundAttenuationFactory;
+}
+
+declare class SoundClassFactory extends Factory { 
+	static Load(ResourceName: string): SoundClassFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundClassFactory;
+	static GetDefaultObject(): SoundClassFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassFactory;
+	static C(Other: UObject | any): SoundClassFactory;
+}
+
+declare class SoundClassGraph extends EdGraph { 
+	static Load(ResourceName: string): SoundClassGraph;
+	static Find(Outer: UObject, ResourceName: string): SoundClassGraph;
+	static GetDefaultObject(): SoundClassGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraph;
+	static C(Other: UObject | any): SoundClassGraph;
+}
+
+declare class SoundClassGraphNode extends EdGraphNode { 
+	SoundClass: SoundClass;
+	static Load(ResourceName: string): SoundClassGraphNode;
+	static Find(Outer: UObject, ResourceName: string): SoundClassGraphNode;
+	static GetDefaultObject(): SoundClassGraphNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraphNode;
+	static C(Other: UObject | any): SoundClassGraphNode;
+}
+
+declare class SoundClassGraphSchema extends EdGraphSchema { 
+	static Load(ResourceName: string): SoundClassGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): SoundClassGraphSchema;
+	static GetDefaultObject(): SoundClassGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundClassGraphSchema;
+	static C(Other: UObject | any): SoundClassGraphSchema;
+}
+
+declare class SoundConcurrencyFactory extends Factory { 
+	static Load(ResourceName: string): SoundConcurrencyFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundConcurrencyFactory;
+	static GetDefaultObject(): SoundConcurrencyFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundConcurrencyFactory;
+	static C(Other: UObject | any): SoundConcurrencyFactory;
+}
+
+declare class SoundCueFactoryNew extends Factory { 
+	InitialSoundWave: SoundWave;
+	InitialDialogueWave: DialogueWave;
+	static Load(ResourceName: string): SoundCueFactoryNew;
+	static Find(Outer: UObject, ResourceName: string): SoundCueFactoryNew;
+	static GetDefaultObject(): SoundCueFactoryNew;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueFactoryNew;
+	static C(Other: UObject | any): SoundCueFactoryNew;
+}
+
+declare class SoundCueGraph extends EdGraph { 
+	static Load(ResourceName: string): SoundCueGraph;
+	static Find(Outer: UObject, ResourceName: string): SoundCueGraph;
+	static GetDefaultObject(): SoundCueGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraph;
+	static C(Other: UObject | any): SoundCueGraph;
+}
+
+declare class SoundCueGraphNode_Base extends EdGraphNode { 
+	static Load(ResourceName: string): SoundCueGraphNode_Base;
+	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode_Base;
+	static GetDefaultObject(): SoundCueGraphNode_Base;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode_Base;
+	static C(Other: UObject | any): SoundCueGraphNode_Base;
+}
+
+declare class SoundCueGraphNode extends SoundCueGraphNode_Base { 
+	SoundNode: SoundNode;
+	static Load(ResourceName: string): SoundCueGraphNode;
+	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode;
+	static GetDefaultObject(): SoundCueGraphNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode;
+	static C(Other: UObject | any): SoundCueGraphNode;
+}
+
+declare class SoundCueGraphNode_Root extends SoundCueGraphNode_Base { 
+	static Load(ResourceName: string): SoundCueGraphNode_Root;
+	static Find(Outer: UObject, ResourceName: string): SoundCueGraphNode_Root;
+	static GetDefaultObject(): SoundCueGraphNode_Root;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphNode_Root;
+	static C(Other: UObject | any): SoundCueGraphNode_Root;
+}
+
+declare class SoundCueGraphSchema extends EdGraphSchema { 
+	static Load(ResourceName: string): SoundCueGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): SoundCueGraphSchema;
+	static GetDefaultObject(): SoundCueGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundCueGraphSchema;
+	static C(Other: UObject | any): SoundCueGraphSchema;
+}
+
+declare class SoundMixFactory extends Factory { 
+	static Load(ResourceName: string): SoundMixFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundMixFactory;
+	static GetDefaultObject(): SoundMixFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundMixFactory;
+	static C(Other: UObject | any): SoundMixFactory;
+}
+
+declare class SoundSourceBusFactory extends Factory { 
+	static Load(ResourceName: string): SoundSourceBusFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSourceBusFactory;
+	static GetDefaultObject(): SoundSourceBusFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceBusFactory;
+	static C(Other: UObject | any): SoundSourceBusFactory;
+}
+
+declare class SoundSourceEffectFactory extends Factory { 
+	SoundEffectSourcepresetClass: UnrealEngineClass;
+	static Load(ResourceName: string): SoundSourceEffectFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSourceEffectFactory;
+	static GetDefaultObject(): SoundSourceEffectFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceEffectFactory;
+	static C(Other: UObject | any): SoundSourceEffectFactory;
+}
+
+declare class SoundSourceEffectChainFactory extends Factory { 
+	static Load(ResourceName: string): SoundSourceEffectChainFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSourceEffectChainFactory;
+	static GetDefaultObject(): SoundSourceEffectChainFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSourceEffectChainFactory;
+	static C(Other: UObject | any): SoundSourceEffectChainFactory;
+}
+
+declare class SoundSubmixEffectFactory extends Factory { 
+	SoundEffectSubmixPresetClass: UnrealEngineClass;
+	static Load(ResourceName: string): SoundSubmixEffectFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmixEffectFactory;
+	static GetDefaultObject(): SoundSubmixEffectFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixEffectFactory;
+	static C(Other: UObject | any): SoundSubmixEffectFactory;
+}
+
+declare class SoundSubmixFactory extends Factory { 
+	static Load(ResourceName: string): SoundSubmixFactory;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmixFactory;
+	static GetDefaultObject(): SoundSubmixFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixFactory;
+	static C(Other: UObject | any): SoundSubmixFactory;
+}
+
+declare class SoundSubmixGraph extends EdGraph { 
+	static Load(ResourceName: string): SoundSubmixGraph;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraph;
+	static GetDefaultObject(): SoundSubmixGraph;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraph;
+	static C(Other: UObject | any): SoundSubmixGraph;
+}
+
+declare class SoundSubmixGraphNode extends EdGraphNode { 
+	SoundSubmix: SoundSubmix;
+	static Load(ResourceName: string): SoundSubmixGraphNode;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraphNode;
+	static GetDefaultObject(): SoundSubmixGraphNode;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraphNode;
+	static C(Other: UObject | any): SoundSubmixGraphNode;
+}
+
+declare class SoundSubmixGraphSchema extends EdGraphSchema { 
+	static Load(ResourceName: string): SoundSubmixGraphSchema;
+	static Find(Outer: UObject, ResourceName: string): SoundSubmixGraphSchema;
+	static GetDefaultObject(): SoundSubmixGraphSchema;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SoundSubmixGraphSchema;
+	static C(Other: UObject | any): SoundSubmixGraphSchema;
+}
+
+declare class AnimationBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): AnimationBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): AnimationBlueprintLibrary;
+	static GetDefaultObject(): AnimationBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationBlueprintLibrary;
+	static SetRootMotionLockType(AnimationSequence: AnimSequence,RootMotionLockType: ERootMotionRootLock): void;
+	static SetRootMotionEnabled(AnimationSequence: AnimSequence,bEnabled: boolean): void;
+	static SetRateScale(AnimationSequence: AnimSequence,RateScale: number): void;
+	static SetIsRootMotionLockForced(AnimationSequence: AnimSequence,bForced: boolean): void;
+	static SetCompressionScheme(AnimationSequence: AnimSequence,CompressionScheme: AnimCompress): void;
+	static SetAnimationInterpolationType(AnimationSequence: AnimSequence,InterpolationType: EAnimInterpolationType): void;
+	static SetAdditiveBasePoseType(AnimationSequence: AnimSequence,AdditiveBasePoseType: EAdditiveBasePoseType): void;
+	static SetAdditiveAnimationType(AnimationSequence: AnimSequence,AdditiveAnimationType: EAdditiveAnimationType): void;
+	static RemoveVirtualBones(AnimationSequence: AnimSequence,VirtualBoneNames: string[]): void;
+	static RemoveVirtualBone(AnimationSequence: AnimSequence,VirtualBoneName: string): void;
+	static RemoveMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass): void;
+	static RemoveMetaData(AnimationSequence: AnimSequence,MetaDataObject: AnimMetaData): void;
+	static RemoveCurve(AnimationSequence: AnimSequence,CurveName: string,bRemoveNameFromSkeleton: boolean): void;
+	static RemoveBoneAnimation(AnimationSequence: AnimSequence,BoneName: string,bIncludeChildren: boolean,bFinalize: boolean): void;
+	static RemoveAnimationSyncMarkersByTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): number;
+	static RemoveAnimationSyncMarkersByName(AnimationSequence: AnimSequence,MarkerName: string): number;
+	static RemoveAnimationNotifyTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): void;
+	static RemoveAnimationNotifyEventsByTrack(AnimationSequence: AnimSequence,NotifyTrackName: string): number;
+	static RemoveAnimationNotifyEventsByName(AnimationSequence: AnimSequence,NotifyName: string): number;
+	static RemoveAllVirtualBones(AnimationSequence: AnimSequence): void;
+	static RemoveAllMetaData(AnimationSequence: AnimSequence): void;
+	static RemoveAllCurveData(AnimationSequence: AnimSequence): void;
+	static RemoveAllBoneAnimation(AnimationSequence: AnimSequence): void;
+	static RemoveAllAnimationSyncMarkers(AnimationSequence: AnimSequence): void;
+	static RemoveAllAnimationNotifyTracks(AnimationSequence: AnimSequence): void;
+	static IsValidTime(AnimationSequence: AnimSequence,Time: number,IsValid?: boolean): {IsValid: boolean};
+	static IsValidRawAnimationTrackName(AnimationSequence: AnimSequence,TrackName: string): boolean;
+	static IsValidAnimNotifyTrackName(AnimationSequence: AnimSequence,NotifyTrackName: string): boolean;
+	static IsValidAnimationSyncMarkerName(AnimationSequence: AnimSequence,MarkerName: string): boolean;
+	static IsRootMotionLockForced(AnimationSequence: AnimSequence): boolean;
+	static IsRootMotionEnabled(AnimationSequence: AnimSequence): boolean;
+	static GetVectorKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: Vector[]): {Times: number[], Values: Vector[]};
+	static GetUniqueMarkerNames(AnimationSequence: AnimSequence,MarkerNames?: string[]): {MarkerNames: string[]};
+	static GetTransformationKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: Transform[]): {Times: number[], Values: Transform[]};
+	static GetTimeAtFrame(AnimationSequence: AnimSequence,Frame: number,Time?: number): {Time: number};
+	static GetSequenceLength(AnimationSequence: AnimSequence,Length?: number): {Length: number};
+	static GetRootMotionLockType(AnimationSequence: AnimSequence,LockType?: ERootMotionRootLock): {LockType: ERootMotionRootLock};
+	static GetRawTrackScaleData(AnimationSequence: AnimSequence,TrackName: string,ScaleData?: Vector[]): {ScaleData: Vector[]};
+	static GetRawTrackRotationData(AnimationSequence: AnimSequence,TrackName: string,RotationData?: Quat[]): {RotationData: Quat[]};
+	static GetRawTrackPositionData(AnimationSequence: AnimSequence,TrackName: string,PositionData?: Vector[]): {PositionData: Vector[]};
+	static GetRawTrackData(AnimationSequence: AnimSequence,TrackName: string,PositionKeys?: Vector[],RotationKeys?: Quat[],ScalingKeys?: Vector[]): {PositionKeys: Vector[], RotationKeys: Quat[], ScalingKeys: Vector[]};
+	static GetRateScale(AnimationSequence: AnimSequence,RateScale?: number): {RateScale: number};
+	static GetNumFrames(AnimationSequence: AnimSequence,NumFrames?: number): {NumFrames: number};
+	static GetMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass,MetaDataOfClass: AnimMetaData[]): void;
+	static GetMetaData(AnimationSequence: AnimSequence,MetaData: AnimMetaData[]): void;
+	static GetFrameAtTime(AnimationSequence: AnimSequence,Time: number,Frame?: number): {Frame: number};
+	static GetFloatKeys(AnimationSequence: AnimSequence,CurveName: string,Times?: number[],Values?: number[]): {Times: number[], Values: number[]};
+	static GetCompressionScheme(AnimationSequence: AnimSequence,CompressionScheme?: AnimCompress): {CompressionScheme: AnimCompress};
+	static GetBonePosesForTime(AnimationSequence: AnimSequence,BoneNames: string[],Time: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
+	static GetBonePosesForFrame(AnimationSequence: AnimSequence,BoneNames: string[],Frame: number,bExtractRootMotion: boolean,Poses?: Transform[],PreviewMesh?: SkeletalMesh): {Poses: Transform[]};
+	static GetBonePoseForTime(AnimationSequence: AnimSequence,BoneName: string,Time: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
+	static GetBonePoseForFrame(AnimationSequence: AnimSequence,BoneName: string,Frame: number,bExtractRootMotion: boolean,Pose?: Transform): {Pose: Transform};
+	static GetAnimNotifyEventTriggerTime(NotifyEvent: AnimNotifyEvent): number;
+	static GetAnimationTrackNames(AnimationSequence: AnimSequence,TrackNames?: string[]): {TrackNames: string[]};
+	static GetAnimationSyncMarkersForTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,Markers?: AnimSyncMarker[]): {Markers: AnimSyncMarker[]};
+	static GetAnimationSyncMarkers(AnimationSequence: AnimSequence,Markers?: AnimSyncMarker[]): {Markers: AnimSyncMarker[]};
+	static GetAnimationNotifyTrackNames(AnimationSequence: AnimSequence,TrackNames?: string[]): {TrackNames: string[]};
+	static GetAnimationNotifyEventsForTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,Events?: AnimNotifyEvent[]): {Events: AnimNotifyEvent[]};
+	static GetAnimationNotifyEvents(AnimationSequence: AnimSequence,NotifyEvents?: AnimNotifyEvent[]): {NotifyEvents: AnimNotifyEvent[]};
+	static GetAnimationNotifyEventNames(AnimationSequence: AnimSequence,EventNames?: string[]): {EventNames: string[]};
+	static GetAnimationInterpolationType(AnimationSequence: AnimSequence,InterpolationType?: EAnimInterpolationType): {InterpolationType: EAnimInterpolationType};
+	static GetAdditiveBasePoseType(AnimationSequence: AnimSequence,AdditiveBasePoseType?: EAdditiveBasePoseType): {AdditiveBasePoseType: EAdditiveBasePoseType};
+	static GetAdditiveAnimationType(AnimationSequence: AnimSequence,AdditiveAnimationType?: EAdditiveAnimationType): {AdditiveAnimationType: EAdditiveAnimationType};
+	static FindBonePathToRoot(AnimationSequence: AnimSequence,BoneName: string,BonePath?: string[]): {BonePath: string[]};
+	static FinalizeBoneAnimation(AnimationSequence: AnimSequence): void;
+	static DoesCurveExist(AnimationSequence: AnimSequence,CurveName: string,CurveType: ERawCurveTrackTypes): boolean;
+	static DoesBoneNameExist(AnimationSequence: AnimSequence,BoneName: string,bExists?: boolean): {bExists: boolean};
+	static CopyAnimNotifiesFromSequence(SrcAnimSequence: AnimSequence,DestAnimSequence: AnimSequence): void;
+	static ContainsMetaDataOfClass(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass): boolean;
+	static AddVirtualBone(AnimationSequence: AnimSequence,SourceBoneName: string,TargetBoneName: string,VirtualBoneName?: string): {VirtualBoneName: string};
+	static AddVectorCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Vectors: Vector[]): void;
+	static AddVectorCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Vector: Vector): void;
+	static AddTransformationCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Transforms: Transform[]): void;
+	static AddTransformationCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Transform: Transform): void;
+	static AddMetaDataObject(AnimationSequence: AnimSequence,MetaDataObject: AnimMetaData): void;
+	static AddMetaData(AnimationSequence: AnimSequence,MetaDataClass: UnrealEngineClass,MetaDataInstance: AnimMetaData): void;
+	static AddFloatCurveKeys(AnimationSequence: AnimSequence,CurveName: string,Times: number[],Values: number[]): void;
+	static AddFloatCurveKey(AnimationSequence: AnimSequence,CurveName: string,Time: number,Value: number): void;
+	static AddCurve(AnimationSequence: AnimSequence,CurveName: string,CurveType: ERawCurveTrackTypes,bMetaDataCurve: boolean): void;
+	static AddAnimationSyncMarker(AnimationSequence: AnimSequence,MarkerName: string,Time: number,NotifyTrackName: string): void;
+	static AddAnimationNotifyTrack(AnimationSequence: AnimSequence,NotifyTrackName: string,TrackColor: LinearColor): void;
+	static AddAnimationNotifyEventObject(AnimationSequence: AnimSequence,StartTime: number,Notify: AnimNotify,NotifyTrackName: string): void;
+	static AddAnimationNotifyEvent(AnimationSequence: AnimSequence,NotifyTrackName: string,StartTime: number,Duration: number,NotifyClass: UnrealEngineClass): AnimNotify;
+	static C(Other: UObject | any): AnimationBlueprintLibrary;
+}
+
 declare class AnimationModifier extends UObject { 
 	RevisionGuid: Guid;
 	AppliedGuid: Guid;
@@ -22,6 +4681,883 @@ declare class AnimationModifiersAssetUserData extends AssetUserData {
 	static C(Other: UObject | any): AnimationModifiersAssetUserData;
 }
 
+declare class DatasmithObjectTemplate extends UObject { 
+	static Load(ResourceName: string): DatasmithObjectTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithObjectTemplate;
+	static GetDefaultObject(): DatasmithObjectTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithObjectTemplate;
+	static C(Other: UObject | any): DatasmithObjectTemplate;
+}
+
+declare class DatasmithActorTemplate extends DatasmithObjectTemplate { 
+	Layers: any;
+	Tags: any;
+	static Load(ResourceName: string): DatasmithActorTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithActorTemplate;
+	static GetDefaultObject(): DatasmithActorTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithActorTemplate;
+	static C(Other: UObject | any): DatasmithActorTemplate;
+}
+
+declare type EDatasmithAreaLightActorType = 'Point' | 'Spot' | 'Rect' | 'EDatasmithAreaLightActorType_MAX';
+declare var EDatasmithAreaLightActorType : { Point:'Point',Spot:'Spot',Rect:'Rect',EDatasmithAreaLightActorType_MAX:'EDatasmithAreaLightActorType_MAX', };
+declare type EDatasmithAreaLightActorShape = 'Rectangle' | 'Disc' | 'Sphere' | 'Cylinder' | 'None' | 'EDatasmithAreaLightActorShape_MAX';
+declare var EDatasmithAreaLightActorShape : { Rectangle:'Rectangle',Disc:'Disc',Sphere:'Sphere',Cylinder:'Cylinder',None:'None',EDatasmithAreaLightActorShape_MAX:'EDatasmithAreaLightActorShape_MAX', };
+declare class DatasmithAreaLightActor extends Actor { 
+	LightType: EDatasmithAreaLightActorType;
+	LightShape: EDatasmithAreaLightActorShape;
+	Dimensions: Vector2D;
+	Intensity: number;
+	IntensityUnits: ELightUnits;
+	Color: LinearColor;
+	Temperature: number;
+	IESTexture: TextureLightProfile;
+	bUseIESBrightness: boolean;
+	IESBrightnessScale: number;
+	Rotation: Rotator;
+	SourceRadius: number;
+	SourceLength: number;
+	AttenuationRadius: number;
+	SpotlightInnerAngle: number;
+	SpotlightOuterAngle: number;
+	static GetDefaultObject(): DatasmithAreaLightActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithAreaLightActor;
+	static C(Other: UObject | any): DatasmithAreaLightActor;
+}
+
+declare class DatasmithAreaLightActorTemplate extends DatasmithObjectTemplate { 
+	LightType: EDatasmithAreaLightActorType;
+	LightShape: EDatasmithAreaLightActorShape;
+	Dimensions: Vector2D;
+	Color: LinearColor;
+	Intensity: number;
+	IntensityUnits: ELightUnits;
+	Temperature: number;
+	IESTexture: TextureLightProfile;
+	bUseIESBrightness: boolean;
+	IESBrightnessScale: number;
+	Rotation: Rotator;
+	SourceRadius: number;
+	SourceLength: number;
+	AttenuationRadius: number;
+	static Load(ResourceName: string): DatasmithAreaLightActorTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithAreaLightActorTemplate;
+	static GetDefaultObject(): DatasmithAreaLightActorTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithAreaLightActorTemplate;
+	static C(Other: UObject | any): DatasmithAreaLightActorTemplate;
+}
+
+declare class DatasmithAssetImportOptions { 
+	PackagePath: string;
+	clone() : DatasmithAssetImportOptions;
+	static C(Other: UObject | any): DatasmithAssetImportOptions;
+}
+
+declare class DatasmithAssetImportData extends AssetImportData { 
+	AssetImportOptions: DatasmithAssetImportOptions;
+	static Load(ResourceName: string): DatasmithAssetImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithAssetImportData;
+	static GetDefaultObject(): DatasmithAssetImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithAssetImportData;
+	static C(Other: UObject | any): DatasmithAssetImportData;
+}
+
+declare type EDatasmithImportLightmapMin = 'LIGHTMAP_16' | 'LIGHTMAP_32' | 'LIGHTMAP_64' | 'LIGHTMAP_128' | 'LIGHTMAP_256' | 'LIGHTMAP_512' | 'LIGHTMAP_MAX';
+declare var EDatasmithImportLightmapMin : { LIGHTMAP_16:'LIGHTMAP_16',LIGHTMAP_32:'LIGHTMAP_32',LIGHTMAP_64:'LIGHTMAP_64',LIGHTMAP_128:'LIGHTMAP_128',LIGHTMAP_256:'LIGHTMAP_256',LIGHTMAP_512:'LIGHTMAP_512',LIGHTMAP_MAX:'LIGHTMAP_MAX', };
+declare type EDatasmithImportLightmapMax = 'LIGHTMAP_64' | 'LIGHTMAP_128' | 'LIGHTMAP_256' | 'LIGHTMAP_512' | 'LIGHTMAP_1024' | 'LIGHTMAP_2048' | 'LIGHTMAP_4096' | 'LIGHTMAP_MAX';
+declare var EDatasmithImportLightmapMax : { LIGHTMAP_64:'LIGHTMAP_64',LIGHTMAP_128:'LIGHTMAP_128',LIGHTMAP_256:'LIGHTMAP_256',LIGHTMAP_512:'LIGHTMAP_512',LIGHTMAP_1024:'LIGHTMAP_1024',LIGHTMAP_2048:'LIGHTMAP_2048',LIGHTMAP_4096:'LIGHTMAP_4096',LIGHTMAP_MAX:'LIGHTMAP_MAX', };
+declare class DatasmithStaticMeshImportOptions { 
+	MinLightmapResolution: EDatasmithImportLightmapMin;
+	MaxLightmapResolution: EDatasmithImportLightmapMax;
+	bGenerateLightmapUVs: boolean;
+	bRemoveDegenerates: boolean;
+	clone() : DatasmithStaticMeshImportOptions;
+	static C(Other: UObject | any): DatasmithStaticMeshImportOptions;
+}
+
+declare class DatasmithStaticMeshImportData extends DatasmithAssetImportData { 
+	ImportOptions: DatasmithStaticMeshImportOptions;
+	static Load(ResourceName: string): DatasmithStaticMeshImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithStaticMeshImportData;
+	static GetDefaultObject(): DatasmithStaticMeshImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithStaticMeshImportData;
+	static C(Other: UObject | any): DatasmithStaticMeshImportData;
+}
+
+declare type EDatasmithCADStitchingTechnique = 'StitchingNone' | 'StitchingHeal' | 'StitchingSew' | 'EDatasmithCADStitchingTechnique_MAX';
+declare var EDatasmithCADStitchingTechnique : { StitchingNone:'StitchingNone',StitchingHeal:'StitchingHeal',StitchingSew:'StitchingSew',EDatasmithCADStitchingTechnique_MAX:'EDatasmithCADStitchingTechnique_MAX', };
+declare class DatasmithTessellationOptions { 
+	ChordTolerance: number;
+	MaxEdgeLength: number;
+	NormalTolerance: number;
+	StitchingTechnique: EDatasmithCADStitchingTechnique;
+	clone() : DatasmithTessellationOptions;
+	static C(Other: UObject | any): DatasmithTessellationOptions;
+}
+
+declare class DatasmithStaticMeshCADImportData extends DatasmithStaticMeshImportData { 
+	TessellationOptions: DatasmithTessellationOptions;
+	ModelUnit: any;
+	ModelTolerance: any;
+	ResourcePath: string;
+	ResourceFilename: string;
+	AuxiliaryFilenames: string[];
+	static Load(ResourceName: string): DatasmithStaticMeshCADImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithStaticMeshCADImportData;
+	static GetDefaultObject(): DatasmithStaticMeshCADImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithStaticMeshCADImportData;
+	static C(Other: UObject | any): DatasmithStaticMeshCADImportData;
+}
+
+declare type EDatasmithImportScene = 'NewLevel' | 'CurrentLevel' | 'AssetsOnly' | 'EDatasmithImportScene_MAX';
+declare var EDatasmithImportScene : { NewLevel:'NewLevel',CurrentLevel:'CurrentLevel',AssetsOnly:'AssetsOnly',EDatasmithImportScene_MAX:'EDatasmithImportScene_MAX', };
+declare class DatasmithImportBaseOptions { 
+	SceneHandling: EDatasmithImportScene;
+	bIncludeGeometry: boolean;
+	bIncludeMaterial: boolean;
+	bIncludeLight: boolean;
+	bIncludeCamera: boolean;
+	bIncludeAnimation: boolean;
+	AssetOptions: DatasmithAssetImportOptions;
+	StaticMeshOptions: DatasmithStaticMeshImportOptions;
+	clone() : DatasmithImportBaseOptions;
+	static C(Other: UObject | any): DatasmithImportBaseOptions;
+}
+
+declare class DatasmithSceneImportData extends AssetImportData { 
+	BaseOptions: DatasmithImportBaseOptions;
+	static Load(ResourceName: string): DatasmithSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithSceneImportData;
+	static GetDefaultObject(): DatasmithSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSceneImportData;
+	static C(Other: UObject | any): DatasmithSceneImportData;
+}
+
+declare class DatasmithCADImportSceneData extends DatasmithSceneImportData { 
+	TessellationOptions: DatasmithTessellationOptions;
+	static Load(ResourceName: string): DatasmithCADImportSceneData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithCADImportSceneData;
+	static GetDefaultObject(): DatasmithCADImportSceneData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithCADImportSceneData;
+	static C(Other: UObject | any): DatasmithCADImportSceneData;
+}
+
+declare class DatasmithMDLSceneImportData extends DatasmithSceneImportData { 
+	static Load(ResourceName: string): DatasmithMDLSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithMDLSceneImportData;
+	static GetDefaultObject(): DatasmithMDLSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithMDLSceneImportData;
+	static C(Other: UObject | any): DatasmithMDLSceneImportData;
+}
+
+declare class DatasmithGLTFSceneImportData extends DatasmithSceneImportData { 
+	Generator: string;
+	Version: number;
+	Author: string;
+	License: string;
+	Source: string;
+	static Load(ResourceName: string): DatasmithGLTFSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithGLTFSceneImportData;
+	static GetDefaultObject(): DatasmithGLTFSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithGLTFSceneImportData;
+	static C(Other: UObject | any): DatasmithGLTFSceneImportData;
+}
+
+declare class DatasmithStaticMeshGLTFImportData extends DatasmithStaticMeshImportData { 
+	SourceMeshName: string;
+	static Load(ResourceName: string): DatasmithStaticMeshGLTFImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithStaticMeshGLTFImportData;
+	static GetDefaultObject(): DatasmithStaticMeshGLTFImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithStaticMeshGLTFImportData;
+	static C(Other: UObject | any): DatasmithStaticMeshGLTFImportData;
+}
+
+declare class DatasmithDeltaGenAssetImportData extends DatasmithAssetImportData { 
+	static Load(ResourceName: string): DatasmithDeltaGenAssetImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithDeltaGenAssetImportData;
+	static GetDefaultObject(): DatasmithDeltaGenAssetImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithDeltaGenAssetImportData;
+	static C(Other: UObject | any): DatasmithDeltaGenAssetImportData;
+}
+
+declare class DatasmithDeltaGenSceneImportData extends DatasmithSceneImportData { 
+	static Load(ResourceName: string): DatasmithDeltaGenSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithDeltaGenSceneImportData;
+	static GetDefaultObject(): DatasmithDeltaGenSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithDeltaGenSceneImportData;
+	static C(Other: UObject | any): DatasmithDeltaGenSceneImportData;
+}
+
+declare class DatasmithVREDAssetImportData extends DatasmithAssetImportData { 
+	static Load(ResourceName: string): DatasmithVREDAssetImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithVREDAssetImportData;
+	static GetDefaultObject(): DatasmithVREDAssetImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithVREDAssetImportData;
+	static C(Other: UObject | any): DatasmithVREDAssetImportData;
+}
+
+declare class DatasmithVREDSceneImportData extends DatasmithSceneImportData { 
+	static Load(ResourceName: string): DatasmithVREDSceneImportData;
+	static Find(Outer: UObject, ResourceName: string): DatasmithVREDSceneImportData;
+	static GetDefaultObject(): DatasmithVREDSceneImportData;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithVREDSceneImportData;
+	static C(Other: UObject | any): DatasmithVREDSceneImportData;
+}
+
+declare class DatasmithCameraLookatTrackingSettingsTemplate { 
+	bEnableLookAtTracking: boolean;
+	ActorToTrack: Actor;
+	clone() : DatasmithCameraLookatTrackingSettingsTemplate;
+	static C(Other: UObject | any): DatasmithCameraLookatTrackingSettingsTemplate;
+}
+
+declare class DatasmithCineCameraActorTemplate extends DatasmithObjectTemplate { 
+	LookatTrackingSettings: DatasmithCameraLookatTrackingSettingsTemplate;
+	static Load(ResourceName: string): DatasmithCineCameraActorTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithCineCameraActorTemplate;
+	static GetDefaultObject(): DatasmithCineCameraActorTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithCineCameraActorTemplate;
+	static C(Other: UObject | any): DatasmithCineCameraActorTemplate;
+}
+
+declare class DatasmithCameraFilmbackSettingsTemplate { 
+	SensorWidth: number;
+	SensorHeight: number;
+	clone() : DatasmithCameraFilmbackSettingsTemplate;
+	static C(Other: UObject | any): DatasmithCameraFilmbackSettingsTemplate;
+}
+
+declare class DatasmithCameraLensSettingsTemplate { 
+	MaxFStop: number;
+	clone() : DatasmithCameraLensSettingsTemplate;
+	static C(Other: UObject | any): DatasmithCameraLensSettingsTemplate;
+}
+
+declare class DatasmithCameraFocusSettingsTemplate { 
+	FocusMethod: ECameraFocusMethod;
+	ManualFocusDistance: number;
+	clone() : DatasmithCameraFocusSettingsTemplate;
+	static C(Other: UObject | any): DatasmithCameraFocusSettingsTemplate;
+}
+
+declare class DatasmithPostProcessSettingsTemplate { 
+	bOverride_WhiteTemp: boolean;
+	bOverride_ColorSaturation: boolean;
+	bOverride_VignetteIntensity: boolean;
+	bOverride_FilmWhitePoint: boolean;
+	bOverride_AutoExposureMethod: boolean;
+	bOverride_CameraISO: boolean;
+	bOverride_CameraShutterSpeed: boolean;
+	bOverride_DepthOfFieldFstop: boolean;
+	WhiteTemp: number;
+	VignetteIntensity: number;
+	FilmWhitePoint: LinearColor;
+	ColorSaturation: Vector4;
+	AutoExposureMethod: EAutoExposureMethod;
+	CameraISO: number;
+	CameraShutterSpeed: number;
+	DepthOfFieldFstop: number;
+	clone() : DatasmithPostProcessSettingsTemplate;
+	static C(Other: UObject | any): DatasmithPostProcessSettingsTemplate;
+}
+
+declare class DatasmithCineCameraComponentTemplate extends DatasmithObjectTemplate { 
+	FilmbackSettings: DatasmithCameraFilmbackSettingsTemplate;
+	LensSettings: DatasmithCameraLensSettingsTemplate;
+	FocusSettings: DatasmithCameraFocusSettingsTemplate;
+	CurrentFocalLength: number;
+	CurrentAperture: number;
+	PostProcessSettings: DatasmithPostProcessSettingsTemplate;
+	static Load(ResourceName: string): DatasmithCineCameraComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithCineCameraComponentTemplate;
+	static GetDefaultObject(): DatasmithCineCameraComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithCineCameraComponentTemplate;
+	static C(Other: UObject | any): DatasmithCineCameraComponentTemplate;
+}
+
+declare class DatasmithContentBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): DatasmithContentBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): DatasmithContentBlueprintLibrary;
+	static GetDefaultObject(): DatasmithContentBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithContentBlueprintLibrary;
+	static GetDatasmithUserDataValueForKey(UObject: UObject,Key: string): string;
+	static GetDatasmithUserDataKeysAndValuesForValue(UObject: UObject,StringToMatch: string,OutKeys?: string[],OutValues?: string[]): {OutKeys: string[], OutValues: string[]};
+	static GetDatasmithUserData(UObject: UObject): DatasmithAssetUserData;
+	static GetAllObjectsAndValuesForKey(Key: string,ObjectClass: UnrealEngineClass,OutObjects?: UObject[],OutValues?: string[]): {OutObjects: UObject[], OutValues: string[]};
+	static GetAllDatasmithUserData(ObjectClass: UnrealEngineClass,OutUserData?: DatasmithAssetUserData[]): {OutUserData: DatasmithAssetUserData[]};
+	static C(Other: UObject | any): DatasmithContentBlueprintLibrary;
+}
+
+declare type EDatasmithImportSearchPackagePolicy = 'Current' | 'All' | 'EDatasmithImportSearchPackagePolicy_MAX';
+declare var EDatasmithImportSearchPackagePolicy : { Current:'Current',All:'All',EDatasmithImportSearchPackagePolicy_MAX:'EDatasmithImportSearchPackagePolicy_MAX', };
+declare type EDatasmithImportAssetConflictPolicy = 'Replace' | 'Update' | 'Use' | 'Ignore' | 'EDatasmithImportAssetConflictPolicy_MAX';
+declare var EDatasmithImportAssetConflictPolicy : { Replace:'Replace',Update:'Update',Use:'Use',Ignore:'Ignore',EDatasmithImportAssetConflictPolicy_MAX:'EDatasmithImportAssetConflictPolicy_MAX', };
+declare type EDatasmithImportActorPolicy = 'Update' | 'Full' | 'Ignore' | 'EDatasmithImportActorPolicy_MAX';
+declare var EDatasmithImportActorPolicy : { Update:'Update',Full:'Full',Ignore:'Ignore',EDatasmithImportActorPolicy_MAX:'EDatasmithImportActorPolicy_MAX', };
+declare type EDatasmithImportMaterialQuality = 'UseNoFresnelCurves' | 'UseSimplifierFresnelCurves' | 'UseRealFresnelCurves' | 'EDatasmithImportMaterialQuality_MAX';
+declare var EDatasmithImportMaterialQuality : { UseNoFresnelCurves:'UseNoFresnelCurves',UseSimplifierFresnelCurves:'UseSimplifierFresnelCurves',UseRealFresnelCurves:'UseRealFresnelCurves',EDatasmithImportMaterialQuality_MAX:'EDatasmithImportMaterialQuality_MAX', };
+declare class DatasmithReimportOptions { 
+	bUpdateActors: boolean;
+	bRespawnDeletedActors: boolean;
+	clone() : DatasmithReimportOptions;
+	static C(Other: UObject | any): DatasmithReimportOptions;
+}
+
+declare class DatasmithImportOptions extends UObject { 
+	SearchPackagePolicy: EDatasmithImportSearchPackagePolicy;
+	MaterialConflictPolicy: EDatasmithImportAssetConflictPolicy;
+	TextureConflictPolicy: EDatasmithImportAssetConflictPolicy;
+	StaticMeshActorImportPolicy: EDatasmithImportActorPolicy;
+	LightImportPolicy: EDatasmithImportActorPolicy;
+	CameraImportPolicy: EDatasmithImportActorPolicy;
+	OtherActorImportPolicy: EDatasmithImportActorPolicy;
+	MaterialQuality: EDatasmithImportMaterialQuality;
+	BaseOptions: DatasmithImportBaseOptions;
+	TessellationOptions: DatasmithTessellationOptions;
+	ReimportOptions: DatasmithReimportOptions;
+	Filename: string;
+	FilePath: string;
+	static Load(ResourceName: string): DatasmithImportOptions;
+	static Find(Outer: UObject, ResourceName: string): DatasmithImportOptions;
+	static GetDefaultObject(): DatasmithImportOptions;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithImportOptions;
+	static C(Other: UObject | any): DatasmithImportOptions;
+}
+
+declare class DatasmithLandscapeTemplate extends DatasmithObjectTemplate { 
+	LandscapeMaterial: MaterialInterface;
+	StaticLightingLOD: number;
+	static Load(ResourceName: string): DatasmithLandscapeTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithLandscapeTemplate;
+	static GetDefaultObject(): DatasmithLandscapeTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithLandscapeTemplate;
+	static C(Other: UObject | any): DatasmithLandscapeTemplate;
+}
+
+declare class DatasmithLightComponentTemplate extends DatasmithObjectTemplate { 
+	bVisible: boolean;
+	CastShadows: boolean;
+	bUseTemperature: boolean;
+	bUseIESBrightness: boolean;
+	Intensity: number;
+	Temperature: number;
+	IESBrightnessScale: number;
+	LightColor: LinearColor;
+	LightFunctionMaterial: MaterialInterface;
+	IESTexture: TextureLightProfile;
+	static Load(ResourceName: string): DatasmithLightComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithLightComponentTemplate;
+	static GetDefaultObject(): DatasmithLightComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithLightComponentTemplate;
+	static C(Other: UObject | any): DatasmithLightComponentTemplate;
+}
+
+declare class DatasmithStaticParameterSetTemplate { 
+	StaticSwitchParameters: any;
+	clone() : DatasmithStaticParameterSetTemplate;
+	static C(Other: UObject | any): DatasmithStaticParameterSetTemplate;
+}
+
+declare class DatasmithMaterialInstanceTemplate extends DatasmithObjectTemplate { 
+	ScalarParameterValues: any;
+	VectorParameterValues: any;
+	TextureParameterValues: any;
+	StaticParameters: DatasmithStaticParameterSetTemplate;
+	static Load(ResourceName: string): DatasmithMaterialInstanceTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithMaterialInstanceTemplate;
+	static GetDefaultObject(): DatasmithMaterialInstanceTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithMaterialInstanceTemplate;
+	static C(Other: UObject | any): DatasmithMaterialInstanceTemplate;
+}
+
+declare class DatasmithPointLightComponentTemplate extends DatasmithObjectTemplate { 
+	IntensityUnits: ELightUnits;
+	SourceRadius: number;
+	SourceLength: number;
+	AttenuationRadius: number;
+	static Load(ResourceName: string): DatasmithPointLightComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithPointLightComponentTemplate;
+	static GetDefaultObject(): DatasmithPointLightComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithPointLightComponentTemplate;
+	static C(Other: UObject | any): DatasmithPointLightComponentTemplate;
+}
+
+declare class DatasmithPostProcessVolumeTemplate extends DatasmithObjectTemplate { 
+	Settings: DatasmithPostProcessSettingsTemplate;
+	bEnabled: boolean;
+	bUnbound: boolean;
+	static Load(ResourceName: string): DatasmithPostProcessVolumeTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithPostProcessVolumeTemplate;
+	static GetDefaultObject(): DatasmithPostProcessVolumeTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithPostProcessVolumeTemplate;
+	static C(Other: UObject | any): DatasmithPostProcessVolumeTemplate;
+}
+
+declare class DatasmithScene extends UObject { 
+	DataPrepRecipeBP: Blueprint;
+	AssetImportData: DatasmithSceneImportData;
+	BulkDataVersion: number;
+	StaticMeshes: any;
+	Textures: any;
+	Materials: any;
+	LevelSequences: any;
+	static Load(ResourceName: string): DatasmithScene;
+	static Find(Outer: UObject, ResourceName: string): DatasmithScene;
+	static GetDefaultObject(): DatasmithScene;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithScene;
+	static C(Other: UObject | any): DatasmithScene;
+}
+
+declare class DatasmithSceneActor extends Actor { 
+	Scene: DatasmithScene;
+	RelatedActors: any;
+	static GetDefaultObject(): DatasmithSceneActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSceneActor;
+	static C(Other: UObject | any): DatasmithSceneActor;
+}
+
+declare class DatasmithSceneComponentTemplate extends DatasmithObjectTemplate { 
+	RelativeTransform: Transform;
+	Mobility: EComponentMobility;
+	AttachParent: SceneComponent;
+	Tags: any;
+	static Load(ResourceName: string): DatasmithSceneComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithSceneComponentTemplate;
+	static GetDefaultObject(): DatasmithSceneComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSceneComponentTemplate;
+	static C(Other: UObject | any): DatasmithSceneComponentTemplate;
+}
+
+declare class DatasmithSkyLightComponentTemplate extends DatasmithObjectTemplate { 
+	SourceType: ESkyLightSourceType;
+	CubemapResolution: number;
+	Cubemap: TextureCube;
+	static Load(ResourceName: string): DatasmithSkyLightComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithSkyLightComponentTemplate;
+	static GetDefaultObject(): DatasmithSkyLightComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSkyLightComponentTemplate;
+	static C(Other: UObject | any): DatasmithSkyLightComponentTemplate;
+}
+
+declare class DatasmithSpotLightComponentTemplate extends DatasmithObjectTemplate { 
+	InnerConeAngle: number;
+	OuterConeAngle: number;
+	static Load(ResourceName: string): DatasmithSpotLightComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithSpotLightComponentTemplate;
+	static GetDefaultObject(): DatasmithSpotLightComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSpotLightComponentTemplate;
+	static C(Other: UObject | any): DatasmithSpotLightComponentTemplate;
+}
+
+declare class DatasmithStaticMeshComponentTemplate extends DatasmithSceneComponentTemplate { 
+	StaticMesh: StaticMesh;
+	OverrideMaterials: MaterialInterface[];
+	static Load(ResourceName: string): DatasmithStaticMeshComponentTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithStaticMeshComponentTemplate;
+	static GetDefaultObject(): DatasmithStaticMeshComponentTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithStaticMeshComponentTemplate;
+	static C(Other: UObject | any): DatasmithStaticMeshComponentTemplate;
+}
+
+declare class DatasmithMeshSectionInfoMapTemplate { 
+	Map: any;
+	clone() : DatasmithMeshSectionInfoMapTemplate;
+	static C(Other: UObject | any): DatasmithMeshSectionInfoMapTemplate;
+}
+
+declare class DatasmithMeshBuildSettingsTemplate { 
+	bUseMikkTSpace: boolean;
+	bRecomputeNormals: boolean;
+	bRecomputeTangents: boolean;
+	bRemoveDegenerates: boolean;
+	bBuildAdjacencyBuffer: boolean;
+	bUseHighPrecisionTangentBasis: boolean;
+	bUseFullPrecisionUVs: boolean;
+	bGenerateLightmapUVs: boolean;
+	MinLightmapResolution: number;
+	SrcLightmapIndex: number;
+	DstLightmapIndex: number;
+	clone() : DatasmithMeshBuildSettingsTemplate;
+	static C(Other: UObject | any): DatasmithMeshBuildSettingsTemplate;
+}
+
+declare class DatasmithStaticMaterialTemplate { 
+	MaterialSlotName: string;
+	MaterialInterface: MaterialInterface;
+	clone() : DatasmithStaticMaterialTemplate;
+	static C(Other: UObject | any): DatasmithStaticMaterialTemplate;
+}
+
+declare class DatasmithStaticMeshTemplate extends DatasmithObjectTemplate { 
+	SectionInfoMap: DatasmithMeshSectionInfoMapTemplate;
+	LightMapCoordinateIndex: number;
+	LightMapResolution: number;
+	BuildSettings: DatasmithMeshBuildSettingsTemplate[];
+	StaticMaterials: DatasmithStaticMaterialTemplate[];
+	static Load(ResourceName: string): DatasmithStaticMeshTemplate;
+	static Find(Outer: UObject, ResourceName: string): DatasmithStaticMeshTemplate;
+	static GetDefaultObject(): DatasmithStaticMeshTemplate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithStaticMeshTemplate;
+	static C(Other: UObject | any): DatasmithStaticMeshTemplate;
+}
+
+declare class MRMeshComponent extends PrimitiveComponent { 
+	Material: MaterialInterface;
+	bCreateMeshProxySections: boolean;
+	bUpdateNavMeshOnMeshUpdate: boolean;
+	bNeverCreateCollisionMesh: boolean;
+	CachedBodySetup: BodySetup;
+	BodySetups: BodySetup[];
+	static Load(ResourceName: string): MRMeshComponent;
+	static Find(Outer: UObject, ResourceName: string): MRMeshComponent;
+	static GetDefaultObject(): MRMeshComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MRMeshComponent;
+	IsConnected(): boolean;
+	ForceNavMeshUpdate(): void;
+	Clear(): void;
+	static C(Other: UObject | any): MRMeshComponent;
+}
+
+declare class MeshReconstructorBase extends UObject { 
+	static Load(ResourceName: string): MeshReconstructorBase;
+	static Find(Outer: UObject, ResourceName: string): MeshReconstructorBase;
+	static GetDefaultObject(): MeshReconstructorBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshReconstructorBase;
+	StopReconstruction(): void;
+	StartReconstruction(): void;
+	PauseReconstruction(): void;
+	IsReconstructionStarted(): boolean;
+	IsReconstructionPaused(): boolean;
+	DisconnectMRMesh(): void;
+	ConnectMRMesh(Mesh: MRMeshComponent): void;
+	static C(Other: UObject | any): MeshReconstructorBase;
+}
+
+declare type EMeshTrackerVertexColorMode = 'None' | 'Confidence' | 'Block' | 'EMeshTrackerVertexColorMode_MAX';
+declare var EMeshTrackerVertexColorMode : { None:'None',Confidence:'Confidence',Block:'Block',EMeshTrackerVertexColorMode_MAX:'EMeshTrackerVertexColorMode_MAX', };
+declare class MockDataMeshTrackerComponent extends SceneComponent { 
+	OnMeshTrackerUpdated: UnrealEngineMulticastDelegate<(index: number, Vertices: Vector[], Triangles: number[], Normals: Vector[], Confidence: number[]) => void>;
+	ScanWorld: boolean;
+	RequestNormals: boolean;
+	RequestVertexConfidence: boolean;
+	VertexColorMode: EMeshTrackerVertexColorMode;
+	BlockVertexColors: Color[];
+	VertexColorFromConfidenceZero: LinearColor;
+	VertexColorFromConfidenceOne: LinearColor;
+	UpdateInterval: number;
+	MRMesh: MRMeshComponent;
+	static Load(ResourceName: string): MockDataMeshTrackerComponent;
+	static Find(Outer: UObject, ResourceName: string): MockDataMeshTrackerComponent;
+	static GetDefaultObject(): MockDataMeshTrackerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockDataMeshTrackerComponent;
+	DisconnectMRMesh(InMRMeshPtr: MRMeshComponent): void;
+	ConnectMRMesh(InMRMeshPtr: MRMeshComponent): void;
+	static C(Other: UObject | any): MockDataMeshTrackerComponent;
+}
+
+declare class MagicLeapSecureStorage extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapSecureStorage;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapSecureStorage;
+	static GetDefaultObject(): MagicLeapSecureStorage;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapSecureStorage;
+	static PutSecureVector(Key: string,DataToStore: Vector): boolean;
+	static PutSecureTransform(Key: string,DataToStore: Transform): boolean;
+	static PutSecureString(Key: string,DataToStore: string): boolean;
+	static PutSecureRotator(Key: string,DataToStore: Rotator): boolean;
+	static PutSecureInt(Key: string,DataToStore: number): boolean;
+	static PutSecureFloat(Key: string,DataToStore: number): boolean;
+	static PutSecureByte(Key: string,DataToStore: number): boolean;
+	static PutSecureBool(Key: string,DataToStore: boolean): boolean;
+	static GetSecureVector(Key: string,DataToRetrieve?: Vector): {DataToRetrieve: Vector, $: boolean};
+	static GetSecureTransform(Key: string,DataToRetrieve?: Transform): {DataToRetrieve: Transform, $: boolean};
+	static GetSecureString(Key: string,DataToRetrieve?: string): {DataToRetrieve: string, $: boolean};
+	static GetSecureRotator(Key: string,DataToRetrieve?: Rotator): {DataToRetrieve: Rotator, $: boolean};
+	static GetSecureInt(Key: string,DataToRetrieve?: number): {DataToRetrieve: number, $: boolean};
+	static GetSecureFloat(Key: string,DataToRetrieve?: number): {DataToRetrieve: number, $: boolean};
+	static GetSecureByte(Key: string,DataToRetrieve?: number): {DataToRetrieve: number, $: boolean};
+	static GetSecureBool(Key: string,DataToRetrieve?: boolean): {DataToRetrieve: boolean, $: boolean};
+	static DeleteSecureData(Key: string): boolean;
+	static C(Other: UObject | any): MagicLeapSecureStorage;
+}
+
+declare class CameraCaptureComponent extends ActorComponent { 
+	CaptureLogMessage: UnrealEngineMulticastDelegate<(LogMessage: string) => void>;
+	static Load(ResourceName: string): CameraCaptureComponent;
+	static Find(Outer: UObject, ResourceName: string): CameraCaptureComponent;
+	static GetDefaultObject(): CameraCaptureComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CameraCaptureComponent;
+	IsCapturing(): boolean;
+	static C(Other: UObject | any): CameraCaptureComponent;
+}
+
+declare class ImageTrackerComponent extends SceneComponent { 
+	OnSetImageTargetSucceeded: UnrealEngineMulticastDelegate<() => void>;
+	OnSetImageTargetFailed: UnrealEngineMulticastDelegate<() => void>;
+	OnImageTargetFound: UnrealEngineMulticastDelegate<() => void>;
+	OnImageTargetLost: UnrealEngineMulticastDelegate<() => void>;
+	OnImageTargetUnreliableTracking: UnrealEngineMulticastDelegate<(LastTrackedLocation: Vector, LastTrackedRotation: Rotator, NewUnreliableLocation: Vector, NewUnreliableRotation: Rotator) => void>;
+	TargetImageTexture: Texture2D;
+	Name: string;
+	LongerDimension: number;
+	bIsStationary: boolean;
+	bUseUnreliablePose: boolean;
+	static Load(ResourceName: string): ImageTrackerComponent;
+	static Find(Outer: UObject, ResourceName: string): ImageTrackerComponent;
+	static GetDefaultObject(): ImageTrackerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageTrackerComponent;
+	SetTargetAsync(ImageTarget: Texture2D): boolean;
+	static C(Other: UObject | any): ImageTrackerComponent;
+}
+
+declare class ImageTrackerFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): ImageTrackerFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): ImageTrackerFunctionLibrary;
+	static GetDefaultObject(): ImageTrackerFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ImageTrackerFunctionLibrary;
+	static SetMaxSimultaneousTargets(MaxSimultaneousTargets: number): void;
+	static IsImageTrackingEnabled(): boolean;
+	static GetMaxSimultaneousTargets(): number;
+	static EnableImageTracking(bEnable: boolean): void;
+	static C(Other: UObject | any): ImageTrackerFunctionLibrary;
+}
+
+declare type PurchaseType = 'Consumable' | 'Nonconsumable' | 'Undefined' | 'PurchaseType_MAX';
+declare var PurchaseType : { Consumable:'Consumable',Nonconsumable:'Nonconsumable',Undefined:'Undefined',PurchaseType_MAX:'PurchaseType_MAX', };
+declare class PurchaseItemDetails { 
+	Price: string;
+	Name: string;
+	Type: PurchaseType;
+	clone() : PurchaseItemDetails;
+	static C(Other: UObject | any): PurchaseItemDetails;
+}
+
+declare class PurchaseConfirmation { 
+	PackageName: string;
+	Type: PurchaseType;
+	clone() : PurchaseConfirmation;
+	static C(Other: UObject | any): PurchaseConfirmation;
+}
+
+declare class InAppPurchaseComponent extends ActorComponent { 
+	InAppPurchaseLogMessage: UnrealEngineMulticastDelegate<(LogMessage: string) => void>;
+	GetItemsDetailsSuccess: UnrealEngineMulticastDelegate<(ItemsDetails: PurchaseItemDetails[]) => void>;
+	GetItemsDetailsFailure: UnrealEngineMulticastDelegate<() => void>;
+	PurchaseConfirmationSuccess: UnrealEngineMulticastDelegate<(PurchaseConfirmations: PurchaseConfirmation) => void>;
+	PurchaseConfirmationFailure: UnrealEngineMulticastDelegate<() => void>;
+	GetPurchaseHistorySuccess: UnrealEngineMulticastDelegate<(PurchaseHistory: PurchaseConfirmation[]) => void>;
+	GetPurchaseHistoryFailure: UnrealEngineMulticastDelegate<() => void>;
+	static Load(ResourceName: string): InAppPurchaseComponent;
+	static Find(Outer: UObject, ResourceName: string): InAppPurchaseComponent;
+	static GetDefaultObject(): InAppPurchaseComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): InAppPurchaseComponent;
+	TryPurchaseItemAsync(ItemDetails: PurchaseItemDetails): boolean;
+	TryGetPurchaseHistoryAsync(InNumPages: number): boolean;
+	TryGetItemsDetailsAsync(ItemIDs: string[]): boolean;
+	static C(Other: UObject | any): InAppPurchaseComponent;
+}
+
+declare class LightingTrackingComponent extends ActorComponent { 
+	UseGlobalAmbience: boolean;
+	UseColorTemp: boolean;
+	static Load(ResourceName: string): LightingTrackingComponent;
+	static Find(Outer: UObject, ResourceName: string): LightingTrackingComponent;
+	static GetDefaultObject(): LightingTrackingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LightingTrackingComponent;
+	static C(Other: UObject | any): LightingTrackingComponent;
+}
+
+declare class MagicLeapARPinFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapARPinFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapARPinFunctionLibrary;
+	static GetDefaultObject(): MagicLeapARPinFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapARPinFunctionLibrary;
+	static GetNumAvailableARPins(Count?: number): {Count: number, $: EPassableWorldError};
+	static GetClosestARPin(SearchPoint: Vector,PinID?: Guid): {PinID: Guid, $: EPassableWorldError};
+	static GetAvailableARPins(NumRequested: number,Pins?: Guid[]): {Pins: Guid[], $: EPassableWorldError};
+	static GetARPinPositionAndOrientation(PinID: Guid,Position?: Vector,Orientation?: Rotator,PinFoundInEnvironment?: boolean): {Position: Vector, Orientation: Rotator, PinFoundInEnvironment: boolean, $: boolean};
+	static C(Other: UObject | any): MagicLeapARPinFunctionLibrary;
+}
+
+declare type EAutoPinType = 'OnlyOnDataRestoration' | 'Always' | 'Never' | 'EAutoPinType_MAX';
+declare var EAutoPinType : { OnlyOnDataRestoration:'OnlyOnDataRestoration',Always:'Always',Never:'Never',EAutoPinType_MAX:'EAutoPinType_MAX', };
+declare class MagicLeapARPinComponent extends SceneComponent { 
+	ObjectUID: string;
+	AutoPinType: EAutoPinType;
+	bShouldPinActor: boolean;
+	OnPersistentEntityPinned: UnrealEngineMulticastDelegate<(bRestoredOrSynced: boolean) => void>;
+	PinnedCFUID: Guid;
+	PinnedSceneComponent: SceneComponent;
+	static Load(ResourceName: string): MagicLeapARPinComponent;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapARPinComponent;
+	static GetDefaultObject(): MagicLeapARPinComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapARPinComponent;
+	UnPin(): void;
+	PinSceneComponent(ComponentToPin: SceneComponent): boolean;
+	PinRestoredOrSynced(): boolean;
+	PinActor(ActorToPin: Actor): boolean;
+	IsPinned(): boolean;
+	GetPinnedPinID(PinID?: Guid): {PinID: Guid, $: boolean};
+	static C(Other: UObject | any): MagicLeapARPinComponent;
+}
+
+declare type EHeadTrackingMode = 'PositionAndOrientation' | 'OrientationOnly' | 'Unknown' | 'EHeadTrackingMode_MAX';
+declare var EHeadTrackingMode : { PositionAndOrientation:'PositionAndOrientation',OrientationOnly:'OrientationOnly',Unknown:'Unknown',EHeadTrackingMode_MAX:'EHeadTrackingMode_MAX', };
+declare type EHeadTrackingError = 'None' | 'NotEnoughFeatures' | 'LowLight' | 'Unknown' | 'EHeadTrackingError_MAX';
+declare var EHeadTrackingError : { None:'None',NotEnoughFeatures:'NotEnoughFeatures',LowLight:'LowLight',Unknown:'Unknown',EHeadTrackingError_MAX:'EHeadTrackingError_MAX', };
+declare class HeadTrackingState { 
+	Mode: EHeadTrackingMode;
+	Error: EHeadTrackingError;
+	Confidence: number;
+	clone() : HeadTrackingState;
+	static C(Other: UObject | any): HeadTrackingState;
+	GetHeadTrackingState(): {State: HeadTrackingState, $: boolean};
+	static GetHeadTrackingState(State?: HeadTrackingState): {State: HeadTrackingState, $: boolean};
+}
+
+declare class MagicLeapHMDFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapHMDFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapHMDFunctionLibrary;
+	static GetDefaultObject(): MagicLeapHMDFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapHMDFunctionLibrary;
+	static SetFocusActor(InFocusActor: Actor): void;
+	static SetBaseRotation(InBaseRotation: Rotator): void;
+	static SetBasePosition(InBasePosition: Vector): void;
+	static SetBaseOrientation(InBaseOrientation: Quat): void;
+	static IsRunningOnMagicLeapHMD(): boolean;
+	static GetMLSDKVersionRevision(): number;
+	static GetMLSDKVersionMinor(): number;
+	static GetMLSDKVersionMajor(): number;
+	static GetMLSDKVersion(): string;
+	static GetHeadTrackingState(State?: HeadTrackingState): {State: HeadTrackingState, $: boolean};
+	static C(Other: UObject | any): MagicLeapHMDFunctionLibrary;
+}
+
+declare type EMagicLeapPrivilege = 'Invalid' | 'AudioRecognizer' | 'BatteryInfo' | 'CameraCapture' | 'WorldReconstruction' | 'InAppPurchase' | 'AudioCaptureMic' | 'DrmCertificates' | 'Occlusion' | 'LowLatencyLightwear' | 'Internet' | 'IdentityRead' | 'BackgroundDownload' | 'BackgroundUpload' | 'MediaDrm' | 'Media' | 'MediaMetadata' | 'PowerInfo' | 'LocalAreaNetwork' | 'VoiceInput' | 'Documents' | 'ConnectBackgroundMusicService' | 'RegisterBackgroundMusicService' | 'PwFoundObjRead' | 'NormalNotificationsUsage' | 'MusicService' | 'ControllerPose' | 'ScreensProvider' | 'GesturesSubscribe' | 'GesturesConfig' | 'EMagicLeapPrivilege_MAX';
+declare var EMagicLeapPrivilege : { Invalid:'Invalid',AudioRecognizer:'AudioRecognizer',BatteryInfo:'BatteryInfo',CameraCapture:'CameraCapture',WorldReconstruction:'WorldReconstruction',InAppPurchase:'InAppPurchase',AudioCaptureMic:'AudioCaptureMic',DrmCertificates:'DrmCertificates',Occlusion:'Occlusion',LowLatencyLightwear:'LowLatencyLightwear',Internet:'Internet',IdentityRead:'IdentityRead',BackgroundDownload:'BackgroundDownload',BackgroundUpload:'BackgroundUpload',MediaDrm:'MediaDrm',Media:'Media',MediaMetadata:'MediaMetadata',PowerInfo:'PowerInfo',LocalAreaNetwork:'LocalAreaNetwork',VoiceInput:'VoiceInput',Documents:'Documents',ConnectBackgroundMusicService:'ConnectBackgroundMusicService',RegisterBackgroundMusicService:'RegisterBackgroundMusicService',PwFoundObjRead:'PwFoundObjRead',NormalNotificationsUsage:'NormalNotificationsUsage',MusicService:'MusicService',ControllerPose:'ControllerPose',ScreensProvider:'ScreensProvider',GesturesSubscribe:'GesturesSubscribe',GesturesConfig:'GesturesConfig',EMagicLeapPrivilege_MAX:'EMagicLeapPrivilege_MAX', };
+declare class MagicLeapPrivileges extends ActorComponent { 
+	static Load(ResourceName: string): MagicLeapPrivileges;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapPrivileges;
+	static GetDefaultObject(): MagicLeapPrivileges;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapPrivileges;
+	RequestPrivilege(Privilege: EMagicLeapPrivilege): boolean;
+	CheckPrivilege(Privilege: EMagicLeapPrivilege): boolean;
+	static C(Other: UObject | any): MagicLeapPrivileges;
+}
+
+declare class MagicLeapSettings extends UObject { 
+	bEnableZI: boolean;
+	bUseVulkanForZI: boolean;
+	static Load(ResourceName: string): MagicLeapSettings;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapSettings;
+	static GetDefaultObject(): MagicLeapSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapSettings;
+	static C(Other: UObject | any): MagicLeapSettings;
+}
+
+declare type EMeshState = 'New' | 'Updated' | 'Deleted' | 'Unchanged' | 'EMeshState_MAX';
+declare var EMeshState : { New:'New',Updated:'Updated',Deleted:'Deleted',Unchanged:'Unchanged',EMeshState_MAX:'EMeshState_MAX', };
+declare class MeshBlockInfo { 
+	BlockID: Guid;
+	BlockPosition: Vector;
+	BlockOrientation: Rotator;
+	BlockDimensions: Vector;
+	Timestamp: Timespan;
+	BlockState: EMeshState;
+	clone() : MeshBlockInfo;
+	static C(Other: UObject | any): MeshBlockInfo;
+}
+
+declare class MLTrackingMeshInfo { 
+	Timestamp: Timespan;
+	BlockData: MeshBlockInfo[];
+	clone() : MLTrackingMeshInfo;
+	static C(Other: UObject | any): MLTrackingMeshInfo;
+}
+
+declare type EMeshLOD = 'Minimum' | 'Medium' | 'Maximum' | 'EMeshLOD_MAX';
+declare var EMeshLOD : { Minimum:'Minimum',Medium:'Medium',Maximum:'Maximum',EMeshLOD_MAX:'EMeshLOD_MAX', };
+declare class MeshBlockRequest { 
+	BlockID: Guid;
+	LevelOfDetail: EMeshLOD;
+	clone() : MeshBlockRequest;
+	static C(Other: UObject | any): MeshBlockRequest;
+}
+
+declare class MeshBlockSelectorInterface extends Interface { 
+	static Load(ResourceName: string): MeshBlockSelectorInterface;
+	static Find(Outer: UObject, ResourceName: string): MeshBlockSelectorInterface;
+	static GetDefaultObject(): MeshBlockSelectorInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshBlockSelectorInterface;
+	SelectMeshBlocks(NewMeshInfo: MLTrackingMeshInfo,RequestedMesh?: MeshBlockRequest[]): {RequestedMesh: MeshBlockRequest[]};
+	static C(Other: UObject | any): MeshBlockSelectorInterface;
+}
+
+declare type EMeshType = 'Triangles' | 'PointCloud' | 'EMeshType_MAX';
+declare var EMeshType : { Triangles:'Triangles',PointCloud:'PointCloud',EMeshType_MAX:'EMeshType_MAX', };
+declare type EMLMeshVertexColorMode = 'None' | 'Confidence' | 'Block' | 'LOD' | 'EMLMeshVertexColorMode_MAX';
+declare var EMLMeshVertexColorMode : { None:'None',Confidence:'Confidence',Block:'Block',LOD:'LOD',EMLMeshVertexColorMode_MAX:'EMLMeshVertexColorMode_MAX', };
+declare class MeshTrackerComponent extends SceneComponent { 
+	OnMeshTrackerUpdated: UnrealEngineMulticastDelegate<(ID: Guid, Vertices: Vector[], Triangles: number[], Normals: Vector[], Confidence: number[]) => void>;
+	ScanWorld: boolean;
+	MeshType: EMeshType;
+	BoundingVolume: BoxComponent;
+	LevelOfDetail: EMeshLOD;
+	PerimeterOfGapsToFill: number;
+	Planarize: boolean;
+	DisconnectedSectionArea: number;
+	RequestNormals: boolean;
+	RequestVertexConfidence: boolean;
+	VertexColorMode: EMLMeshVertexColorMode;
+	BlockVertexColors: Color[];
+	VertexColorFromConfidenceZero: LinearColor;
+	VertexColorFromConfidenceOne: LinearColor;
+	RemoveOverlappingTriangles: boolean;
+	MRMesh: MRMeshComponent;
+	static Load(ResourceName: string): MeshTrackerComponent;
+	static Find(Outer: UObject, ResourceName: string): MeshTrackerComponent;
+	static GetDefaultObject(): MeshTrackerComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshTrackerComponent;
+	SelectMeshBlocks(NewMeshInfo: MLTrackingMeshInfo,RequestedMesh?: MeshBlockRequest[]): {RequestedMesh: MeshBlockRequest[]};
+	DisconnectMRMesh(InMRMeshPtr: MRMeshComponent): void;
+	DisconnectBlockSelector(): void;
+	ConnectMRMesh(InMRMeshPtr: MRMeshComponent): void;
+	static C(Other: UObject | any): MeshTrackerComponent;
+}
+
+declare class PlanesComponent extends SceneComponent { 
+	QueryFlags: EPlaneQueryFlags[];
+	SearchVolume: BoxComponent;
+	MaxResults: number;
+	MinHolePerimeter: number;
+	MinPlaneArea: number;
+	IgnoreBoundingVolume: boolean;
+	static Load(ResourceName: string): PlanesComponent;
+	static Find(Outer: UObject, ResourceName: string): PlanesComponent;
+	static GetDefaultObject(): PlanesComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlanesComponent;
+	static C(Other: UObject | any): PlanesComponent;
+}
+
+declare class RaycastComponent extends ActorComponent { 
+	static Load(ResourceName: string): RaycastComponent;
+	static Find(Outer: UObject, ResourceName: string): RaycastComponent;
+	static GetDefaultObject(): RaycastComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): RaycastComponent;
+	static C(Other: UObject | any): RaycastComponent;
+}
+
+declare class WmfMediaSettings extends UObject { 
+	AllowNonStandardCodecs: boolean;
+	LowLatency: boolean;
+	NativeAudioOut: boolean;
+	HardwareAcceleratedVideoDecoding: boolean;
+	static Load(ResourceName: string): WmfMediaSettings;
+	static Find(Outer: UObject, ResourceName: string): WmfMediaSettings;
+	static GetDefaultObject(): WmfMediaSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WmfMediaSettings;
+	static C(Other: UObject | any): WmfMediaSettings;
+}
+
 declare class NamedInterface { 
 	InterfaceName: string;
 	InterfaceObject: UObject;
@@ -393,6 +5929,8 @@ declare class OnlineSessionClient extends OnlineSession {
 declare class PlayerReservation { 
 	UniqueId: UniqueNetIdRepl;
 	ValidationStr: string;
+	Platform: string;
+	bAllowCrossplay: boolean;
 	ElapsedTime: number;
 	clone() : PlayerReservation;
 	static C(Other: UObject | any): PlayerReservation;
@@ -408,8 +5946,8 @@ declare class PartyReservation {
 
 declare type EClientRequestType = 'NonePending' | 'ExistingSessionReservation' | 'ReservationUpdate' | 'EmptyServerReservation' | 'Reconnect' | 'Abandon' | 'EClientRequestType_MAX';
 declare var EClientRequestType : { NonePending:'NonePending',ExistingSessionReservation:'ExistingSessionReservation',ReservationUpdate:'ReservationUpdate',EmptyServerReservation:'EmptyServerReservation',Reconnect:'Reconnect',Abandon:'Abandon',EClientRequestType_MAX:'EClientRequestType_MAX', };
-declare type EPartyReservationResult = 'NoResult' | 'RequestPending' | 'GeneralError' | 'PartyLimitReached' | 'IncorrectPlayerCount' | 'RequestTimedOut' | 'ReservationDuplicate' | 'ReservationNotFound' | 'ReservationAccepted' | 'ReservationDenied' | 'ReservationDenied_Banned' | 'ReservationRequestCanceled' | 'ReservationInvalid' | 'BadSessionId' | 'ReservationDenied_ContainsExistingPlayers' | 'EPartyReservationResult_MAX';
-declare var EPartyReservationResult : { NoResult:'NoResult',RequestPending:'RequestPending',GeneralError:'GeneralError',PartyLimitReached:'PartyLimitReached',IncorrectPlayerCount:'IncorrectPlayerCount',RequestTimedOut:'RequestTimedOut',ReservationDuplicate:'ReservationDuplicate',ReservationNotFound:'ReservationNotFound',ReservationAccepted:'ReservationAccepted',ReservationDenied:'ReservationDenied',ReservationDenied_Banned:'ReservationDenied_Banned',ReservationRequestCanceled:'ReservationRequestCanceled',ReservationInvalid:'ReservationInvalid',BadSessionId:'BadSessionId',ReservationDenied_ContainsExistingPlayers:'ReservationDenied_ContainsExistingPlayers',EPartyReservationResult_MAX:'EPartyReservationResult_MAX', };
+declare type EPartyReservationResult = 'NoResult' | 'RequestPending' | 'GeneralError' | 'PartyLimitReached' | 'IncorrectPlayerCount' | 'RequestTimedOut' | 'ReservationDuplicate' | 'ReservationNotFound' | 'ReservationAccepted' | 'ReservationDenied' | 'ReservationDenied_CrossPlayRestriction' | 'ReservationDenied_Banned' | 'ReservationRequestCanceled' | 'ReservationInvalid' | 'BadSessionId' | 'ReservationDenied_ContainsExistingPlayers' | 'EPartyReservationResult_MAX';
+declare var EPartyReservationResult : { NoResult:'NoResult',RequestPending:'RequestPending',GeneralError:'GeneralError',PartyLimitReached:'PartyLimitReached',IncorrectPlayerCount:'IncorrectPlayerCount',RequestTimedOut:'RequestTimedOut',ReservationDuplicate:'ReservationDuplicate',ReservationNotFound:'ReservationNotFound',ReservationAccepted:'ReservationAccepted',ReservationDenied:'ReservationDenied',ReservationDenied_CrossPlayRestriction:'ReservationDenied_CrossPlayRestriction',ReservationDenied_Banned:'ReservationDenied_Banned',ReservationRequestCanceled:'ReservationRequestCanceled',ReservationInvalid:'ReservationInvalid',BadSessionId:'BadSessionId',ReservationDenied_ContainsExistingPlayers:'ReservationDenied_ContainsExistingPlayers',EPartyReservationResult_MAX:'EPartyReservationResult_MAX', };
 declare class PartyBeaconClient extends OnlineBeaconClient { 
 	DestSessionId: string;
 	PendingReservation: PartyReservation;
@@ -437,6 +5975,7 @@ declare class PartyBeaconState extends UObject {
 	TeamAssignmentMethod: string;
 	ReservedHostTeamNum: number;
 	ForceTeamNum: number;
+	bRestrictCrossConsole: boolean;
 	Reservations: PartyReservation[];
 	static Load(ResourceName: string): PartyBeaconState;
 	static Find(Outer: UObject, ResourceName: string): PartyBeaconState;
@@ -562,323 +6101,6 @@ declare class K2Node_LeaderboardQuery extends K2Node_BaseAsyncTask {
 	static C(Other: UObject | any): K2Node_LeaderboardQuery;
 }
 
-declare type EARSessionType = 'None' | 'Orientation' | 'World' | 'Face' | 'EARSessionType_MAX';
-declare var EARSessionType : { None:'None',Orientation:'Orientation',World:'World',Face:'Face',EARSessionType_MAX:'EARSessionType_MAX', };
-declare type EARPlaneDetectionMode = 'None' | 'HorizontalPlaneDetection' | 'EARPlaneDetectionMode_MAX';
-declare var EARPlaneDetectionMode : { None:'None',HorizontalPlaneDetection:'HorizontalPlaneDetection',EARPlaneDetectionMode_MAX:'EARPlaneDetectionMode_MAX', };
-declare type EARLightEstimationMode = 'None' | 'AmbientLightEstimate' | 'DirectionalLightEstimate' | 'EARLightEstimationMode_MAX';
-declare var EARLightEstimationMode : { None:'None',AmbientLightEstimate:'AmbientLightEstimate',DirectionalLightEstimate:'DirectionalLightEstimate',EARLightEstimationMode_MAX:'EARLightEstimationMode_MAX', };
-declare type EARFrameSyncMode = 'SyncTickWithCameraImage' | 'SyncTickWithoutCameraImage' | 'EARFrameSyncMode_MAX';
-declare var EARFrameSyncMode : { SyncTickWithCameraImage:'SyncTickWithCameraImage',SyncTickWithoutCameraImage:'SyncTickWithoutCameraImage',EARFrameSyncMode_MAX:'EARFrameSyncMode_MAX', };
-declare class ARSessionConfig extends DataAsset { 
-	SessionType: EARSessionType;
-	PlaneDetectionMode: EARPlaneDetectionMode;
-	LightEstimationMode: EARLightEstimationMode;
-	FrameSyncMode: EARFrameSyncMode;
-	bEnableAutomaticCameraOverlay: boolean;
-	bEnableAutomaticCameraTracking: boolean;
-	static Load(ResourceName: string): ARSessionConfig;
-	static Find(Outer: UObject, ResourceName: string): ARSessionConfig;
-	static GetDefaultObject(): ARSessionConfig;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARSessionConfig;
-	static C(Other: UObject | any): ARSessionConfig;
-	StartARSession(): void;
-	static StartARSession(SessionConfig: ARSessionConfig): void;
-}
-
-declare type EARTrackingQuality = 'NotTracking' | 'OrientationOnly' | 'OrientationAndPosition' | 'EARTrackingQuality_MAX';
-declare var EARTrackingQuality : { NotTracking:'NotTracking',OrientationOnly:'OrientationOnly',OrientationAndPosition:'OrientationAndPosition',EARTrackingQuality_MAX:'EARTrackingQuality_MAX', };
-declare class ARLightEstimate extends UObject { 
-	static Load(ResourceName: string): ARLightEstimate;
-	static Find(Outer: UObject, ResourceName: string): ARLightEstimate;
-	static GetDefaultObject(): ARLightEstimate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARLightEstimate;
-	static C(Other: UObject | any): ARLightEstimate;
-}
-
-declare type EARSessionStatus = 'NotStarted' | 'Running' | 'NotSupported' | 'FatalError' | 'PermissionNotGranted' | 'UnsupportedConfiguration' | 'Other' | 'EARSessionStatus_MAX';
-declare var EARSessionStatus : { NotStarted:'NotStarted',Running:'Running',NotSupported:'NotSupported',FatalError:'FatalError',PermissionNotGranted:'PermissionNotGranted',UnsupportedConfiguration:'UnsupportedConfiguration',Other:'Other',EARSessionStatus_MAX:'EARSessionStatus_MAX', };
-declare class ARSessionStatus { 
-	AdditionalInfo: string;
-	Status: EARSessionStatus;
-	clone() : ARSessionStatus;
-	static C(Other: UObject | any): ARSessionStatus;
-	static GetARSessionStatus(): ARSessionStatus;
-}
-
-declare class ARBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): ARBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): ARBlueprintLibrary;
-	static GetDefaultObject(): ARBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARBlueprintLibrary;
-	static UnpinComponent(ComponentToUnpin: SceneComponent): void;
-	static StopARSession(): void;
-	static StartARSession(SessionConfig: ARSessionConfig): void;
-	static SetAlignmentTransform(InAlignmentTransform: Transform): void;
-	static RemovePin(PinToRemove: ARPin): void;
-	static PinComponentToTraceResult(ComponentToPin: SceneComponent,TraceResult: ARTraceResult,DebugName: string): ARPin;
-	static PinComponent(ComponentToPin: SceneComponent,PinToWorldTransform: Transform,TrackedGeometry: ARTrackedGeometry,DebugName: string): ARPin;
-	static PauseARSession(): void;
-	static LineTraceTrackedObjects(ScreenCoord: Vector2D,bTestFeaturePoints: boolean,bTestGroundPlane: boolean,bTestPlaneExtents: boolean,bTestPlaneBoundaryPolygon: boolean): ARTraceResult[];
-	static IsSessionTypeSupported(SessionType: EARSessionType): boolean;
-	static GetTrackingQuality(): EARTrackingQuality;
-	static GetSessionConfig(): ARSessionConfig;
-	static GetCurrentLightEstimate(): ARLightEstimate;
-	static GetARSessionStatus(): ARSessionStatus;
-	static GetAllPins(): ARPin[];
-	static GetAllGeometries(): ARTrackedGeometry[];
-	static DebugDrawTrackedGeometry(TrackedGeometry: ARTrackedGeometry,WorldContextObject: UObject,Color: LinearColor,OutlineThickness: number,PersistForSeconds: number): void;
-	static DebugDrawPin(ARPin: ARPin,WorldContextObject: UObject,Color: LinearColor,Scale: number,PersistForSeconds: number): void;
-	static C(Other: UObject | any): ARBlueprintLibrary;
-}
-
-declare class ARTraceResultLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): ARTraceResultLibrary;
-	static Find(Outer: UObject, ResourceName: string): ARTraceResultLibrary;
-	static GetDefaultObject(): ARTraceResultLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTraceResultLibrary;
-	static GetTrackedGeometry(TraceResult: ARTraceResult): ARTrackedGeometry;
-	static GetTraceChannel(TraceResult: ARTraceResult): EARLineTraceChannels;
-	static GetLocalToWorldTransform(TraceResult: ARTraceResult): Transform;
-	static GetLocalToTrackingTransform(TraceResult: ARTraceResult): Transform;
-	static GetDistanceFromCamera(TraceResult: ARTraceResult): number;
-	static C(Other: UObject | any): ARTraceResultLibrary;
-}
-
-declare class ARBasicLightEstimate extends ARLightEstimate { 
-	AmbientIntensityLumens: number;
-	AmbientColorTemperatureKelvin: number;
-	static Load(ResourceName: string): ARBasicLightEstimate;
-	static Find(Outer: UObject, ResourceName: string): ARBasicLightEstimate;
-	static GetDefaultObject(): ARBasicLightEstimate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARBasicLightEstimate;
-	GetAmbientIntensityLumens(): number;
-	GetAmbientColorTemperatureKelvin(): number;
-	GetAmbientColor(): LinearColor;
-	static C(Other: UObject | any): ARBasicLightEstimate;
-}
-
-declare class ARTraceResultDummy extends UObject { 
-	static Load(ResourceName: string): ARTraceResultDummy;
-	static Find(Outer: UObject, ResourceName: string): ARTraceResultDummy;
-	static GetDefaultObject(): ARTraceResultDummy;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTraceResultDummy;
-	static C(Other: UObject | any): ARTraceResultDummy;
-}
-
-declare class ARPlaneGeometry extends ARTrackedGeometry { 
-	Center: Vector;
-	Extent: Vector;
-	BoundaryPolygon: Vector[];
-	SubsumedBy: ARPlaneGeometry;
-	static Load(ResourceName: string): ARPlaneGeometry;
-	static Find(Outer: UObject, ResourceName: string): ARPlaneGeometry;
-	static GetDefaultObject(): ARPlaneGeometry;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARPlaneGeometry;
-	GetSubsumedBy(): ARPlaneGeometry;
-	GetExtent(): Vector;
-	GetCenter(): Vector;
-	GetBoundaryPolygonInLocalSpace(): Vector[];
-	static C(Other: UObject | any): ARPlaneGeometry;
-}
-
-declare class ARTrackedPoint extends ARTrackedGeometry { 
-	static Load(ResourceName: string): ARTrackedPoint;
-	static Find(Outer: UObject, ResourceName: string): ARTrackedPoint;
-	static GetDefaultObject(): ARTrackedPoint;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTrackedPoint;
-	static C(Other: UObject | any): ARTrackedPoint;
-}
-
-declare type EARFaceBlendShape = 'EyeBlinkLeft' | 'EyeLookDownLeft' | 'EyeLookInLeft' | 'EyeLookOutLeft' | 'EyeLookUpLeft' | 'EyeSquintLeft' | 'EyeWideLeft' | 'EyeBlinkRight' | 'EyeLookDownRight' | 'EyeLookInRight' | 'EyeLookOutRight' | 'EyeLookUpRight' | 'EyeSquintRight' | 'EyeWideRight' | 'JawForward' | 'JawLeft' | 'JawRight' | 'JawOpen' | 'MouthClose' | 'MouthFunnel' | 'MouthPucker' | 'MouthLeft' | 'MouthRight' | 'MouthSmileLeft' | 'MouthSmileRight' | 'MouthFrownLeft' | 'MouthFrownRight' | 'MouthDimpleLeft' | 'MouthDimpleRight' | 'MouthStretchLeft' | 'MouthStretchRight' | 'MouthRollLower' | 'MouthRollUpper' | 'MouthShrugLower' | 'MouthShrugUpper' | 'MouthPressLeft' | 'MouthPressRight' | 'MouthLowerDownLeft' | 'MouthLowerDownRight' | 'MouthUpperUpLeft' | 'MouthUpperUpRight' | 'BrowDownLeft' | 'BrowDownRight' | 'BrowInnerUp' | 'BrowOuterUpLeft' | 'BrowOuterUpRight' | 'CheekPuff' | 'CheekSquintLeft' | 'CheekSquintRight' | 'NoseSneerLeft' | 'NoseSneerRight' | 'MAX';
-declare var EARFaceBlendShape : { EyeBlinkLeft:'EyeBlinkLeft',EyeLookDownLeft:'EyeLookDownLeft',EyeLookInLeft:'EyeLookInLeft',EyeLookOutLeft:'EyeLookOutLeft',EyeLookUpLeft:'EyeLookUpLeft',EyeSquintLeft:'EyeSquintLeft',EyeWideLeft:'EyeWideLeft',EyeBlinkRight:'EyeBlinkRight',EyeLookDownRight:'EyeLookDownRight',EyeLookInRight:'EyeLookInRight',EyeLookOutRight:'EyeLookOutRight',EyeLookUpRight:'EyeLookUpRight',EyeSquintRight:'EyeSquintRight',EyeWideRight:'EyeWideRight',JawForward:'JawForward',JawLeft:'JawLeft',JawRight:'JawRight',JawOpen:'JawOpen',MouthClose:'MouthClose',MouthFunnel:'MouthFunnel',MouthPucker:'MouthPucker',MouthLeft:'MouthLeft',MouthRight:'MouthRight',MouthSmileLeft:'MouthSmileLeft',MouthSmileRight:'MouthSmileRight',MouthFrownLeft:'MouthFrownLeft',MouthFrownRight:'MouthFrownRight',MouthDimpleLeft:'MouthDimpleLeft',MouthDimpleRight:'MouthDimpleRight',MouthStretchLeft:'MouthStretchLeft',MouthStretchRight:'MouthStretchRight',MouthRollLower:'MouthRollLower',MouthRollUpper:'MouthRollUpper',MouthShrugLower:'MouthShrugLower',MouthShrugUpper:'MouthShrugUpper',MouthPressLeft:'MouthPressLeft',MouthPressRight:'MouthPressRight',MouthLowerDownLeft:'MouthLowerDownLeft',MouthLowerDownRight:'MouthLowerDownRight',MouthUpperUpLeft:'MouthUpperUpLeft',MouthUpperUpRight:'MouthUpperUpRight',BrowDownLeft:'BrowDownLeft',BrowDownRight:'BrowDownRight',BrowInnerUp:'BrowInnerUp',BrowOuterUpLeft:'BrowOuterUpLeft',BrowOuterUpRight:'BrowOuterUpRight',CheekPuff:'CheekPuff',CheekSquintLeft:'CheekSquintLeft',CheekSquintRight:'CheekSquintRight',NoseSneerLeft:'NoseSneerLeft',NoseSneerRight:'NoseSneerRight',MAX:'MAX', };
-declare class ARFaceGeometry extends ARTrackedGeometry { 
-	BlendShapes: any;
-	static Load(ResourceName: string): ARFaceGeometry;
-	static Find(Outer: UObject, ResourceName: string): ARFaceGeometry;
-	static GetDefaultObject(): ARFaceGeometry;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARFaceGeometry;
-	GetBlendShapeValue(BlendShape: EARFaceBlendShape): number;
-	GetBlendShapes(): any;
-	static C(Other: UObject | any): ARFaceGeometry;
-}
-
-declare class ARTypesDummyClass extends UObject { 
-	static Load(ResourceName: string): ARTypesDummyClass;
-	static Find(Outer: UObject, ResourceName: string): ARTypesDummyClass;
-	static GetDefaultObject(): ARTypesDummyClass;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARTypesDummyClass;
-	static C(Other: UObject | any): ARTypesDummyClass;
-}
-
-declare class KismetProceduralMeshLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): KismetProceduralMeshLibrary;
-	static Find(Outer: UObject, ResourceName: string): KismetProceduralMeshLibrary;
-	static GetDefaultObject(): KismetProceduralMeshLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetProceduralMeshLibrary;
-	static SliceProceduralMesh(InProcMesh: ProceduralMeshComponent,PlanePosition: Vector,PlaneNormal: Vector,bCreateOtherHalf: boolean,OutOtherHalfProcMesh?: ProceduralMeshComponent,CapOption?: EProcMeshSliceCapOption,CapMaterial?: MaterialInterface): {OutOtherHalfProcMesh: ProceduralMeshComponent};
-	static GetSectionFromStaticMesh(InMesh: StaticMesh,LODIndex: number,SectionIndex: number,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
-	static GetSectionFromProceduralMesh(InProcMesh: ProceduralMeshComponent,SectionIndex: number,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
-	static GenerateBoxMesh(BoxRadius: Vector,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
-	static CreateGridMeshTriangles(NumX: number,NumY: number,bWinding: boolean,Triangles?: number[]): {Triangles: number[]};
-	static CopyProceduralMeshFromStaticMeshComponent(StaticMeshComponent: StaticMeshComponent,LODIndex: number,ProcMeshComponent: ProceduralMeshComponent,bCreateCollision: boolean): void;
-	static ConvertQuadToTriangles(Triangles?: number[],Vert0?: number,Vert1?: number,Vert2?: number,Vert3?: number): {Triangles: number[]};
-	static CalculateTangentsForMesh(Vertices: Vector[],Triangles: number[],UVs: Vector2D[],Normals?: Vector[],Tangents?: ProcMeshTangent[]): {Normals: Vector[], Tangents: ProcMeshTangent[]};
-	static C(Other: UObject | any): KismetProceduralMeshLibrary;
-}
-
-declare class LiveLinkSourceFactory extends UObject { 
-	static Load(ResourceName: string): LiveLinkSourceFactory;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkSourceFactory;
-	static GetDefaultObject(): LiveLinkSourceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkSourceFactory;
-	static C(Other: UObject | any): LiveLinkSourceFactory;
-}
-
-declare class LiveLinkInterpolationSettings { 
-	bUseInterpolation: boolean;
-	InterpolationOffset: number;
-	clone() : LiveLinkInterpolationSettings;
-	static C(Other: UObject | any): LiveLinkInterpolationSettings;
-}
-
-declare class LiveLinkSourceSettings extends UObject { 
-	InterpolationSettings: LiveLinkInterpolationSettings;
-	static Load(ResourceName: string): LiveLinkSourceSettings;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkSourceSettings;
-	static GetDefaultObject(): LiveLinkSourceSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkSourceSettings;
-	static C(Other: UObject | any): LiveLinkSourceSettings;
-}
-
-declare class AppleARKitBlueprintLibrary extends BlueprintFunctionLibrary { 
-	static Load(ResourceName: string): AppleARKitBlueprintLibrary;
-	static Find(Outer: UObject, ResourceName: string): AppleARKitBlueprintLibrary;
-	static GetDefaultObject(): AppleARKitBlueprintLibrary;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleARKitBlueprintLibrary;
-	static HitTestAtScreenPosition_TrackingSpace(WorldContextObject: UObject,ScreenPosition: Vector2D,Types: EAppleARKitHitTestResultType,OutResults?: AppleARKitHitTestResult[]): {OutResults: AppleARKitHitTestResult[], $: boolean};
-	static GetCurrentFrame(WorldContextObject: UObject,OutCurrentFrame?: AppleARKitFrame): {OutCurrentFrame: AppleARKitFrame, $: boolean};
-	static C(Other: UObject | any): AppleARKitBlueprintLibrary;
-}
-
-declare type EARFaceComponentTransformMixing = 'ComponentOnly' | 'ComponentLocationTrackedRotation' | 'ComponentWithTracked' | 'TrackingOnly' | 'EARFaceComponentTransformMixing_MAX';
-declare var EARFaceComponentTransformMixing : { ComponentOnly:'ComponentOnly',ComponentLocationTrackedRotation:'ComponentLocationTrackedRotation',ComponentWithTracked:'ComponentWithTracked',TrackingOnly:'TrackingOnly',EARFaceComponentTransformMixing_MAX:'EARFaceComponentTransformMixing_MAX', };
-declare class AppleARKitFaceMeshComponent extends ProceduralMeshComponent { 
-	bWantsCollision: boolean;
-	bAutoBindToLocalFaceMesh: boolean;
-	TransformSetting: EARFaceComponentTransformMixing;
-	bFlipTrackedRotation: boolean;
-	FaceMaterial: MaterialInterface;
-	LiveLinkSubjectName: string;
-	static Load(ResourceName: string): AppleARKitFaceMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): AppleARKitFaceMeshComponent;
-	static GetDefaultObject(): AppleARKitFaceMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleARKitFaceMeshComponent;
-	UpdateMeshFromBlendShapes(): void;
-	UpdateMesh(Vertices: Vector[]): void;
-	SetBlendShapes(InBlendShapes: any): void;
-	SetBlendShapeAmount(BlendShape: EARFaceBlendShape,Amount: number): void;
-	SetAutoBind(bAutoBind: boolean): void;
-	PublishViaLiveLink(SubjectName: string): void;
-	GetTransform(): Transform;
-	GetLastUpdateTimestamp(): number;
-	GetLastUpdateFrameNumber(): number;
-	GetFaceBlendShapeAmount(BlendShape: EARFaceBlendShape): number;
-	CreateMesh(Vertices: Vector[],Triangles: number[],UV0: Vector2D[]): void;
-	static C(Other: UObject | any): AppleARKitFaceMeshComponent;
-}
-
-declare class AppleARKitPlaneAnchor extends AppleARKitAnchor { 
-	static Load(ResourceName: string): AppleARKitPlaneAnchor;
-	static Find(Outer: UObject, ResourceName: string): AppleARKitPlaneAnchor;
-	static GetDefaultObject(): AppleARKitPlaneAnchor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleARKitPlaneAnchor;
-	GetTransformToCenter(): Transform;
-	GetExtent(): Vector;
-	GetCenter(): Vector;
-	static C(Other: UObject | any): AppleARKitPlaneAnchor;
-}
-
-declare type EARFaceTrackingDirection = 'FaceRelative' | 'FaceMirrored' | 'EARFaceTrackingDirection_MAX';
-declare var EARFaceTrackingDirection : { FaceRelative:'FaceRelative',FaceMirrored:'FaceMirrored',EARFaceTrackingDirection_MAX:'EARFaceTrackingDirection_MAX', };
-declare class AppleARKitSettings extends UObject { 
-	bEnableLiveLinkForFaceTracking: boolean;
-	LiveLinkPublishingPort: number;
-	DefaultFaceTrackingLiveLinkSubjectName: string;
-	DefaultFaceTrackingDirection: EARFaceTrackingDirection;
-	static Load(ResourceName: string): AppleARKitSettings;
-	static Find(Outer: UObject, ResourceName: string): AppleARKitSettings;
-	static GetDefaultObject(): AppleARKitSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleARKitSettings;
-	static C(Other: UObject | any): AppleARKitSettings;
-}
-
-declare class ARKitCameraOverlayMaterialLoader extends UObject { 
-	DefaultCameraOverlayMaterial: MaterialInterface;
-	static Load(ResourceName: string): ARKitCameraOverlayMaterialLoader;
-	static Find(Outer: UObject, ResourceName: string): ARKitCameraOverlayMaterialLoader;
-	static GetDefaultObject(): ARKitCameraOverlayMaterialLoader;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ARKitCameraOverlayMaterialLoader;
-	static C(Other: UObject | any): ARKitCameraOverlayMaterialLoader;
-}
-
-declare type EARKitTextureType = 'TextureY' | 'TextureCbCr' | 'EARKitTextureType_MAX';
-declare var EARKitTextureType : { TextureY:'TextureY',TextureCbCr:'TextureCbCr',EARKitTextureType_MAX:'EARKitTextureType_MAX', };
-declare class MaterialExpressionARKitPassthroughCamera extends MaterialExpression { 
-	Coordinates: ExpressionInput;
-	ConstCoordinate: any;
-	TextureType: EARKitTextureType;
-	static Load(ResourceName: string): MaterialExpressionARKitPassthroughCamera;
-	static Find(Outer: UObject, ResourceName: string): MaterialExpressionARKitPassthroughCamera;
-	static GetDefaultObject(): MaterialExpressionARKitPassthroughCamera;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialExpressionARKitPassthroughCamera;
-	static C(Other: UObject | any): MaterialExpressionARKitPassthroughCamera;
-}
-
-declare class DeprecatedGearVRControllerComponent extends SceneComponent { 
-	ControllerMesh: StaticMesh;
-	static Load(ResourceName: string): DeprecatedGearVRControllerComponent;
-	static Find(Outer: UObject, ResourceName: string): DeprecatedGearVRControllerComponent;
-	static GetDefaultObject(): DeprecatedGearVRControllerComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DeprecatedGearVRControllerComponent;
-	GetMotionController(): MotionControllerComponent;
-	GetControllerMesh(): StaticMeshComponent;
-	static C(Other: UObject | any): DeprecatedGearVRControllerComponent;
-}
-
-declare class BoundaryTestResult { 
-	IsTriggering: boolean;
-	DeviceType: ETrackedDeviceType;
-	ClosestDistance: number;
-	ClosestPoint: Vector;
-	ClosestPointNormal: Vector;
-	clone() : BoundaryTestResult;
-	static C(Other: UObject | any): BoundaryTestResult;
-}
-
-declare class OculusBoundaryComponent extends ActorComponent { 
-	OnOuterBoundaryTriggered: UnrealEngineMulticastDelegate<(OuterBoundsInteractionList: BoundaryTestResult[]) => void>;
-	OnOuterBoundaryReturned: UnrealEngineMulticastDelegate<() => void>;
-	static Load(ResourceName: string): OculusBoundaryComponent;
-	static Find(Outer: UObject, ResourceName: string): OculusBoundaryComponent;
-	static GetDefaultObject(): OculusBoundaryComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OculusBoundaryComponent;
-	SetOuterBoundaryColor(InBoundaryColor: Color): boolean;
-	ResetOuterBoundaryColor(): boolean;
-	RequestOuterBoundaryVisible(BoundaryVisible: boolean): boolean;
-	IsOuterBoundaryTriggered(): boolean;
-	IsOuterBoundaryDisplayed(): boolean;
-	GetTriggeredPlayAreaInfo(DeviceType: ETrackedDeviceType): BoundaryTestResult;
-	GetTriggeredOuterBoundaryInfo(): BoundaryTestResult[];
-	GetPlayAreaPoints(): Vector[];
-	GetPlayAreaDimensions(): Vector;
-	GetOuterBoundaryPoints(): Vector[];
-	GetOuterBoundaryDimensions(): Vector;
-	CheckIfPointWithinPlayArea(Point: Vector): BoundaryTestResult;
-	CheckIfPointWithinOuterBounds(Point: Vector): BoundaryTestResult;
-	static C(Other: UObject | any): OculusBoundaryComponent;
-}
-
 declare type ETiledMultiResLevel = 'ETiledMultiResLevel_Off' | 'ETiledMultiResLevel_LMSLow' | 'ETiledMultiResLevel_LMSMedium' | 'ETiledMultiResLevel_LMSHigh' | 'ETiledMultiResLevel_MAX';
 declare var ETiledMultiResLevel : { ETiledMultiResLevel_Off:'ETiledMultiResLevel_Off',ETiledMultiResLevel_LMSLow:'ETiledMultiResLevel_LMSLow',ETiledMultiResLevel_LMSMedium:'ETiledMultiResLevel_LMSMedium',ETiledMultiResLevel_LMSHigh:'ETiledMultiResLevel_LMSHigh',ETiledMultiResLevel_MAX:'ETiledMultiResLevel_MAX', };
 declare class HmdUserProfileField { 
@@ -902,8 +6124,6 @@ declare class HmdUserProfile {
 	static GetUserProfile(Profile?: HmdUserProfile): {Profile: HmdUserProfile, $: boolean};
 }
 
-declare type EGearVRControllerHandedness_DEPRECATED = 'RightHanded_DEPRECATED' | 'LeftHanded_DEPRECATED' | 'Unknown_DEPRECATED' | 'EGearVRControllerHandedness_MAX';
-declare var EGearVRControllerHandedness_DEPRECATED : { RightHanded_DEPRECATED:'RightHanded_DEPRECATED',LeftHanded_DEPRECATED:'LeftHanded_DEPRECATED',Unknown_DEPRECATED:'Unknown_DEPRECATED',EGearVRControllerHandedness_MAX:'EGearVRControllerHandedness_MAX', };
 declare class OculusFunctionLibrary extends BlueprintFunctionLibrary { 
 	static Load(ResourceName: string): OculusFunctionLibrary;
 	static Find(Outer: UObject, ResourceName: string): OculusFunctionLibrary;
@@ -912,17 +6132,18 @@ declare class OculusFunctionLibrary extends BlueprintFunctionLibrary {
 	static ShowLoadingSplashScreen(): void;
 	static ShowLoadingIcon(Texture: Texture2D): void;
 	static SetTiledMultiresLevel(Level: ETiledMultiResLevel): void;
+	static SetReorientHMDOnControllerRecenter(recenterMode: boolean): void;
 	static SetPositionScale3D(PosScale3D: Vector): void;
 	static SetLoadingSplashParams(TexturePath: string,DistanceInMeters: Vector,SizeInMeters: Vector2D,RotationAxis: Vector,RotationDeltaInDeg: number): void;
+	static SetGuardianVisibility(GuardianVisible: boolean): void;
 	static SetDisplayFrequency(RequestedFrequency: number): void;
 	static SetCPUAndGPULevels(CPULevel: number,GPULevel: number): void;
+	static SetColorScaleAndOffset(ColorScale: LinearColor,ColorOffset: LinearColor,bApplyToAllLayers: boolean): void;
 	static SetBaseRotationAndPositionOffset(BaseRot: Rotator,PosOffset: Vector,Options: EOrientPositionSelector): void;
 	static SetBaseRotationAndBaseOffsetInMeters(Rotation: Rotator,BaseOffsetInMeters: Vector,Options: EOrientPositionSelector): void;
-	static IsPowerLevelStateThrottled(): boolean;
-	static IsPowerLevelStateMinimum(): boolean;
 	static IsLoadingIconEnabled(): boolean;
+	static IsGuardianDisplayed(): boolean;
 	static IsDeviceTracked(DeviceType: ETrackedDeviceType): boolean;
-	static IsControllerActive(): boolean;
 	static IsAutoLoadingSplashScreenEnabled(): boolean;
 	static HideLoadingSplashScreen(bClear: boolean): void;
 	static HideLoadingIcon(): void;
@@ -930,22 +6151,25 @@ declare class OculusFunctionLibrary extends BlueprintFunctionLibrary {
 	static HasInputFocus(): boolean;
 	static GetUserProfile(Profile?: HmdUserProfile): {Profile: HmdUserProfile, $: boolean};
 	static GetTiledMultiresLevel(): ETiledMultiResLevel;
-	static GetTemperatureInCelsius(): number;
 	static GetRawSensorData(AngularAcceleration?: Vector,LinearAcceleration?: Vector,AngularVelocity?: Vector,LinearVelocity?: Vector,TimeInSeconds?: number,DeviceType?: ETrackedDeviceType): {AngularAcceleration: Vector, LinearAcceleration: Vector, AngularVelocity: Vector, LinearVelocity: Vector, TimeInSeconds: number};
 	static GetPose(DeviceRotation?: Rotator,DevicePosition?: Vector,NeckPosition?: Vector,bUseOrienationForPlayerCamera?: boolean,bUsePositionForPlayerCamera?: boolean,PositionScale?: Vector): {DeviceRotation: Rotator, DevicePosition: Vector, NeckPosition: Vector};
+	static GetPointGuardianIntersection(Point: Vector,BoundaryType: EBoundaryType): GuardianTestResult;
+	static GetPlayAreaTransform(): Transform;
+	static GetNodeGuardianIntersection(DeviceType: ETrackedDeviceType,BoundaryType: EBoundaryType): GuardianTestResult;
 	static GetLoadingSplashParams(TexturePath?: string,DistanceInMeters?: Vector,SizeInMeters?: Vector2D,RotationAxis?: Vector,RotationDeltaInDeg?: number): {TexturePath: string, DistanceInMeters: Vector, SizeInMeters: Vector2D, RotationAxis: Vector, RotationDeltaInDeg: number};
+	static GetGuardianPoints(BoundaryType: EBoundaryType,UsePawnSpace: boolean): Vector[];
+	static GetGuardianDimensions(BoundaryType: EBoundaryType): Vector;
 	static GetGPUUtilization(IsGPUAvailable?: boolean,GPUUtilization?: number): {IsGPUAvailable: boolean, GPUUtilization: number};
-	static GetGearVRControllerHandedness(): EGearVRControllerHandedness_DEPRECATED;
+	static GetGPUFrameTime(): number;
 	static GetDeviceName(): string;
 	static GetCurrentDisplayFrequency(): number;
-	static GetBatteryLevel(): number;
 	static GetBaseRotationAndPositionOffset(OutRot?: Rotator,OutPosOffset?: Vector): {OutRot: Rotator, OutPosOffset: Vector};
 	static GetBaseRotationAndBaseOffsetInMeters(OutRotation?: Rotator,OutBaseOffsetInMeters?: Vector): {OutRotation: Rotator, OutBaseOffsetInMeters: Vector};
 	static GetAvailableDisplayFrequencies(): number[];
+	static EnablePositionTracking(bPositionTracking: boolean): void;
+	static EnableOrientationTracking(bOrientationTracking: boolean): void;
 	static EnableAutoLoadingSplashScreen(bAutoShowEnabled: boolean): void;
-	static EnableArmModel(bArmModelEnable: boolean): void;
 	static ClearLoadingSplashScreens(): void;
-	static AreHeadPhonesPluggedIn(): boolean;
 	static AddLoadingSplashScreen(Texture: Texture2D,TranslationInMeters: Vector,Rotation: Rotator,SizeInMeters: Vector2D,DeltaRotation: Rotator,bClearBeforeAdd: boolean): void;
 	static C(Other: UObject | any): OculusFunctionLibrary;
 }
@@ -965,6 +6189,16 @@ declare class OculusSplashDesc {
 declare class OculusHMDRuntimeSettings extends UObject { 
 	bAutoEnabled: boolean;
 	SplashDescs: OculusSplashDesc[];
+	bSupportsDash: boolean;
+	bCompositesDepth: boolean;
+	bHQDistortion: boolean;
+	PixelDensityMin: number;
+	PixelDensityMax: number;
+	CPULevel: number;
+	GPULevel: number;
+	FFRLevel: ETiledMultiResLevel;
+	bChromaCorrection: boolean;
+	bRecenterHMDWithController: boolean;
 	static Load(ResourceName: string): OculusHMDRuntimeSettings;
 	static Find(Outer: UObject, ResourceName: string): OculusHMDRuntimeSettings;
 	static GetDefaultObject(): OculusHMDRuntimeSettings;
@@ -981,6 +6215,24 @@ declare class OculusSceneCaptureCubemap extends UObject {
 	static C(Other: UObject | any): OculusSceneCaptureCubemap;
 }
 
+declare class KismetProceduralMeshLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): KismetProceduralMeshLibrary;
+	static Find(Outer: UObject, ResourceName: string): KismetProceduralMeshLibrary;
+	static GetDefaultObject(): KismetProceduralMeshLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): KismetProceduralMeshLibrary;
+	static SliceProceduralMesh(InProcMesh: ProceduralMeshComponent,PlanePosition: Vector,PlaneNormal: Vector,bCreateOtherHalf: boolean,OutOtherHalfProcMesh?: ProceduralMeshComponent,CapOption?: EProcMeshSliceCapOption,CapMaterial?: MaterialInterface): {OutOtherHalfProcMesh: ProceduralMeshComponent};
+	static GetSectionFromStaticMesh(InMesh: StaticMesh,LODIndex: number,SectionIndex: number,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	static GetSectionFromProceduralMesh(InProcMesh: ProceduralMeshComponent,SectionIndex: number,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	static GenerateBoxMesh(BoxRadius: Vector,Vertices?: Vector[],Triangles?: number[],Normals?: Vector[],UVs?: Vector2D[],Tangents?: ProcMeshTangent[]): {Vertices: Vector[], Triangles: number[], Normals: Vector[], UVs: Vector2D[], Tangents: ProcMeshTangent[]};
+	static CreateGridMeshWelded(NumX: number,NumY: number,Triangles?: number[],Vertices?: Vector[],UVs?: Vector2D[],GridSpacing?: number): {Triangles: number[], Vertices: Vector[], UVs: Vector2D[]};
+	static CreateGridMeshTriangles(NumX: number,NumY: number,bWinding: boolean,Triangles?: number[]): {Triangles: number[]};
+	static CreateGridMeshSplit(NumX: number,NumY: number,Triangles?: number[],Vertices?: Vector[],UVs?: Vector2D[],UV1s?: Vector2D[],GridSpacing?: number): {Triangles: number[], Vertices: Vector[], UVs: Vector2D[], UV1s: Vector2D[]};
+	static CopyProceduralMeshFromStaticMeshComponent(StaticMeshComponent: StaticMeshComponent,LODIndex: number,ProcMeshComponent: ProceduralMeshComponent,bCreateCollision: boolean): void;
+	static ConvertQuadToTriangles(Triangles?: number[],Vert0?: number,Vert1?: number,Vert2?: number,Vert3?: number): {Triangles: number[]};
+	static CalculateTangentsForMesh(Vertices: Vector[],Triangles: number[],UVs: Vector2D[],Normals?: Vector[],Tangents?: ProcMeshTangent[]): {Normals: Vector[], Tangents: ProcMeshTangent[]};
+	static C(Other: UObject | any): KismetProceduralMeshLibrary;
+}
+
 declare class SteamVRChaperoneComponent extends ActorComponent { 
 	OnLeaveBounds: UnrealEngineMulticastDelegate<() => void>;
 	OnReturnToBounds: UnrealEngineMulticastDelegate<() => void>;
@@ -1005,13 +6257,16 @@ declare class SteamVRFunctionLibrary extends BlueprintFunctionLibrary {
 	static C(Other: UObject | any): SteamVRFunctionLibrary;
 }
 
-declare type ECompilerVersion = 'Default' | 'VisualStudio2015' | 'VisualStudio2017' | 'ECompilerVersion_MAX';
-declare var ECompilerVersion : { Default:'Default',VisualStudio2015:'VisualStudio2015',VisualStudio2017:'VisualStudio2017',ECompilerVersion_MAX:'ECompilerVersion_MAX', };
+declare type ECompilerVersion = 'Default' | 'VisualStudio2015' | 'VisualStudio2017' | 'VisualStudio2019' | 'ECompilerVersion_MAX';
+declare var ECompilerVersion : { Default:'Default',VisualStudio2015:'VisualStudio2015',VisualStudio2017:'VisualStudio2017',VisualStudio2019:'VisualStudio2019',ECompilerVersion_MAX:'ECompilerVersion_MAX', };
+declare type EDefaultGraphicsRHI = 'DefaultGraphicsRHI_Default' | 'DefaultGraphicsRHI_DX11' | 'DefaultGraphicsRHI_DX12' | 'DefaultGraphicsRHI_Vulkan' | 'DefaultGraphicsRHI_OpenGL' | 'DefaultGraphicsRHI_MAX';
+declare var EDefaultGraphicsRHI : { DefaultGraphicsRHI_Default:'DefaultGraphicsRHI_Default',DefaultGraphicsRHI_DX11:'DefaultGraphicsRHI_DX11',DefaultGraphicsRHI_DX12:'DefaultGraphicsRHI_DX12',DefaultGraphicsRHI_Vulkan:'DefaultGraphicsRHI_Vulkan',DefaultGraphicsRHI_OpenGL:'DefaultGraphicsRHI_OpenGL',DefaultGraphicsRHI_MAX:'DefaultGraphicsRHI_MAX', };
 declare type EMinimumSupportedOS = 'MSOS_Vista' | 'MSOS_MAX';
 declare var EMinimumSupportedOS : { MSOS_Vista:'MSOS_Vista',MSOS_MAX:'MSOS_MAX', };
 declare class WindowsTargetSettings extends UObject { 
 	Compiler: ECompilerVersion;
 	TargetedRHIs: string[];
+	DefaultGraphicsRHI: EDefaultGraphicsRHI;
 	MinimumOSVersion: EMinimumSupportedOS;
 	AudioDevice: string;
 	AudioSampleRate: number;
@@ -1029,50 +6284,6 @@ declare class WindowsTargetSettings extends UObject {
 	static C(Other: UObject | any): WindowsTargetSettings;
 }
 
-declare class PropertyEntry { 
-	Property: EMaterialProperty;
-	bUseCustomSize: boolean;
-	CustomSize: IntPoint;
-	bUseConstantValue: boolean;
-	ConstantValue: number;
-	clone() : PropertyEntry;
-	static C(Other: UObject | any): PropertyEntry;
-}
-
-declare class MaterialOptions extends UObject { 
-	Properties: PropertyEntry[];
-	TextureSize: IntPoint;
-	LODIndices: number[];
-	bUseMeshData: boolean;
-	bUseSpecificUVIndex: boolean;
-	TextureCoordinateIndex: number;
-	static Load(ResourceName: string): MaterialOptions;
-	static Find(Outer: UObject, ResourceName: string): MaterialOptions;
-	static GetDefaultObject(): MaterialOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialOptions;
-	static C(Other: UObject | any): MaterialOptions;
-}
-
-declare class AssetBakeOptions extends UObject { 
-	static Load(ResourceName: string): AssetBakeOptions;
-	static Find(Outer: UObject, ResourceName: string): AssetBakeOptions;
-	static GetDefaultObject(): AssetBakeOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetBakeOptions;
-	static C(Other: UObject | any): AssetBakeOptions;
-}
-
-declare type EMaterialBakeMethod = 'IndividualMaterial' | 'AtlasMaterial' | 'BinnedMaterial' | 'EMaterialBakeMethod_MAX';
-declare var EMaterialBakeMethod : { IndividualMaterial:'IndividualMaterial',AtlasMaterial:'AtlasMaterial',BinnedMaterial:'BinnedMaterial',EMaterialBakeMethod_MAX:'EMaterialBakeMethod_MAX', };
-declare class MaterialMergeOptions extends UObject { 
-	Method: EMaterialBakeMethod;
-	BlendMode: EBlendMode;
-	static Load(ResourceName: string): MaterialMergeOptions;
-	static Find(Outer: UObject, ResourceName: string): MaterialMergeOptions;
-	static GetDefaultObject(): MaterialMergeOptions;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MaterialMergeOptions;
-	static C(Other: UObject | any): MaterialMergeOptions;
-}
-
 declare class SourceCodeAccessSettings extends UObject { 
 	PreferredAccessor: string;
 	static Load(ResourceName: string): SourceCodeAccessSettings;
@@ -1082,38 +6293,12 @@ declare class SourceCodeAccessSettings extends UObject {
 	static C(Other: UObject | any): SourceCodeAccessSettings;
 }
 
-declare class MRMeshComponent extends PrimitiveComponent { 
-	Material: MaterialInterface;
-	MeshReconstructor: MeshReconstructorBase;
-	bEnableCollision: boolean;
-	BodySetups: BodySetup[];
-	static Load(ResourceName: string): MRMeshComponent;
-	static Find(Outer: UObject, ResourceName: string): MRMeshComponent;
-	static GetDefaultObject(): MRMeshComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MRMeshComponent;
-	GetReconstructor(): MeshReconstructorBase;
-	ConnectReconstructor(Reconstructor: MeshReconstructorBase): void;
-	static C(Other: UObject | any): MRMeshComponent;
-}
-
-declare class MRMeshConfiguration { 
-	clone() : MRMeshConfiguration;
-	static C(Other: UObject | any): MRMeshConfiguration;
-}
-
-declare class MeshReconstructorBase extends UObject { 
-	static Load(ResourceName: string): MeshReconstructorBase;
-	static Find(Outer: UObject, ResourceName: string): MeshReconstructorBase;
-	static GetDefaultObject(): MeshReconstructorBase;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshReconstructorBase;
-	StopReconstruction(): void;
-	StartReconstruction(): void;
-	PauseReconstruction(): void;
-	IsReconstructionStarted(): boolean;
-	IsReconstructionPaused(): boolean;
-	DisconnectMRMesh(): void;
-	ConnectMRMesh(Mesh: MRMeshComponent): MRMeshConfiguration;
-	static C(Other: UObject | any): MeshReconstructorBase;
+declare class AdvancedCopyCustomization extends UObject { 
+	static Load(ResourceName: string): AdvancedCopyCustomization;
+	static Find(Outer: UObject, ResourceName: string): AdvancedCopyCustomization;
+	static GetDefaultObject(): AdvancedCopyCustomization;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AdvancedCopyCustomization;
+	static C(Other: UObject | any): AdvancedCopyCustomization;
 }
 
 declare class AssetToolsImpl extends UObject { 
@@ -1124,6 +6309,22 @@ declare class AssetToolsImpl extends UObject {
 	static C(Other: UObject | any): AssetToolsImpl;
 }
 
+declare class AdvancedCopyMap { 
+	ClassToCopy: SoftClassPath;
+	AdvancedCopyCustomization: SoftClassPath;
+	clone() : AdvancedCopyMap;
+	static C(Other: UObject | any): AdvancedCopyMap;
+}
+
+declare class AssetToolsSettings extends DeveloperSettings { 
+	AdvancedCopyCustomizations: AdvancedCopyMap[];
+	static Load(ResourceName: string): AssetToolsSettings;
+	static Find(Outer: UObject, ResourceName: string): AssetToolsSettings;
+	static GetDefaultObject(): AssetToolsSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetToolsSettings;
+	static C(Other: UObject | any): AssetToolsSettings;
+}
+
 declare class AssetRenameData { 
 	Asset: any;
 	NewPackagePath: string;
@@ -1142,6 +6343,8 @@ declare class AssetTools extends Interface {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetTools;
 	RenameAssetsWithDialog(AssetsAndNames: AssetRenameData[],bAutoCheckout: boolean): void;
 	RenameAssets(AssetsAndNames: AssetRenameData[]): boolean;
+	OpenEditorForAssets(Assets: UObject[]): void;
+	ImportAssetTasks(ImportTasks: AssetImportTask[]): void;
 	ImportAssetsWithDialog(DestinationPath: string): UObject[];
 	ImportAssetsAutomated(ImportData: AutomatedAssetImportData): UObject[];
 	FindSoftReferencesToObject(TargetObject: SoftObjectPath,ReferencingObjects?: UObject[]): {ReferencingObjects: UObject[]};
@@ -1168,9 +6371,13 @@ declare class AutomationBlueprintFunctionLibrary extends BlueprintFunctionLibrar
 	static Find(Outer: UObject, ResourceName: string): AutomationBlueprintFunctionLibrary;
 	static GetDefaultObject(): AutomationBlueprintFunctionLibrary;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AutomationBlueprintFunctionLibrary;
+	static TakeHighResScreenshot(ResX: number,ResY: number,Filename: string,Camera: CameraActor,bMaskEnabled: boolean,bCaptureHDR: boolean): boolean;
 	static TakeAutomationScreenshotOfUI(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
-	static TakeAutomationScreenshotAtCamera(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Options: AutomationScreenshotOptions): void;
-	static TakeAutomationScreenshot(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Options: AutomationScreenshotOptions): void;
+	static TakeAutomationScreenshotAtCamera(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Camera: CameraActor,NameOverride: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	static TakeAutomationScreenshot(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Name: string,Notes: string,Options: AutomationScreenshotOptions): void;
+	static SetScalabilityQualityToLow(WorldContextObject: UObject): void;
+	static SetScalabilityQualityToEpic(WorldContextObject: UObject): void;
+	static SetScalabilityQualityLevelRelativeToMax(WorldContextObject: UObject,Value: number): void;
 	static GetStatIncMax(StatName: string): number;
 	static GetStatIncAverage(StatName: string): number;
 	static GetStatExcMax(StatName: string): number;
@@ -1216,6 +6423,7 @@ declare class FunctionalTest extends Actor {
 	RenderComp: FuncTestRenderingComponent;
 	TestName: TextRenderComponent;
 	bIsRunning: boolean;
+	TotalTime: number;
 	static GetDefaultObject(): FunctionalTest;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FunctionalTest;
 	SetTimeLimit(NewTimeLimit: number,ResultWhenTimeRunsOut: EFunctionalTestResult): void;
@@ -1294,6 +6502,8 @@ declare class FunctionalAITest extends FunctionalTest {
 	SpawnLocationRandomizationRange: number;
 	SpawnedPawns: Pawn[];
 	PendingDelayedSpawns: PendingDelayedSpawn[];
+	CurrentSpawnSetIndex: number;
+	CurrentSpawnSetName: string;
 	OnAISpawned: UnrealEngineMulticastDelegate<(Controller: AIController, Pawn: Pawn) => void>;
 	OnAllAISPawned: UnrealEngineMulticastDelegate<() => void>;
 	NavMeshDebugOrigin: Vector;
@@ -1376,6 +6586,7 @@ declare class FunctionalTestUtilityLibrary extends BlueprintFunctionLibrary {
 }
 
 declare class ScreenshotFunctionalTestBase extends FunctionalTest { 
+	Notes: string;
 	ScreenshotCamera: CameraComponent;
 	ScreenshotOptions: AutomationScreenshotOptions;
 	static GetDefaultObject(): ScreenshotFunctionalTestBase;
@@ -1652,287 +6863,6 @@ declare class K2Node_LatentGameplayTaskCall extends K2Node_BaseAsyncTask {
 	static C(Other: UObject | any): K2Node_LatentGameplayTaskCall;
 }
 
-declare class VREditorAssetContainer extends DataAsset { 
-	DockableWindowCloseSound: SoundBase;
-	DockableWindowOpenSound: SoundBase;
-	DockableWindowDropSound: SoundBase;
-	DockableWindowDragSound: SoundBase;
-	DropFromContentBrowserSound: SoundBase;
-	RadialMenuOpenSound: SoundBase;
-	RadialMenuCloseSound: SoundBase;
-	TeleportSound: SoundBase;
-	ButtonPressSound: SoundCue;
-	AutoScaleSound: SoundBase;
-	GenericHMDMesh: StaticMesh;
-	PlaneMesh: StaticMesh;
-	CylinderMesh: StaticMesh;
-	LaserPointerStartMesh: StaticMesh;
-	LaserPointerMesh: StaticMesh;
-	LaserPointerEndMesh: StaticMesh;
-	LaserPointerHoverMesh: StaticMesh;
-	VivePreControllerMesh: StaticMesh;
-	OculusControllerMesh: StaticMesh;
-	GenericControllerMesh: StaticMesh;
-	TeleportRootMesh: StaticMesh;
-	WindowMesh: StaticMesh;
-	WindowSelectionBarMesh: StaticMesh;
-	WindowCloseButtonMesh: StaticMesh;
-	RadialMenuMainMesh: StaticMesh;
-	RadialMenuPointerMesh: StaticMesh;
-	PointerCursorMesh: StaticMesh;
-	GridMaterial: MaterialInterface;
-	LaserPointerMaterial: MaterialInterface;
-	LaserPointerTranslucentMaterial: MaterialInterface;
-	WorldMovementPostProcessMaterial: Material;
-	TextMaterial: MaterialInterface;
-	VivePreControllerMaterial: MaterialInterface;
-	OculusControllerMaterial: MaterialInterface;
-	TeleportMaterial: MaterialInterface;
-	WindowMaterial: MaterialInterface;
-	WindowTranslucentMaterial: MaterialInterface;
-	TextFont: Font;
-	static Load(ResourceName: string): VREditorAssetContainer;
-	static Find(Outer: UObject, ResourceName: string): VREditorAssetContainer;
-	static GetDefaultObject(): VREditorAssetContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAssetContainer;
-	static C(Other: UObject | any): VREditorAssetContainer;
-}
-
-declare class VREditorAvatarActor extends Actor { 
-	HeadMeshComponent: StaticMeshComponent;
-	WorldMovementGridMeshComponent: StaticMeshComponent;
-	WorldMovementGridMID: MaterialInstanceDynamic;
-	WorldMovementGridOpacity: number;
-	bIsDrawingWorldMovementPostProcess: boolean;
-	WorldMovementPostProcessMaterial: MaterialInstanceDynamic;
-	ScaleProgressMeshComponent: StaticMeshComponent;
-	CurrentScaleProgressMeshComponent: StaticMeshComponent;
-	UserScaleIndicatorText: TextRenderComponent;
-	FixedUserScaleMID: MaterialInstanceDynamic;
-	TranslucentFixedUserScaleMID: MaterialInstanceDynamic;
-	CurrentUserScaleMID: MaterialInstanceDynamic;
-	TranslucentCurrentUserScaleMID: MaterialInstanceDynamic;
-	PostProcessComponent: PostProcessComponent;
-	VRMode: VREditorMode;
-	static GetDefaultObject(): VREditorAvatarActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAvatarActor;
-	static C(Other: UObject | any): VREditorAvatarActor;
-}
-
-declare class VREditorBaseActor extends Actor { 
-	VRMode: VREditorMode;
-	static GetDefaultObject(): VREditorBaseActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorBaseActor;
-	static C(Other: UObject | any): VREditorBaseActor;
-}
-
-declare class VREditorBaseUserWidget extends UserWidget { 
-	Owner: any;
-	static Load(ResourceName: string): VREditorBaseUserWidget;
-	static Find(Outer: UObject, ResourceName: string): VREditorBaseUserWidget;
-	static GetDefaultObject(): VREditorBaseUserWidget;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorBaseUserWidget;
-	static C(Other: UObject | any): VREditorBaseUserWidget;
-}
-
-declare type EVREditorWidgetDrawingPolicy = 'Always' | 'Hovering' | 'EVREditorWidgetDrawingPolicy_MAX';
-declare var EVREditorWidgetDrawingPolicy : { Always:'Always',Hovering:'Hovering',EVREditorWidgetDrawingPolicy_MAX:'EVREditorWidgetDrawingPolicy_MAX', };
-declare class VREditorWidgetComponent extends WidgetComponent { 
-	DrawingPolicy: EVREditorWidgetDrawingPolicy;
-	bIsHovering: boolean;
-	bHasEverDrawn: boolean;
-	static Load(ResourceName: string): VREditorWidgetComponent;
-	static Find(Outer: UObject, ResourceName: string): VREditorWidgetComponent;
-	static GetDefaultObject(): VREditorWidgetComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorWidgetComponent;
-	static C(Other: UObject | any): VREditorWidgetComponent;
-}
-
-declare class VREditorFloatingUI extends VREditorBaseActor { 
-	UserWidget: VREditorBaseUserWidget;
-	WidgetComponent: VREditorWidgetComponent;
-	WindowMeshComponent: StaticMeshComponent;
-	UserWidgetClass: UnrealEngineClass;
-	static GetDefaultObject(): VREditorFloatingUI;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorFloatingUI;
-	static C(Other: UObject | any): VREditorFloatingUI;
-}
-
-declare class VREditorRadialFloatingUI extends VREditorBaseActor { 
-	WidgetComponents: VREditorWidgetComponent[];
-	WindowMeshComponent: StaticMeshComponent;
-	ArrowMeshComponent: StaticMeshComponent;
-	CentralWidgetComponent: VREditorWidgetComponent;
-	static GetDefaultObject(): VREditorRadialFloatingUI;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorRadialFloatingUI;
-	static C(Other: UObject | any): VREditorRadialFloatingUI;
-}
-
-declare class VREditorDockableWindow extends VREditorFloatingUI { 
-	SelectionBarMeshComponent: StaticMeshComponent;
-	CloseButtonMeshComponent: StaticMeshComponent;
-	SelectionBarMID: MaterialInstanceDynamic;
-	SelectionBarTranslucentMID: MaterialInstanceDynamic;
-	CloseButtonMID: MaterialInstanceDynamic;
-	CloseButtonTranslucentMID: MaterialInstanceDynamic;
-	DragOperationComponent: ViewportDragOperationComponent;
-	static GetDefaultObject(): VREditorDockableWindow;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorDockableWindow;
-	static C(Other: UObject | any): VREditorDockableWindow;
-}
-
-declare class VREditorInteractor extends ViewportInteractor { 
-	VRMode: VREditorMode;
-	static Load(ResourceName: string): VREditorInteractor;
-	static Find(Outer: UObject, ResourceName: string): VREditorInteractor;
-	static GetDefaultObject(): VREditorInteractor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorInteractor;
-	static C(Other: UObject | any): VREditorInteractor;
-}
-
-declare class VREditorMotionControllerInteractor extends VREditorInteractor { 
-	MotionControllerComponent: MotionControllerComponent;
-	HandMeshComponent: StaticMeshComponent;
-	LaserSplineComponent: SplineComponent;
-	LaserSplineMeshComponents: SplineMeshComponent[];
-	LaserPointerMID: MaterialInstanceDynamic;
-	TranslucentLaserPointerMID: MaterialInstanceDynamic;
-	HoverMeshComponent: StaticMeshComponent;
-	HoverPointLightComponent: PointLightComponent;
-	HandMeshMID: MaterialInstanceDynamic;
-	static Load(ResourceName: string): VREditorMotionControllerInteractor;
-	static Find(Outer: UObject, ResourceName: string): VREditorMotionControllerInteractor;
-	static GetDefaultObject(): VREditorMotionControllerInteractor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorMotionControllerInteractor;
-	static C(Other: UObject | any): VREditorMotionControllerInteractor;
-}
-
-declare class VRButton { 
-	ButtonWidget: VREditorWidgetComponent;
-	clone() : VRButton;
-	static C(Other: UObject | any): VRButton;
-}
-
-declare class VRRadialMenuHandler extends UObject { 
-	static Load(ResourceName: string): VRRadialMenuHandler;
-	static Find(Outer: UObject, ResourceName: string): VRRadialMenuHandler;
-	static GetDefaultObject(): VRRadialMenuHandler;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRRadialMenuHandler;
-	static C(Other: UObject | any): VRRadialMenuHandler;
-}
-
-declare class VREditorUISystem extends UObject { 
-	VRMode: VREditorMode;
-	FloatingUIs: any;
-	InfoDisplayPanel: VREditorFloatingUI;
-	QuickRadialMenu: VREditorRadialFloatingUI;
-	DraggingUI: VREditorDockableWindow;
-	ColorPickerUI: VREditorDockableWindow;
-	LaserInteractor: VREditorMotionControllerInteractor;
-	UIInteractor: VREditorMotionControllerInteractor;
-	VRButtons: VRButton[];
-	RadialMenuHandler: VRRadialMenuHandler;
-	static Load(ResourceName: string): VREditorUISystem;
-	static Find(Outer: UObject, ResourceName: string): VREditorUISystem;
-	static GetDefaultObject(): VREditorUISystem;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorUISystem;
-	static C(Other: UObject | any): VREditorUISystem;
-}
-
-declare class VREditorTeleporter extends Actor { 
-	VRMode: VREditorMode;
-	TeleportDirectionMeshComponent: StaticMeshComponent;
-	HMDMeshComponent: StaticMeshComponent;
-	LeftMotionControllerMeshComponent: StaticMeshComponent;
-	RightMotionControllerMeshComponent: StaticMeshComponent;
-	TeleportMID: MaterialInstanceDynamic;
-	InteractorTryingTeleport: ViewportInteractor;
-	static GetDefaultObject(): VREditorTeleporter;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorTeleporter;
-	static C(Other: UObject | any): VREditorTeleporter;
-}
-
-declare class VREditorPlacement extends UObject { 
-	VRMode: VREditorMode;
-	ViewportWorldInteraction: ViewportWorldInteraction;
-	FloatingUIAssetDraggedFrom: WidgetComponent;
-	PlacingMaterialOrTextureAsset: UObject;
-	static Load(ResourceName: string): VREditorPlacement;
-	static Find(Outer: UObject, ResourceName: string): VREditorPlacement;
-	static GetDefaultObject(): VREditorPlacement;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorPlacement;
-	static C(Other: UObject | any): VREditorPlacement;
-}
-
-declare class VREditorMode extends EditorWorldExtension { 
-	AvatarActor: VREditorAvatarActor;
-	UISystem: VREditorUISystem;
-	TeleportActor: VREditorTeleporter;
-	AutoScalerSystem: VREditorAutoScaler;
-	WorldInteraction: ViewportWorldInteraction;
-	PlacementSystem: VREditorPlacement;
-	LeftHandInteractor: VREditorMotionControllerInteractor;
-	RightHandInteractor: VREditorMotionControllerInteractor;
-	AssetContainer: VREditorAssetContainer;
-	static Load(ResourceName: string): VREditorMode;
-	static Find(Outer: UObject, ResourceName: string): VREditorMode;
-	static GetDefaultObject(): VREditorMode;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorMode;
-	static C(Other: UObject | any): VREditorMode;
-}
-
-declare class VREditorAutoScaler extends UObject { 
-	VRMode: VREditorMode;
-	static Load(ResourceName: string): VREditorAutoScaler;
-	static Find(Outer: UObject, ResourceName: string): VREditorAutoScaler;
-	static GetDefaultObject(): VREditorAutoScaler;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VREditorAutoScaler;
-	static C(Other: UObject | any): VREditorAutoScaler;
-}
-
-declare class DockableWindowDragOperation extends ViewportDragOperation { 
-	static Load(ResourceName: string): DockableWindowDragOperation;
-	static Find(Outer: UObject, ResourceName: string): DockableWindowDragOperation;
-	static GetDefaultObject(): DockableWindowDragOperation;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DockableWindowDragOperation;
-	static C(Other: UObject | any): DockableWindowDragOperation;
-}
-
-declare class FloatingText extends Actor { 
-	SceneComponent: SceneComponent;
-	FirstLineComponent: StaticMeshComponent;
-	JointSphereComponent: StaticMeshComponent;
-	SecondLineComponent: StaticMeshComponent;
-	TextComponent: TextRenderComponent;
-	MaskedTextMaterial: MaterialInterface;
-	TranslucentTextMaterial: MaterialInterface;
-	LineMaterial: MaterialInterface;
-	LineMaterialMID: MaterialInstanceDynamic;
-	static GetDefaultObject(): FloatingText;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FloatingText;
-	static C(Other: UObject | any): FloatingText;
-}
-
-declare type EInteractorHand = 'Right' | 'Left' | 'EInteractorHand_MAX';
-declare var EInteractorHand : { Right:'Right',Left:'Left',EInteractorHand_MAX:'EInteractorHand_MAX', };
-declare class VRModeSettings extends UObject { 
-	bEnableAutoVREditMode: boolean;
-	InteractorHand: EInteractorHand;
-	bShowWorldMovementGrid: boolean;
-	bShowWorldMovementPostProcess: boolean;
-	bShowWorldScaleProgressBar: boolean;
-	UIBrightness: number;
-	GizmoScale: number;
-	DoubleClickTime: number;
-	TriggerPressedThreshold_Vive: number;
-	TriggerPressedThreshold_Rift: number;
-	static Load(ResourceName: string): VRModeSettings;
-	static Find(Outer: UObject, ResourceName: string): VRModeSettings;
-	static GetDefaultObject(): VRModeSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VRModeSettings;
-	static C(Other: UObject | any): VRModeSettings;
-}
-
 declare class Overlays extends UObject { 
 	static Load(ResourceName: string): Overlays;
 	static Find(Outer: UObject, ResourceName: string): Overlays;
@@ -2075,6 +7005,29 @@ declare class MediaPlaylist extends UObject {
 
 declare type EMediaPlayerTrack = 'Audio' | 'Caption' | 'Metadata' | 'Script' | 'Subtitle' | 'Text' | 'Video' | 'EMediaPlayerTrack_MAX';
 declare var EMediaPlayerTrack : { Audio:'Audio',Caption:'Caption',Metadata:'Metadata',Script:'Script',Subtitle:'Subtitle',Text:'Text',Video:'Video',EMediaPlayerTrack_MAX:'EMediaPlayerTrack_MAX', };
+declare class MediaPlayerTrackOptions { 
+	Audio: number;
+	Caption: number;
+	MetaData: number;
+	Script: number;
+	Subtitle: number;
+	text: number;
+	Video: number;
+	clone() : MediaPlayerTrackOptions;
+	static C(Other: UObject | any): MediaPlayerTrackOptions;
+}
+
+declare type EMediaPlayerOptionBooleanOverride = 'UseMediaPlayerSetting' | 'Enabled' | 'Disabled' | 'EMediaPlayerOptionBooleanOverride_MAX';
+declare var EMediaPlayerOptionBooleanOverride : { UseMediaPlayerSetting:'UseMediaPlayerSetting',Enabled:'Enabled',Disabled:'Disabled',EMediaPlayerOptionBooleanOverride_MAX:'EMediaPlayerOptionBooleanOverride_MAX', };
+declare class MediaPlayerOptions { 
+	Tracks: MediaPlayerTrackOptions;
+	SeekTime: Timespan;
+	PlayOnOpen: EMediaPlayerOptionBooleanOverride;
+	loop: EMediaPlayerOptionBooleanOverride;
+	clone() : MediaPlayerOptions;
+	static C(Other: UObject | any): MediaPlayerOptions;
+}
+
 declare class MediaPlayer extends UObject { 
 	OnEndReached: UnrealEngineMulticastDelegate<() => void>;
 	OnMediaClosed: UnrealEngineMulticastDelegate<() => void>;
@@ -2093,10 +7046,12 @@ declare class MediaPlayer extends UObject {
 	loop: boolean;
 	Playlist: MediaPlaylist;
 	PlaylistIndex: number;
+	TimeDelay: Timespan;
 	HorizontalFieldOfView: number;
 	VerticalFieldOfView: number;
 	ViewRotation: Rotator;
 	PlayerGuid: Guid;
+	AffectedByPIEHandling: boolean;
 	static Load(ResourceName: string): MediaPlayer;
 	static Find(Outer: UObject, ResourceName: string): MediaPlayer;
 	static GetDefaultObject(): MediaPlayer;
@@ -2108,9 +7063,12 @@ declare class MediaPlayer extends UObject {
 	SetViewField(Horizontal: number,Vertical: number,Absolute: boolean): boolean;
 	SetVideoTrackFrameRate(TrackIndex: number,FormatIndex: number,FrameRate: number): boolean;
 	SetTrackFormat(TrackType: EMediaPlayerTrack,TrackIndex: number,FormatIndex: number): boolean;
+	SetTimeDelay(TimeDelay: Timespan): void;
 	SetRate(Rate: number): boolean;
+	SetNativeVolume(Volume: number): boolean;
 	SetLooping(Looping: boolean): boolean;
 	SetDesiredPlayerName(PlayerName: string): void;
+	SetBlockOnTime(Time: Timespan): void;
 	SelectTrack(TrackType: EMediaPlayerTrack,TrackIndex: number): boolean;
 	Seek(Time: Timespan): boolean;
 	Rewind(): boolean;
@@ -2119,6 +7077,8 @@ declare class MediaPlayer extends UObject {
 	Play(): boolean;
 	Pause(): boolean;
 	OpenUrl(URL: string): boolean;
+	OpenSourceWithOptions(MediaSource: MediaSource,Options: MediaPlayerOptions): boolean;
+	OpenSourceLatent(WorldContextObject: UObject,LatentInfo: LatentActionInfo,MediaSource: MediaSource,Options: MediaPlayerOptions,bSuccess?: boolean): {bSuccess: boolean};
 	OpenSource(MediaSource: MediaSource): boolean;
 	OpenPlaylistIndex(InPlaylist: MediaPlaylist,index: number): boolean;
 	OpenPlaylist(InPlaylist: MediaPlaylist): boolean;
@@ -2130,6 +7090,7 @@ declare class MediaPlayer extends UObject {
 	IsPaused(): boolean;
 	IsLooping(): boolean;
 	IsConnecting(): boolean;
+	IsClosed(): boolean;
 	IsBuffering(): boolean;
 	HasError(): boolean;
 	GetViewRotation(): Rotator;
@@ -2143,6 +7104,7 @@ declare class MediaPlayer extends UObject {
 	GetTrackLanguage(TrackType: EMediaPlayerTrack,TrackIndex: number): string;
 	GetTrackFormat(TrackType: EMediaPlayerTrack,TrackIndex: number): number;
 	GetTrackDisplayName(TrackType: EMediaPlayerTrack,TrackIndex: number): string;
+	GetTimeDelay(): Timespan;
 	GetTime(): Timespan;
 	GetSupportedRates(OutRates?: FloatRange[],Unthinned?: boolean): {OutRates: FloatRange[]};
 	GetSelectedTrack(TrackType: EMediaPlayerTrack): number;
@@ -2153,6 +7115,8 @@ declare class MediaPlayer extends UObject {
 	GetNumTracks(TrackType: EMediaPlayerTrack): number;
 	GetNumTrackFormats(TrackType: EMediaPlayerTrack,TrackIndex: number): number;
 	GetMediaName(): string;
+	GetLastVideoSampleProcessedTime(): Timespan;
+	GetLastAudioSampleProcessedTime(): Timespan;
 	GetHorizontalFieldOfView(): number;
 	GetDuration(): Timespan;
 	GetDesiredPlayerName(): string;
@@ -2168,15 +7132,33 @@ declare class MediaPlayer extends UObject {
 
 declare type EMediaSoundChannels = 'Mono' | 'Stereo' | 'Surround' | 'EMediaSoundChannels_MAX';
 declare var EMediaSoundChannels : { Mono:'Mono',Stereo:'Stereo',Surround:'Surround',EMediaSoundChannels_MAX:'EMediaSoundChannels_MAX', };
+declare type EMediaSoundComponentFFTSize = 'Min_64' | 'Small_256' | 'Medium_512' | 'Large_1024' | 'EMediaSoundComponentFFTSize_MAX';
+declare var EMediaSoundComponentFFTSize : { Min_64:'Min_64',Small_256:'Small_256',Medium_512:'Medium_512',Large_1024:'Large_1024',EMediaSoundComponentFFTSize_MAX:'EMediaSoundComponentFFTSize_MAX', };
+declare class MediaSoundComponentSpectralData { 
+	FrequencyHz: number;
+	Magnitude: number;
+	clone() : MediaSoundComponentSpectralData;
+	static C(Other: UObject | any): MediaSoundComponentSpectralData;
+}
+
 declare class MediaSoundComponent extends SynthComponent { 
 	Channels: EMediaSoundChannels;
+	DynamicRateAdjustment: boolean;
+	RateAdjustmentFactor: number;
+	RateAdjustmentRange: FloatRange;
 	MediaPlayer: MediaPlayer;
 	static Load(ResourceName: string): MediaSoundComponent;
 	static Find(Outer: UObject, ResourceName: string): MediaSoundComponent;
 	static GetDefaultObject(): MediaSoundComponent;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MediaSoundComponent;
+	SetSpectralAnalysisSettings(InFrequenciesToAnalyze: number[],InFFTSize: EMediaSoundComponentFFTSize): void;
 	SetMediaPlayer(NewMediaPlayer: MediaPlayer): void;
+	SetEnvelopeFollowingsettings(AttackTimeMsec: number,ReleaseTimeMsec: number): void;
+	SetEnableSpectralAnalysis(bInSpectralAnalysisEnabled: boolean): void;
+	SetEnableEnvelopeFollowing(bInEnvelopeFollowing: boolean): void;
+	GetSpectralData(): MediaSoundComponentSpectralData[];
 	GetMediaPlayer(): MediaPlayer;
+	GetEnvelopeValue(): number;
 	BP_GetAttenuationSettingsToApply(OutAttenuationSettings?: SoundAttenuationSettings): {OutAttenuationSettings: SoundAttenuationSettings, $: boolean};
 	static C(Other: UObject | any): MediaSoundComponent;
 }
@@ -2218,15 +7200,13 @@ declare class StreamMediaSource extends BaseMediaSource {
 	static C(Other: UObject | any): StreamMediaSource;
 }
 
-declare class WmfMediaSettings extends UObject { 
-	AllowNonStandardCodecs: boolean;
-	LowLatency: boolean;
-	NativeAudioOut: boolean;
-	static Load(ResourceName: string): WmfMediaSettings;
-	static Find(Outer: UObject, ResourceName: string): WmfMediaSettings;
-	static GetDefaultObject(): WmfMediaSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): WmfMediaSettings;
-	static C(Other: UObject | any): WmfMediaSettings;
+declare class TimeSynchronizableMediaSource extends BaseMediaSource { 
+	bUseTimeSynchronization: boolean;
+	static Load(ResourceName: string): TimeSynchronizableMediaSource;
+	static Find(Outer: UObject, ResourceName: string): TimeSynchronizableMediaSource;
+	static GetDefaultObject(): TimeSynchronizableMediaSource;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TimeSynchronizableMediaSource;
+	static C(Other: UObject | any): TimeSynchronizableMediaSource;
 }
 
 declare class MaterialExpressionSpriteTextureSampler extends MaterialExpressionTextureSampleParameter2D { 
@@ -2282,7 +7262,7 @@ declare class SpriteGeometryCollection {
 declare type EPaperSpriteAtlasPadding = 'DilateBorder' | 'PadWithZero' | 'EPaperSpriteAtlasPadding_MAX';
 declare var EPaperSpriteAtlasPadding : { DilateBorder:'DilateBorder',PadWithZero:'PadWithZero',EPaperSpriteAtlasPadding_MAX:'EPaperSpriteAtlasPadding_MAX', };
 declare class PaperSpriteAtlasSlot { 
-	SpriteRef: any;
+	SpriteRef: PaperSprite;
 	AtlasIndex: number;
 	X: number;
 	Y: number;
@@ -2671,7 +7651,7 @@ declare class PaperTileMap extends UObject {
 	SeparationPerTileX: number;
 	SeparationPerTileY: number;
 	SeparationPerLayer: number;
-	SelectedTileSet: any;
+	SelectedTileSet: PaperTileSet;
 	Material: MaterialInterface;
 	TileLayers: PaperTileLayer[];
 	CollisionThickness: number;
@@ -2682,6 +7662,13 @@ declare class PaperTileMap extends UObject {
 	AssetImportData: AssetImportData;
 	SelectedLayerIndex: number;
 	BackgroundColor: LinearColor;
+	TileGridColor: LinearColor;
+	MultiTileGridColor: LinearColor;
+	MultiTileGridWidth: number;
+	MultiTileGridHeight: number;
+	MultiTileGridOffsetX: number;
+	MultiTileGridOffsetY: number;
+	LayerGridColor: LinearColor;
 	LayerNameIndex: number;
 	static Load(ResourceName: string): PaperTileMap;
 	static Find(Outer: UObject, ResourceName: string): PaperTileMap;
@@ -2705,6 +7692,8 @@ declare class PaperTileMapComponent extends MeshComponent {
 	bShowPerTileGridWhenSelected: boolean;
 	bShowPerLayerGridWhenSelected: boolean;
 	bShowOutlineWhenUnselected: boolean;
+	bShowPerTileGridWhenUnselected: boolean;
+	bShowPerLayerGridWhenUnselected: boolean;
 	static Load(ResourceName: string): PaperTileMapComponent;
 	static Find(Outer: UObject, ResourceName: string): PaperTileMapComponent;
 	static GetDefaultObject(): PaperTileMapComponent;
@@ -2750,177 +7739,6 @@ declare class TileMapBlueprintLibrary extends BlueprintFunctionLibrary {
 	static C(Other: UObject | any): TileMapBlueprintLibrary;
 }
 
-declare class LiveLinkSubjectName { 
-	Name: string;
-	clone() : LiveLinkSubjectName;
-	static C(Other: UObject | any): LiveLinkSubjectName;
-}
-
-declare class LiveLinkDrivenComponent extends ActorComponent { 
-	SubjectName: LiveLinkSubjectName;
-	ActorTransformBone: string;
-	bModifyActorTransform: boolean;
-	bSetRelativeLocation: boolean;
-	static Load(ResourceName: string): LiveLinkDrivenComponent;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkDrivenComponent;
-	static GetDefaultObject(): LiveLinkDrivenComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkDrivenComponent;
-	static C(Other: UObject | any): LiveLinkDrivenComponent;
-}
-
-declare class LiveLinkInstance extends AnimInstance { 
-	static Load(ResourceName: string): LiveLinkInstance;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkInstance;
-	static GetDefaultObject(): LiveLinkInstance;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkInstance;
-	static C(Other: UObject | any): LiveLinkInstance;
-}
-
-declare class LiveLinkRetargetAsset extends UObject { 
-	static Load(ResourceName: string): LiveLinkRetargetAsset;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkRetargetAsset;
-	static GetDefaultObject(): LiveLinkRetargetAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkRetargetAsset;
-	static C(Other: UObject | any): LiveLinkRetargetAsset;
-}
-
-declare class LiveLinkRemapAsset extends LiveLinkRetargetAsset { 
-	static Load(ResourceName: string): LiveLinkRemapAsset;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkRemapAsset;
-	static GetDefaultObject(): LiveLinkRemapAsset;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkRemapAsset;
-	RemapCurveElements(CurveItems?: any): {CurveItems: any};
-	GetRemappedCurveName(CurveName: string): string;
-	GetRemappedBoneName(BoneName: string): string;
-	static C(Other: UObject | any): LiveLinkRemapAsset;
-}
-
-declare type EPinnedCommandListType = 'Command' | 'CustomWidget' | 'EPinnedCommandListType_MAX';
-declare var EPinnedCommandListType : { Command:'Command',CustomWidget:'CustomWidget',EPinnedCommandListType_MAX:'EPinnedCommandListType_MAX', };
-declare class PinnedCommandListCommand { 
-	Name: string;
-	Binding: string;
-	Type: EPinnedCommandListType;
-	clone() : PinnedCommandListCommand;
-	static C(Other: UObject | any): PinnedCommandListCommand;
-}
-
-declare class PinnedCommandListContext { 
-	Name: string;
-	Commands: PinnedCommandListCommand[];
-	clone() : PinnedCommandListContext;
-	static C(Other: UObject | any): PinnedCommandListContext;
-}
-
-declare class PinnedCommandListSettings extends UObject { 
-	Contexts: PinnedCommandListContext[];
-	static Load(ResourceName: string): PinnedCommandListSettings;
-	static Find(Outer: UObject, ResourceName: string): PinnedCommandListSettings;
-	static GetDefaultObject(): PinnedCommandListSettings;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PinnedCommandListSettings;
-	static C(Other: UObject | any): PinnedCommandListSettings;
-}
-
-declare class PersonaPreviewSceneController extends UObject { 
-	static Load(ResourceName: string): PersonaPreviewSceneController;
-	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneController;
-	static GetDefaultObject(): PersonaPreviewSceneController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneController;
-	static C(Other: UObject | any): PersonaPreviewSceneController;
-}
-
-declare class PersonaPreviewSceneAnimationController extends PersonaPreviewSceneController { 
-	Animation: any;
-	static Load(ResourceName: string): PersonaPreviewSceneAnimationController;
-	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneAnimationController;
-	static GetDefaultObject(): PersonaPreviewSceneAnimationController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneAnimationController;
-	static C(Other: UObject | any): PersonaPreviewSceneAnimationController;
-}
-
-declare class PersonaPreviewSceneDefaultController extends PersonaPreviewSceneController { 
-	static Load(ResourceName: string): PersonaPreviewSceneDefaultController;
-	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneDefaultController;
-	static GetDefaultObject(): PersonaPreviewSceneDefaultController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneDefaultController;
-	static C(Other: UObject | any): PersonaPreviewSceneDefaultController;
-}
-
-declare class PersonaPreviewSceneDescription extends UObject { 
-	PreviewController: UnrealEngineClass;
-	PreviewControllerInstance: PersonaPreviewSceneController;
-	PreviewControllerInstances: PersonaPreviewSceneController[];
-	PreviewMesh: any;
-	AdditionalMeshes: any;
-	DefaultAdditionalMeshes: PreviewMeshCollection;
-	static Load(ResourceName: string): PersonaPreviewSceneDescription;
-	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneDescription;
-	static GetDefaultObject(): PersonaPreviewSceneDescription;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneDescription;
-	static C(Other: UObject | any): PersonaPreviewSceneDescription;
-}
-
-declare class PersonaPreviewSceneRefPoseController extends PersonaPreviewSceneController { 
-	bResetBoneTransforms: boolean;
-	static Load(ResourceName: string): PersonaPreviewSceneRefPoseController;
-	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneRefPoseController;
-	static GetDefaultObject(): PersonaPreviewSceneRefPoseController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneRefPoseController;
-	static C(Other: UObject | any): PersonaPreviewSceneRefPoseController;
-}
-
-declare class AnimNode_LiveLinkPose extends AnimNode_Base { 
-	SubjectName: string;
-	RetargetAsset: UnrealEngineClass;
-	CurrentRetargetAsset: LiveLinkRetargetAsset;
-	clone() : AnimNode_LiveLinkPose;
-	static C(Other: UObject | any): AnimNode_LiveLinkPose;
-}
-
-declare class AnimGraphNode_LiveLinkPose extends AnimGraphNode_Base { 
-	UNode: AnimNode_LiveLinkPose;
-	static Load(ResourceName: string): AnimGraphNode_LiveLinkPose;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_LiveLinkPose;
-	static GetDefaultObject(): AnimGraphNode_LiveLinkPose;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_LiveLinkPose;
-	static C(Other: UObject | any): AnimGraphNode_LiveLinkPose;
-}
-
-declare class LiveLinkMessageBusSourceFactory extends LiveLinkSourceFactory { 
-	static Load(ResourceName: string): LiveLinkMessageBusSourceFactory;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkMessageBusSourceFactory;
-	static GetDefaultObject(): LiveLinkMessageBusSourceFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkMessageBusSourceFactory;
-	static C(Other: UObject | any): LiveLinkMessageBusSourceFactory;
-}
-
-declare class LiveLinkPreviewController extends PersonaPreviewSceneController { 
-	SubjectName: string;
-	bEnableCameraSync: boolean;
-	RetargetAsset: UnrealEngineClass;
-	static Load(ResourceName: string): LiveLinkPreviewController;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkPreviewController;
-	static GetDefaultObject(): LiveLinkPreviewController;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkPreviewController;
-	static C(Other: UObject | any): LiveLinkPreviewController;
-}
-
-declare class LiveLinkVirtualSubject { 
-	Subjects: string[];
-	Source: Guid;
-	clone() : LiveLinkVirtualSubject;
-	static C(Other: UObject | any): LiveLinkVirtualSubject;
-}
-
-declare class LiveLinkVirtualSubjectDetails extends UObject { 
-	VirtualSubjectProxy: LiveLinkVirtualSubject;
-	static Load(ResourceName: string): LiveLinkVirtualSubjectDetails;
-	static Find(Outer: UObject, ResourceName: string): LiveLinkVirtualSubjectDetails;
-	static GetDefaultObject(): LiveLinkVirtualSubjectDetails;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkVirtualSubjectDetails;
-	static C(Other: UObject | any): LiveLinkVirtualSubjectDetails;
-}
-
 declare class LightPropagationVolumeSettings { 
 	bOverride_LPVIntensity: boolean;
 	bOverride_LPVDirectionalOcclusionIntensity: boolean;
@@ -2964,6 +7782,151 @@ declare class LightPropagationVolumeBlendable extends UObject {
 	static C(Other: UObject | any): LightPropagationVolumeBlendable;
 }
 
+declare class SignificanceManager extends UObject { 
+	SignificanceManagerClassName: SoftClassPath;
+	static Load(ResourceName: string): SignificanceManager;
+	static Find(Outer: UObject, ResourceName: string): SignificanceManager;
+	static GetDefaultObject(): SignificanceManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): SignificanceManager;
+	static C(Other: UObject | any): SignificanceManager;
+}
+
+declare class AnimSharingStateInstance extends AnimInstance { 
+	AnimationToPlay: AnimSequence;
+	PermutationTimeOffset: number;
+	PlayRate: number;
+	bStateBool: boolean;
+	static Load(ResourceName: string): AnimSharingStateInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSharingStateInstance;
+	static GetDefaultObject(): AnimSharingStateInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSharingStateInstance;
+	GetInstancedActors(Actors?: Actor[]): {Actors: Actor[]};
+	static C(Other: UObject | any): AnimSharingStateInstance;
+}
+
+declare class AnimSharingTransitionInstance extends AnimInstance { 
+	FromComponent: any;
+	ToComponent: any;
+	BlendTime: number;
+	bBlendBool: boolean;
+	static Load(ResourceName: string): AnimSharingTransitionInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSharingTransitionInstance;
+	static GetDefaultObject(): AnimSharingTransitionInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSharingTransitionInstance;
+	static C(Other: UObject | any): AnimSharingTransitionInstance;
+}
+
+declare class AnimSharingAdditiveInstance extends AnimInstance { 
+	BaseComponent: any;
+	AdditiveAnimation: any;
+	Alpha: number;
+	bStateBool: boolean;
+	static Load(ResourceName: string): AnimSharingAdditiveInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSharingAdditiveInstance;
+	static GetDefaultObject(): AnimSharingAdditiveInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSharingAdditiveInstance;
+	static C(Other: UObject | any): AnimSharingAdditiveInstance;
+}
+
+declare class AnimationSharingStateProcessor extends UObject { 
+	AnimationStateEnum: Enum;
+	static Load(ResourceName: string): AnimationSharingStateProcessor;
+	static Find(Outer: UObject, ResourceName: string): AnimationSharingStateProcessor;
+	static GetDefaultObject(): AnimationSharingStateProcessor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSharingStateProcessor;
+	ProcessActorState(OutState?: number,InActor?: Actor,CurrentState?: number,OnDemandState?: number,bShouldProcess?: boolean): {OutState: number, bShouldProcess: boolean};
+	GetAnimationStateEnum(): Enum;
+	static C(Other: UObject | any): AnimationSharingStateProcessor;
+}
+
+declare class AnimSharingInstance extends UObject { 
+	RegisteredActors: Actor[];
+	StateProcessor: AnimationSharingStateProcessor;
+	UsedAnimationSequences: AnimSequence[];
+	StateEnum: Enum;
+	SharingActor: Actor;
+	static Load(ResourceName: string): AnimSharingInstance;
+	static Find(Outer: UObject, ResourceName: string): AnimSharingInstance;
+	static GetDefaultObject(): AnimSharingInstance;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimSharingInstance;
+	static C(Other: UObject | any): AnimSharingInstance;
+}
+
+declare class PerPlatformBool { 
+	Default: boolean;
+	PerPlatform: any;
+	clone() : PerPlatformBool;
+	static C(Other: UObject | any): PerPlatformBool;
+}
+
+declare class AnimationSetup { 
+	AnimSequence: AnimSequence;
+	AnimBlueprint: UnrealEngineClass;
+	NumRandomizedInstances: PerPlatformInt;
+	Enabled: PerPlatformBool;
+	clone() : AnimationSetup;
+	static C(Other: UObject | any): AnimationSetup;
+}
+
+declare class AnimationStateEntry { 
+	State: number;
+	AnimationSetups: AnimationSetup[];
+	bOnDemand: boolean;
+	bAdditive: boolean;
+	BlendTime: number;
+	bReturnToPreviousState: boolean;
+	bSetNextState: boolean;
+	NextState: number;
+	MaximumNumberOfConcurrentInstances: PerPlatformInt;
+	WiggleTimePercentage: number;
+	bRequiresCurves: boolean;
+	clone() : AnimationStateEntry;
+	static C(Other: UObject | any): AnimationStateEntry;
+}
+
+declare class PerSkeletonAnimationSharingSetup { 
+	Skeleton: Skeleton;
+	SkeletalMesh: SkeletalMesh;
+	BlendAnimBlueprint: UnrealEngineClass;
+	AdditiveAnimBlueprint: UnrealEngineClass;
+	StateProcessorClass: UnrealEngineClass;
+	AnimationStates: AnimationStateEntry[];
+	clone() : PerSkeletonAnimationSharingSetup;
+	static C(Other: UObject | any): PerSkeletonAnimationSharingSetup;
+}
+
+declare class AnimationSharingScalability { 
+	UseBlendTransitions: PerPlatformBool;
+	BlendSignificanceValue: PerPlatformFloat;
+	MaximumNumberConcurrentBlends: PerPlatformInt;
+	TickSignificanceValue: PerPlatformFloat;
+	clone() : AnimationSharingScalability;
+	static C(Other: UObject | any): AnimationSharingScalability;
+}
+
+declare class AnimationSharingSetup extends UObject { 
+	SkeletonSetups: PerSkeletonAnimationSharingSetup[];
+	ScalabilitySettings: AnimationSharingScalability;
+	static Load(ResourceName: string): AnimationSharingSetup;
+	static Find(Outer: UObject, ResourceName: string): AnimationSharingSetup;
+	static GetDefaultObject(): AnimationSharingSetup;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSharingSetup;
+	static C(Other: UObject | any): AnimationSharingSetup;
+}
+
+declare class AnimationSharingManager extends UObject { 
+	PerSkeletonData: AnimSharingInstance[];
+	static Load(ResourceName: string): AnimationSharingManager;
+	static Find(Outer: UObject, ResourceName: string): AnimationSharingManager;
+	static GetDefaultObject(): AnimationSharingManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSharingManager;
+	RegisterActorWithSkeletonBP(InActor: Actor,SharingSkeleton: Skeleton): void;
+	static GetAnimationSharingManager(WorldContextObject: UObject): AnimationSharingManager;
+	static CreateAnimationSharingManager(WorldContextObject: UObject,Setup: AnimationSharingSetup): boolean;
+	static AnimationSharingEnabled(): boolean;
+	static C(Other: UObject | any): AnimationSharingManager;
+}
+
 declare class EdGraph_ReferenceViewer extends EdGraph { 
 	static Load(ResourceName: string): EdGraph_ReferenceViewer;
 	static Find(Outer: UObject, ResourceName: string): EdGraph_ReferenceViewer;
@@ -3059,6 +8022,7 @@ declare class TranslationUnit extends UObject {
 declare class PixelInspectorView extends UObject { 
 	FinalColor: LinearColor;
 	SceneColor: LinearColor;
+	PreExposure: number;
 	Luminance: number;
 	HdrColor: LinearColor;
 	Normal: Vector;
@@ -3074,7 +8038,7 @@ declare class PixelInspectorView extends UObject {
 	SubsurfaceColor: LinearColor;
 	SubsurfaceProfile: Vector;
 	Opacity: number;
-	ClearCoat: number;
+	Clearcoat: number;
 	ClearCoatRoughness: number;
 	WorldNormal: Vector;
 	BackLit: number;
@@ -3099,6 +8063,7 @@ declare class DataValidationCommandlet extends Commandlet {
 
 declare class DataValidationManager extends UObject { 
 	ExcludedDirectories: DirectoryPath[];
+	bValidateOnSave: boolean;
 	DataValidationManagerClassName: SoftClassPath;
 	static Load(ResourceName: string): DataValidationManager;
 	static Find(Outer: UObject, ResourceName: string): DataValidationManager;
@@ -3196,14 +8161,296 @@ declare class GameplayTagsK2Node_SwitchGameplayTag extends K2Node_Switch {
 	static C(Other: UObject | any): GameplayTagsK2Node_SwitchGameplayTag;
 }
 
-declare class GameplayTagsK2Node_SwitchGameplayTagContainer extends K2Node_Switch { 
-	PinContainers: GameplayTagContainer[];
-	PinNames: string[];
-	static Load(ResourceName: string): GameplayTagsK2Node_SwitchGameplayTagContainer;
-	static Find(Outer: UObject, ResourceName: string): GameplayTagsK2Node_SwitchGameplayTagContainer;
-	static GetDefaultObject(): GameplayTagsK2Node_SwitchGameplayTagContainer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsK2Node_SwitchGameplayTagContainer;
-	static C(Other: UObject | any): GameplayTagsK2Node_SwitchGameplayTagContainer;
+declare class GameplayTagsK2Node_SwitchGameplayTagContainer extends K2Node_Switch { 
+	PinContainers: GameplayTagContainer[];
+	PinNames: string[];
+	static Load(ResourceName: string): GameplayTagsK2Node_SwitchGameplayTagContainer;
+	static Find(Outer: UObject, ResourceName: string): GameplayTagsK2Node_SwitchGameplayTagContainer;
+	static GetDefaultObject(): GameplayTagsK2Node_SwitchGameplayTagContainer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GameplayTagsK2Node_SwitchGameplayTagContainer;
+	static C(Other: UObject | any): GameplayTagsK2Node_SwitchGameplayTagContainer;
+}
+
+declare class LuminARUObjectManager extends UObject { 
+	AllAnchors: ARPin[];
+	static Load(ResourceName: string): LuminARUObjectManager;
+	static Find(Outer: UObject, ResourceName: string): LuminARUObjectManager;
+	static GetDefaultObject(): LuminARUObjectManager;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LuminARUObjectManager;
+	static C(Other: UObject | any): LuminARUObjectManager;
+}
+
+declare class LuminARSessionFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): LuminARSessionFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): LuminARSessionFunctionLibrary;
+	static GetDefaultObject(): LuminARSessionFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LuminARSessionFunctionLibrary;
+	static StartLuminARSession(WorldContextObject: UObject,LatentInfo: LatentActionInfo,Configuration: LuminARSessionConfig): void;
+	static C(Other: UObject | any): LuminARSessionFunctionLibrary;
+}
+
+declare type ELuminARTrackingState = 'Tracking' | 'NotTracking' | 'StoppedTracking' | 'ELuminARTrackingState_MAX';
+declare var ELuminARTrackingState : { Tracking:'Tracking',NotTracking:'NotTracking',StoppedTracking:'StoppedTracking',ELuminARTrackingState_MAX:'ELuminARTrackingState_MAX', };
+declare class LuminARLightEstimate { 
+	bIsValid: boolean;
+	PixelIntensity: number;
+	RGBScaleFactor: Vector;
+	clone() : LuminARLightEstimate;
+	static C(Other: UObject | any): LuminARLightEstimate;
+	GetLightEstimation(): {OutLightEstimate: LuminARLightEstimate};
+	static GetLightEstimation(OutLightEstimate?: LuminARLightEstimate): {OutLightEstimate: LuminARLightEstimate};
+}
+
+declare class LuminARFrameFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): LuminARFrameFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): LuminARFrameFunctionLibrary;
+	static GetDefaultObject(): LuminARFrameFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LuminARFrameFunctionLibrary;
+	static LuminARLineTrace(WorldContextObject: UObject,ScreenPosition: Vector2D,TraceChannels: any,OutHitResults?: ARTraceResult[]): {OutHitResults: ARTraceResult[], $: boolean};
+	static GetTrackingState(): ELuminARTrackingState;
+	static GetLightEstimation(OutLightEstimate?: LuminARLightEstimate): {OutLightEstimate: LuminARLightEstimate};
+	static C(Other: UObject | any): LuminARFrameFunctionLibrary;
+}
+
+declare type EMLControllerTrackingMode = 'InputService' | 'CoordinateFrameUID' | 'EMLControllerTrackingMode_MAX';
+declare var EMLControllerTrackingMode : { InputService:'InputService',CoordinateFrameUID:'CoordinateFrameUID',EMLControllerTrackingMode_MAX:'EMLControllerTrackingMode_MAX', };
+declare type EMLControllerLEDPattern = 'None' | 'Clock01' | 'Clock02' | 'Clock03' | 'Clock04' | 'Clock05' | 'Clock06' | 'Clock07' | 'Clock08' | 'Clock09' | 'Clock10' | 'Clock11' | 'Clock12' | 'Clock01_07' | 'Clock02_08' | 'Clock03_09' | 'Clock04_10' | 'Clock05_11' | 'Clock06_12' | 'EMLControllerLEDPattern_MAX';
+declare var EMLControllerLEDPattern : { None:'None',Clock01:'Clock01',Clock02:'Clock02',Clock03:'Clock03',Clock04:'Clock04',Clock05:'Clock05',Clock06:'Clock06',Clock07:'Clock07',Clock08:'Clock08',Clock09:'Clock09',Clock10:'Clock10',Clock11:'Clock11',Clock12:'Clock12',Clock01_07:'Clock01_07',Clock02_08:'Clock02_08',Clock03_09:'Clock03_09',Clock04_10:'Clock04_10',Clock05_11:'Clock05_11',Clock06_12:'Clock06_12',EMLControllerLEDPattern_MAX:'EMLControllerLEDPattern_MAX', };
+declare type EMLControllerLEDColor = 'BrightMissionRed' | 'PastelMissionRed' | 'BrightFloridaOrange' | 'PastelFloridaOrange' | 'BrightLunaYellow' | 'PastelLunaYellow' | 'BrightNebulaPink' | 'PastelNebulaPink' | 'BrightCosmicPurple' | 'PastelCosmicPurple' | 'BrightMysticBlue' | 'PastelMysticBlue' | 'BrightCelestialBlue' | 'PastelCelestialBlue' | 'BrightShaggleGreen' | 'PastelShaggleGreen' | 'EMLControllerLEDColor_MAX';
+declare var EMLControllerLEDColor : { BrightMissionRed:'BrightMissionRed',PastelMissionRed:'PastelMissionRed',BrightFloridaOrange:'BrightFloridaOrange',PastelFloridaOrange:'PastelFloridaOrange',BrightLunaYellow:'BrightLunaYellow',PastelLunaYellow:'PastelLunaYellow',BrightNebulaPink:'BrightNebulaPink',PastelNebulaPink:'PastelNebulaPink',BrightCosmicPurple:'BrightCosmicPurple',PastelCosmicPurple:'PastelCosmicPurple',BrightMysticBlue:'BrightMysticBlue',PastelMysticBlue:'PastelMysticBlue',BrightCelestialBlue:'BrightCelestialBlue',PastelCelestialBlue:'PastelCelestialBlue',BrightShaggleGreen:'BrightShaggleGreen',PastelShaggleGreen:'PastelShaggleGreen',EMLControllerLEDColor_MAX:'EMLControllerLEDColor_MAX', };
+declare type EMLControllerLEDEffect = 'RotateCW' | 'RotateCCW' | 'Pulse' | 'PaintCW' | 'PaintCCW' | 'Blink' | 'EMLControllerLEDEffect_MAX';
+declare var EMLControllerLEDEffect : { RotateCW:'RotateCW',RotateCCW:'RotateCCW',Pulse:'Pulse',PaintCW:'PaintCW',PaintCCW:'PaintCCW',Blink:'Blink',EMLControllerLEDEffect_MAX:'EMLControllerLEDEffect_MAX', };
+declare type EMLControllerLEDSpeed = 'Slow' | 'Medium' | 'Fast' | 'EMLControllerLEDSpeed_MAX';
+declare var EMLControllerLEDSpeed : { Slow:'Slow',Medium:'Medium',Fast:'Fast',EMLControllerLEDSpeed_MAX:'EMLControllerLEDSpeed_MAX', };
+declare type EMLControllerHapticPattern = 'None' | 'Click' | 'Bump' | 'DoubleClick' | 'Buzz' | 'Tick' | 'ForceDown' | 'ForceUp' | 'ForceDwell' | 'SecondForceDown' | 'EMLControllerHapticPattern_MAX';
+declare var EMLControllerHapticPattern : { None:'None',Click:'Click',Bump:'Bump',DoubleClick:'DoubleClick',Buzz:'Buzz',Tick:'Tick',ForceDown:'ForceDown',ForceUp:'ForceUp',ForceDwell:'ForceDwell',SecondForceDown:'SecondForceDown',EMLControllerHapticPattern_MAX:'EMLControllerHapticPattern_MAX', };
+declare type EMLControllerHapticIntensity = 'Low' | 'Medium' | 'High' | 'EMLControllerHapticIntensity_MAX';
+declare var EMLControllerHapticIntensity : { Low:'Low',Medium:'Medium',High:'High',EMLControllerHapticIntensity_MAX:'EMLControllerHapticIntensity_MAX', };
+declare type EMLControllerType = 'None' | 'Device' | 'MobileApp' | 'EMLControllerType_MAX';
+declare var EMLControllerType : { None:'None',Device:'Device',MobileApp:'MobileApp',EMLControllerType_MAX:'EMLControllerType_MAX', };
+declare class MagicLeapControllerFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapControllerFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapControllerFunctionLibrary;
+	static GetDefaultObject(): MagicLeapControllerFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapControllerFunctionLibrary;
+	static SetMotionSourceForHand(Hand: EControllerHand,MotionSource: string): boolean;
+	static SetControllerTrackingMode(TrackingMode: EMLControllerTrackingMode): boolean;
+	static PlayLEDPattern(MotionSource: string,LEDPattern: EMLControllerLEDPattern,LEDColor: EMLControllerLEDColor,DurationInSec: number): boolean;
+	static PlayLEDEffect(MotionSource: string,LEDEffect: EMLControllerLEDEffect,LEDSpeed: EMLControllerLEDSpeed,LEDPattern: EMLControllerLEDPattern,LEDColor: EMLControllerLEDColor,DurationInSec: number): boolean;
+	static PlayHapticPattern(MotionSource: string,HapticPattern: EMLControllerHapticPattern,Intensity: EMLControllerHapticIntensity): boolean;
+	static PlayControllerLEDEffect(Hand: EControllerHand,LEDEffect: EMLControllerLEDEffect,LEDSpeed: EMLControllerLEDSpeed,LEDPattern: EMLControllerLEDPattern,LEDColor: EMLControllerLEDColor,DurationInSec: number): boolean;
+	static PlayControllerLED(Hand: EControllerHand,LEDPattern: EMLControllerLEDPattern,LEDColor: EMLControllerLEDColor,DurationInSec: number): boolean;
+	static PlayControllerHapticFeedback(Hand: EControllerHand,HapticPattern: EMLControllerHapticPattern,Intensity: EMLControllerHapticIntensity): boolean;
+	static MaxSupportedMagicLeapControllers(): number;
+	static InvertControllerMapping(): void;
+	static GetMotionSourceForHand(Hand: EControllerHand): string;
+	static GetMLControllerType(Hand: EControllerHand): EMLControllerType;
+	static GetHandForMotionSource(MotionSource: string): EControllerHand;
+	static GetControllerType(MotionSource: string): EMLControllerType;
+	static GetControllerTrackingMode(): EMLControllerTrackingMode;
+	static GetControllerMapping(ControllerIndex: number,Hand?: EControllerHand): {Hand: EControllerHand, $: boolean};
+	static C(Other: UObject | any): MagicLeapControllerFunctionLibrary;
+}
+
+declare type EMagicLeapTouchpadGestureType = 'None' | 'Tap' | 'ForceTapDown' | 'ForceTapUp' | 'ForceDwell' | 'SecondForceDown' | 'LongHold' | 'RadialScroll' | 'Swipe' | 'Scroll' | 'Pinch' | 'EMagicLeapTouchpadGestureType_MAX';
+declare var EMagicLeapTouchpadGestureType : { None:'None',Tap:'Tap',ForceTapDown:'ForceTapDown',ForceTapUp:'ForceTapUp',ForceDwell:'ForceDwell',SecondForceDown:'SecondForceDown',LongHold:'LongHold',RadialScroll:'RadialScroll',Swipe:'Swipe',Scroll:'Scroll',Pinch:'Pinch',EMagicLeapTouchpadGestureType_MAX:'EMagicLeapTouchpadGestureType_MAX', };
+declare type EMagicLeapTouchpadGestureDirection = 'None' | 'Up' | 'Down' | 'Left' | 'Right' | 'In' | 'Out' | 'Clockwise' | 'CounterClockwise' | 'EMagicLeapTouchpadGestureDirection_MAX';
+declare var EMagicLeapTouchpadGestureDirection : { None:'None',Up:'Up',Down:'Down',Left:'Left',Right:'Right',In:'In',Out:'Out',Clockwise:'Clockwise',CounterClockwise:'CounterClockwise',EMagicLeapTouchpadGestureDirection_MAX:'EMagicLeapTouchpadGestureDirection_MAX', };
+declare class MagicLeapTouchpadGesture { 
+	Hand: EControllerHand;
+	MotionSource: string;
+	Type: EMagicLeapTouchpadGestureType;
+	Direction: EMagicLeapTouchpadGestureDirection;
+	PositionAndForce: Vector;
+	Speed: number;
+	Distance: number;
+	FingerGap: number;
+	Radius: number;
+	Angle: number;
+	clone() : MagicLeapTouchpadGesture;
+	static C(Other: UObject | any): MagicLeapTouchpadGesture;
+}
+
+declare class TouchpadGesturesComponent extends ActorComponent { 
+	OnTouchpadGestureStart: UnrealEngineMulticastDelegate<(GestureData: MagicLeapTouchpadGesture) => void>;
+	OnTouchpadGestureContinue: UnrealEngineMulticastDelegate<(GestureData: MagicLeapTouchpadGesture) => void>;
+	OnTouchpadGestureEnd: UnrealEngineMulticastDelegate<(GestureData: MagicLeapTouchpadGesture) => void>;
+	static Load(ResourceName: string): TouchpadGesturesComponent;
+	static Find(Outer: UObject, ResourceName: string): TouchpadGesturesComponent;
+	static GetDefaultObject(): TouchpadGesturesComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TouchpadGesturesComponent;
+	static C(Other: UObject | any): TouchpadGesturesComponent;
+}
+
+declare class EyeTrackerStereoGazeData { 
+	LeftEyeOrigin: Vector;
+	LeftEyeDirection: Vector;
+	RightEyeOrigin: Vector;
+	RightEyeDirection: Vector;
+	FixationPoint: Vector;
+	ConfidenceValue: number;
+	clone() : EyeTrackerStereoGazeData;
+	static C(Other: UObject | any): EyeTrackerStereoGazeData;
+	GetStereoGazeData(): {OutGazeData: EyeTrackerStereoGazeData, $: boolean};
+	static GetStereoGazeData(OutGazeData?: EyeTrackerStereoGazeData): {OutGazeData: EyeTrackerStereoGazeData, $: boolean};
+}
+
+declare class EyeTrackerGazeData { 
+	GazeOrigin: Vector;
+	GazeDirection: Vector;
+	FixationPoint: Vector;
+	ConfidenceValue: number;
+	clone() : EyeTrackerGazeData;
+	static C(Other: UObject | any): EyeTrackerGazeData;
+	GetGazeData(): {OutGazeData: EyeTrackerGazeData, $: boolean};
+	static GetGazeData(OutGazeData?: EyeTrackerGazeData): {OutGazeData: EyeTrackerGazeData, $: boolean};
+}
+
+declare class EyeTrackerFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): EyeTrackerFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): EyeTrackerFunctionLibrary;
+	static GetDefaultObject(): EyeTrackerFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EyeTrackerFunctionLibrary;
+	static SetEyeTrackedPlayer(PlayerController: PlayerController): void;
+	static IsStereoGazeDataAvailable(): boolean;
+	static IsEyeTrackerConnected(): boolean;
+	static GetStereoGazeData(OutGazeData?: EyeTrackerStereoGazeData): {OutGazeData: EyeTrackerStereoGazeData, $: boolean};
+	static GetGazeData(OutGazeData?: EyeTrackerGazeData): {OutGazeData: EyeTrackerGazeData, $: boolean};
+	static C(Other: UObject | any): EyeTrackerFunctionLibrary;
+}
+
+declare class MagicLeapFixationComfort { 
+	FixationDepthIsUncomfortable: boolean;
+	FixationDepthViolationHasOccurred: boolean;
+	RemainingTimeAtUncomfortableDepth: number;
+	clone() : MagicLeapFixationComfort;
+	static C(Other: UObject | any): MagicLeapFixationComfort;
+	GetFixationComfort(): {FixationComfort: MagicLeapFixationComfort, $: boolean};
+	static GetFixationComfort(FixationComfort?: MagicLeapFixationComfort): {FixationComfort: MagicLeapFixationComfort, $: boolean};
+}
+
+declare class MagicLeapEyeBlinkState { 
+	LeftEyeBlinked: boolean;
+	RightEyeBlinked: boolean;
+	clone() : MagicLeapEyeBlinkState;
+	static C(Other: UObject | any): MagicLeapEyeBlinkState;
+	GetEyeBlinkState(): {BlinkState: MagicLeapEyeBlinkState, $: boolean};
+	static GetEyeBlinkState(BlinkState?: MagicLeapEyeBlinkState): {BlinkState: MagicLeapEyeBlinkState, $: boolean};
+}
+
+declare type EMagicLeapEyeTrackingCalibrationStatus = 'None' | 'Bad' | 'Good' | 'EMagicLeapEyeTrackingCalibrationStatus_MAX';
+declare var EMagicLeapEyeTrackingCalibrationStatus : { None:'None',Bad:'Bad',Good:'Good',EMagicLeapEyeTrackingCalibrationStatus_MAX:'EMagicLeapEyeTrackingCalibrationStatus_MAX', };
+declare class MagicLeapEyeTrackerFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapEyeTrackerFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapEyeTrackerFunctionLibrary;
+	static GetDefaultObject(): MagicLeapEyeTrackerFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapEyeTrackerFunctionLibrary;
+	static IsEyeTrackerCalibrated(): boolean;
+	static GetFixationComfort(FixationComfort?: MagicLeapFixationComfort): {FixationComfort: MagicLeapFixationComfort, $: boolean};
+	static GetEyeBlinkState(BlinkState?: MagicLeapEyeBlinkState): {BlinkState: MagicLeapEyeBlinkState, $: boolean};
+	static GetCalibrationStatus(): EMagicLeapEyeTrackingCalibrationStatus;
+	static C(Other: UObject | any): MagicLeapEyeTrackerFunctionLibrary;
+}
+
+declare class LiveLinkSourceFactory extends UObject { 
+	static Load(ResourceName: string): LiveLinkSourceFactory;
+	static Find(Outer: UObject, ResourceName: string): LiveLinkSourceFactory;
+	static GetDefaultObject(): LiveLinkSourceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkSourceFactory;
+	static C(Other: UObject | any): LiveLinkSourceFactory;
+}
+
+declare type ELiveLinkSourceMode = 'Default' | 'Interpolated' | 'TimeSynchronized' | 'ELiveLinkSourceMode_MAX';
+declare var ELiveLinkSourceMode : { Default:'Default',Interpolated:'Interpolated',TimeSynchronized:'TimeSynchronized',ELiveLinkSourceMode_MAX:'ELiveLinkSourceMode_MAX', };
+declare class LiveLinkInterpolationSettings { 
+	bUseInterpolation: boolean;
+	InterpolationOffset: number;
+	clone() : LiveLinkInterpolationSettings;
+	static C(Other: UObject | any): LiveLinkInterpolationSettings;
+}
+
+declare class LiveLinkTimeSynchronizationSettings { 
+	FrameRate: FrameRate;
+	clone() : LiveLinkTimeSynchronizationSettings;
+	static C(Other: UObject | any): LiveLinkTimeSynchronizationSettings;
+}
+
+declare class LiveLinkSourceSettings extends UObject { 
+	Mode: ELiveLinkSourceMode;
+	InterpolationSettings: LiveLinkInterpolationSettings;
+	TimeSynchronizationSettings: LiveLinkTimeSynchronizationSettings;
+	static Load(ResourceName: string): LiveLinkSourceSettings;
+	static Find(Outer: UObject, ResourceName: string): LiveLinkSourceSettings;
+	static GetDefaultObject(): LiveLinkSourceSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkSourceSettings;
+	static C(Other: UObject | any): LiveLinkSourceSettings;
+}
+
+declare class LiveLinkMagicLeapHandTrackingSourceFactory extends LiveLinkSourceFactory { 
+	static Load(ResourceName: string): LiveLinkMagicLeapHandTrackingSourceFactory;
+	static Find(Outer: UObject, ResourceName: string): LiveLinkMagicLeapHandTrackingSourceFactory;
+	static GetDefaultObject(): LiveLinkMagicLeapHandTrackingSourceFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveLinkMagicLeapHandTrackingSourceFactory;
+	static C(Other: UObject | any): LiveLinkMagicLeapHandTrackingSourceFactory;
+}
+
+declare type EHandTrackingGesture = 'Finger' | 'Fist' | 'Pinch' | 'Thumb' | 'L' | 'OpenHandBack' | 'Ok' | 'C' | 'NoPose' | 'NoHand' | 'EHandTrackingGesture_MAX';
+declare var EHandTrackingGesture : { Finger:'Finger',Fist:'Fist',Pinch:'Pinch',Thumb:'Thumb',L:'L',OpenHandBack:'OpenHandBack',Ok:'Ok',C:'C',NoPose:'NoPose',NoHand:'NoHand',EHandTrackingGesture_MAX:'EHandTrackingGesture_MAX', };
+declare type EHandTrackingKeypointFilterLevel = 'NoFilter' | 'SimpleSmoothing' | 'PredictiveSmoothing' | 'EHandTrackingKeypointFilterLevel_MAX';
+declare var EHandTrackingKeypointFilterLevel : { NoFilter:'NoFilter',SimpleSmoothing:'SimpleSmoothing',PredictiveSmoothing:'PredictiveSmoothing',EHandTrackingKeypointFilterLevel_MAX:'EHandTrackingKeypointFilterLevel_MAX', };
+declare type EHandTrackingGestureFilterLevel = 'NoFilter' | 'SlightRobustnessToFlicker' | 'MoreRobustnessToFlicker' | 'EHandTrackingGestureFilterLevel_MAX';
+declare var EHandTrackingGestureFilterLevel : { NoFilter:'NoFilter',SlightRobustnessToFlicker:'SlightRobustnessToFlicker',MoreRobustnessToFlicker:'MoreRobustnessToFlicker',EHandTrackingGestureFilterLevel_MAX:'EHandTrackingGestureFilterLevel_MAX', };
+declare class LiveLinkSourceHandle { 
+	clone() : LiveLinkSourceHandle;
+	static C(Other: UObject | any): LiveLinkSourceHandle;
+	GetMagicLeapHandTrackingLiveLinkSource(): {SourceHandle: LiveLinkSourceHandle, $: boolean};
+	static GetMagicLeapHandTrackingLiveLinkSource(SourceHandle?: LiveLinkSourceHandle): {SourceHandle: LiveLinkSourceHandle, $: boolean};
+}
+
+declare type EGestureTransformSpace = 'World' | 'Hand' | 'Tracking' | 'EGestureTransformSpace_MAX';
+declare var EGestureTransformSpace : { World:'World',Hand:'Hand',Tracking:'Tracking',EGestureTransformSpace_MAX:'EGestureTransformSpace_MAX', };
+declare type EHandTrackingKeypoint = 'Thumb_Tip' | 'Thumb_IP' | 'Thumb_MCP' | 'Thumb_CMC' | 'Index_Tip' | 'Index_DIP' | 'Index_PIP' | 'Index_MCP' | 'Middle_Tip' | 'Middle_DIP' | 'Middle_PIP' | 'Middle_MCP' | 'Ring_Tip' | 'Ring_DIP' | 'Ring_PIP' | 'Ring_MCP' | 'Pinky_Tip' | 'Pinky_DIP' | 'Pinky_PIP' | 'Pinky_MCP' | 'Wrist_Center' | 'Wrist_Ulnar' | 'Wrist_Radial' | 'Hand_Center' | 'EHandTrackingKeypoint_MAX';
+declare var EHandTrackingKeypoint : { Thumb_Tip:'Thumb_Tip',Thumb_IP:'Thumb_IP',Thumb_MCP:'Thumb_MCP',Thumb_CMC:'Thumb_CMC',Index_Tip:'Index_Tip',Index_DIP:'Index_DIP',Index_PIP:'Index_PIP',Index_MCP:'Index_MCP',Middle_Tip:'Middle_Tip',Middle_DIP:'Middle_DIP',Middle_PIP:'Middle_PIP',Middle_MCP:'Middle_MCP',Ring_Tip:'Ring_Tip',Ring_DIP:'Ring_DIP',Ring_PIP:'Ring_PIP',Ring_MCP:'Ring_MCP',Pinky_Tip:'Pinky_Tip',Pinky_DIP:'Pinky_DIP',Pinky_PIP:'Pinky_PIP',Pinky_MCP:'Pinky_MCP',Wrist_Center:'Wrist_Center',Wrist_Ulnar:'Wrist_Ulnar',Wrist_Radial:'Wrist_Radial',Hand_Center:'Hand_Center',EHandTrackingKeypoint_MAX:'EHandTrackingKeypoint_MAX', };
+declare class MagicLeapHandTrackingFunctionLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): MagicLeapHandTrackingFunctionLibrary;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapHandTrackingFunctionLibrary;
+	static GetDefaultObject(): MagicLeapHandTrackingFunctionLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapHandTrackingFunctionLibrary;
+	static SetStaticGestureConfidenceThreshold(Gesture: EHandTrackingGesture,Confidence: number): void;
+	static SetConfiguration(StaticGesturesToActivate: EHandTrackingGesture[],KeypointsFilterLevel: EHandTrackingKeypointFilterLevel,GestureFilterLevel: EHandTrackingGestureFilterLevel,HandSwitchingFilterLevel: EHandTrackingGestureFilterLevel,bTrackingEnabled: boolean): boolean;
+	static GetStaticGestureConfidenceThreshold(Gesture: EHandTrackingGesture): number;
+	static GetMagicLeapHandTrackingLiveLinkSource(SourceHandle?: LiveLinkSourceHandle): {SourceHandle: LiveLinkSourceHandle, $: boolean};
+	static GetHandThumbTip(Hand: EControllerHand,TransformSpace: EGestureTransformSpace,Secondary?: Transform): {Secondary: Transform, $: boolean};
+	static GetHandIndexFingerTip(Hand: EControllerHand,TransformSpace: EGestureTransformSpace,Pointer?: Transform): {Pointer: Transform, $: boolean};
+	static GetHandCenterNormalized(Hand: EControllerHand,HandCenterNormalized?: Vector): {HandCenterNormalized: Vector, $: boolean};
+	static GetHandCenter(Hand: EControllerHand,HandCenter?: Transform): {HandCenter: Transform, $: boolean};
+	static GetGestureKeypointTransform(Hand: EControllerHand,Keypoint: EHandTrackingKeypoint,TransformSpace: EGestureTransformSpace,Transform?: Transform): {Transform: Transform, $: boolean};
+	static GetGestureKeypoints(Hand: EControllerHand,Keypoints?: Transform[]): {Keypoints: Transform[], $: boolean};
+	static GetCurrentGestureConfidence(Hand: EControllerHand,Confidence?: number): {Confidence: number, $: boolean};
+	static GetCurrentGesture(Hand: EControllerHand,Gesture?: EHandTrackingGesture): {Gesture: EHandTrackingGesture, $: boolean};
+	static GetConfiguration(ActiveStaticGestures?: EHandTrackingGesture[],KeypointsFilterLevel?: EHandTrackingKeypointFilterLevel,GestureFilterLevel?: EHandTrackingGestureFilterLevel,HandSwitchingFilterLevel?: EHandTrackingGestureFilterLevel,bTrackingEnabled?: boolean): {ActiveStaticGestures: EHandTrackingGesture[], KeypointsFilterLevel: EHandTrackingKeypointFilterLevel, GestureFilterLevel: EHandTrackingGestureFilterLevel, HandSwitchingFilterLevel: EHandTrackingGestureFilterLevel, bTrackingEnabled: boolean, $: boolean};
+	static C(Other: UObject | any): MagicLeapHandTrackingFunctionLibrary;
+}
+
+declare type EMagicLeapIdentityKey = 'GivenName' | 'FamilyName' | 'Email' | 'Bio' | 'PhoneNumber' | 'Avatar2D' | 'Avatar3D' | 'Unknown' | 'EMagicLeapIdentityKey_MAX';
+declare var EMagicLeapIdentityKey : { GivenName:'GivenName',FamilyName:'FamilyName',Email:'Email',Bio:'Bio',PhoneNumber:'PhoneNumber',Avatar2D:'Avatar2D',Avatar3D:'Avatar3D',Unknown:'Unknown',EMagicLeapIdentityKey_MAX:'EMagicLeapIdentityKey_MAX', };
+declare class MagicLeapIdentityAttribute { 
+	Attribute: EMagicLeapIdentityKey;
+	Value: string;
+	clone() : MagicLeapIdentityAttribute;
+	static C(Other: UObject | any): MagicLeapIdentityAttribute;
+}
+
+declare type EMagicLeapIdentityError = 'Ok' | 'InvalidParam' | 'AllocFailed' | 'PrivilegeDenied' | 'FailedToConnectToLocalService' | 'FailedToConnectToCloudService' | 'CloudAuthentication' | 'InvalidInformationFromCloud' | 'NotLoggedIn' | 'ExpiredCredentials' | 'FailedToGetUserProfile' | 'Unauthorized' | 'CertificateError' | 'RejectedByCloud' | 'AlreadyLoggedIn' | 'ModifyIsNotSupported' | 'NetworkError' | 'UnspecifiedFailure' | 'EMagicLeapIdentityError_MAX';
+declare var EMagicLeapIdentityError : { Ok:'Ok',InvalidParam:'InvalidParam',AllocFailed:'AllocFailed',PrivilegeDenied:'PrivilegeDenied',FailedToConnectToLocalService:'FailedToConnectToLocalService',FailedToConnectToCloudService:'FailedToConnectToCloudService',CloudAuthentication:'CloudAuthentication',InvalidInformationFromCloud:'InvalidInformationFromCloud',NotLoggedIn:'NotLoggedIn',ExpiredCredentials:'ExpiredCredentials',FailedToGetUserProfile:'FailedToGetUserProfile',Unauthorized:'Unauthorized',CertificateError:'CertificateError',RejectedByCloud:'RejectedByCloud',AlreadyLoggedIn:'AlreadyLoggedIn',ModifyIsNotSupported:'ModifyIsNotSupported',NetworkError:'NetworkError',UnspecifiedFailure:'UnspecifiedFailure',EMagicLeapIdentityError_MAX:'EMagicLeapIdentityError_MAX', };
+declare class MagicLeapIdentity extends UObject { 
+	static Load(ResourceName: string): MagicLeapIdentity;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapIdentity;
+	static GetDefaultObject(): MagicLeapIdentity;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapIdentity;
+	RequestAttributeValue(RequestedAttributeList: EMagicLeapIdentityKey[],RequestedAttributeValues?: MagicLeapIdentityAttribute[]): {RequestedAttributeValues: MagicLeapIdentityAttribute[], $: EMagicLeapIdentityError};
+	GetAllAvailableAttributes(AvailableAttributes?: EMagicLeapIdentityKey[]): {AvailableAttributes: EMagicLeapIdentityKey[], $: EMagicLeapIdentityError};
+	static C(Other: UObject | any): MagicLeapIdentity;
 }
 
 declare class TcpMessagingSettings extends UObject { 
@@ -3281,7 +8528,6 @@ declare class ActorSequenceComponent extends ActorComponent {
 	PlaybackSettings: MovieSceneSequencePlaybackSettings;
 	Sequence: ActorSequence;
 	SequencePlayer: ActorSequencePlayer;
-	bAutoPlay: boolean;
 	static Load(ResourceName: string): ActorSequenceComponent;
 	static Find(Outer: UObject, ResourceName: string): ActorSequenceComponent;
 	static GetDefaultObject(): ActorSequenceComponent;
@@ -3289,33 +8535,6 @@ declare class ActorSequenceComponent extends ActorComponent {
 	static C(Other: UObject | any): ActorSequenceComponent;
 }
 
-declare type ESimulationSpace = 'ComponentSpace' | 'WorldSpace' | 'RootBoneSpace' | 'ESimulationSpace_MAX';
-declare var ESimulationSpace : { ComponentSpace:'ComponentSpace',WorldSpace:'WorldSpace',RootBoneSpace:'RootBoneSpace',ESimulationSpace_MAX:'ESimulationSpace_MAX', };
-declare class AnimNode_RigidBody extends AnimNode_SkeletalControlBase { 
-	OverridePhysicsAsset: PhysicsAsset;
-	OverrideWorldGravity: Vector;
-	ExternalForce: Vector;
-	OverlapChannel: ECollisionChannel;
-	bEnableWorldGeometry: boolean;
-	SimulationSpace: ESimulationSpace;
-	bOverrideWorldGravity: boolean;
-	CachedBoundsScale: number;
-	bTransferBoneVelocities: boolean;
-	bFreezeIncomingPoseOnStart: boolean;
-	bComponentSpaceSimulation: boolean;
-	clone() : AnimNode_RigidBody;
-	static C(Other: UObject | any): AnimNode_RigidBody;
-}
-
-declare class AnimGraphNode_RigidBody extends AnimGraphNode_SkeletalControlBase { 
-	UNode: AnimNode_RigidBody;
-	static Load(ResourceName: string): AnimGraphNode_RigidBody;
-	static Find(Outer: UObject, ResourceName: string): AnimGraphNode_RigidBody;
-	static GetDefaultObject(): AnimGraphNode_RigidBody;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimGraphNode_RigidBody;
-	static C(Other: UObject | any): AnimGraphNode_RigidBody;
-}
-
 declare type ELocationAccuracy = 'LA_ThreeKilometers' | 'LA_OneKilometer' | 'LA_HundredMeters' | 'LA_TenMeters' | 'LA_Best' | 'LA_Navigation' | 'LA_MAX';
 declare var ELocationAccuracy : { LA_ThreeKilometers:'LA_ThreeKilometers',LA_OneKilometer:'LA_OneKilometer',LA_HundredMeters:'LA_HundredMeters',LA_TenMeters:'LA_TenMeters',LA_Best:'LA_Best',LA_Navigation:'LA_Navigation',LA_MAX:'LA_MAX', };
 declare class LocationServicesData { 
@@ -3447,12 +8666,17 @@ declare class VehicleInputRate {
 
 declare class WheeledVehicleMovementComponent extends PawnMovementComponent { 
 	bDeprecatedSpringOffsetMode: boolean;
-	WheelSetups: WheelSetup[];
+	bReverseAsBrake: boolean;
+	bUseRVOAvoidance: boolean;
+	bRawHandbrakeInput: boolean;
+	bRawGearUpInput: boolean;
+	bRawGearDownInput: boolean;
+	bWasAvoidanceUpdated: boolean;
 	Mass: number;
+	WheelSetups: WheelSetup[];
 	DragCoefficient: number;
 	ChassisWidth: number;
 	ChassisHeight: number;
-	bReverseAsBrake: boolean;
 	DragArea: number;
 	EstimatedMaxEngineSpeed: number;
 	MaxEngineRPM: number;
@@ -3466,7 +8690,6 @@ declare class WheeledVehicleMovementComponent extends PawnMovementComponent {
 	LowForwardSpeedSubStepCount: number;
 	HighForwardSpeedSubStepCount: number;
 	Wheels: VehicleWheel[];
-	bUseRVOAvoidance: boolean;
 	RVOAvoidanceRadius: number;
 	RVOAvoidanceHeight: number;
 	AvoidanceConsiderationRadius: number;
@@ -3482,9 +8705,6 @@ declare class WheeledVehicleMovementComponent extends PawnMovementComponent {
 	RawSteeringInput: number;
 	RawThrottleInput: number;
 	RawBrakeInput: number;
-	bRawHandbrakeInput: boolean;
-	bRawGearUpInput: boolean;
-	bRawGearDownInput: boolean;
 	SteeringInput: number;
 	ThrottleInput: number;
 	BrakeInput: number;
@@ -3496,7 +8716,6 @@ declare class WheeledVehicleMovementComponent extends PawnMovementComponent {
 	BrakeInputRate: VehicleInputRate;
 	HandbrakeInputRate: VehicleInputRate;
 	SteeringInputRate: VehicleInputRate;
-	bWasAvoidanceUpdated: boolean;
 	OverrideController: Controller;
 	static Load(ResourceName: string): WheeledVehicleMovementComponent;
 	static Find(Outer: UObject, ResourceName: string): WheeledVehicleMovementComponent;
@@ -3605,9 +8824,9 @@ declare class VehicleTransmissionData {
 declare class WheeledVehicleMovementComponent4W extends WheeledVehicleMovementComponent { 
 	EngineSetup: VehicleEngineData;
 	DifferentialSetup: VehicleDifferential4WData;
+	AckermannAccuracy: number;
 	TransmissionSetup: VehicleTransmissionData;
 	SteeringCurve: RuntimeFloatCurve;
-	AckermannAccuracy: number;
 	static Load(ResourceName: string): WheeledVehicleMovementComponent4W;
 	static Find(Outer: UObject, ResourceName: string): WheeledVehicleMovementComponent4W;
 	static GetDefaultObject(): WheeledVehicleMovementComponent4W;
@@ -3653,10 +8872,8 @@ declare class JavascriptContext extends UObject {
 	WriteDTS(Target: string,bIncludingTooltip: boolean): boolean;
 	WriteAliases(Target: string): boolean;
 	SetContextId(Name: string): void;
-	SetAsDebugContext(InPort: number): void;
 	RunScript(Script: string,bOutput: boolean): string;
 	RunFile(Filename: string): void;
-	ResetAsDebugContext(): void;
 	RequestV8GarbageCollection(): void;
 	ReadScriptFile(Filename: string): string;
 	IsDebugContext(): boolean;
@@ -3668,6 +8885,30 @@ declare class JavascriptContext extends UObject {
 	static C(Other: UObject | any): JavascriptContext;
 }
 
+declare class JavascriptHeapStatistics { 
+	TotalHeapSize: number;
+	TotalHeapSizeExecutable: number;
+	TotalPhysicalSize: number;
+	TotalAvailableSize: number;
+	UsedHeapSize: number;
+	HeapSizeLimit: number;
+	MallocedMemory: number;
+	bDoesZapGarbage: boolean;
+	clone() : JavascriptHeapStatistics;
+	static C(Other: UObject | any): JavascriptHeapStatistics;
+}
+
+declare class JavascriptIsolate extends UObject { 
+	static Load(ResourceName: string): JavascriptIsolate;
+	static Find(Outer: UObject, ResourceName: string): JavascriptIsolate;
+	static GetDefaultObject(): JavascriptIsolate;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptIsolate;
+	Init(bIsEditor: boolean): void;
+	GetHeapStatistics(Statistics?: JavascriptHeapStatistics): {Statistics: JavascriptHeapStatistics};
+	CreateContext(): JavascriptContext;
+	static C(Other: UObject | any): JavascriptIsolate;
+}
+
 declare class JavascriptAsset { 
 	Name: string;
 	Asset: SoftObjectPath;
@@ -3686,6 +8927,7 @@ declare class JavascriptComponent extends ActorComponent {
 	ScriptSourceFile: string;
 	bActiveWithinEditor: boolean;
 	JavascriptContext: JavascriptContext;
+	JavascriptIsolate: JavascriptIsolate;
 	OnTick: UnrealEngineDelegate<(DeltaSeconds: number) => void>;
 	OnBeginPlay: UnrealEngineDelegate<() => void>;
 	OnEndPlay: UnrealEngineDelegate<() => void>;
@@ -3769,28 +9011,13 @@ declare class JavascriptGlobalDelegates extends UObject {
 	static C(Other: UObject | any): JavascriptGlobalDelegates;
 }
 
-declare class JavascriptHeapStatistics { 
-	TotalHeapSize: number;
-	TotalHeapSizeExecutable: number;
-	TotalPhysicalSize: number;
-	TotalAvailableSize: number;
-	UsedHeapSize: number;
-	HeapSizeLimit: number;
-	MallocedMemory: number;
-	bDoesZapGarbage: boolean;
-	clone() : JavascriptHeapStatistics;
-	static C(Other: UObject | any): JavascriptHeapStatistics;
-}
-
-declare class JavascriptIsolate extends UObject { 
-	static Load(ResourceName: string): JavascriptIsolate;
-	static Find(Outer: UObject, ResourceName: string): JavascriptIsolate;
-	static GetDefaultObject(): JavascriptIsolate;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptIsolate;
-	Init(bIsEditor: boolean): void;
-	GetHeapStatistics(Statistics?: JavascriptHeapStatistics): {Statistics: JavascriptHeapStatistics};
-	CreateContext(): JavascriptContext;
-	static C(Other: UObject | any): JavascriptIsolate;
+declare class JavascriptStaticCache extends UObject { 
+	Isolates: JavascriptIsolate[];
+	static Load(ResourceName: string): JavascriptStaticCache;
+	static Find(Outer: UObject, ResourceName: string): JavascriptStaticCache;
+	static GetDefaultObject(): JavascriptStaticCache;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptStaticCache;
+	static C(Other: UObject | any): JavascriptStaticCache;
 }
 
 declare class JavascriptStubStruct { 
@@ -3850,7 +9077,7 @@ declare class JavascriptStat {
 	static AddMessage(Stat: JavascriptStat,InStatOperation: EJavascriptStatOperation): void;
 	static AddMessage_float(Stat: JavascriptStat,InStatOperation: EJavascriptStatOperation,Value: number,bIsCycle: boolean): void;
 	static AddMessage_int(Stat: JavascriptStat,InStatOperation: EJavascriptStatOperation,Value: number,bIsCycle: boolean): void;
-	static NewStat(InStatName: string,InStatDesc: string,InGroupName: string,InGroupCategory: string,InGroupDesc: string,bDefaultEnable: boolean,bShouldClearEveryFrame: boolean,InStatType: EJavascriptStatDataType,bCycleStat: boolean): JavascriptStat;
+	static NewStat(InStatName: string,InStatDesc: string,InGroupName: string,InGroupCategory: string,InGroupDesc: string,bDefaultEnable: boolean,bShouldClearEveryFrame: boolean,InStatType: EJavascriptStatDataType,bCycleStat: boolean,bSortByName: boolean): JavascriptStat;
 }
 
 declare type ELogVerbosity_JS = 'NoLogging' | 'Fatal' | 'Error' | 'Warning' | 'Display' | 'Log' | 'Verbose' | 'VeryVerbose' | 'ELogVerbosity_MAX';
@@ -3940,7 +9167,7 @@ declare class JavascriptLibrary extends BlueprintFunctionLibrary {
 	static ReadStringFromFile(UObject: UObject,Filename: string): string;
 	static ReadFile(UObject: UObject,Filename: string): boolean;
 	static ReadDirectory(UObject: UObject,Directory: string,OutItems?: DirectoryItem[]): {OutItems: DirectoryItem[], $: boolean};
-	static NewStat(InStatName: string,InStatDesc: string,InGroupName: string,InGroupCategory: string,InGroupDesc: string,bDefaultEnable: boolean,bShouldClearEveryFrame: boolean,InStatType: EJavascriptStatDataType,bCycleStat: boolean): JavascriptStat;
+	static NewStat(InStatName: string,InStatDesc: string,InGroupName: string,InGroupCategory: string,InGroupDesc: string,bDefaultEnable: boolean,bShouldClearEveryFrame: boolean,InStatType: EJavascriptStatDataType,bCycleStat: boolean,bSortByName: boolean): JavascriptStat;
 	static MarkRenderStateDirty(Component: ActorComponent): void;
 	static MakeDirectory(Path: string,Tree: boolean): boolean;
 	static Log(Category: JavascriptLogCategory,Verbosity: ELogVerbosity_JS,Message: string,Filename: string,LineNumber: number): void;
@@ -3957,6 +9184,7 @@ declare class JavascriptLibrary extends BlueprintFunctionLibrary {
 	static HasAnyPackageFlags(Package: Package,Flags: number): boolean;
 	static HasAnyFlags(UObject: UObject,Flags: number): boolean;
 	static HandleSeamlessTravelPlayer(GameMode: GameModeBase,C?: Controller): {C: Controller};
+	static GetWorldBounds(InWorld: World): Box;
 	static GetSuperClasses(InClass: UnrealEngineClass): UnrealEngineClass[];
 	static GetStructProperties(StructName: string,bIncludeSuper: boolean): JavscriptProperty[];
 	static GetScriptResourceName(UNode: JavascriptProfileNode): string;
@@ -3998,7 +9226,7 @@ declare class JavascriptLibrary extends BlueprintFunctionLibrary {
 	static GetBailoutReason(UNode: JavascriptProfileNode): string;
 	static GetArchetypePathName(UObject: UObject): string;
 	static GetAllActorsOfClassAndTags(WorldContextObject: UObject,ActorClass: UnrealEngineClass,Tags_Accept: string[],Tags_Deny: string[],OutActors?: Actor[]): {OutActors: Actor[]};
-	static GenerateNavigation(World: World,NavData: RecastNavMesh): void;
+	static GenerateNavigation(InWorld: World,NavData: RecastNavMesh): void;
 	static FindPackage(InOuter: UObject,PackageName: string): Package;
 	static FindObjectWithOuter(Outer: UObject,ClassToLookFor: UnrealEngineClass,NameToLookFor: string): UObject;
 	static FileExists(Filename: string): boolean;
@@ -4012,6 +9240,7 @@ declare class JavascriptLibrary extends BlueprintFunctionLibrary {
 	static CreateLogCategory(CategoryName: string,InDefaultVerbosity: ELogVerbosity_JS): JavascriptLogCategory;
 	static CreateInternetAddr(): JavascriptInternetAddr;
 	static CreateEnum(Outer: UObject,Name: string,DisplayNames: string[]): Enum;
+	static ConvertRelativePathToFull(UObject: UObject,RelativePath: string): string;
 	static ClipboardPaste(): string;
 	static ClipboardCopy(string: string): void;
 	static CallJS(UFunction: JavascriptFunction,CustomStruct: JavascriptStubStruct): void;
@@ -4066,6 +9295,7 @@ declare class JavascriptProcess extends UObject {
 	Wait(): void;
 	Terminate(KillTree: boolean): void;
 	static Sleep(Seconds: number): void;
+	static SimulateKeypress(KeyEvent: number): void;
 	static SetEnvironmentVar(VarName: string,VarValue: string): void;
 	ReadFromPipe(): string;
 	ReadArrayFromPipe(Array?: number[]): {Array: number[], $: boolean};
@@ -4085,15 +9315,20 @@ declare class JavascriptProcess extends UObject {
 	static C(Other: UObject | any): JavascriptProcess;
 }
 
+declare class JavascriptCpuProfiler { 
+	clone() : JavascriptCpuProfiler;
+	static C(Other: UObject | any): JavascriptCpuProfiler;
+}
+
 declare class JavascriptProfile extends UObject { 
 	static Load(ResourceName: string): JavascriptProfile;
 	static Find(Outer: UObject, ResourceName: string): JavascriptProfile;
 	static GetDefaultObject(): JavascriptProfile;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptProfile;
-	static Stop(Title: string): JavascriptProfile;
-	static Start(Title: string,bRecordSamples: boolean): void;
-	static SetSamplingInterval(us: number): void;
-	static SetIdle(is_idle: boolean): void;
+	static Stop(Profiler: JavascriptCpuProfiler,Title: string): JavascriptProfile;
+	static Start(Title: string,bRecordSamples: boolean): JavascriptCpuProfiler;
+	static SetSamplingInterval(Profiler: JavascriptCpuProfiler,us: number): void;
+	static SetIdle(Profiler: JavascriptCpuProfiler,is_idle: boolean): void;
 	GetTopDownRoot(): JavascriptProfileNode;
 	GetSampleTimestamp(index: number): number;
 	GetSamplesCount(): number;
@@ -4285,7 +9520,7 @@ declare class JavascriptColumn {
 	static C(Other: UObject | any): JavascriptColumn;
 }
 
-declare class JavascriptTreeView extends TableViewBase { 
+declare class JavascriptTreeView extends ListViewBase { 
 	OnGenerateRowEvent: UnrealEngineDelegate<(UObject: UObject, ID: string, Instance: JavascriptTreeView) => Widget>;
 	OnExpansionChanged: UnrealEngineDelegate<(Item: UObject, bExpanded: boolean, Instance: JavascriptTreeView) => void>;
 	OnContextMenuOpening: UnrealEngineDelegate<(Instance: JavascriptTreeView) => Widget>;
@@ -4306,11 +9541,15 @@ declare class JavascriptTreeView extends TableViewBase {
 	SetSingleExpandedItem(InItem: UObject): void;
 	SetSelection(SoleSelectedItem: UObject): void;
 	SetItemExpansion(InItem: UObject,InShouldExpandItem: boolean): void;
+	SetDoubleClickSelection(SelectedItem: UObject): void;
 	RequestTreeRefresh(): void;
 	OnSelectionChanged(UObject: UObject,Type: ESelectInfo): void;
 	OnDoubleClick(UObject: UObject): void;
 	IsItemExpanded(InItem: UObject): boolean;
-	GetSelectedItems(OutItems?: UObject[]): {OutItems: UObject[]};
+	IsDoubleClickSelection(SelectedItem: UObject): boolean;
+	GetSelectedItems(OutItems?: UObject[]): {OutItems: UObject[], $: boolean};
+	GetDoubleClickedItems(OutItems?: UObject[]): {OutItems: UObject[]};
+	ClearDoubleClickSelection(): void;
 	static C(Other: UObject | any): JavascriptTreeView;
 }
 
@@ -4320,10 +9559,8 @@ declare class JavascriptListView extends JavascriptTreeView {
 	static Find(Outer: UObject, ResourceName: string): JavascriptListView;
 	static GetDefaultObject(): JavascriptListView;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptListView;
-	SetSelection(SoleSelectedItem: UObject): void;
 	RequestListRefresh(): void;
 	OnClick(UObject: UObject): void;
-	GetSelectedItems(OutItems?: UObject[]): {OutItems: UObject[]};
 	static C(Other: UObject | any): JavascriptListView;
 }
 
@@ -4355,6 +9592,7 @@ declare class JavascriptUICommand {
 	DefaultChord: InputChord;
 	ActionType: EJavasrciptUserInterfaceActionType;
 	CommandInfo: JavascriptUICommandInfo;
+	IconStyleName: string;
 	clone() : JavascriptUICommand;
 	static C(Other: UObject | any): JavascriptUICommand;
 }
@@ -4363,9 +9601,9 @@ declare class JavascriptBindingContext {
 	clone() : JavascriptBindingContext;
 	static C(Other: UObject | any): JavascriptBindingContext;
 	Destroy(): void;
-	UI_COMMAND_Function(Command: JavascriptUICommand): JavascriptUICommandInfo;
+	UI_COMMAND_Function(Command: JavascriptUICommand,InTextSubNamespace: string): JavascriptUICommandInfo;
 	static Destroy(Context: JavascriptBindingContext): void;
-	static UI_COMMAND_Function(This: JavascriptBindingContext,Command: JavascriptUICommand): JavascriptUICommandInfo;
+	static UI_COMMAND_Function(This: JavascriptBindingContext,Command: JavascriptUICommand,InTextSubNamespace: string): JavascriptUICommandInfo;
 	static NewBindingContext(InContextName: string,InContextDesc: string,InContextParent: string,InStyleSetName: string): JavascriptBindingContext;
 }
 
@@ -4393,26 +9631,78 @@ declare class JavascriptExtensionBase {
 	static C(Other: UObject | any): JavascriptExtensionBase;
 }
 
+declare class JavascriptUICommands extends UObject { 
+	OnExecuteAction: UnrealEngineDelegate<(ID: string) => void>;
+	OnCanExecuteAction: UnrealEngineDelegate<(ID: string) => boolean>;
+	OnIsActionChecked: UnrealEngineDelegate<(ID: string) => boolean>;
+	OnIsActionButtonVisible: UnrealEngineDelegate<(ID: string) => boolean>;
+	Commands: JavascriptUICommand[];
+	ContextName: string;
+	ContextDesc: string;
+	ContextNameParent: string;
+	StyleSetName: string;
+	TextSubNamespace: string;
+	CommandInfos: JavascriptUICommandInfo[];
+	BindingContext: JavascriptBindingContext;
+	static Load(ResourceName: string): JavascriptUICommands;
+	static Find(Outer: UObject, ResourceName: string): JavascriptUICommands;
+	static GetDefaultObject(): JavascriptUICommands;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptUICommands;
+	Uninitialize(): void;
+	Unbind(List: JavascriptUICommandList): void;
+	Refresh(): void;
+	Initialize(): void;
+	GetAction(ID: string): JavascriptUICommandInfo;
+	Discard(): void;
+	Commit(): void;
+	static BroadcastCommandsChanged(InContextName: string): void;
+	Bind(List: JavascriptUICommandList): void;
+	static C(Other: UObject | any): JavascriptUICommands;
+}
+
+declare class JavascriptToolbarButtonContext extends UObject { 
+	OnGetLabel: UnrealEngineDelegate<() => string>;
+	OnGetTooltip: UnrealEngineDelegate<() => string>;
+	OnGetIcon: UnrealEngineDelegate<() => JavascriptSlateIcon>;
+	OnExecuteAction: UnrealEngineDelegate<(EditingObject: UObject) => void>;
+	OnCanExecuteAction: UnrealEngineDelegate<(EditingObject: UObject) => boolean>;
+	OnIsActionChecked: UnrealEngineDelegate<(EditingObject: UObject) => boolean>;
+	OnIsActionButtonVisible: UnrealEngineDelegate<(EditingObject: UObject) => boolean>;
+	static Load(ResourceName: string): JavascriptToolbarButtonContext;
+	static Find(Outer: UObject, ResourceName: string): JavascriptToolbarButtonContext;
+	static GetDefaultObject(): JavascriptToolbarButtonContext;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptToolbarButtonContext;
+	UnmarkReferencedObject(): void;
+	MarkReferencedObject(): void;
+	static C(Other: UObject | any): JavascriptToolbarButtonContext;
+}
+
 declare class JavascriptMenuBuilder { 
 	clone() : JavascriptMenuBuilder;
 	static C(Other: UObject | any): JavascriptMenuBuilder;
 	AddComboButton(UObject?: JavascriptComboButtonContext): {Builder: JavascriptMenuBuilder};
+	AddMenuByCommands(UICommands?: JavascriptUICommands): {Builder: JavascriptMenuBuilder};
 	AddMenuEntry(UObject?: JavascriptMenuContext): {Builder: JavascriptMenuBuilder};
 	AddPullDownMenu(InMenuLabel?: string,InToolTip?: string,InPullDownMenu?: JavascriptFunction,InExtensionHook?: string,InTutorialHighlightName?: string): {MenuBuilder: JavascriptMenuBuilder};
 	AddSeparator(): {Builder: JavascriptMenuBuilder};
+	AddSubMenu(Label?: string,Tooltip?: string,bInOpenSubMenuOnClick?: boolean,UFunction?: JavascriptFunction): {Builder: JavascriptMenuBuilder};
 	AddToolBarButton(CommandInfo?: JavascriptUICommandInfo): {Builder: JavascriptMenuBuilder};
+	AddToolBarButtonByContext(Context?: JavascriptToolbarButtonContext,EditingObject?: UObject): {Builder: JavascriptMenuBuilder};
 	AddWidget(Widget?: Widget,Label?: string,bNoIndent?: boolean,InTutorialHighlightName?: string,bSearchable?: boolean): {Builder: JavascriptMenuBuilder};
-	BeginSection(InExtensionHook?: string): {Builder: JavascriptMenuBuilder};
+	BeginSection(InExtensionHook?: string,MenuHeadingText?: string): {Builder: JavascriptMenuBuilder};
 	EndSection(): {Builder: JavascriptMenuBuilder};
 	PopCommandList(): {Builder: JavascriptMenuBuilder};
 	PushCommandList(List?: JavascriptUICommandList): {Builder: JavascriptMenuBuilder};
 	static AddComboButton(Builder?: JavascriptMenuBuilder,UObject?: JavascriptComboButtonContext): {Builder: JavascriptMenuBuilder};
+	static AddMenuByCommands(Builder?: JavascriptMenuBuilder,UICommands?: JavascriptUICommands): {Builder: JavascriptMenuBuilder};
 	static AddMenuEntry(Builder?: JavascriptMenuBuilder,UObject?: JavascriptMenuContext): {Builder: JavascriptMenuBuilder};
 	static AddPullDownMenu(MenuBuilder?: JavascriptMenuBuilder,InMenuLabel?: string,InToolTip?: string,InPullDownMenu?: JavascriptFunction,InExtensionHook?: string,InTutorialHighlightName?: string): {MenuBuilder: JavascriptMenuBuilder};
 	static AddSeparator(Builder?: JavascriptMenuBuilder): {Builder: JavascriptMenuBuilder};
+	static AddSubMenu(Builder?: JavascriptMenuBuilder,Label?: string,Tooltip?: string,bInOpenSubMenuOnClick?: boolean,UFunction?: JavascriptFunction): {Builder: JavascriptMenuBuilder};
 	static AddToolBarButton(Builder?: JavascriptMenuBuilder,CommandInfo?: JavascriptUICommandInfo): {Builder: JavascriptMenuBuilder};
+	static AddToolBarButtonByContext(Builder?: JavascriptMenuBuilder,Context?: JavascriptToolbarButtonContext,EditingObject?: UObject): {Builder: JavascriptMenuBuilder};
 	static AddWidget(Builder?: JavascriptMenuBuilder,Widget?: Widget,Label?: string,bNoIndent?: boolean,InTutorialHighlightName?: string,bSearchable?: boolean): {Builder: JavascriptMenuBuilder};
-	static BeginSection(Builder?: JavascriptMenuBuilder,InExtensionHook?: string): {Builder: JavascriptMenuBuilder};
+	static BeginSection(Builder?: JavascriptMenuBuilder,InExtensionHook?: string,MenuHeadingText?: string): {Builder: JavascriptMenuBuilder};
 	static EndSection(Builder?: JavascriptMenuBuilder): {Builder: JavascriptMenuBuilder};
 	static PopCommandList(Builder?: JavascriptMenuBuilder): {Builder: JavascriptMenuBuilder};
 	static PushCommandList(Builder?: JavascriptMenuBuilder,List?: JavascriptUICommandList): {Builder: JavascriptMenuBuilder};
@@ -4439,7 +9729,7 @@ declare class JavascriptMenuLibrary extends BlueprintFunctionLibrary {
 	static Find(Outer: UObject, ResourceName: string): JavascriptMenuLibrary;
 	static GetDefaultObject(): JavascriptMenuLibrary;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptMenuLibrary;
-	static UI_COMMAND_Function(This: JavascriptBindingContext,Command: JavascriptUICommand): JavascriptUICommandInfo;
+	static UI_COMMAND_Function(This: JavascriptBindingContext,Command: JavascriptUICommand,InTextSubNamespace: string): JavascriptUICommandInfo;
 	static RemoveExtension(Extender: JavascriptExtender,Extension: JavascriptExtensionBase): void;
 	static PushCommandList(Builder?: JavascriptMenuBuilder,List?: JavascriptUICommandList): {Builder: JavascriptMenuBuilder};
 	static ProcessCommandBindings_PointerEvent(CommandList: JavascriptUICommandList,InMouseEvent: UPointerEvent): boolean;
@@ -4454,15 +9744,18 @@ declare class JavascriptMenuLibrary extends BlueprintFunctionLibrary {
 	static CreateMenuBuilder(CommandList: JavascriptUICommandList,bInShouldCloseWindowAfterMenuSelection: boolean,UFunction: JavascriptFunction): void;
 	static CreateMenuBarBuilder(CommandList: JavascriptUICommandList,UFunction: JavascriptFunction): void;
 	static Combine(Extenders: JavascriptExtender[]): JavascriptExtender;
-	static BeginSection(Builder?: JavascriptMenuBuilder,InExtensionHook?: string): {Builder: JavascriptMenuBuilder};
+	static BeginSection(Builder?: JavascriptMenuBuilder,InExtensionHook?: string,MenuHeadingText?: string): {Builder: JavascriptMenuBuilder};
 	static Apply(Extender: JavascriptExtender,ExtensionHook: string,HookPosition: EJavascriptExtensionHook,MenuBuilder?: JavascriptMenuBuilder): {MenuBuilder: JavascriptMenuBuilder};
 	static AddWidget(Builder?: JavascriptMenuBuilder,Widget?: Widget,Label?: string,bNoIndent?: boolean,InTutorialHighlightName?: string,bSearchable?: boolean): {Builder: JavascriptMenuBuilder};
 	static AddToolBarExtension(Extender: JavascriptExtender,ExtensionHook: string,HookPosition: EJavascriptExtensionHook,CommandList: JavascriptUICommandList,UFunction: JavascriptFunction): JavascriptExtensionBase;
+	static AddToolBarButtonByContext(Builder?: JavascriptMenuBuilder,Context?: JavascriptToolbarButtonContext,EditingObject?: UObject): {Builder: JavascriptMenuBuilder};
 	static AddToolBarButton(Builder?: JavascriptMenuBuilder,CommandInfo?: JavascriptUICommandInfo): {Builder: JavascriptMenuBuilder};
+	static AddSubMenu(Builder?: JavascriptMenuBuilder,Label?: string,Tooltip?: string,bInOpenSubMenuOnClick?: boolean,UFunction?: JavascriptFunction): {Builder: JavascriptMenuBuilder};
 	static AddSeparator(Builder?: JavascriptMenuBuilder): {Builder: JavascriptMenuBuilder};
 	static AddPullDownMenu(MenuBuilder?: JavascriptMenuBuilder,InMenuLabel?: string,InToolTip?: string,InPullDownMenu?: JavascriptFunction,InExtensionHook?: string,InTutorialHighlightName?: string): {MenuBuilder: JavascriptMenuBuilder};
 	static AddMenuExtension(Extender: JavascriptExtender,ExtensionHook: string,HookPosition: EJavascriptExtensionHook,CommandList: JavascriptUICommandList,UFunction: JavascriptFunction): JavascriptExtensionBase;
 	static AddMenuEntry(Builder?: JavascriptMenuBuilder,UObject?: JavascriptMenuContext): {Builder: JavascriptMenuBuilder};
+	static AddMenuByCommands(Builder?: JavascriptMenuBuilder,UICommands?: JavascriptUICommands): {Builder: JavascriptMenuBuilder};
 	static AddMenubarExtension(Extender: JavascriptExtender,ExtensionHook: string,HookPosition: EJavascriptExtensionHook,CommandList: JavascriptUICommandList,UFunction: JavascriptFunction): JavascriptExtensionBase;
 	static AddComboButton(Builder?: JavascriptMenuBuilder,UObject?: JavascriptComboButtonContext): {Builder: JavascriptMenuBuilder};
 	static C(Other: UObject | any): JavascriptMenuLibrary;
@@ -4566,6 +9859,7 @@ declare class JavascriptStyleSet {
 	GetFloat(StyleName: string): number;
 	GetFontStyle(StyleName: string): SlateFontInfo;
 	GetMargin(StyleName: string): Margin;
+	GetProgressBarStyle(StyleName: string): ProgressBarStyle;
 	GetSlateColor(StyleName: string): SlateColor;
 	GetSound(StyleName: string): SlateSound;
 	GetTextBlockStyle(StyleName: string): TextBlockStyle;
@@ -4581,6 +9875,7 @@ declare class JavascriptStyleSet {
 	static GetFloat(Handle: JavascriptStyleSet,StyleName: string): number;
 	static GetFontStyle(Handle: JavascriptStyleSet,StyleName: string): SlateFontInfo;
 	static GetMargin(Handle: JavascriptStyleSet,StyleName: string): Margin;
+	static GetProgressBarStyle(Handle: JavascriptStyleSet,StyleName: string): ProgressBarStyle;
 	static GetSlateColor(Handle: JavascriptStyleSet,StyleName: string): SlateColor;
 	static GetSound(Handle: JavascriptStyleSet,StyleName: string): SlateSound;
 	static GetTextBlockStyle(Handle: JavascriptStyleSet,StyleName: string): TextBlockStyle;
@@ -4597,6 +9892,7 @@ declare class JavascriptStyleSetLibrary extends BlueprintFunctionLibrary {
 	CheckBoxStyle: CheckBoxStyle;
 	ComboBoxStyle: ComboBoxStyle;
 	ComboButtonStyle: ComboButtonStyle;
+	ProgressBarStyle: ProgressBarStyle;
 	static Load(ResourceName: string): JavascriptStyleSetLibrary;
 	static Find(Outer: UObject, ResourceName: string): JavascriptStyleSetLibrary;
 	static GetDefaultObject(): JavascriptStyleSetLibrary;
@@ -4605,6 +9901,7 @@ declare class JavascriptStyleSetLibrary extends BlueprintFunctionLibrary {
 	static GetTextBlockStyle(Handle: JavascriptStyleSet,StyleName: string): TextBlockStyle;
 	static GetSound(Handle: JavascriptStyleSet,StyleName: string): SlateSound;
 	static GetSlateColor(Handle: JavascriptStyleSet,StyleName: string): SlateColor;
+	static GetProgressBarStyle(Handle: JavascriptStyleSet,StyleName: string): ProgressBarStyle;
 	static GetMargin(Handle: JavascriptStyleSet,StyleName: string): Margin;
 	static GetFontStyle(Handle: JavascriptStyleSet,StyleName: string): SlateFontInfo;
 	static GetFloat(Handle: JavascriptStyleSet,StyleName: string): number;
@@ -4642,34 +9939,6 @@ declare class JavascriptTileView extends TileView {
 	static C(Other: UObject | any): JavascriptTileView;
 }
 
-declare class JavascriptUICommands extends UObject { 
-	OnExecuteAction: UnrealEngineDelegate<(ID: string) => void>;
-	OnCanExecuteAction: UnrealEngineDelegate<(ID: string) => boolean>;
-	OnIsActionChecked: UnrealEngineDelegate<(ID: string) => boolean>;
-	OnIsActionButtonVisible: UnrealEngineDelegate<(ID: string) => boolean>;
-	Commands: JavascriptUICommand[];
-	ContextName: string;
-	ContextDesc: string;
-	ContextNameParent: string;
-	StyleSetName: string;
-	CommandInfos: JavascriptUICommandInfo[];
-	BindingContext: JavascriptBindingContext;
-	static Load(ResourceName: string): JavascriptUICommands;
-	static Find(Outer: UObject, ResourceName: string): JavascriptUICommands;
-	static GetDefaultObject(): JavascriptUICommands;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptUICommands;
-	Uninitialize(): void;
-	Unbind(List: JavascriptUICommandList): void;
-	Refresh(): void;
-	Initialize(): void;
-	GetAction(ID: string): JavascriptUICommandInfo;
-	Discard(): void;
-	Commit(): void;
-	static BroadcastCommandsChanged(InContextName: string): void;
-	Bind(List: JavascriptUICommandList): void;
-	static C(Other: UObject | any): JavascriptUICommands;
-}
-
 declare class JavascriptUMGBlueprintLibrary extends BlueprintFunctionLibrary { 
 	static Load(ResourceName: string): JavascriptUMGBlueprintLibrary;
 	static Find(Outer: UObject, ResourceName: string): JavascriptUMGBlueprintLibrary;
@@ -4720,6 +9989,7 @@ declare class JavascriptUMGLibrary extends BlueprintFunctionLibrary {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptUMGLibrary;
 	static Unregister(StyleSet: JavascriptSlateStyle): void;
 	static TakeWidget(Widget: Widget): JavascriptSlateWidget;
+	static ShowWindow(NewWindow: JavascriptSlateWidget): void;
 	static SetCoreContentRoot(StyleSet: JavascriptSlateStyle,InCoreContentRootDir: string): void;
 	static SetContentRoot(StyleSet: JavascriptSlateStyle,InContentRootDir: string): void;
 	static SetContent(TargetWidget: NativeWidgetHost,SlateWidget: JavascriptSlateWidget): Widget;
@@ -4738,6 +10008,33 @@ declare class JavascriptUMGLibrary extends BlueprintFunctionLibrary {
 	static C(Other: UObject | any): JavascriptUMGLibrary;
 }
 
+declare class JavascriptUserObjectListEntry extends UserWidget { 
+	Item: UObject;
+	static Load(ResourceName: string): JavascriptUserObjectListEntry;
+	static Find(Outer: UObject, ResourceName: string): JavascriptUserObjectListEntry;
+	static GetDefaultObject(): JavascriptUserObjectListEntry;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptUserObjectListEntry;
+	static C(Other: UObject | any): JavascriptUserObjectListEntry;
+}
+
+declare class JavascriptWebBrowser extends Widget { 
+	OnUrlChanged: UnrealEngineMulticastDelegate<(text: string) => void>;
+	OnBeforePopup: UnrealEngineMulticastDelegate<(URL: string, Frame: string) => void>;
+	bShowAddressBar: boolean;
+	bShowControls: boolean;
+	bSupportsThumbMouseButtonNavigation: boolean;
+	static Load(ResourceName: string): JavascriptWebBrowser;
+	static Find(Outer: UObject, ResourceName: string): JavascriptWebBrowser;
+	static GetDefaultObject(): JavascriptWebBrowser;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptWebBrowser;
+	LoadURL(NewURL: string): void;
+	LoadString(Contents: string,DummyURL: string): void;
+	GetUrl(): string;
+	GetTitleText(): string;
+	ExecuteJavascript(ScriptText: string): void;
+	static C(Other: UObject | any): JavascriptWebBrowser;
+}
+
 declare class JavascriptWidget extends UserWidget { 
 	JavascriptContext: JavascriptContext;
 	OnInputActionEvent: UnrealEngineMulticastDelegate<(ActionName: string) => void>;
@@ -4828,6 +10125,8 @@ declare class JavascriptWindow extends ContentWidget {
 	DestroyWindowImmediately(): void;
 	BringToFront(): void;
 	static C(Other: UObject | any): JavascriptWindow;
+	OpenFileDialog(DialogTitle: string,DefaultPath: string,DefaultFile: string,FileTypes: string,Flags: number,OutFilenames?: string[]): {OutFilenames: string[], $: boolean};
+	static OpenFileDialog(WindowHandle: JavascriptWindow,DialogTitle: string,DefaultPath: string,DefaultFile: string,FileTypes: string,Flags: number,OutFilenames?: string[]): {OutFilenames: string[], $: boolean};
 }
 
 declare type EJavascriptHttpRequestStatus = 'NotStarted' | 'Processing' | 'Failed' | 'Succeeded' | 'EJavascriptHttpRequestStatus_MAX';
@@ -4842,6 +10141,7 @@ declare class JavascriptHttpRequest extends UObject {
 	SetVerb(Verb: string): void;
 	SetURL(URL: string): void;
 	SetHeader(HeaderName: string,HeaderValue: string): void;
+	SetContentWithFiles(FilePaths: string[],Boundary: string,Content: string): void;
 	SetContentFromMemory(): void;
 	SetContentAsString(ContentString: string): void;
 	ProcessRequest(): boolean;
@@ -5137,6 +10437,13 @@ declare class TileMapAssetImportData extends AssetImportData {
 declare class TileMapEditorSettings extends UObject { 
 	DefaultBackgroundColor: Color;
 	bShowGridByDefault: boolean;
+	DefaultTileGridColor: Color;
+	DefaultMultiTileGridColor: Color;
+	DefaultMultiTileGridWidth: number;
+	DefaultMultiTileGridHeight: number;
+	DefaultMultiTileGridOffsetX: number;
+	DefaultMultiTileGridOffsetY: number;
+	DefaultLayerGridColor: Color;
 	static Load(ResourceName: string): TileMapEditorSettings;
 	static Find(Outer: UObject, ResourceName: string): TileMapEditorSettings;
 	static GetDefaultObject(): TileMapEditorSettings;
@@ -5171,7 +10478,7 @@ declare class TileSheetPaddingFactory extends Factory {
 
 declare class PaperSpriteSheet extends UObject { 
 	SpriteNames: string[];
-	Sprites: any[];
+	Sprites: PaperSprite[];
 	TextureName: string;
 	Texture: Texture2D;
 	NormalMapTextureName: string;
@@ -5216,6 +10523,23 @@ declare class LightPropagationVolumeBlendableFactory extends Factory {
 	static C(Other: UObject | any): LightPropagationVolumeBlendableFactory;
 }
 
+declare class LayersBlueprintLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): LayersBlueprintLibrary;
+	static Find(Outer: UObject, ResourceName: string): LayersBlueprintLibrary;
+	static GetDefaultObject(): LayersBlueprintLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LayersBlueprintLibrary;
+	static GetActors(WorldContextObject: UObject,ActorLayer: ActorLayer): Actor[];
+	static C(Other: UObject | any): LayersBlueprintLibrary;
+}
+
+declare class AnimationSharingSetupFactory extends Factory { 
+	static Load(ResourceName: string): AnimationSharingSetupFactory;
+	static Find(Outer: UObject, ResourceName: string): AnimationSharingSetupFactory;
+	static GetDefaultObject(): AnimationSharingSetupFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationSharingSetupFactory;
+	static C(Other: UObject | any): AnimationSharingSetupFactory;
+}
+
 declare class MyPluginStruct { 
 	TestString: string;
 	clone() : MyPluginStruct;
@@ -5239,8 +10563,17 @@ declare class CryptoKeysCommandlet extends Commandlet {
 	static C(Other: UObject | any): CryptoKeysCommandlet;
 }
 
+declare class CryptoEncryptionKey { 
+	Guid: Guid;
+	Name: string;
+	Key: string;
+	clone() : CryptoEncryptionKey;
+	static C(Other: UObject | any): CryptoEncryptionKey;
+}
+
 declare class CryptoKeysSettings extends UObject { 
 	EncryptionKey: string;
+	SecondaryEncryptionKeys: CryptoEncryptionKey[];
 	bEncryptPakIniFiles: boolean;
 	bEncryptPakIndex: boolean;
 	bEncryptUAssetFiles: boolean;
@@ -5331,19 +10664,162 @@ declare class SpeedTreeImportData extends AssetImportData {
 	static C(Other: UObject | any): SpeedTreeImportData;
 }
 
-declare type EDatasmithAreaLightActorShape = 'Rectangle' | 'Disc' | 'Sphere' | 'Cylinder' | 'EDatasmithAreaLightActorShape_MAX';
-declare var EDatasmithAreaLightActorShape : { Rectangle:'Rectangle',Disc:'Disc',Sphere:'Sphere',Cylinder:'Cylinder',EDatasmithAreaLightActorShape_MAX:'EDatasmithAreaLightActorShape_MAX', };
-declare class DatasmithAreaLightActor extends Actor { 
-	LightShape: EDatasmithAreaLightActorShape;
-	Dimensions: Vector2D;
-	Color: LinearColor;
-	Intensity: number;
-	static GetDefaultObject(): DatasmithAreaLightActor;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithAreaLightActor;
-	static C(Other: UObject | any): DatasmithAreaLightActor;
+declare class DatasmithSceneNewFactory extends Factory { 
+	static Load(ResourceName: string): DatasmithSceneNewFactory;
+	static Find(Outer: UObject, ResourceName: string): DatasmithSceneNewFactory;
+	static GetDefaultObject(): DatasmithSceneNewFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): DatasmithSceneNewFactory;
+	static C(Other: UObject | any): DatasmithSceneNewFactory;
+}
+
+declare class CapturedPropSegment { 
+	PropertyName: string;
+	PropertyIndex: number;
+	ComponentName: string;
+	clone() : CapturedPropSegment;
+	static C(Other: UObject | any): CapturedPropSegment;
+}
+
+declare type EPropertyValueCategory = 'Undefined' | 'Generic' | 'RelativeLocation' | 'RelativeRotation' | 'RelativeScale3D' | 'bVisible' | 'Material' | 'Color' | 'EPropertyValueCategory_MAX';
+declare var EPropertyValueCategory : { Undefined:'Undefined',Generic:'Generic',RelativeLocation:'RelativeLocation',RelativeRotation:'RelativeRotation',RelativeScale3D:'RelativeScale3D',bVisible:'bVisible',Material:'Material',Color:'Color',EPropertyValueCategory_MAX:'EPropertyValueCategory_MAX', };
+declare class PropertyValue extends UObject { 
+	Properties: Property[];
+	PropertyIndices: number[];
+	CapturedPropSegments: CapturedPropSegment[];
+	FullDisplayString: string;
+	PropertySetterName: string;
+	PropertySetterParameterDefaults: any;
+	bHasRecordedData: boolean;
+	LeafPropertyClass: UnrealEngineClass;
+	ValueBytes: number[];
+	PropCategory: EPropertyValueCategory;
+	static Load(ResourceName: string): PropertyValue;
+	static Find(Outer: UObject, ResourceName: string): PropertyValue;
+	static GetDefaultObject(): PropertyValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyValue;
+	HasRecordedData(): boolean;
+	GetPropertyTooltip(): string;
+	GetFullDisplayString(): string;
+	static C(Other: UObject | any): PropertyValue;
+}
+
+declare class FunctionCaller { 
+	FunctionName: string;
+	FunctionEntry: any;
+	clone() : FunctionCaller;
+	static C(Other: UObject | any): FunctionCaller;
+}
+
+declare class VariantObjectBinding extends UObject { 
+	ObjectPtr: SoftObjectPath;
+	LazyObjectPtr: any;
+	CapturedProperties: PropertyValue[];
+	FunctionCallers: FunctionCaller[];
+	static Load(ResourceName: string): VariantObjectBinding;
+	static Find(Outer: UObject, ResourceName: string): VariantObjectBinding;
+	static GetDefaultObject(): VariantObjectBinding;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VariantObjectBinding;
+	static C(Other: UObject | any): VariantObjectBinding;
+}
+
+declare class Variant extends UObject { 
+	DisplayText: string;
+	ObjectBindings: VariantObjectBinding[];
+	static Load(ResourceName: string): Variant;
+	static Find(Outer: UObject, ResourceName: string): Variant;
+	static GetDefaultObject(): Variant;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): Variant;
+	SwitchOn(): void;
+	SetDisplayText(NewDisplayText: string): void;
+	GetNumActors(): number;
+	GetDisplayText(): string;
+	GetActor(ActorIndex: number): Actor;
+	static C(Other: UObject | any): Variant;
+}
+
+declare class VariantSet extends UObject { 
+	DisplayText: string;
+	bExpanded: boolean;
+	Variants: Variant[];
+	static Load(ResourceName: string): VariantSet;
+	static Find(Outer: UObject, ResourceName: string): VariantSet;
+	static GetDefaultObject(): VariantSet;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VariantSet;
+	SetDisplayText(NewDisplayText: string): void;
+	GetVariantByName(VariantName: string): Variant;
+	GetVariant(VariantIndex: number): Variant;
+	GetNumVariants(): number;
+	GetDisplayText(): string;
+	static C(Other: UObject | any): VariantSet;
+}
+
+declare class LevelVariantSets extends UObject { 
+	DirectorBlueprint: UObject;
+	DirectorClass: UnrealEngineClass;
+	VariantSets: VariantSet[];
+	static Load(ResourceName: string): LevelVariantSets;
+	static Find(Outer: UObject, ResourceName: string): LevelVariantSets;
+	static GetDefaultObject(): LevelVariantSets;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelVariantSets;
+	GetVariantSetByName(VariantSetName: string): VariantSet;
+	GetVariantSet(VariantSetIndex: number): VariantSet;
+	GetNumVariantSets(): number;
+	static C(Other: UObject | any): LevelVariantSets;
+}
+
+declare class LevelVariantSetsActor extends Actor { 
+	LevelVariantSets: SoftObjectPath;
+	static GetDefaultObject(): LevelVariantSetsActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelVariantSetsActor;
+	SwitchOnVariantByName(VariantSetName: string,VariantName: string): boolean;
+	SwitchOnVariantByIndex(VariantSetIndex: number,VariantIndex: number): boolean;
+	SetLevelVariantSets(InVariantSets: LevelVariantSets): void;
+	GetLevelVariantSets(bLoad: boolean): LevelVariantSets;
+	static C(Other: UObject | any): LevelVariantSetsActor;
+}
+
+declare class LevelVariantSetsFunctionDirector extends UObject { 
+	static Load(ResourceName: string): LevelVariantSetsFunctionDirector;
+	static Find(Outer: UObject, ResourceName: string): LevelVariantSetsFunctionDirector;
+	static GetDefaultObject(): LevelVariantSetsFunctionDirector;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LevelVariantSetsFunctionDirector;
+	static C(Other: UObject | any): LevelVariantSetsFunctionDirector;
+}
+
+declare class PropertyValueTransform extends PropertyValue { 
+	static Load(ResourceName: string): PropertyValueTransform;
+	static Find(Outer: UObject, ResourceName: string): PropertyValueTransform;
+	static GetDefaultObject(): PropertyValueTransform;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyValueTransform;
+	static C(Other: UObject | any): PropertyValueTransform;
+}
+
+declare class PropertyValueVisibility extends PropertyValue { 
+	static Load(ResourceName: string): PropertyValueVisibility;
+	static Find(Outer: UObject, ResourceName: string): PropertyValueVisibility;
+	static GetDefaultObject(): PropertyValueVisibility;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyValueVisibility;
+	static C(Other: UObject | any): PropertyValueVisibility;
+}
+
+declare class PropertyValueColor extends PropertyValue { 
+	static Load(ResourceName: string): PropertyValueColor;
+	static Find(Outer: UObject, ResourceName: string): PropertyValueColor;
+	static GetDefaultObject(): PropertyValueColor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyValueColor;
+	static C(Other: UObject | any): PropertyValueColor;
+}
+
+declare class PropertyValueMaterial extends PropertyValue { 
+	static Load(ResourceName: string): PropertyValueMaterial;
+	static Find(Outer: UObject, ResourceName: string): PropertyValueMaterial;
+	static GetDefaultObject(): PropertyValueMaterial;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyValueMaterial;
+	static C(Other: UObject | any): PropertyValueMaterial;
 }
 
 declare class GeometryCacheTrack extends UObject { 
+	Duration: number;
 	static Load(ResourceName: string): GeometryCacheTrack;
 	static Find(Outer: UObject, ResourceName: string): GeometryCacheTrack;
 	static GetDefaultObject(): GeometryCacheTrack;
@@ -5356,6 +10832,8 @@ declare class GeometryCache extends UObject {
 	ThumbnailInfo: ThumbnailInfo;
 	Materials: MaterialInterface[];
 	Tracks: GeometryCacheTrack[];
+	StartFrame: number;
+	EndFrame: number;
 	static Load(ResourceName: string): GeometryCache;
 	static Find(Outer: UObject, ResourceName: string): GeometryCache;
 	static GetDefaultObject(): GeometryCache;
@@ -5371,10 +10849,13 @@ declare class GeometryCacheComponent extends MeshComponent {
 	PlaybackSpeed: number;
 	NumTracks: number;
 	ElapsedTime: number;
+	Duration: number;
+	bManualTick: boolean;
 	static Load(ResourceName: string): GeometryCacheComponent;
 	static Find(Outer: UObject, ResourceName: string): GeometryCacheComponent;
 	static GetDefaultObject(): GeometryCacheComponent;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheComponent;
+	TickAtThisTime(Time: number,bInIsRunning: boolean,bInBackwards: boolean,bInIsLooping: boolean): void;
 	Stop(): void;
 	SetStartTimeOffset(NewStartTimeOffset: number): void;
 	SetPlaybackSpeed(NewPlaybackSpeed: number): void;
@@ -5390,6 +10871,10 @@ declare class GeometryCacheComponent extends MeshComponent {
 	IsLooping(): boolean;
 	GetStartTimeOffset(): number;
 	GetPlaybackSpeed(): number;
+	GetPlaybackDirection(): number;
+	GetNumberOfFrames(): number;
+	GetDuration(): number;
+	GetAnimationTime(): number;
 	static C(Other: UObject | any): GeometryCacheComponent;
 }
 
@@ -5401,6 +10886,32 @@ declare class GeometryCacheActor extends Actor {
 	static C(Other: UObject | any): GeometryCacheActor;
 }
 
+declare class GeometryCacheCodecBase extends UObject { 
+	TopologyRanges: number[];
+	static Load(ResourceName: string): GeometryCacheCodecBase;
+	static Find(Outer: UObject, ResourceName: string): GeometryCacheCodecBase;
+	static GetDefaultObject(): GeometryCacheCodecBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheCodecBase;
+	static C(Other: UObject | any): GeometryCacheCodecBase;
+}
+
+declare class GeometryCacheCodecRaw extends GeometryCacheCodecBase { 
+	DummyProperty: number;
+	static Load(ResourceName: string): GeometryCacheCodecRaw;
+	static Find(Outer: UObject, ResourceName: string): GeometryCacheCodecRaw;
+	static GetDefaultObject(): GeometryCacheCodecRaw;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheCodecRaw;
+	static C(Other: UObject | any): GeometryCacheCodecRaw;
+}
+
+declare class GeometryCacheCodecV1 extends GeometryCacheCodecBase { 
+	static Load(ResourceName: string): GeometryCacheCodecV1;
+	static Find(Outer: UObject, ResourceName: string): GeometryCacheCodecV1;
+	static GetDefaultObject(): GeometryCacheCodecV1;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheCodecV1;
+	static C(Other: UObject | any): GeometryCacheCodecV1;
+}
+
 declare class GeometryCacheMeshData { 
 	clone() : GeometryCacheMeshData;
 	static C(Other: UObject | any): GeometryCacheMeshData;
@@ -5416,6 +10927,16 @@ declare class GeometryCacheTrack_FlipbookAnimation extends GeometryCacheTrack {
 	static C(Other: UObject | any): GeometryCacheTrack_FlipbookAnimation;
 }
 
+declare class GeometryCacheTrackStreamable extends GeometryCacheTrack { 
+	Codec: GeometryCacheCodecBase;
+	StartSampleTime: number;
+	static Load(ResourceName: string): GeometryCacheTrackStreamable;
+	static Find(Outer: UObject, ResourceName: string): GeometryCacheTrackStreamable;
+	static GetDefaultObject(): GeometryCacheTrackStreamable;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheTrackStreamable;
+	static C(Other: UObject | any): GeometryCacheTrackStreamable;
+}
+
 declare class GeometryCacheTrack_TransformAnimation extends GeometryCacheTrack { 
 	static Load(ResourceName: string): GeometryCacheTrack_TransformAnimation;
 	static Find(Outer: UObject, ResourceName: string): GeometryCacheTrack_TransformAnimation;
@@ -5434,8 +10955,22 @@ declare class GeometryCacheTrack_TransformGroupAnimation extends GeometryCacheTr
 	static C(Other: UObject | any): GeometryCacheTrack_TransformGroupAnimation;
 }
 
+declare type EAlembicSamplingType = 'PerFrame' | 'PerXFrames' | 'PerTimeStep' | 'EAlembicSamplingType_MAX';
+declare var EAlembicSamplingType : { PerFrame:'PerFrame',PerXFrames:'PerXFrames',PerTimeStep:'PerTimeStep',EAlembicSamplingType_MAX:'EAlembicSamplingType_MAX', };
+declare class AbcSamplingSettings { 
+	SamplingType: EAlembicSamplingType;
+	FrameSteps: number;
+	TimeSteps: number;
+	FrameStart: number;
+	FrameEnd: number;
+	bSkipEmpty: boolean;
+	clone() : AbcSamplingSettings;
+	static C(Other: UObject | any): AbcSamplingSettings;
+}
+
 declare class AbcAssetImportData extends AssetImportData { 
 	TrackNames: string[];
+	SamplingSettings: AbcSamplingSettings;
 	static Load(ResourceName: string): AbcAssetImportData;
 	static Find(Outer: UObject, ResourceName: string): AbcAssetImportData;
 	static GetDefaultObject(): AbcAssetImportData;
@@ -5445,19 +10980,6 @@ declare class AbcAssetImportData extends AssetImportData {
 
 declare type EAlembicImportType = 'StaticMesh' | 'GeometryCache' | 'Skeletal' | 'EAlembicImportType_MAX';
 declare var EAlembicImportType : { StaticMesh:'StaticMesh',GeometryCache:'GeometryCache',Skeletal:'Skeletal',EAlembicImportType_MAX:'EAlembicImportType_MAX', };
-declare type EAlembicSamplingType = 'PerFrame' | 'PerXFrames' | 'PerTimeStep' | 'EAlembicSamplingType_MAX';
-declare var EAlembicSamplingType : { PerFrame:'PerFrame',PerXFrames:'PerXFrames',PerTimeStep:'PerTimeStep',EAlembicSamplingType_MAX:'EAlembicSamplingType_MAX', };
-declare class AbcSamplingSettings { 
-	SamplingType: EAlembicSamplingType;
-	FrameSteps: any;
-	TimeSteps: number;
-	FrameStart: any;
-	FrameEnd: any;
-	bSkipEmpty: boolean;
-	clone() : AbcSamplingSettings;
-	static C(Other: UObject | any): AbcSamplingSettings;
-}
-
 declare class AbcNormalGenerationSettings { 
 	bForceOneSmoothingGroupPerObject: boolean;
 	HardEdgeAngleThreshold: number;
@@ -5467,6 +10989,13 @@ declare class AbcNormalGenerationSettings {
 	static C(Other: UObject | any): AbcNormalGenerationSettings;
 }
 
+declare class AbcMaterialSettings { 
+	bCreateMaterials: boolean;
+	bFindMaterials: boolean;
+	clone() : AbcMaterialSettings;
+	static C(Other: UObject | any): AbcMaterialSettings;
+}
+
 declare type EBaseCalculationType = 'PercentageBased' | 'FixedNumber' | 'EBaseCalculationType_MAX';
 declare var EBaseCalculationType : { PercentageBased:'PercentageBased',FixedNumber:'FixedNumber',EBaseCalculationType_MAX:'EBaseCalculationType_MAX', };
 declare class AbcCompressionSettings { 
@@ -5480,20 +11009,25 @@ declare class AbcCompressionSettings {
 	static C(Other: UObject | any): AbcCompressionSettings;
 }
 
-declare class AbcMaterialSettings { 
-	bCreateMaterials: boolean;
-	bFindMaterials: boolean;
-	clone() : AbcMaterialSettings;
-	static C(Other: UObject | any): AbcMaterialSettings;
-}
-
 declare class AbcStaticMeshSettings { 
 	bMergeMeshes: boolean;
 	bPropagateMatrixTransformations: boolean;
+	bGenerateLightmapUVs: boolean;
 	clone() : AbcStaticMeshSettings;
 	static C(Other: UObject | any): AbcStaticMeshSettings;
 }
 
+declare class AbcGeometryCacheSettings { 
+	bFlattenTracks: boolean;
+	bApplyConstantTopologyOptimizations: boolean;
+	bCalculateMotionVectorsDuringImport: boolean;
+	bOptimizeIndexBuffers: boolean;
+	CompressedPositionPrecision: number;
+	CompressedTextureCoordinatesNumberOfBits: number;
+	clone() : AbcGeometryCacheSettings;
+	static C(Other: UObject | any): AbcGeometryCacheSettings;
+}
+
 declare type EAbcConversionPreset = 'Maya' | 'Max' | 'Custom' | 'EAbcConversionPreset_MAX';
 declare var EAbcConversionPreset : { Maya:'Maya',Max:'Max',Custom:'Custom',EAbcConversionPreset_MAX:'EAbcConversionPreset_MAX', };
 declare class AbcConversionSettings { 
@@ -5510,9 +11044,10 @@ declare class AbcImportSettings extends UObject {
 	ImportType: EAlembicImportType;
 	SamplingSettings: AbcSamplingSettings;
 	NormalGenerationSettings: AbcNormalGenerationSettings;
-	CompressionSettings: AbcCompressionSettings;
 	MaterialSettings: AbcMaterialSettings;
+	CompressionSettings: AbcCompressionSettings;
 	StaticMeshSettings: AbcStaticMeshSettings;
+	GeometryCacheSettings: AbcGeometryCacheSettings;
 	ConversionSettings: AbcConversionSettings;
 	static Load(ResourceName: string): AbcImportSettings;
 	static Find(Outer: UObject, ResourceName: string): AbcImportSettings;
@@ -5529,30 +11064,183 @@ declare class AlembicTestCommandlet extends Commandlet {
 	static C(Other: UObject | any): AlembicTestCommandlet;
 }
 
-declare class AlembicImportFactory extends Factory { 
-	ImportSettings: AbcImportSettings;
-	bShowOption: boolean;
-	static Load(ResourceName: string): AlembicImportFactory;
-	static Find(Outer: UObject, ResourceName: string): AlembicImportFactory;
-	static GetDefaultObject(): AlembicImportFactory;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AlembicImportFactory;
-	static C(Other: UObject | any): AlembicImportFactory;
+declare class AlembicImportFactory extends Factory { 
+	ImportSettings: AbcImportSettings;
+	bShowOption: boolean;
+	static Load(ResourceName: string): AlembicImportFactory;
+	static Find(Outer: UObject, ResourceName: string): AlembicImportFactory;
+	static GetDefaultObject(): AlembicImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AlembicImportFactory;
+	static C(Other: UObject | any): AlembicImportFactory;
+}
+
+declare class ActorFactoryGeometryCache extends ActorFactory { 
+	static Load(ResourceName: string): ActorFactoryGeometryCache;
+	static Find(Outer: UObject, ResourceName: string): ActorFactoryGeometryCache;
+	static GetDefaultObject(): ActorFactoryGeometryCache;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryGeometryCache;
+	static C(Other: UObject | any): ActorFactoryGeometryCache;
+}
+
+declare class GeometryCacheThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
+	static Load(ResourceName: string): GeometryCacheThumbnailRenderer;
+	static Find(Outer: UObject, ResourceName: string): GeometryCacheThumbnailRenderer;
+	static GetDefaultObject(): GeometryCacheThumbnailRenderer;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheThumbnailRenderer;
+	static C(Other: UObject | any): GeometryCacheThumbnailRenderer;
+}
+
+declare class AppleImageUtilsImageConversionResult { 
+	Error: string;
+	ImageData: number[];
+	clone() : AppleImageUtilsImageConversionResult;
+	static C(Other: UObject | any): AppleImageUtilsImageConversionResult;
+}
+
+declare type ETextureRotationDirection = 'None' | 'Left' | 'Right' | 'Down' | 'ETextureRotationDirection_MAX';
+declare var ETextureRotationDirection : { None:'None',Left:'Left',Right:'Right',Down:'Down',ETextureRotationDirection_MAX:'ETextureRotationDirection_MAX', };
+declare class AppleImageUtilsBaseAsyncTaskBlueprintProxy extends UObject { 
+	OnSuccess: UnrealEngineMulticastDelegate<(ConversionResult: AppleImageUtilsImageConversionResult) => void>;
+	OnFailure: UnrealEngineMulticastDelegate<(ConversionResult: AppleImageUtilsImageConversionResult) => void>;
+	ConversionResult: AppleImageUtilsImageConversionResult;
+	static Load(ResourceName: string): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static CreateProxyObjectForConvertToTIFF(SourceImage: Texture,bWantColor: boolean,bUseGpu: boolean,Scale: number,Rotate: ETextureRotationDirection): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static CreateProxyObjectForConvertToPNG(SourceImage: Texture,bWantColor: boolean,bUseGpu: boolean,Scale: number,Rotate: ETextureRotationDirection): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static CreateProxyObjectForConvertToJPEG(SourceImage: Texture,Quality: number,bWantColor: boolean,bUseGpu: boolean,Scale: number,Rotate: ETextureRotationDirection): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static CreateProxyObjectForConvertToHEIF(SourceImage: Texture,Quality: number,bWantColor: boolean,bUseGpu: boolean,Scale: number,Rotate: ETextureRotationDirection): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): AppleImageUtilsBaseAsyncTaskBlueprintProxy;
+}
+
+declare class AppleImageInterface extends Interface { 
+	static Load(ResourceName: string): AppleImageInterface;
+	static Find(Outer: UObject, ResourceName: string): AppleImageInterface;
+	static GetDefaultObject(): AppleImageInterface;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleImageInterface;
+	static C(Other: UObject | any): AppleImageInterface;
+}
+
+declare class K2Node_ConvertToJPEG extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_ConvertToJPEG;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertToJPEG;
+	static GetDefaultObject(): K2Node_ConvertToJPEG;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertToJPEG;
+	static C(Other: UObject | any): K2Node_ConvertToJPEG;
+}
+
+declare class K2Node_ConvertToHEIF extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_ConvertToHEIF;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertToHEIF;
+	static GetDefaultObject(): K2Node_ConvertToHEIF;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertToHEIF;
+	static C(Other: UObject | any): K2Node_ConvertToHEIF;
+}
+
+declare class K2Node_ConvertToTIFF extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_ConvertToTIFF;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertToTIFF;
+	static GetDefaultObject(): K2Node_ConvertToTIFF;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertToTIFF;
+	static C(Other: UObject | any): K2Node_ConvertToTIFF;
+}
+
+declare class K2Node_ConvertToPNG extends K2Node_BaseAsyncTask { 
+	static Load(ResourceName: string): K2Node_ConvertToPNG;
+	static Find(Outer: UObject, ResourceName: string): K2Node_ConvertToPNG;
+	static GetDefaultObject(): K2Node_ConvertToPNG;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): K2Node_ConvertToPNG;
+	static C(Other: UObject | any): K2Node_ConvertToPNG;
+}
+
+declare class DetectedFeature { 
+	Confidence: number;
+	clone() : DetectedFeature;
+	static C(Other: UObject | any): DetectedFeature;
+}
+
+declare class DetectedFeatureRegion extends DetectedFeature { 
+	Points: Vector2D[];
+	clone() : DetectedFeatureRegion;
+	static C(Other: UObject | any): DetectedFeatureRegion;
+}
+
+declare class DetectedFeature2D extends DetectedFeature { 
+	BoundingBox: Box2D;
+	clone() : DetectedFeature2D;
+	static C(Other: UObject | any): DetectedFeature2D;
+}
+
+declare type EDetectedFaceFeatureType = 'Unkown' | 'FaceContour' | 'InnerLips' | 'LeftEye' | 'LeftEyebrow' | 'LeftPupil' | 'MedianLine' | 'Nose' | 'NoseCrest' | 'OuterLips' | 'RightEye' | 'RightEyebrow' | 'RightPupil' | 'EDetectedFaceFeatureType_MAX';
+declare var EDetectedFaceFeatureType : { Unkown:'Unkown',FaceContour:'FaceContour',InnerLips:'InnerLips',LeftEye:'LeftEye',LeftEyebrow:'LeftEyebrow',LeftPupil:'LeftPupil',MedianLine:'MedianLine',Nose:'Nose',NoseCrest:'NoseCrest',OuterLips:'OuterLips',RightEye:'RightEye',RightEyebrow:'RightEyebrow',RightPupil:'RightPupil',EDetectedFaceFeatureType_MAX:'EDetectedFaceFeatureType_MAX', };
+declare class DetectedFaceFeature2D extends DetectedFeature2D { 
+	FeatureType: EDetectedFaceFeatureType;
+	clone() : DetectedFaceFeature2D;
+	static C(Other: UObject | any): DetectedFaceFeature2D;
+}
+
+declare class DetectedFaceFeatureRegion extends DetectedFeatureRegion { 
+	FeatureType: EDetectedFaceFeatureType;
+	clone() : DetectedFaceFeatureRegion;
+	static C(Other: UObject | any): DetectedFaceFeatureRegion;
+}
+
+declare class DetectedFace extends DetectedFeatureRegion { 
+	BoundingBox: Box2D;
+	Features: DetectedFaceFeature2D[];
+	FeatureRegions: DetectedFaceFeatureRegion[];
+	clone() : DetectedFace;
+	static C(Other: UObject | any): DetectedFace;
+}
+
+declare class FaceDetectionResult { 
+	DetectedFaces: DetectedFace[];
+	clone() : FaceDetectionResult;
+	static C(Other: UObject | any): FaceDetectionResult;
+}
+
+declare class AppleVisionDetectFacesAsyncTaskBlueprintProxy extends UObject { 
+	OnSuccess: UnrealEngineMulticastDelegate<(FaceDetectionResult: FaceDetectionResult) => void>;
+	OnFailure: UnrealEngineMulticastDelegate<(FaceDetectionResult: FaceDetectionResult) => void>;
+	FaceDetectionResult: FaceDetectionResult;
+	static Load(ResourceName: string): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
+	static Find(Outer: UObject, ResourceName: string): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
+	static GetDefaultObject(): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
+	static CreateProxyObjectForDetectFaces(SourceImage: Texture): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
+	static C(Other: UObject | any): AppleVisionDetectFacesAsyncTaskBlueprintProxy;
 }
 
-declare class ActorFactoryGeometryCache extends ActorFactory { 
-	static Load(ResourceName: string): ActorFactoryGeometryCache;
-	static Find(Outer: UObject, ResourceName: string): ActorFactoryGeometryCache;
-	static GetDefaultObject(): ActorFactoryGeometryCache;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorFactoryGeometryCache;
-	static C(Other: UObject | any): ActorFactoryGeometryCache;
+declare class MovieSceneGeometryCacheParams { 
+	GeometryCacheAsset: GeometryCache;
+	StartFrameOffset: FrameNumber;
+	EndFrameOffset: FrameNumber;
+	PlayRate: number;
+	bReverse: boolean;
+	StartOffset: number;
+	EndOffset: number;
+	GeometryCache: SoftObjectPath;
+	clone() : MovieSceneGeometryCacheParams;
+	static C(Other: UObject | any): MovieSceneGeometryCacheParams;
 }
 
-declare class GeometryCacheThumbnailRenderer extends DefaultSizedThumbnailRenderer { 
-	static Load(ResourceName: string): GeometryCacheThumbnailRenderer;
-	static Find(Outer: UObject, ResourceName: string): GeometryCacheThumbnailRenderer;
-	static GetDefaultObject(): GeometryCacheThumbnailRenderer;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCacheThumbnailRenderer;
-	static C(Other: UObject | any): GeometryCacheThumbnailRenderer;
+declare class MovieSceneGeometryCacheSection extends MovieSceneSection { 
+	Params: MovieSceneGeometryCacheParams;
+	static Load(ResourceName: string): MovieSceneGeometryCacheSection;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneGeometryCacheSection;
+	static GetDefaultObject(): MovieSceneGeometryCacheSection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneGeometryCacheSection;
+	static C(Other: UObject | any): MovieSceneGeometryCacheSection;
+}
+
+declare class MovieSceneGeometryCacheTrack extends MovieSceneNameableTrack { 
+	AnimationSections: MovieSceneSection[];
+	static Load(ResourceName: string): MovieSceneGeometryCacheTrack;
+	static Find(Outer: UObject, ResourceName: string): MovieSceneGeometryCacheTrack;
+	static GetDefaultObject(): MovieSceneGeometryCacheTrack;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MovieSceneGeometryCacheTrack;
+	static C(Other: UObject | any): MovieSceneGeometryCacheTrack;
 }
 
 declare class WebSocketConnection extends NetConnection { 
@@ -5573,7 +11261,7 @@ declare class WebSocketNetDriver extends NetDriver {
 }
 
 declare class ImgMediaSettings extends UObject { 
-	DefaultFps: number;
+	DefaultFrameRate: FrameRate;
 	CacheBehindPercentage: number;
 	CacheSizeGB: number;
 	CacheThreads: number;
@@ -5589,7 +11277,7 @@ declare class ImgMediaSettings extends UObject {
 }
 
 declare class ImgMediaSource extends BaseMediaSource { 
-	FramesPerSecondOverride: number;
+	FrameRateOverride: FrameRate;
 	ProxyOverride: string;
 	SequencePath: DirectoryPath;
 	static Load(ResourceName: string): ImgMediaSource;
@@ -5603,16 +11291,11 @@ declare class ImgMediaSource extends BaseMediaSource {
 }
 
 declare class DropTimecode { 
-	Hours: number;
-	Minutes: number;
-	Seconds: number;
-	Frame: number;
-	Drop: number;
+	Timecode: Timecode;
 	FrameRate: number;
-	Clock: number;
-	Color: number;
-	Forward: number;
-	NewFrame: number;
+	bColorFraming: boolean;
+	bRunningForward: boolean;
+	bNewFrame: boolean;
 	clone() : DropTimecode;
 	static C(Other: UObject | any): DropTimecode;
 	Conv_DropTimecodeToString(): string;
@@ -5642,52 +11325,14 @@ declare class DropTimecodeToStringConversion extends BlueprintFunctionLibrary {
 	static C(Other: UObject | any): DropTimecodeToStringConversion;
 }
 
-declare class MediaPlaneParameters { 
-	Material: MaterialInterface;
-	TextureParameterName: string;
-	bFillScreen: boolean;
-	FillScreenAmount: Vector2D;
-	FixedSize: Vector2D;
-	RenderTexture: Texture;
-	DynamicMaterial: MaterialInstanceDynamic;
-	MediaTexture: Texture;
-	clone() : MediaPlaneParameters;
-	static C(Other: UObject | any): MediaPlaneParameters;
-}
-
-declare class MediaPlaneFrustumComponent extends PrimitiveComponent { 
-	static Load(ResourceName: string): MediaPlaneFrustumComponent;
-	static Find(Outer: UObject, ResourceName: string): MediaPlaneFrustumComponent;
-	static GetDefaultObject(): MediaPlaneFrustumComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MediaPlaneFrustumComponent;
-	static C(Other: UObject | any): MediaPlaneFrustumComponent;
-}
-
-declare class MediaPlaneComponent extends PrimitiveComponent { 
-	Plane: MediaPlaneParameters;
-	EditorFrustum: MediaPlaneFrustumComponent;
-	static Load(ResourceName: string): MediaPlaneComponent;
-	static Find(Outer: UObject, ResourceName: string): MediaPlaneComponent;
-	static GetDefaultObject(): MediaPlaneComponent;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MediaPlaneComponent;
-	SetMediaPlane(Plane: MediaPlaneParameters): void;
-	OnMediaTextureChanged(): void;
-	GetPlane(): MediaPlaneParameters;
-	static C(Other: UObject | any): MediaPlaneComponent;
-}
-
-declare class MediaPlane extends Actor { 
-	MediaPlane: MediaPlaneComponent;
-	static GetDefaultObject(): MediaPlane;
-	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MediaPlane;
-	static C(Other: UObject | any): MediaPlane;
-}
-
 declare class MovieSceneMediaSection extends MovieSceneSection { 
-	Proxy: string;
-	MediaSoundComponent: MediaSoundComponent;
-	MediaTexture: MediaTexture;
 	MediaSource: MediaSource;
+	bLooping: boolean;
+	StartFrameOffset: FrameNumber;
+	MediaTexture: MediaTexture;
+	MediaSoundComponent: MediaSoundComponent;
+	bUseExternalMediaPlayer: boolean;
+	ExternalMediaPlayer: MediaPlayer;
 	ThumbnailReferenceOffset: number;
 	static Load(ResourceName: string): MovieSceneMediaSection;
 	static Find(Outer: UObject, ResourceName: string): MovieSceneMediaSection;
@@ -5705,6 +11350,14 @@ declare class MovieSceneMediaTrack extends MovieSceneNameableTrack {
 	static C(Other: UObject | any): MovieSceneMediaTrack;
 }
 
+declare class NetPropertyHook extends Property { 
+	static Load(ResourceName: string): NetPropertyHook;
+	static Find(Outer: UObject, ResourceName: string): NetPropertyHook;
+	static GetDefaultObject(): NetPropertyHook;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NetPropertyHook;
+	static C(Other: UObject | any): NetPropertyHook;
+}
+
 declare class UnitTestBase extends UObject { 
 	static Load(ResourceName: string): UnitTestBase;
 	static Find(Outer: UObject, ResourceName: string): UnitTestBase;
@@ -5795,6 +11448,28 @@ declare class NUTActor extends Actor {
 	static C(Other: UObject | any): NUTActor;
 }
 
+declare class NUTGlobals extends UObject { 
+	EventWatcher: NetConnection;
+	ServerPortOffset: number;
+	UnitTestNetDriverCount: number;
+	DumpRPCMatches: string[];
+	UnitTestModules: string[];
+	UnloadedModules: string[];
+	static Load(ResourceName: string): NUTGlobals;
+	static Find(Outer: UObject, ResourceName: string): NUTGlobals;
+	static GetDefaultObject(): NUTGlobals;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): NUTGlobals;
+	static C(Other: UObject | any): NUTGlobals;
+}
+
+declare class PackedVectorTest extends UnitTest { 
+	static Load(ResourceName: string): PackedVectorTest;
+	static Find(Outer: UObject, ResourceName: string): PackedVectorTest;
+	static GetDefaultObject(): PackedVectorTest;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PackedVectorTest;
+	static C(Other: UObject | any): PackedVectorTest;
+}
+
 declare class SteamClient extends IPClient { 
 	static Load(ResourceName: string): SteamClient;
 	static Find(Outer: UObject, ResourceName: string): SteamClient;
@@ -6030,6 +11705,7 @@ declare class CableComponent extends MeshComponent {
 	static Find(Outer: UObject, ResourceName: string): CableComponent;
 	static GetDefaultObject(): CableComponent;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): CableComponent;
+	SetAttachEndToComponent(Component: SceneComponent,SocketName: string): void;
 	SetAttachEndTo(Actor: Actor,ComponentProperty: string,SocketName: string): void;
 	GetCableParticleLocations(Locations?: Vector[]): {Locations: Vector[]};
 	GetAttachedComponent(): SceneComponent;
@@ -6063,6 +11739,706 @@ declare class CustomMeshComponent extends MeshComponent {
 	static C(Other: UObject | any): CustomMeshComponent;
 }
 
+declare class FieldSystem extends UObject { 
+	static Load(ResourceName: string): FieldSystem;
+	static Find(Outer: UObject, ResourceName: string): FieldSystem;
+	static GetDefaultObject(): FieldSystem;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FieldSystem;
+	static C(Other: UObject | any): FieldSystem;
+}
+
+declare class FieldSystemComponent extends PrimitiveComponent { 
+	FieldSystem: FieldSystem;
+	static Load(ResourceName: string): FieldSystemComponent;
+	static Find(Outer: UObject, ResourceName: string): FieldSystemComponent;
+	static GetDefaultObject(): FieldSystemComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FieldSystemComponent;
+	ApplyUniformVectorFalloffForce(Enabled: boolean,Position: Vector,Direction: Vector,Radius: number,Magnitude: number): void;
+	ApplyStayDynamicField(Enabled: boolean,Position: Vector,Radius: number,MaxLevelPerCommand: number): void;
+	ApplyRadialVectorFalloffForce(Enabled: boolean,Position: Vector,Radius: number,Magnitude: number): void;
+	ApplyRadialForce(Enabled: boolean,Position: Vector,Magnitude: number): void;
+	ApplyLinearForce(Enabled: boolean,Direction: Vector,Magnitude: number): void;
+	static C(Other: UObject | any): FieldSystemComponent;
+}
+
+declare class FieldSystemActor extends Actor { 
+	FieldSystemComponent: FieldSystemComponent;
+	static GetDefaultObject(): FieldSystemActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): FieldSystemActor;
+	static C(Other: UObject | any): FieldSystemActor;
+}
+
+declare class ChaosSolver extends UObject { 
+	static Load(ResourceName: string): ChaosSolver;
+	static Find(Outer: UObject, ResourceName: string): ChaosSolver;
+	static GetDefaultObject(): ChaosSolver;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChaosSolver;
+	static C(Other: UObject | any): ChaosSolver;
+}
+
+declare class ChaosSolverActor extends Actor { 
+	TimeStepMultiplier: number;
+	CollisionIterations: number;
+	PushOutIterations: number;
+	PushOutPairIterations: number;
+	CollisionDataSizeMax: number;
+	CollisionDataTimeWindow: number;
+	DoCollisionDataSpatialHash: boolean;
+	CollisionDataSpatialHashRadius: number;
+	MaxCollisionPerCell: number;
+	BreakingDataSizeMax: number;
+	BreakingDataTimeWindow: number;
+	DoBreakingDataSpatialHash: boolean;
+	BreakingDataSpatialHashRadius: number;
+	MaxBreakingPerCell: number;
+	TrailingDataSizeMax: number;
+	TrailingDataTimeWindow: number;
+	TrailingMinSpeedThreshold: number;
+	TrailingMinVolumeThreshold: number;
+	HasFloor: boolean;
+	FloorHeight: number;
+	SpriteComponent: BillboardComponent;
+	static GetDefaultObject(): ChaosSolverActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ChaosSolverActor;
+	static C(Other: UObject | any): ChaosSolverActor;
+}
+
+declare class GeometryCollection extends UObject { 
+	Materials: MaterialInterface[];
+	PersistentGuid: Guid;
+	StateGuid: Guid;
+	InteriorMaterialIndex: number;
+	BoneSelectedMaterialIndex: number;
+	static Load(ResourceName: string): GeometryCollection;
+	static Find(Outer: UObject, ResourceName: string): GeometryCollection;
+	static GetDefaultObject(): GeometryCollection;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollection;
+	static C(Other: UObject | any): GeometryCollection;
+}
+
+declare type EObjectTypeEnum = 'Chaos_Object_Dynamic' | 'Chaos_Object_Kinematic' | 'Chaos_Object_Sleeping' | 'Chaos_Max';
+declare var EObjectTypeEnum : { Chaos_Object_Dynamic:'Chaos_Object_Dynamic',Chaos_Object_Kinematic:'Chaos_Object_Kinematic',Chaos_Object_Sleeping:'Chaos_Object_Sleeping',Chaos_Max:'Chaos_Max', };
+declare type ECollisionTypeEnum = 'Chaos_Volumetric' | 'Chaos_Surface_Volumetric' | 'Chaos_Max';
+declare var ECollisionTypeEnum : { Chaos_Volumetric:'Chaos_Volumetric',Chaos_Surface_Volumetric:'Chaos_Surface_Volumetric',Chaos_Max:'Chaos_Max', };
+declare type EImplicitTypeEnum = 'Chaos_Implicit_Cube' | 'Chaos_Implicit_Sphere' | 'Chaos_Implicit_LevelSet' | 'Chaos_Max';
+declare var EImplicitTypeEnum : { Chaos_Implicit_Cube:'Chaos_Implicit_Cube',Chaos_Implicit_Sphere:'Chaos_Implicit_Sphere',Chaos_Implicit_LevelSet:'Chaos_Implicit_LevelSet',Chaos_Max:'Chaos_Max', };
+declare type EInitialVelocityTypeEnum = 'Chaos_Initial_Velocity_User_Defined' | 'Chaos_Initial_Velocity_None' | 'Chaos_Max';
+declare var EInitialVelocityTypeEnum : { Chaos_Initial_Velocity_User_Defined:'Chaos_Initial_Velocity_User_Defined',Chaos_Initial_Velocity_None:'Chaos_Initial_Velocity_None',Chaos_Max:'Chaos_Max', };
+declare type EGeometryCollectionCacheType = 'None' | 'Record' | 'Play' | 'RecordAndPlay' | 'EGeometryCollectionCacheType_MAX';
+declare var EGeometryCollectionCacheType : { None:'None',Record:'Record',Play:'Play',RecordAndPlay:'RecordAndPlay',EGeometryCollectionCacheType_MAX:'EGeometryCollectionCacheType_MAX', };
+declare class SolverCollisionData { 
+	clone() : SolverCollisionData;
+	static C(Other: UObject | any): SolverCollisionData;
+}
+
+declare class SolverTrailingData { 
+	clone() : SolverTrailingData;
+	static C(Other: UObject | any): SolverTrailingData;
+}
+
+declare class RecordedFrame { 
+	Transforms: Transform[];
+	TransformIndices: number[];
+	PreviousTransformIndices: number[];
+	DisabledFlags: boolean[];
+	Collisions: SolverCollisionData[];
+	Trailings: SolverTrailingData[];
+	Timestamp: number;
+	clone() : RecordedFrame;
+	static C(Other: UObject | any): RecordedFrame;
+}
+
+declare class RecordedTransformTrack { 
+	Records: RecordedFrame[];
+	clone() : RecordedTransformTrack;
+	static C(Other: UObject | any): RecordedTransformTrack;
+}
+
+declare class GeometryCollectionCache extends UObject { 
+	RecordedData: RecordedTransformTrack;
+	SupportedCollection: GeometryCollection;
+	CompatibleCollectionState: Guid;
+	static Load(ResourceName: string): GeometryCollectionCache;
+	static Find(Outer: UObject, ResourceName: string): GeometryCollectionCache;
+	static GetDefaultObject(): GeometryCollectionCache;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionCache;
+	static C(Other: UObject | any): GeometryCollectionCache;
+}
+
+declare class GeomComponentCacheParameters { 
+	CacheMode: EGeometryCollectionCacheType;
+	TargetCache: GeometryCollectionCache;
+	ReverseCacheBeginTime: number;
+	SaveCollisionData: boolean;
+	CollisionDataMaxSize: number;
+	DoCollisionDataSpatialHash: boolean;
+	SpatialHashRadius: number;
+	MaxCollisionPerCell: number;
+	SaveTrailingData: boolean;
+	TrailingDataSizeMax: number;
+	TrailingMinSpeedThreshold: number;
+	TrailingMinVolumeThreshold: number;
+	clone() : GeomComponentCacheParameters;
+	static C(Other: UObject | any): GeomComponentCacheParameters;
+}
+
+declare class GeometryCollectionComponent extends MeshComponent { 
+	ChaosSolverActor: ChaosSolverActor;
+	RestCollection: GeometryCollection;
+	DynamicCollection: GeometryCollection;
+	FieldSystem: FieldSystemActor;
+	Simulating: boolean;
+	ObjectType: EObjectTypeEnum;
+	EnableClustering: boolean;
+	MaxClusterLevel: number;
+	DamageThreshold: number[];
+	CollisionType: ECollisionTypeEnum;
+	ImplicitType: EImplicitTypeEnum;
+	MinLevelSetResolution: number;
+	MaxLevelSetResolution: number;
+	MassAsDensity: boolean;
+	Mass: number;
+	MinimumMassClamp: number;
+	CollisionParticlesFraction: number;
+	Friction: number;
+	Bouncyness: number;
+	LinearSleepingThreshold: number;
+	AngularSleepingThreshold: number;
+	InitialVelocityType: EInitialVelocityTypeEnum;
+	InitialLinearVelocity: Vector;
+	InitialAngularVelocity: Vector;
+	CacheParameters: GeomComponentCacheParameters;
+	DummyBoxComponent: BoxComponent;
+	InteriorMaterialID: number;
+	BoneSelectedMaterialID: number;
+	EditorActor: Actor;
+	static Load(ResourceName: string): GeometryCollectionComponent;
+	static Find(Outer: UObject, ResourceName: string): GeometryCollectionComponent;
+	static GetDefaultObject(): GeometryCollectionComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionComponent;
+	static C(Other: UObject | any): GeometryCollectionComponent;
+}
+
+declare class GeometryCollectionDebugDrawActor extends Actor { 
+	PointThickness: number;
+	LineThickness: number;
+	bTextShadow: boolean;
+	TextScale: number;
+	NormalScale: number;
+	TransformScale: number;
+	ArrowScale: number;
+	static GetDefaultObject(): GeometryCollectionDebugDrawActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionDebugDrawActor;
+	static C(Other: UObject | any): GeometryCollectionDebugDrawActor;
+}
+
+declare class GeometryCollectionRenderLevelSetActor extends Actor { 
+	TargetVolumeTexture: VolumeTexture;
+	RayMarchMaterial: Material;
+	SurfaceTolerance: number;
+	Isovalue: number;
+	Enabled: boolean;
+	RenderVolumeBoundingBox: boolean;
+	static GetDefaultObject(): GeometryCollectionRenderLevelSetActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionRenderLevelSetActor;
+	static C(Other: UObject | any): GeometryCollectionRenderLevelSetActor;
+}
+
+declare class GeometryCollectionDebugDrawComponent extends MeshComponent { 
+	GeometryCollectionDebugDrawActor: GeometryCollectionDebugDrawActor;
+	GeometryCollectionRenderLevelSet: GeometryCollectionRenderLevelSetActor;
+	bDebugDrawLevelSet: boolean;
+	bRenderLevelSetAtOrigin: boolean;
+	LevelSetIndex: number;
+	bDebugDrawTransform: boolean;
+	bDebugDrawTransformIndex: boolean;
+	bDebugDrawBoundingBox: boolean;
+	GeometryColor: LinearColor;
+	bDebugDrawProximity: boolean;
+	bDebugDrawBreakingFace: boolean;
+	bDebugDrawBreakingRegionData: boolean;
+	BreakingColor: LinearColor;
+	bDebugDrawFace: boolean;
+	bDebugDrawFaceIndex: boolean;
+	bDebugDrawFaceNormal: boolean;
+	bDebugDrawSingleFace: boolean;
+	SingleFaceIdx: number;
+	FaceColor: LinearColor;
+	bDebugDrawVertex: boolean;
+	bDebugDrawVertexIndex: boolean;
+	bDebugDrawVertexNormal: boolean;
+	VertexColor: LinearColor;
+	static Load(ResourceName: string): GeometryCollectionDebugDrawComponent;
+	static Find(Outer: UObject, ResourceName: string): GeometryCollectionDebugDrawComponent;
+	static GetDefaultObject(): GeometryCollectionDebugDrawComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionDebugDrawComponent;
+	static C(Other: UObject | any): GeometryCollectionDebugDrawComponent;
+}
+
+declare class GeometryCollectionActor extends Actor { 
+	GeometryCollectionComponent: GeometryCollectionComponent;
+	GeometryCollectionDebugDrawComponent: GeometryCollectionDebugDrawComponent;
+	static GetDefaultObject(): GeometryCollectionActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GeometryCollectionActor;
+	RaycastSingle(Start: Vector,End: Vector,OutHit?: HitResult): {OutHit: HitResult, $: boolean};
+	static C(Other: UObject | any): GeometryCollectionActor;
+}
+
+declare class StaticMeshSimulationComponent extends ActorComponent { 
+	Simulating: boolean;
+	ObjectType: EObjectTypeEnum;
+	Mass: number;
+	CollisionType: ECollisionTypeEnum;
+	InitialVelocityType: EInitialVelocityTypeEnum;
+	InitialLinearVelocity: Vector;
+	InitialAngularVelocity: Vector;
+	DamageThreshold: number;
+	Friction: number;
+	Bouncyness: number;
+	ChaosSolverActor: ChaosSolverActor;
+	static Load(ResourceName: string): StaticMeshSimulationComponent;
+	static Find(Outer: UObject, ResourceName: string): StaticMeshSimulationComponent;
+	static GetDefaultObject(): StaticMeshSimulationComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): StaticMeshSimulationComponent;
+	static C(Other: UObject | any): StaticMeshSimulationComponent;
+}
+
+declare class EditableMeshAdapter extends UObject { 
+	static Load(ResourceName: string): EditableMeshAdapter;
+	static Find(Outer: UObject, ResourceName: string): EditableMeshAdapter;
+	static GetDefaultObject(): EditableMeshAdapter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableMeshAdapter;
+	static C(Other: UObject | any): EditableMeshAdapter;
+}
+
+declare class EditableGeometryCollectionAdapter extends EditableMeshAdapter { 
+	GeometryCollection: GeometryCollection;
+	OriginalGeometryCollection: GeometryCollection;
+	GeometryCollectionLODIndex: number;
+	static Load(ResourceName: string): EditableGeometryCollectionAdapter;
+	static Find(Outer: UObject, ResourceName: string): EditableGeometryCollectionAdapter;
+	static GetDefaultObject(): EditableGeometryCollectionAdapter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableGeometryCollectionAdapter;
+	static C(Other: UObject | any): EditableGeometryCollectionAdapter;
+}
+
+declare class ElementID { 
+	IDValue: number;
+	clone() : ElementID;
+	static C(Other: UObject | any): ElementID;
+}
+
+declare class VertexID extends ElementID { 
+	clone() : VertexID;
+	static C(Other: UObject | any): VertexID;
+}
+
+declare class EdgeID extends ElementID { 
+	clone() : EdgeID;
+	static C(Other: UObject | any): EdgeID;
+}
+
+declare class PolygonID extends ElementID { 
+	clone() : PolygonID;
+	static C(Other: UObject | any): PolygonID;
+}
+
+declare type ETriangleTessellationMode = 'ThreeTriangles' | 'FourTriangles' | 'ETriangleTessellationMode_MAX';
+declare var ETriangleTessellationMode : { ThreeTriangles:'ThreeTriangles',FourTriangles:'FourTriangles',ETriangleTessellationMode_MAX:'ETriangleTessellationMode_MAX', };
+declare type EMeshModificationType = 'FirstInterim' | 'Interim' | 'Final' | 'EMeshModificationType_MAX';
+declare var EMeshModificationType : { FirstInterim:'FirstInterim',Interim:'Interim',Final:'Final',EMeshModificationType_MAX:'EMeshModificationType_MAX', };
+declare type EMeshTopologyChange = 'NoTopologyChange' | 'TopologyChange' | 'EMeshTopologyChange_MAX';
+declare var EMeshTopologyChange : { NoTopologyChange:'NoTopologyChange',TopologyChange:'TopologyChange',EMeshTopologyChange_MAX:'EMeshTopologyChange_MAX', };
+declare class VertexPair { 
+	VertexID0: VertexID;
+	VertexID1: VertexID;
+	clone() : VertexPair;
+	static C(Other: UObject | any): VertexPair;
+}
+
+declare class PolygonToSplit { 
+	PolygonID: PolygonID;
+	VertexPairsToSplitAt: VertexPair[];
+	clone() : PolygonToSplit;
+	static C(Other: UObject | any): PolygonToSplit;
+}
+
+declare class MeshElementAttributeValue { 
+	clone() : MeshElementAttributeValue;
+	static C(Other: UObject | any): MeshElementAttributeValue;
+}
+
+declare class MeshElementAttributeData { 
+	AttributeName: string;
+	AttributeIndex: number;
+	AttributeValue: MeshElementAttributeValue;
+	clone() : MeshElementAttributeData;
+	static C(Other: UObject | any): MeshElementAttributeData;
+}
+
+declare class MeshElementAttributeList { 
+	Attributes: MeshElementAttributeData[];
+	clone() : MeshElementAttributeList;
+	static C(Other: UObject | any): MeshElementAttributeList;
+}
+
+declare class AttributesForVertex { 
+	VertexID: VertexID;
+	VertexAttributes: MeshElementAttributeList;
+	clone() : AttributesForVertex;
+	static C(Other: UObject | any): AttributesForVertex;
+}
+
+declare class VertexInstanceID extends ElementID { 
+	clone() : VertexInstanceID;
+	static C(Other: UObject | any): VertexInstanceID;
+}
+
+declare class AttributesForVertexInstance { 
+	VertexInstanceID: VertexInstanceID;
+	VertexInstanceAttributes: MeshElementAttributeList;
+	clone() : AttributesForVertexInstance;
+	static C(Other: UObject | any): AttributesForVertexInstance;
+}
+
+declare class VertexAttributesForPolygonHole { 
+	VertexAttributeList: MeshElementAttributeList[];
+	clone() : VertexAttributesForPolygonHole;
+	static C(Other: UObject | any): VertexAttributesForPolygonHole;
+}
+
+declare class VertexAttributesForPolygon { 
+	PolygonID: PolygonID;
+	PerimeterVertexAttributeLists: MeshElementAttributeList[];
+	VertexAttributeListsForEachHole: VertexAttributesForPolygonHole[];
+	clone() : VertexAttributesForPolygon;
+	static C(Other: UObject | any): VertexAttributesForPolygon;
+}
+
+declare class VerticesForEdge { 
+	EdgeID: EdgeID;
+	NewVertexID0: VertexID;
+	NewVertexID1: VertexID;
+	clone() : VerticesForEdge;
+	static C(Other: UObject | any): VerticesForEdge;
+}
+
+declare class AttributesForEdge { 
+	EdgeID: EdgeID;
+	EdgeAttributes: MeshElementAttributeList;
+	clone() : AttributesForEdge;
+	static C(Other: UObject | any): AttributesForEdge;
+}
+
+declare class VertexToMove { 
+	VertexID: VertexID;
+	NewVertexPosition: Vector;
+	clone() : VertexToMove;
+	static C(Other: UObject | any): VertexToMove;
+}
+
+declare class PolygonGroupID extends ElementID { 
+	clone() : PolygonGroupID;
+	static C(Other: UObject | any): PolygonGroupID;
+}
+
+declare type EInsetPolygonsMode = 'All' | 'CenterPolygonOnly' | 'SidePolygonsOnly' | 'EInsetPolygonsMode_MAX';
+declare var EInsetPolygonsMode : { All:'All',CenterPolygonOnly:'CenterPolygonOnly',SidePolygonsOnly:'SidePolygonsOnly',EInsetPolygonsMode_MAX:'EInsetPolygonsMode_MAX', };
+declare class VertexAndAttributes { 
+	VertexInstanceID: VertexInstanceID;
+	VertexID: VertexID;
+	PolygonVertexAttributes: MeshElementAttributeList;
+	clone() : VertexAndAttributes;
+	static C(Other: UObject | any): VertexAndAttributes;
+}
+
+declare class SubdividedQuadVertex { 
+	VertexPositionIndex: number;
+	TextureCoordinate0: Vector2D;
+	TextureCoordinate1: Vector2D;
+	VertexColor: Color;
+	VertexNormal: Vector;
+	VertexTangent: Vector;
+	VertexBinormalSign: number;
+	clone() : SubdividedQuadVertex;
+	static C(Other: UObject | any): SubdividedQuadVertex;
+}
+
+declare class SubdividedQuad { 
+	QuadVertex0: SubdividedQuadVertex;
+	QuadVertex1: SubdividedQuadVertex;
+	QuadVertex2: SubdividedQuadVertex;
+	QuadVertex3: SubdividedQuadVertex;
+	clone() : SubdividedQuad;
+	static C(Other: UObject | any): SubdividedQuad;
+}
+
+declare class SubdivisionLimitSection { 
+	SubdividedQuads: SubdividedQuad[];
+	clone() : SubdivisionLimitSection;
+	static C(Other: UObject | any): SubdivisionLimitSection;
+}
+
+declare class SubdividedWireEdge { 
+	EdgeVertex0PositionIndex: number;
+	EdgeVertex1PositionIndex: number;
+	clone() : SubdividedWireEdge;
+	static C(Other: UObject | any): SubdividedWireEdge;
+}
+
+declare class SubdivisionLimitData { 
+	VertexPositions: Vector[];
+	Sections: SubdivisionLimitSection[];
+	SubdividedWireEdges: SubdividedWireEdge[];
+	clone() : SubdivisionLimitData;
+	static C(Other: UObject | any): SubdivisionLimitData;
+}
+
+declare class MeshTriangle { 
+	VertexInstanceID0: VertexInstanceID;
+	VertexInstanceID1: VertexInstanceID;
+	VertexInstanceID2: VertexInstanceID;
+	clone() : MeshTriangle;
+	static C(Other: UObject | any): MeshTriangle;
+}
+
+declare class VertexToCreate { 
+	VertexAttributes: MeshElementAttributeList;
+	OriginalVertexID: VertexID;
+	clone() : VertexToCreate;
+	static C(Other: UObject | any): VertexToCreate;
+}
+
+declare class VertexInstanceToCreate { 
+	VertexID: VertexID;
+	VertexInstanceAttributes: MeshElementAttributeList;
+	OriginalVertexInstanceID: VertexInstanceID;
+	clone() : VertexInstanceToCreate;
+	static C(Other: UObject | any): VertexInstanceToCreate;
+}
+
+declare type EPolygonEdgeHardness = 'NewEdgesSoft' | 'NewEdgesHard' | 'AllEdgesSoft' | 'AllEdgesHard' | 'EPolygonEdgeHardness_MAX';
+declare var EPolygonEdgeHardness : { NewEdgesSoft:'NewEdgesSoft',NewEdgesHard:'NewEdgesHard',AllEdgesSoft:'AllEdgesSoft',AllEdgesHard:'AllEdgesHard',EPolygonEdgeHardness_MAX:'EPolygonEdgeHardness_MAX', };
+declare class PolygonToCreate { 
+	PolygonGroupID: PolygonGroupID;
+	PerimeterVertices: VertexAndAttributes[];
+	OriginalPolygonID: PolygonID;
+	PolygonEdgeHardness: EPolygonEdgeHardness;
+	clone() : PolygonToCreate;
+	static C(Other: UObject | any): PolygonToCreate;
+}
+
+declare class PolygonGroupToCreate { 
+	PolygonGroupAttributes: MeshElementAttributeList;
+	OriginalPolygonGroupID: PolygonGroupID;
+	clone() : PolygonGroupToCreate;
+	static C(Other: UObject | any): PolygonGroupToCreate;
+}
+
+declare class EdgeToCreate { 
+	VertexID0: VertexID;
+	VertexID1: VertexID;
+	ConnectedPolygons: PolygonID[];
+	EdgeAttributes: MeshElementAttributeList;
+	OriginalEdgeID: EdgeID;
+	clone() : EdgeToCreate;
+	static C(Other: UObject | any): EdgeToCreate;
+}
+
+declare class VertexIndexAndInstanceID { 
+	ContourIndex: number;
+	VertexInstanceID: VertexInstanceID;
+	clone() : VertexIndexAndInstanceID;
+	static C(Other: UObject | any): VertexIndexAndInstanceID;
+}
+
+declare class VertexInstancesForPolygonHole { 
+	VertexIndicesAndInstanceIDs: VertexIndexAndInstanceID[];
+	clone() : VertexInstancesForPolygonHole;
+	static C(Other: UObject | any): VertexInstancesForPolygonHole;
+}
+
+declare class ChangeVertexInstancesForPolygon { 
+	PolygonID: PolygonID;
+	PerimeterVertexIndicesAndInstanceIDs: VertexIndexAndInstanceID[];
+	VertexIndicesAndInstanceIDsForEachHole: VertexInstancesForPolygonHole[];
+	clone() : ChangeVertexInstancesForPolygon;
+	static C(Other: UObject | any): ChangeVertexInstancesForPolygon;
+}
+
+declare class PolygonGroupForPolygon { 
+	PolygonID: PolygonID;
+	PolygonGroupID: PolygonGroupID;
+	clone() : PolygonGroupForPolygon;
+	static C(Other: UObject | any): PolygonGroupForPolygon;
+}
+
+declare class EditableMesh extends UObject { 
+	Adapters: EditableMeshAdapter[];
+	TextureCoordinateCount: number;
+	PendingCompactCounter: number;
+	SubdivisionCount: number;
+	static Load(ResourceName: string): EditableMesh;
+	static Find(Outer: UObject, ResourceName: string): EditableMesh;
+	static GetDefaultObject(): EditableMesh;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableMesh;
+	WeldVertices(VertexIDs: VertexID[],OutNewVertexID?: VertexID): {OutNewVertexID: VertexID};
+	TryToRemoveVertex(VertexID: VertexID,bOutWasVertexRemoved?: boolean,OutNewEdgeID?: EdgeID): {bOutWasVertexRemoved: boolean, OutNewEdgeID: EdgeID};
+	TryToRemovePolygonEdge(EdgeID: EdgeID,bOutWasEdgeRemoved?: boolean,OutNewPolygonID?: PolygonID): {bOutWasEdgeRemoved: boolean, OutNewPolygonID: PolygonID};
+	TriangulatePolygons(PolygonIDs: PolygonID[],OutNewTrianglePolygons?: PolygonID[]): {OutNewTrianglePolygons: PolygonID[]};
+	TessellatePolygons(PolygonIDs: PolygonID[],TriangleTessellationMode: ETriangleTessellationMode,OutNewPolygonIDs?: PolygonID[]): {OutNewPolygonIDs: PolygonID[]};
+	StartModification(MeshModificationType: EMeshModificationType,MeshTopologyChange: EMeshTopologyChange): void;
+	SplitPolygons(PolygonsToSplit: PolygonToSplit[],OutNewEdgeIDs?: EdgeID[]): {OutNewEdgeIDs: EdgeID[]};
+	SplitPolygonalMesh(InPlane: Plane,PolygonIDs1?: PolygonID[],PolygonIDs2?: PolygonID[],BoundaryIDs?: EdgeID[]): {PolygonIDs1: PolygonID[], PolygonIDs2: PolygonID[], BoundaryIDs: EdgeID[]};
+	SplitEdge(EdgeID: EdgeID,Splits: number[],OutNewVertexIDs?: VertexID[]): {OutNewVertexIDs: VertexID[]};
+	SetVerticesCornerSharpness(VertexIDs: VertexID[],VerticesNewCornerSharpness: number[]): void;
+	SetVerticesAttributes(AttributesForVertices: AttributesForVertex[]): void;
+	SetVertexInstancesAttributes(AttributesForVertexInstances: AttributesForVertexInstance[]): void;
+	SetTextureCoordinateCount(NumTexCoords: number): void;
+	SetSubdivisionCount(NewSubdivisionCount: number): void;
+	SetPolygonsVertexAttributes(VertexAttributesForPolygons: VertexAttributesForPolygon[]): void;
+	SetEdgesVertices(VerticesForEdges: VerticesForEdge[]): void;
+	SetEdgesHardnessAutomatically(EdgeIDs: EdgeID[],MaxDotProductForSoftEdge: number): void;
+	SetEdgesHardness(EdgeIDs: EdgeID[],EdgesNewIsHard: boolean[]): void;
+	SetEdgesCreaseSharpness(EdgeIDs: EdgeID[],EdgesNewCreaseSharpness: number[]): void;
+	SetEdgesAttributes(AttributesForEdges: AttributesForEdge[]): void;
+	SetAllowUndo(bInAllowUndo: boolean): void;
+	SetAllowSpatialDatabase(bInAllowSpatialDatabase: boolean): void;
+	SetAllowCompact(bInAllowCompact: boolean): void;
+	SearchSpatialDatabaseForPolygonsPotentiallyIntersectingPlane(InPlane: Plane,OutPolygons?: PolygonID[]): {OutPolygons: PolygonID[]};
+	SearchSpatialDatabaseForPolygonsPotentiallyIntersectingLineSegment(LineSegmentStart: Vector,LineSegmentEnd: Vector,OutPolygons?: PolygonID[]): {OutPolygons: PolygonID[]};
+	SearchSpatialDatabaseForPolygonsInVolume(planes: Plane[],OutPolygons?: PolygonID[]): {OutPolygons: PolygonID[]};
+	RevertInstance(): EditableMesh;
+	Revert(): void;
+	RemovePolygonPerimeterVertices(PolygonID: PolygonID,FirstVertexNumberToRemove: number,NumVerticesToRemove: number,bDeleteOrphanedVertexInstances: boolean): void;
+	RebuildRenderMesh(): void;
+	QuadrangulateMesh(OutNewPolygonIDs?: PolygonID[]): {OutNewPolygonIDs: PolygonID[]};
+	PropagateInstanceChanges(): void;
+	MoveVertices(VerticesToMove: VertexToMove[]): void;
+	static MakeVertexID(VertexIndex: number): VertexID;
+	static MakePolygonID(PolygonIndex: number): PolygonID;
+	static MakePolygonGroupID(PolygonGroupIndex: number): PolygonGroupID;
+	static MakeEdgeID(EdgeIndex: number): EdgeID;
+	IsValidVertex(VertexID: VertexID): boolean;
+	IsValidPolygonGroup(PolygonGroupID: PolygonGroupID): boolean;
+	IsValidPolygon(PolygonID: PolygonID): boolean;
+	IsValidEdge(EdgeID: EdgeID): boolean;
+	IsUndoAllowed(): boolean;
+	IsSpatialDatabaseAllowed(): boolean;
+	IsPreviewingSubdivisions(): boolean;
+	IsOrphanedVertex(VertexID: VertexID): boolean;
+	IsCompactAllowed(): boolean;
+	IsCommittedAsInstance(): boolean;
+	IsCommitted(): boolean;
+	IsBeingModified(): boolean;
+	static InvalidVertexID(): VertexID;
+	static InvalidPolygonID(): PolygonID;
+	static InvalidPolygonGroupID(): PolygonGroupID;
+	static InvalidEdgeID(): EdgeID;
+	InsetPolygons(PolygonIDs: PolygonID[],InsetFixedDistance: number,InsetProgressTowardCenter: number,Mode: EInsetPolygonsMode,OutNewCenterPolygonIDs?: PolygonID[],OutNewSidePolygonIDs?: PolygonID[]): {OutNewCenterPolygonIDs: PolygonID[], OutNewSidePolygonIDs: PolygonID[]};
+	InsertPolygonPerimeterVertices(PolygonID: PolygonID,InsertBeforeVertexNumber: number,VerticesToInsert: VertexAndAttributes[]): void;
+	InsertEdgeLoop(EdgeID: EdgeID,Splits: number[],OutNewEdgeIDs?: EdgeID[]): {OutNewEdgeIDs: EdgeID[]};
+	InitializeAdapters(): void;
+	GetVertexPairEdge(VertexID: VertexID,NextVertexID: VertexID,bOutEdgeWindingIsReversed?: boolean): {bOutEdgeWindingIsReversed: boolean, $: EdgeID};
+	GetVertexInstanceVertex(VertexInstanceID: VertexInstanceID): VertexID;
+	GetVertexInstanceCount(): number;
+	GetVertexInstanceConnectedPolygons(VertexInstanceID: VertexInstanceID,OutConnectedPolygonIDs?: PolygonID[]): {OutConnectedPolygonIDs: PolygonID[]};
+	GetVertexInstanceConnectedPolygonCount(VertexInstanceID: VertexInstanceID): number;
+	GetVertexInstanceConnectedPolygon(VertexInstanceID: VertexInstanceID,ConnectedPolygonNumber: number): PolygonID;
+	GetVertexCount(): number;
+	GetVertexConnectedPolygons(VertexID: VertexID,OutConnectedPolygonIDs?: PolygonID[]): {OutConnectedPolygonIDs: PolygonID[]};
+	GetVertexConnectedEdges(VertexID: VertexID,OutConnectedEdgeIDs?: EdgeID[]): {OutConnectedEdgeIDs: EdgeID[]};
+	GetVertexConnectedEdgeCount(VertexID: VertexID): number;
+	GetVertexConnectedEdge(VertexID: VertexID,ConnectedEdgeNumber: number): EdgeID;
+	GetVertexAdjacentVertices(VertexID: VertexID,OutAdjacentVertexIDs?: VertexID[]): {OutAdjacentVertexIDs: VertexID[]};
+	GetTextureCoordinateCount(): number;
+	GetSubdivisionLimitData(): SubdivisionLimitData;
+	GetSubdivisionCount(): number;
+	GetPolygonTriangulatedTriangleCount(PolygonID: PolygonID): number;
+	GetPolygonTriangulatedTriangle(PolygonID: PolygonID,PolygonTriangleNumber: number): MeshTriangle;
+	GetPolygonPerimeterVertices(PolygonID: PolygonID,OutPolygonPerimeterVertexIDs?: VertexID[]): {OutPolygonPerimeterVertexIDs: VertexID[]};
+	GetPolygonPerimeterVertexInstances(PolygonID: PolygonID,OutPolygonPerimeterVertexInstanceIDs?: VertexInstanceID[]): {OutPolygonPerimeterVertexInstanceIDs: VertexInstanceID[]};
+	GetPolygonPerimeterVertexInstance(PolygonID: PolygonID,PolygonVertexNumber: number): VertexInstanceID;
+	GetPolygonPerimeterVertexCount(PolygonID: PolygonID): number;
+	GetPolygonPerimeterVertex(PolygonID: PolygonID,PolygonVertexNumber: number): VertexID;
+	GetPolygonPerimeterEdges(PolygonID: PolygonID,OutPolygonPerimeterEdgeIDs?: EdgeID[]): {OutPolygonPerimeterEdgeIDs: EdgeID[]};
+	GetPolygonPerimeterEdgeCount(PolygonID: PolygonID): number;
+	GetPolygonPerimeterEdge(PolygonID: PolygonID,PerimeterEdgeNumber: number,bOutEdgeWindingIsReversedForPolygon?: boolean): {bOutEdgeWindingIsReversedForPolygon: boolean, $: EdgeID};
+	GetPolygonInGroup(PolygonGroupID: PolygonGroupID,PolygonNumber: number): PolygonID;
+	GetPolygonGroupCount(): number;
+	GetPolygonCountInGroup(PolygonGroupID: PolygonGroupID): number;
+	GetPolygonCount(): number;
+	GetPolygonAdjacentPolygons(PolygonID: PolygonID,OutAdjacentPolygons?: PolygonID[]): {OutAdjacentPolygons: PolygonID[]};
+	GetGroupForPolygon(PolygonID: PolygonID): PolygonGroupID;
+	GetFirstValidPolygonGroup(): PolygonGroupID;
+	GetEdgeVertices(EdgeID: EdgeID,OutEdgeVertexID0?: VertexID,OutEdgeVertexID1?: VertexID): {OutEdgeVertexID0: VertexID, OutEdgeVertexID1: VertexID};
+	GetEdgeVertex(EdgeID: EdgeID,EdgeVertexNumber: number): VertexID;
+	GetEdgeThatConnectsVertices(VertexID0: VertexID,VertexID1: VertexID): EdgeID;
+	GetEdgeLoopElements(EdgeID: EdgeID,EdgeLoopIDs?: EdgeID[]): {EdgeLoopIDs: EdgeID[]};
+	GetEdgeCount(): number;
+	GetEdgeConnectedPolygons(EdgeID: EdgeID,OutConnectedPolygonIDs?: PolygonID[]): {OutConnectedPolygonIDs: PolygonID[]};
+	GetEdgeConnectedPolygonCount(EdgeID: EdgeID): number;
+	GetEdgeConnectedPolygon(EdgeID: EdgeID,ConnectedPolygonNumber: number): PolygonID;
+	GeneratePolygonTangentsAndNormals(PolygonIDs: PolygonID[]): void;
+	FlipPolygons(PolygonIDs: PolygonID[]): void;
+	FindPolygonPerimeterVertexNumberForVertex(PolygonID: PolygonID,VertexID: VertexID): number;
+	FindPolygonPerimeterEdgeNumberForVertices(PolygonID: PolygonID,EdgeVertexID0: VertexID,EdgeVertexID1: VertexID): number;
+	FindPolygonLoop(EdgeID: EdgeID,OutEdgeLoopEdgeIDs?: EdgeID[],OutFlippedEdgeIDs?: EdgeID[],OutReversedEdgeIDPathToTake?: EdgeID[],OutPolygonIDsToSplit?: PolygonID[]): {OutEdgeLoopEdgeIDs: EdgeID[], OutFlippedEdgeIDs: EdgeID[], OutReversedEdgeIDPathToTake: EdgeID[], OutPolygonIDsToSplit: PolygonID[]};
+	ExtrudePolygons(Polygons: PolygonID[],ExtrudeDistance: number,bKeepNeighborsTogether: boolean,OutNewExtrudedFrontPolygons?: PolygonID[]): {OutNewExtrudedFrontPolygons: PolygonID[]};
+	ExtendVertices(VertexIDs: VertexID[],bOnlyExtendClosestEdge: boolean,ReferencePosition: Vector,OutNewExtendedVertexIDs?: VertexID[]): {OutNewExtendedVertexIDs: VertexID[]};
+	ExtendEdges(EdgeIDs: EdgeID[],bWeldNeighbors: boolean,OutNewExtendedEdgeIDs?: EdgeID[]): {OutNewExtendedEdgeIDs: EdgeID[]};
+	EndModification(bFromUndo: boolean): void;
+	DeleteVertexInstances(VertexInstanceIDsToDelete: VertexInstanceID[],bDeleteOrphanedVertices: boolean): void;
+	DeleteVertexAndConnectedEdgesAndPolygons(VertexID: VertexID,bDeleteOrphanedEdges: boolean,bDeleteOrphanedVertices: boolean,bDeleteOrphanedVertexInstances: boolean,bDeleteEmptyPolygonGroups: boolean): void;
+	DeletePolygons(PolygonIDsToDelete: PolygonID[],bDeleteOrphanedEdges: boolean,bDeleteOrphanedVertices: boolean,bDeleteOrphanedVertexInstances: boolean,bDeleteEmptyPolygonGroups: boolean): void;
+	DeletePolygonGroups(PolygonGroupIDs: PolygonGroupID[]): void;
+	DeleteOrphanVertices(VertexIDsToDelete: VertexID[]): void;
+	DeleteEdges(EdgeIDsToDelete: EdgeID[],bDeleteOrphanedVertices: boolean): void;
+	DeleteEdgeAndConnectedPolygons(EdgeID: EdgeID,bDeleteOrphanedEdges: boolean,bDeleteOrphanedVertices: boolean,bDeleteOrphanedVertexInstances: boolean,bDeleteEmptyPolygonGroups: boolean): void;
+	CreateVertices(VerticesToCreate: VertexToCreate[],OutNewVertexIDs?: VertexID[]): {OutNewVertexIDs: VertexID[]};
+	CreateVertexInstances(VertexInstancesToCreate: VertexInstanceToCreate[],OutNewVertexInstanceIDs?: VertexInstanceID[]): {OutNewVertexInstanceIDs: VertexInstanceID[]};
+	CreatePolygons(PolygonsToCreate: PolygonToCreate[],OutNewPolygonIDs?: PolygonID[],OutNewEdgeIDs?: EdgeID[]): {OutNewPolygonIDs: PolygonID[], OutNewEdgeIDs: EdgeID[]};
+	CreatePolygonGroups(PolygonGroupsToCreate: PolygonGroupToCreate[],OutNewPolygonGroupIDs?: PolygonGroupID[]): {OutNewPolygonGroupIDs: PolygonGroupID[]};
+	CreateMissingPolygonPerimeterEdges(PolygonID: PolygonID,OutNewEdgeIDs?: EdgeID[]): {OutNewEdgeIDs: EdgeID[]};
+	CreateEmptyVertexRange(NumVerticesToCreate: number,OutNewVertexIDs?: VertexID[]): {OutNewVertexIDs: VertexID[]};
+	CreateEdges(EdgesToCreate: EdgeToCreate[],OutNewEdgeIDs?: EdgeID[]): {OutNewEdgeIDs: EdgeID[]};
+	ComputePolygonTriangulation(PolygonID: PolygonID,OutTriangles?: MeshTriangle[]): {OutTriangles: MeshTriangle[]};
+	ComputePolygonsSharedEdges(PolygonIDs: PolygonID[],OutSharedEdgeIDs?: EdgeID[]): {OutSharedEdgeIDs: EdgeID[]};
+	ComputePolygonPlane(PolygonID: PolygonID): Plane;
+	ComputePolygonNormal(PolygonID: PolygonID): Vector;
+	ComputePolygonCenter(PolygonID: PolygonID): Vector;
+	ComputeBoundingBoxAndSphere(): BoxSphereBounds;
+	ComputeBoundingBox(): Box;
+	ComputeBarycentricWeightForPointOnPolygon(PolygonID: PolygonID,PointOnPolygon: Vector,OutTriangle?: MeshTriangle,OutTriangleVertexWeights?: Vector): {OutTriangle: MeshTriangle, OutTriangleVertexWeights: Vector, $: boolean};
+	CommitInstance(ComponentToInstanceTo: PrimitiveComponent): EditableMesh;
+	Commit(): void;
+	ChangePolygonsVertexInstances(VertexInstancesForPolygons: ChangeVertexInstancesForPolygon[]): void;
+	BevelPolygons(PolygonIDs: PolygonID[],BevelFixedDistance: number,BevelProgressTowardCenter: number,OutNewCenterPolygonIDs?: PolygonID[],OutNewSidePolygonIDs?: PolygonID[]): {OutNewCenterPolygonIDs: PolygonID[], OutNewSidePolygonIDs: PolygonID[]};
+	AssignPolygonsToPolygonGroups(PolygonGroupForPolygons: PolygonGroupForPolygon[],bDeleteOrphanedPolygonGroups: boolean): void;
+	AnyChangesToUndo(): boolean;
+	static C(Other: UObject | any): EditableMesh;
+}
+
+declare class EditableMeshFactory extends UObject { 
+	static Load(ResourceName: string): EditableMeshFactory;
+	static Find(Outer: UObject, ResourceName: string): EditableMeshFactory;
+	static GetDefaultObject(): EditableMeshFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableMeshFactory;
+	static MakeEditableMesh(PrimitiveComponent: PrimitiveComponent,LODIndex: number): EditableMesh;
+	static C(Other: UObject | any): EditableMeshFactory;
+}
+
+declare class EditableStaticMeshAdapter extends EditableMeshAdapter { 
+	StaticMesh: StaticMesh;
+	OriginalStaticMesh: StaticMesh;
+	StaticMeshLODIndex: number;
+	static Load(ResourceName: string): EditableStaticMeshAdapter;
+	static Find(Outer: UObject, ResourceName: string): EditableStaticMeshAdapter;
+	static GetDefaultObject(): EditableStaticMeshAdapter;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditableStaticMeshAdapter;
+	static C(Other: UObject | any): EditableStaticMeshAdapter;
+}
+
 declare class MobileInstalledContent extends UObject { 
 	static Load(ResourceName: string): MobileInstalledContent;
 	static Find(Outer: UObject, ResourceName: string): MobileInstalledContent;
@@ -6100,6 +12476,19 @@ declare class MobilePatchingLibrary extends BlueprintFunctionLibrary {
 	static C(Other: UObject | any): MobilePatchingLibrary;
 }
 
+declare type EOculusPlatform = 'PC' | 'Mobile' | 'Length' | 'EOculusPlatform_MAX';
+declare var EOculusPlatform : { PC:'PC',Mobile:'Mobile',Length:'Length',EOculusPlatform_MAX:'EOculusPlatform_MAX', };
+declare class OculusEditorSettings extends UObject { 
+	PerfToolIgnoreList: any;
+	PerfToolTargetPlatform: EOculusPlatform;
+	bAddMenuOption: boolean;
+	static Load(ResourceName: string): OculusEditorSettings;
+	static Find(Outer: UObject, ResourceName: string): OculusEditorSettings;
+	static GetDefaultObject(): OculusEditorSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): OculusEditorSettings;
+	static C(Other: UObject | any): OculusEditorSettings;
+}
+
 declare type ESteamVRTouchDPadMapping = 'FaceButtons' | 'ThumbstickDirections' | 'Disabled' | 'ESteamVRTouchDPadMapping_MAX';
 declare var ESteamVRTouchDPadMapping : { FaceButtons:'FaceButtons',ThumbstickDirections:'ThumbstickDirections',Disabled:'Disabled',ESteamVRTouchDPadMapping_MAX:'ESteamVRTouchDPadMapping_MAX', };
 declare class SteamVRControllerLibrary extends BlueprintFunctionLibrary { 
@@ -6123,6 +12512,8 @@ declare class JavascriptPinParams {
 declare class JavascriptGraphEdNode extends EdGraphNode { 
 	BackgroundColor: SlateColor;
 	GraphNode: UObject;
+	IsTitleOnly: boolean;
+	OnWidgetFinalized: UnrealEngineDelegate<() => void>;
 	Bidirectional: boolean;
 	PriorityOrder: number;
 	static Load(ResourceName: string): JavascriptGraphEdNode;
@@ -6130,8 +12521,16 @@ declare class JavascriptGraphEdNode extends EdGraphNode {
 	static GetDefaultObject(): JavascriptGraphEdNode;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptGraphEdNode;
 	UpdateSlate(): void;
+	SetVisible(bVisible: boolean): void;
+	SetTitleSelectionMode(InTitleHeight: number): void;
+	SetEnable(bEnable: boolean): void;
+	ResetTitleSelectionMode(): void;
+	RemovePinByName(PinName: string): boolean;
+	RemovePin(Pin: JavascriptEdGraphPin): boolean;
+	GetVisible(): boolean;
+	GetNumOfPins(Direction: EEdGraphPinDirection): number;
 	GetDesiredSize(): Vector2D;
-	CreatePin(Dir: EEdGraphPinDirection,PinCategory: string,PinSubCategory: string,PinSubCategoryObject: UObject,PinName: string,PinToolTip: string,InPinParams: JavascriptPinParams): JavascriptEdGraphPin;
+	CreatePin(Dir: EEdGraphPinDirection,PinCategory: string,PinSubCategory: string,PinSubCategoryObject: UObject,PinName: string,PinToolTip: string,PinDisplayName: string,InPinParams: JavascriptPinParams): JavascriptEdGraphPin;
 	static C(Other: UObject | any): JavascriptGraphEdNode;
 }
 
@@ -6264,20 +12663,23 @@ declare class JavascriptGraphAssetGraphSchema extends EdGraphSchema {
 	OnGetSlateBrushName: UnrealEngineDelegate<(bHovered: boolean, Pin: JavascriptEdGraphPin) => string>;
 	OnPinConnectionListChanged: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => void>;
 	OnTryCreateConnection: UnrealEngineDelegate<(PinA: JavascriptEdGraphPin, PinB: JavascriptEdGraphPin) => void>;
-	OnMouseEnter: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, SlateEdNode: JavascriptSlateEdNode) => void>;
-	OnMouseLeave: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, SlateEdNode: JavascriptSlateEdNode) => void>;
-	OnMouseMove: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, Delta: Vector2D, bUserIsDragging: boolean, MouseZone: number) => void>;
-	OnMouseButtonDown: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, MyGeometry: Geometry) => void>;
-	OnMouseButtonUp: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, MyGeometry: Geometry) => void>;
+	OnMouseEnter: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, SlateEdNode: JavascriptSlateEdNode, UPointerEvent: UPointerEvent) => void>;
+	OnMouseLeave: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, SlateEdNode: JavascriptSlateEdNode, UPointerEvent: UPointerEvent) => void>;
+	OnMouseMove: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, Delta: Vector2D, bUserIsDragging: boolean, MouseZone: number, UPointerEvent: UPointerEvent) => boolean>;
+	OnMouseButtonDown: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, MyGeometry: Geometry, UPointerEvent: UPointerEvent) => boolean>;
+	OnMouseButtonUp: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, MyGeometry: Geometry, UPointerEvent: UPointerEvent) => boolean>;
 	OnPerformSecondPassLayout: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode) => JavascriptPerformSecondPassLayoutContainer>;
 	OnRequiresSecondPassLayout: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode) => boolean>;
 	OnMoveTo: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, NewPosition: Vector2D) => boolean>;
-	OnTakeCustomContentWidget: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, OutUserWidget: JavascriptSlateWidget, OutLeftNodeBoxWidget: JavascriptSlateWidget, OutRightNodeBoxWidget: JavascriptSlateWidget) => JavascriptSlateWidget>;
+	OnTakeCustomContentWidget: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode, OutUserWidget: JavascriptSlateWidget, OutLeftNodeBoxWidget: JavascriptSlateWidget, OutRightNodeBoxWidget: JavascriptSlateWidget, OutAltLeftNodeBoxWidget: JavascriptSlateWidget, OutAltRightNodeBoxWidget: JavascriptSlateWidget) => JavascriptSlateWidget>;
 	OnGetValueWidget: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => JavascriptSlateWidget>;
 	OnGetActualPinWidget: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => JavascriptSlateWidget>;
 	OnGetPinStatusIndicator: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => JavascriptSlateWidget>;
 	OnDisableMakePins: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode) => boolean>;
 	OnUsingDefaultPin: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => boolean>;
+	OnGetPinLabelVisibility: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => boolean>;
+	OnUsingAlternativeInputPinBox: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => boolean>;
+	OnUsingAlternativeOutputPinBox: UnrealEngineDelegate<(Pin: JavascriptEdGraphPin) => boolean>;
 	OnUsingNodeWidgetMap: UnrealEngineDelegate<() => boolean>;
 	OnDetermineWiringStyle: UnrealEngineDelegate<(A: JavascriptEdGraphPin, B: JavascriptEdGraphPin, Params: JavascriptConnectionParams, Container: JavascriptGraphConnectionDrawingPolicyContainer) => void>;
 	OnComputeSplineTangent: UnrealEngineDelegate<(A: Vector2D, B: Vector2D) => Vector2D>;
@@ -6303,6 +12705,11 @@ declare class JavascriptGraphAssetGraphSchema extends EdGraphSchema {
 	OnEndUserInteraction: UnrealEngineDelegate<(UNode: JavascriptGraphEdNode) => void>;
 	OnCreateOutputSideAddButton: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode) => boolean>;
 	OnAddPinByAddButton: UnrealEngineDelegate<(UNode: JavascriptGraphEdNode) => void>;
+	OnShouldAlwaysPurgeOnModification: UnrealEngineDelegate<() => boolean>;
+	OnDragEnter: UnrealEngineDelegate<(Target: JavascriptGraphEdNode, Capture: JavascriptGraphEdNode, MyGeometry: Geometry) => boolean>;
+	OnDragLeave: UnrealEngineDelegate<(Instance: JavascriptGraphEdNode) => boolean>;
+	OnDragOver: UnrealEngineDelegate<(Target: JavascriptGraphEdNode, Capture: JavascriptGraphEdNode, MyGeometry: Geometry) => boolean>;
+	OnDrop: UnrealEngineDelegate<(Target: JavascriptGraphEdNode, Capture: JavascriptGraphEdNode, MyGeometry: Geometry) => boolean>;
 	static Load(ResourceName: string): JavascriptGraphAssetGraphSchema;
 	static Find(Outer: UObject, ResourceName: string): JavascriptGraphAssetGraphSchema;
 	static GetDefaultObject(): JavascriptGraphAssetGraphSchema;
@@ -6328,8 +12735,10 @@ declare class JavascriptGraphEdGraph extends EdGraph {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptGraphEdGraph;
 	RebuildGenericGraph(): void;
 	static C(Other: UObject | any): JavascriptGraphEdGraph;
-	NodeCreator(): JavascriptNodeCreator;
-	static NodeCreator(Graph: JavascriptGraphEdGraph): JavascriptNodeCreator;
+	CreateEmptyNode(): JavascriptGraphEdNode;
+	NodeCreator(bSelectNewNode: boolean): JavascriptNodeCreator;
+	static CreateEmptyNode(Graph: JavascriptGraphEdGraph): JavascriptGraphEdNode;
+	static NodeCreator(Graph: JavascriptGraphEdGraph,bSelectNewNode: boolean): JavascriptNodeCreator;
 }
 
 declare class JavascriptGraphEditorLibrary extends BlueprintFunctionLibrary { 
@@ -6340,22 +12749,29 @@ declare class JavascriptGraphEditorLibrary extends BlueprintFunctionLibrary {
 	static TryConnection(Schema: EdGraphSchema,A: JavascriptEdGraphPin,B: JavascriptEdGraphPin): void;
 	static SetPinType(Pin: JavascriptEdGraphPin,PinType: EdGraphPinType): void;
 	static SetPinInfo(A: JavascriptEdGraphPin,InPinName: string,InPinToolTip: string): void;
+	static SetPinHidden(A: JavascriptEdGraphPin,bHidden: boolean): void;
+	static SetParentPin(A: JavascriptEdGraphPin,Parent: JavascriptEdGraphPin): void;
 	static SetNodeMetaData(Schema: EdGraphSchema,UNode: EdGraphNode,KeyValue: string): boolean;
 	static ResizeNode(UNode: EdGraphNode,NewSize: Vector2D): void;
 	static RemovePinFromHoverSet(InSlateNode: JavascriptSlateEdNode,Pin: JavascriptEdGraphPin): void;
-	static NodeCreator(Graph: JavascriptGraphEdGraph): JavascriptNodeCreator;
+	static NodeCreator(Graph: JavascriptGraphEdGraph,bSelectNewNode: boolean): JavascriptNodeCreator;
 	static MakeRotatedBox(Container: JavascriptGraphConnectionDrawingPolicyContainer,ArrowDrawPos: Vector2D,AngleInRadians: number,WireColor: LinearColor): void;
 	static MakeLinkTo(A: JavascriptEdGraphPin,B: JavascriptEdGraphPin): void;
 	static IsValid(A: JavascriptEdGraphPin): boolean;
+	static IsPinHidden(A: JavascriptEdGraphPin): boolean;
 	static IsContainedHoveredPins(Container: JavascriptGraphConnectionDrawingPolicyContainer,Pin: JavascriptEdGraphPin): boolean;
+	static GetSubPins(A: JavascriptEdGraphPin): JavascriptEdGraphPin[];
 	static GetPinType(A: JavascriptEdGraphPin): EdGraphPinType;
 	static GetPins(UNode: EdGraphNode): JavascriptEdGraphPin[];
 	static GetPinName(A: JavascriptEdGraphPin): string;
+	static GetPinIndex(A: JavascriptEdGraphPin): number;
 	static GetPinGUID(A: JavascriptEdGraphPin): Guid;
 	static GetPinContainerType(A: JavascriptEdGraphPin): EJavascriptPinContainerType;
+	static GetParentPin(A: JavascriptEdGraphPin): JavascriptEdGraphPin;
 	static GetOwningNode(A: JavascriptEdGraphPin): EdGraphNode;
 	static GetOutputPinWidget(Container: JavascriptDetermineLinkGeometryContainer): JavascriptPinWidget;
 	static GetLinkedTo(A: JavascriptEdGraphPin): JavascriptEdGraphPin[];
+	static GetLinkedPinNum(A: JavascriptEdGraphPin): number;
 	static GetHorveredPinNum(Container: JavascriptGraphConnectionDrawingPolicyContainer): number;
 	static GetDirection(A: JavascriptEdGraphPin): EEdGraphPinDirection;
 	static GetDefaultObject(): JavascriptEdGraphPin;
@@ -6369,6 +12785,7 @@ declare class JavascriptGraphEditorLibrary extends BlueprintFunctionLibrary {
 	static DrawConnection(Container: JavascriptGraphConnectionDrawingPolicyContainer,A: Vector2D,B: Vector2D,Params: JavascriptConnectionParams): void;
 	static DetermineWiringStyle(Container: JavascriptGraphConnectionDrawingPolicyContainer,OutputPin: JavascriptEdGraphPin,InputPin: JavascriptEdGraphPin,Params?: JavascriptConnectionParams): {Params: JavascriptConnectionParams};
 	static DestroyNode(UNode: EdGraphNode): void;
+	static CreateEmptyNode(Graph: JavascriptGraphEdGraph): JavascriptGraphEdNode;
 	static CenterOf(Geom: Geometry): Vector2D;
 	static CanUserDeleteNode(UNode: EdGraphNode): boolean;
 	static CanDuplicateNode(UNode: EdGraphNode): boolean;
@@ -6416,6 +12833,16 @@ declare class JavascriptGraphEditorWidget extends Widget {
 	static C(Other: UObject | any): JavascriptGraphEditorWidget;
 }
 
+declare class JavascriptGraphEdNodeWidget extends Widget { 
+	EdNode: JavascriptGraphEdNode;
+	static Load(ResourceName: string): JavascriptGraphEdNodeWidget;
+	static Find(Outer: UObject, ResourceName: string): JavascriptGraphEdNodeWidget;
+	static GetDefaultObject(): JavascriptGraphEdNodeWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptGraphEdNodeWidget;
+	SetNode(InEdNode: JavascriptGraphEdNode): void;
+	static C(Other: UObject | any): JavascriptGraphEdNodeWidget;
+}
+
 declare class JavascriptGraphPinObject extends Widget { 
 	OnGetGraphPin: UnrealEngineDelegate<() => JavascriptEdGraphPin>;
 	OnGetDefaultValue: UnrealEngineDelegate<() => UObject>;
@@ -6427,6 +12854,29 @@ declare class JavascriptGraphPinObject extends Widget {
 	static C(Other: UObject | any): JavascriptGraphPinObject;
 }
 
+declare class JavascriptTextProperty { 
+	Key: string;
+	Namespace: string;
+	Value: string;
+	TableId: string;
+	clone() : JavascriptTextProperty;
+	static C(Other: UObject | any): JavascriptTextProperty;
+}
+
+declare class JavascriptGraphTextPropertyEditableTextBox extends Widget { 
+	OnGetGraphPin: UnrealEngineDelegate<() => JavascriptEdGraphPin>;
+	OnGetDefaultValue: UnrealEngineDelegate<() => JavascriptTextProperty>;
+	OnTextCommitted: UnrealEngineMulticastDelegate<(TextProperty: JavascriptTextProperty) => void>;
+	WidgetStyle: EditableTextBoxStyle;
+	WrapTextAt: number;
+	AutoWrapText: boolean;
+	static Load(ResourceName: string): JavascriptGraphTextPropertyEditableTextBox;
+	static Find(Outer: UObject, ResourceName: string): JavascriptGraphTextPropertyEditableTextBox;
+	static GetDefaultObject(): JavascriptGraphTextPropertyEditableTextBox;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptGraphTextPropertyEditableTextBox;
+	static C(Other: UObject | any): JavascriptGraphTextPropertyEditableTextBox;
+}
+
 declare type EJavasriptTabActivationCause = 'UserClickedOnTab' | 'SetDirectly' | 'EJavasriptTabActivationCause_MAX';
 declare var EJavasriptTabActivationCause : { UserClickedOnTab:'UserClickedOnTab',SetDirectly:'SetDirectly',EJavasriptTabActivationCause_MAX:'EJavasriptTabActivationCause_MAX', };
 declare class JavascriptWorkspaceItem { 
@@ -6452,6 +12902,7 @@ declare class JavascriptEditorTab extends UObject {
 	static Find(Outer: UObject, ResourceName: string): JavascriptEditorTab;
 	static GetDefaultObject(): JavascriptEditorTab;
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptEditorTab;
+	ForceCommit(): void;
 	Discard(): void;
 	Commit(): void;
 	CloseTab(Widget: Widget): void;
@@ -6531,6 +12982,17 @@ declare class JavascriptCommandlet extends Commandlet {
 	static C(Other: UObject | any): JavascriptCommandlet;
 }
 
+declare class JavascriptCurveTableEditor extends Widget { 
+	static Load(ResourceName: string): JavascriptCurveTableEditor;
+	static Find(Outer: UObject, ResourceName: string): JavascriptCurveTableEditor;
+	static GetDefaultObject(): JavascriptCurveTableEditor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptCurveTableEditor;
+	SetObject(UObject: CurveTable,bForceRefresh: boolean): void;
+	Destruct(): void;
+	Construct(): void;
+	static C(Other: UObject | any): JavascriptCurveTableEditor;
+}
+
 declare class JavascriptEditorEngineLibrary extends BlueprintFunctionLibrary { 
 	static Load(ResourceName: string): JavascriptEditorEngineLibrary;
 	static Find(Outer: UObject, ResourceName: string): JavascriptEditorEngineLibrary;
@@ -6671,6 +13133,15 @@ declare class JavascriptEditorInputProcessor extends UObject {
 	static C(Other: UObject | any): JavascriptEditorInputProcessor;
 }
 
+declare class JavascriptLazyExtenderDelegates extends UObject { 
+	GetExtender: UnrealEngineDelegate<(List: JavascriptUICommandList, EditingObjects: UObject[]) => JavascriptExtender>;
+	static Load(ResourceName: string): JavascriptLazyExtenderDelegates;
+	static Find(Outer: UObject, ResourceName: string): JavascriptLazyExtenderDelegates;
+	static GetDefaultObject(): JavascriptLazyExtenderDelegates;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptLazyExtenderDelegates;
+	static C(Other: UObject | any): JavascriptLazyExtenderDelegates;
+}
+
 declare type EJavascriptRHIFeatureLevel = 'ES2' | 'ES3_1' | 'SM4' | 'SM5' | 'Num' | 'EJavascriptRHIFeatureLevel_MAX';
 declare var EJavascriptRHIFeatureLevel : { ES2:'ES2',ES3_1:'ES3_1',SM4:'SM4',SM5:'SM5',Num:'Num',EJavascriptRHIFeatureLevel_MAX:'EJavascriptRHIFeatureLevel_MAX', };
 declare class JavascriptPDI { 
@@ -6724,8 +13195,12 @@ declare class JavascriptExtensibilityManager {
 	clone() : JavascriptExtensibilityManager;
 	static C(Other: UObject | any): JavascriptExtensibilityManager;
 	AddExtender(Extender: JavascriptExtender): void;
+	AddLazyExtender(Delegates: JavascriptLazyExtenderDelegates): void;
+	RemoveAllLazyExtender(): void;
 	RemoveExtender(Extender: JavascriptExtender): void;
 	static AddExtender(Manager: JavascriptExtensibilityManager,Extender: JavascriptExtender): void;
+	static AddLazyExtender(Manager: JavascriptExtensibilityManager,Delegates: JavascriptLazyExtenderDelegates): void;
+	static RemoveAllLazyExtender(Manager: JavascriptExtensibilityManager): void;
 	static RemoveExtender(Manager: JavascriptExtensibilityManager,Extender: JavascriptExtender): void;
 	static GetMenuExtensibilityManager(What: string): JavascriptExtensibilityManager;
 	static GetToolBarExtensibilityManager(What: string): JavascriptExtensibilityManager;
@@ -6780,12 +13255,22 @@ declare class JavascriptEditorLibrary extends BlueprintFunctionLibrary {
 	static Select(USelection: USelection,InObject: UObject): void;
 	static SavePackage(Package: Package,Filename: string): boolean;
 	static RequestEndPlayMapInPIE(): void;
+	static ReplaceAnimNotifyClass(Sequence: AnimSequenceBase,NotifyName: string,NewNotifyName: string,NewNotifyClass: UObject): number;
 	static RemoveLevelInstance(World: World): void;
 	static RemoveExtender(Manager: JavascriptExtensibilityManager,Extender: JavascriptExtender): void;
+	static RemoveComponentFromBlueprint(Blueprint: Blueprint,RemoveComponent: ActorComponent,bPromoteChildren: boolean): void;
+	static RemoveAllLazyExtender(Manager: JavascriptExtensibilityManager): void;
 	static PostEditChange(InObject: UObject): void;
 	static OpenPopupWindow(Widget: Widget,PopupDesiredSize: Vector2D,HeadingText: string): void;
+	static OpenFileDialog(WindowHandle: JavascriptWindow,DialogTitle: string,DefaultPath: string,DefaultFile: string,FileTypes: string,Flags: number,OutFilenames?: string[]): {OutFilenames: string[], $: boolean};
+	static OpenEditorForAssetByPath(AssetPathName: string,ObjectName: string): void;
+	static OpenEditorForAsset(Asset: UObject): boolean;
+	static NotifyUpdateCurveTable(InCurveTable: CurveTable): void;
 	static ModifyObject(UObject: UObject,bAlwaysMarkDirty: boolean): void;
 	static MarkPackageDirty(InObject: UObject): boolean;
+	static LoadImageFromDiskAsync(ImagePath: string,Callback: AsyncTaskDownloadImage): boolean;
+	static LoadFileToString(Path: string,Data?: string): {Data: string, $: boolean};
+	static LoadFileToIntArray(Path: string,FileData?: number[]): {FileData: number[], $: boolean};
 	static IsShiftDown(Click: JavascriptViewportClick): boolean;
 	static IsControlDown(Click: JavascriptViewportClick): boolean;
 	static IsAssetLoaded(AssetData: JavascriptAssetData): boolean;
@@ -6801,6 +13286,7 @@ declare class JavascriptEditorLibrary extends BlueprintFunctionLibrary {
 	static GetRootWindow(): JavascriptSlateWidget;
 	static GetQueueLength(Transactor: Transactor): number;
 	static GetPrimaryObject(Transaction: JavascriptTransaction): UObject;
+	static GetParentClassOfBlueprint(Blueprint: Blueprint): UnrealEngineClass;
 	static GetPackage(AssetData: JavascriptAssetData): Package;
 	static GetOrigin(Click: JavascriptViewportClick): Vector;
 	static GetName(Proxy: JavascriptHitProxy): string;
@@ -6809,6 +13295,7 @@ declare class JavascriptEditorLibrary extends BlueprintFunctionLibrary {
 	static GetLayerInfoByName(LandscapeInfo: LandscapeInfo,LayerName: string,Owner: LandscapeProxy): LandscapeLayerInfoObject;
 	static GetLandscapeInfo(Landscape: Landscape,bSpawnNewActor: boolean): LandscapeInfo;
 	static GetLandscapeExtent(LandscapeInfo: LandscapeInfo,MinX?: number,MinY?: number,MaxX?: number,MaxY?: number): {MinX: number, MinY: number, MaxX: number, MaxY: number, $: boolean};
+	static GetKeyNameByKeyEvent(Event: KeyEvent): string;
 	static GetKey(Click: JavascriptViewportClick): Key;
 	static GetHeightmapDataToMemory(LandscapeInfo: LandscapeInfo,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
 	static GetGroup(Name: string): JavascriptWorkspaceItem;
@@ -6817,9 +13304,11 @@ declare class JavascriptEditorLibrary extends BlueprintFunctionLibrary {
 	static GetEngine(): EditorEngine;
 	static GetDirection(Click: JavascriptViewportClick): Vector;
 	static GetDefaultBrush(World: World): Brush;
+	static GetDataTableAsJSON(InDataTable: DataTable,InDTExportFlags: number): string;
 	static GetContext(Transaction: JavascriptTransaction): string;
 	static GetClickPos(Click: JavascriptViewportClick): IntPoint;
 	static GetClass(AssetData: JavascriptAssetData): UnrealEngineClass;
+	static GetAssetsByType(Types: string[],bRecursiveClasses: boolean): AssetData[];
 	static GetAsset(AssetData: JavascriptAssetData): UObject;
 	static GetAlphamapDataToMemory(LandscapeInfo: LandscapeInfo,LayerInfo: LandscapeLayerInfoObject,MinX: number,MinY: number,MaxX: number,MaxY: number): void;
 	static GetAllTags(AssetData: JavascriptAssetData,OutArray?: string[]): {OutArray: string[]};
@@ -6857,14 +13346,18 @@ declare class JavascriptEditorLibrary extends BlueprintFunctionLibrary {
 	static CreateLogListingWidget(InLogName: string): JavascriptSlateWidget;
 	static CreateLogListing(InLogName: string,InLabel: string): void;
 	static CreateBrushForVolumeActor(NewActor: Volume,BrushBuilder: BrushBuilder): void;
+	static CompileBlueprint(Blueprint: Blueprint): void;
 	static ClearActorLabel(Actor: Actor): void;
 	static Build(Builder: BrushBuilder,InWorld: World,InBrush: Brush): boolean;
 	static BroadcastHotReload(): void;
 	static BroadcastAssetCreated(NewAsset: UObject): void;
 	static AddWhitelistedObject(InObject: UObject): void;
+	static AddRichCurve(InCurveTable: CurveTable,Key: string,InCurve: RichCurve): void;
 	static AddLogListingMessage(InLogName: string,InSeverity: EJavascriptMessageSeverity,LogText: string): void;
+	static AddLazyExtender(Manager: JavascriptExtensibilityManager,Delegates: JavascriptLazyExtenderDelegates): void;
 	static AddGroup(Parent: JavascriptWorkspaceItem,DisplayName: string): JavascriptWorkspaceItem;
 	static AddExtender(Manager: JavascriptExtensibilityManager,Extender: JavascriptExtender): void;
+	static AddComponentsToBlueprint(Blueprint: Blueprint,Components: ActorComponent[],bHarvesting: boolean,OptionalNewRootComponent: ActorComponent,bKeepMobility: boolean): void;
 	static C(Other: UObject | any): JavascriptEditorLibrary;
 }
 
@@ -6987,11 +13480,19 @@ declare class JavascriptEditorViewport extends PanelWidget {
 	ProjectWorldToScreen(WorldPosition: Vector,OutScreenPosition?: Vector2D): {OutScreenPosition: Vector2D};
 	OverridePostProcessSettings(PostProcessSettings: PostProcessSettings,Weight: number): void;
 	GetWidgetMode(): EJavascriptWidgetMode;
+	GetViewRotation(): Rotator;
 	GetViewportWorld(): World;
+	GetViewLocation(): Vector;
 	GetViewFOV(): number;
 	GetSkyComponent(): StaticMeshComponent;
 	GetFloorMeshComponent(): StaticMeshComponent;
 	GetEngineShowFlags(): string;
+	GetDefaultSphereReflectionComponent(): SphereReflectionCaptureComponent;
+	GetDefaultSkySphereComponent(): StaticMeshComponent;
+	GetDefaultSkyLightComponent(): SkyLightComponent;
+	GetDefaultPostProcessComponent(): PostProcessComponent;
+	GetDefaultInstancedSkyMaterial(): MaterialInstanceConstant;
+	GetDefaultDirectionalLightComponent(): DirectionalLightComponent;
 	GetDefaultAssetViewerSettings(): AssetViewerSettings;
 	GetCurrentProfileIndex(): number;
 	GetCameraSpeedSetting(): number;
@@ -7184,6 +13685,8 @@ declare class JavascriptPropertyHandle {
 	GetMetaData(Key: string): string;
 	GetProperty(): Property;
 	GetValueAsFormattedString(OutValue?: string): {OutValue: string, $: EPropertyAccessResult};
+	IsEditConst(): boolean;
+	IsValidHandle(): boolean;
 	SetOnPropertyValueChanged(Custom: JavascriptPropertyCustomization): void;
 	SetValueFromFormattedString(InValue: string): EPropertyAccessResult;
 	static CreatePropertyNameWidget(Handle: JavascriptPropertyHandle,NameOverride: string,ToolTipOverride: string,bDisplayResetToDefault: boolean,bHideText: boolean,bHideThumbnail: boolean): JavascriptSlateWidget;
@@ -7192,6 +13695,8 @@ declare class JavascriptPropertyHandle {
 	static GetMetaData(Handle: JavascriptPropertyHandle,Key: string): string;
 	static GetProperty(Handle: JavascriptPropertyHandle): Property;
 	static GetValueAsFormattedString(Handle: JavascriptPropertyHandle,OutValue?: string): {OutValue: string, $: EPropertyAccessResult};
+	static IsEditConst(Handle: JavascriptPropertyHandle): boolean;
+	static IsValidHandle(Handle: JavascriptPropertyHandle): boolean;
 	static SetOnPropertyValueChanged(Handle: JavascriptPropertyHandle,Custom: JavascriptPropertyCustomization): void;
 	static SetValueFromFormattedString(Handle: JavascriptPropertyHandle,InValue: string): EPropertyAccessResult;
 }
@@ -7227,12 +13732,25 @@ declare class JavascriptDetailWidgetRow {
 declare class JavascriptPropertyTypeCustomizationUtils { 
 	clone() : JavascriptPropertyTypeCustomizationUtils;
 	static C(Other: UObject | any): JavascriptPropertyTypeCustomizationUtils;
+	RequestRefresh(bForce: boolean): void;
+	static RequestRefresh(CustomizationUtils: JavascriptPropertyTypeCustomizationUtils,bForce: boolean): void;
+}
+
+declare class JavascriptSimpleGetBoolDelegateWrapper extends UObject { 
+	delegate: UnrealEngineDelegate<() => boolean>;
+	static Load(ResourceName: string): JavascriptSimpleGetBoolDelegateWrapper;
+	static Find(Outer: UObject, ResourceName: string): JavascriptSimpleGetBoolDelegateWrapper;
+	static GetDefaultObject(): JavascriptSimpleGetBoolDelegateWrapper;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): JavascriptSimpleGetBoolDelegateWrapper;
+	static C(Other: UObject | any): JavascriptSimpleGetBoolDelegateWrapper;
 }
 
 declare class JavascriptDetailPropertyRow { 
 	clone() : JavascriptDetailPropertyRow;
 	static C(Other: UObject | any): JavascriptDetailPropertyRow;
+	BindVisibility(Wrapper: JavascriptSimpleGetBoolDelegateWrapper): void;
 	CustomWidget(bShowChildren: boolean): JavascriptDetailWidgetRow;
+	static BindVisibility(Row: JavascriptDetailPropertyRow,Wrapper: JavascriptSimpleGetBoolDelegateWrapper): void;
 	static CustomWidget(Row: JavascriptDetailPropertyRow,bShowChildren: boolean): JavascriptDetailWidgetRow;
 }
 
@@ -7241,9 +13759,13 @@ declare class JavascriptDetailChildrenBuilder {
 	static C(Other: UObject | any): JavascriptDetailChildrenBuilder;
 	AddChildContent(SearchString: string): JavascriptDetailWidgetRow;
 	AddChildProperty(PropertyHandle: JavascriptPropertyHandle): JavascriptDetailPropertyRow;
+	AddExternalObjectProperty(Objects?: UObject[],PropertyName?: string,UniqueIdName?: string,bAllowChildrenOverride?: boolean,bCreateCategoryNodesOverride?: boolean): {Objects: UObject[], $: JavascriptDetailPropertyRow};
+	AddExternalObjects(Objects?: UObject[],UniqueIdName?: string): {Objects: UObject[], $: JavascriptDetailPropertyRow};
 	GenerateStructValueWidget(StructPropertyHandle: JavascriptPropertyHandle): JavascriptSlateWidget;
 	static AddChildContent(ChildBuilder: JavascriptDetailChildrenBuilder,SearchString: string): JavascriptDetailWidgetRow;
 	static AddChildProperty(ChildBuilder: JavascriptDetailChildrenBuilder,PropertyHandle: JavascriptPropertyHandle): JavascriptDetailPropertyRow;
+	static AddExternalObjectProperty(ChildBuilder: JavascriptDetailChildrenBuilder,Objects?: UObject[],PropertyName?: string,UniqueIdName?: string,bAllowChildrenOverride?: boolean,bCreateCategoryNodesOverride?: boolean): {Objects: UObject[], $: JavascriptDetailPropertyRow};
+	static AddExternalObjects(ChildBuilder: JavascriptDetailChildrenBuilder,Objects?: UObject[],UniqueIdName?: string): {Objects: UObject[], $: JavascriptDetailPropertyRow};
 	static GenerateStructValueWidget(ChildBuilder: JavascriptDetailChildrenBuilder,StructPropertyHandle: JavascriptPropertyHandle): JavascriptSlateWidget;
 }
 
@@ -7277,7 +13799,10 @@ declare class JavascriptPropertyCustomizationLibrary extends BlueprintFunctionLi
 	static SetHAlign(Decl: JavascriptDetailWidgetDecl,InAlignment: EHorizontalAlignment): void;
 	static SetFilterString(Row: JavascriptDetailWidgetRow,InFilterString: string): void;
 	static SetContent(Decl: JavascriptDetailWidgetDecl,Widget: JavascriptSlateWidget): void;
+	static RequestRefresh(CustomizationUtils: JavascriptPropertyTypeCustomizationUtils,bForce: boolean): void;
 	static NameContent(Row: JavascriptDetailWidgetRow): JavascriptDetailWidgetDecl;
+	static IsValidHandle(Handle: JavascriptPropertyHandle): boolean;
+	static IsEditConst(Handle: JavascriptPropertyHandle): boolean;
 	static GetValueAsFormattedString(Handle: JavascriptPropertyHandle,OutValue?: string): {OutValue: string, $: EPropertyAccessResult};
 	static GetProperty(Handle: JavascriptPropertyHandle): Property;
 	static GetMetaData(Handle: JavascriptPropertyHandle,Key: string): string;
@@ -7286,6 +13811,9 @@ declare class JavascriptPropertyCustomizationLibrary extends BlueprintFunctionLi
 	static CustomWidget(Row: JavascriptDetailPropertyRow,bShowChildren: boolean): JavascriptDetailWidgetRow;
 	static CreatePropertyValueWidget(Handle: JavascriptPropertyHandle,bHideDefaultPropertyButtons: boolean): JavascriptSlateWidget;
 	static CreatePropertyNameWidget(Handle: JavascriptPropertyHandle,NameOverride: string,ToolTipOverride: string,bDisplayResetToDefault: boolean,bHideText: boolean,bHideThumbnail: boolean): JavascriptSlateWidget;
+	static BindVisibility(Row: JavascriptDetailPropertyRow,Wrapper: JavascriptSimpleGetBoolDelegateWrapper): void;
+	static AddExternalObjects(ChildBuilder: JavascriptDetailChildrenBuilder,Objects?: UObject[],UniqueIdName?: string): {Objects: UObject[], $: JavascriptDetailPropertyRow};
+	static AddExternalObjectProperty(ChildBuilder: JavascriptDetailChildrenBuilder,Objects?: UObject[],PropertyName?: string,UniqueIdName?: string,bAllowChildrenOverride?: boolean,bCreateCategoryNodesOverride?: boolean): {Objects: UObject[], $: JavascriptDetailPropertyRow};
 	static AddChildProperty(ChildBuilder: JavascriptDetailChildrenBuilder,PropertyHandle: JavascriptPropertyHandle): JavascriptDetailPropertyRow;
 	static AddChildContent(ChildBuilder: JavascriptDetailChildrenBuilder,SearchString: string): JavascriptDetailWidgetRow;
 	static C(Other: UObject | any): JavascriptPropertyCustomizationLibrary;
@@ -7340,11 +13868,13 @@ declare class JavascriptScrubControlPanel extends Widget {
 declare type EPropertyEditorNameAreaSettings = 'HideNameArea' | 'ObjectsUseNameArea' | 'ActorsUseNameArea' | 'ComponentsAndActorsUseNameArea' | 'EPropertyEditorNameAreaSettings_MAX';
 declare var EPropertyEditorNameAreaSettings : { HideNameArea:'HideNameArea',ObjectsUseNameArea:'ObjectsUseNameArea',ActorsUseNameArea:'ActorsUseNameArea',ComponentsAndActorsUseNameArea:'ComponentsAndActorsUseNameArea',EPropertyEditorNameAreaSettings_MAX:'EPropertyEditorNameAreaSettings_MAX', };
 declare class PropertyEditor extends Widget { 
-	OnChange: UnrealEngineMulticastDelegate<(ParameterName: string) => void>;
+	OnChange: UnrealEngineMulticastDelegate<(PropertyName: string, MemberPropertyName: string) => void>;
 	bUpdateFromSelection: boolean;
 	bLockable: boolean;
 	bAllowSearch: boolean;
 	bHideSelectionTip: boolean;
+	bReadOnly: boolean;
+	bEnablePropertyPath: boolean;
 	NameAreaSettings: EPropertyEditorNameAreaSettings;
 	static Load(ResourceName: string): PropertyEditor;
 	static Find(Outer: UObject, ResourceName: string): PropertyEditor;
@@ -7352,9 +13882,1093 @@ declare class PropertyEditor extends Widget {
 	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PropertyEditor;
 	SetObjects(Objects: UObject[],bForceRefresh: boolean,bOverrideLock: boolean): void;
 	SetObject(UObject: UObject,bForceRefresh: boolean): void;
+	IsPropertyVisible(PropertName: string,ParentPropertyName: string,PropertyPaths: string[]): boolean;
+	IsPropertyReadOnly(PropertyName: string,ParentPropertyName: string,PropertyPaths: string[]): boolean;
+	Destruct(): void;
+	Construct(): void;
 	static C(Other: UObject | any): PropertyEditor;
 }
 
+declare class MockAI extends UObject { 
+	BBComp: BlackboardComponent;
+	BrainComp: BrainComponent;
+	PerceptionComp: AIPerceptionComponent;
+	PawnActionComp: PawnActionsComponent;
+	static Load(ResourceName: string): MockAI;
+	static Find(Outer: UObject, ResourceName: string): MockAI;
+	static GetDefaultObject(): MockAI;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockAI;
+	static C(Other: UObject | any): MockAI;
+}
+
+declare class MockAI_BT extends MockAI { 
+	BTComp: BehaviorTreeComponent;
+	static Load(ResourceName: string): MockAI_BT;
+	static Find(Outer: UObject, ResourceName: string): MockAI_BT;
+	static GetDefaultObject(): MockAI_BT;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockAI_BT;
+	static C(Other: UObject | any): MockAI_BT;
+}
+
+declare class MockTask_Log extends GameplayTask { 
+	static Load(ResourceName: string): MockTask_Log;
+	static Find(Outer: UObject, ResourceName: string): MockTask_Log;
+	static GetDefaultObject(): MockTask_Log;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockTask_Log;
+	static C(Other: UObject | any): MockTask_Log;
+}
+
+declare class MockGameplayTasksComponent extends GameplayTasksComponent { 
+	static Load(ResourceName: string): MockGameplayTasksComponent;
+	static Find(Outer: UObject, ResourceName: string): MockGameplayTasksComponent;
+	static GetDefaultObject(): MockGameplayTasksComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockGameplayTasksComponent;
+	static C(Other: UObject | any): MockGameplayTasksComponent;
+}
+
+declare class MockGameplayTaskOwner extends UObject { 
+	GTComponent: GameplayTasksComponent;
+	static Load(ResourceName: string): MockGameplayTaskOwner;
+	static Find(Outer: UObject, ResourceName: string): MockGameplayTaskOwner;
+	static GetDefaultObject(): MockGameplayTaskOwner;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MockGameplayTaskOwner;
+	static C(Other: UObject | any): MockGameplayTaskOwner;
+}
+
+declare class TestBTDecorator_CantExecute extends BTDecorator { 
+	static Load(ResourceName: string): TestBTDecorator_CantExecute;
+	static Find(Outer: UObject, ResourceName: string): TestBTDecorator_CantExecute;
+	static GetDefaultObject(): TestBTDecorator_CantExecute;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTDecorator_CantExecute;
+	static C(Other: UObject | any): TestBTDecorator_CantExecute;
+}
+
+declare class TestBTDecorator_DelayedAbort extends BTDecorator { 
+	DelayTicks: number;
+	bOnlyOnce: boolean;
+	static Load(ResourceName: string): TestBTDecorator_DelayedAbort;
+	static Find(Outer: UObject, ResourceName: string): TestBTDecorator_DelayedAbort;
+	static GetDefaultObject(): TestBTDecorator_DelayedAbort;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTDecorator_DelayedAbort;
+	static C(Other: UObject | any): TestBTDecorator_DelayedAbort;
+}
+
+declare class TestBTService_Log extends BTService { 
+	LogActivation: number;
+	LogDeactivation: number;
+	static Load(ResourceName: string): TestBTService_Log;
+	static Find(Outer: UObject, ResourceName: string): TestBTService_Log;
+	static GetDefaultObject(): TestBTService_Log;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTService_Log;
+	static C(Other: UObject | any): TestBTService_Log;
+}
+
+declare class TestBTTask_LatentWithFlags extends BTTaskNode { 
+	LogIndexExecuteStart: number;
+	LogIndexExecuteFinish: number;
+	LogIndexAbortStart: number;
+	LogIndexAbortFinish: number;
+	ExecuteTicks: number;
+	AbortTicks: number;
+	KeyNameExecute: string;
+	KeyNameAbort: string;
+	LogResult: EBTNodeResult;
+	static Load(ResourceName: string): TestBTTask_LatentWithFlags;
+	static Find(Outer: UObject, ResourceName: string): TestBTTask_LatentWithFlags;
+	static GetDefaultObject(): TestBTTask_LatentWithFlags;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTTask_LatentWithFlags;
+	static C(Other: UObject | any): TestBTTask_LatentWithFlags;
+}
+
+declare class TestBTTask_Log extends BTTaskNode { 
+	LogIndex: number;
+	LogFinished: number;
+	ExecutionTicks: number;
+	LogResult: EBTNodeResult;
+	static Load(ResourceName: string): TestBTTask_Log;
+	static Find(Outer: UObject, ResourceName: string): TestBTTask_Log;
+	static GetDefaultObject(): TestBTTask_Log;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTTask_Log;
+	static C(Other: UObject | any): TestBTTask_Log;
+}
+
+declare class TestBTTask_SetFlag extends BTTaskNode { 
+	KeyName: string;
+	bValue: boolean;
+	TaskResult: EBTNodeResult;
+	static Load(ResourceName: string): TestBTTask_SetFlag;
+	static Find(Outer: UObject, ResourceName: string): TestBTTask_SetFlag;
+	static GetDefaultObject(): TestBTTask_SetFlag;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTTask_SetFlag;
+	static C(Other: UObject | any): TestBTTask_SetFlag;
+}
+
+declare class TestBTTask_SetValue extends BTTaskNode { 
+	KeyName: string;
+	Value: number;
+	TaskResult: EBTNodeResult;
+	static Load(ResourceName: string): TestBTTask_SetValue;
+	static Find(Outer: UObject, ResourceName: string): TestBTTask_SetValue;
+	static GetDefaultObject(): TestBTTask_SetValue;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestBTTask_SetValue;
+	static C(Other: UObject | any): TestBTTask_SetValue;
+}
+
+declare class TestPawnAction_Log extends PawnAction { 
+	static Load(ResourceName: string): TestPawnAction_Log;
+	static Find(Outer: UObject, ResourceName: string): TestPawnAction_Log;
+	static GetDefaultObject(): TestPawnAction_Log;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestPawnAction_Log;
+	static C(Other: UObject | any): TestPawnAction_Log;
+}
+
+declare class TestPawnAction_CallFunction extends TestPawnAction_Log { 
+	static Load(ResourceName: string): TestPawnAction_CallFunction;
+	static Find(Outer: UObject, ResourceName: string): TestPawnAction_CallFunction;
+	static GetDefaultObject(): TestPawnAction_CallFunction;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TestPawnAction_CallFunction;
+	static C(Other: UObject | any): TestPawnAction_CallFunction;
+}
+
+declare type ELiveCodingStartupMode = 'Automatic' | 'AutomaticButHidden' | 'Manual' | 'ELiveCodingStartupMode_MAX';
+declare var ELiveCodingStartupMode : { Automatic:'Automatic',AutomaticButHidden:'AutomaticButHidden',Manual:'Manual',ELiveCodingStartupMode_MAX:'ELiveCodingStartupMode_MAX', };
+declare class LiveCodingSettings extends UObject { 
+	bEnabled: boolean;
+	Startup: ELiveCodingStartupMode;
+	bPreloadEngineModules: boolean;
+	bPreloadEnginePluginModules: boolean;
+	bPreloadProjectModules: boolean;
+	bPreloadProjectPluginModules: boolean;
+	PreloadNamedModules: string[];
+	static Load(ResourceName: string): LiveCodingSettings;
+	static Find(Outer: UObject, ResourceName: string): LiveCodingSettings;
+	static GetDefaultObject(): LiveCodingSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LiveCodingSettings;
+	static C(Other: UObject | any): LiveCodingSettings;
+}
+
+declare type EPinnedCommandListType = 'Command' | 'CustomWidget' | 'EPinnedCommandListType_MAX';
+declare var EPinnedCommandListType : { Command:'Command',CustomWidget:'CustomWidget',EPinnedCommandListType_MAX:'EPinnedCommandListType_MAX', };
+declare class PinnedCommandListCommand { 
+	Name: string;
+	Binding: string;
+	Type: EPinnedCommandListType;
+	clone() : PinnedCommandListCommand;
+	static C(Other: UObject | any): PinnedCommandListCommand;
+}
+
+declare class PinnedCommandListContext { 
+	Name: string;
+	Commands: PinnedCommandListCommand[];
+	clone() : PinnedCommandListContext;
+	static C(Other: UObject | any): PinnedCommandListContext;
+}
+
+declare class PinnedCommandListSettings extends UObject { 
+	Contexts: PinnedCommandListContext[];
+	static Load(ResourceName: string): PinnedCommandListSettings;
+	static Find(Outer: UObject, ResourceName: string): PinnedCommandListSettings;
+	static GetDefaultObject(): PinnedCommandListSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PinnedCommandListSettings;
+	static C(Other: UObject | any): PinnedCommandListSettings;
+}
+
+declare class AnimationEditorPreviewActor extends Actor { 
+	static GetDefaultObject(): AnimationEditorPreviewActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AnimationEditorPreviewActor;
+	static C(Other: UObject | any): AnimationEditorPreviewActor;
+}
+
+declare class PersonaPreviewSceneController extends UObject { 
+	static Load(ResourceName: string): PersonaPreviewSceneController;
+	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneController;
+	static GetDefaultObject(): PersonaPreviewSceneController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneController;
+	static C(Other: UObject | any): PersonaPreviewSceneController;
+}
+
+declare class PersonaPreviewSceneAnimationController extends PersonaPreviewSceneController { 
+	Animation: AnimationAsset;
+	static Load(ResourceName: string): PersonaPreviewSceneAnimationController;
+	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneAnimationController;
+	static GetDefaultObject(): PersonaPreviewSceneAnimationController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneAnimationController;
+	static C(Other: UObject | any): PersonaPreviewSceneAnimationController;
+}
+
+declare class PersonaPreviewSceneDefaultController extends PersonaPreviewSceneController { 
+	static Load(ResourceName: string): PersonaPreviewSceneDefaultController;
+	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneDefaultController;
+	static GetDefaultObject(): PersonaPreviewSceneDefaultController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneDefaultController;
+	static C(Other: UObject | any): PersonaPreviewSceneDefaultController;
+}
+
+declare class PersonaPreviewSceneDescription extends UObject { 
+	PreviewController: UnrealEngineClass;
+	PreviewControllerInstance: PersonaPreviewSceneController;
+	PreviewControllerInstances: PersonaPreviewSceneController[];
+	PreviewMesh: SkeletalMesh;
+	AdditionalMeshes: DataAsset;
+	DefaultAdditionalMeshes: PreviewMeshCollection;
+	static Load(ResourceName: string): PersonaPreviewSceneDescription;
+	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneDescription;
+	static GetDefaultObject(): PersonaPreviewSceneDescription;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneDescription;
+	static C(Other: UObject | any): PersonaPreviewSceneDescription;
+}
+
+declare class PersonaPreviewSceneRefPoseController extends PersonaPreviewSceneController { 
+	bResetBoneTransforms: boolean;
+	static Load(ResourceName: string): PersonaPreviewSceneRefPoseController;
+	static Find(Outer: UObject, ResourceName: string): PersonaPreviewSceneRefPoseController;
+	static GetDefaultObject(): PersonaPreviewSceneRefPoseController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PersonaPreviewSceneRefPoseController;
+	static C(Other: UObject | any): PersonaPreviewSceneRefPoseController;
+}
+
+declare class GlobalEditorUtilityBase extends UObject { 
+	HelpText: string;
+	bDirtiedSelectionSet: boolean;
+	bAutoRunDefaultAction: boolean;
+	OnEachSelectedActor: UnrealEngineMulticastDelegate<(Actor: Actor, index: number) => void>;
+	OnEachSelectedAsset: UnrealEngineMulticastDelegate<(Asset: UObject, index: number) => void>;
+	static Load(ResourceName: string): GlobalEditorUtilityBase;
+	static Find(Outer: UObject, ResourceName: string): GlobalEditorUtilityBase;
+	static GetDefaultObject(): GlobalEditorUtilityBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): GlobalEditorUtilityBase;
+	SetActorSelectionState(Actor: Actor,bShouldBeSelected: boolean): void;
+	SelectNothing(): void;
+	RenameAsset(Asset: UObject,NewName: string): void;
+	OnDefaultActionClicked(): void;
+	GetSelectionSet(): Actor[];
+	GetSelectionBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
+	GetSelectedAssets(): UObject[];
+	GetEditorUserSettings(): EditorPerProjectUserSettings;
+	GetActorReference(PathToActor: string): Actor;
+	ForEachSelectedAsset(): void;
+	ForEachSelectedActor(): void;
+	ClearActorSelectionSet(): void;
+	static C(Other: UObject | any): GlobalEditorUtilityBase;
+}
+
+declare class ActorActionUtility extends GlobalEditorUtilityBase { 
+	static Load(ResourceName: string): ActorActionUtility;
+	static Find(Outer: UObject, ResourceName: string): ActorActionUtility;
+	static GetDefaultObject(): ActorActionUtility;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ActorActionUtility;
+	GetSupportedClass(): UnrealEngineClass;
+	static C(Other: UObject | any): ActorActionUtility;
+}
+
+declare class AssetActionUtility extends GlobalEditorUtilityBase { 
+	static Load(ResourceName: string): AssetActionUtility;
+	static Find(Outer: UObject, ResourceName: string): AssetActionUtility;
+	static GetDefaultObject(): AssetActionUtility;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AssetActionUtility;
+	GetSupportedClass(): UnrealEngineClass;
+	static C(Other: UObject | any): AssetActionUtility;
+}
+
+declare class EditorAutomationActor extends Actor { 
+	static GetDefaultObject(): EditorAutomationActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAutomationActor;
+	static C(Other: UObject | any): EditorAutomationActor;
+}
+
+declare class EditorAutomationActorComponent extends ActorComponent { 
+	static Load(ResourceName: string): EditorAutomationActorComponent;
+	static Find(Outer: UObject, ResourceName: string): EditorAutomationActorComponent;
+	static GetDefaultObject(): EditorAutomationActorComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAutomationActorComponent;
+	static C(Other: UObject | any): EditorAutomationActorComponent;
+}
+
+declare class EditorAutomationObject extends UObject { 
+	static Load(ResourceName: string): EditorAutomationObject;
+	static Find(Outer: UObject, ResourceName: string): EditorAutomationObject;
+	static GetDefaultObject(): EditorAutomationObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorAutomationObject;
+	static C(Other: UObject | any): EditorAutomationObject;
+}
+
+declare class EditorUtilityBlueprint extends Blueprint { 
+	static Load(ResourceName: string): EditorUtilityBlueprint;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityBlueprint;
+	static GetDefaultObject(): EditorUtilityBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityBlueprint;
+	static C(Other: UObject | any): EditorUtilityBlueprint;
+}
+
+declare class EditorUtilityBlueprintFactory extends Factory { 
+	ParentClass: UnrealEngineClass;
+	static Load(ResourceName: string): EditorUtilityBlueprintFactory;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityBlueprintFactory;
+	static GetDefaultObject(): EditorUtilityBlueprintFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityBlueprintFactory;
+	static C(Other: UObject | any): EditorUtilityBlueprintFactory;
+}
+
+declare class EditorUtilityContext extends UObject { 
+	LoadedUIs: SoftObjectPath[];
+	static Load(ResourceName: string): EditorUtilityContext;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityContext;
+	static GetDefaultObject(): EditorUtilityContext;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityContext;
+	static C(Other: UObject | any): EditorUtilityContext;
+}
+
+declare class EditorUtilityLibrary extends BlueprintFunctionLibrary { 
+	static Load(ResourceName: string): EditorUtilityLibrary;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityLibrary;
+	static GetDefaultObject(): EditorUtilityLibrary;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityLibrary;
+	static RenameAsset(Asset: UObject,NewName: string): void;
+	static GetSelectionSet(): Actor[];
+	static GetSelectionBounds(Origin?: Vector,BoxExtent?: Vector,SphereRadius?: number): {Origin: Vector, BoxExtent: Vector, SphereRadius: number};
+	static GetSelectedAssets(): UObject[];
+	GetActorReference(PathToActor: string): Actor;
+	static C(Other: UObject | any): EditorUtilityLibrary;
+}
+
+declare class EditorUtilityWidget extends UserWidget { 
+	HelpText: string;
+	bAlwaysReregisterWithWindowsMenu: boolean;
+	bAutoRunDefaultAction: boolean;
+	static Load(ResourceName: string): EditorUtilityWidget;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityWidget;
+	static GetDefaultObject(): EditorUtilityWidget;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityWidget;
+	OnDefaultActionClicked(): void;
+	static C(Other: UObject | any): EditorUtilityWidget;
+}
+
+declare class EditorUtilityWidgetBlueprint extends WidgetBlueprint { 
+	static Load(ResourceName: string): EditorUtilityWidgetBlueprint;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityWidgetBlueprint;
+	static GetDefaultObject(): EditorUtilityWidgetBlueprint;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityWidgetBlueprint;
+	static C(Other: UObject | any): EditorUtilityWidgetBlueprint;
+}
+
+declare class EditorUtilityWidgetBlueprintFactory extends Factory { 
+	BlueprintType: EBlueprintType;
+	ParentClass: UnrealEngineClass;
+	static Load(ResourceName: string): EditorUtilityWidgetBlueprintFactory;
+	static Find(Outer: UObject, ResourceName: string): EditorUtilityWidgetBlueprintFactory;
+	static GetDefaultObject(): EditorUtilityWidgetBlueprintFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorUtilityWidgetBlueprintFactory;
+	static C(Other: UObject | any): EditorUtilityWidgetBlueprintFactory;
+}
+
+declare class PlacedEditorUtilityBase extends Actor { 
+	HelpText: string;
+	static GetDefaultObject(): PlacedEditorUtilityBase;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): PlacedEditorUtilityBase;
+	SetLevelViewportCameraInfo(CameraLocation: Vector,CameraRotation: Rotator): void;
+	SetActorSelectionState(Actor: Actor,bShouldBeSelected: boolean): void;
+	SelectNothing(): void;
+	GetSelectionSet(): Actor[];
+	GetLevelViewportCameraInfo(CameraLocation?: Vector,CameraRotation?: Rotator): {CameraLocation: Vector, CameraRotation: Rotator, $: boolean};
+	GetActorReference(PathToActor: string): Actor;
+	ClearActorSelectionSet(): void;
+	static C(Other: UObject | any): PlacedEditorUtilityBase;
+}
+
+declare class UndoHistorySettings extends UObject { 
+	bShowTransactionDetails: boolean;
+	static Load(ResourceName: string): UndoHistorySettings;
+	static Find(Outer: UObject, ResourceName: string): UndoHistorySettings;
+	static GetDefaultObject(): UndoHistorySettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): UndoHistorySettings;
+	static C(Other: UObject | any): UndoHistorySettings;
+}
+
+declare class LocalizationDashboardSettings extends UObject { 
+	static Load(ResourceName: string): LocalizationDashboardSettings;
+	static Find(Outer: UObject, ResourceName: string): LocalizationDashboardSettings;
+	static GetDefaultObject(): LocalizationDashboardSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LocalizationDashboardSettings;
+	static C(Other: UObject | any): LocalizationDashboardSettings;
+}
+
+declare type EMeshInstancingReplacementMethod = 'RemoveOriginalActors' | 'KeepOriginalActorsAsEditorOnly' | 'EMeshInstancingReplacementMethod_MAX';
+declare var EMeshInstancingReplacementMethod : { RemoveOriginalActors:'RemoveOriginalActors',KeepOriginalActorsAsEditorOnly:'KeepOriginalActorsAsEditorOnly',EMeshInstancingReplacementMethod_MAX:'EMeshInstancingReplacementMethod_MAX', };
+declare class MeshInstancingSettings { 
+	ActorClassToUse: UnrealEngineClass;
+	InstanceReplacementThreshold: number;
+	MeshReplacementMethod: EMeshInstancingReplacementMethod;
+	bSkipMeshesWithVertexColors: boolean;
+	bUseHLODVolumes: boolean;
+	clone() : MeshInstancingSettings;
+	static C(Other: UObject | any): MeshInstancingSettings;
+}
+
+declare class MeshInstancingSettingsObject extends UObject { 
+	Settings: MeshInstancingSettings;
+	static Load(ResourceName: string): MeshInstancingSettingsObject;
+	static Find(Outer: UObject, ResourceName: string): MeshInstancingSettingsObject;
+	static GetDefaultObject(): MeshInstancingSettingsObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshInstancingSettingsObject;
+	static C(Other: UObject | any): MeshInstancingSettingsObject;
+}
+
+declare class MeshMergingSettingsObject extends UObject { 
+	Settings: MeshMergingSettings;
+	static Load(ResourceName: string): MeshMergingSettingsObject;
+	static Find(Outer: UObject, ResourceName: string): MeshMergingSettingsObject;
+	static GetDefaultObject(): MeshMergingSettingsObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshMergingSettingsObject;
+	static C(Other: UObject | any): MeshMergingSettingsObject;
+}
+
+declare class MeshProxySettingsObject extends UObject { 
+	Settings: MeshProxySettings;
+	static Load(ResourceName: string): MeshProxySettingsObject;
+	static Find(Outer: UObject, ResourceName: string): MeshProxySettingsObject;
+	static GetDefaultObject(): MeshProxySettingsObject;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MeshProxySettingsObject;
+	static C(Other: UObject | any): MeshProxySettingsObject;
+}
+
+declare class EditorKeyboardShortcutSettings extends DeveloperSettings { 
+	static Load(ResourceName: string): EditorKeyboardShortcutSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorKeyboardShortcutSettings;
+	static GetDefaultObject(): EditorKeyboardShortcutSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorKeyboardShortcutSettings;
+	static C(Other: UObject | any): EditorKeyboardShortcutSettings;
+}
+
+declare type EAndroidInstallLocation = 'InternalOnly' | 'PreferExternal' | 'Auto' | 'EAndroidInstallLocation_MAX';
+declare var EAndroidInstallLocation : { InternalOnly:'InternalOnly',PreferExternal:'PreferExternal',Auto:'Auto',EAndroidInstallLocation_MAX:'EAndroidInstallLocation_MAX', };
+declare type EAndroidScreenOrientation = 'Portrait' | 'ReversePortrait' | 'SensorPortrait' | 'Landscape' | 'ReverseLandscape' | 'SensorLandscape' | 'Sensor' | 'FullSensor' | 'EAndroidScreenOrientation_MAX';
+declare var EAndroidScreenOrientation : { Portrait:'Portrait',ReversePortrait:'ReversePortrait',SensorPortrait:'SensorPortrait',Landscape:'Landscape',ReverseLandscape:'ReverseLandscape',SensorLandscape:'SensorLandscape',Sensor:'Sensor',FullSensor:'FullSensor',EAndroidScreenOrientation_MAX:'EAndroidScreenOrientation_MAX', };
+declare type EAndroidAntVerbosity = 'Quiet' | 'Normal' | 'Verbose' | 'EAndroidAntVerbosity_MAX';
+declare var EAndroidAntVerbosity : { Quiet:'Quiet',Normal:'Normal',Verbose:'Verbose',EAndroidAntVerbosity_MAX:'EAndroidAntVerbosity_MAX', };
+declare type EAndroidDepthBufferPreference = 'Default' | 'Bits16' | 'Bits24' | 'Bits32' | 'EAndroidDepthBufferPreference_MAX';
+declare var EAndroidDepthBufferPreference : { Default:'Default',Bits16:'Bits16',Bits24:'Bits24',Bits32:'Bits32',EAndroidDepthBufferPreference_MAX:'EAndroidDepthBufferPreference_MAX', };
+declare type EGoogleVRCaps = 'Cardboard' | 'Daydream33' | 'Daydream63' | 'Daydream66' | 'EGoogleVRCaps_MAX';
+declare var EGoogleVRCaps : { Cardboard:'Cardboard',Daydream33:'Daydream33',Daydream63:'Daydream63',Daydream66:'Daydream66',EGoogleVRCaps_MAX:'EGoogleVRCaps_MAX', };
+declare class GooglePlayAchievementMapping { 
+	Name: string;
+	AchievementID: string;
+	clone() : GooglePlayAchievementMapping;
+	static C(Other: UObject | any): GooglePlayAchievementMapping;
+}
+
+declare class GooglePlayLeaderboardMapping { 
+	Name: string;
+	LeaderboardID: string;
+	clone() : GooglePlayLeaderboardMapping;
+	static C(Other: UObject | any): GooglePlayLeaderboardMapping;
+}
+
+declare type EAndroidAudio = 'Default' | 'OGG' | 'ADPCM' | 'EAndroidAudio_MAX';
+declare var EAndroidAudio : { Default:'Default',OGG:'OGG',ADPCM:'ADPCM',EAndroidAudio_MAX:'EAndroidAudio_MAX', };
+declare class PlatformRuntimeAudioCompressionOverrides { 
+	bOverrideCompressionTimes: boolean;
+	DurationThreshold: number;
+	MaxNumRandomBranches: number;
+	SoundCueQualityIndex: number;
+	clone() : PlatformRuntimeAudioCompressionOverrides;
+	static C(Other: UObject | any): PlatformRuntimeAudioCompressionOverrides;
+}
+
+declare type EAndroidGraphicsDebugger = 'None' | 'Mali' | 'Adreno' | 'EAndroidGraphicsDebugger_MAX';
+declare var EAndroidGraphicsDebugger : { None:'None',Mali:'Mali',Adreno:'Adreno',EAndroidGraphicsDebugger_MAX:'EAndroidGraphicsDebugger_MAX', };
+declare class AndroidRuntimeSettings extends UObject { 
+	PackageName: string;
+	StoreVersion: number;
+	ApplicationDisplayName: string;
+	VersionDisplayName: string;
+	MinSDKVersion: number;
+	TargetSDKVersion: number;
+	InstallLocation: EAndroidInstallLocation;
+	bEnableGradle: boolean;
+	bEnableLint: boolean;
+	bPackageDataInsideApk: boolean;
+	bCreateAllPlatformsInstall: boolean;
+	bDisableVerifyOBBOnStartUp: boolean;
+	bAllowLargeOBBFiles: boolean;
+	bUseExternalFilesDir: boolean;
+	Orientation: EAndroidScreenOrientation;
+	MaxAspectRatio: number;
+	bUseDisplayCutout: boolean;
+	AntVerbosity: EAndroidAntVerbosity;
+	bFullScreen: boolean;
+	bEnableNewKeyboard: boolean;
+	DepthBufferPreference: EAndroidDepthBufferPreference;
+	bValidateTextureFormats: boolean;
+	ExtraManifestNodeTags: string[];
+	ExtraApplicationNodeTags: string[];
+	ExtraApplicationSettings: string;
+	ExtraActivityNodeTags: string[];
+	ExtraActivitySettings: string;
+	ExtraPermissions: string[];
+	bAndroidVoiceEnabled: boolean;
+	bPackageForGearVR: boolean;
+	bRemoveOSIG: boolean;
+	GoogleVRCaps: EGoogleVRCaps[];
+	bGoogleVRSustainedPerformance: boolean;
+	KeyStore: string;
+	KeyAlias: string;
+	KeyStorePassword: string;
+	KeyPassword: string;
+	bBuildForArmV7: boolean;
+	bBuildForArm64: boolean;
+	bBuildForX8664: boolean;
+	bBuildForES2: boolean;
+	bBuildForES31: boolean;
+	bSupportsVulkan: boolean;
+	bDetectVulkanByDefault: boolean;
+	bBuildWithHiddenSymbolVisibility: boolean;
+	bSaveSymbols: boolean;
+	bEnableGooglePlaySupport: boolean;
+	bUseGetAccounts: boolean;
+	GamesAppID: string;
+	AchievementMap: GooglePlayAchievementMapping[];
+	LeaderboardMap: GooglePlayLeaderboardMapping[];
+	bEnableSnapshots: boolean;
+	bSupportAdMob: boolean;
+	AdMobAdUnitID: string;
+	AdMobAdUnitIDs: string[];
+	GooglePlayLicenseKey: string;
+	GCMClientSenderID: string;
+	bShowLaunchImage: boolean;
+	bAllowIMU: boolean;
+	bAllowControllers: boolean;
+	bBlockAndroidKeysOnControllers: boolean;
+	AndroidAudio: EAndroidAudio;
+	AudioSampleRate: number;
+	AudioCallbackBufferFrameSize: number;
+	AudioNumBuffersToEnqueue: number;
+	AudioMaxChannels: number;
+	AudioNumSourceWorkers: number;
+	SpatializationPlugin: string;
+	ReverbPlugin: string;
+	OcclusionPlugin: string;
+	CompressionOverrides: PlatformRuntimeAudioCompressionOverrides;
+	bResampleForDevice: boolean;
+	MaxSampleRate: number;
+	HighSampleRate: number;
+	MedSampleRate: number;
+	LowSampleRate: number;
+	MinSampleRate: number;
+	CompressionQualityModifier: number;
+	AutoStreamingThreshold: number;
+	AndroidGraphicsDebugger: EAndroidGraphicsDebugger;
+	MaliGraphicsDebuggerPath: DirectoryPath;
+	bMultiTargetFormat_ETC1: boolean;
+	bMultiTargetFormat_ETC1a: boolean;
+	bMultiTargetFormat_ETC2: boolean;
+	bMultiTargetFormat_DXT: boolean;
+	bMultiTargetFormat_PVRTC: boolean;
+	bMultiTargetFormat_ATC: boolean;
+	bMultiTargetFormat_ASTC: boolean;
+	TextureFormatPriority_ETC1: number;
+	TextureFormatPriority_ETC1a: number;
+	TextureFormatPriority_ETC2: number;
+	TextureFormatPriority_DXT: number;
+	TextureFormatPriority_PVRTC: number;
+	TextureFormatPriority_ATC: number;
+	TextureFormatPriority_ASTC: number;
+	SDKAPILevelOverride: string;
+	NDKAPILevelOverride: string;
+	static Load(ResourceName: string): AndroidRuntimeSettings;
+	static Find(Outer: UObject, ResourceName: string): AndroidRuntimeSettings;
+	static GetDefaultObject(): AndroidRuntimeSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AndroidRuntimeSettings;
+	static C(Other: UObject | any): AndroidRuntimeSettings;
+}
+
+declare type EIOSCloudKitSyncStrategy = 'None' | 'OnlyAtGameStart' | 'Always' | 'EIOSCloudKitSyncStrategy_MAX';
+declare var EIOSCloudKitSyncStrategy : { None:'None',OnlyAtGameStart:'OnlyAtGameStart',Always:'Always',EIOSCloudKitSyncStrategy_MAX:'EIOSCloudKitSyncStrategy_MAX', };
+declare class IOSBuildResourceDirectory { 
+	Path: string;
+	clone() : IOSBuildResourceDirectory;
+	static C(Other: UObject | any): IOSBuildResourceDirectory;
+}
+
+declare class IOSBuildResourceFilePath { 
+	FilePath: string;
+	clone() : IOSBuildResourceFilePath;
+	static C(Other: UObject | any): IOSBuildResourceFilePath;
+}
+
+declare type EIOSLandscapeOrientation = 'LandscapeLeft' | 'LandscapeRight' | 'EIOSLandscapeOrientation_MAX';
+declare var EIOSLandscapeOrientation : { LandscapeLeft:'LandscapeLeft',LandscapeRight:'LandscapeRight',EIOSLandscapeOrientation_MAX:'EIOSLandscapeOrientation_MAX', };
+declare type EPowerUsageFrameRateLock = 'PUFRL_None' | 'PUFRL_20' | 'PUFRL_30' | 'PUFRL_60' | 'PUFRL_MAX';
+declare var EPowerUsageFrameRateLock : { PUFRL_None:'PUFRL_None',PUFRL_20:'PUFRL_20',PUFRL_30:'PUFRL_30',PUFRL_60:'PUFRL_60',PUFRL_MAX:'PUFRL_MAX', };
+declare type EIOSVersion = 'IOS_61' | 'IOS_7' | 'IOS_8' | 'IOS_9' | 'IOS_10' | 'IOS_11' | 'IOS_12' | 'IOS_MAX';
+declare var EIOSVersion : { IOS_61:'IOS_61',IOS_7:'IOS_7',IOS_8:'IOS_8',IOS_9:'IOS_9',IOS_10:'IOS_10',IOS_11:'IOS_11',IOS_12:'IOS_12',IOS_MAX:'IOS_MAX', };
+declare class IOSRuntimeSettings extends UObject { 
+	bEnableGameCenterSupport: boolean;
+	bEnableCloudKitSupport: boolean;
+	IOSCloudKitSyncStrategy: EIOSCloudKitSyncStrategy;
+	bEnableRemoteNotificationsSupport: boolean;
+	bEnableBackgroundFetch: boolean;
+	bSupportsMetal: boolean;
+	bSupportsMetalMRT: boolean;
+	bCookPVRTCTextures: boolean;
+	bCookASTCTextures: boolean;
+	bSupportsOpenGLES2: boolean;
+	EnableRemoteShaderCompile: boolean;
+	bGeneratedSYMFile: boolean;
+	bGeneratedSYMBundle: boolean;
+	bGenerateCrashReportSymbols: boolean;
+	bGenerateXCArchive: boolean;
+	bDevForArmV7: boolean;
+	bDevForArm64: boolean;
+	bDevForArmV7S: boolean;
+	bShipForArmV7: boolean;
+	bShipForArm64: boolean;
+	bShipForArmV7S: boolean;
+	bShipForBitcode: boolean;
+	bEnableAdvertisingIdentifier: boolean;
+	AdditionalLinkerFlags: string;
+	AdditionalShippingLinkerFlags: string;
+	RemoteServerName: string;
+	bUseRSync: boolean;
+	RSyncUsername: string;
+	DeltaCopyInstallPath: IOSBuildResourceDirectory;
+	SSHPrivateKeyLocation: string;
+	SSHPrivateKeyOverridePath: IOSBuildResourceFilePath;
+	bTreatRemoteAsSeparateController: boolean;
+	bAllowRemoteRotation: boolean;
+	bUseRemoteAsVirtualJoystick: boolean;
+	bUseRemoteAbsoluteDpadValues: boolean;
+	bAllowControllers: boolean;
+	bSupportsPortraitOrientation: boolean;
+	bSupportsUpsideDownOrientation: boolean;
+	bSupportsLandscapeLeftOrientation: boolean;
+	bSupportsLandscapeRightOrientation: boolean;
+	bSupportsITunesFileSharing: boolean;
+	PreferredLandscapeOrientation: EIOSLandscapeOrientation;
+	BundleDisplayName: string;
+	BundleName: string;
+	BundleIdentifier: string;
+	VersionInfo: string;
+	FrameRateLock: EPowerUsageFrameRateLock;
+	MinimumiOSVersion: EIOSVersion;
+	bSupportsIPad: boolean;
+	bSupportsIPhone: boolean;
+	AdditionalPlistData: string;
+	bEnableFacebookSupport: boolean;
+	FacebookAppID: string;
+	MobileProvision: string;
+	SigningCertificate: string;
+	bAutomaticSigning: boolean;
+	IOSTeamID: string;
+	bDisableHTTPS: boolean;
+	MaxShaderLanguageVersion: number;
+	UseFastIntrinsics: boolean;
+	ForceFloats: boolean;
+	EnableMathOptimisations: boolean;
+	bUseIntegratedKeyboard: boolean;
+	AudioSampleRate: number;
+	AudioCallbackBufferFrameSize: number;
+	AudioNumBuffersToEnqueue: number;
+	AudioMaxChannels: number;
+	AudioNumSourceWorkers: number;
+	SpatializationPlugin: string;
+	ReverbPlugin: string;
+	OcclusionPlugin: string;
+	CompressionOverrides: PlatformRuntimeAudioCompressionOverrides;
+	bResampleForDevice: boolean;
+	MaxSampleRate: number;
+	HighSampleRate: number;
+	MedSampleRate: number;
+	LowSampleRate: number;
+	MinSampleRate: number;
+	CompressionQualityModifier: number;
+	AutoStreamingThreshold: number;
+	static Load(ResourceName: string): IOSRuntimeSettings;
+	static Find(Outer: UObject, ResourceName: string): IOSRuntimeSettings;
+	static GetDefaultObject(): IOSRuntimeSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): IOSRuntimeSettings;
+	static C(Other: UObject | any): IOSRuntimeSettings;
+}
+
+declare type ELuminFrameTimingHint = 'Unspecified' | 'Maximum' | 'FPS_60' | 'FPS_120' | 'ELuminFrameTimingHint_MAX';
+declare var ELuminFrameTimingHint : { Unspecified:'Unspecified',Maximum:'Maximum',FPS_60:'FPS_60',FPS_120:'FPS_120',ELuminFrameTimingHint_MAX:'ELuminFrameTimingHint_MAX', };
+declare type ELuminPrivilege = 'Invalid' | 'AudioRecognizer' | 'BatteryInfo' | 'CameraCapture' | 'WorldReconstruction' | 'InAppPurchase' | 'AudioCaptureMic' | 'DrmCertificates' | 'Occlusion' | 'LowLatencyLightwear' | 'Internet' | 'IdentityRead' | 'BackgroundDownload' | 'BackgroundUpload' | 'MediaDrm' | 'Media' | 'MediaMetadata' | 'PowerInfo' | 'LocalAreaNetwork' | 'VoiceInput' | 'Documents' | 'ConnectBackgroundMusicService' | 'RegisterBackgroundMusicService' | 'PwFoundObjRead' | 'NormalNotificationsUsage' | 'MusicService' | 'ControllerPose' | 'ScreensProvider' | 'GesturesSubscribe' | 'GesturesConfig' | 'ELuminPrivilege_MAX';
+declare var ELuminPrivilege : { Invalid:'Invalid',AudioRecognizer:'AudioRecognizer',BatteryInfo:'BatteryInfo',CameraCapture:'CameraCapture',WorldReconstruction:'WorldReconstruction',InAppPurchase:'InAppPurchase',AudioCaptureMic:'AudioCaptureMic',DrmCertificates:'DrmCertificates',Occlusion:'Occlusion',LowLatencyLightwear:'LowLatencyLightwear',Internet:'Internet',IdentityRead:'IdentityRead',BackgroundDownload:'BackgroundDownload',BackgroundUpload:'BackgroundUpload',MediaDrm:'MediaDrm',Media:'Media',MediaMetadata:'MediaMetadata',PowerInfo:'PowerInfo',LocalAreaNetwork:'LocalAreaNetwork',VoiceInput:'VoiceInput',Documents:'Documents',ConnectBackgroundMusicService:'ConnectBackgroundMusicService',RegisterBackgroundMusicService:'RegisterBackgroundMusicService',PwFoundObjRead:'PwFoundObjRead',NormalNotificationsUsage:'NormalNotificationsUsage',MusicService:'MusicService',ControllerPose:'ControllerPose',ScreensProvider:'ScreensProvider',GesturesSubscribe:'GesturesSubscribe',GesturesConfig:'GesturesConfig',ELuminPrivilege_MAX:'ELuminPrivilege_MAX', };
+declare class LuminRuntimeSettings extends UObject { 
+	PackageName: string;
+	ApplicationDisplayName: string;
+	bIsScreensApp: boolean;
+	FrameTimingHint: ELuminFrameTimingHint;
+	bProtectedContent: boolean;
+	bUseMobileRendering: boolean;
+	bUseVulkan: boolean;
+	bBuildWithNvTegraGfxDebugger: boolean;
+	Certificate: FilePath;
+	IconModelPath: DirectoryPath;
+	IconPortalPath: DirectoryPath;
+	VersionCode: number;
+	MinimumAPILevel: number;
+	AppPrivileges: ELuminPrivilege[];
+	ExtraApplicationNodes: string[];
+	ExtraComponentNodes: string[];
+	SpatializationPlugin: string;
+	ReverbPlugin: string;
+	OcclusionPlugin: string;
+	bRemoveDebugInfo: boolean;
+	static Load(ResourceName: string): LuminRuntimeSettings;
+	static Find(Outer: UObject, ResourceName: string): LuminRuntimeSettings;
+	static GetDefaultObject(): LuminRuntimeSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LuminRuntimeSettings;
+	static C(Other: UObject | any): LuminRuntimeSettings;
+}
+
+declare class AndroidSDKSettings extends UObject { 
+	SDKPath: DirectoryPath;
+	NDKPath: DirectoryPath;
+	ANTPath: DirectoryPath;
+	JavaPath: DirectoryPath;
+	SDKAPILevel: string;
+	NDKAPILevel: string;
+	static Load(ResourceName: string): AndroidSDKSettings;
+	static Find(Outer: UObject, ResourceName: string): AndroidSDKSettings;
+	static GetDefaultObject(): AndroidSDKSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): AndroidSDKSettings;
+	static C(Other: UObject | any): AndroidSDKSettings;
+}
+
+declare class HTML5SDKSettings extends UObject { 
+	static Load(ResourceName: string): HTML5SDKSettings;
+	static Find(Outer: UObject, ResourceName: string): HTML5SDKSettings;
+	static GetDefaultObject(): HTML5SDKSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HTML5SDKSettings;
+	static C(Other: UObject | any): HTML5SDKSettings;
+}
+
+declare type ECanvasScalingMode = 'Stretch' | 'Aspect' | 'Fixed' | 'ECanvasScalingMode_MAX';
+declare var ECanvasScalingMode : { Stretch:'Stretch',Aspect:'Aspect',Fixed:'Fixed',ECanvasScalingMode_MAX:'ECanvasScalingMode_MAX', };
+declare class HTML5TargetSettings extends UObject { 
+	EnableIndexedDB: boolean;
+	UseFixedTimeStep: boolean;
+	EnableMultithreading: boolean;
+	EnableTracing: boolean;
+	CanvasScalingMode: ECanvasScalingMode;
+	Compressed: boolean;
+	DeployServerPort: number;
+	UploadToS3: boolean;
+	S3Region: string;
+	S3KeyID: string;
+	S3SecretAccessKey: string;
+	S3BucketName: string;
+	S3FolderName: string;
+	SpatializationPlugin: string;
+	ReverbPlugin: string;
+	OcclusionPlugin: string;
+	static Load(ResourceName: string): HTML5TargetSettings;
+	static Find(Outer: UObject, ResourceName: string): HTML5TargetSettings;
+	static GetDefaultObject(): HTML5TargetSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): HTML5TargetSettings;
+	static C(Other: UObject | any): HTML5TargetSettings;
+}
+
+declare class MagicLeapSDKSettings extends UObject { 
+	MLSDKPath: DirectoryPath;
+	static Load(ResourceName: string): MagicLeapSDKSettings;
+	static Find(Outer: UObject, ResourceName: string): MagicLeapSDKSettings;
+	static GetDefaultObject(): MagicLeapSDKSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): MagicLeapSDKSettings;
+	static C(Other: UObject | any): MagicLeapSDKSettings;
+}
+
+declare type ETutorialContent = 'None' | 'Text' | 'UDNExcerpt' | 'RichText' | 'ETutorialContent_MAX';
+declare var ETutorialContent : { None:'None',Text:'Text',UDNExcerpt:'UDNExcerpt',RichText:'RichText',ETutorialContent_MAX:'ETutorialContent_MAX', };
+declare class TutorialContent { 
+	Type: ETutorialContent;
+	Content: string;
+	ExcerptName: string;
+	text: string;
+	clone() : TutorialContent;
+	static C(Other: UObject | any): TutorialContent;
+}
+
+declare type ETutorialAnchorIdentifier = 'None' | 'NamedWidget' | 'Asset' | 'ETutorialAnchorIdentifier_MAX';
+declare var ETutorialAnchorIdentifier : { None:'None',NamedWidget:'NamedWidget',Asset:'Asset',ETutorialAnchorIdentifier_MAX:'ETutorialAnchorIdentifier_MAX', };
+declare class TutorialContentAnchor { 
+	Type: ETutorialAnchorIdentifier;
+	WrapperIdentifier: string;
+	Asset: SoftObjectPath;
+	bDrawHighlight: boolean;
+	TabToFocusOrOpen: string;
+	FriendlyName: string;
+	GuidString: string;
+	OuterName: string;
+	clone() : TutorialContentAnchor;
+	static C(Other: UObject | any): TutorialContentAnchor;
+}
+
+declare class TutorialWidgetContent { 
+	Content: TutorialContent;
+	WidgetAnchor: TutorialContentAnchor;
+	HorizontalAlignment: EHorizontalAlignment;
+	VerticalAlignment: EVerticalAlignment;
+	Offset: Vector2D;
+	ContentWidth: number;
+	bAutoFocus: boolean;
+	clone() : TutorialWidgetContent;
+	static C(Other: UObject | any): TutorialWidgetContent;
+}
+
+declare class TutorialStage { 
+	Name: string;
+	Content: TutorialContent;
+	WidgetContent: TutorialWidgetContent[];
+	NextButtonText: string;
+	BackButtonText: string;
+	PlatformsToTest: string[];
+	bInvertPlatformTest: boolean;
+	clone() : TutorialStage;
+	static C(Other: UObject | any): TutorialStage;
+}
+
+declare class EditorTutorial extends UObject { 
+	Title: string;
+	SortOrder: number;
+	Icon: string;
+	Texture: Texture2D;
+	Category: string;
+	SummaryContent: TutorialContent;
+	Stages: TutorialStage[];
+	PreviousTutorial: SoftClassPath;
+	NextTutorial: SoftClassPath;
+	bIsStandalone: boolean;
+	AssetToUse: SoftObjectPath;
+	ImportPath: string;
+	bHideInBrowser: boolean;
+	SearchTags: string;
+	static Load(ResourceName: string): EditorTutorial;
+	static Find(Outer: UObject, ResourceName: string): EditorTutorial;
+	static GetDefaultObject(): EditorTutorial;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorTutorial;
+	static SetEngineFolderVisibilty(bNewVisibility: boolean): void;
+	static OpenAsset(Asset: UObject): void;
+	OnTutorialStageStarted(StageName: string): void;
+	OnTutorialStageEnded(StageName: string): void;
+	OnTutorialLaunched(): void;
+	OnTutorialClosed(): void;
+	static GoToPreviousTutorialStage(): void;
+	static GoToNextTutorialStage(): void;
+	static GetEngineFolderVisibilty(): boolean;
+	GetActorReference(PathToActor: string): Actor;
+	static BeginTutorial(TutorialToStart: EditorTutorial,bRestart: boolean): void;
+	static C(Other: UObject | any): EditorTutorial;
+}
+
+declare class EditorTutorialFactory extends Factory { 
+	static Load(ResourceName: string): EditorTutorialFactory;
+	static Find(Outer: UObject, ResourceName: string): EditorTutorialFactory;
+	static GetDefaultObject(): EditorTutorialFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorTutorialFactory;
+	static C(Other: UObject | any): EditorTutorialFactory;
+}
+
+declare class EditorTutorialImportFactory extends Factory { 
+	static Load(ResourceName: string): EditorTutorialImportFactory;
+	static Find(Outer: UObject, ResourceName: string): EditorTutorialImportFactory;
+	static GetDefaultObject(): EditorTutorialImportFactory;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorTutorialImportFactory;
+	static C(Other: UObject | any): EditorTutorialImportFactory;
+}
+
+declare class TutorialCategory { 
+	Identifier: string;
+	Title: string;
+	SortOrder: number;
+	Description: string;
+	Icon: string;
+	Texture: SoftObjectPath;
+	clone() : TutorialCategory;
+	static C(Other: UObject | any): TutorialCategory;
+}
+
+declare class TutorialContext { 
+	Context: string;
+	BrowserFilter: string;
+	AttractTutorial: SoftClassPath;
+	LaunchTutorial: SoftClassPath;
+	clone() : TutorialContext;
+	static C(Other: UObject | any): TutorialContext;
+}
+
+declare class EditorTutorialSettings extends UObject { 
+	bDisableAllTutorialAlerts: boolean;
+	Categories: TutorialCategory[];
+	StartupTutorial: SoftClassPath;
+	TutorialContexts: TutorialContext[];
+	static Load(ResourceName: string): EditorTutorialSettings;
+	static Find(Outer: UObject, ResourceName: string): EditorTutorialSettings;
+	static GetDefaultObject(): EditorTutorialSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): EditorTutorialSettings;
+	static C(Other: UObject | any): EditorTutorialSettings;
+}
+
+declare class TutorialSettings extends UObject { 
+	Categories: TutorialCategory[];
+	StartupTutorial: SoftClassPath;
+	static Load(ResourceName: string): TutorialSettings;
+	static Find(Outer: UObject, ResourceName: string): TutorialSettings;
+	static GetDefaultObject(): TutorialSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TutorialSettings;
+	static C(Other: UObject | any): TutorialSettings;
+}
+
+declare class TutorialProgress { 
+	Tutorial: SoftClassPath;
+	CurrentStage: number;
+	bUserDismissed: boolean;
+	clone() : TutorialProgress;
+	static C(Other: UObject | any): TutorialProgress;
+}
+
+declare class TutorialStateSettings extends UObject { 
+	TutorialsProgress: TutorialProgress[];
+	bDismissedAllTutorials: boolean;
+	static Load(ResourceName: string): TutorialStateSettings;
+	static Find(Outer: UObject, ResourceName: string): TutorialStateSettings;
+	static GetDefaultObject(): TutorialStateSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): TutorialStateSettings;
+	static C(Other: UObject | any): TutorialStateSettings;
+}
+
+declare class LogVisualizerSessionSettings extends UObject { 
+	bEnableGraphsVisualization: boolean;
+	static Load(ResourceName: string): LogVisualizerSessionSettings;
+	static Find(Outer: UObject, ResourceName: string): LogVisualizerSessionSettings;
+	static GetDefaultObject(): LogVisualizerSessionSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LogVisualizerSessionSettings;
+	static C(Other: UObject | any): LogVisualizerSessionSettings;
+}
+
+declare class CategoryFilter { 
+	CategoryName: string;
+	LogVerbosity: number;
+	Enabled: boolean;
+	clone() : CategoryFilter;
+	static C(Other: UObject | any): CategoryFilter;
+}
+
+declare class VisualLoggerFiltersData { 
+	SearchBoxFilter: string;
+	ObjectNameFilter: string;
+	Categories: CategoryFilter[];
+	SelectedClasses: string[];
+	clone() : VisualLoggerFiltersData;
+	static C(Other: UObject | any): VisualLoggerFiltersData;
+}
+
+declare class LogVisualizerSettings extends UObject { 
+	bIgnoreTrivialLogs: boolean;
+	TrivialLogsThreshold: number;
+	bStickToRecentData: boolean;
+	bResetDataWithNewSession: boolean;
+	bShowHistogramLabelsOutside: boolean;
+	DefaultCameraDistance: number;
+	bSearchInsideLogs: boolean;
+	GraphsBackgroundColor: Color;
+	bPresistentFilters: boolean;
+	bDrawExtremesOnGraphs: boolean;
+	bUsePlayersOnlyForPause: boolean;
+	bLogNavOctreeOnStop: boolean;
+	PresistentFilters: VisualLoggerFiltersData;
+	DebugMeshMaterialFakeLight: Material;
+	DebugMeshMaterialFakeLightName: string;
+	static Load(ResourceName: string): LogVisualizerSettings;
+	static Find(Outer: UObject, ResourceName: string): LogVisualizerSettings;
+	static GetDefaultObject(): LogVisualizerSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): LogVisualizerSettings;
+	static C(Other: UObject | any): LogVisualizerSettings;
+}
+
+declare class VisualLoggerCameraController extends DebugCameraController { 
+	PickedActor: Actor;
+	static GetDefaultObject(): VisualLoggerCameraController;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerCameraController;
+	static C(Other: UObject | any): VisualLoggerCameraController;
+}
+
+declare class VisualLoggerHUD extends DebugCameraHUD { 
+	static GetDefaultObject(): VisualLoggerHUD;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerHUD;
+	static C(Other: UObject | any): VisualLoggerHUD;
+}
+
+declare class VisualLoggerRenderingActor extends Actor { 
+	static GetDefaultObject(): VisualLoggerRenderingActor;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerRenderingActor;
+	static C(Other: UObject | any): VisualLoggerRenderingActor;
+}
+
+declare class VisualLoggerRenderingComponent extends PrimitiveComponent { 
+	static Load(ResourceName: string): VisualLoggerRenderingComponent;
+	static Find(Outer: UObject, ResourceName: string): VisualLoggerRenderingComponent;
+	static GetDefaultObject(): VisualLoggerRenderingComponent;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): VisualLoggerRenderingComponent;
+	static C(Other: UObject | any): VisualLoggerRenderingComponent;
+}
+
+declare class ClothPainterSettings extends MeshPaintSettings { 
+	ViewMin: number;
+	ViewMax: number;
+	bAutoViewRange: boolean;
+	AutoCalculatedViewMin: number;
+	AutoCalculatedViewMax: number;
+	ClothingAssets: ClothingAsset[];
+	bFlipNormal: boolean;
+	bCullBackface: boolean;
+	Opacity: number;
+	static Load(ResourceName: string): ClothPainterSettings;
+	static Find(Outer: UObject, ResourceName: string): ClothPainterSettings;
+	static GetDefaultObject(): ClothPainterSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothPainterSettings;
+	static C(Other: UObject | any): ClothPainterSettings;
+}
+
+declare class ClothPaintTool_BrushSettings extends UObject { 
+	PaintValue: number;
+	static Load(ResourceName: string): ClothPaintTool_BrushSettings;
+	static Find(Outer: UObject, ResourceName: string): ClothPaintTool_BrushSettings;
+	static GetDefaultObject(): ClothPaintTool_BrushSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothPaintTool_BrushSettings;
+	static C(Other: UObject | any): ClothPaintTool_BrushSettings;
+}
+
+declare class ClothPaintTool_GradientSettings extends UObject { 
+	GradientStartValue: number;
+	GradientEndValue: number;
+	bUseRegularBrush: boolean;
+	static Load(ResourceName: string): ClothPaintTool_GradientSettings;
+	static Find(Outer: UObject, ResourceName: string): ClothPaintTool_GradientSettings;
+	static GetDefaultObject(): ClothPaintTool_GradientSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothPaintTool_GradientSettings;
+	static C(Other: UObject | any): ClothPaintTool_GradientSettings;
+}
+
+declare class ClothPaintTool_SmoothSettings extends UObject { 
+	Strength: number;
+	static Load(ResourceName: string): ClothPaintTool_SmoothSettings;
+	static Find(Outer: UObject, ResourceName: string): ClothPaintTool_SmoothSettings;
+	static GetDefaultObject(): ClothPaintTool_SmoothSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothPaintTool_SmoothSettings;
+	static C(Other: UObject | any): ClothPaintTool_SmoothSettings;
+}
+
+declare class ClothPaintTool_FillSettings extends UObject { 
+	Threshold: number;
+	FillValue: number;
+	static Load(ResourceName: string): ClothPaintTool_FillSettings;
+	static Find(Outer: UObject, ResourceName: string): ClothPaintTool_FillSettings;
+	static GetDefaultObject(): ClothPaintTool_FillSettings;
+	static CreateDefaultSubobject(Name: string, Transient?: boolean, Required?: boolean, Abstract?: boolean): ClothPaintTool_FillSettings;
+	static C(Other: UObject | any): ClothPaintTool_FillSettings;
+}
+
 declare var Context : JavascriptContext;
 
 declare var Root : JavascriptEditorTick;
diff --git a/Demo.uproject b/Demo.uproject
index c9155ff..a68f500 100644
--- a/Demo.uproject
+++ b/Demo.uproject
@@ -1,6 +1,6 @@
 {
 	"FileVersion": 3,
-	"EngineAssociation": "4.13",
+	"EngineAssociation": "4.22",
 	"Category": "",
 	"Description": "",
 	"Plugins": [
